[
    ("JanDeDobbeleer/oh-my-posh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: JanDeDobbeleer
    repo_name: oh-my-posh
    description: The most customisable and low-latency cross platform/shell prompt renderer
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v5.6.5"
        asset: posh-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              enabled: false
      - version_constraint: Version == "v6.41.1"
        asset: posh-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - windows
          - linux
      - version_constraint: semver("<= 7.52.1")
        asset: posh-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 24.10.1")
        asset: posh-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: posh-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("b3nj5m1n/xdg-ninja", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_archive
    repo_owner: b3nj5m1n
    repo_name: xdg-ninja
    description: A shell script which checks your $HOME for unwanted files and directories
    supported_envs:
      - darwin
      - linux
    version_source: github_tag
    files:
      - name: xdg-ninja
        src: xdg-ninja-{{trimV .Version}}/xdg-ninja.sh
"###),
    ("GoTestTools/gotestfmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: GoTestTools
    repo_name: gotestfmt
    description: go test output for humans
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gotestfmt_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gotestfmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("caddyserver/caddy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: caddyserver
    repo_name: caddy
    description: Fast, multi-platform web server with automatic HTTPS
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.5.2")
        asset: caddy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: mac
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: caddy_{{trimV .Version}}_checksums.txt
          algorithm: sha512
      - version_constraint: "true"
        asset: caddy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: mac
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: caddy_{{trimV .Version}}_checksums.txt
          algorithm: sha512
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/caddyserver/caddy/\\.github/workflows/release\\.yml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/caddyserver/caddy/releases/download/v{{trimV .Version}}/caddy_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/caddyserver/caddy/releases/download/v{{trimV .Version}}/caddy_{{trimV .Version}}_checksums.txt.pem
"###),
    ("clowdhaus/eksup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: clowdhaus
    repo_name: eksup
    description: EKS cluster upgrade guidance
    asset: eksup-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    files:
      - name: eksup
        src: eksup-{{.Version}}-{{.Arch}}-{{.OS}}/eksup
    format: tar.gz
    overrides:
      - goos: darwin
        replacements:
          arm64: aarch64
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - amd64
"###),
    ("kyverno/kyverno", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kyverno
    repo_name: kyverno
    description: Cloud Native Policy Management
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.5.5"
        no_asset: true
      - version_constraint: semver("<= 1.1.5")
        no_asset: true
      - version_constraint: semver("<= 1.5.8")
        asset: kyverno-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.10.0")
        asset: kyverno-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.10.7")
        asset: kyverno-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/kyverno/kyverno/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/kyverno/kyverno/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/kyverno/kyverno/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: kyverno-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/kyverno/kyverno/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/kyverno/kyverno/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/kyverno/kyverno/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("kyverno/chainsaw", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kyverno
    repo_name: chainsaw
    description: Declarative K8s e2e testing
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0-alpha.1"
        asset: chainsaw_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/kyverno/chainsaw/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - "https://github.com/kyverno/chainsaw/.github/workflows/release.yaml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/kyverno/chainsaw/releases/download/{{.Version}}/checksums.txt.sig
      - version_constraint: Version == "v0.1.3-alpha.1"
        asset: chainsaw_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/kyverno/chainsaw/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - "https://github.com/kyverno/chainsaw/.github/workflows/release.yaml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/kyverno/chainsaw/releases/download/{{.Version}}/checksums.txt.sig
      - version_constraint: "true"
        asset: chainsaw_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/kyverno/chainsaw/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - "https://github.com/kyverno/chainsaw/.github/workflows/release.yaml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/kyverno/chainsaw/releases/download/{{.Version}}/checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
"###),
    ("boyter/scc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: boyter
    repo_name: scc
    description: "Sloc, Cloc and Code: scc is a very fast accurate code counter with complexity calculations and COCOMO estimates written in pure Go"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v"
        no_asset: true
      - version_constraint: Version == "untagged-928286b8064e2cf6dd35"
        asset: "scc-1.3.0-{{.Arch}}-{{.OS}}.{{.Format}}"
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows
          linux: unknown-linux
        supported_envs:
          - amd64
          - darwin
          - windows
      - version_constraint: Version == "v1.0.0"
        asset: scc-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.1.0"
        asset: scc-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            asset: scc-1.0.0-{{.Arch}}-{{.OS}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.9.0")
        asset: scc-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.10.0"
        asset: scc-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            asset: scc-1.0.0-{{.Arch}}-{{.OS}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.11.0"
        asset: scc-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.12.0"
        asset: scc-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: scc-1.0.0-{{.Arch}}-{{.OS}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.13.0")
        asset: scc-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v3.0.0"
        asset: scc-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
      - version_constraint: Version == "v3.1.0"
        asset: scc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: scc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("denizgursoy/gotouch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: denizgursoy
    repo_name: gotouch
    description: Customizable Boilerplate Project Creator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: gotouch_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("WoozyMasta/kube-dump", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: WoozyMasta
    repo_name: kube-dump
    description: Backup a Kubernetes cluster as a yaml manifest
    path: kube-dump
    supported_envs:
      - darwin
      - linux
"###),
    ("loft-sh/vcluster", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: loft-sh
    repo_name: vcluster
    description: "vCluster - Create fully functional virtual Kubernetes clusters - Each vcluster runs inside a namespace of the underlying k8s cluster. It's cheaper than creating separate full-blown clusters and it offers better multi-tenancy and isolation than regular namespaces"
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.15.2")
        asset: vcluster-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: vcluster-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/loft-sh/vcluster/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/loft-sh/vcluster/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/loft-sh/vcluster/releases/download/{{.Version}}/checksums.txt.sig
"###),
    ("loft-sh/devpod", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: loft-sh
    repo_name: devpod
    description: "Codespaces but open-source, client-only and unopinionated: Works with any IDE and lets you use any cloud, kubernetes or just localhost docker"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.3")
        asset: devpod-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: "true"
        asset: devpod-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - darwin
          - windows
"###),
    ("chaqchase/lla", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chaqchase
    repo_name: lla
    aliases:
      - name: triyanox/lla
    description: A modern alternative to ls
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.7")
        no_asset: true
      - version_constraint: "true"
        asset: lla-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("rustic-rs/rustic", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rustic-rs
    repo_name: rustic
    description: rustic - fast, encrypted, and deduplicated backups powered by Rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0-rc1")
        asset: rustic_{{trimV .Version}}_{{.Arch}}_64-{{.OS}}.{{.Format}}
        format: bz2
        files:
          - name: rustic
            src: rustic_0.2.0-rc1_x64_64-unknown-linux-musl
        replacements:
          amd64: x64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.2.2")
        asset: rustic-rs-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: rustic
            src: rustic-rs
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: rustic-rs-{{.Version}}-{{.Arch}}-{{.OS}}.sha256
          algorithm: sha256
      - version_constraint: semver("<= 0.3.0")
        asset: rustic-rs-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: rustic
            src: rustic-rs
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.4.4")
        asset: rustic-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.5.4")
        asset: rustic-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
      - version_constraint: Version == "v0.6.0"
        no_asset: true
      - version_constraint: "true"
        asset: rustic-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
        supported_envs:
          - linux
          - darwin
"###),
    ("runatlantis/atlantis", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: runatlantis
    repo_name: atlantis
    description: Terraform Pull Request Automation
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.28.2"
        no_asset: true
      - version_constraint: Version == "v0.1.0"
        asset: atlantis_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.15.1")
        asset: atlantis_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.17.3")
        asset: atlantis_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: atlantis_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("linuxkit/linuxkit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: linuxkit
    repo_name: linuxkit
    description: A toolkit for building secure, portable and lean operating systems for containers
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.8"
        asset: linuxkit-linux-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.7.0")
        asset: linuxkit-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: linuxkit-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fastfetch-cli/fastfetch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fastfetch-cli
    repo_name: fastfetch
    description: An actively maintained, feature-rich and performance oriented, neofetch like system information tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["1.10.2", "2.1.2", "2.7.0"]
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: windows
            goarch: amd64
            format: zip
            replacements:
              windows: Win64
            files:
              - name: fastfetch
          - goos: windows
            goarch: arm64
            format: zip
            replacements:
              windows: WinArm64
            files:
              - name: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version in ["2.0.2", "2.0.3", "2.2.0", "2.3.2", "2.7.1"]
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Win64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "2.8.2"
        asset: fastfetch-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
              arm64: aarch64
          - goos: darwin
            asset: fastfetch-{{.Version}}-{{.OS}}-universal.{{.Format}}
          - goos: windows
            format: zip
            files:
              - name: fastfetch
      - version_constraint: Version == "2.8.3"
        asset: fastfetch-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
              arm64: aarch64
          - goos: darwin
            asset: fastfetch-{{.OS}}-universal.{{.Format}}
          - goos: windows
            format: zip
            files:
              - name: fastfetch
      - version_constraint: Version == "1.2.1"
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/bin/fastfetch"
        format: tar.zst
        replacements:
          linux: Linux
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "1.8.0"
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: windows
            format: raw
            asset: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.8.1"
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: windows
            format: zip
            asset: fastfetch-{{.OS}}.{{.Format}}
            files:
              - name: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.8.2"
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Win7
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version in ["2.8.5", "2.8.7", "2.9.0", "2.13.0"]
        asset: fastfetch-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: fastfetch-{{.OS}}-universal.{{.Format}}
          - goos: windows
            format: zip
            files:
              - name: fastfetch
      - version_constraint: semver("<= 1.2.0")
        asset: fastfetch
        format: raw
        files:
          - name: fastfetch
            src: fastfetch-{{.OS}}-{{.Arch}}/usr/bin/fastfetch
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.7.0")
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          linux: Linux
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.7.5")
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.9.1")
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.12.2")
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Win64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.0.5")
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: windows
            goarch: amd64
            format: zip
            replacements:
              windows: Win64
            files:
              - name: fastfetch
          - goos: windows
            goarch: arm64
            format: zip
            files:
              - name: fastfetch
            replacements:
              windows: WinArm64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.1.1")
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Win64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.6.0")
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: windows
            goarch: amd64
            format: zip
            files:
              - name: fastfetch
            replacements:
              windows: Win64
          - goos: windows
            goarch: arm64
            format: zip
            files:
              - name: fastfetch
            replacements:
              windows: WinArm64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.6.3")
        asset: fastfetch-{{.Version}}-{{.OS}}.{{.Format}}
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Win64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fastfetch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.9.2")
        asset: fastfetch-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        replacements:
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: darwin
            asset: fastfetch-{{.OS}}-universal.{{.Format}}
          - goos: windows
            format: zip
            files:
              - name: fastfetch
      - version_constraint: semver("<= 2.11.4")
        asset: fastfetch-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: fastfetch-{{.OS}}-universal.{{.Format}}
          - goos: windows
            format: zip
            files:
              - name: fastfetch
      - version_constraint: semver("<= 2.40.0")
        asset: fastfetch-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        replacements:
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: darwin
            asset: fastfetch-{{.OS}}-universal.{{.Format}}
          - goos: windows
            format: zip
            files:
              - name: fastfetch
      - version_constraint: "true"
        asset: fastfetch-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: fastfetch
            src: "{{.AssetWithoutExt}}/usr/bin/fastfetch"
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: fastfetch-{{.OS}}-universal.{{.Format}}
          - goos: windows
            format: zip
            files:
              - name: fastfetch
        replacements:
          darwin: macos
"###),
    ("bensadeh/tailspin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bensadeh
    repo_name: tailspin
    aliases:
      - name: crates.io/tailspin # https://github.com/aquaproj/aqua-registry/pull/17534#issuecomment-1818510758
    description: A log file highlighter
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: tailspin_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.1.0")
        type: cargo
        repo_owner: bensadeh
        repo_name: tailspin
        crate: tailspin
        files:
          - name: tspin
      - version_constraint: Version == "2.2.0"
        asset: tspin-{{.Arch}}-{{.OS}}.{{.Format}}
        windows_arm_emulation: true
        files:
          - name: tspin
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: "true"
        asset: tailspin-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: tspin
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("block/goose", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: block
    repo_name: goose
    description: "an open source, extensible AI agent that goes beyond code suggestions - install, execute, edit, and test with any LLM"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 1.0.0")
        error_message: |
          Please use a version later than v1.0.
      - version_constraint: "true"
        asset: goose-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
"###),
    ("dalance/procs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dalance
    repo_name: procs
    description: A modern replacement for ps written in Rust
    replacements:
      amd64: x86_64
      darwin: mac
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    asset: procs-{{.Version}}-{{.Arch}}-{{.OS}}.zip
    version_constraint: semver(">= 0.13.3")
    version_overrides:
      - version_constraint: "true"
        # https://github.com/aquaproj/aqua-registry/pull/7156
        # windows zip structure was changed from 0.13.3.
        # https://github.com/dalance/procs/blob/master/CHANGELOG.md#v0133---2022-10-18
        # > [Changed] Release zip for Windows has the exe at toplevel
        overrides:
          - goos: windows
            files:
              - name: procs
                src: target/x86_64-pc-windows-msvc/release/procs.exe
"###),
    ("artemsalimov/jenkins-job-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: artemsalimov
    repo_name: jenkins-job-cli
    aliases:
      - name: gocruncher/jenkins-job-cli
    description: "Jenkins-job-CLI - Runs Jenkins job from the Command Line"
    files:
      - name: jj
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.1.0"
        asset: jenkins-job-ctl-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.0.1")
        asset: jbuilder-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: jenkins-job-cli-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
"###),
    ("EmbarkStudios/cargo-deny", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: EmbarkStudios
    repo_name: cargo-deny
    description: Cargo plugin for linting your dependencies
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.4")
        asset: cargo-deny-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-deny
            src: "{{.AssetWithoutExt}}/cargo-deny"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.6.5"
        asset: cargo-deny-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: cargo-deny
            src: "{{.AssetWithoutExt}}/cargo-deny"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.9.0")
        asset: cargo-deny-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-deny
            src: "{{.AssetWithoutExt}}/cargo-deny"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.14.22")
        asset: cargo-deny-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: cargo-deny
            src: "{{.AssetWithoutExt}}/cargo-deny"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: cargo-deny-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: cargo-deny
            src: "{{.AssetWithoutExt}}/cargo-deny"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("guumaster/hostctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: guumaster
    repo_name: hostctl
    description: Your dev tool to manage /etc/hosts like a pro
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.6")
        asset: hostctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
        checksum:
          type: github_release
          asset: hostctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.8")
        no_asset: true
      - version_constraint: semver("<= 1.1.0")
        asset: hostctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
        checksum:
          type: github_release
          asset: hostctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1.2")
        asset: hostctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
        checksum:
          type: github_release
          asset: hostctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: hostctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64-bit
          darwin: macOS
        checksum:
          type: github_release
          asset: hostctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("danvergara/dblab", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: danvergara
    repo_name: dblab
    description: The database client every command line junkie deserves
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.10.0"
        asset: dblab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.9.2")
        asset: dblab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: dblab_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.14.0")
        asset: dblab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.16.0")
        asset: dblab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: dblab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("wtfutil/wtf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wtfutil
    repo_name: wtf
    description: WTF is the personal information dashboard for your terminal
    supported_envs:
      - darwin
      - linux
    asset: wtf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: wtfutil
        src: wtf_{{trimV .Version}}_{{.OS}}_{{.Arch}}/wtfutil
    checksum:
      type: github_release
      asset: wtf_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("ninxsoft/mist-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ninxsoft
    repo_name: mist-cli
    description: A Mac command-line tool that automatically downloads macOS Firmwares / Installers
    asset: mist-cli.{{trimV .Version}}.{{.Format}}
    format: pkg
    files:
      - name: mist
        src: Payload/usr/local/bin/mist
    supported_envs:
      - darwin
"###),
    ("marwan-at-work/mod", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: marwan-at-work
    repo_name: mod
    description: Automated Semantic Import Versioning Upgrades
    path: github.com/marwan-at-work/mod/cmd/mod
"###),
    ("abhinav/doc2go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: abhinav
    repo_name: doc2go
    description: Your Go project's documentation, to-go
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: doc2go-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("cortesi/modd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cortesi
    repo_name: modd
    description: A flexible developer tool that runs processes and responds to filesystem changes
    asset: modd-{{.Version|trimV}}-{{.OS}}{{.Arch}}.{{.Format}}
    format: tgz
    overrides:
      - goos: windows
        format: zip
    replacements:
      darwin: osx
      amd64: "64"
    files:
      - name: modd
        src: modd-{{.Version|trimV}}-{{.OS}}{{.Arch}}/modd
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
"###),
    ("openshift/osdctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: openshift
    repo_name: osdctl
    description: CLI for the OSD utilities
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: osdctl-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.0")
        asset: osdctl-{{.OS}}-{{.Version}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.4.1"
        no_asset: true
      - version_constraint: semver("<= 0.9.4")
        asset: osdctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.12.0")
        asset: osdctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: osdctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("suzuki-shunsuke/ghcp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: ghcp
    description: Tool to fork a repository, commit files, create a pull request and upload assets using GitHub API
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ghcp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: ghcp_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/ghcp/releases/download/{{.Version}}/ghcp_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/ghcp/releases/download/{{.Version}}/ghcp_{{trimV .Version}}_checksums.txt.pem
"###),
    ("suzuki-shunsuke/ghalint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: ghalint
    description: GitHub Actions linter
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0-1"
        asset: ghalint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ghalint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/ghalint/releases/download/{{.Version}}/ghalint_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.+$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/ghalint/releases/download/{{.Version}}/ghalint_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: semver("<= 0.2.12")
        asset: ghalint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ghalint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/ghalint/releases/download/{{.Version}}/ghalint_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.+$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/ghalint/releases/download/{{.Version}}/ghalint_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: ghalint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ghalint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/ghalint/releases/download/{{.Version}}/ghalint_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.+$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/ghalint/releases/download/{{.Version}}/ghalint_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/discussion-slack-notifier", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: discussion-slack-notifier
    asset: discussion-slack-notifier_{{.OS}}_{{.Arch}}.tar.gz
    description: Notify GitHub Discussions events to Slack with GitHub Actions
    supported_envs:
      - darwin
      - linux
    checksum:
      type: github_release
      asset: discussion-slack-notifier_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("suzuki-shunsuke/tfprovidercheck", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: tfprovidercheck
    description: Censor Terraform Providers
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tfprovidercheck_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: tfprovidercheck_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/tfprovidercheck/releases/download/{{.Version}}/tfprovidercheck_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/tfprovidercheck/releases/download/{{.Version}}/tfprovidercheck_{{trimV .Version}}_checksums.txt.pem
"###),
    ("suzuki-shunsuke/yaml2json", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: yaml2json
    description: Convert YAML to JSON
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: yaml2json_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: yaml2json_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: yaml2json_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: yaml2json_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("suzuki-shunsuke/tfcmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: tfcmt
    description: tfcmt enhances mercari/tfnotify in many ways, including Terraform >= v0.15 support and advanced formatting options
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: tfcmt_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: tfcmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.0.0-0")
        asset: tfcmt_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: tfcmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 3.2.4")
        asset: tfcmt_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfcmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 4.0.0")
        asset: tfcmt_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfcmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 4.14.0")
        asset: tfcmt_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfcmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/tfcmt/releases/download/{{.Version}}/tfcmt_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/tfcmt/releases/download/{{.Version}}/tfcmt_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: tfcmt_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfcmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/tfcmt/releases/download/{{.Version}}/tfcmt_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/tfcmt/releases/download/{{.Version}}/tfcmt_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        github_artifact_attestations:
          signer_workflow: suzuki-shunsuke/go-release-workflow/.github/workflows/release.yaml
"###),
    ("suzuki-shunsuke/migrate-urfave-cli-v3", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: migrate-urfave-cli-v3
    description: Migrate github.com/urfave/cli/v2 to v3. This tool doesn't aim to the complete migration. Probably you need to fix code manually after running this tool, but this tool makes the migration easy
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: migrate-urfave-cli-v3_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: migrate-urfave-cli-v3_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/migrate-urfave-cli-v3/releases/download/{{.Version}}/migrate-urfave-cli-v3_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/migrate-urfave-cli-v3/releases/download/{{.Version}}/migrate-urfave-cli-v3_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/yodoc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: yodoc
    description: Test command results and embed them into document
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: yodoc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: yodoc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/yodoc/releases/download/{{.Version}}/yodoc_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/yodoc/releases/download/{{.Version}}/yodoc_{{trimV .Version}}_checksums.txt.pem
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/ghd2i", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: ghd2i
    description: CLI to create GitHub Issues from GitHub Discussions
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ghd2i_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ghd2i_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/ghd2i/releases/download/{{.Version}}/ghd2i_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/ghd2i/releases/download/{{.Version}}/ghd2i_{{trimV .Version}}_checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/pinact", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: pinact
    description: pinact is a CLI to edit GitHub Workflow and Composite action files and pin versions of Actions and Reusable Workflows. pinact can also update their versions and verify version annotations
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0-1")
        asset: pinact_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pinact_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/pinact/releases/download/{{.Version}}/pinact_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.+$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/pinact/releases/download/{{.Version}}/pinact_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: pinact_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pinact_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/pinact/releases/download/{{.Version}}/pinact_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.+$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/pinact/releases/download/{{.Version}}/pinact_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        github_artifact_attestations:
          signer_workflow: suzuki-shunsuke/go-release-workflow/.github/workflows/release.yaml
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/git-rm-branch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: git-rm-branch
    description: cli tool to remove merged branches
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: git-rm-branch_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: git-rm-branch_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("suzuki-shunsuke/ci-info", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: ci-info
    description: CLI tool to get CI related information
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.1.1"
        asset: ci-info_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ci-info_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.1.0")
        asset: ci-info_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: ci-info_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: ci-info_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: ci-info_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/ci-info/releases/download/{{.Version}}/ci-info_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/ci-info/releases/download/{{.Version}}/ci-info_{{trimV .Version}}_checksums.txt.pem
"###),
    ("suzuki-shunsuke/tfrstate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: tfrstate
    description: Find directories where changed terraform_remote_state data source is used
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tfrstate_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfrstate_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/tfrstate/releases/download/{{.Version}}/tfrstate_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/tfrstate/releases/download/{{.Version}}/tfrstate_{{trimV .Version}}_checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/deny-self-approve", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: deny-self-approve
    description: CLI to deny self-approved GitHub Pull Requests
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: deny-self-approve_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: deny-self-approve_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/deny-self-approve/releases/download/{{.Version}}/deny-self-approve_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/deny-self-approve/releases/download/{{.Version}}/deny-self-approve_{{trimV .Version}}_checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/renovate-issue-action", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: renovate-issue-action
    description: Create, update, and close GitHub Issues with GitHub Actions according to Renovate Pull Requests
    supported_envs:
      - darwin
      - linux
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.1")
        asset: renovate-issue-action_{{.OS}}_{{.Arch}}.tar.gz
        checksum:
          type: github_release
          asset: renovate-issue-action_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: renovate-issue-action_{{.OS}}_{{.Arch}}.tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: renovate-issue-action_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/renovate-issue-action/releases/download/{{.Version}}/renovate-issue-action_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/renovate-issue-action/releases/download/{{.Version}}/renovate-issue-action_{{trimV .Version}}_checksums.txt.pem
"###),
    ("suzuki-shunsuke/ci-renovate-config-validator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: suzuki-shunsuke
    repo_name: ci-renovate-config-validator
    path: ci-renovate-config-validator
    description: script to validate Renovate configuration file with renovate-config-validator
"###),
    ("suzuki-shunsuke/dd-time", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: dd-time
    description: CLI tool to post the command execution time as time-series data to DataDog
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: dd-time_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: dd-time_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("suzuki-shunsuke/nllint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: nllint
    description: Linter to check newlines at the end of files
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: nllint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: nllint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/nllint/releases/download/{{.Version}}/nllint_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/nllint/releases/download/{{.Version}}/nllint_{{trimV .Version}}_checksums.txt.pem
"###),
    ("suzuki-shunsuke/tfmv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: tfmv
    description: CLI to rename Terraform resources and modules and generate moved blocks
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tfmv_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: tfmv_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/tfmv/releases/download/{{.Version}}/tfmv_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/tfmv/releases/download/{{.Version}}/tfmv_{{trimV .Version}}_checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/rjsa", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: suzuki-shunsuke
    repo_name: rjsa
    description: A command to release JavaScript action
    path: rjsa
"###),
    ("suzuki-shunsuke/durl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: durl
    description: "[DEPRECATED] Use https://github.com/lycheeverse/lychee"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: durl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: durl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("suzuki-shunsuke/asciinema-trim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: asciinema-trim
    description: Trim and change the playback speed of asciinema's session
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: asciinema-trim_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: asciinema-trim_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: asciinema-trim_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: asciinema-trim_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("suzuki-shunsuke/circleci-config-merge", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: circleci-config-merge
    description: Generate .circleci/config.yml by merging multiple files
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.1")
        asset: circleci-config-merge_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: circleci-config-merge_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.1.3")
        asset: circleci-config-merge_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: circleci-config-merge_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.pem
      - version_constraint: semver("<= 1.1.4-4")
        asset: circleci-config-merge_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
            slsa_provenance:
              enabled: false
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: circleci-config-merge_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.pem
      - version_constraint: semver("<= 1.1.4-10")
        asset: circleci-config-merge_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: circleci-config-merge_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.pem
      - version_constraint: semver("<= 1.1.4-12")
        asset: circleci-config-merge_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
            slsa_provenance:
              enabled: false
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: circleci-config-merge_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.pem
      - version_constraint: Version == "v1.1.4"
        asset: circleci-config-merge_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: circleci-config-merge_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.pem
      - version_constraint: "true"
        asset: circleci-config-merge_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: circleci-config-merge_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/circleci-config-merge/releases/download/{{.Version}}/circleci-config-merge_{{trimV .Version}}_checksums.txt.pem
"###),
    ("suzuki-shunsuke/cmdx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: cmdx
    description: Task runner. It provides useful help messages and supports interactive prompts and validation of arguments
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.7.0-2"
        asset: cmdx_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cmdx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.0")
        asset: cmdx_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cmdx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.1")
        asset: cmdx_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cmdx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.0.0-0")
        asset: cmdx_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: cmdx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/cmdx/releases/download/{{.Version}}/cmdx_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/cmdx/releases/download/{{.Version}}/cmdx_{{trimV .Version}}_checksums.txt.pem
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: cmdx_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: cmdx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/cmdx/releases/download/{{.Version}}/cmdx_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/cmdx/releases/download/{{.Version}}/cmdx_{{trimV .Version}}_checksums.txt.pem
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/ghomfc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: ghomfc
    description: GitHub Organization Members' Followers Counter
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ghomfc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ghomfc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/ghomfc/releases/download/{{.Version}}/ghomfc_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/ghomfc/releases/download/{{.Version}}/ghomfc_{{trimV .Version}}_checksums.txt.pem
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/ghproj", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: ghproj
    description: Add GitHub Issues and Pull Requests to GitHub Projects
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ghproj_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ghproj_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/ghproj/releases/download/{{.Version}}/ghproj_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/ghproj/releases/download/{{.Version}}/ghproj_{{trimV .Version}}_checksums.txt.pem
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/sort-issue-template", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: sort-issue-template
    description: CLI to sort GitHub Issue Templates using a text editor
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: sort-issue-template_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: sort-issue-template_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/sort-issue-template/releases/download/{{.Version}}/sort-issue-template_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.+$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/sort-issue-template/releases/download/{{.Version}}/sort-issue-template_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/rgo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: suzuki-shunsuke
    repo_name: rgo
    description: rgo is a tiny script to release a Homebrew-tap recipe, Scoop App Manifest, and a winget manifest built with GoReleaser
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        path: rgo
        supported_envs:
          - darwin
          - linux
"###),
    ("suzuki-shunsuke/mkghtag", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: mkghtag
    description: CLI to create GitHub Tags via API
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: mkghtag_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: mkghtag_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/mkghtag/releases/download/{{.Version}}/mkghtag_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/mkghtag/releases/download/{{.Version}}/mkghtag_{{trimV .Version}}_checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
            slsa_provenance:
              enabled: false
      - version_constraint: "true"
        asset: mkghtag_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: mkghtag_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/mkghtag/releases/download/{{.Version}}/mkghtag_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/mkghtag/releases/download/{{.Version}}/mkghtag_{{trimV .Version}}_checksums.txt.pem
"###),
    ("suzuki-shunsuke/disable-checkout-persist-credentials", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: disable-checkout-persist-credentials
    description: CLI to disable actions/checkout's persist-credentials
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: disable-checkout-persist-credentials_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: disable-checkout-persist-credentials_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/disable-checkout-persist-credentials/releases/download/{{.Version}}/disable-checkout-persist-credentials_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/disable-checkout-persist-credentials/releases/download/{{.Version}}/disable-checkout-persist-credentials_{{trimV .Version}}_checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/ghatm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: ghatm
    description: Set timeout-minutes to all GitHub Actions jobs
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: gha-set-timeout-minutes_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: gha-set-timeout-minutes
        checksum:
          type: github_release
          asset: gha-set-timeout-minutes_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: ghatm_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: ghatm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/ghatm/releases/download/{{.Version}}/ghatm_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/ghatm/releases/download/{{.Version}}/ghatm_{{trimV .Version}}_checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("suzuki-shunsuke/matchfile", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: matchfile
    description: CLI tool to check file paths are matched to the condition
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: matchfile_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: matchfile_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("suzuki-shunsuke/akoi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: akoi
    description: "Deprecated: Please use aqua"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.3.0"
        no_asset: true
      - version_constraint: semver("<= 0.12.0")
        asset: akoi_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: akoi_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: akoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: akoi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("suzuki-shunsuke/github-comment", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: github-comment
    description: CLI to create and hide GitHub comments
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 4.3.0-0")
        asset: github-comment_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: github-comment_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 5.0.0")
        asset: github-comment_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: github-comment_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 5.0.1")
        asset: github-comment_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: github-comment_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: github-comment_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: github-comment_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/suzuki-shunsuke/github-comment/releases/download/{{.Version}}/github-comment_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/suzuki-shunsuke/github-comment/releases/download/{{.Version}}/github-comment_{{trimV .Version}}_checksums.txt.pem
"###),
    ("suzuki-shunsuke/checkout-merged-branch-with-ci-info", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: suzuki-shunsuke
    repo_name: checkout-merged-branch-with-ci-info
    path: checkout-merged-branch
    description: checkout a merged branch
    files:
      - name: checkout-merged-branch
"###),
    ("suzuki-shunsuke/tfaction-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: suzuki-shunsuke
    repo_name: tfaction-go
    description: CLI for tfaction
    files:
      - name: tfaction
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.4"
        asset: tfaction_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfaction_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/tfaction-go/releases/download/{{.Version}}/tfaction_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.+$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/tfaction-go/releases/download/{{.Version}}/tfaction_{{trimV .Version}}_checksums.txt.sig
      - version_constraint: "true"
        asset: tfaction_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfaction_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/suzuki-shunsuke/tfaction-go/releases/download/{{.Version}}/tfaction_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.+$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/suzuki-shunsuke/tfaction-go/releases/download/{{.Version}}/tfaction_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
"###),
    ("UpCloudLtd/upcloud-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: UpCloudLtd
    repo_name: upcloud-cli
    description: UpCloud command line client (upctl)
    files:
      - name: upctl
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        asset: upctl-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.3.0")
        asset: upcloud-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("< 3.16.0")
        asset: upcloud-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: upcloud-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: UpCloudLtd/upcloud-cli/.github/workflows/publish.yml
        overrides:
          - goos: windows
            format: zip
"###),
    ("matryer/moq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: matryer
    repo_name: moq
    description: Interface mocking tool for go generate
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.6")
        asset: moq_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.1.7"
        asset: moq_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.1")
        asset: moq_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.3")
        asset: moq_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.2")
        asset: moq_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.3.3"
        no_asset: true
      - version_constraint: "true"
        asset: moq_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("kptdev/kpt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kptdev
    repo_name: kpt
    aliases:
      - name: GoogleContainerTools/kpt
    description: Automate Kubernetes Configuration Editing
    version_filter: |
      not (Version startsWith "porch/")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.33.0")
        asset: kpt_{{.OS}}_{{.Arch}}_{{trimV .Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.37.1")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.38.1")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.39.3")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.0.0-alpha.5")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-beta.19")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-beta.21")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        # slsa_provenance:
        #   # FAILED: SLSA verification failed: source used to generate the binary does not match provenance: expected source 'kptdev/kpt', got 'GoogleContainerTools/kpt'
        #   type: github_release
        #   asset: attestation.intoto.jsonl
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.0.0-beta.22"
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-beta.35")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        # slsa_provenance:
        #   # Verifying artifact /tmp/048982138: FAILED: source used to generate the binary does not match provenance: expected source 'kptdev/kpt', got 'GoogleContainerTools/kpt'
        #   type: github_release
        #   asset: multiple.intoto.jsonl
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.0.0-beta.36"
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: kpt_darwin_{{.Arch}}
            format: raw
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-beta.49")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-beta.51")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-beta.55")
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: kpt_{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("rootless-containers/slirp4netns", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rootless-containers
    repo_name: slirp4netns
    description: User-mode networking for unprivileged network namespaces
    asset: slirp4netns-{{.Arch}}
    format: raw
    replacements:
      amd64: x86_64
      arm: armv7l
      arm64: aarch64
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
    supported_envs:
      - linux
"###),
    ("rootless-containers/rootlesskit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rootless-containers
    repo_name: rootlesskit
    description: Linux-native "fake root" for implementing rootless containers
    files:
      - name: rootlessctl
      - name: rootlesskit
      - name: rootlesskit-docker-proxy
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.0") || Version == "v2.3.0"
        no_asset: true
      - version_constraint: Version == "v0.9.0-beta.0"
        asset: rootlesskit-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        files:
          - name: rootlessctl
          - name: rootlesskit
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.9.5")
        asset: rootlesskit-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        files:
          - name: rootlessctl
          - name: rootlesskit
        supported_envs:
          - linux/amd64
        checksum:
          type: github_release
          asset: SHA256SUM
          algorithm: sha256
      - version_constraint: semver("<= 2.2.0")
        asset: rootlesskit-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        files:
          - name: rootlessctl
          - name: rootlesskit
          - name: rootlesskit-docker-proxy
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        asset: rootlesskit-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        files:
          - name: rootlessctl
          - name: rootlesskit
          - name: rootlesskit-docker-proxy
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: rootless-containers/rootlesskit/.github/workflows/release.yaml
"###),
    ("homeport/havener", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: homeport
    repo_name: havener
    description: "/ˈheɪvənə/ - Think of it as a swiss army knife for Kubernetes tasks"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0-alpha")
        asset: havener-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.0-alpha")
        asset: havener-kube-1.10-helm-2.10-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.17.0")
        asset: havener-kube-1.10-helm-2.10-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.5.2")
        asset: havener-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.0.2")
        asset: havener_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: havener_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("homeport/dyff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: homeport
    repo_name: dyff
    description: A diff tool for YAML files, and sometimes JSON
    supported_envs:
      - darwin
      - linux
    asset: dyff_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("reproio/terraform-j2md", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: reproio
    repo_name: terraform-j2md
    description: create readable terraform plan as markdown text from json plan output
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.3")
        asset: terraform-j2md_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: terraform-j2md_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("atuinsh/atuin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: atuinsh
    repo_name: atuin
    description: Magical shell history
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.3")
        asset: atuin-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: atuin
            src: "{{.AssetWithoutExt}}/atuin"
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 13.0.1")
        asset: atuin-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: atuin
            src: "{{.AssetWithoutExt}}/atuin"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 14.0.1")
        asset: atuin-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: atuin
            src: "{{.AssetWithoutExt}}/atuin"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v15.0.0"
        asset: atuin-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        rosetta2: true # asset for darwin/arm64 is unavailable
        format: tar.gz
        files:
          - name: atuin
            src: "{{.AssetWithoutExt}}/atuin"
        replacements:
          linux: unknown-linux-musl
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
        supported_envs:
          - linux/amd64 # linux/arm64 is unavailable
          - darwin
      - version_constraint: semver("<= 18.2.0")
        asset: atuin-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: atuin
            src: "{{.AssetWithoutExt}}/atuin"
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("< 18.4.0")
        asset: atuin-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: atuin
            src: "{{.AssetWithoutExt}}/atuin"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: atuin-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: atuin
            src: "{{.AssetWithoutExt}}/atuin"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: atuinsh/atuin/.github/workflows/release.yml
        supported_envs:
          - linux
          - darwin
"###),
    ("dineshba/tf-summarize", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dineshba
    repo_name: tf-summarize
    description: A command-line utility to print the summary of the terraform plan
    asset: tf-summarize_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: tf-summarize_SHA256SUMS
      algorithm: sha256
    version_constraint: semver(">= 0.3.6")
    version_overrides:
      - version_constraint: semver(">= 0.2.5")
        format: zip
        overrides: []
      - version_constraint: semver(">= 0.2.0")
        format: zip
        overrides: []
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver(">= 0.0.2")
        asset: terraform-plan-summary_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides: []
        files:
          - name: tf-plan-summarize
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: terraform-plan-summary_SHA256SUMS
          algorithm: sha256
      - version_constraint: Version == "v0.0.1"
        asset: terraform-plan-summary_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides: []
        files:
          - name: terraform-plan-summarize
            src: terraform-plan-summary
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: terraform-plan-summary_SHA256SUMS
          algorithm: sha256
"###),
    ("Wilfred/difftastic", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Wilfred
    repo_name: difftastic
    asset: difft-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: a structural diff that understands syntax
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-gnu
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: difft
"###),
    ("dustinblackman/oatmeal", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dustinblackman
    repo_name: oatmeal
    description: Terminal UI to chat with large language models (LLM) using different model backends, and integrations with your favourite editors
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: oatmeal_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("Piturnah/gex", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Piturnah
    repo_name: gex
    description: "Git Explorer: cross-platform git workflow improvement tool inspired by Magit"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.5")
        no_asset: true
      - version_constraint: "true"
        asset: gex-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("Kong/deck", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Kong
    repo_name: deck
    description: "decK: Configuration management and drift detection for Kong"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.20.0"
        no_asset: true
      - version_constraint: semver("<= 1.8.1")
        asset: deck_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.10.0")
        asset: deck_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: deck_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: deck_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
"###),
    ("hirosassa/ksnotify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hirosassa
    repo_name: ksnotify
    description: A CLI command to parse kubectl diff result and notify it to GitLab
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        asset: ksnotify-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: ksnotify-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("hirosassa/tfcmt-gitlab", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hirosassa
    repo_name: tfcmt-gitlab
    description: tfcmt-gitlab is a CLI command to parse and notify Terraform execution results. This command supports GitLab as a CI and notification platform
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.4")
        asset: tfcmt-gitlab_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfcmt-gitlab_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: tfcmt-gitlab_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfcmt-gitlab_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("mgdm/htmlq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mgdm
    repo_name: htmlq
    description: Like jq, but for HTML
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.0"
        asset: htmlq_{{.Arch}}_{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: htmlq-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("shihanng/tfvar", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: shihanng
    repo_name: tfvar
    description: Terraform's variable definitions template generator
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: tfvar_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfvar_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.5.0"
        asset: tfvar_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfvar_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.4.1")
        asset: tfvar_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfvar_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: tfvar_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfvar_checksums.txt
          algorithm: sha256
"###),
    ("apstndb/spannerplanviz/rendertree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: apstndb/spannerplanviz/rendertree
    type: go_install
    repo_owner: apstndb
    repo_name: spannerplanviz
    path: github.com/apstndb/spannerplanviz/cmd/rendertree
    description: This tool render YAML or JSON representation of Cloud Spanner query plan as ascii format
    version_source: github_tag
"###),
    ("apstndb/execspansql", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: apstndb
    repo_name: execspansql
    description: Yet another gcloud spanner databases execute-sql replacement for better composability
    version_source: github_tag
"###),
    ("xiecat/fofax", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xiecat
    repo_name: fofax
    description: FOFAX是一个基于fofa.info的API命令行查询工具
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.34")
        asset: fofax_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: fofax_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("LukeChannings/deno-arm64", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: LukeChannings
    repo_name: deno-arm64
    asset: deno-linux-arm64.zip
    supported_envs:
      - linux/arm64
    description: A Docker image for Deno
    files:
      - name: deno
"###),
    ("llogick/zigscient", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: llogick
    repo_name: zigscient
    description: A Zig Language Server
    files:
      - name: zls
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: zigscient-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: zls
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
"###),
    ("containerd/containerd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: containerd
    repo_name: containerd
    description: An open and reliable container runtime
    files:
      - name: containerd
        src: bin/{{.FileName}}
      - name: containerd-shim-runc-v2
        src: bin/{{.FileName}}
      - name: containerd-stress
        src: bin/{{.FileName}}
      - name: ctr
        src: bin/{{.FileName}}
    overrides:
      - goos: windows
        files:
          - name: containerd
            src: bin/{{.FileName}}
          - name: containerd-shim-runhcs-v1
            src: bin/{{.FileName}}
          - name: containerd-stress
            src: bin/{{.FileName}}
          - name: ctr
            src: bin/{{.FileName}}
    version_filter: Version matches "^v[0-9]+.[0-9]+.[0-9]+$"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.2.11"
        no_asset: true
      - version_constraint: semver("<= 0.2.9")
        no_asset: true
      - version_constraint: semver("<= 1.2.13")
        asset: containerd-{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
        files:
          - name: containerd
            src: bin/{{.FileName}}
          - name: containerd-shim
            src: bin/{{.FileName}}
          - name: containerd-shim-runc-v1
            src: bin/{{.FileName}}
          - name: ctr
            src: bin/{{.FileName}}
      - version_constraint: semver("<= 1.3.4")
        asset: containerd-{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        supported_envs:
          - linux/amd64
        files:
          - name: containerd
            src: bin/{{.FileName}}
          - name: containerd-shim
            src: bin/{{.FileName}}
          - name: containerd-shim-runc-v1
            src: bin/{{.FileName}}
          - name: containerd-shim-runc-v2
            src: bin/{{.FileName}}
          - name: containerd-stress
            src: bin/{{.FileName}}
          - name: ctr
            src: bin/{{.FileName}}
      - version_constraint: semver("<= 1.5.18")
        asset: containerd-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - windows/amd64
        files:
          - name: containerd
            src: bin/{{.FileName}}
          - name: containerd-shim
            src: bin/{{.FileName}}
          - name: containerd-shim-runc-v1
            src: bin/{{.FileName}}
          - name: containerd-shim-runc-v2
            src: bin/{{.FileName}}
          - name: ctr
            src: bin/{{.FileName}}
        overrides:
          - goos: windows
            files:
              - name: containerd
                src: bin/{{.FileName}}
              - name: containerd-shim-runhcs-v1
                src: bin/{{.FileName}}
              - name: ctr
                src: bin/{{.FileName}}
      - version_constraint: semver("<= 2.0.0")
        asset: containerd-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        supported_envs:
          - linux
          - windows/amd64
      - version_constraint: "true"
        asset: containerd-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        github_artifact_attestations:
          signer-workflow: containerd/containerd/.github/workflows/release.yml
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        supported_envs:
          - linux
          - windows/amd64
"###),
    ("containerd/containerd/static", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: containerd/containerd/static
    type: github_release
    repo_owner: containerd
    repo_name: containerd
    description: An open and reliable container runtime (static binary)
    files:
      - name: containerd
        src: bin/{{.FileName}}
      - name: containerd-shim-runc-v2
        src: bin/{{.FileName}}
      - name: containerd-stress
        src: bin/{{.FileName}}
      - name: ctr
        src: bin/{{.FileName}}
    version_filter: Version matches "^v[0-9]+.[0-9]+.[0-9]+$"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.6.38")
        no_asset: true
      - version_constraint: semver("<= 2.0.0")
        asset: containerd-static-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: containerd-static-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        github_artifact_attestations:
          signer-workflow: containerd/containerd/.github/workflows/release.yml
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("containerd/stargz-snapshotter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: containerd
    repo_name: stargz-snapshotter
    description: |-
      Fast container image distribution plugin with lazy pulling

      ## How to set up

      Please see:

      https://github.com/containerd/stargz-snapshotter/blob/main/docs/INSTALL.md
      https://github.com/containerd/stargz-snapshotter/blob/main/docs/rootless.md
    files:
      - name: containerd-stargz-grpc
      - name: ctr-remote
      - name: stargz-store
      - name: stargz-store-helper
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: stargz-snapshotter-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: stargz-snapshotter-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz.sha256sum
          algorithm: sha256
        supported_envs:
          - linux/amd64
        files:
          - name: containerd-stargz-grpc
          - name: ctr-remote
      - version_constraint: "true"
        asset: stargz-snapshotter-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: stargz-snapshotter-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz.sha256sum
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("containerd/fuse-overlayfs-snapshotter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: containerd
    repo_name: fuse-overlayfs-snapshotter
    description: fuse-overlayfs plugin for rootless containerd on old Linux (not needed on modern Linux)
    files:
      - name: containerd-fuse-overlayfs-grpc
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        no_asset: true
      - version_constraint: semver("<= 2.1.2")
        asset: containerd-fuse-overlayfs-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: semver("<= 2.1.4")
        no_asset: true
      - version_constraint: "true"
        asset: containerd-fuse-overlayfs-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: containerd/fuse-overlayfs-snapshotter/.github/workflows/release.yml
        supported_envs:
          - linux
"###),
    ("containerd/nerdctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: containerd
    repo_name: nerdctl
    description: "contaiNERD CTL - Docker-compatible CLI for containerd, with support for Compose, Rootless, eStargz, OCIcrypt, IPFS, "
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: nerdctl-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: semver("<= 0.8.1")
        asset: nerdctl-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: semver("<= 2.0.4")
        asset: nerdctl-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
          - windows/amd64
      - version_constraint: "true"
        asset: nerdctl-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: containerd/nerdctl/.github/workflows/release.yml
        supported_envs:
          - linux
          - windows/amd64
"###),
    ("pomdtr/sunbeam", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pomdtr
    repo_name: sunbeam
    description: Command-line launcher
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0-rc.47")
        asset: sunbeam_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-rc.49")
        asset: sunbeam-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-rc.56")
        asset: sunbeam-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.0-rc.73")
        asset: sunbeam-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: sunbeam-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("goreleaser/goreleaser", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goreleaser
    repo_name: goreleaser
    description: Deliver Go binaries as fast and easily as possible
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 0.182.0")
        asset: goreleaser_{{title .OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.2.1")
        asset: goreleaser_{{title .OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: goreleaser_{{title .OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("< 2.7.0")
        asset: goreleaser_{{title .OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/goreleaser/goreleaser/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/goreleaser/goreleaser/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/goreleaser/goreleaser/releases/download/{{.Version}}/checksums.txt.pem
        overrides:
          - goos: darwin
            asset: goreleaser_{{title .OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: goreleaser_{{title .OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/goreleaser/goreleaser/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/goreleaser/goreleaser/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/goreleaser/goreleaser/releases/download/{{.Version}}/checksums.txt.pem
        github_artifact_attestations:
          signer_workflow: goreleaser/goreleaser/.github/workflows/release.yml
        overrides:
          - goos: darwin
            asset: goreleaser_{{title .OS}}_all.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("goreleaser/nfpm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goreleaser
    repo_name: nfpm
    description: nFPM is Not FPM - a simple deb, rpm and apk packager written in Go
    asset: nfpm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
      cosign:
        opts:
          - --certificate-identity-regexp
          - "https://github\\.com/goreleaser/nfpm/\\.github/workflows/release\\.yml@.*"
          - --certificate-oidc-issuer
          - "https://token.actions.githubusercontent.com"
          - --signature
          - https://github.com/goreleaser/nfpm/releases/download/{{.Version}}/checksums.txt.sig
          - --certificate
          - https://github.com/goreleaser/nfpm/releases/download/{{.Version}}/checksums.txt.pem
    version_constraint: semver(">= 2.30.1")
    version_overrides:
      - version_constraint: Version == "v2.30.0"
        # https://github.com/goreleaser/nfpm/pull/674
        asset: nfpm_.{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        checksum:
          enabled: false
      - version_constraint: semver(">= 2.11.0")
        # Disable Cosign
        # > Error: none of the expected identities matched what was in the certificate, got subjects [carlos@becker.software] with issuer https://github.com/login/oauth
        # > main.go:74: error during command execution: none of the expected identities matched what was in the certificate, got subjects [carlos@becker.software] with issuer https://github.com/login/oauth
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 2.7.1")
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 2.7.0")
        checksum:
          type: github_release
          asset: nfpm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 2.5.0")
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: nfpm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 2.2.5")
        overrides: []
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: nfpm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 2.2.0")
        overrides: []
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: nfpm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 1.3.1")
        overrides: []
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: nfpm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 1.3.1")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: nfpm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("ajeetdsouza/zoxide", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ajeetdsouza
    repo_name: zoxide
    description: A smarter cd command. Supports all major shells
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      windows: pc-windows-msvc
      linux: unknown-linux-musl
      darwin: apple-darwin
      amd64: x86_64
      arm64: aarch64
    version_constraint: semver(">= 0.8.2")
    asset: zoxide-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    version_overrides:
      - version_constraint: "true"
        asset: zoxide-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
"###),
    ("zellij-org/zellij", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zellij-org
    repo_name: zellij
    description: A terminal workspace with batteries included
    supported_envs:
      - darwin
      - linux
    asset: zellij-{{.Arch}}-{{.OS}}.tar.gz
    replacements:
      linux: unknown-linux-musl
      darwin: apple-darwin
      amd64: x86_64
      arm64: aarch64
    checksum:
      enabled: false # https://github.com/aquaproj/aqua-registry/issues/6780#issuecomment-1267714776
"###),
    ("rclone/rclone", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rclone
    repo_name: rclone
    asset: rclone-{{.Version}}-{{.OS}}-{{.Arch}}.zip
    description: '"rsync for cloud storage" - Google Drive, S3, Dropbox, Backblaze B2, One Drive, Swift, Hubic, Wasabi, Google Cloud Storage, Yandex Files'
    files:
      - name: rclone
        src: rclone-{{.Version}}-{{.OS}}-{{.Arch}}/rclone
    replacements:
      darwin: osx
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("kubevious/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubevious
    repo_name: cli
    description: "Kubevious CLI - Prevent Kubernetes disasters at the early stages"
    files:
      - name: kubevious
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubevious-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          darwin: macos
          windows: win
"###),
    ("Lallassu/gorss", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Lallassu
    repo_name: gorss
    description: Go Terminal Feed Reader
    rosetta2: true
    asset: gorss_{{.OS}}.tar.gz
    supported_envs:
      - darwin
      - linux/amd64
    replacements:
      darwin: osx
    files:
      - name: gorss
        src: dist/gorss_{{.OS}}
"###),
    ("ory/hydra", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ory
    repo_name: hydra
    asset: hydra_{{trimV .Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: OpenID Certified OpenID Connect and OAuth Provider written in Go - cloud native, security-first, open source API security for your infrastructure. SDKs for any language. Works with Hardware Security Modules. Compatible with MITREid
    replacements:
      amd64: 64bit
      darwin: macOS
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("YS-L/csvlens", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: YS-L
    repo_name: csvlens
    description: Command line csv viewer
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 0.10.0")
        asset: csvlens-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csvlens
            src: csvlens-{{.Arch}}-{{.OS}}/csvlens
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csvlens
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: csvlens-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csvlens
            src: csvlens-{{.Arch}}-{{.OS}}/csvlens
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csvlens
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("rui314/mold", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rui314
    repo_name: mold
    description: "Mold: A Modern Linker"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.3") || Version == "v1.6.0-pre.1"
        no_asset: true
      - version_constraint: semver("<= 1.5.1")
        asset: mold-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        files:
          - name: mold
            src: mold-{{trimV .Version}}-{{.Arch}}-{{.OS}}/bin/mold
          - name: ld.mold
            src: mold-{{trimV .Version}}-{{.Arch}}-{{.OS}}/bin/mold
          - name: ld64.mold
            src: mold-{{trimV .Version}}-{{.Arch}}-{{.OS}}/bin/mold
      - version_constraint: "true"
        asset: mold-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        files:
          - name: mold
            src: mold-{{trimV .Version}}-{{.Arch}}-{{.OS}}/bin/mold
          - name: ld.mold
            src: mold-{{trimV .Version}}-{{.Arch}}-{{.OS}}/bin/mold
"###),
    ("Lifailon/lazyjournal", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Lifailon
    repo_name: lazyjournal
    description: TUI for journalctl, file system logs, as well Docker and Podman containers for quick viewing and filtering with fuzzy find, regex support (like fzf and grep) and coloring the output, written in Go with the gocui library
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: lazyjournal-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: lazyjournal-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("fsaintjacques/semver-tool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: fsaintjacques
    repo_name: semver-tool
    description: semver bash implementation
    supported_envs:
      - darwin
      - linux
    path: src/semver
    files:
      - name: semver
"###),
    ("vishnubob/wait-for-it", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: vishnubob
    repo_name: wait-for-it
    description: Pure bash script to test and wait on the availability of a TCP host and port
    path: wait-for-it.sh
    format: raw
    supported_envs:
      - linux
      - darwin
"###),
    ("jckuester/terradozer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jckuester
    repo_name: terradozer
    description: Terraform destroy without configuration files
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    asset: terradozer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: terradozer
        src: terradozer_{{trimV .Version}}_{{.OS}}_{{.Arch}}/terradozer
    checksum:
      type: github_release
      asset: terradozer_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("Fusion/gogo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Fusion
    repo_name: gogo
    description: This is not a package manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gogo-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("daveshanley/vacuum", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: daveshanley
    repo_name: vacuum
    description: vacuum is the worlds fastest OpenAPI 3, OpenAPI 2 / Swagger linter and quality analysis tool. Built in go, it tears through API specs faster than you can think. vacuum is compatible with Spectral rulesets and generates compatible reports
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.9.0"
        no_asset: true
      - version_constraint: Version == "v0.2.1"
        asset: vacuum_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.13")
        asset: vacuum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: vacuum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("yorukot/superfile", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yorukot
    repo_name: superfile
    aliases:
      - name: MHNightCat/superfile
    description: Pretty fancy and modern terminal file manager
    files:
      - name: spf
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        asset: spf
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: superfile-{{.OS}}-{{.Version}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: spf
            src: dist/{{.AssetWithoutExt}}/spf
        supported_envs:
          - linux
          - darwin
"###),
    ("tcnksm/ghr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tcnksm
    repo_name: ghr
    description: Upload multiple artifacts to GitHub Release in parallel
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: ghr_{{.Version}}_{{.OS}}_amd64.{{.Format}}
    files:
      - name: ghr
        src: ghr_{{.Version}}_{{.OS}}_amd64/ghr
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
"###),
    ("dylanaraps/neofetch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: dylanaraps
    repo_name: neofetch
    path: neofetch
    description: A command-line system information tool written in bash 3.2+
    supported_envs:
      - darwin
      - linux
"###),
    ("mesosphere/mindthegap", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mesosphere
    repo_name: mindthegap
    description: Easily create and use bundles for air-gapped environments
    asset: mindthegap_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.13.0")
    version_overrides:
      - version_constraint: semver(">= 0.7.3")
        overrides:
          - goos: darwin
            asset: mindthegap_{{.Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver(">= 0.6.6")
      - version_constraint: semver("< 0.6.6")
        asset: mindthegap_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides:
          - goos: darwin
            asset: mindthegap_{{.Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("str4d/rage", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: str4d
    repo_name: rage
    description: A simple, secure and modern file encryption tool (and Rust library) with small explicit keys, no config options, and UNIX-style composability
    files:
      - name: rage
        src: rage/{{.FileName}}
      - name: rage-keygen
        src: rage/{{.FileName}}
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        no_asset: true
      - version_constraint: Version == "v0.1.1"
        asset: rage-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
          - goos: linux
            goarch: amd64
            files:
              - name: rage
                src: rage/{{.FileName}}
              - name: rage-keygen
                src: rage/{{.FileName}}
              - name: rage-mount
                src: rage/{{.FileName}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.1")
        asset: rage-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
          - goos: linux
            goarch: amd64
            files:
              - name: rage
                src: rage/{{.FileName}}
              - name: rage-keygen
                src: rage/{{.FileName}}
              - name: rage-mount
                src: rage/{{.FileName}}
      - version_constraint: "true"
        asset: rage-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
          - goos: linux
            goarch: amd64
            files:
              - name: rage
                src: rage/{{.FileName}}
              - name: rage-keygen
                src: rage/{{.FileName}}
              - name: rage-mount
                src: rage/{{.FileName}}
"###),
    ("jesseduffield/lazygit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jesseduffield
    repo_name: lazygit
    description: simple terminal UI for git commands
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: lazygit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    replacements:
      darwin: Darwin
      linux: Linux
      windows: Windows
      386: 32-bit
      amd64: x86_64
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("jesseduffield/lazynpm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jesseduffield
    repo_name: lazynpm
    description: terminal UI for npm
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: lazynpm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("jesseduffield/horcrux", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jesseduffield
    repo_name: horcrux
    description: Split your file into encrypted fragments so that you don't need to remember a passcode
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: horcrux_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: horcrux_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("jesseduffield/lazydocker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jesseduffield
    repo_name: lazydocker
    description: The lazier way to manage everything docker
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.11"
        no_asset: true
      - version_constraint: Version == "v0.12"
        asset: lazydocker_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.7.4")
        asset: lazydocker_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.10.0")
        asset: lazydocker_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: lazydocker_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("orisano/dlayer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: orisano
    repo_name: dlayer
    description: dlayer is docker layer analyzer
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.4")
        asset: dlayer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: dlayer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("helmwave/helmwave", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: helmwave
    repo_name: helmwave
    description: New  wave for @helm
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.5")
        no_asset: true
      - version_constraint: semver("<= 0.8.4")
        asset: helmwave-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.9.0"
        asset: helmwave_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: semver("<= 0.9.5")
        asset: helmwave_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.13.0")
        asset: helmwave_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.19.7")
        asset: helmwave_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.20.0"
        no_asset: true
      - version_constraint: semver("<= 0.35.3")
        asset: helmwave_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: helmwave_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("iawia002/lux", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: iawia002
    repo_name: lux
    aliases:
      - name: iawia002/annie
    description: Fast and simple video download library and CLI tool written in Go
    asset: lux_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: lux_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.17.2")
    version_overrides:
      - version_constraint: semver(">= 0.14.0")
        replacements:
          amd64: 64-bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
      - version_constraint: semver(">= 0.12.0")
        overrides:
          - goos: windows
            format: zip
            replacements:
              arm64: arm64
        replacements:
          amd64: 64-bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.11.0")
        asset: annie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: annie
        overrides:
          - goos: windows
            format: zip
            replacements:
              arm64: arm64
        replacements:
          amd64: 64-bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: annie_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 0.6.6")
        asset: annie_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: annie
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: annie_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 0.6.3")
        asset: annie_{{.OS}}_{{.Arch}}
        files:
          - name: annie
        format: raw
        overrides: []
        replacements: {}
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 0.6.3")
        asset: annie_{{.OS}}_{{.Arch}}
        files:
          - name: annie
        format: raw
        overrides: []
        replacements: {}
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("spinnaker/spin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: spinnaker/spin
    type: http
    format: raw
    repo_owner: spinnaker
    repo_name: spin
    rosetta2: true
    url: https://storage.googleapis.com/spinnaker-artifacts/spin/{{trimV .Version}}/{{.OS}}/{{.Arch}}/spin
    description: Spinnaker CLI
    supported_envs:
      - darwin
      - amd64
    files:
      - name: spin
"###),
    ("reproducible-containers/diffoci", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: reproducible-containers
    repo_name: diffoci
    description: diff for Docker and OCI container images
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: diffoci-{{.Version}}.{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v0.1.3"
        no_asset: true
      - version_constraint: "true"
        asset: diffoci-{{.Version}}.{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("project-copacetic/copacetic", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: project-copacetic
    repo_name: copacetic
    description: CLI tool for directly patching container images using reports from vulnerability scanners
    asset: copa_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: copa
    supported_envs:
      - linux
      - darwin
    checksum:
      type: github_release
      asset: copacetic_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.3.0")
    version_overrides:
      - version_constraint: semver(">= 0.2.0")
        supported_envs:
          - linux/amd64
      - version_constraint: semver("< 0.2.0")
        supported_envs:
          - linux/amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("PaulJuliusMartinez/jless", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: PaulJuliusMartinez
    repo_name: jless
    description: jless is a command-line JSON viewer designed for reading, exploring, and searching through JSON data
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.0")
        asset: jless-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: jless-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("openshift-online/ocm-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: openshift-online
    repo_name: ocm-cli
    description: CLI for the Red Hat OpenShift Cluster Manager
    files:
      - name: ocm
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.57"
        no_asset: true
      - version_constraint: semver("<= 0.1.30")
        asset: ocm-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.58")
        asset: ocm-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.65")
        asset: ocm-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: ocm-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("cbroglie/mustache", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cbroglie
    repo_name: mustache
    description: The mustache template language in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v1.0.0", "v1.1.0"]
        no_asset: true
      - version_constraint: Version == "v1.0.1"
        asset: mustache_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: mustache_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.3.1")
        asset: mustache_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: mustache_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: mustache_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: mustache_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("spacelift-io/spacectl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: spacelift-io
    repo_name: spacectl
    description: Spacelift client and CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: spacelift-cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - darwin
          - windows
        files:
          - name: spacelift-cli
            src: "{{.AssetWithoutExt}}"
      - version_constraint: Version == "v0.2.0"
        asset: spacectl-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.8.1")
        asset: spacectl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: spacectl_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        asset: spacectl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: spacectl_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
"###),
    ("git-chglog/git-chglog", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: git-chglog
    repo_name: git-chglog
    description: CHANGELOG generator implemented in Go (Golang)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.1")
        asset: git-chglog_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.2")
        asset: git-chglog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.15.1")
        asset: git-chglog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: git-chglog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("exoscale/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: exoscale
    repo_name: cli
    description: "Command-line tool for everything at Exoscale: compute, storage, dns"
    version_constraint: "false"
    files:
      - name: exo
    version_overrides:
      - version_constraint: semver("<= 0.51.2")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
            files:
              - name: exo
                src: exoscale-cli
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.0.4")
        asset: cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.8.0")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.11.0")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.19.0")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v1.20.0-pre1"
        asset: exo-{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.24.0")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.40.5")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.44.0")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.72.2")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.76.2")
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: exoscale-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: exoscale-cli_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("duckdb/duckdb", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: duckdb
    repo_name: duckdb
    description: DuckDB is an analytical in-process SQL database management system
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        no_asset: true
      - version_constraint: Version == "v0.2.8"
        asset: duckdb_cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version in ["v1.2.0", "v1.2.1", "v1.2.2"]
        asset: duckdb_cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          darwin: osx
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: duckdb_cli-{{.OS}}-universal.{{.Format}}
      - version_constraint: semver("<= 0.1.8")
        no_asset: true
      - version_constraint: semver("<= 0.3.2")
        asset: duckdb_cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.0")
        asset: duckdb_cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          darwin: osx
        overrides:
          - goos: darwin
            asset: duckdb_cli-{{.OS}}-universal.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.0")
        asset: duckdb_cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          darwin: osx
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: duckdb_cli-{{.OS}}-universal.{{.Format}}
      - version_constraint: semver("<= 1.1.3")
        asset: duckdb_cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          darwin: osx
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: duckdb_cli-{{.OS}}-universal.{{.Format}}
      - version_constraint: "true"
        asset: duckdb_cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          darwin: osx
        overrides:
          - goos: darwin
            asset: duckdb_cli-{{.OS}}-universal.{{.Format}}
"###),
    ("twpayne/chezmoi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: twpayne
    repo_name: chezmoi
    description: Manage your dotfiles across multiple diverse machines, securely
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.5")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.5.10")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.7.5")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.7.10")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.8.11")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: chezmoi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.0.3")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: chezmoi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.0.6")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: chezmoi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: chezmoi_{{trimV .Version}}_{{.OS}}-glibc_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.1.5")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: chezmoi_{{trimV .Version}}_{{.OS}}-glibc_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.13.1")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: chezmoi_{{trimV .Version}}_{{.OS}}-glibc_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.21.1")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: chezmoi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: chezmoi_{{trimV .Version}}_{{.OS}}-glibc_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.27.1")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: chezmoi_{{trimV .Version}}_{{.OS}}-glibc_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.29.4")
        asset: chezmoi_{{trimV .Version}}_{{.OS}}-glibc_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            format: tar.zst
            asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.pkg.{{.Format}}
            files:
              - name: chezmoi
                src: usr/bin/chezmoi
          - goos: darwin
            asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
      - version_constraint: "true"
        asset: chezmoi_{{trimV .Version}}_{{.OS}}-glibc_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: chezmoi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --signature
              - https://github.com/twpayne/chezmoi/releases/download/{{.Version}}/chezmoi_{{trimV .Version}}_checksums.txt.sig
              - --key
              - https://github.com/twpayne/chezmoi/releases/download/{{.Version}}/chezmoi_cosign.pub
        overrides:
          - goos: linux
            goarch: arm64
            format: tar.zst
            asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.pkg.{{.Format}}
            files:
              - name: chezmoi
                src: usr/bin/chezmoi
          - goos: darwin
            asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: chezmoi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
"###),
    ("terramate-io/terramate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: terramate-io
    repo_name: terramate
    description: "Open-source Infrastructure as Code (IaC) orchestration platform: GitOps workflows, orchestration, code generation, observability, drift detection, asset management, policies, Slack notifications, and more. Integrates with Terraform, OpenTofu, Terragrunt, Kubernetes, GitHub Actions, GitLab CI/CD, BitBucket Pipelines, and any other CI/CD platform"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.10"
        no_asset: true
      - version_constraint: Version == "v0.0.1"
        asset: terrastack-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.0.2"
        asset: terrastack-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.0.3"
        asset: terramate-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.0.11"
        asset: terramate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.0.7")
        no_asset: true
      - version_constraint: semver("<= 0.0.9")
        asset: terramate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.1.33")
        asset: terramate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.2.7")
        asset: terramate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          windows: win
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.9.0")
        asset: terramate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: terramate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://github.com/terramate-io/terramate/releases/download/{{.Version}}/cosign.pub
              - --signature
              - https://github.com/terramate-io/terramate/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("Traackr/binnacle", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Traackr
    repo_name: binnacle
    description: An opinionated tool to interact with Kubernetes' Helm
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.3")
        asset: binnacle-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUM.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 0.6.0")
        asset: binnacle-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUM.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: binnacle-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUM.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("chmouel/snazy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chmouel
    repo_name: snazy
    description: a snazzy json log viewer (with one z)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.51.2")
        asset: snazy_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        overrides:
          - goos: darwin
            asset: snazy_{{.Version}}_{{.OS}}_all.{{.Format}}
        replacements:
          darwin: macOS
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.52.0")
        asset: snazy_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: snazy_{{.Version}}_{{.OS}}_all.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.52.16")
        error_message: There is no GitHub Releases
      - version_constraint: "true"
        asset: snazy-v{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            asset: snazy-v{{.Version}}-{{.OS}}.{{.Format}}
          - goos: windows
            format: zip
            asset: snazy-v{{.Version}}-{{.OS}}.{{.Format}}
"###),
    ("controlplaneio/kubesec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: controlplaneio
    repo_name: kubesec
    description: Security risk analysis for Kubernetes resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.9.0")
        asset: kubesec_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kubesec_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.11.0")
        asset: kubesec_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kubesec_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: kubesec_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kubesec_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("controlplaneio/kubectl-kubesec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: controlplaneio
    repo_name: kubectl-kubesec
    description: Security risk analysis for Kubernetes resources
    asset: kubectl-kubesec_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    checksum:
      type: github_release
      asset: kubectl-kubesec_checksums.txt
      algorithm: sha256
    files:
      - name: kubectl-kubesec_scan
        src: kubectl-scan
    version_constraint: semver(">= 1.1.0")
    version_overrides:
      - version_constraint: semver(">= 1.0.2")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 1.0.1")
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver("< 1.0.1")
        asset: kubectl-kubesec_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        files:
          - name: kubectl-kubesec_scan
            src: scan
        checksum:
          type: github_release
          asset: kubectl-kubesec_{{.Version}}_checksums.txt
          algorithm: sha256
"###),
    ("mvdan/gofumpt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mvdan
    repo_name: gofumpt
    description: A stricter gofmt
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: gofumpt_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.4.0")
        asset: gofumpt_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: gofumpt_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
"###),
    ("mvdan/sh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mvdan
    repo_name: sh
    description: A shell parser, formatter, and interpreter with bash support; includes shfmt
    files:
      - name: shfmt
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 3.8.0")
        format: raw
        asset: shfmt_{{.Version}}_{{.OS}}_{{.Arch}}
        supported_envs:
          - darwin
          - linux
          - amd64
        files:
          - name: shfmt
      - version_constraint: "true"
        format: raw
        asset: shfmt_{{.Version}}_{{.OS}}_{{.Arch}}
        supported_envs:
          - darwin
          - linux
          - amd64
        files:
          - name: shfmt
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
"###),
    ("PaddiM8/kalker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: PaddiM8
    repo_name: kalker
    description: Kalker is a calculator program that supports user-defined variables, functions, differentiation, and integration
    asset: kalker-{{.OS}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: raw
        asset: kalker-{{.OS}}
    replacements:
      darwin: macOS
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    files:
      - name: kalker
        src: target/release/kalker
    version_constraint: semver(">= 1.0.0")
    version_overrides:
      - version_constraint: semver(">= 0.3.4")
        asset: kalk-{{.OS}}.{{.Format}}
        overrides:
          - goos: linux
            format: raw
            asset: kalk-{{.OS}}
        files:
          - name: kalker
            src: target/release/kalk
      - version_constraint: semver(">= 0.3.3")
        asset: kalk-{{.OS}}
        format: raw
        overrides:
          - goos: windows
            asset: kalk
        replacements:
          darwin: macOS
          linux: Linux
        supported_envs:
          - darwin
          - amd64
        files:
          - name: kalker
            src: target/release/kalk
      - version_constraint: semver(">= 0.2.0")
        asset: kalk_cli_{{.OS}}64
        format: raw
        overrides: []
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
          - windows/amd64
        rosetta2: false
      - version_constraint: semver("< 0.2.0")
        asset: kalk_cli
        format: raw
        overrides: []
        supported_envs:
          - linux/amd64
        rosetta2: false
"###),
    ("openfga/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: openfga
    repo_name: cli
    description: A cross-platform CLI to interact with an OpenFGA server
    files:
      - name: fga
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0-beta1"
        asset: openfga-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/openfga/cli/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - "https://github.com/openfga/cli/.github/workflows/main.yaml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/openfga/cli/releases/download/{{.Version}}/checksums.txt.sig
      - version_constraint: semver("<= 0.4.0")
        asset: fga_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/openfga/cli/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - "https://github.com/openfga/cli/.github/workflows/main.yaml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/openfga/cli/releases/download/{{.Version}}/checksums.txt.sig
      - version_constraint: "true"
        asset: fga_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/openfga/cli/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - "https://github.com/openfga/cli/.github/workflows/main.yaml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/openfga/cli/releases/download/{{.Version}}/checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: fga.intoto.jsonl
"###),
    ("nuclio/nuclio", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nuclio
    repo_name: nuclio
    description: High-Performance Serverless event and data processing platform
    asset: nuctl-{{.Version}}-{{.OS}}-{{.Arch}}
    format: raw
    complete_windows_ext: false
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
"###),
    ("fiatjaf/jiq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fiatjaf
    repo_name: jiq
    description: "jid on jq - interactive JSON query tool using jq expressions"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.6.1"
        asset: jiq_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: jiq_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("sqldef/sqldef/psqldef", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: sqldef/sqldef/psqldef
    aliases:
      - name: k0kubun/sqldef/psqldef
    type: github_release
    repo_owner: sqldef
    repo_name: sqldef
    description: Idempotent schema management for MySQL, PostgreSQL, and more
    asset: psqldef_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: psqldef
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    version_constraint: semver(">= 0.9.1")
    # darwin/arm64 is supported
    supported_envs:
      - darwin
      - linux
    version_overrides:
      - version_constraint: semver(">= 0.1.1")
        rosetta2: true
        # linux/arm64 is supported
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
"###),
    ("sqldef/sqldef/sqlite3def", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: sqldef/sqldef/sqlite3def
    aliases:
      - name: k0kubun/sqldef/sqlite3def
    type: github_release
    repo_owner: sqldef
    repo_name: sqldef
    description: Idempotent schema management for MySQL, PostgreSQL, and more
    asset: sqlite3def_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: sqlite3def
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - linux
      - windows/amd64
"###),
    ("sqldef/sqldef/mysqldef", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: sqldef/sqldef/mysqldef
    aliases:
      - name: k0kubun/sqldef/mysqldef
    type: github_release
    repo_owner: sqldef
    repo_name: sqldef
    description: Idempotent schema management for MySQL
    asset: mysqldef_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: mysqldef
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    version_constraint: semver(">= 0.9.1")
    # darwin/arm64 is supported
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    version_overrides:
      - version_constraint: semver(">= 0.1.1")
        rosetta2: true
        # windows/amd64 is supported
        # linux/arm64 is supported
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
"###),
    ("sqldef/sqldef/mssqldef", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: sqldef/sqldef/mssqldef
    aliases:
      - name: k0kubun/sqldef/mssqldef
    type: github_release
    repo_owner: sqldef
    repo_name: sqldef
    description: Idempotent schema management for Microsoft SQL Server
    asset: mssqldef_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: mssqldef
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - linux
      - windows/amd64
"###),
    ("yamafaktory/jql", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yamafaktory
    repo_name: jql
    description: A JSON Query Language CLI tool
    asset: "{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}"
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
      - goos: windows
        replacements:
          arm64: arm64
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - linux
      - amd64
    version_prefix: jql-
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
    version_constraint: semver(">= 6.0.7")
    version_overrides:
      - version_constraint: semver(">= 6.0.5")
        overrides:
          - goos: linux
            format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver(">= 6.0.4")
        format: tar.gz
        overrides:
          - goos: darwin
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver(">= 6.0.3")
        asset: jql-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        overrides:
          - goos: linux
            format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver(">= 5.1.3")
        asset: jql-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        overrides:
          - goos: linux
            format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
        version_prefix: ""
      - version_constraint: semver(">= 5.1.2")
        asset: jql-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        version_prefix: ""
      - version_constraint: semver(">= 5.1.1")
        asset: jql-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        overrides:
          - goos: linux
            format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
        version_prefix: ""
      - version_constraint: semver(">= 5.1.0")
        asset: jql-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
        version_prefix: ""
      - version_constraint: semver(">= 3.2.4")
        asset: jql-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        overrides:
          - goos: linux
            format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
        version_prefix: ""
      - version_constraint: semver("< 3.2.4")
        asset: jql-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
        version_prefix: ""
"###),
    ("rhysd/vim-startuptime", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rhysd
    repo_name: vim-startuptime
    asset: vim-startuptime_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: A small Go program for better `vim --startuptime` alternative
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: vim-startuptime_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("rhysd/actionlint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rhysd
    repo_name: actionlint
    description: ":octocat: Static checker for GitHub Actions workflow files"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.4.0")
        asset: actionlint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: actionlint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.6.1")
        asset: actionlint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: actionlint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: actionlint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: actionlint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("rhysd/hgrep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rhysd
    repo_name: hgrep
    description: Grep with human-friendly search results
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    asset: hgrep-{{.Version}}-{{.Arch}}-{{.OS}}.zip
    replacements:
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
      arm64: aarch64
      amd64: x86_64
    files:
      - name: hgrep
        src: hgrep-{{.Version}}-{{.Arch}}-{{.OS}}/hgrep
    overrides:
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
    version_constraint: semver(">= 0.2.5")
    version_overrides:
      - version_constraint: "true"
        supported_envs:
          - darwin
          - amd64
        overrides: []
"###),
    ("rhysd/dotfiles", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rhysd
    repo_name: dotfiles
    description: dotfiles symbolic links management CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.2")
        asset: dotfiles_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: dotfiles_{{.OS}}_{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: dotfiles_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: dotfiles_{{.OS}}_{{.Arch}}.exe.{{.Format}}
"###),
    ("Owloops/updo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Owloops
    repo_name: updo
    description: Uptime monitoring CLI tool with alerting and advanced settings
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        no_asset: true
      - version_constraint: "true"
        asset: updo_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: updo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("gabeduke/kubectl-iexec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gabeduke
    repo_name: kubectl-iexec
    description: Kubectl plugin to interactively exec into a pod
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        asset: kubectl-iexec_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.2.2")
        no_asset: true
      - version_constraint: semver("<= 1.4.0")
        asset: kubectl-iexec_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "1.5.0-alpha1"
        no_asset: true
      - version_constraint: Version == "v1.6.1"
        asset: kubectl-iexec_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.8.0")
        asset: kubectl-iexec_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.18.0")
        asset: kubectl-iexec_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.19.11")
        asset: kubectl-iexec_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "1.19.12"
        asset: kubectl-iexec_.{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          enabled: false # Disable as the checksum file is broken
      - version_constraint: "true"
        asset: kubectl-iexec_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("direnv/direnv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: direnv
    repo_name: direnv
    description: unclutter your .profile
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.3.0")
        no_asset: true
      - version_constraint: semver("<= 2.6.0")
        asset: direnv.{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.8.0")
        no_asset: true
      - version_constraint: semver("<= 2.24.0")
        asset: direnv.{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.27.0")
        asset: direnv.{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: direnv.{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("aws/aws-sam-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aws
    repo_name: aws-sam-cli
    description: CLI tool to build, test, debug, and deploy Serverless applications using AWS SAM
    files:
      - name: sam
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.65.0")
        asset: aws-sam-cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: sam
            src: dist/sam
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.103.0")
        asset: aws-sam-cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: sam
            src: dist/sam
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            format: pkg
            files:
              - name: sam
                src: aws-sam-cli.pkg/Payload/aws-sam-cli/sam
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: aws-sam-cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: sam
            src: dist/sam
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            format: pkg
            files:
              - name: sam
                src: aws-sam-cli.pkg/Payload/aws-sam-cli/sam
        supported_envs:
          - linux
          - darwin
"###),
    ("aws/amazon-ec2-spot-interrupter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aws
    repo_name: amazon-ec2-spot-interrupter
    description: The ec2-spot-interrupter is a simple CLI tool that triggers Amazon EC2 Spot Interruption Notifications and Rebalance Recommendations
    files:
      - name: ec2-spot-interrupter
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.7")
        asset: ec2-spot-interrupter_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: ec2-spot-interrupter_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: ec2-spot-interrupter_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("aws/eks-hybrid", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: aws
    repo_name: eks-hybrid
    description: Use your on-premises and edge infrastructure as nodes in EKS clusters with EKS Hybrid Nodes
    version_source: github_tag
    format: raw
    url: https://hybrid-assets.eks.amazonaws.com/releases/{{.Version}}/bin/{{.OS}}/{{.Arch}}/nodeadm
    files:
      - name: nodeadm
    checksum:
      type: http
      url: https://hybrid-assets.eks.amazonaws.com/releases/{{.Version}}/bin/{{.OS}}/{{.Arch}}/nodeadm.sha256
      algorithm: sha256
    supported_envs:
      - linux
"###),
    ("aws/copilot-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aws
    repo_name: copilot-cli
    description: The AWS Copilot CLI is a tool for developers to build, release and operate production ready containerized applications on AWS App Runner, Amazon ECS, and AWS Fargate
    asset: copilot_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - linux
      - amd64
    overrides:
      - goos: windows
        asset: copilot-windows.exe
    replacements:
      darwin: macOS
    files:
      - name: copilot
"###),
    ("aws/session-manager-plugin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: aws
    repo_name: session-manager-plugin
    description: This plugin helps you to use the AWS Command Line Interface (AWS CLI) to start and end sessions to your managed instances Resources
    url: https://s3.amazonaws.com/session-manager-downloads/plugin/{{.Version}}/mac/sessionmanager-bundle.zip
    overrides:
      - goos: darwin
        goarch: arm64
        url: https://s3.amazonaws.com/session-manager-downloads/plugin/{{.Version}}/mac_{{.Arch}}/sessionmanager-bundle.zip
    files:
      - name: session-manager-plugin
        src: sessionmanager-bundle/bin/session-manager-plugin
    supported_envs:
      - darwin
    search_words:
      - macOS Only
"###),
    ("aws/aws-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: aws
    repo_name: aws-cli
    description: The AWS Command Line Interface (AWS CLI) is a unified tool that provides a consistent interface for interacting with all parts of Amazon Web Services
    version_source: github_tag
    url: https://awscli.amazonaws.com/awscli-exe-{{.OS}}-{{.Arch}}-{{.Version}}.zip
    overrides:
      - goos: darwin
        url: https://awscli.amazonaws.com/AWSCLIV2-{{.Version}}.{{.Format}}
        format: pkg
        files:
          - name: aws
            src: aws-cli.pkg/Payload/aws-cli/aws
          - name: aws_completer
            src: aws-cli.pkg/Payload/aws-cli/aws_completer
    files:
      - name: aws
        src: aws/dist/aws
      - name: aws_completer
        src: aws/dist/aws_completer
    replacements:
      amd64: x86_64
      arm64: aarch64
    supported_envs:
      - linux
      - darwin
"###),
    ("aws/amazon-ecs-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: aws
    repo_name: amazon-ecs-cli
    description: The Amazon ECS CLI enables users to run their applications on ECS/Fargate using the Docker Compose file format, quickly provision resources, push/pull images in ECR, and monitor running applications on ECS/Fargate
    format: raw
    url: https://amazon-ecs-cli.s3.amazonaws.com/ecs-cli-{{.OS}}-{{.Arch}}-{{.Version}}
    supported_envs:
      - darwin
      - linux
    rosetta2: true
    files:
      - name: ecs-cli
    checksum:
      type: http
      algorithm: md5
      url: https://amazon-ecs-cli.s3.amazonaws.com/ecs-cli-{{.OS}}-{{.Arch}}-{{.Version}}.md5
    version_constraint: semver(">= 1.20.0")
    version_overrides:
      - version_constraint: semver(">= 1.0.0")
        supported_envs:
          - darwin
          - amd64
      - version_constraint: "true"
        supported_envs:
          - darwin
          - linux/amd64
"###),
    ("aws/amazon-ec2-instance-selector", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aws
    repo_name: amazon-ec2-instance-selector
    description: A CLI tool and go library which recommends instance types based on resource criteria like vcpus and memory
    files:
      - name: ec2-instance-selector
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.8.0"
        asset: ec2-instance-selector-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: semver("<= 0.8.2")
        no_asset: true
      - version_constraint: semver("<= 1.3.0")
        asset: ec2-instance-selector-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: semver("<= 2.0.2")
        asset: ec2-instance-selector-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: ec2-instance-selector-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
"###),
    ("pacedotdev/oto", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pacedotdev
    repo_name: oto
    description: Go driven rpc code generation tool for right now
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.0")
        no_asset: true
      - version_constraint: semver("<= 0.12.1")
        asset: oto_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.14.2")
        asset: oto_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: oto_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("phiresky/ripgrep-all", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: phiresky
    repo_name: ripgrep-all
    asset: ripgrep_all-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: "rga: ripgrep, but also search in PDFs, E-Books, Office documents, zip, tar.gz, etc"
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: rga
        src: ripgrep_all-{{.Version}}-{{.Arch}}-{{.OS}}/rga
"###),
    ("fishi0x01/vsh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fishi0x01
    repo_name: vsh
    description: "vsh - HashiCorp Vault interactive shell and cli tool"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.0")
        asset: vsh_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: SHA256SUM
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: vsh_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: SHA256SUM
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("numtide/treefmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: numtide
    repo_name: treefmt
    description: one CLI to format your repo
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.6")
        asset: treefmt-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.4.0")
        asset: treefmt-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - windows
      - version_constraint: semver("<= 0.6.1")
        asset: treefmt-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: treefmt_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: treefmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("arduino/arduino-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: arduino
    repo_name: arduino-cli
    description: Arduino command line tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1-alpha.preview")
        no_asset: true
      - version_constraint: Version == "0.4.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20190805-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.5.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20190905-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.6.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20191024-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.7.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20191220-checksums.txt"
          algorithm: sha256
      - version_constraint: semver("<= 0.7.1")
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20191231-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.7.2"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20200109-checksums.txt"
          algorithm: sha256
      - version_constraint: semver("<= 0.8.0")
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20200214-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.9.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20200226-checksums.txt"
          algorithm: sha256
      - version_constraint: semver("<= 0.10.0")
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20200416-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.11.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20200625-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.12.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20200824-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.12.1"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20200826-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.13.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20200914-checksums.txt"
          algorithm: sha256
      - version_constraint: Version == "0.14.0"
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-20201210-checksums.txt"
          algorithm: sha256
      - version_constraint: semver("<= 0.24.0")
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-checksums.txt"
          algorithm: sha256
      - version_constraint: semver("<= 0.28.0")
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-checksums.txt"
          algorithm: sha256
      - version_constraint: semver("<= 0.31.0")
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-checksums.txt"
          algorithm: sha256
      - version_constraint: semver("<= 0.34.2")
        asset: arduino-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Version}}-checksums.txt"
          algorithm: sha256
      - version_constraint: "true"
        asset: arduino-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{trimV .Version}}-checksums.txt"
          algorithm: sha256
"###),
    ("external-secrets/external-secrets/esoctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: external-secrets/external-secrets/esoctl
    type: github_release
    repo_owner: external-secrets
    repo_name: external-secrets
    description: External Secrets Operator reads information from a third-party service like AWS Secrets Manager and automatically injects the values as Kubernetes Secrets
    version_filter: 'Version endsWith "-esoctl"'
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: esoctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: esoctl_checksums.txt
          algorithm: sha256
"###),
    ("takumin/gjson", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: takumin
    repo_name: gjson
    description: Golang JSON Tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: gjson_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: gjson_sha256sums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: gjson_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: gjson_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: gjson_sha256sums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("takumin/zizmor-bin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: takumin
    repo_name: zizmor-bin
    description: Static build of `zizmor`
    files:
      - name: zizmor
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: zizmor-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnullvm
        cosign:
          opts:
            - --certificate
            - https://github.com/takumin/zizmor-bin/releases/download/{{.Version}}/{{.Asset}}.cert
            - --signature
            - https://github.com/takumin/zizmor-bin/releases/download/{{.Version}}/{{.Asset}}.sig
            - --certificate-identity
            - https://github.com/takumin/zizmor-bin/.github/workflows/wc-sign.yml@refs/heads/main
            - --certificate-oidc-issuer
            - https://token.actions.githubusercontent.com
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/takumin/zizmor-bin/releases/download/{{.Version}}/SHA256SUMS.cert
              - --signature
              - https://github.com/takumin/zizmor-bin/releases/download/{{.Version}}/SHA256SUMS.sig
              - --certificate-identity
              - https://github.com/takumin/zizmor-bin/.github/workflows/wc-sign.yml@refs/heads/main
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
        github_artifact_attestations:
          signer_workflow: takumin/zizmor-bin/.github/workflows/wc-sign.yml
"###),
    ("takumin/gyaml", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: takumin
    repo_name: gyaml
    description: Golang YAML Tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gyaml_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: gyaml_sha256sums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("erebe/wstunnel", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: erebe
    repo_name: wstunnel
    description: Tunnel all your traffic over Websocket or HTTP2 - Bypass firewalls/DPI
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.0"
        asset: wstunnel
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: Version in ["1.1", "1.2"]
        asset: wstunnel_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: linux
            format: raw
            asset: wstunnel_{{.OS}}_{{.Arch}}
          - goos: windows
            files:
              - name: wstunnel
                src: wstunnel_{{.OS}}_{{.Arch}}/wstunnel
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "2.0"
        asset: wstunnel_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            asset: wstunnel-{{.OS}}
          - goos: windows
            format: zip
            asset: wstunnel_{{.OS}}_{{.Arch}}.{{.Format}}
            files:
              - name: wstunnel
                src: wstunnel_{{.OS}}_{{.Arch}}/wstunnel
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.1.5"
        asset: wstunnel_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v3.0"
        asset: wstunnel-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: wstunnel-{{.Arch}}-{{.OS}}.exe.{{.Format}}
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v3.1"
        asset: wstunnel-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            goarch: amd64
            format: raw
            asset: wstunnel-{{.Arch}}-{{.OS}}
          - goos: linux
            goarch: arm64
            asset: wstunnel-{{.Arch}}-{{.OS}}.{{.Format}}
            files:
              - name: wstunnel
                src: wstunnel/wstunnel
            replacements:
              arm64: aarch64
          - goos: windows
            asset: wstunnel-{{.OS}}-{{.Arch}}.{{.Format}}
        replacements:
          amd64: x64
          darwin: macos
      - version_constraint: Version == "v4.0"
        asset: wstunnel-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            format: raw
            asset: wstunnel-{{.Arch}}-{{.OS}}
          - goos: windows
            asset: wstunnel-{{.OS}}-{{.Arch}}.{{.Format}}
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v4.1"
        asset: wstunnel-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            goarch: amd64
            format: raw
            asset: wstunnel-{{.Arch}}-{{.OS}}
          - goos: linux
            goarch: arm64
            files:
              - name: wstunnel
                src: wstunnel_{{.Arch}}
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: wstunnel-{{.OS}}.{{.Format}}
          - goos: windows
            asset: wstunnel-{{.OS}}-{{.Arch}}.exe.{{.Format}}
        replacements:
          amd64: x64
          darwin: macos
      - version_constraint: Version == "v5.0"
        asset: wstunnel-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            goarch: amd64
            format: raw
            asset: wstunnel-{{.OS}}-{{.Arch}}
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: wstunnel-{{.OS}}.{{.Format}}
        replacements:
          amd64: x64
          darwin: macos
      - version_constraint: Version == "v5.1"
        asset: wstunnel-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v6.0"
        asset: wstunnel-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: wstunnel-{{.OS}}-{{.Arch}}.exe.{{.Format}}
        replacements:
          amd64: x64
          arm64: aarch64
          darwin: macos
      - version_constraint: Version == "v7.0-rc1"
        asset: wstunnel-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
      - version_constraint: Version == "v7.0.0-rc2"
        asset: wstunnel-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - linux
          - windows/amd64
      - version_constraint: semver("<= 7.1.0")
        asset: wstunnel-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
      - version_constraint: semver("<= 8.4.2")
        asset: wstunnel_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: wstunnel_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("uzimaru0000/tv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: uzimaru0000
    repo_name: tv
    description: Format json into table view
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tv-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: tv
            src: "{{.AssetWithoutExt}}/tv"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("uzimaru0000/oglens", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: uzimaru0000
    repo_name: oglens
    asset: og-{{.Arch}}-{{.OS}}.zip
    description: Tools for viewing OGP
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-gnu
      windows: pc-windows-gnu
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: og
        src: og-{{.Arch}}-{{.OS}}/og
"###),
    ("liquidmetal-dev/flintlock/flintlockd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: liquidmetal-dev/flintlock/flintlockd
    type: github_release
    repo_owner: liquidmetal-dev
    repo_name: flintlock
    description: Lock, Stock, and Two Smoking MicroVMs. Create and manage the lifecycle of MicroVMs backed by containerd
    version_filter: not (Version matches "-alpha")
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: flintlockd_{{.Arch}}
        format: raw
        supported_envs:
          - linux
"###),
    ("liquidmetal-dev/flintlock/flintlock-metrics", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: liquidmetal-dev/flintlock/flintlock-metrics
    type: github_release
    repo_owner: liquidmetal-dev
    repo_name: flintlock
    description: Lock, Stock, and Two Smoking MicroVMs. Create and manage the lifecycle of MicroVMs backed by containerd
    version_filter: not (Version matches "-alpha")
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: flintlock-metrics_{{.Arch}}
        format: raw
        supported_envs:
          - linux
"###),
    ("realm/SwiftLint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: realm
    repo_name: SwiftLint
    description: A tool to enforce Swift style and conventions
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.40.0")
        asset: portable_swiftlint.{{.Format}}
        format: zip
        files:
          - name: swiftlint
        supported_envs:
          - darwin
      - version_constraint: "true"
        asset: portable_swiftlint.{{.Format}}
        format: zip
        files:
          - name: swiftlint
        overrides:
          - goos: linux
            asset: swiftlint_linux.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("yokecd/yoke", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yokecd
    repo_name: yoke
    description: yoke is a Helm-inspired infrastructure-as-code (IaC) package deployer
    version_filter: not (Version matches "installer")
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: yoke_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: yoke
            src: "{{.AssetWithoutExt}}"
        overrides:
          - goos: windows
            asset: yoke_{{.Version}}_{{.OS}}_{{.Arch}}.exe.{{.Format}}
"###),
    ("lintnet/lintnet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lintnet
    repo_name: lintnet
    aliases:
      - name: suzuki-shunsuke/lintnet
    description: General Linter powered by Jsonnet
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: lintnet_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: lintnet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/lintnet/lintnet/releases/download/{{.Version}}/lintnet_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/lintnet/lintnet/releases/download/{{.Version}}/lintnet_{{trimV .Version}}_checksums.txt.pem
"###),
    ("git-town/git-town", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: git-town
    repo_name: git-town
    description: Git workflow automation to keep branches in sync and reduce merge conflicts
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.1.0")
        no_asset: true
      - version_constraint: semver("<= 7.3.0")
        asset: git-town-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 7.6.0")
        asset: git-town_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          darwin: macos
          amd64: intel_64
          arm64: arm_64
      - version_constraint: semver("<= 10.0.2")
        asset: git-town_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          darwin: macos
          amd64: intel_64
          arm64: arm_64
      - version_constraint: "true"
        asset: git-town_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          darwin: macos
          arm64: arm_64
          amd64: intel_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("deref/exo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: deref
    repo_name: exo
    description: A process manager & log viewer for dev
    asset: exo_standalone_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - linux
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("datreeio/datree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: datreeio
    repo_name: datree
    description: "Prevent Kubernetes misconfigurations from reaching production (again  )! From code to cloud, Datree provides an E2E policy enforcement solution to run automatic checks for rule violations. See our docs: https://hub.datree.io"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: datree-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("johnkerl/miller", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: johnkerl
    repo_name: miller
    description: Miller is like awk, sed, cut, join, and sort for name-indexed data such as CSV, TSV, and tabular JSON
    asset: miller-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: mlr
        src: miller-{{trimV .Version}}-{{.OS}}-{{.Arch}}/mlr
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: miller-{{trimV .Version}}-checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 6.9.0")
    version_overrides:
      - version_constraint: Version == "v5.1.0w"
        asset: mlr
        format: raw
        overrides: []
        supported_envs:
          - windows/amd64
        checksum:
          enabled: false
      - version_constraint: Version == "v6.0.0-beta"
        asset: mlr-{{.OS}}-latest.{{.Format}}
        format: zip
        files:
          - name: mlr
        overrides: []
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows/amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: Version == "v6.0.0.rc1"
        asset: mlr-{{.OS}}-{{trimV .Version}}.{{.Format}}
        format: zip
        overrides: []
        files:
          - name: mlr
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows/amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 6.1.0")
        replacements:
          darwin: macos
      - version_constraint: semver(">= 6.0.0")
        asset: miller_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        files:
          - name: mlr
        checksum:
          type: github_release
          asset: miller_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 5.10.3")
        asset: mlr.{{.OS}}_{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.10.1")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.9.0")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
          - goos: windows
            asset: mlr
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.8.0")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.7.0")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
          - goos: windows
            asset: mlr
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.6.2")
        asset: mlr.{{.OS}}_{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
          - goos: windows
            asset: mlr
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.6.0")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
          - goos: windows
            asset: mlr
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.5.0")
        asset: mlr.{{.OS}}_{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
          - goos: windows
            asset: mlr
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.4.0")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: windows
            asset: mlr
        supported_envs:
          - linux/amd64
          - windows/amd64
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.3.0")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.2.2")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides: []
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.2.0")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: mlr.mac{{.OS}}
          - goos: windows
            asset: mlr
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 5.1.0")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides: []
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
        checksum:
          enabled: false
      - version_constraint: semver(">= 2.1.3")
        asset: mlr.{{.OS}}.{{.Arch}}
        format: raw
        overrides: []
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
        checksum:
          enabled: false
      - version_constraint: semver("< 2.1.3")
        no_asset: true
"###),
    ("editorconfig-checker/editorconfig-checker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: editorconfig-checker
    repo_name: editorconfig-checker
    description: A tool to verify that your files are in harmony with your .editorconfig
    files:
      - name: ec
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.0")
        asset: ec-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ec
            src: bin/ec-{{.OS}}-{{.Arch}}
      - version_constraint: semver("<= 2.3.5")
        asset: ec-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ec
            src: bin/ec-{{.OS}}-{{.Arch}}
        overrides:
          - goos: windows
            asset: ec-{{.OS}}-{{.Arch}}.exe.{{.Format}}
      - version_constraint: semver("<= 2.5.0")
        asset: ec-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: ec
            src: bin/ec-{{.OS}}-{{.Arch}}
        overrides:
          - goos: windows
            asset: ec-{{.OS}}-{{.Arch}}.exe.{{.Format}}
      - version_constraint: Version == "2.6.0"
        asset: ec-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: ec
            src: bin/ec-{{.OS}}-{{.Arch}}
      - version_constraint: semver("<= 3.0.3")
        asset: ec-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: ec
            src: bin/ec-{{.OS}}-{{.Arch}}
        overrides:
          - goos: windows
            asset: ec-{{.OS}}-{{.Arch}}.exe.{{.Format}}
      - version_constraint: "true"
        asset: ec-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: ec
            src: bin/ec-{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("tgenv/tgenv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_archive
    repo_owner: tgenv
    repo_name: tgenv
    description: A tool to manage multiples Terragrunt versions
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        files:
          - name: tgenv
            src: tgenv-{{trimV .Version}}/bin/tgenv
          - name: terragrunt
            src: tgenv-{{trimV .Version}}/bin/terragrunt
        supported_envs:
          - linux
          - darwin
"###),
    ("mistakenelf/fm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mistakenelf
    repo_name: fm
    description: A terminal based file manager
    aliases:
      - name: knipferrc/fm
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.13.0"
        asset: fm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: fm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.4.0")
        asset: fm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: fm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.9.0")
        asset: fm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: fm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.12.1")
        asset: fm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: fm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: fm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: fm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("birdayz/kaf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: birdayz
    repo_name: kaf
    description: Modern CLI for Apache Kafka, written in Go
    asset: kaf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.2.6")
    version_overrides:
      - version_constraint: semver(">= 0.2.5")
        asset: kaf_.{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.2.4")
        asset: kaf_{{.OS}}_{{.Arch}}.{{.Format}}
      - version_constraint: semver(">= 0.1.44")
      - version_constraint: semver(">= 0.1.43")
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.1.6")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("< 0.1.6")
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
"###),
    ("purton-tech/cloak", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: purton-tech
    repo_name: cloak
    description: Secrets automation for developers
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.5.0")
        asset: cli
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.17.7")
        asset: cloak-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.17.11")
        asset: cloak-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
      - version_constraint: Version == "v1.17.12"
        no_asset: true
      - version_constraint: semver("<= 1.17.14")
        asset: cloak-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
      - version_constraint: "true"
        asset: cloak-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("go-swagger/go-swagger", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-swagger
    repo_name: go-swagger
    asset: swagger_{{.OS}}_{{.Arch}}
    format: raw
    description: Swagger 2.0 implementation for go
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: swagger
    checksum:
      type: github_release
      asset: sha256sum.txt
      algorithm: sha256
"###),
    ("TaKO8Ki/frum", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: TaKO8Ki
    repo_name: frum
    asset: frum-{{.Version}}-{{.Arch}}-{{.OS}}.tar.gz
    description: A little bit fast and modern Ruby version manager written in Rust
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    files:
      - name: frum
        src: frum-{{.Version}}-{{.Arch}}-{{.OS}}/frum
"###),
    ("TaKO8Ki/gobang", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: TaKO8Ki
    repo_name: gobang
    asset: gobang-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: A cross-platform TUI database management tool written in Rust
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: gobang
        src: gobang-{{trimV .Version}}-{{.Arch}}-{{.OS}}/gobang
"###),
    ("1password/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    name: 1password/cli
    url: https://cache.agilebits.com/dist/1P/op2/pkg/{{.Version}}/op_{{.OS}}_{{.Arch}}_{{.Version}}.zip
    description: Password manager developed by AgileBits Inc
    windows_arm_emulation: true
    files:
      - name: op
"###),
    ("manabusakai/tdtidy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: manabusakai
    repo_name: tdtidy
    description: A command line tool for managing ECS task definitions. `tdtidy` can deregister and delete old task definitions
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tdtidy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("kubescape/kubescape", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubescape
    repo_name: kubescape
    description: Kubescape is an open-source Kubernetes security platform for your IDE, CI/CD pipelines, and clusters. It includes risk analysis, security, compliance, and misconfiguration scanning, saving Kubernetes users and administrators precious time, effort, and resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.38")
        asset: kubescape
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.0.97")
        asset: kubescape-{{.OS}}-latest
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          linux: ubuntu
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: Version == "v1.0.98"
        no_asset: true
      - version_constraint: semver("<= 1.0.107")
        asset: kubescape-{{.OS}}-latest
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          linux: ubuntu
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: Version == "v1.0.108"
        asset: kubescape-{{.OS}}-latest
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
          linux: ubuntu
        supported_envs:
          - darwin
          - linux/amd64
      - version_constraint: semver("<= 2.0.147")
        asset: kubescape-{{.OS}}-latest
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          linux: ubuntu
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: semver("<= 2.0.168")
        asset: kubescape-{{.OS}}-latest
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          linux: ubuntu
        checksum:
          type: github_release
          asset: kubescape-{{.OS}}-latest-sha256
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: Version == "v2.0.169"
        asset: kubescape-{{.OS}}-latest
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
          linux: ubuntu
        checksum:
          type: github_release
          asset: kubescape-{{.OS}}-latest-sha256
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.0.183")
        asset: kubescape-{{.OS}}-latest
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          linux: ubuntu
        checksum:
          type: github_release
          asset: "{{.Asset}}-sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: semver("<= 2.1.1")
        asset: kubescape-{{.OS}}-latest.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          linux: ubuntu
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: semver("<= 2.2.6")
        asset: kubescape-{{.OS}}-latest
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          linux: ubuntu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: semver("<= 3.0.3")
        asset: kubescape-{{.OS}}-latest
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          linux: ubuntu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            goarch: arm64
            asset: kubescape-{{.Arch}}-{{.OS}}-latest
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: "true"
        asset: kubescape-{{.OS}}-latest.{{.Format}}
        format: tar.gz
        complete_windows_ext: false
        files:
          - name: kubescape
            src: "{{.AssetWithoutExt}}"
        replacements:
          darwin: macos
          linux: ubuntu
        overrides:
          - goarch: arm64
            asset: kubescape-{{.Arch}}-{{.OS}}-latest.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
          - windows
"###),
    ("mozilla/sccache", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mozilla
    repo_name: sccache
    description: sccache is ccache with cloud storage
    asset: sccache-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    files:
      - name: sccache
        src: sccache-{{.Version}}-{{.Arch}}-{{.OS}}/sccache
    overrides:
      - goos: windows
        replacements:
          arm64: arm64
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - amd64
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
    version_constraint: semver(">= 0.6.0")
    # > aarch64-unknown-linux-musl was disabled
    # https://github.com/mozilla/sccache/pull/1917
    version_overrides:
      - version_constraint: semver(">= 0.5.2")
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.5.1")
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 0.4.0-pre.2")
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.3.3")
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 0.2.14")
        supported_envs:
          - darwin
          - linux
          - amd64
        overrides:
          - goos: windows
            replacements:
              arm64: arm64
            checksum:
              # https://github.com/aquaproj/aqua-registry/pull/13027
              # https://github.com/aquaproj/aqua-registry/actions/runs/5262947082/jobs/9512626767
              enabled: false # ERRO[0001] install the package                           actual_checksum=BA6BF184D2B0A78978629AAEF0D9FE3CA57923E228D949B1932EC1A91AB4CEAC aqua_version=2.8.0 env=windows/amd64 error="checksum is invalid" expected_checksum="��B\x00A\x006\x00B\x00F\x001\x008\x004\x00D\x002\x00B\x000\x00A\x007\x008\x009\x007\x008\x006\x002\x009\x00A\x00A\x00E\x00F\x000\x00D\x009\x00F\x00E\x003\x00C\x00A\x005\x007\x009\x002\x003\x00E\x002\x002\x008\x00D\x009\x004\x009\x00B\x001\x009\x003\x002\x00E\x00C\x001\x00A\x009\x001\x00A\x00B\x004\x00C\x00E\x00A\x00C\x00" package_name=mozilla/sccache package_version=0.2.14 program=aqua registry=standard
      - version_constraint: semver(">= 0.2.13")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver(">= 0.2.9")
        overrides:
          - goos: windows
            checksum:
              # https://github.com/aquaproj/aqua-registry/pull/13027
              # https://github.com/aquaproj/aqua-registry/actions/runs/5262947082/jobs/9512626767
              enabled: false # ERRO[0001] install the package                           actual_checksum=6DD85F65FCCB1CDB00E7C5804C3F3BA523C1ED20EA8F777D454826EEF17C636F aqua_version=2.8.0 env=windows/amd64 error="checksum is invalid" expected_checksum="��6\x00D\x00D\x008\x005\x00F\x006\x005\x00F\x00C\x00C\x00B\x001\x00C\x00D\x00B\x000\x000\x00E\x007\x00C\x005\x008\x000\x004\x00C\x003\x00F\x003\x00B\x00A\x005\x002\x003\x00C\x001\x00E\x00D\x002\x000\x00E\x00A\x008\x00F\x007\x007\x007\x00D\x004\x005\x004\x008\x002\x006\x00E\x00E\x00F\x001\x007\x00C\x006\x003\x006\x00F\x00" package_name=mozilla/sccache package_version=0.2.9 program=aqua registry=standard
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.2.6")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 0.2.6")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("mozilla/grcov", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mozilla
    repo_name: grcov
    description: Rust tool to collect and aggregate code coverage data for multiple source files
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.0"
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: win
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "v0.7.0"
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.7.1"
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.1")
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.1.5")
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: win
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 0.1.28")
        asset: grcov-{{.OS}}-standalone-{{.Arch}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: win
        overrides:
          - goos: windows
            asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 0.3.2")
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.2")
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: win
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 0.5.15")
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.1")
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.2")
        asset: grcov-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.8.6")
        asset: grcov-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: checksums-{{.Version}}.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: grcov-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: checksums.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("hrmsk66/terraformify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hrmsk66
    repo_name: terraformify
    description: An experimental CLI that generates Terraform files for managing existing Fastly services
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.2")
        no_asset: true
      - version_constraint: "true"
        asset: terraformify_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        files:
          - name: terraformify
            src: terraformify_{{.OS}}_{{.Arch}}/terraformify
"###),
    ("mvisonneau/s5", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mvisonneau
    repo_name: s5
    description: Safely Store Super Sensitive Stuff
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.14"
        no_asset: true
      - version_constraint: Version == "0.1.3"
        asset: s5_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: Version == "0.1.9"
        asset: s5_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: s5_{{.Version}}_SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "edge"
        asset: s5_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: s5_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.1.10"
        asset: s5_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: s5_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.1.1")
        asset: s5_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.8")
        asset: s5_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: s5_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: s5_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("mvisonneau/tfcw", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mvisonneau
    repo_name: tfcw
    description: Terraform Cloud Wrapper
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.0.4"
        no_asset: true
      - version_constraint: Version == "edge"
        asset: tfcw_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfcw_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.0.10"
        asset: tfcw_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfcw_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.0.11"
        asset: tfcw_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfcw_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.9")
        asset: tfcw_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: tfcw_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfcw_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("mvisonneau/vac", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mvisonneau
    repo_name: vac
    description: AWS credentials management leveraging Vault
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.0.4"
        asset: vac_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: vac_{{.Version}}_SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "edge"
        asset: vac_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: vac_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.0.5"
        asset: vac_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: vac_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.3")
        asset: vac_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: vac_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: vac_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("mvisonneau/approuvez", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mvisonneau
    repo_name: approuvez
    description: command line helper to obtain live confirmation from relevant people
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "edge"
        asset: approuvez_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: approuvez_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.1.0")
        asset: approuvez_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: approuvez_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: approuvez_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: approuvez_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("mvisonneau/gpcd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mvisonneau
    repo_name: gpcd
    description: GoPro Cloud Downloader
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gpcd_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gpcd_{{.Version}}_sha512sums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("Getdeck/getdeck", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Getdeck
    repo_name: getdeck
    description: A CLI that creates reproducible Kubernetes environments for development and testing
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        no_asset: true
      - version_constraint: semver("<= 0.6.0")
        asset: deck-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        supported_envs:
          - linux/amd64
        files:
          - name: deck
      - version_constraint: semver("<= 0.7.1")
        asset: deck-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: darwin
            asset: deck-{{.Version}}-{{.OS}}-universal.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: deck
      - version_constraint: "true"
        asset: deck-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            asset: deck-{{.Version}}-{{.OS}}-universal.{{.Format}}
          - goos: windows
            replacements:
              amd64: x86_64
            files:
              - name: deck
                src: dist/deck
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: deck
"###),
    ("gsamokovarov/jump", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gsamokovarov
    repo_name: jump
    description: Jump helps you navigate faster by learning your habits
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.30.1"
        asset: jump_{{.OS}}_{{.Arch}}_binary
        format: raw
        overrides:
          - goos: windows
            asset: jump
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "v0.40.0"
        asset: jump_{{.OS}}_{{.Arch}}_binary
        format: raw
        replacements:
          darwin: osx
        overrides:
          - goos: darwin
            asset: jump_{{.OS}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.41.0"
        asset: jump_{{.OS}}
        format: raw
        replacements:
          darwin: osx
        overrides:
          - goos: linux
            asset: jump_{{.OS}}_{{.Arch}}_binary
          - goos: darwin
            goarch: arm64
            asset: jump_{{.OS}}_{{.Arch}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.19.0")
        no_asset: true
      - version_constraint: semver("<= 0.30.0")
        asset: jump_{{.OS}}_{{.Arch}}_binary
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: jump_{{.OS}}_{{.Arch}}_binary
        format: raw
        replacements:
          darwin: osx
        overrides:
          - goos: darwin
            goarch: amd64
            asset: jump_{{.OS}}
          - goos: darwin
            goarch: arm64
            asset: jump_{{.OS}}_{{.Arch}}
          - goos: windows
            asset: jump
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("xo/dbtpl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xo
    repo_name: dbtpl
    aliases:
      - name: xo/xo
    description: Command line tool to generate idiomatic Go code for SQL databases supporting PostgreSQL, MySQL, SQLite, Oracle, and Microsoft SQL Server
    files:
      - name: xo
      - name: dbtpl
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.2")
        asset: xo-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        files:
          - name: xo
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: xo-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        files:
          - name: dbtpl
        overrides:
          - goos: windows
            format: zip
"###),
    ("xo/usql", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xo
    repo_name: usql
    description: Universal command-line interface for SQL databases
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: usql-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.0")
        asset: usql-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.15.2")
        asset: usql-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: usql-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
"###),
    ("sachaos/note", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sachaos
    repo_name: note
    description: Simple Real-time Markdown previewer
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: note_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("sachaos/todoist", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sachaos
    repo_name: todoist
    description: Todoist CLI Client. I  Todoist and CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.19.0")
        asset: todoist_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.20.0"
        asset: todoist_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: todoist_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("sachaos/tcpterm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sachaos
    repo_name: tcpterm
    description: tcpterm is a packet visualizer in TUI
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tcpterm_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
"###),
    ("sachaos/go-life", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sachaos
    repo_name: go-life
    description: Terminal based Conway's Game of Life. Implemented in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: go-life_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("sachaos/viddy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sachaos
    repo_name: viddy
    description: A modern watch command. Time machine and pager etc
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: viddy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.6")
        asset: viddy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.4.0")
        asset: viddy_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: viddy-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: viddy-{{.Version}}-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
"###),
    ("sachaos/toggl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sachaos
    repo_name: toggl
    description: Toggl CLI Client
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.6.0"
        no_asset: true
      - version_constraint: "true"
        asset: toggl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("stackrox/kube-linter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: stackrox
    repo_name: kube-linter
    description: KubeLinter is a static analysis tool that checks Kubernetes YAML files and Helm charts to ensure the applications represented in them adhere to best practices
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.0.1"
        no_asset: true
      - version_constraint: Version == "v0.6.8"
        asset: kube-linter-{{.OS}}
        format: raw
        overrides:
          - goos: linux
            goarch: arm64
            asset: kube-linter-{{.OS}}_{{.Arch}}
          - goos: darwin
            goarch: arm64
            asset: kube-linter-{{.OS}}_{{.Arch}}
          - goos: windows
            goarch: amd64
            asset: kube-linter
          - goos: windows
            goarch: arm64
            asset: kube-linter_{{.Arch}}
        cosign:
          opts:
            - --key
            - https://raw.githubusercontent.com/stackrox/kube-linter/refs/tags/{{.Version}}/kubelinter-cosign.pub
            - --signature
            - https://github.com/stackrox/kube-linter/releases/download/{{.Version}}/{{.Asset}}.sig
      - version_constraint: semver("<= 0.4.0")
        asset: kube-linter-{{.OS}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.7")
        asset: kube-linter-{{.OS}}
        format: raw
        overrides:
          - goos: windows
            asset: kube-linter
        supported_envs:
          - darwin
          - windows
          - amd64
        cosign:
          opts:
            - --key
            - https://raw.githubusercontent.com/stackrox/kube-linter/refs/tags/{{.Version}}/kubelinter-cosign.pub
            - --signature
            - https://github.com/stackrox/kube-linter/releases/download/{{.Version}}/{{.Asset}}.sig
      - version_constraint: "true"
        asset: kube-linter-{{.OS}}
        format: raw
        overrides:
          - goos: linux
            goarch: arm64
            asset: kube-linter-{{.OS}}_{{.Arch}}
          - goos: darwin
            goarch: arm64
            asset: kube-linter-{{.OS}}_{{.Arch}}
          - goos: windows
            goarch: amd64
            asset: kube-linter
          - goos: windows
            goarch: arm64
            asset: kube-linter_{{.Arch}}
        cosign:
          opts:
            - --key
            - https://raw.githubusercontent.com/stackrox/kube-linter/refs/tags/{{.Version}}/kubelinter-cosign.pub
            - --signature
            - https://github.com/stackrox/kube-linter/releases/download/{{.Version}}/{{.Asset}}.sig
"###),
    ("nametake/golangci-lint-langserver", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nametake
    repo_name: golangci-lint-langserver
    description: golangci-lint language server
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        asset: golangci-lint-langserver_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: golangci-lint-langserver_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.4")
        asset: golangci-lint-langserver_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: golangci-lint-langserver_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.6")
        asset: golangci-lint-langserver_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: golangci-lint-langserver_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.0.7"
        asset: golangci-lint-langserver_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: golangci-lint-langserver_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.0.8"
        asset: golangci-lint-langserver_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: golangci-lint-langserver_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: golangci-lint-langserver_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: golangci-lint-langserver_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("dduan/tre", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dduan
    repo_name: tre
    description: Tree command, improved
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.3")
        asset: tre-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: Version == "0.3.0"
        asset: tre-v{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.3.6")
        asset: tre-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: tre-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("AlexanderGrooff/mermaid-ascii", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: AlexanderGrooff
    repo_name: mermaid-ascii
    description: Render Mermaid graphs inside your terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        no_asset: true
      - version_constraint: semver("<= 0.1.0")
        asset: mermaid-ascii_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "0.3.0"
        no_asset: true
      - version_constraint: "true"
        asset: mermaid-ascii_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: mermaid-ascii_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("juan-leon/lowcharts", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: juan-leon
    repo_name: lowcharts
    description: Tool to draw low-resolution graphs in terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        no_asset: true
      - version_constraint: Version == "v0.5.1"
        asset: lowcharts-v0.5.0-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.5.6")
        asset: lowcharts-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: lowcharts-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("air-verse/air", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: air-verse
    repo_name: air
    aliases:
      - name: cosmtrek/air
    description: Live reload for Go apps
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.12.2"
        asset: air_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: air_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.12.3"
        asset: air_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: air_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.12.1")
        no_asset: true
      - version_constraint: semver("<= 1.15.1")
        asset: air_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: air_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.27.3")
        asset: air_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: air_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: air_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: air_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("bep/s3deploy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bep
    repo_name: s3deploy
    description: A simple tool to deploy static websites to Amazon S3 and CloudFront with Gzip and custom headers support (e.g. "Cache-Control")
    asset: s3deploy_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
      - goos: darwin
        format: pkg
        asset: s3deploy_{{trimV .Version}}_{{.OS}}-universal.{{.Format}}
        files:
          - name: s3deploy
            src: Payload/s3deploy
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: s3deploy_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 2.11.0")
    version_overrides:
      - version_constraint: semver(">= 2.10.1")
        format: tar.gz
        overrides:
          - goos: darwin
            format: pkg
            asset: s3deploy_{{trimV .Version}}_{{.OS}}-universal.{{.Format}}
            files:
              - name: s3deploy
                src: Payload/s3deploy
          - goos: windows
            format: zip
      - version_constraint: semver(">= 2.9.0")
      - version_constraint: semver(">= 2.5.0")
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        rosetta2: false
      - version_constraint: semver(">= 2.4.0")
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
            replacements:
              arm64: arm64
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: false
      - version_constraint: semver(">= 1.1.1")
        format: tar.gz
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 1.0.2")
        format: tar.gz
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: s3deploy_checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 1.0.2")
        asset: s3deploy_{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: s3deploy_checksums.txt
          algorithm: sha256
"###),
    ("volta-cli/volta", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: volta-cli
    repo_name: volta
    description: "Volta: JS Toolchains as Code"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.5")
        asset: notion-{{trimV .Version}}-{{.OS}}.sh
        format: raw
        rosetta2: true
        files:
          - name: notion
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.0")
        asset: notion-{{trimV .Version}}-{{.OS}}-openssl-1.0.sh
        format: raw
        rosetta2: true
        files:
          - name: notion
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            asset: notion-{{trimV .Version}}-{{.OS}}.sh
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.1")
        asset: notion-{{trimV .Version}}-{{.OS}}-openssl-1.0.1.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: macos
        files:
          - name: notion
        overrides:
          - goos: darwin
            asset: notion-{{trimV .Version}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.2")
        asset: volta-{{trimV .Version}}-{{.OS}}-openssl-1.0.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.0.0")
        asset: volta-{{trimV .Version}}-{{.OS}}-openssl-1.0.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
          - goos: windows
            format: zip
            asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.6")
        asset: volta-{{trimV .Version}}-{{.OS}}-openssl-1.0.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            goarch: amd64
            asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
          - goos: darwin
            goarch: arm64
            asset: volta-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.8")
        asset: volta-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            asset: volta-{{trimV .Version}}-{{.OS}}-openssl-1.0.{{.Format}}
          - goos: darwin
            goarch: amd64
            asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
          - goos: darwin
            goarch: arm64
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1.1")
        asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            goarch: arm64
            asset: volta-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: volta-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            goarch: arm64
            asset: volta-{{trimV .Version}}-{{.OS}}-arm.{{.Format}}
          - goos: windows
            format: zip
          - goos: windows
            goarch: arm64
            asset: volta-{{trimV .Version}}-{{.OS}}-arm64.{{.Format}}
            format: zip
"###),
    ("aquaproj/aqua-installer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: aquaproj
    repo_name: aqua-installer
    path: aqua-installer
    description: Install aqua quickly
    supported_envs:
      - darwin
      - linux
"###),
    ("aquaproj/registry-tool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquaproj
    repo_name: registry-tool
    description: CLI to develop aqua Registry
    asset: registry-tool_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: aqua-registry
    checksum:
      type: github_release
      asset: registry-tool_{{trimV .Version}}_checksums.txt
      algorithm: sha256
      cosign:
        opts:
          - --certificate-identity-regexp
          - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
          - --certificate-oidc-issuer
          - "https://token.actions.githubusercontent.com"
          - --signature
          - https://github.com/aquaproj/registry-tool/releases/download/{{.Version}}/registry-tool_{{trimV .Version}}_checksums.txt.sig
          - --certificate
          - https://github.com/aquaproj/registry-tool/releases/download/{{.Version}}/registry-tool_{{trimV .Version}}_checksums.txt.pem
    slsa_provenance:
      type: github_release
      asset: multiple.intoto.jsonl
    version_constraint: semver(">= 0.1.6")
    version_overrides:
      - version_constraint: "true"
        slsa_provenance:
          enabled: false
        checksum:
          type: github_release
          asset: registry-tool_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("aquaproj/aqua-registry-updater", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquaproj
    repo_name: aqua-registry-updater
    description: Renovate alternative specific to aqua-registry. Overcome Renovate's scalability issue
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: aqua-registry-updater_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: aqua-registry-updater_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/aquaproj/aqua-registry-updater/releases/download/{{.Version}}/aqua-registry-updater_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/aquaproj/aqua-registry-updater/releases/download/{{.Version}}/aqua-registry-updater_{{trimV .Version}}_checksums.txt.pem
        slsa_provenance:
          type: github_release
          asset: aqua-registry-updater_{{.OS}}_{{.Arch}}.tar.gz.intoto.jsonl
        supported_envs:
          - linux/amd64
"###),
    ("aquaproj/example-go-slsa-provenance", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquaproj
    repo_name: example-go-slsa-provenance
    description: Example Go Application with SLSA Provenance
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: example-go-slsa-provenance_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: example-go-slsa-provenance_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: example-go-slsa-provenance_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: example-go-slsa-provenance_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/aquaproj/example-go-slsa-provenance/releases/download/{{.Version}}/example-go-slsa-provenance_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/aquaproj/example-go-slsa-provenance/\\.github/workflows/.+\\.ya?ml@refs/tags/\\Q{{.Version}}\\E$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/aquaproj/example-go-slsa-provenance/releases/download/{{.Version}}/example-go-slsa-provenance_{{trimV .Version}}_checksums.txt.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
"###),
    ("sclevine/yj", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sclevine
    repo_name: yj
    description: "CLI - Convert between YAML, TOML, JSON, and HCL. Preserves map order"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v5.0.0"
        asset: yj-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            goarch: arm64
            asset: yj-{{.OS}}-{{.Arch}}
          - goos: windows
            asset: yj
      - version_constraint: semver("<= 4.0.0")
        asset: yj-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: yj
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: yj-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: yj
"###),
    ("high-moctane/mocword", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: high-moctane
    repo_name: mocword
    description: Predict next words (｀･ω･´)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: mocword-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: mocword-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
"###),
    ("high-moctane/nextword", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: high-moctane
    repo_name: nextword
    description: Predict next English words
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: nextword_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: nextword_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("catenacyber/perfsprint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: catenacyber
    repo_name: perfsprint
    description: Golang linter to use strconv
    version_source: github_tag
"###),
    ("cantino/mcfly", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cantino
    repo_name: mcfly
    description: Fly through your shell history. Great Scott
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.6")
        asset: mcfly-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.6.0")
        asset: mcfly-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.5")
        asset: mcfly-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: mcfly-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
"###),
    ("geofffranks/spruce", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: geofffranks
    repo_name: spruce
    description: Standalone, daemon-less, unprivileged Dockerfile and OCI compatible container image builder
    supported_envs:
      - darwin
      - linux
      - amd64
    format: raw
    version_constraint: semver(">= 1.30.1")
    asset: spruce-{{.OS}}-{{.Arch}}
    complete_windows_ext: false
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha1"
      algorithm: sha1
    version_overrides:
      - version_constraint: semver("= 1.30.0")
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
      - version_constraint: "true"
        complete_windows_ext: true
        checksum:
          enabled: false
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
"###),
    ("secretlint/secretlint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: secretlint
    repo_name: secretlint
    description: Pluggable linting tool to prevent committing credential
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0") or Version == "v8.3.0"
        no_asset: true
      - version_constraint: semver("<= 0.7.2")
        asset: secretlint_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          linux: Linux
          windows: Windows_NT
          darwin: Darwin
          amd64: x64
        supported_envs:
          - darwin
          - windows
          - linux/amd64
      - version_constraint: Version == "v0.7.3"
        asset: secretlint_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          linux: Linux
          windows: Windows_NT
          amd64: x64
        supported_envs:
          - windows/amd64
          - linux/amd64
      - version_constraint: semver("<= 0.10.1")
        no_asset: true
      - version_constraint: semver("<= 4.1.0")
        asset: secretlint_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            asset: secretlint_{{.OS}}_NT_{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 8.1.2")
        no_asset: true
      - version_constraint: Version == "v8.2.0"
        asset: secretlint_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: X64
          linux: Linux
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v8.2.1"
        asset: secretlint_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v8.2.2"
        asset: secretlint-{{trimV .Version}}-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v8.2.4"
        asset: secretlint-{{trimV .Version}}-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: secretlint-{{trimV .Version}}-sha256sum.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: secretlint-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: secretlint-{{trimV .Version}}-sha256sum.txt
          algorithm: sha256
"###),
    ("RoseSecurity/Kuzco", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: RoseSecurity
    repo_name: Kuzco
    description: Kuzco reviews your Terraform resources, compares them to the provider schema to detect unused parameters, and uses AI to suggest improvements
    files:
      - name: kuzco
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: Kuzco_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: kuzco
            src: Kuzco
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: Kuzco_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("cubicdaiya/nginx-build", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cubicdaiya
    repo_name: nginx-build
    description: Seamless nginx builder
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: semver("<= 0.11.13")
        asset: nginx-build-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.12.1")
        no_asset: true
      - version_constraint: "true"
        asset: nginx-build-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: nginx-build_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("ktr0731/evans", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ktr0731
    repo_name: evans
    description: "Evans: more expressive universal gRPC client"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.3")
        asset: evans_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.6.9")
        asset: evans_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: evans_{{.OS}}_{{.Arch}}.exe.{{.Format}}
      - version_constraint: semver("<= 0.7.3")
        asset: evans_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: evans_{{.OS}}_{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.1")
        asset: evans_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: evans_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("Builditluc/wiki-tui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Builditluc
    repo_name: wiki-tui
    description: A simple and easy to use Wikipedia Text User Interface
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.9.0"
        no_asset: true
      - version_constraint: semver("<= 0.4.6")
        no_asset: true
      - version_constraint: semver("<= 0.4.8")
        asset: wiki-tui-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.2")
        asset: wiki-tui-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: wiki-tui-{{.OS}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: wiki-tui-{{.OS}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: wiki-tui-{{.OS}}.sha256
          algorithm: sha256
        supported_envs:
          - linux/amd64
"###),
    ("benchkram/bob", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: benchkram
    repo_name: bob
    description: Bob is a high-level build tool for multi-language projects
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: bob_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("deviceinsight/kafkactl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: deviceinsight
    repo_name: kafkactl
    description: Command Line Tool for managing Apache Kafka
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: kafkactl_x64.tar.xz
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.8.0")
        asset: kafkactl_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.14.0")
        asset: kafkactl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.16.0")
        asset: kafkactl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.4.0")
        asset: kafkactl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 5.0.5")
        asset: kafkactl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kafkactl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("ogham/exa", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ogham
    repo_name: exa
    asset: exa-{{.OS}}-{{.Arch}}-musl-{{.Version}}.{{.Format}}
    format: zip
    description: A modern replacement for ‘ls’
    replacements:
      amd64: x86_64
      darwin: macos
    overrides:
      - goos: darwin
        asset: exa-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    files:
      - name: exa
        src: bin/exa
"###),
    ("ogham/dog", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ogham
    repo_name: dog
    description: A command-line DNS client
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: dog-{{.Version}}-{{.Arch}}-{{.OS}}.zip
    replacements:
      amd64: x86_64
      windows: pc-windows-msvc
      darwin: apple-darwin
      linux: unknown-linux-gnu
    files:
      - name: dog
        src: bin/dog
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("hexdigest/gowrap", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hexdigest
    repo_name: gowrap
    description: GoWrap is a command line tool for generating decorators for Go interfaces
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.0")
        no_asset: true
      - version_constraint: semver("<= 1.1.10")
        asset: gowrap_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.1")
        asset: gowrap_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.3.2")
        asset: gowrap_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: gowrap_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("lusingander/serie", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lusingander
    repo_name: serie
    description: A rich git commit graph in your terminal, like magic
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.1")
        asset: serie-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: serie-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("lusingander/ddv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lusingander
    repo_name: ddv
    description: Terminal DynamoDB Viewer
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ddv-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("lusingander/stu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lusingander
    repo_name: stu
    description: TUI explorer application for Amazon S3 (AWS S3)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.4")
        no_asset: true
      - version_constraint: semver("<= 0.4.0")
        asset: stu-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.6.5")
        asset: stu-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: stu-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("yukiarrr/ecsk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yukiarrr
    repo_name: ecsk
    description: CLI tool that you can interactively call Amazon ECS APIs (run-task, execute-command, stop-task), copy files between ECS and local, and view logs
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.6")
        asset: ecsk_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: ecsk_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.9.0")
        asset: ecsk_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: ecsk_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: ecsk_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: ecsk_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("arl/gitmux", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: arl
    repo_name: gitmux
    description: Git in your tmux status bar
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.4")
        asset: gitmux_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.7.10")
        asset: gitmux_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: gitmux_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("self-actuated/actuated-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: self-actuated
    repo_name: actuated-cli
    description: CLI for actuated
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: actuated-cli
        format: raw
        overrides:
          - goos: darwin
            goarch: amd64
            asset: actuated-cli-{{.OS}}
          - goos: darwin
            goarch: arm64
            asset: actuated-cli-{{.OS}}-{{.Arch}}
        supported_envs:
          - darwin
          - amd64
"###),
    ("o2sh/onefetch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: o2sh
    repo_name: onefetch
    description: Command-line Git information tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v1.6.0", "v2.10.0", "2.15.0"]
        no_asset: true
      - version_constraint: Version in ["v1.0.0", "v2.0.1"]
        asset: onefetch_{{.OS}}_x86-64.{{.Format}}
        format: zip
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version in ["v1.0.5", "v1.5.4"]
        asset: onefetch_{{.OS}}_x86-64.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            asset: onefetch_{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version in ["v1.5.5", "v1.6.5"]
        asset: onefetch_{{.OS}}_x86-64.{{.Format}}
        format: zip
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v2.1.0"
        asset: onefetch_{{.OS}}_x86-64.{{.Format}}
        format: zip
        overrides:
          - goos: windows
            asset: onefetch_{{.OS}}-x86-64.{{.Format}}
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "v2.2.0"
        asset: onefetch_{{.OS}}-x86-64.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            asset: onefetch_{{.OS}}_x86-64.{{.Format}}
          - goos: darwin
            format: tar.gz
            asset: onefetch_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
            replacements:
              amd64: x86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.3.0"
        asset: onefetch_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: macos
        supported_envs:
          - darwin
      - version_constraint: semver("<= 1.5.3")
        asset: onefetch_{{.OS}}_x86-64.{{.Format}}
        format: zip
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 2.0.0")
        asset: onefetch_{{.OS}}_x86-64.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            asset: onefetch_{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: "true"
        asset: onefetch-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: mac
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("chatwork/kibertas", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chatwork
    repo_name: kibertas
    description: kibertas is a CLI tool for achieving end-to-end (E2E) testing of Kubernetes environments
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.4"
        no_asset: true
      - version_constraint: "true"
        asset: kibertas_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kibertas_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("magodo/pipeform", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: magodo
    repo_name: pipeform
    description: Terraform runtime TUI
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version matches "\\b[0-9a-f]{40}\\b"
        # To keep the compatibility
        type: go_install
      - version_constraint: Version == "v0.1.0"
        asset: pipeform_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: pipeform
            src: pipeform_{{.Version}}
        checksum:
          type: github_release
          asset: pipeform_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        asset: pipeform_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: pipeform_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
"###),
    ("magodo/hclgrep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: magodo
    repo_name: hclgrep
    description: Syntax based grep for HCL(v2)
"###),
    ("magodo/tfadd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: magodo
    repo_name: tfadd
    description: Generate valid Terraform configuration from state
"###),
    ("elkowar/pipr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: elkowar
    repo_name: pipr
    description: A tool to interactively write shell pipelines
    asset: pipr
    format: raw
    supported_envs:
      - linux/amd64
"###),
    ("msoap/shell2http", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: msoap
    repo_name: shell2http
    description: Executing shell commands via HTTP server
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.1"
        asset: shell2http_{{.Version}}.{{.Arch}}.{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "1.2"
        asset: shell2http-{{.Version}}.{{.Arch}}.{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "1.7"
        asset: shell2http-{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 1.4.0")
        asset: shell2http-{{.Version}}.{{.Arch}}.{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.0")
        asset: shell2http-{{.Version}}.{{.Arch}}.{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 1.13.0")
        asset: shell2http-{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: shell2http_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("kubewarden/kwctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubewarden
    repo_name: kwctl
    description: Go-to CLI tool for Kubewarden users
    files:
      - name: kwctl
        src: kwctl-{{.OS}}-{{.Arch}}
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.4.1"
        asset: kwctl-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: windows
            asset: kwctl-{{.OS}}-{{.Arch}}.exe.{{.Format}}
      - version_constraint: Version == "v1.7.0-rc2"
        asset: default.kwctl-{{.OS}}-{{.Arch}}.kwctl-darwin-x86_64.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: linux
            goarch: amd64
            asset: default.kwctl-{{.OS}}-{{.Arch}}.kwctl-linux-x86_64.{{.Format}}
          - goos: linux
            goarch: arm64
            asset: default.kwctl-{{.OS}}-{{.Arch}}.kwctl-linux-aarch64.{{.Format}}
          - goos: darwin
            goarch: arm64
            asset: default.kwctl-{{.OS}}-{{.Arch}}.kwctl-darwin-aarch64.{{.Format}}
          - goos: windows
            asset: default.kwctl-{{.OS}}-{{.Arch}}.kwctl-windows-x86_64.exe.{{.Format}}
            replacements: {}
      - version_constraint: semver("<= 0.1.1")
        asset: kwctl.{{.Format}}
        format: zip
        files:
          - name: kwctl
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.2.4")
        asset: kwctl-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: kwctl
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.2.5-rc2")
        asset: kwctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 1.1.1")
        asset: kwctl-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            asset: kwctl-{{.OS}}-{{.Arch}}.exe.{{.Format}}
      - version_constraint: "true"
        asset: kwctl-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: windows
            asset: kwctl-{{.OS}}-{{.Arch}}.exe.{{.Format}}
            replacements: {}
"###),
    ("cswank/kcli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cswank
    repo_name: kcli
    description: A kafka command line browser
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["1.4.0", "1.8.1", "1.8.2"]
        no_asset: true
      - version_constraint: "true"
        asset: kcli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("oxc-project/oxc/oxlint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: oxc-project/oxc/oxlint
    repo_owner: oxc-project
    repo_name: oxc
    description: The linter for oxc
    version_constraint: "false"
    version_prefix: oxlint_v
    version_overrides:
      - version_constraint: semver("<= 0.0.8")
        asset: oxlint-{{.OS}}-{{.Arch}}
        files:
          - name: oxlint
            src: oxlint-{{.OS}}-{{.Arch}}
        replacements:
          amd64: x64
          windows: win32
      - version_constraint: Version == "oxlint_v0.0.9"
        no_asset: true
      - version_constraint: semver("<= 0.0.19")
        asset: oxlint-{{.OS}}-{{.Arch}}
        files:
          - name: oxlint
            src: oxlint-{{.OS}}-{{.Arch}}
        replacements:
          amd64: x64
          windows: win32
      - version_constraint: Version == "oxlint_v0.1.1"
        no_asset: true
      - version_constraint: semver("<= 0.2.2")
        asset: oxlint-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: oxlint
            src: oxlint-{{.OS}}-{{.Arch}}
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x64
          windows: win32
      - version_constraint: "true"
        asset: oxlint-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: oxlint
            src: oxlint-{{.OS}}-{{.Arch}}
        overrides:
          - goos: windows
            format: zip
          - goos: linux
            asset: oxlint-{{.OS}}-{{.Arch}}-gnu.{{.Format}}
            files:
              - name: oxlint
                src: oxlint-{{.OS}}-{{.Arch}}-gnu
        replacements:
          amd64: x64
          windows: win32
"###),
    ("gitlab.com/gitlab-org/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: gitlab.com/gitlab-org/cli
    # TODO: Support GitLab
    # repo_owner: gitlab-org
    # repo_name: cli
    aliases:
      - name: profclems/glab
    type: http
    link: https://gitlab.com/gitlab-org/cli
    description: A GitLab CLI tool bringing GitLab to your command line
    files:
      - name: glab
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.22.0")
        type: github_release
        repo_owner: profclems
        repo_name: glab
        rosetta2: true
        windows_arm_emulation: true
        asset: glab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          darwin: macOS
          linux: Linux
          386: i386
          amd64: x86_64
          windows: Windows
        files:
          - name: glab
            src: bin/glab
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.46.1")
        url: https://gitlab.com/gitlab-org/cli/-/releases/{{.Version}}/downloads/glab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: glab
            src: bin/glab
        replacements:
          linux: Linux
          windows: Windows
          darwin: macOS
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        url: https://gitlab.com/gitlab-org/cli/-/releases/{{.Version}}/downloads/glab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: glab
            src: bin/glab
        overrides:
          - goos: windows
            format: zip
"###),
    ("xitonix/trubka", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xitonix
    repo_name: trubka
    description: A CLI tool for Kafka
    rosetta2: true
    asset: trubka_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - amd64
"###),
    ("tamasfe/taplo/full", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tamasfe
    repo_name: taplo
    name: tamasfe/taplo/full
    description: A TOML toolkit written in Rust
    version_constraint: not (Version startsWith "release-taplo-cli-") and not (Version startsWith "release-cli-") and semver(">= 0.8.0")
    asset: taplo-full-{{.OS}}-{{.Arch}}.{{.Format}}
    replacements:
      amd64: x86_64
      arm64: aarch64
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    format: gz
    files:
      - name: taplo
        src: taplo-full-{{.OS}}-{{.Arch}}
    overrides:
      - goos: windows
        format: zip
        files:
          - name: taplo
            src: taplo.exe
    version_overrides:
      - version_constraint: Version startsWith "release-taplo-cli-"
        asset: taplo-full-{{.Arch}}-{{.OS}}-gnu.{{.Format}}
        rosetta2: true
        format: tar.gz
        supported_envs:
          - darwin
          - linux/amd64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
        overrides: []
        files:
          - name: taplo
      - version_constraint: Version startsWith "release-cli-" and semverWithVersion(">= 0.6.0", trimPrefix(Version, "release-cli-"))
        asset: taplo-full-{{trimPrefix "release-cli-" .Version}}-{{.Arch}}-{{.OS}}-gnu.{{.Format}}
        rosetta2: true
        format: tar.gz
        supported_envs:
          - darwin
          - linux/amd64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
        overrides: []
        files:
          - name: taplo
"###),
    ("tamasfe/taplo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tamasfe
    repo_name: taplo
    description: A TOML toolkit written in Rust
    version_constraint: not (Version startsWith "release-taplo-cli-") and not (Version startsWith "release-cli-") and semver(">= 0.8.0")
    asset: taplo-{{.OS}}-{{.Arch}}.{{.Format}}
    replacements:
      amd64: x86_64
      arm64: aarch64
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    format: gz
    files:
      - name: taplo
        src: taplo-{{.OS}}-{{.Arch}}
    overrides:
      - goos: windows
        format: zip
        files:
          - name: taplo
            src: taplo.exe
    version_overrides:
      - version_constraint: Version startsWith "release-taplo-cli-"
        asset: taplo-{{.Arch}}-{{.OS}}-gnu.{{.Format}}
        rosetta2: true
        format: tar.gz
        supported_envs:
          - darwin
          - linux/amd64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
        overrides: []
        files:
          - name: taplo
      - version_constraint: Version startsWith "release-cli-" and semverWithVersion(">= 0.6.0", trimPrefix(Version, "release-cli-"))
        asset: taplo-{{trimPrefix "release-cli-" .Version}}-{{.Arch}}-{{.OS}}-gnu.{{.Format}}
        rosetta2: true
        format: tar.gz
        supported_envs:
          - darwin
          - linux/amd64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
        overrides: []
        files:
          - name: taplo
      - version_constraint: Version startsWith "release-cli-" and semverWithVersion("<= 0.5.0", trimPrefix(Version, "release-cli-"))
        asset: taplo-{{.Arch}}-{{.OS}}-gnu.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux
          windows: pc-windows
        files:
          - name: taplo
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - amd64
"###),
    ("civo/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: civo
    repo_name: cli
    description: Our Command Line Interface (CLI) for interacting with your Civo resources
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: civo-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: civo
    checksum:
      type: github_release
      asset: civo-{{trimV .Version}}-checksums.sha256
      algorithm: sha256
"###),
    ("shssoichiro/oxipng", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: shssoichiro
    repo_name: oxipng
    description: Multithreaded PNG optimizer written in Rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.11.0", "v0.14.0"]
        asset: oxipng-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.14.3"
        asset: oxipng-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.10.0") || Version in ["v0.17.0", "v2.2.1"]
        no_asset: true
      - version_constraint: semver("<= 0.15.1")
        asset: oxipng-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.0")
        asset: oxipng-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "v3.0.1"
        asset: oxipng-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: oxipng
            src: oxipng-{{trimV .Version}}-{{.Arch}}-{{.OS}}/oxipng
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            asset: oxipng-{{trimV .Version}}-i686-{{.OS}}.{{.Format}}
            files:
              - name: oxipng
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 8.0.0")
        asset: oxipng-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: oxipng
            src: oxipng-{{trimV .Version}}-{{.Arch}}-{{.OS}}/oxipng
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: oxipng
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: oxipng-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: oxipng
            src: oxipng-{{trimV .Version}}-{{.Arch}}-{{.OS}}/oxipng
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("abhimanyu003/sttr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: abhimanyu003
    repo_name: sttr
    description: cross-platform, cli app to perform various operations on string
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.11")
        asset: sttr_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sttr_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.23")
        asset: sttr_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: sttr_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: sttr_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
      - version_constraint: Version == "v0.2.24"
        asset: sttr_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: sttr_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/abhimanyu003/sttr/.github/workflows/goreleaser.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/abhimanyu003/sttr/releases/download/{{.Version}}/sttr_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/abhimanyu003/sttr/releases/download/{{.Version}}/sttr_{{trimV .Version}}_checksums.txt.pem
        overrides:
          - goos: darwin
            asset: sttr_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: sttr_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: sttr_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/abhimanyu003/sttr/releases/download/{{.Version}}/sttr_0.2.25_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/abhimanyu003/sttr/\\.github/workflows/.+\\.ya?ml@refs/tags/\\Q{{.Version}}\\E$"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/abhimanyu003/sttr/releases/download/{{.Version}}/sttr_0.2.25_checksums.txt.sig
        overrides:
          - goos: darwin
            asset: sttr_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("rcoh/angle-grinder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rcoh
    repo_name: angle-grinder
    description: Slice and dice logs on the command line
    files:
      - name: agrind
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.19.3"
        asset: agrind-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.15-alpha1"
        asset: agrind-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.0")
        asset: angle_grinder-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: ag
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.15.0")
        asset: angle_grinder-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: agrind-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("mmalcek/bafi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mmalcek
    repo_name: bafi
    asset: bafi_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tgz
    description: Universal JSON, BSON, YAML, CSV, XML converter with templates
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: bafi_{{.Version}}_{{.OS}}_{{.Arch}}_checksum.txt
      algorithm: md5
"###),
    ("yannh/kubeconform", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yannh
    repo_name: kubeconform
    description: A FAST Kubernetes manifests validator, with support for Custom Resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.1.0"
        asset: kubeconform-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.8")
        asset: kubeconform-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: CHECKSUMS
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubeconform-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: CHECKSUMS
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("fullstorydev/grpcui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fullstorydev
    repo_name: grpcui
    description: An interactive web UI for gRPC, along the lines of postman
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.1"
        no_asset: true
      - version_constraint: semver("<= 1.2.0")
        asset: grpcui_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: grpcui_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: grpcui_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: grpcui_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("fullstorydev/grpcurl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fullstorydev
    repo_name: grpcurl
    description: "Like cURL, but for gRPC: Command-line tool for interacting with gRPC servers"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v1.3.2", "v1.5.1"]
        no_asset: true
      - version_constraint: Version == "v1.8.5"
        asset: grpcurl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: grpcurl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.8.0")
        asset: grpcurl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: grpcurl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.8.2")
        asset: grpcurl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: grpcurl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.8.4")
        no_asset: true
      - version_constraint: "true"
        asset: grpcurl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: grpcurl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("samuel-lucas6/Kryptor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: samuel-lucas6
    repo_name: Kryptor
    description: A simple, modern, and secure encryption and signing tool that aims to be a better version of age and Minisign
    files:
      - name: kryptor
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.2.2"
        asset: KryptorCLI-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.2.1")
        no_asset: true
      - version_constraint: semver("<= 3.1.1")
        asset: kryptor-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kryptor-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
"###),
    ("Myriad-Dreamin/tinymist", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Myriad-Dreamin
    repo_name: tinymist
    description: Tinymist [ˈtaɪni mɪst] is an integrated language service for Typst [taɪpst]
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tinymist-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          windows: win32
"###),
    ("cocogitto/cocogitto", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cocogitto
    repo_name: cocogitto
    description: The Conventional Commits toolbox
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 5.3.1")
        asset: cocogitto-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: cog
        replacements:
          amd64: x86_64
          darwin: osx
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 5.6.0")
        asset: cocogitto-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: cog
        replacements:
          amd64: x86_64
          darwin: osx
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "6.0.0"
        asset: cocogitto-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cog
            src: "{{.Arch}}-{{.OS}}/cog/cog"
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            files:
              - name: cog
                src: "{{.Arch}}-{{.OS}}/cog.exe/cog.exe"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
      - version_constraint: "true"
        asset: cocogitto-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cog
            src: "{{.Arch}}-{{.OS}}/cog"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            files:
              - name: cog
                src: "{{.Arch}}-{{.OS}}/cog.exe"
"###),
    ("denisidoro/navi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: denisidoro
    repo_name: navi
    description: An interactive cheatsheet tool for the command-line
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.15.0"
        asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - darwin
      - version_constraint: Version == "v2.15.1"
        asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        overrides:
          - goos: darwin
            goarch: amd64
            replacements:
              darwin: osx
          - goos: darwin
            goarch: arm64
            asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}-ios.{{.Format}}
            replacements:
              arm64: aarch64
              darwin: apple
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.24.0"
        asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-gnu
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
        supported_envs:
          - linux
          - windows/amd64
      - version_constraint: semver("<= 1.0.0")
        no_asset: true
      - version_constraint: semver("<= 2.1.1")
        asset: navi-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.14.0")
        asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.19.0")
        asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        overrides:
          - goos: darwin
            goarch: amd64
            replacements:
              darwin: apple-darwin
          - goos: darwin
            goarch: arm64
            asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}-ios.{{.Format}}
            replacements:
              arm64: aarch64
              darwin: apple
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.20.1")
        asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          windows: pc-windows-gnu
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: darwin
            goarch: amd64
            replacements:
              darwin: apple-darwin
          - goos: darwin
            goarch: arm64
            asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}-ios.{{.Format}}
            replacements:
              darwin: apple
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: navi-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-gnu
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
"###),
    ("sheepla/srss", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sheepla
    repo_name: srss
    description: A command line RSS/ATOM/JSON feed reader
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: srss_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("sheepla/pingu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sheepla
    repo_name: pingu
    description: ping command but with pingu
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pingu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("sheepla/qiitaz", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sheepla
    repo_name: qiitaz
    description: A command line Qiita searcher & viewer with fuzzyfinder UI
    asset: qiitaz_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      darwin: Darwin
      linux: Linux
      windows: Windows
      386: i386
      amd64: x86_64
    overrides:
      - goos: windows
        format: zip
    version_constraint: semver("!= 0.0.5")
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: semver("= 0.0.5")
        # It seems that only v0.0.5 wasn't released with goreleaser.
        format: tar.gz
        replacements: {}
        asset: qiitaz_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides:
          - goos: darwin
            format: zip
          - goos: windows
            format: zip
        files:
          - name: qiitaz
            src: qiitaz_{{.OS}}_{{.Arch}}/qiitaz
        checksum:
          enabled: false
"###),
    ("sheepla/gofind", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sheepla
    repo_name: gofind
    description: A command line pkg.go.dev searcher and `go get` helper
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: gofind_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: gofind_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: gofind_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("sheepla/fzwiki", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sheepla
    repo_name: fzwiki
    description: A command line tool with fzf-like UI to search Wikipedia articles and open it in your browser quickly
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        no_asset: true
      - version_constraint: semver("<= 0.0.2")
        asset: fzwiki_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: fzwiki_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.0.9")
        asset: fzwiki_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: fzwiki_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: fzwiki_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("sheepla/longgopher", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sheepla
    repo_name: longgopher
    description: ʕ◉ϖ◉ʔ loooooooooooooooooooooong gopher
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: longgopher_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("g-plane/pnpm-shell-completion", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: g-plane
    repo_name: pnpm-shell-completion
    description: |
      Complete your pnpm command fastly

      ## Set up

      You need to execute a script within the running shell's process.
      For details, please see the document.

      https://github.com/g-plane/pnpm-shell-completion#installation

      Zsh:

      ```sh
      local plugin_path_dir=$(dirname $(aqua which pnpm-shell-completion))
      local plugin_path="${plugin_path_dir}/pnpm-shell-completion.plugin.zsh"
      source $plugin_path
      ```
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: pnpm-shell-completion_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.3.0"
        asset: pnpm-shell-completion_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: pnpm-shell-completion_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            asset: pnpm-shell-completion_pwsh_{{.Arch}}-{{.OS}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("leoafarias/fvm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: leoafarias
    repo_name: fvm
    description: "Flutter Version Management: A simple CLI to manage Flutter SDK versions"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.13")
        asset: fvm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.8")
        asset: fvm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.3.0")
        asset: fvm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.8.3")
        no_asset: true
      - version_constraint: Version == "App-1.0.0-alpha"
        asset: fvm-app-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "App-1.0.0-alpha.1"
        asset: fvm_{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        supported_envs:
          - windows/amd64
      - version_constraint: semver("<= 1.2.3")
        no_asset: true
      - version_constraint: semver("<= 1.3.4")
        asset: fvm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: fvm
            src: fvm/fvm
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fvm
                src: fvm/fvm.bat
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.3.8")
        no_asset: true
      - version_constraint: semver("<= 2.2.4")
        asset: fvm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: fvm
            src: fvm/fvm
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fvm
                src: fvm/fvm.bat
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "2.2.5-dev"
        asset: fvm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: fvm
            src: fvm/fvm
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "2.2.5-dev.1"
        asset: fvm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: fvm
            src: fvm/fvm
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 2.3.1")
        asset: fvm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: fvm
            src: fvm/fvm
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fvm
                src: fvm/fvm.bat
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.4.1")
        asset: fvm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: fvm
            src: fvm/fvm
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fvm
                src: fvm/fvm.bat
      - version_constraint: semver("<= 3.0.0-alpha.2")
        no_asset: true
      - version_constraint: "true"
        asset: fvm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: fvm
            src: fvm/fvm
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fvm
                src: fvm/fvm.bat
"###),
    ("syumai/sbx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: syumai
    repo_name: sbx
    description: an easy-to-use command-line tool for running commands with macOS sandbox-exec policies using flag-based interface
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        no_asset: true
      - version_constraint: Version == "v0.0.2"
        asset: sbx_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: sbx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.4")
        asset: sbx-{{.Arch}}-{{.OS}}
        format: raw
        checksum:
          type: github_release
          asset: sbx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: sbx-{{.Arch}}-{{.OS}}
        format: raw
        checksum:
          type: github_release
          asset: sbx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
"###),
    ("kettle11/devserver", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kettle11
    repo_name: devserver
    description: A simple HTTPS server for local development. Implemented in Rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: devserver-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: devserver-{{.Arch}}-{{.OS}}.sha512
          algorithm: sha512
"###),
    ("sudorandom/protoc-gen-connect-openapi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sudorandom
    repo_name: protoc-gen-connect-openapi
    description: Plugin for generating OpenAPIv3 from protobufs matching the Connect RPC interface
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.3")
        no_asset: true
      - version_constraint: semver("<= 0.13.0")
        asset: protoc-gen-connect-openapi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: protoc-gen-connect-openapi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: protoc-gen-connect-openapi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: protoc-gen-connect-openapi_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
"###),
    ("gitui-org/gitui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gitui-org
    repo_name: gitui
    aliases:
      - name: extrawurst/gitui
    description: Blazing  fast terminal-ui for git written in rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.7")
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        supported_envs:
          - darwin
      - version_constraint: Version == "v0.1.8"
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.11")
        asset: gitui-{{.OS}}-musl.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        overrides:
          - goos: darwin
            asset: gitui-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.1")
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            asset: gitui-{{.OS}}-musl.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.9.0"
        asset: gitui-{{.OS}}-musl.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        overrides:
          - goos: darwin
            asset: gitui-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.9.1"
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            asset: gitui-{{.OS}}-musl.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.10.0"
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: Version == "v0.10.1"
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            asset: gitui-{{.OS}}-musl.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.11.0-rc1"
        asset: gitui-{{.OS}}-musl.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        overrides:
          - goos: darwin
            asset: gitui-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.11.0")
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            asset: gitui-{{.OS}}-musl.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.12.0-rc1"
        asset: gitui-{{.OS}}-musl.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        overrides:
          - goos: darwin
            asset: gitui-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.19.0")
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            asset: gitui-{{.OS}}-musl.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.20.0"
        asset: gitui-{{.OS}}-musl.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        overrides:
          - goos: darwin
            asset: gitui-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.21.0")
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            asset: gitui-{{.OS}}-musl.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.25.2")
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            goarch: amd64
            asset: gitui-{{.OS}}-arm.{{.Format}}
          - goos: linux
            goarch: arm64
            asset: gitui-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              arm64: aarch64
      - version_constraint: Version == "v0.26.0"
        asset: gitui-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
              arm64: aarch64
          - goos: darwin
            asset: gitui-{{.OS}}.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: gitui-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            asset: gitui-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              amd64: x86_64
              arm64: aarch64
"###),
    ("Songmu/gocredits", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: gocredits
    description: creates CREDITS file from LICENSE files of dependencies
    rosetta2: true
    asset: gocredits_{{.Version}}_{{.OS}}_amd64.{{.Format}}
    supported_envs:
      - darwin
      - linux
    files:
      - name: gocredits
        src: gocredits_{{.Version}}_{{.OS}}_amd64/gocredits
    format: tar.gz
    overrides:
      - goos: darwin
        format: zip
"###),
    ("Songmu/ghch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: ghch
    description: Generate changelog from git history, tags and merged pull requests
    rosetta2: true
    asset: ghch_{{.Version}}_{{.OS}}_amd64.{{.Format}}
    supported_envs:
      - darwin
      - amd64
    files:
      - name: ghch
        src: ghch_{{.Version}}_{{.OS}}_amd64/ghch
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
"###),
    ("Songmu/timeout", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: timeout
    asset: timeout_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: Timeout invocation. Go porting of GNU timeout and able to use as Go package
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: go-timeout
        src: timeout_{{.Version}}_{{.OS}}_{{.Arch}}/go-timeout
"###),
    ("Songmu/horenso", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: horenso
    description: Command wrapper for reporting the result. It is useful for cron jobs
    rosetta2: true
    asset: horenso_{{.Version}}_{{.OS}}_amd64.{{.Format}}
    supported_envs:
      - darwin
      - amd64
    files:
      - name: horenso
        src: horenso_{{.Version}}_{{.OS}}_amd64/horenso
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
"###),
    ("Songmu/ecschedule", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: ecschedule
    description: ecschedule is a tool to manage ECS Scheduled Tasks
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.5.1"
        asset: ecschedule_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: ecschedule
            src: "{{.AssetWithoutExt}}/ecschedule"
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin/arm64
      - version_constraint: semver("<= 0.1.2")
        asset: ecsched_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: ecsched
            src: "{{.AssetWithoutExt}}/ecsched"
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.1")
        asset: ecschedule_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: ecschedule
            src: "{{.AssetWithoutExt}}/ecschedule"
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.6.3")
        asset: ecschedule_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: ecschedule
            src: "{{.AssetWithoutExt}}/ecschedule"
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.11.4")
        asset: ecschedule_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: ecschedule
            src: "{{.AssetWithoutExt}}/ecschedule"
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: ecschedule_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: ecschedule
            src: "{{.AssetWithoutExt}}/ecschedule"
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
"###),
    ("Songmu/maltmill", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: maltmill
    asset: maltmill_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: create and update Homebrew thrid party Formulae
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: maltmill
        src: maltmill_{{.Version}}_{{.OS}}_{{.Arch}}/maltmill
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("Songmu/gotesplit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: gotesplit
    asset: gotesplit_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    description: Splits the testing in Go into a subset and run it. It is useful for the CI environment
    files:
      - name: gotesplit
        src: gotesplit_{{.Version}}_{{.OS}}_{{.Arch}}/gotesplit
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("Songmu/gitsemvers", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: gitsemvers
    description: Retrieve semvers from git tags
    asset: gitsemvers_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: git-semvers
        src: gitsemvers_{{.Version}}_{{.OS}}_{{.Arch}}/git-semvers
"###),
    ("Songmu/make2help", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: make2help
    description: Utility for self-documented Makefile
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: make2help_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: make2help
            src: make2help_{{.Version}}_{{.OS}}_{{.Arch}}/make2help
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.0")
        asset: make2help_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: make2help
            src: make2help_{{.Version}}_{{.OS}}_{{.Arch}}/make2help
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: make2help_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: make2help
            src: make2help_{{.Version}}_{{.OS}}_{{.Arch}}/make2help
        overrides:
          - goos: linux
            format: tar.gz
"###),
    ("Songmu/goxz", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: goxz
    asset: goxz_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    description: Just do cross building and archiving go tools conventionally
    files:
      - name: goxz
        src: goxz_{{.Version}}_{{.OS}}_{{.Arch}}/goxz
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
"###),
    ("Songmu/r2sync", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: r2sync
    description: r2sync is a command-line tool for synchronizing files between a local directory and Cloudflare R2
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        no_asset: true
      - version_constraint: "true"
        asset: r2sync_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin
        files:
          - name: r2sync
            src: r2sync_{{.Version}}_{{.OS}}_{{.Arch}}/r2sync
"###),
    ("Songmu/tagpr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: tagpr
    description: The tagpr automatically creates and updates a pull request for unreleased items, tag them when they are merged, and create releases
    asset: tagpr_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - linux
      - darwin
    files:
      - name: tagpr
        src: tagpr_{{.Version}}_{{.OS}}_{{.Arch}}/tagpr
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("Songmu/gh2changelog", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: gh2changelog
    asset: gh2changelog_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - linux
      - darwin
    files:
      - name: gh2changelog
        src: gh2changelog_{{.Version}}_{{.OS}}_{{.Arch}}/gh2changelog
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("Songmu/ghg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: ghg
    description: Get the executable from github releases easily
    rosetta2: true
    asset: ghg_{{.Version}}_{{.OS}}_amd64.{{.Format}}
    files:
      - name: ghg
        src: ghg_{{.Version}}_{{.OS}}_amd64/ghg
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
"###),
    ("Songmu/podbard", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: podbard
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        asset: primcast_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin
        files:
          - name: primcast
            src: primcast_{{.Version}}_{{.OS}}_{{.Arch}}/primcast
      - version_constraint: "true"
        asset: podbard_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin
        files:
          - name: podbard
            src: podbard_{{.Version}}_{{.OS}}_{{.Arch}}/podbard
"###),
    ("Songmu/godzil", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Songmu
    repo_name: godzil
    asset: godzil_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: A Go Authoring tool
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: godzil
        src: godzil_{{.Version}}_{{.OS}}_{{.Arch}}/godzil
"###),
    ("cea-hpc/sshproxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cea-hpc
    repo_name: sshproxy
    asset: sshproxy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: Proxy SSH connections on a gateway
    replacements:
      amd64: x86_64
      linux: Linux
    supported_envs:
      - linux/amd64
    files:
      - name: sshproxy
        src: sshproxy_{{trimV .Version}}_{{.OS}}_{{.Arch}}/sshproxy
      - name: sshproxy-dumpd
        src: sshproxy_{{trimV .Version}}_{{.OS}}_{{.Arch}}/sshproxy-dumpd
      - name: sshproxy-replay
        src: sshproxy_{{trimV .Version}}_{{.OS}}_{{.Arch}}/sshproxy-replay
      - name: sshproxyctl
        src: sshproxy_{{trimV .Version}}_{{.OS}}_{{.Arch}}/sshproxyctl
"###),
    ("mislav/hub", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mislav
    repo_name: hub
    aliases:
      - name: github/hub
    rosetta2: true
    asset: hub-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
    description: A command-line tool that makes git easier to use with GitHub
    supported_envs:
      - darwin
      - linux
      - amd64
    format: tgz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: hub
            src: bin/hub.exe
    files:
      - name: hub
        src: hub-{{.OS}}-{{.Arch}}-{{trimV .Version}}/bin/hub
"###),
    ("mitoma/sver", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mitoma
    repo_name: sver
    description: Version generator based on source code
    asset: sver_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    replacements:
      darwin: macos
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: SHASUMS256.txt
      algorithm: sha256
    version_constraint: semver(">= 0.1.14")
    version_overrides:
      - version_constraint: Version == "v0.1.13"
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.1.7")
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.1.2")
        replacements: {}
        checksum:
          enabled: false
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("< 0.1.2")
        asset: sver_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements: {}
        checksum:
          enabled: false
        files:
          - name: sver
            src: sver_{{.OS}}_{{.Arch}}/sver
        supported_envs:
          - linux/amd64
"###),
    ("fatedier/frp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fatedier
    repo_name: frp
    description: A fast reverse proxy to help you expose a local server behind a NAT or firewall to the internet
    asset: frp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: frpc
        src: frp_{{trimV .Version}}_{{.OS}}_{{.Arch}}/frpc
      - name: frps
        src: frp_{{trimV .Version}}_{{.OS}}_{{.Arch}}/frps
    checksum:
      type: github_release
      asset: frp_sha256_checksums.txt
      algorithm: sha256
"###),
    ("arttor/helmify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: arttor
    repo_name: helmify
    description: Creates Helm chart from Kubernetes yaml
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.0"
        asset: helmify-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.2.2")
        no_asset: true
      - version_constraint: semver("<= 0.4.4")
        asset: helmify_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: helmify_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("pcasteran/terraform-graph-beautifier", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pcasteran
    repo_name: terraform-graph-beautifier
    description: Terraform graph beautifier
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: terraform-graph-beautifier_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: terraform-graph-beautifier_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("ossf/scorecard", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ossf
    repo_name: scorecard
    description: OpenSSF Scorecard - Security health metrics for Open Source
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0") || Version == "v4.9.0"
        no_asset: true
      - version_constraint: Version == "v1.1.0"
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: scorecard_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 2.1.2")
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: Linux
        checksum:
          type: github_release
          asset: scorecard_{{trimV .Version}}_checksums.txt
          algorithm: sha512
      - version_constraint: Version == "v2.1.3"
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: Linux
        checksum:
          type: github_release
          asset: scorecard_{{trimV .Version}}_checksums.txt
          algorithm: sha512
      - version_constraint: semver("<= 3.0.1")
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          linux: Linux
        checksum:
          type: github_release
          asset: scorecard_{{trimV .Version}}_checksums.txt
          algorithm: sha512
      - version_constraint: semver("<= 4.4.0")
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: scorecard
            src: scorecard-{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: scorecard_checksums.txt
          algorithm: sha512
        overrides:
          - goos: linux
            goarch: amd64
            checksum:
              enabled: false
      - version_constraint: Version == "v4.5.0"
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: scorecard
            src: scorecard-{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: scorecard_checksums.txt
          algorithm: sha512
        supported_envs:
          - linux/arm64
          - darwin
          - windows
      - version_constraint: semver("<= 4.8.0")
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: scorecard
            src: scorecard-{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: scorecard_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 5.0.0")
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: scorecard
            src: scorecard-{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: scorecard_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: scorecard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: scorecard_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
"###),
    ("sanathp/statusok", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sanathp
    repo_name: statusok
    description: Monitor your Website and APIs from your Computer. Get Notified through Slack, E-mail when your server is down or response time is more than expected
    rosetta2: true
    asset: statusok_{{.OS}}.zip
    supported_envs:
      - darwin
      - linux/amd64
    files:
      - name: statusok
        src: statusok_{{.OS}}/statusok
    replacements:
      darwin: mac
"###),
    ("dapr/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dapr
    repo_name: cli
    description: Command-line tools for Dapr
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: dapr_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: dapr
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("corrupt952/closest", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: corrupt952
    repo_name: closest
    description: The command that searches the current directory or parent directories for a specific file and returns the closest path
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: closest_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: closest_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("weaviate/weaviate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: weaviate
    repo_name: weaviate
    description: Weaviate is an open-source vector database that stores both objects and vectors, allowing for the combination of vector search with structured filtering with the fault tolerance and scalability of a cloud-native database​
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.18.0-rc.0") || Version == "v1.18.6"
        no_asset: true
      - version_constraint: Version == "v1.22.1"
        asset: weaviate-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: darwin
            asset: weaviate-v1.21.1-{{.OS}}-all.{{.Format}}
            format: zip
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.19.5") || Version == "v1.19.13"
        asset: weaviate-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.20.6")
        asset: weaviate-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: darwin
            asset: weaviate-{{.Version}}-{{.OS}}-all.{{.Format}}
            format: zip
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.30.3")
        asset: weaviate-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: darwin
            asset: weaviate-{{.Version}}-{{.OS}}-all.{{.Format}}
            format: zip
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: weaviate-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: darwin
            asset: weaviate-{{.Version}}-{{.OS}}-all.{{.Format}}
            format: zip
        supported_envs:
          # https://github.com/weaviate/weaviate/pull/8123
          - linux
          - darwin
"###),
    ("github-release/github-release", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: github-release
    repo_name: github-release
    asset: "{{.OS}}-{{.Arch}}-github-release.{{.Format}}"
    format: bz2
    description: Commandline app to create and edit releases on Github (and upload artifacts)
    overrides:
      - goos: windows
        format: zip
        files:
          - name: github-release
            src: bin/windows/{{.Arch}}/github-release.exe
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: github-release
        src: "{{.OS}}-{{.Arch}}-github-release"
    version_constraint: semver(">= 0.8.0")
    version_overrides:
      - version_constraint: semver(">= 0.5.0")
        format: tar.bz2
        files:
          - name: github-release
            src: bin/{{.OS}}/{{.Arch}}/github-release
      - version_constraint: "true"
        supported_envs: []
        rosetta2: false
"###),
    ("vishaltelangre/ff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: vishaltelangre
    repo_name: ff
    description: Find files (ff) by name, fast
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.1"
        asset: ff-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: find-files-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
"###),
    ("ko1nksm/getoptions/gengetoptions", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: ko1nksm/getoptions/gengetoptions
    repo_owner: ko1nksm
    repo_name: getoptions
    type: github_release
    description: An elegant option/argument parser for shell scripts (full support for bash and all POSIX shells)
    asset: gengetoptions
    supported_envs:
      - linux
      - darwin
"###),
    ("ko1nksm/getoptions", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ko1nksm
    repo_name: getoptions
    description: An elegant option/argument parser for shell scripts (full support for bash and all POSIX shells)
    asset: getoptions
    supported_envs:
      - linux
      - darwin
"###),
    ("ko1nksm/shdotenv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ko1nksm
    repo_name: shdotenv
    description: dotenv for shells with support for POSIX-compliant and multiple .env file syntax
    asset: shdotenv
    supported_envs:
      - linux
      - darwin
"###),
    ("terratags/terratags", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: terratags
    repo_name: terratags
    description: Required tags validation on terraform resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        no_asset: true
      - version_constraint: "true"
        asset: terratags_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("caarlos0/svu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: caarlos0
    repo_name: svu
    description: semantic version utility
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.8.0"
        asset: svu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.3.2")
        asset: svu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: svu_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.7.0")
        asset: svu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: svu_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 3.1.0")
        asset: svu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/caarlos0/svu/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/caarlos0/svu/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/caarlos0/svu/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: darwin
            asset: svu_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
      - version_constraint: semver("<= 3.2.1")
        asset: svu_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/caarlos0/svu/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/caarlos0/svu/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/caarlos0/svu/releases/download/{{.Version}}/checksums.txt.sig
        github_artifact_attestations:
          signer_workflow: caarlos0/svu/.github/workflows/release.yml
        overrides:
          - goos: darwin
            asset: svu_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: svu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/caarlos0/svu/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/caarlos0/svu/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/caarlos0/svu/releases/download/{{.Version}}/checksums.txt.sig
        github_artifact_attestations:
          signer_workflow: caarlos0/svu/.github/workflows/release.yml
        overrides:
          - goos: darwin
            asset: svu_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("caarlos0/mdtree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: caarlos0
    repo_name: mdtree
    description: Convert markdown lists into ASCII trees
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: mdtree_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: mdtree_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: mdtree_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
"###),
    ("caarlos0/fork-cleaner", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: caarlos0
    repo_name: fork-cleaner
    description: Quickly clean up unused forks on your github account
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.1.0"
        asset: fork-cleaner_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: fork-cleaner_{{.OS}}_{{.Arch}}.tar.gz.checksums
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v2.1.0"
        asset: fork-cleaner_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: fork-cleaner_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v2.2.0"
        asset: fork-cleaner_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: fork-cleaner_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v2.2.1"
        asset: fork-cleaner_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: fork-cleaner_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.8")
        asset: fork-cleaner_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.2.0")
        asset: fork-cleaner_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: fork-cleaner_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.8.0")
        asset: fork-cleaner_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: fork-cleaner_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.0.3")
        asset: fork-cleaner_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: fork-cleaner_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: fork-cleaner_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: fork-cleaner_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: fork-cleaner_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("vektra/mockery", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: vektra
    repo_name: mockery
    description: A mock code autogenerator for Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v1.0.0", "v2.9.0"]
        no_asset: true
      - version_constraint: Version == "v2.9.6"
        asset: mockery_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.7.4")
        asset: mockery_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.10.1")
        asset: mockery_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: mockery_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
"###),
    ("Rigellute/spotify-tui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Rigellute
    repo_name: spotify-tui
    asset: spotify-tui-{{.OS}}.tar.gz
    description: Spotify for the terminal written in Rust
    replacements:
      darwin: macos
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: spt
    checksum:
      type: github_release
      asset: spotify-tui-{{.OS}}.sha256
      algorithm: sha256
    overrides:
      - goos: windows
        checksum:
          type: github_release
          asset: spotify-tui-{{.OS}}.sha256
          algorithm: sha256
"###),
    ("undistro/marvin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: undistro
    repo_name: marvin
    description: Marvin is a CLI tool that scans a k8s cluster by performing CEL expressions to report potential issues, misconfigurations and vulnerabilities
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: marvin_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("FeLvi-zzz/tentez", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FeLvi-zzz
    repo_name: tentez
    description: Tentez helps you switching traffic
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tentez-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("ast-grep/ast-grep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ast-grep
    repo_name: ast-grep
    description: A CLI tool for code structural search, lint and rewriting. Written in Rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.6")
        asset: sg-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: sg
      - version_constraint: semver("<= 0.13.2")
        asset: sg-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        files:
          - name: sg
      - version_constraint: Version == "0.14.0"
        asset: sg-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-gnu
        supported_envs:
          - linux
        files:
          - name: sg
      - version_constraint: semver("<= 0.22.0")
        asset: sg-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        files:
          - name: sg
      - version_constraint: "true"
        asset: app-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: sg
          - name: ast-grep
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
"###),
    ("zmwangx/ets", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zmwangx
    repo_name: ets
    description: Command output timestamper
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1")
        asset: ets_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: ets_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: ets_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: ets_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("cloverrose/unusedinterface", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloverrose
    repo_name: unusedinterface
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: unusedinterface_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: unusedinterface
            src: "unusedinterface_{{.OS}}_{{.Arch}}/unusedinterface"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: unusedinterface_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("cloverrose/connectnew", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloverrose
    repo_name: connectnew
    description: |
      Go linter checking if &connect.Request or &connect.Response are used.
      Instead connect.NewRequest or connect.NewResponse should be used
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: connectnew_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: connectnew
            src: connectnew_{{.OS}}_{{.Arch}}/connectnew
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: connectnew_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("cloverrose/mockguard", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloverrose
    repo_name: mockguard
    description: mockguard checks if mockgen is used in conventional filename and options
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: mockguard_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: mockguard
            src: mockguard_{{.OS}}_{{.Arch}}/mockguard
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: mockguard_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("cloverrose/pkgdep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloverrose
    repo_name: pkgdep
    description: pkgdep checks if package dependency follows rule
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pkgdep_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: pkgdep
            src: "pkgdep_{{.OS}}_{{.Arch}}/pkgdep"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: pkgdep_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("casey/just", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: casey
    repo_name: just
    description: Just a command runner
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.25")
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: just
            src: "{{.AssetWithoutExt}}/just"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.2.28"
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        supported_envs:
          - windows/amd64
      - version_constraint: semver("<= 0.2.32")
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.3.3")
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.4")
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.3")
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.4")
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: Version == "0.10.5"
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: Version == "0.10.6"
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          arm64: aarch64
          linux: unknown-linux-musl
        supported_envs:
          - linux/arm64
      - version_constraint: semver("<= 1.1.0")
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.25.0")
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "1.25.1"
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: just-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("tree-sitter/tree-sitter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tree-sitter
    repo_name: tree-sitter
    description: An incremental parsing system for programming tools
    asset: tree-sitter-{{.OS}}-{{.Arch}}.{{.Format}}
    format: gz
    replacements:
      amd64: x64
      darwin: macos
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: tree-sitter
        src: tree-sitter-{{.OS}}-{{.Arch}}
    version_constraint: semver(">= 0.20.8")
    version_overrides:
      - version_constraint: semver(">= 0.18.1")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("< 0.18.1")
        replacements:
          amd64: x64
          darwin: osx
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
"###),
    ("houseabsolute/ubi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: houseabsolute
    repo_name: ubi
    description: The Universal Binary Installer
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.10"
        asset: ubi-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.7")
        asset: ubi-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.9")
        asset: ubi-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.19")
        asset: ubi-{{.OS}}-{{.Arch}}-musl.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: darwin
            asset: ubi-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: ubi-{{.OS}}-{{.Arch}}.{{.Format}}
      - version_constraint: semver("<= 0.1.1")
        asset: ubi-{{.OS}}-{{.Arch}}-musl.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: darwin
            asset: ubi-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: ubi-{{.OS}}-{{.Arch}}.{{.Format}}
      - version_constraint: "true"
        asset: ubi-{{.OS}}-musl-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: ubi-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: ubi-{{.OS}}-msvc-{{.Arch}}.{{.Format}}
"###),
    ("cargo-bins/cargo-binstall", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cargo-bins
    repo_name: cargo-binstall
    description: Binary installation for rust projects
    version_filter: Version matches "^v\\d+\\.\\d+\\.\\d+"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["install-cargo-binstall-1.0.0", "v1.4.0"]
        no_asset: true
      - version_constraint: semver("<= 0.2.0")
        asset: cargo-binstall-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.3.0"
        asset: cargo-binstall-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.0")
        asset: cargo-binstall-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tgz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.18.1")
        asset: cargo-binstall-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tgz
      - version_constraint: "true"
        asset: cargo-binstall-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tgz
"###),
    ("woodpecker-ci/woodpecker/woodpecker-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: woodpecker-ci/woodpecker/woodpecker-cli
    type: github_release
    repo_owner: woodpecker-ci
    repo_name: woodpecker
    description: Woodpecker is a simple yet powerful CI/CD engine with great extensibility
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.11.0")
        no_asset: true
      - version_constraint: Version in ["v0.14.0-rc.2", "v0.15.0-rc1", "v2.2.0", "v2.2.1"]
        no_asset: true
      - version_constraint: semver("<= 0.14.4")
        asset: woodpecker_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: woodpecker
        checksum:
          type: github_release
          asset: woodpecker_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.6.1")
        asset: woodpecker-cli_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: woodpecker-cli_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("sstadick/crabz", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sstadick
    repo_name: crabz
    description: Like pigz, but rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.7.0", "v0.7.6"]
        asset: crabz-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.7.2")
        asset: crabz-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: crabz-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("jenkins-zh/jenkins-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jenkins-zh
    repo_name: jenkins-cli
    description: Jenkins CLI allows you to manage your Jenkins in an easy way
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: jcli-{{.OS}}-{{.Arch}}.{{.Format}}
    # There is a binary for darwin arm64, but it doesn't work.
    # > zsh: killed      --help
    rosetta2: true
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: jcli
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("ynqa/jnv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ynqa
    repo_name: jnv
    description: interactive JSON filter using jq
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: jnv-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
        files:
          - name: jnv
            src: "{{.AssetWithoutExt}}/jnv"
      - version_constraint: semver("<= 0.3.0")
        asset: jnv-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - linux/amd64
        files:
          - name: jnv
            src: "{{.AssetWithoutExt}}/jnv"
      - version_constraint: "true"
        asset: jnv-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: jnv
            src: "{{.AssetWithoutExt}}/jnv"
"###),
    ("gptscript-ai/gptscript", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gptscript-ai
    repo_name: gptscript
    description: Natural Language Programming
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gptscript-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: gptscript-{{.Version}}-{{.OS}}-universal.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("sanposhiho/gomockhandler", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: sanposhiho
    repo_name: gomockhandler
    description: Mr. gomockhandler is the clever and more agile manager of golang/mock
"###),
    ("xtaci/kcptun", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xtaci
    repo_name: kcptun
    asset: kcptun-{{.OS}}-{{.Arch}}-{{trimV .Version}}.tar.gz
    description: A Stable & Secure Tunnel based on KCP with N:M multiplexing and FEC. Available for ARM, MIPS, 386 and AMD64
    files:
      - name: kcptun-client
        src: client_{{.OS}}_{{.Arch}}
      - name: kcptun-server
        src: server_{{.OS}}_{{.Arch}}
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("ollama/ollama", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ollama
    repo_name: ollama
    description: Get up and running with Llama 3.1, Mistral, Gemma 2, and other large language models
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.12")
        asset: ollama-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin/arm64
      - version_constraint: semver("<= 0.0.21")
        asset: ollama-{{.OS}}
        format: raw
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.1.29")
        asset: ollama-{{.OS}}-{{.Arch}}
        format: raw
        overrides:
          - goos: darwin
            asset: ollama-{{.OS}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.1.32")
        asset: ollama-{{.OS}}-{{.Arch}}
        windows_arm_emulation: true
        format: raw
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: ollama-{{.OS}}
      - version_constraint: semver("<= 0.3.6")
        asset: ollama-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: ollama-{{.OS}}
          - goos: windows
            asset: ollama-{{.OS}}-{{.Arch}}.{{.Format}}
            format: zip
      - version_constraint: semver("<= 0.5.7")
        asset: ollama-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tgz
            files:
              - name: ollama
                src: bin/ollama
          - goos: darwin
            asset: ollama-{{.OS}}
            format: raw
      - version_constraint: "true"
        asset: ollama-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tgz
            files:
              - name: ollama
                src: bin/ollama
          - goos: darwin
            asset: ollama-{{.OS}}.{{.Format}}
            format: tgz
"###),
    ("sigstore/cosign", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sigstore
    repo_name: cosign
    description: Code signing and transparency for containers and binaries
    version_filter: not (Version matches "-dev$")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: cosign
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.2.0"
        asset: cosign-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: cosign.sha256
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.6.0"
        asset: cosign_{{.OS}}_{{.Arch}}_{{trimV .Version}}_linux_amd64
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cosign_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            goarch: amd64
            asset: cosign_{{.OS}}_{{.Arch}}_{{trimV .Version}}_darwin_amd64
          - goos: darwin
            goarch: arm64
            asset: cosign_{{.OS}}_{{.Arch}}_{{trimV .Version}}_darwin_arm64
          - goos: windows
            asset: cosign_{{.OS}}_{{.Arch}}_{{trimV .Version}}_windows_amd64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.1")
        asset: cosign-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.5.0")
        asset: cosign-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.1")
        asset: cosign-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cosign_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.1")
        asset: cosign-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cosign_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: cosign-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cosign_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/sigstore/cosign/releases/download/{{.Version}}/cosign_checksums.txt-keyless.pem
              - --certificate-identity
              - keyless@projectsigstore.iam.gserviceaccount.com
              - --certificate-oidc-issuer
              - https://accounts.google.com
              - --signature
              - https://github.com/sigstore/cosign/releases/download/{{.Version}}/cosign_checksums.txt-keyless.sig
"###),
    ("sigstore/gitsign", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sigstore
    repo_name: gitsign
    description: Keyless Git signing using Sigstore
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1-alpha")
        no_asset: true
      - version_constraint: "true"
        asset: gitsign_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        cosign:
          opts:
            - --certificate
            - https://github.com/sigstore/gitsign/releases/download/{{.Version}}/{{.Asset}}.pem
            - --certificate-identity
            - https://github.com/sigstore/gitsign/.github/workflows/release.yml@refs/tags/{{.Version}}
            - --certificate-oidc-issuer
            - https://token.actions.githubusercontent.com
            - --signature
            - https://github.com/sigstore/gitsign/releases/download/{{.Version}}/{{.Asset}}.sig
"###),
    ("sigstore/rekor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sigstore
    repo_name: rekor
    description: Software Supply Chain Transparency Log
    files:
      - name: rekor-cli
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 0.3.0")
        no_asset: true
      - version_constraint: Version == "v0.3.0"
        asset: rekor-cli-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: rekor-cli_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.4.0"
        asset: rekor-cli-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: rekor_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: rekor-cli-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: rekor_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/sigstore/rekor/releases/download/{{.Version}}/rekor_checksums.txt-keyless.pem
              - --certificate-identity
              - keyless@projectsigstore.iam.gserviceaccount.com
              - --certificate-oidc-issuer
              - https://accounts.google.com
              - --signature
              - https://github.com/sigstore/rekor/releases/download/{{.Version}}/rekor_checksums.txt-keyless.sig
"###),
    ("sigstore/sget", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: sigstore
    repo_name: sget
    description: sget is command for safer, automatic verification of signatures and integration with Sigstore's binary transparency log, Rekor
"###),
    ("ebi-yade/ecresolve", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ebi-yade
    repo_name: ecresolve
    description: Resolves AWS ECR images with prioritized tag-based lookup
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        no_asset: true
      - version_constraint: "true"
        asset: ecresolve_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ecresolve_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("snyk/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: snyk
    repo_name: cli
    description: Snyk CLI scans and monitors your projects for security vulnerabilities
    files:
      - name: snyk
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.1036.0"
        no_asset: true
      - version_constraint: semver("<= 1.850.0")
        asset: snyk-{{.OS}}
        format: raw
        replacements:
          windows: win
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1229.0")
        asset: snyk-{{.OS}}
        format: raw
        replacements:
          darwin: macos
          windows: win
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: snyk-{{.OS}}-{{.Arch}}
      - version_constraint: "true"
        asset: snyk-{{.OS}}
        format: raw
        replacements:
          darwin: macos
          windows: win
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: snyk-{{.OS}}-{{.Arch}}
          - goos: darwin
            goarch: arm64
            asset: snyk-{{.OS}}-{{.Arch}}
"###),
    ("snyk/driftctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: snyk
    repo_name: driftctl
    description: Detect, track and alert on infrastructure drift
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.0"
        asset: driftctl_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: driftctl_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 0.3.1")
        asset: driftctl_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.18.5")
        asset: driftctl_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: driftctl_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        asset: driftctl_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: driftctl_SHA256SUMS
          algorithm: sha256
"###),
    ("snyk/parlay", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: snyk
    repo_name: parlay
    description: Enrich SBOMs with data from third party services
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: parlay_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: parlay_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("LGUG2Z/whkd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: LGUG2Z
    repo_name: whkd
    description: A simple hotkey daemon for Windows
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        asset: whkd-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - windows/amd64
      - version_constraint: "true"
        asset: whkd-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - windows
"###),
    ("LGUG2Z/komorebi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: LGUG2Z
    repo_name: komorebi
    description: A tiling window manager for Windows
    files:
      - name: komorebi.exe # https://github.com/aquaproj/aqua-registry/pull/16647
      - name: komorebi
      - name: komorebic
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.29")
        asset: komorebi-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - windows
      - version_constraint: "true"
        asset: komorebi-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - windows
"###),
    ("ktock/buildg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ktock
    repo_name: buildg
    description: Interactive debugger for Dockerfile, with support for IDEs (VS Code, Emacs, Neovim, etc.)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: buildg-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: buildg-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz.sha256sum
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.3.0")
        asset: buildg-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: buildg-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz.sha256sum
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: buildg-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("getporter/porter/porter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: getporter/porter/porter
    type: github_release
    repo_owner: getporter
    repo_name: porter
    description: Porter enables you to package your application artifact, client tools, configuration and deployment logic together as an installer that you can distribute, and install with a single command
    asset: porter-{{.OS}}-{{.Arch}}
    format: raw
    complete_windows_ext: true
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        no_asset: true
      - version_constraint: "true"
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
"###),
    ("8051Enthusiast/biodiff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: 8051Enthusiast
    repo_name: biodiff
    description: Hex diff viewer using alignment algorithms from biology
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: biodiff-{{.OS}}-latest-x86.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: Version == "v0.2.0"
        asset: biodiff-{{.OS}}-{{trimV .Version}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: Version == "v0.2.1"
        asset: biodiff-{{.OS}}-0-2-1.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: "true"
        asset: biodiff-{{.OS}}-{{trimV .Version}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("yudai/gotty", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yudai
    repo_name: gotty
    asset: gotty_{{.OS}}_{{.Arch}}.tar.gz
    description: Share your terminal as a web application
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("pinterest/ktlint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pinterest
    repo_name: ktlint
    description: An anti-bikeshedding Kotlin linter with built-in formatter
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.49.0")
        complete_windows_ext: false
        asset: ktlint
      - version_constraint: "true"
        asset: "ktlint-{{.Version}}.{{.Format}}"
        format: zip
        files:
          - name: ktlint
            src: "{{.AssetWithoutExt}}/bin/ktlint"
"###),
    ("porter-dev/porter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: porter-dev
    repo_name: porter
    asset: porter_{{.Version}}_{{title .OS}}_x86_64.zip
    description: Kubernetes powered PaaS that runs in your own cloud
    supported_envs:
      - darwin
      - linux
"###),
    ("noborus/mdviewer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: noborus
    repo_name: mdviewer
    description: Rendered display of markdown on terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: mdviewer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: mdviewer_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("noborus/ov", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: noborus
    repo_name: ov
    description: Feature-rich terminal-based text viewer.  It is a so-called terminal pager
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.11.0-beta.1"
        no_asset: true
      - version_constraint: Version == "v0.0.1rc1"
        asset: ov-{{.OS}}-10.6-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            asset: ov-{{.OS}}-{{.Arch}}
          - goos: windows
            asset: ov-{{.OS}}-4.0-{{.Arch}}
      - version_constraint: Version == "v0.0.2"
        asset: oviewer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.0.5")
        asset: oviewer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: oviewer_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.8.1")
        asset: ov_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: ov_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.9.2")
        asset: ov_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: ov_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: ov_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: ov_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("noborus/trdsql", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: noborus
    repo_name: trdsql
    asset: trdsql_{{.Version}}_{{.OS}}_{{.Arch}}.zip
    description: CLI tool that can execute SQL queries on CSV, LTSV, JSON and TBLN. Can output to various formats
    files:
      - name: trdsql
        src: trdsql_{{.Version}}_{{.OS}}_{{.Arch}}/trdsql
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("noborus/xlsxsql", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: noborus
    repo_name: xlsxsql
    description: Execute SQL on xlsx file
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: xlsxsql_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: xlsxsql_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("turbot/powerpipe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: turbot
    repo_name: powerpipe
    description: "Powerpipe: Dashboards for DevOps. Visualize cloud configurations. Assess security posture against a massive library of benchmarks. Build custom dashboards with code"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: powerpipe.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("turbot/tailpipe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: turbot
    repo_name: tailpipe
    description: select * from logs! Tailpipe is an open source SIEM for instant log insights, powered by DuckDB. Analyze millions of events in seconds, right from your terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tailpipe.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("turbot/flowpipe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: turbot
    repo_name: flowpipe
    description: Flowpipe is a cloud scripting engine. Automation and workflow to connect your clouds to the people, systems and data that matters
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: flowpipe.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("turbot/steampipe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: turbot
    repo_name: steampipe
    asset: steampipe_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Use SQL to instantly query your cloud services (AWS, Azure, GCP and more). Open source CLI. No DB required
    overrides:
      - goos: darwin
        format: zip
    supported_envs:
      - linux
      - darwin
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("CircleCI-Public/circleci-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: CircleCI-Public
    repo_name: circleci-cli
    description: Use CircleCI from the command line
    rosetta2: true
    asset: circleci-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    supported_envs:
      - darwin
      - linux
      - amd64
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: circleci
        src: circleci-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}/circleci
    version_constraint: semver(">= 0.1.17554")
    version_overrides:
      - version_constraint: "true"
        supported_envs:
          - darwin
          - amd64
    checksum:
      type: github_release
      asset: circleci-cli_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("chaaz/versio", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chaaz
    repo_name: versio
    description: A version number manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.5")
        asset: versio__{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.5.1")
        asset: versio__{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.5.2"
        asset: versio__{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: windows
            asset: versio.exe
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "v0.5.3"
        asset: versio__{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.6")
        asset: versio__{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: versio__{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("zmap/zlint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zmap
    repo_name: zlint
    description: X.509 Certificate Linter focused on Web PKI standards and requirements
    version_filter: not (Version matches "-rc")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: zlint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: zlint
            src: "{{.AssetWithoutExt}}/{{.FileName}}"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: zlint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("tauri-apps/tauri/cargo-tauri", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: tauri-apps/tauri/cargo-tauri
    type: github_release
    repo_owner: tauri-apps
    repo_name: tauri
    description: Build smaller, faster, and more secure desktop and mobile applications with a web frontend
    version_prefix: tauri-cli-
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["tauri-cli-v2.0.0-rc.10", "tauri-cli-v1.6.4", "tauri-cli-v2.0.0-beta.5"]
        no_asset: true
      - version_constraint: "true"
        asset: cargo-tauri-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tgz
            replacements:
              arm64: arm64
        supported_envs:
          - linux/amd64
          - darwin
          - windows
"###),
    ("acheronfail/repgrep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: acheronfail
    repo_name: repgrep
    description: An interactive replacer for ripgrep that makes it easy to find and replace across files on the command line
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.2.0"
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.4.0")
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.4.3")
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver("<= 0.4.5")
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("<= 0.4.7")
        no_asset: true
      - version_constraint: Version == "v0.4.8"
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver("<= 0.7.0")
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: Version == "v0.7.1"
        no_asset: true
      - version_constraint: semver("<= 0.9.0")
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: Version == "0.10.2"
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: Version == "0.10.3"
        no_asset: true
      - version_constraint: Version == "0.10.4"
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: Version == "0.10.5"
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "0.10.6"
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: "true"
        asset: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: rgr
            src: repgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rgr
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
"###),
    ("oven-sh/bun", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: oven-sh
    repo_name: bun
    aliases:
      - name: Jarred-Sumner/bun
    description: Incredibly fast JavaScript runtime, bundler, transpiler and package manager – all in one
    version_prefix: bun-v
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.4")
        asset: bun-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: x64
          arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: bun
            src: "{{.AssetWithoutExt}}/bun"
      - version_constraint: semver("<= 1.0.36")
        asset: bun-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: x64
          arm64: aarch64
        supported_envs:
          - linux
          - darwin
        files:
          - name: bun
            src: "{{.AssetWithoutExt}}/bun"
      - version_constraint: "true"
        asset: bun-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: bun
            src: "{{.AssetWithoutExt}}/bun"
        overrides:
          - goos: linux
            asset: bun-{{.OS}}-{{.Arch}}-musl.{{.Format}}
          - goos: windows
            replacements: {}
        replacements:
          amd64: x64
          arm64: aarch64
        checksum:
          type: github_release
          asset: SHASUMS256.txt
          algorithm: sha256
"###),
    ("uptrace/uptrace", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: uptrace
    repo_name: uptrace
    description: "Open source APM: OpenTelemetry traces, metrics, and logs"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.8")
        asset: uptrace_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: uptrace_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("ryoppippi/zigchat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ryoppippi
    repo_name: zigchat
    description: Command that sends a prompt to OpenAI and returns a reply
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        no_asset: true
      - version_constraint: "true"
        asset: zigchat-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
"###),
    ("dev.yorhel.nl/ncdu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    name: dev.yorhel.nl/ncdu
    description: Ncdu is a disk usage analyzer with an ncurses interface
    link: https://dev.yorhel.nl/ncdu
    url: https://dev.yorhel.nl/download/ncdu-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      arm64: aarch64
      amd64: x86_64
    supported_envs:
      - linux
    search_words:
      - Linux Only
    files:
      # https://github.com/aquaproj/aqua-registry/pull/15293#issuecomment-1712422083
      - name: ncdu
"###),
    ("npryce/adr-tools", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_archive
    repo_owner: npryce
    repo_name: adr-tools
    description: Command-line tools for working with Architecture Decision Records
    files:
      - name: adr
        src: adr-tools-{{.Version}}/src/adr
"###),
    ("tailor-platform/tailorctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tailor-platform
    repo_name: tailorctl
    description: Command line tool for Tailor Platform
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.9.4", "v0.12.1", "v1.19.0"]
        no_asset: true
      - version_constraint: semver("<= 0.7.8")
        asset: tailorctl_{{.OS}}_{{.Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: tailorctl_{{.OS}}_{{.Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
"###),
    ("gopinath-langote/1build", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gopinath-langote
    repo_name: 1build
    description: Frictionless way of managing project-specific commands
    asset: 1build_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.2.0")
    # 1build was migrated from Python to Go at v1.2.0
    # https://github.com/gopinath-langote/1build/commit/a692bdce2643c726915950622ec46fbf4ce02816
    version_overrides:
      - version_constraint: semver("< 1.2.0")
        no_asset: true
"###),
    ("theryangeary/choose", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: theryangeary
    repo_name: choose
    description: A human-friendly and fast alternative to cut (and sometimes awk)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.3.0"
        no_asset: true
      - version_constraint: Version == "v1.3.5"
        asset: choose-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: win
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: darwin
            replacements:
              amd64: amd64
          - goos: windows
            asset: choose-{{.Arch}}-pc-{{.OS}}dow-gnu
        supported_envs:
          - linux
          - darwin/arm64
          - windows/amd64
      - version_constraint: semver("<= 1.3.4")
        asset: choose-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: choose-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-gnu
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: darwin
            replacements:
              amd64: amd64
        supported_envs:
          - linux
          - darwin/arm64
          - windows/amd64
"###),
    ("stepchowfun/docuum", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: stepchowfun
    repo_name: docuum
    description: Docuum performs least recently used (LRU) eviction of Docker images
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.22.1"
        asset: docuum-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.22.2"
        asset: docuum-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
      - version_constraint: Version == "v0.22.3"
        asset: docuum-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
      - version_constraint: semver("<= 0.16.0")
        asset: docuum-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.17.0")
        asset: docuum-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.22.0")
        asset: docuum-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: docuum-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("ldez/prm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ldez
    repo_name: prm
    asset: prm_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Pull Request Manager for Maintainers
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: prm_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("argoproj-labs/argocd-image-updater", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: argoproj-labs
    repo_name: argocd-image-updater
    description: Automatic container image update for Argo CD
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.10.1"
        no_asset: true
      - version_constraint: Version == "v0.9.1"
        asset: argocd-image-updater_{{.Version}}_{{.OS}}-{{.Arch}}.1-linux_amd64
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.7.0")
        no_asset: true
      - version_constraint: semver("<= 0.11.3")
        asset: argocd-image-updater_{{.Version}}_{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: argocd-image-updater-{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          windows: win64
        checksum:
          type: github_release
          asset: release-{{.Version}}.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            asset: argocd-image-updater-{{.OS}}
"###),
    ("argoproj-labs/argocd-autopilot", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: argoproj-labs
    repo_name: argocd-autopilot
    description: Argo-CD Autopilot
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.6")
        asset: argocd-autopilot-{{.OS}}-{{.Arch}}.{{.Format}}
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: argocd-autopilot
            src: argocd-autopilot-{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: argocd-autopilot-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
      - version_constraint: semver("<= 0.3.7")
        asset: argocd-autopilot-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: argocd-autopilot
            src: argocd-autopilot-{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: argocd-autopilot-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
      - version_constraint: "true"
        asset: argocd-autopilot-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: argocd-autopilot
            src: argocd-autopilot-{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: argocd-autopilot-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
"###),
    ("dhth/bmm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dhth
    repo_name: bmm
    description: get to your bookmarks in a flash
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: bmm-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: dhth/bmm/.github/workflows/release.yml
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: bmm
            src: "{{.AssetWithoutExt}}/bmm"
"###),
    ("tfmigrator/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tfmigrator
    repo_name: cli
    description: CLI to migrate Terraform Configuration and State
    asset: tfmigrator_{{.OS}}_amd64.tar.gz
    files:
      - name: tfmigrator
    version_constraint: semver(">= 0.2.2")
    slsa_provenance:
      type: github_release
      asset: multiple.intoto.jsonl
    checksum:
      type: github_release
      asset: tfmigrator_{{trimV .Version}}_checksums.txt
      algorithm: sha256
      cosign:
        opts:
          - --certificate-identity-regexp
          - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
          - --certificate-oidc-issuer
          - "https://token.actions.githubusercontent.com"
          - --signature
          - https://github.com/tfmigrator/cli/releases/download/{{.Version}}/tfmigrator_{{trimV .Version}}_checksums.txt.sig
          - --certificate
          - https://github.com/tfmigrator/cli/releases/download/{{.Version}}/tfmigrator_{{trimV .Version}}_checksums.txt.pem
    version_overrides:
      - version_constraint: "true"
        slsa_provenance:
          enabled: false
        checksum:
          type: github_release
          asset: tfmigrator_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("IxDay/mruby", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: IxDay
    repo_name: mruby
    description: Lightweight Ruby
    files:
      - name: mruby
      - name: mrake
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: mruby-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: mruby
          - name: mrake
        overrides:
          - goos: windows
            files:
              - name: mruby
              - name: mrake
                src: mrake.bat
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
          arm64: aarch64
"###),
    ("bojand/ghz", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bojand
    repo_name: ghz
    asset: ghz-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Simple gRPC benchmarking and load testing tool
    replacements:
      amd64: x86_64
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: ghz-{{.OS}}-{{.Arch}}.{{.Format}}.sha256
      algorithm: sha256
"###),
    ("99designs/aws-vault", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: 99designs
    repo_name: aws-vault
    description: A vault for securely storing and accessing AWS credentials in development environments
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.3.2"
        asset: aws-vault-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v2.3.3"
        asset: aws-vault-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
        supported_envs:
          - darwin
      - version_constraint: semver("<= 2.3.1")
        asset: aws-vault-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
        supported_envs:
          - darwin
      - version_constraint: semver("<= 2.4.1")
        asset: aws-vault-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 3.4.0")
        asset: aws-vault-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
        supported_envs:
          - darwin
      - version_constraint: semver("<= 4.6.4")
        asset: aws-vault-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 5.0.1")
        asset: aws-vault-{{.OS}}-{{.Arch}}.{{.Format}}
        format: dmg
        rosetta2: true
        overrides:
          - goos: linux
            format: raw
            asset: aws-vault-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 5.1.2")
        asset: aws-vault-{{.OS}}-{{.Arch}}.{{.Format}}
        format: dmg
        rosetta2: true
        overrides:
          - goos: linux
            format: raw
            asset: aws-vault-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 6.2.0")
        asset: aws-vault-{{.OS}}-{{.Arch}}.{{.Format}}
        format: dmg
        rosetta2: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            format: raw
            asset: aws-vault-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 6.4.0")
        asset: aws-vault-{{.OS}}-{{.Arch}}.{{.Format}}
        format: dmg
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            format: raw
            asset: aws-vault-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: aws-vault-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: darwin
            format: dmg
            asset: aws-vault-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - linux
          - darwin
          - windows/arm64
"###),
    ("golang-migrate/migrate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: golang-migrate
    repo_name: migrate
    description: Database migrations. CLI and Golang library
    asset: migrate.{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    version_constraint: semver(">= 4.15.0")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux
          - amd64
        files:
          - name: migrate
            src: migrate.{{.OS}}-{{.Arch}}
        overrides:
          - goos: windows
            format: tar.gz
            asset: migrate.windows-amd64.exe.tar.gz
            files:
              - name: migrate
                src: migrate.{{.OS}}-{{.Arch}}.exe
    checksum:
      type: github_release
      asset: sha256sum.txt
      algorithm: sha256
"###),
    ("skanehira/rtty", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: skanehira
    repo_name: rtty
    description: Terminal on browser via websocket
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: rtty_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: rtty_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: rtty_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: rtty_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("skanehira/yd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: skanehira
    repo_name: yd
    description: YAML Incremental Digger
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: yd_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: yd
            src: "{{.AssetWithoutExt}}/yd"
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("skanehira/tson", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: skanehira
    repo_name: tson
    description: TUI json editor and viewer written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tson_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("skanehira/slack-reminder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: skanehira
    repo_name: slack-reminder
    description: Slack remind generator
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: slack-reminder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: slack-reminder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("skanehira/gjo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: skanehira
    repo_name: gjo
    description: Small utility to create JSON objects
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.0.0"
        asset: "{{.OS}}.{{.Format}}"
        format: zip
        replacements:
          darwin: MacOS
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: "{{.OS}}.{{.Format}}"
        format: zip
        replacements:
          darwin: MacOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("kool-dev/kool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kool-dev
    repo_name: kool
    description: "From local development to the cloud: web apps development with containers made easy"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.3")
        no_asset: true
      - version_constraint: semver("<= 1.0.6")
        asset: kool-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: kool-{{.OS}}-{{.Arch}}.checksum
          algorithm: sha1
      - version_constraint: semver("<= 1.0.15")
        asset: kool-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: kool-{{.OS}}-{{.Arch}}.checksum
          algorithm: sha1
      - version_constraint: Version == "1.0.16"
        asset: kool-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: kool.exe
            replacements:
              amd64: amd64
            checksum:
              type: github_release
              asset: kool.exe.checksum
              algorithm: sha1
        replacements:
          amd64: x86_64
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: kool-{{.OS}}-{{.Arch}}.checksum
          algorithm: sha1
      - version_constraint: semver("<= 1.10.1")
        asset: kool-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: kool
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 1.14.0")
        asset: kool-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: kool
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 2.2.0")
        asset: kool-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: kool
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: kool-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          # https://github.com/kool-dev/kool/pull/491
          # Drop native windows support
          - linux
          - darwin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("c1982/bomberman", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: c1982
    repo_name: bomberman
    description: SMTP Performance and Load Test Tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: bomberman_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("Melkeydev/go-blueprint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Melkeydev
    repo_name: go-blueprint
    description: Go-blueprint allows users to spin up a quick Go project using a popular framework
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.4"
        asset: go-blueprint-{{.Arch}}
        replacements:
          amd64: x86
          arm64: arm
        supported_envs:
          - linux
      - version_constraint: semver("<= 0.2.11")
        asset: go-blueprint-{{.OS}}_{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver("<= 0.2.13")
        asset: go-blueprint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: go-blueprint_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.3.0"
        asset: go-blueprint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: go-blueprint_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: go-blueprint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: go-blueprint_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("ipinfo/cli/splitcidr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: ipinfo/cli/splitcidr
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "splitcidr-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: splitcidr_{{trimPrefix "splitcidr-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: splitcidr
            src: splitcidr_{{trimPrefix "splitcidr-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: splitcidr
        src: splitcidr_{{trimPrefix "splitcidr-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("ipinfo/cli/range2cidr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: ipinfo/cli/range2cidr
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "range2cidr-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: range2cidr_{{trimPrefix "range2cidr-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: range2cidr
            src: range2cidr_{{trimPrefix "range2cidr-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: range2cidr
        src: range2cidr_{{trimPrefix "range2cidr-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("ipinfo/cli/range2ip", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: ipinfo/cli/range2ip
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "range2ip-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: range2ip_{{trimPrefix "range2ip-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: range2ip
            src: range2ip_{{trimPrefix "range2ip-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: range2ip
        src: range2ip_{{trimPrefix "range2ip-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("ipinfo/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "ipinfo-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: ipinfo_{{trimPrefix "ipinfo-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: ipinfo
            src: ipinfo_{{trimPrefix "ipinfo-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: ipinfo
        src: ipinfo_{{trimPrefix "ipinfo-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("ipinfo/cli/grepip", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: ipinfo/cli/grepip
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "grepip-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: grepip_{{trimPrefix "grepip-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: grepip
            src: grepip_{{trimPrefix "grepip-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: grepip
        src: grepip_{{trimPrefix "grepip-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("ipinfo/cli/cidr2range", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: ipinfo/cli/cidr2range
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "cidr2range-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: cidr2range_{{trimPrefix "cidr2range-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: cidr2range
            src: cidr2range_{{trimPrefix "cidr2range-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: cidr2range
        src: cidr2range_{{trimPrefix "cidr2range-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("ipinfo/cli/prips", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: ipinfo/cli/prips
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "prips-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: prips_{{trimPrefix "prips-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: prips
            src: prips_{{trimPrefix "prips-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: prips
        src: prips_{{trimPrefix "prips-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("ipinfo/cli/randip", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: ipinfo/cli/randip
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "randip-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: randip_{{trimPrefix "randip-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: randip
            src: randip_{{trimPrefix "randip-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: randip
        src: randip_{{trimPrefix "randip-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("ipinfo/cli/cidr2ip", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: ipinfo/cli/cidr2ip
    repo_owner: ipinfo
    repo_name: cli
    description: Official Command Line Interface for the IPinfo API (IP geolocation and other types of IP data)
    version_filter: Version startsWith "cidr2ip-"
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: cidr2ip_{{trimPrefix "cidr2ip-" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: cidr2ip
            src: cidr2ip_{{trimPrefix "cidr2ip-" .Version}}_{{.OS}}_{{.Arch}}.exe
    files:
      - name: cidr2ip
        src: cidr2ip_{{trimPrefix "cidr2ip-" .Version}}_{{.OS}}_{{.Arch}}
"###),
    ("txn2/kubefwd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: txn2
    repo_name: kubefwd
    description: Bulk port forwarding Kubernetes services for local development
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.13.1"
        asset: kubefwd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: Darwin
        checksum:
          type: github_release
          asset: kubefwd_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.6")
        asset: kubefwd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: kubefwd_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.8.2")
        asset: kubefwd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: kubefwd_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.9.4")
        asset: kubefwd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: kubefwd_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.14.2")
        asset: kubefwd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: Darwin
        checksum:
          type: github_release
          asset: kubefwd_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.14.7")
        asset: kubefwd_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: kubefwd
            src: "{{.AssetWithoutExt}}/kubefwd"
        replacements:
          amd64: x86_64
          darwin: macOS
          windows: Windows
        checksum:
          type: github_release
          asset: kubefwd_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.18.1")
        asset: kubefwd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: kubefwd_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: kubefwd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: kubefwd_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("dimo414/bkt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dimo414
    repo_name: bkt
    description: a subprocess caching utility, available as a command line binary and a Rust library
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.4")
        asset: bkt.v{{.Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: bkt.v{{.Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
"###),
    ("Trendyol/kink", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Trendyol
    repo_name: kink
    description: KinK is a helper CLI that facilitates to manage KinD clusters as Kubernetes pods. Designed to ease clusters up for fast testing with batteries included in mind
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 0.2.1")
        asset: kink_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: kink_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://raw.githubusercontent.com/Trendyol/kink/refs/tags/{{.Version}}/cosign.pub
              - --signature
              - https://github.com/Trendyol/kink/releases/download/{{.Version}}/kink_checksums.txt.sig
              - --insecure-ignore-tlog
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.2.1"
        asset: kink_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: kink_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://raw.githubusercontent.com/Trendyol/kink/refs/tags/{{.Version}}/cosign.pub
              - --signature
              - https://github.com/Trendyol/kink/releases/download/{{.Version}}/kink_checksums.txt.sig
              - --insecure-ignore-tlog
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kink_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: kink_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://raw.githubusercontent.com/Trendyol/kink/refs/tags/{{.Version}}/cosign.pub
              - --signature
              - https://github.com/Trendyol/kink/releases/download/{{.Version}}/kink_checksums.txt.sig
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("funbiscuit/spacedisplay-rs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: funbiscuit
    repo_name: spacedisplay-rs
    description: Fast and lightweight tool to scan your disk space
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: spacedisplay-{{.Arch}}_{{.OS}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: spacedisplay-{{.OS}}
        replacements:
          windows: win64
        supported_envs:
          - linux/amd64
          - windows/amd64
        files:
          - name: spacedisplay
            src: spacedisplay-rs
      - version_constraint: "true"
        asset: spacedisplay-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            asset: spacedisplay-{{.Arch}}_{{.OS}}
        replacements:
          darwin: macos
          windows: win64
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: spacedisplay
            src: spacedisplay-rs
"###),
    ("JFryy/qq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: JFryy
    repo_name: qq
    description: jq inspired interoperable config format transcoder with interactive querying
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: qq-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
          - darwin
"###),
    ("opencontainers/runc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: opencontainers
    repo_name: runc
    description: CLI tool for spawning and running containers according to the OCI specification
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: runc.{{.Arch}}
        format: raw
        supported_envs:
          - linux
        checksum:
          type: github_release
          asset: runc.sha256sum
          algorithm: sha256
"###),
    ("BishopFox/cloudfox", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: BishopFox
    repo_name: cloudfox
    description: Automating situational awareness for cloud penetration tests
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: cloudfox-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: cloudfox
            src: cloudfox/cloudfox
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("AlexNabokikh/tfsort", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: AlexNabokikh
    repo_name: tfsort
    description: A CLI utility to sort Terraform variables and outputs
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tfsort_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: tfsort_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
"###),
    ("cococonscious/koji", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cococonscious
    repo_name: koji
    aliases:
      - name: its-danny/koji
    description: An interactive CLI for creating conventional commits
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        asset: koji-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.0")
        asset: koji-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.2.0")
        asset: koji-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: koji
            src: "{{.AssetWithoutExt}}/koji"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: koji-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              amd64: amd64
        supported_envs:
          - linux/amd64
          - darwin/arm64
          - windows
"###),
    ("slimtoolkit/slim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: slimtoolkit
    repo_name: slim
    aliases:
      - name: docker-slim/docker-slim
    description: "DockerSlim (docker-slim): Don't change anything in your Docker container image and minify it by up to 30x (and for compiled languages even more) making it secure too! (free and open source)"
    supported_envs:
      - darwin
      - linux
    format: tar.gz
    replacements:
      darwin: mac
    # https://downloads.dockerslim.com/releases/1.37.2/dist_mac_m1.zip
    url: https://downloads.dockerslim.com/releases/{{.Version}}/dist_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: slim
        src: dist_{{.OS}}_{{.Arch}}/slim
      - name: slim-sensor
        src: dist_{{.OS}}_{{.Arch}}/slim-sensor
      - name: docker-slim
        src: dist_{{.OS}}_{{.Arch}}/docker-slim
    overrides:
      - goarch: amd64
        url: https://downloads.dockerslim.com/releases/{{.Version}}/dist_{{.OS}}.{{.Format}}
        files:
          - name: slim
            src: dist_{{.OS}}/slim
          - name: slim-sensor
            src: dist_{{.OS}}/slim-sensor
          - name: docker-slim
            src: dist_{{.OS}}/docker-slim
      - goos: darwin
        url: https://downloads.dockerslim.com/releases/{{.Version}}/dist_{{.OS}}_m1.{{.Format}}
        files:
          - name: slim
            src: dist_{{.OS}}_m1/slim
          - name: slim-sensor
            src: dist_{{.OS}}_m1/slim-sensor
          - name: docker-slim
            src: dist_{{.OS}}_m1/docker-slim
    format_overrides:
      - goos: darwin
        format: zip
    version_constraint: semver(">= 1.40.0")
    version_overrides:
      - version_constraint: semver("< 1.40.0")
        files:
          - name: docker-slim
            src: dist_{{.OS}}_{{.Arch}}/docker-slim
          - name: docker-slim-sensor
            src: dist_{{.OS}}_{{.Arch}}/docker-slim-sensor
        overrides:
          - goarch: amd64
            url: https://downloads.dockerslim.com/releases/{{.Version}}/dist_{{.OS}}.{{.Format}}
            files:
              - name: docker-slim
                src: dist_{{.OS}}/docker-slim
              - name: docker-slim-sensor
                src: dist_{{.OS}}/docker-slim-sensor
          - goos: darwin
            url: https://downloads.dockerslim.com/releases/{{.Version}}/dist_{{.OS}}_m1.{{.Format}}
            files:
              - name: docker-slim
                src: dist_{{.OS}}_m1/docker-slim
              - name: docker-slim-sensor
                src: dist_{{.OS}}_m1/docker-slim-sensor
"###),
    ("databricks/click", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: databricks
    repo_name: click
    description: The "Command Line Interactive Controller for Kubernetes"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: click-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: click
            src: click-{{.Version}}-{{.Arch}}-{{.OS}}/click
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - amd64
"###),
    ("mikefarah/yq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mikefarah
    repo_name: yq
    description: yq is a portable command-line YAML processor
    asset: yq_{{.OS}}_{{.Arch}}
    supported_envs:
      - darwin
      - linux
      - amd64
    # https://github.com/mikefarah/yq/issues/801#issuecomment-853523411
    version_constraint: semver(">= 4.9.6")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
"###),
    ("koron/iferr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: koron
    repo_name: iferr
    description: Generate "if err != nil {" block
"###),
    ("maaslalani/slides", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: maaslalani
    repo_name: slides
    description: Terminal based presentation tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: slides_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: slides_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("maaslalani/invoice", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: maaslalani
    repo_name: invoice
    description: Command line invoice generator
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: invoice_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: invoice_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("TomWright/dasel", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: TomWright
    repo_name: dasel
    rosetta2: true
    asset: dasel_{{.OS}}_{{.Arch}}
    format: raw
    description: Select, put and delete data from JSON, TOML, YAML, XML and CSV files with a single tool. Supports conversion between formats and can be used as a Go package
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("Cian911/switchboard", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Cian911
    repo_name: switchboard
    description: "Automated file organisation and routing for all your machines. :open_file_folder:"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: switchboard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: switchboard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("enokawa/taskdiff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: enokawa
    repo_name: taskdiff
    description: Diff tool for ECS Task Definition
    asset: taskdiff_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: taskdiff
        src: taskdiff_{{.Version}}_{{.OS}}_{{.Arch}}/taskdiff
"###),
    ("ovh/venom", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ovh
    repo_name: venom
    description: "Manage and run your integration tests with efficiency - Venom run executors (script, HTTP Request, web, imap, etc... ) and assertions"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.11.0"
        asset: venom-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.21.1"
        asset: venom.{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.16.0")
        asset: venom-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.1")
        asset: venom.{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: semver("<= 1.1.0-beta.2")
        asset: venom.{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: venom.{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
"###),
    ("umlx5h/gtrash", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: umlx5h
    repo_name: gtrash
    description: "A Featureful Trash CLI manager: alternative to rm and trash-cli"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gtrash_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: gtrash_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("reviewdog/reviewdog", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: reviewdog
    repo_name: reviewdog
    description: Automated code review tool integrated with any code analysis tools regardless of programming language
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.11")
        asset: reviewdog_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.15")
        asset: reviewdog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.11.0")
        asset: reviewdog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.13.0")
        asset: reviewdog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: reviewdog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("ymtdzzz/otel-tui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ymtdzzz
    repo_name: otel-tui
    description: A terminal OpenTelemetry viewer inspired by otel-desktop-viewer
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: otel-tui_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: otel-tui_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("grampelberg/kty", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: grampelberg
    repo_name: kty
    description: The terminal for Kubernetes
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: kuberift-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin/arm64
      - version_constraint: semver("<= 0.2.0")
        asset: kuberift-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin/arm64
      - version_constraint: Version == "v0.2.1"
        asset: kty-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            format: raw
            asset: kuberift-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux
          # opening tar archive for reading: wrapping file reader: gzip: invalid header
          # - darwin/arm64
      - version_constraint: "true"
        asset: kty-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin/arm64
"###),
    ("jenkins-x/jx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jenkins-x
    repo_name: jx
    description: Jenkins X provides automated CI+CD for Kubernetes with Preview Environments on Pull Requests using Cloud Native pipelines from Tekton
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v3.2.0", "3.2.381", "3.2.382", "3.2.383", "v3.5.19", "v3.7.0", "v3.10.159"]
        no_asset: true
      - version_constraint: Version == "v3.2.6"
        asset: jx-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: jx-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
      - version_constraint: Version == "v2.1.156"
        asset: jx-cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: jx-cli-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.1")
        asset: jx-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: jx-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.1.155")
        asset: jx-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: jx-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.2.5")
        asset: jx-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: jx-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 3.2.261")
        asset: jx-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: jx-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 3.3.4")
        asset: jx-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: jx-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 3.4.2")
        no_asset: true
      - version_constraint: semver("<= 3.10.182")
        asset: jx-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: jx-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: jx-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: jx-checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/jenkins-x/jx/.github/workflows/jenkins-x-release.yaml@refs/heads/main
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/jenkins-x/jx/releases/download/{{.Version}}/jx-checksums.txt.sig
              - --certificate
              - https://github.com/jenkins-x/jx/releases/download/{{.Version}}/jx-checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("hmarr/codeowners", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hmarr
    repo_name: codeowners
    description: Command line tool and Go library for CODEOWNERS files
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        no_asset: true
      - version_constraint: Version == "v0.3.1"
        asset: codeowners_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.3.0")
        asset: codeowners_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: codeowners_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("checkmake/checkmake", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: checkmake
    repo_name: checkmake
    aliases:
      - name: mrtazz/checkmake
    description: experimental linter/analyzer for Makefiles
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.2.0"
        no_asset: true
      - version_constraint: "true"
        asset: checkmake-{{.Version}}.{{.OS}}.{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("orlangure/gocovsh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: orlangure
    repo_name: gocovsh
    description: "Go Coverage in your terminal: a tool for exploring Go Coverage reports from the command line"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gocovsh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "^https://github\\.com/orlangure/gocovsh/\\.github/workflows/.+\\.ya?ml@refs/tags/"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/orlangure/gocovsh/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/orlangure/gocovsh/releases/download/{{.Version}}/checksums.txt.pem
"###),
    ("Mic-U/ecsher", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Mic-U
    repo_name: ecsher
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.1")
        asset: ecsher_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.10.0")
        asset: ecsher_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.14.2")
        asset: ecsher_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: ecsher_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("pavius/impi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pavius
    repo_name: impi
    description: Verify proper golang import directives, beyond the capability of gofmt and goimports
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: impi-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("syncthing/syncthing", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: syncthing
    repo_name: syncthing
    asset: syncthing-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
    format: zip
    description: Open Source Continuous File Synchronization
    replacements:
      darwin: macos
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: syncthing
        src: syncthing-{{.OS}}-{{.Arch}}-{{.Version}}/syncthing
    checksum:
      type: github_release
      asset: sha256sum.txt.asc
      algorithm: sha256
"###),
    ("jpbruinsslot/slack-term", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jpbruinsslot
    repo_name: slack-term
    aliases:
      - name: erroneousboat/slack-term
    description: Slack client for your terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: slack-term-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("NathanBaulch/rainbow-roads", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: NathanBaulch
    repo_name: rainbow-roads
    description: Animate your exercise maps
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: rainbow-roads-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("rgwood/systemctl-tui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rgwood
    repo_name: systemctl-tui
    description: A fast, simple TUI for interacting with systemd services and their logs
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.0"
        no_asset: true
      - version_constraint: "true"
        asset: systemctl-tui-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-musl
        supported_envs:
          - linux
"###),
    ("nakabonne/ali", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nakabonne
    repo_name: ali
    description: Generate HTTP load and plot the results in real-time
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.7.0"
        asset: ali_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.6.1")
        asset: ali_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: ali_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("buildkite/agent", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: buildkite
    repo_name: agent
    description: The Buildkite Agent is an open-source toolkit written in Golang for securely running build jobs on any device or network
    asset: buildkite-agent-{{.OS}}-{{.Arch}}-{{.Version|trimV}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: buildkite-agent
    supported_envs:
      - linux
      - darwin
      - amd64
"###),
    ("buildkite/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: buildkite
    repo_name: cli
    description: A command line interface for Buildkite
    files:
      - name: bk
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.0")
        asset: bk-{{.OS}}-{{.Arch}}-{{trimV .Version}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.2.0"
        asset: cli-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: Version == "v2.0.0"
        asset: cli-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: Version == "v3.0.0-beta.20240202"
        asset: bk_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
      - version_constraint: Version == "v3.0.0-beta.20240326"
        asset: bk_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
      - version_constraint: Version == "v3.0.0-beta.20240418"
        asset: "{{.Version}}_{{.OS}}_{{.Arch}}"
        format: raw
      - version_constraint: "true"
        asset: bk_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: bk
            src: "{{.AssetWithoutExt}}/bk"
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: bk_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: bk
"###),
    ("git-lfs/git-lfs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: git-lfs
    repo_name: git-lfs
    asset: git-lfs-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
    description: Git extension for versioning large files
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    version_constraint: semver(">= 3.2.0")
    files:
      - name: git-lfs
        src: git-lfs-{{trimV .Version}}/git-lfs
    version_overrides:
      - version_constraint: "true"
        files:
          - name: git-lfs
            src: git-lfs
    checksum:
      enabled: false
"###),
    ("superfly/flyctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: superfly
    repo_name: flyctl
    description: Command line tools for fly.io services
    files:
      - name: flyctl
      - name: fly
        src: flyctl
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.1.144", "v0.2.73", "v0.3.0", "v0.3.11"]
        no_asset: true
      - version_constraint: Version == "v0.0.517"
        asset: flyctl_{{trimV .Version}}_{{.OS}}{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            goarch: amd64
            asset: flyctl_{{trimV .Version}}_mac{{.OS}}86_64.{{.Format}}
            replacements:
              darwin: OSx
          - goos: darwin
            goarch: arm64
            replacements:
              darwin: macOS
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.158")
        asset: flyctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.175")
        asset: flyctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.201")
        asset: flyctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.243")
        asset: flyctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.2.72")
        asset: flyctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.2.80"
        asset: flyctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.2.84"
        asset: flyctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: flyctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: flyctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: flyctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("Azure/aks-engine", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Azure
    repo_name: aks-engine
    description: AKS Engine deploys and manages Kubernetes clusters in Azure
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: aks-engine-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    files:
      - name: aks-engine
        src: aks-engine-{{.Version}}-{{.OS}}-{{.Arch}}/aks-engine
"###),
    ("Azure/bicep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Azure
    repo_name: bicep
    description: Bicep is a declarative language for describing and deploying Azure resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.1")
        asset: bicep-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.1008")
        asset: bicep-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        overrides:
          - goos: linux
            asset: bicep-{{.OS}}-musl-{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: bicep-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        overrides:
          - goos: linux
            goarch: amd64
            asset: bicep-{{.OS}}-musl-{{.Arch}}
"###),
    ("Azure/azure-dev", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Azure
    repo_name: azure-dev
    asset: azd-{{.OS}}-{{.Arch}}.{{.Format}}
    format: zip
    description: The Azure Developer CLI is a developer-centric command-line interface tool for creating Azure applications
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: azd
        src: azd-{{.OS}}-{{.Arch}}
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
"###),
    ("Azure/draft", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Azure
    repo_name: draft
    description: A day 0 tool for getting your app on k8s fast
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.3")
        asset: draftv2-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: draftv2
        overrides:
          - goos: darwin
            goarch: arm64
            asset: draft-v2{{.OS}}-{{.Arch}}
      - version_constraint: semver("<= 0.0.7")
        asset: draftv2-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: draftv2
      - version_constraint: semver("<= 0.0.21")
        asset: draft-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: "true"
        asset: draft-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("Azure/kubelogin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Azure
    repo_name: kubelogin
    description: A Kubernetes credential (exec) plugin implementing azure authentication
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.8"
        no_asset: true
      - version_constraint: Version == "v0.0.10"
        asset: kubelogin-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: kubelogin
            src: bin/{{.OS}}_{{.Arch}}/kubelogin
        overrides:
          - goos: windows
            asset: kubelogin-win-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.1.9"
        asset: kubelogin-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: kubelogin
            src: bin/{{.OS}}_{{.Arch}}/kubelogin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: kubelogin-win-{{.Arch}}.{{.Format}}
      - version_constraint: semver("<= 0.0.4")
        no_asset: true
      - version_constraint: semver("<= 0.0.9")
        asset: kubelogin-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: kubelogin
            src: bin/{{.OS}}_{{.Arch}}/kubelogin
        overrides:
          - goos: windows
            asset: kubelogin-win-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.26")
        asset: kubelogin-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: kubelogin
            src: bin/{{.OS}}_{{.Arch}}/kubelogin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: kubelogin-win-{{.Arch}}.{{.Format}}
      - version_constraint: semver("<= 0.1.7")
        asset: kubelogin-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: kubelogin
            src: bin/{{.OS}}_{{.Arch}}/kubelogin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: kubelogin-win-{{.Arch}}.{{.Format}}
      - version_constraint: semver("<= 0.2.6")
        no_asset: true
      - version_constraint: "true"
        asset: kubelogin-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: kubelogin
            src: bin/{{.OS}}_{{.Arch}}/kubelogin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: kubelogin-win-{{.Arch}}.{{.Format}}
"###),
    ("Azure/mapotf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: Azure
    repo_name: mapotf
    description: mapotf stands for MetA PrOgramming for TerraForm. mapotf is a meta programming tool designed to work with Terraform
"###),
    ("Azure/aztfexport", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Azure
    repo_name: aztfexport
    aliases:
      - name: Azure/aztfy
    description: A tool to bring existing Azure resources under Terraform's management
    asset: aztfexport_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: aztfexport_SHA256SUMS
      algorithm: sha256
    version_constraint: semver(">= 0.11.0")
    version_overrides:
      - version_constraint: semver(">= 0.7.0")
        asset: aztfy_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: aztfy
        checksum:
          type: github_release
          asset: aztfy_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver(">= 0.0.6")
        asset: aztfy_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: aztfy
        checksum:
          type: github_release
          asset: aztfy_{{.Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("< 0.0.6")
        asset: aztfy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        files:
          - name: aztfy
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("gefyrahq/gefyra", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gefyrahq
    repo_name: gefyra
    description: "Blazingly-fast :rocket:, rock-solid, local application development :arrow_right: with Kubernetes"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        no_asset: true
      - version_constraint: semver("<= 0.6.7")
        asset: gefyra-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "0.6.8"
        no_asset: true
      - version_constraint: Version == "0.6.9"
        asset: gefyra-0.6.7-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.0")
        asset: gefyra-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.4")
        asset: gefyra-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            replacements:
              amd64: x86_64
            files:
              - name: gefyra
                src: dist/gefyra
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.0.3")
        asset: gefyra-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            asset: gefyra-{{.Version}}-{{.OS}}-universal.{{.Format}}
          - goos: windows
            replacements:
              amd64: x86_64
            files:
              - name: gefyra
                src: dist/gefyra
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: gefyra-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            asset: gefyra-{{.Version}}-{{.OS}}-universal.{{.Format}}
          - goos: windows
            replacements:
              amd64: x86_64
            files:
              - name: gefyra
                src: dist-exe/gefyra.exe
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("kubevirt/kubevirt/virtctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubevirt/kubevirt/virtctl
    type: github_release
    repo_owner: kubevirt
    repo_name: kubevirt
    description: Kubernetes Virtualization API and runtime in order to define and manage virtual machines
    asset: virtctl-{{.Version}}-{{.OS}}-{{.Arch}} # Workaround of a bug. https://github.com/aquaproj/aqua-registry/pull/18326#issuecomment-1862164476
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1-alpha.6")
        no_asset: true
      - version_constraint: semver("<= 0.2.0")
        asset: virtctl-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.3.0-alpha.0"
        asset: virtctl-v0.3.0-{{.OS}}-{{.Arch}}.0-179-ge1a1ac09-linux-amd64
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.3.0")
        asset: virtctl-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.6.4")
        asset: virtctl-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.7.0-alpha.0"
        asset: virtctl-v0.6.1-alpha.0-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.0")
        asset: virtctl-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: virtctl-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("sl1pm4t/k2tf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sl1pm4t
    repo_name: k2tf
    description: Kubernetes YAML to Terraform HCL converter
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: k2tf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.0")
        asset: k2tf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: k2tf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("dstotijn/hetty", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dstotijn
    repo_name: hetty
    asset: hetty_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: An HTTP toolkit for security research
    replacements:
      amd64: x86_64
      darwin: macOS
      linux: Linux
      windows: Windows
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("goodwithtech/dockle", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goodwithtech
    repo_name: dockle
    description: Container Image Linter for Security, Helping build the Best-Practice Docker Image, Easy to start
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.12")
        asset: dockle_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: dockle_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.4.5")
        asset: dockle_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: dockle_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: dockle_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: dockle_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("tfutils/tfenv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_archive
    repo_owner: tfutils
    repo_name: tfenv
    description: Terraform version manager
    supported_envs:
      - darwin
      - linux
    files:
      - name: tfenv
        src: tfenv-{{trimV .Version}}/bin/tfenv
      - name: terraform
        src: tfenv-{{trimV .Version}}/bin/terraform
"###),
    ("mooltiverse/nyx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mooltiverse
    repo_name: nyx
    description: The one stop semantic release tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0-alpha.1")
        asset: nyx-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: semver("<= 1.2.3")
        no_asset: true
      - version_constraint: semver("<= 2.3.2-hotfix196.1")
        asset: nyx-{{.OS}}-{{.Arch}}
        format: raw
      - version_constraint: Version == "2.3.2"
        asset: nyx-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 2.5.0-alpha.2")
        asset: nyx-{{.OS}}-{{.Arch}}
        format: raw
      - version_constraint: Version == "2.5.0-alpha.3"
        no_asset: true
      - version_constraint: semver("<= 2.5.1-alpha.3")
        asset: nyx-{{.OS}}-{{.Arch}}
        format: raw
      - version_constraint: Version == "2.5.1-alpha.4"
        no_asset: true
      - version_constraint: "true"
        asset: nyx-{{.OS}}-{{.Arch}}
        format: raw
"###),
    ("wfxr/csview", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wfxr
    repo_name: csview
    description: Pretty and fast csv viewer for cli with cjk/emoji support
    asset: csview-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: linux
        goarch: amd64
        replacements:
          linux: unknown-linux-musl
      - goos: linux
        goarch: arm64
        replacements:
          arm64: aarch64
          linux: unknown-linux-gnu
      - goos: windows
        format: zip
    files:
      - name: csview
        src: csview-{{.Version}}-{{.Arch}}-{{.OS}}/csview
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
"###),
    ("gardener/docforge", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gardener
    repo_name: docforge
    asset: docforge-{{.OS}}-{{.Arch}}
    format: raw
    description: Scalable build tool for distributed documentation sources
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
"###),
    ("hasura/graphql-engine", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hasura
    repo_name: graphql-engine
    description: Hasura GraphQL Engine CLI
    supported_envs:
      - darwin
      - linux
      - amd64
    format: raw
    asset: cli-hasura-{{.OS}}-{{.Arch}}
    files:
      - name: hasura
"###),
    ("yonahd/kor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yonahd
    repo_name: kor
    description: A Golang Tool to discover unused Kubernetes Resources
    asset: kor_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    supported_envs:
      - darwin
      - amd64
    checksum:
      type: github_release
      asset: kor_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.2.0")
    version_overrides:
      - version_constraint: semver("< 0.2.0")
        rosetta2: true
        files:
          - name: kor
            src: kor-{{.GOOS}}-{{if eq .GOOS "darwin"}}amd64{{else}}{{.GOARCH}}{{end}}
"###),
    ("andreazorzetto/yh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: andreazorzetto
    repo_name: yh
    description: YAML syntax highlighter to bring colours to kubectl output
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1"
        asset: yh-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: yh-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("ned1313/terrahash", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ned1313
    repo_name: terrahash
    description: Create and store a hash of the Terraform modules used by your configuration
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: terrahash_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: terrahash_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("leg100/pug", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: leg100
    repo_name: pug
    description: Drive terraform at terminal velocity
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pug_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: pug_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("ducaale/xh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ducaale
    repo_name: xh
    description: Friendly and fast tool for sending HTTP requests
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.7.0"
        asset: xh-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: xh
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.3")
        asset: ht-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ht
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.0")
        asset: ht-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ht
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.14.1")
        asset: xh-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: xh
            src: "{{.AssetWithoutExt}}/xh"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.21.0")
        asset: xh-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: xh
            src: "{{.AssetWithoutExt}}/xh"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: xh-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: xh
            src: "{{.AssetWithoutExt}}/xh"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("cue-lang/cue", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cue-lang
    repo_name: cue
    description: The home of the CUE language! Validate and define text-based and dynamic configuration
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0-beta.5")
        asset: cue_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.4.0")
        asset: cue_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: cue_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("CrunchyData/postgres-operator-client", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: CrunchyData
    repo_name: postgres-operator-client
    description: the Command Line Interface (CLI) for the Crunchy Postgres Operator
    files:
      - name: kubectl-pgo
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: kubectl-pgo-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kubectl-pgo-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("DelineaXPM/dsv-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: DelineaXPM
    repo_name: dsv-cli
    aliases:
      - name: thycotic/dsv-cli
    link: https://docs.delinea.com/dsv/current/cli-ref
    description: Delinea DevOps Secrets Vault is a secret vault automation tool for the management of credentials for applications, databases, CI/CD tools, and services
    search_words:
      - secrets
      - vault
    files:
      - name: dsv
    supported_envs:
      - darwin
      - amd64
    asset: dsv-{{.OS}}-{{.Arch}}
    format: raw
    replacements:
      amd64: x64
      windows: win
    version_constraint: semver(">= 1.39.9")
    checksum:
      type: github_release
      asset: checksums-sha256.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: semver(">= 1.39.5")
        checksum:
          enabled: false
      - version_constraint: semver(">= 1.39.1")
        checksum:
          enabled: false
        replacements:
          windows: win
      - version_constraint: semver(">= 1.33.0")
        checksum:
          enabled: false
      - version_constraint: "true"
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("ivaaaan/smug", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ivaaaan
    repo_name: smug
    description: Session manager and task runner for tmux. Start your development environment within one command
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.5"
        asset: smug.{{trimV .Version}}._{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.2.2")
        asset: smug_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.4")
        asset: smug_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.4")
        asset: smug_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: smug_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("sagiegurari/cargo-make", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sagiegurari
    repo_name: cargo-make
    description: Rust task runner and build tool
    files:
      - name: cargo-make
        src: "{{.AssetWithoutExt}}/{{.FileName}}"
      - name: makers
        src: "{{.AssetWithoutExt}}/{{.FileName}}"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.35.3"
        no_asset: true
      - version_constraint: Version == "0.16.5"
        asset: cargo-make-v{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
        files:
          - name: cargo-make
            src: "{{.AssetWithoutExt}}/{{.FileName}}"
        overrides:
          - goos: windows
            files:
              - name: cargo-make
      - version_constraint: Version == "0.19.0"
        asset: cargo-make-v0.18.0-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: cargo-make
            src: "{{.AssetWithoutExt}}/{{.FileName}}"
        overrides:
          - goos: windows
            files:
              - name: cargo-make
      - version_constraint: Version == "0.30.2"
        asset: cargo-make-v{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows/amd64
        files:
          - name: cargo-make
            src: "{{.AssetWithoutExt}}/{{.FileName}}"
        overrides:
          - goos: windows
            files:
              - name: cargo-make
      - version_constraint: Version == "0.35.14"
        asset: cargo-make-v{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        overrides:
          - goos: windows
            files:
              - name: cargo-make
              - name: makers
      - version_constraint: semver("<= 0.15.0")
        no_asset: true
      - version_constraint: semver("<= 0.36.6")
        asset: cargo-make-v{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
        overrides:
          - goos: windows
            files:
              - name: cargo-make
              - name: makers
      - version_constraint: "true"
        asset: cargo-make-v{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            files:
              - name: cargo-make
              - name: makers
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("justmiles/go-markdown2confluence", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: justmiles
    repo_name: go-markdown2confluence
    description: Push markdown files to Confluence Cloud
    asset: go-markdown2confluence_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    files:
      - name: markdown2confluence
    version_constraint: semver(">= 3.3.2")
    version_overrides:
      - version_constraint: semver(">= 3.3.1")
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 3.3.0")
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 3.1.1")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 3.0.0")
        asset: markdown2confluence_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 2.0.0")
        asset: markdown2confluence-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        replacements: {}
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 2.0.0")
        asset: markdown2confluence.{{.OS}}-{{.Arch}}
        format: raw
        replacements: {}
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("heartbeatsjp/check-tls-cert", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: heartbeatsjp
    repo_name: check-tls-cert
    description: Check-tls-cert is a TLS certificate checker
    asset: check-tls-cert-{{trimV .Version}}-{{.OS}}-{{.Arch}}.tar.xz
    supported_envs:
      - linux
      - darwin
      - amd64
    files:
      - name: check-tls-cert
        src: check-tls-cert-{{trimV .Version}}/check-tls-cert
"###),
    ("yassinebenaid/bunster", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yassinebenaid
    repo_name: bunster
    description: Compile shell scripts to static binaries
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.0")
        no_asset: true
      - version_constraint: semver("<= 0.7.1")
        asset: bunster_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
        files:
          - name: bunster
            src: bunster_{{.OS}}-{{.Arch}}
      - version_constraint: "true"
        asset: bunster_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("arrow2nd/nekome", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: arrow2nd
    repo_name: nekome
    description: TUI な Twitter クライアント
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.1.0")
        asset: nekome_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: nekome_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("arrow2nd/nimotsu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: arrow2nd
    repo_name: nimotsu
    description: CLI tool to tracking packages in Japan
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        asset: nimotsu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.3.3")
        asset: nimotsu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: nimotsu_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("mr-karan/doggo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mr-karan
    repo_name: doggo
    description: ":dog: Command-line DNS Client for Humans. Written in Golang"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.3")
        asset: doggo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: doggo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.4.1")
        asset: doggo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: doggo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.7")
        asset: doggo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: doggo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: doggo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: doggo
            src: "{{.AssetWithoutExt}}/doggo"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: doggo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("koyeb/koyeb-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: koyeb
    repo_name: koyeb-cli
    description: Koyeb cli
    files:
      - name: koyeb
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        asset: koyeb-cli-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.0.0-rc1"
        asset: koyeb-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.0.1")
        asset: koyeb-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: koyeb-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("fioncat/otree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fioncat
    repo_name: otree
    description: A command line tool to view objects (JSON/YAML/TOML) in TUI tree widget
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: otree-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-musl
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
      - version_constraint: "true"
        asset: otree-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
        supported_envs:
          - linux
          - darwin/arm64
"###),
    ("sorenisanerd/gotty", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sorenisanerd
    repo_name: gotty
    description: Share your terminal as a web application
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.1.0"
        asset: gotty_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.2.0"
        asset: gotty_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: gotty_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("tsenart/vegeta", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tsenart
    repo_name: vegeta
    description: HTTP load testing tool and library. It's over 9000
    rosetta2: true
    supported_envs:
      - darwin
      - linux/amd64
    asset: vegeta_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    checksum:
      type: github_release
      asset: vegeta_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("golang.org/x/tools/gopls", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: golang.org/x/tools/gopls
    aliases:
      - name: golang/tools/gopls
    path: golang.org/x/tools/gopls
    repo_owner: golang
    repo_name: tools
    description: Go language server
    go_version_path: golang.org/x/tools/gopls
    files:
      - name: gopls
"###),
    ("golang.org/x/perf/cmd/benchstat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    path: golang.org/x/perf/cmd/benchstat
    description: Benchstat computes and compares statistics about benchmarks
    link: https://pkg.go.dev/golang.org/x/perf/cmd/benchstat
"###),
    ("dex4er/tf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dex4er
    repo_name: tf
    description: Less verbose and more shell friendly Terraform
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.7.0")
        type: github_content
        path: tf.sh
      - version_constraint: "true"
        asset: tf-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("po3rin/github_link_creator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: po3rin
    repo_name: github_link_creator
    asset: github_link_creator_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: GitHub Link Card Creator lets you generate GitHub images has links to repositories
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: repoimg
    checksum:
      type: github_release
      asset: github_link_creator_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("knqyf263/cob", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: knqyf263
    repo_name: cob
    description: Continuous Benchmark for Go Project
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.6")
        asset: cob_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: cob_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: cob_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: cob_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("knqyf263/go-plugin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: knqyf263
    repo_name: go-plugin
    description: Go Plugin System over WebAssembly
    asset: go-plugin_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: protoc-gen-go-plugin
    supported_envs:
      - linux
      - darwin
    checksum:
      type: github_release
      asset: go-plugin_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("knqyf263/utern", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: knqyf263
    repo_name: utern
    description: Multi group and stream log tailing for AWS CloudWatch Logs
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        asset: utern_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: utern_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.3")
        asset: utern_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: utern_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.5")
        asset: utern_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: utern_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: utern_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: utern_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("knqyf263/sou", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: knqyf263
    repo_name: sou
    description: A tool for exploring files in container image layers
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: sou_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("knqyf263/pet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: knqyf263
    repo_name: pet
    description: Simple command-line snippet manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.4"
        asset: pet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: pet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.2")
        asset: pet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.3")
        asset: pet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.6")
        asset: pet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: pet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: pet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("chriswalz/bit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chriswalz
    repo_name: bit
    description: Bit is a modern Git CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.14")
        asset: bit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.2")
        asset: bit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: bit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: bit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: bit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("gcla/termshark", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gcla
    repo_name: termshark
    description: A terminal UI for tshark, inspired by Wireshark
    asset: termshark_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x64
      darwin: macOS
    files:
      - name: termshark
        src: termshark_{{trimV .Version}}_{{.OS}}_{{.Arch}}/termshark
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("Shopify/kubeaudit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Shopify
    repo_name: kubeaudit
    description: kubeaudit helps you audit your Kubernetes clusters against common security controls
    files:
      - name: kubeaudit
      - name: kubectl-audit
        src: kubeaudit
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubeaudit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        checksum:
          type: github_release
          asset: kubeaudit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("Shopify/shadowenv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Shopify
    repo_name: shadowenv
    description: reversible directory-local environment variable manipulations
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.2.1"
        asset: shadowenv-{{.OS}}-10.14
        format: raw
        replacements:
          darwin: macOS
        supported_envs:
          - darwin
      - version_constraint: Version == "2.1.0"
        asset: shadowenv-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: Version == "2.1.1"
        asset: shadowenv-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.0.0")
        asset: shadowenv-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: semver("<= 2.0.5")
        asset: shadowenv-{{.OS}}-latest
        format: raw
        replacements:
          darwin: macOS
        supported_envs:
          - darwin
      - version_constraint: semver("<= 2.0.7")
        asset: shadowenv-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: shadowenv-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
"###),
    ("Shopify/ejson", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Shopify
    repo_name: ejson
    description: EJSON is a small library to manage encrypted secrets using asymmetric encryption
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 1.3.0")
        error_message: Please use v1.3.0 or later
      - version_constraint: semver("<= 1.3.2")
        asset: "{{.OS}}-{{.Arch}}"
        supported_envs:
          - darwin
          - linux
      - version_constraint: Version == "v1.3.3"
        asset: ejson_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        checksum:
          type: github_release
          asset: ejson_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - linux
      - version_constraint: Version == "v1.4.0"
        asset: ejson_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: ejson_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - linux
      - version_constraint: "true"
        asset: ejson_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        checksum:
          type: github_release
          asset: ejson_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("Shopify/toxiproxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Shopify
    repo_name: toxiproxy
    description: A TCP proxy to simulate network and system conditions for chaos and resiliency testing
    files:
      - name: toxiproxy-cli
      - name: toxiproxy-server
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: toxiproxy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - linux
          - amd64
"###),
    ("viaduct-ai/kustomize-sops", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: viaduct-ai
    repo_name: kustomize-sops
    description: KSOPS - A Flexible Kustomize Plugin for SOPS Encrypted Resources
    version_constraint: "false"
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    files:
      - name: ksops
    version_overrides:
      - version_constraint: semver("<= 2.1.5")
        no_asset: true
      - version_constraint: semver("<= 2.3.2")
        asset: ksops_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.5.6")
        asset: ksops_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 3.0.1")
        asset: ksops_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: ksops_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("charmbracelet/charm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: charmbracelet
    repo_name: charm
    asset: charm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: The Charm Tool and Library
    replacements:
      amd64: x86_64
      linux: Linux
      darwin: Darwin
      windows: Windows
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.12.5")
    # 0.12.5: linux was capitalized. linux => Linux
    version_overrides:
      - version_constraint: semver("< 0.12.5")
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
      - version_constraint: "true"
"###),
    ("charmbracelet/skate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: charmbracelet
    repo_name: skate
    description: A personal key value store
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.3")
        asset: skate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.2.1")
        asset: skate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.2.2"
        asset: skate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: skate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: skate
            src: "{{.AssetWithoutExt}}/skate"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("charmbracelet/vhs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: charmbracelet
    repo_name: vhs
    description: Your CLI home video recorder
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.0")
        asset: vhs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.7.0"
        no_asset: true
      - version_constraint: Version == "v0.7.1"
        asset: vhs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: vhs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: vhs
            src: "{{.AssetWithoutExt}}/vhs"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("charmbracelet/mods", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: charmbracelet
    repo_name: mods
    description: AI on the command line
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: mods_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.2.1")
        asset: mods_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: mods_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        complete_windows_ext: false
        files:
          - name: mods
            src: "{{.AssetWithoutExt}}/mods"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("charmbracelet/glow", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: charmbracelet
    repo_name: glow
    description: Render markdown on the CLI, with pizzazz
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: glow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.0.1")
        asset: glow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.3.0")
        asset: glow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.4.1")
        asset: glow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v1.5.0"
        asset: glow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v1.5.1"
        asset: glow_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: glow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: glow
            src: "{{.AssetWithoutExt}}/glow"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("charmbracelet/gum", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: charmbracelet
    repo_name: gum
    description: A tool for glamorous shell scripts
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.0")
        asset: gum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.13.0")
        asset: gum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: gum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: gum
            src: "{{.AssetWithoutExt}}/gum"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("charmbracelet/freeze", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: charmbracelet
    repo_name: freeze
    description: Generate images of code and terminal output
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: freeze_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: freeze
            src: "{{.AssetWithoutExt}}/freeze"
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/charmbracelet/meta/\\.github/workflows/goreleaser\\.yml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/charmbracelet/freeze/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/charmbracelet/freeze/releases/download/{{.Version}}/checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("oapi-codegen/oapi-codegen", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: oapi-codegen
    repo_name: oapi-codegen
    aliases:
      - name: deepmap/oapi-codegen
    description: Generate Go client and server boilerplate from OpenAPI 3 specifications
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 2.0.0")
        path: github.com/deepmap/oapi-codegen/cmd/oapi-codegen
      - version_constraint: semver("<= 2.2.0")
        path: github.com/deepmap/oapi-codegen/v2/cmd/oapi-codegen
      - version_constraint: "true"
        path: github.com/oapi-codegen/oapi-codegen/v{{(semver .Version).Major}}/cmd/oapi-codegen
"###),
    ("vmware-tanzu/velero", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: vmware-tanzu
    repo_name: velero
    description: Backup and migrate Kubernetes applications and their persistent volumes
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.8.0-rc.1"
        asset: ark-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ark
      - version_constraint: Version == "v0.10.0-beta.1"
        asset: ark-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ark
        checksum:
          type: github_release
          asset: CHECKSUM
          algorithm: sha256
      - version_constraint: Version == "v1.10.0-rc.2"
        asset: velero-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: velero
            src: "{{.AssetWithoutExt}}/velero"
        checksum:
          type: github_release
          asset: CHECKSUM
          algorithm: sha256
      - version_constraint: semver("<= 0.4.0")
        no_asset: true
      - version_constraint: semver("<= 0.5.1")
        asset: ark-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ark
        checksum:
          type: github_release
          asset: CHECKSUM
          algorithm: sha256
      - version_constraint: semver("<= 0.10.2")
        asset: ark-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ark
        checksum:
          type: github_release
          asset: CHECKSUM
          algorithm: sha256
      - version_constraint: semver("<= 1.10.3")
        asset: velero-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: velero
            src: "{{.AssetWithoutExt}}/velero"
        checksum:
          type: github_release
          asset: CHECKSUM
          algorithm: sha256
      - version_constraint: "true"
        asset: velero-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: velero
            src: "{{.AssetWithoutExt}}/velero"
        checksum:
          type: github_release
          asset: CHECKSUM
          algorithm: sha256
"###),
    ("hatoo/oha", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hatoo
    repo_name: oha
    description: Ohayou(おはよう), HTTP load generator, inspired by rakyll/hey with tui animation
    asset: oha-{{.OS}}-{{.Arch}}

    # https://github.com/aquaproj/aqua-registry/pull/11995#issuecomment-1537367448
    # Unfortunately, the prebuilt binary for darwin/arm64 doesn't work, so we enable rosetta2
    rosetta2: true

    format: raw
    replacements:
      darwin: macos
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.5.4")
    version_overrides:
      - version_constraint: semver(">= 0.5.3")
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 0.5.3-test")
      - version_constraint: semver("< 0.5.3-test")
        supported_envs:
          - darwin
          - amd64
"###),
    ("eza-community/eza", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: eza-community
    repo_name: eza
    description: A modern, maintained replacement for ls
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.10.9")
        type: cargo
        crate: eza
      - version_constraint: Version == "v0.11.0"
        asset: "{{.Arch}}-{{.OS}}-eza"
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        overrides:
          - envs:
              - darwin
              - windows/arm64
            type: cargo
            crate: eza
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: Version == "v0.11.1"
        asset: eza_{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        overrides:
          - envs:
              - darwin
              - windows/arm64
            type: cargo
            crate: eza
          - goos: linux
            format: tar.gz
            replacements:
              arm64: aarch64
      - version_constraint: "true"
        asset: eza_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-gnu
        overrides:
          - envs:
              - darwin
              - windows/arm64
            type: cargo
            crate: eza
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            asset: eza.exe_{{.Arch}}-{{.OS}}.{{.Format}}
"###),
    ("winebarrel/cronplan/cronviz", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: winebarrel/cronplan/cronviz
    type: github_release
    repo_owner: winebarrel
    repo_name: cronplan
    description: Cron expression parser for Amazon EventBridge
    asset: cronviz_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    version_constraint: semver(">= 1.8.1")
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    files:
      - name: cronviz
    version_overrides:
      - version_constraint: semver(">= 1.5.0")
        checksum:
          type: github_release
          asset: cronviz-checksums.txt
          algorithm: sha256
"###),
    ("winebarrel/cronplan/cronplan", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: winebarrel/cronplan/cronplan
    repo_owner: winebarrel
    repo_name: cronplan
    description: Cron expression parser for Amazon EventBridge
    asset: cronplan_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    version_constraint: semver(">= 1.8.1")
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: semver(">= 1.2.0")
        checksum:
          type: github_release
          asset: cronplan-checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("winebarrel/cronplan/cronmatch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: winebarrel/cronplan/cronmatch
    type: github_release
    repo_owner: winebarrel
    repo_name: cronplan
    description: Cron expression parser for Amazon EventBridge
    asset: cronmatch_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    version_constraint: semver(">= 1.8.1")
    files:
      - name: cronmatch
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: semver(">= 1.2.0")
        checksum:
          type: github_release
          asset: cronmatch-checksums.txt
          algorithm: sha256
"###),
    ("zquestz/s", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zquestz
    repo_name: s
    description: Open a web search in your terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        no_asset: true
      - version_constraint: semver("<= 0.5.14")
        asset: s-{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: s
            src: "{{.AssetWithoutExt}}/s"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: s-{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: s
            src: "{{.AssetWithoutExt}}/s"
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("okta/okta-aws-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: okta
    repo_name: okta-aws-cli
    description: A CLI for having Okta as the IdP for AWS CLI operations
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.3")
        asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: okta-aws-cli
            src: okta-aws-cli_{{.Version}}
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.0.4"
        asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: okta-aws-cli
            src: okta-aws-cli_{{.Version}}
        overrides:
          - goos: darwin
            goarch: amd64
            asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}_signed.{{.Format}}
            checksum:
              enabled: false
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.1")
        asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: okta-aws-cli
            src: okta-aws-cli_{{.Version}}
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.3.0"
        asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: okta-aws-cli
            src: okta-aws-cli_{{.Version}}
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.2.1")
        asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: okta-aws-cli
            src: okta-aws-cli_{{.Version}}
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v1.2.2"
        asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: okta-aws-cli
            src: okta-aws-cli_{{.Version}}
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v2.0.0"
        asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: okta-aws-cli
            src: okta-aws-cli_{{.Version}}
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: okta-aws-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
          - windows/arm64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("zitadel/zitadel", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zitadel
    repo_name: zitadel
    description: ZITADEL - The best of Auth0 and Keycloak combined. Built for the serverless era
    asset: zitadel-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    files:
      - name: zitadel
        src: zitadel-{{.OS}}-{{.Arch}}/zitadel
"###),
    ("Bearer/gon", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Bearer
    repo_name: gon
    description: Sign, notarize, and package macOS CLI tools and applications written in any language. Available as both a CLI and a Go library
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.13")
        no_asset: true
      - version_constraint: "true"
        asset: gon_{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
        supported_envs:
          - darwin
"###),
    ("thazelart/terraform-validator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: thazelart
    repo_name: terraform-validator
    description: A norms and conventions validator for Terraform
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    asset: terraform-validator_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      darwin: Darwin
      linux: Linux
      386: i386
      amd64: x86_64
    checksum:
      type: github_release
      asset: terraform-validator_checksums.txt
      algorithm: sha256
"###),
    ("FiloSottile/age", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FiloSottile
    repo_name: age
    description: A simple, modern and secure encryption tool (and Go library) with small explicit keys, no config options, and UNIX-style composability
    windows_arm_emulation: true
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    asset: age-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    files:
      - name: age
        src: age/age
      - name: age-keygen
        src: age/age-keygen
"###),
    ("FiloSottile/mkcert", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FiloSottile
    repo_name: mkcert
    description: A simple zero-config tool to make locally trusted development certificates with any names you'd like
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.1")
        asset: mkcert-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.4.1")
        asset: mkcert-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.3")
        asset: mkcert-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: mkcert-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
"###),
    ("bonnefoa/kubectl-fzf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bonnefoa
    repo_name: kubectl-fzf
    asset: kubectl-fzf_{{.OS}}_{{.Arch}}.tar.gz
    description: A fast kubectl autocompletion with fzf
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    files:
      - name: kubectl-fzf-server
      - name: kubectl-fzf-completion
    checksum:
      type: github_release
      asset: kubectl-fzf_checksums.txt
      algorithm: sha256
"###),
    ("cloudflare/cloudflared", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudflare
    repo_name: cloudflared
    description: cloudflared connects your machine or user identity to Cloudflare's global network
    rosetta2: true
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: cloudflared-{{.OS}}-{{.Arch}}
    overrides:
      - goos: darwin
        asset: cloudflared-{{.OS}}-{{.Arch}}.tgz
"###),
    ("cloudflare/gokey", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: cloudflare
    repo_name: gokey
    description: A simple vaultless password manager in Go
    path: github.com/cloudflare/gokey/cmd/gokey
"###),
    ("cloudflare/cfssl/cfssl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudflare/cfssl/cfssl
    type: github_release
    repo_owner: cloudflare
    repo_name: cfssl
    aliases:
      - name: cloudflare/cfssl
    description: "CFSSL: Cloudflare's PKI and TLS toolkit"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        asset: cfssl_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.3.4")
        no_asset: true
      - version_constraint: semver("<= 1.6.1")
        asset: cfssl_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cfssl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.3")
        asset: cfssl_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cfssl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: cfssl_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: cfssl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("cloudflare/cfssl/multirootca", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudflare/cfssl/multirootca
    type: github_release
    repo_owner: cloudflare
    repo_name: cfssl
    description: "CFSSL: Cloudflare's PKI and TLS toolkit"
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    format: raw
    files:
      - name: multirootca
    checksum:
      type: github_release
      asset: cfssl_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.3.1")
    asset: multirootca_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        asset: multirootca_{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("cloudflare/cfssl/mkbundle", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudflare/cfssl/mkbundle
    type: github_release
    repo_owner: cloudflare
    repo_name: cfssl
    description: "CFSSL: Cloudflare's PKI and TLS toolkit"
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    format: raw
    asset: mkbundle_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    files:
      - name: mkbundle
    checksum:
      type: github_release
      asset: cfssl_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("cloudflare/cfssl/cfssl-newkey", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudflare/cfssl/cfssl-newkey
    type: github_release
    repo_owner: cloudflare
    repo_name: cfssl
    description: "CFSSL: Cloudflare's PKI and TLS toolkit"
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    format: raw
    files:
      - name: cfssl-newkey
    checksum:
      type: github_release
      asset: cfssl_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.3.1")
    asset: cfssl-newkey_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        asset: cfssl-newkey_{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("cloudflare/cfssl/cfssl-certinfo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudflare/cfssl/cfssl-certinfo
    type: github_release
    repo_owner: cloudflare
    repo_name: cfssl
    description: "CFSSL: Cloudflare's PKI and TLS toolkit"
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    format: raw
    files:
      - name: cfssl-certinfo
    checksum:
      type: github_release
      asset: cfssl_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.3.1")
    asset: cfssl-certinfo_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        asset: cfssl-certinfo_{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("cloudflare/cfssl/cfssl-bundle", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudflare/cfssl/cfssl-bundle
    type: github_release
    repo_owner: cloudflare
    repo_name: cfssl
    description: "CFSSL: Cloudflare's PKI and TLS toolkit"
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    format: raw
    files:
      - name: cfssl-bundle
    checksum:
      type: github_release
      asset: cfssl_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.3.1")
    asset: cfssl-bundle_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        asset: cfssl-bundle_{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("cloudflare/cfssl/cfssl-scan", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudflare/cfssl/cfssl-scan
    type: github_release
    repo_owner: cloudflare
    repo_name: cfssl
    description: "CFSSL: Cloudflare's PKI and TLS toolkit"
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    format: raw
    files:
      - name: cfssl-scan
    checksum:
      type: github_release
      asset: cfssl_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.3.1")
    asset: cfssl-scan_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        asset: cfssl-scan_{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("cloudflare/cfssl/cfssljson", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudflare/cfssl/cfssljson
    type: github_release
    repo_owner: cloudflare
    repo_name: cfssl
    description: "CFSSL: Cloudflare's PKI and TLS toolkit"
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    format: raw
    files:
      - name: cfssljson
    checksum:
      type: github_release
      asset: cfssl_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.3.1")
    asset: cfssljson_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        asset: cfssljson_{{.OS}}-{{.Arch}}
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("cloudflare/pint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudflare
    repo_name: pint
    description: Prometheus rule linter/validator
    asset: pint-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    files:
      - name: pint
        src: pint-{{.GOOS}}-{{.GOARCH}}
    format: tar.gz
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.31.0")
    version_overrides:
      - version_constraint: semver(">= 0.16.0")
        replacements:
          amd64: x86_64
      - version_constraint: semver(">= 0.1.5")
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
      - version_constraint: semver("< 0.1.5")
        asset: pint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
"###),
    ("cloudflare/cf-terraforming", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudflare
    repo_name: cf-terraforming
    description: A command line utility to facilitate terraforming your existing Cloudflare resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.19.0"
        no_asset: true
      - version_constraint: semver("<= 0.4.0")
        asset: cf-terraforming_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: cf-terraforming_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("cirruslabs/tart", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cirruslabs
    repo_name: tart
    description: macOS and Linux VMs on Apple Silicon to use in CI and other automations
    asset: tart.tar.gz
    files:
      - name: tart
        src: tart.app/Contents/MacOS/tart
    checksum:
      type: github_release
      asset: tart_{{.Version}}_checksums.txt
      algorithm: sha256
    supported_envs:
      - darwin
"###),
    ("omissis/go-jsonschema", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: omissis
    repo_name: go-jsonschema
    description: A tool to generate Go data types from JSON Schema definitions
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.13.1-rc.0", "v0.14.0-rc.0"]
        no_asset: true
      - version_constraint: semver("<= 0.9.0")
        asset: gojsonschema-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.12.0")
        asset: go-jsonschema_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: go-jsonschema_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("Enter-tainer/typstyle", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Enter-tainer
    repo_name: typstyle
    description: Beautiful and reliable typst code formatter
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.11.6"
        no_asset: true
      - version_constraint: semver("<= 0.11.28")
        asset: typstyle-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          windows: win32
      - version_constraint: "true"
        asset: typstyle-{{.Arch}}-{{.OS}}
        format: raw
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
"###),
    ("topgrade-rs/topgrade", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: topgrade-rs
    repo_name: topgrade
    asset: topgrade-{{.Version}}-{{.Arch}}-{{.OS}}.tar.gz
    description: Upgrade all the things
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
    supported_envs:
      - linux
      - darwin
    rosetta2: true
"###),
    ("ninja-build/ninja", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ninja-build
    repo_name: ninja
    description: a small build system with a focus on speed
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3.4")
        no_asset: true
      - version_constraint: semver("<= 1.11.1")
        asset: ninja-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: mac
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: ninja-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: mac
          windows: win
        overrides:
          - goos: linux
            goarch: arm64
            asset: ninja-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              arm64: aarch64
          - goos: windows
            goarch: arm64
            asset: ninja-{{.OS}}{{.Arch}}.{{.Format}}
"###),
    ("daixiang0/gci", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: daixiang0
    repo_name: gci
    description: GCI, a tool that control golang package import order and make it always deterministic
"###),
    ("upx/upx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: upx
    repo_name: upx
    description: "UPX - the Ultimate Packer for eXecutables"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v3.00", "v3.99"]
        no_asset: true
      - version_constraint: Version == "v3.91"
        asset: upx-{{trimV .Version}}-{{.Arch}}_{{.OS}}.{{.Format}}
        format: tar.bz2
        files:
          - name: upx
            src: "{{.AssetWithoutExt}}/upx"
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 3.94.0")
        asset: upx-{{trimV .Version}}-{{.Arch}}_{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: upx
            src: "{{.AssetWithoutExt}}/upx"
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: upx-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: upx
            src: "{{.AssetWithoutExt}}/upx"
        replacements:
          windows: win64
        overrides:
          - goos: linux
            format: tar.xz
            asset: upx-{{trimV .Version}}-{{.Arch}}_{{.OS}}.{{.Format}}
        supported_envs:
          - linux
          - windows/amd64
"###),
    ("kevwan/depu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kevwan
    repo_name: depu
    description: A tool to check  available updates of packages in go.mod
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.1")
        no_asset: true
      - version_constraint: "true"
        asset: depu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: depu_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("kevwan/tproxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kevwan
    repo_name: tproxy
    description: A cli tool to proxy and analyze TCP connections
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        no_asset: true
      - version_constraint: "true"
        asset: tproxy-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
"###),
    ("redhat-developer/odo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: redhat-developer
    repo_name: odo
    description: A fast, and iterative CLI tool for container-based application development
    url: https://developers.redhat.com/content-gateway/rest/mirror/pub/openshift-v4/clients/odo/{{.Version}}/odo-{{.OS}}-{{.Arch}}
    format: raw
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    checksum:
      type: http
      url: https://developers.redhat.com/content-gateway/rest/mirror/pub/openshift-v4/clients/odo/{{.Version}}/odo-{{.OS}}-{{.Arch}}.sha256
      algorithm: sha256
    overrides:
      - goos: windows
        checksum:
          type: http
          url: https://developers.redhat.com/content-gateway/rest/mirror/pub/openshift-v4/clients/odo/{{.Version}}/odo-{{.OS}}-{{.Arch}}.exe.sha256
          algorithm: sha256
"###),
    ("EdJoPaTo/mqttui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: EdJoPaTo
    repo_name: mqttui
    description: Subscribe to a MQTT Topic or publish something quickly from the terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: quick-mqtt-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        files:
          - name: mqttui
            src: quick-mqtt
      - version_constraint: semver("<= 0.4.0")
        asset: mqtt-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        files:
          - name: mqttui
            src: mqtt
      - version_constraint: semver("<= 0.10.0")
        asset: mqttui-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
      - version_constraint: Version == "v0.11.0"
        asset: mqttui-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
      - version_constraint: semver("<= 0.12.0")
        asset: mqttui-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
      - version_constraint: semver("<= 0.16.2")
        asset: mqttui-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
      - version_constraint: "true"
        asset: mqttui-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
"###),
    ("aquasecurity/kube-bench", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquasecurity
    repo_name: kube-bench
    description: Checks whether Kubernetes is deployed according to security best practices as defined in the CIS Kubernetes Benchmark
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.0.12", "v0.6.4"]
        no_asset: true
      - version_constraint: Version == "v0.0.11"
        asset: kube-bench_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kube-bench_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.0.8")
        no_asset: true
      - version_constraint: semver("<= 0.0.29")
        asset: kube-bench_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kube-bench_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.0.32")
        no_asset: true
      - version_constraint: semver("<= 0.3.0")
        asset: kube-bench_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kube-bench_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.6.13-rc2")
        asset: kube-bench_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kube-bench_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: kube-bench_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kube-bench_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("aquasecurity/tfsec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquasecurity
    repo_name: tfsec
    description: Security scanner for your Terraform code
    asset: tfsec_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    checksum:
      type: github_release
      asset: tfsec_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.26.2")
    version_overrides:
      - version_constraint: semver(">= 1.26.2")
        checksum:
          type: github_release
          asset: tfsec_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 1.24.4")
      - version_constraint: semver(">= 1.23.2")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: tfsec_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 1.18.0")
      - version_constraint: semver(">= 1.16.1")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: tfsec_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 1.0.0-rc.1")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: false
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: tfsec_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 0.63.1")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
        rosetta2: false
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.58.7")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: false
        supported_envs:
          - darwin
          - amd64
        checksum:
          type: github_release
          asset: tfsec_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 0.51.1")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: false
        checksum:
          type: github_release
          asset: tfsec_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 0.39.35")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: tfsec_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 0.9.0")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.8.1")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - windows/amd64
        rosetta2: false
        checksum:
          enabled: false
      - version_constraint: semver("< 0.8.1")
        asset: tfsec-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("aquasecurity/trivy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquasecurity
    repo_name: trivy
    description: Find vulnerabilities, misconfigurations, secrets, SBOM in containers, Kubernetes, code repositories, clouds and more
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.20.0"
        asset: trivy_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: trivy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.1.6")
        asset: trivy_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: trivy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.16.0")
        asset: trivy_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: trivy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.31.3")
        asset: trivy_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: trivy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.35.0")
        asset: trivy_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: trivy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/aquasecurity/trivy/releases/download/{{.Version}}/trivy_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/aquasecurity/trivy/.github/workflows/reusable-release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/aquasecurity/trivy/releases/download/{{.Version}}/trivy_{{trimV .Version}}_checksums.txt.sig
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: trivy_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: trivy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/aquasecurity/trivy/releases/download/{{.Version}}/trivy_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/aquasecurity/trivy/.github/workflows/reusable-release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/aquasecurity/trivy/releases/download/{{.Version}}/trivy_{{trimV .Version}}_checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
            replacements: {}
"###),
    ("aquasecurity/kubectl-who-can", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquasecurity
    repo_name: kubectl-who-can
    description: Show who has RBAC permissions to perform actions on different resources in Kubernetes
    files:
      # https://kubernetes.io/docs/tasks/extend-kubectl/kubectl-plugins/#naming-a-plugin
      # https://kubernetes.io/docs/tasks/extend-kubectl/kubectl-plugins/#names-with-dashes-and-underscores
      # Rename kubectl-who-can to kubectl-who_can.
      # kubectl-who-can becomes `kubectl who can` because - is command separator.
      # To include - in the command name, use _.
      - name: kubectl-who_can
        src: kubectl-who-can
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: kubectl-who-can_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubectl-who-can_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("aquasecurity/chain-bench", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquasecurity
    repo_name: chain-bench
    description: An open-source tool for auditing your software supply chain stack for security compliance based on a new CIS Software Supply Chain benchmark
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.7")
        asset: chain-bench_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: chain-bench_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("aquasecurity/starboard", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aquasecurity
    repo_name: starboard
    description: Kubernetes-native security toolkit
    asset: starboard_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: starboard
      - name: kubectl-starboard
        src: starboard
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.15.0")
    replacements:
      amd64: x86_64
      arm64: ARM64
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        replacements:
          amd64: x86_64
"###),
    ("amalshaji/portr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: amalshaji
    repo_name: portr
    description: Open source ngrok alternative designed for teams. Tunnel http, tcp or websocket connections
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        no_asset: true
      - version_constraint: "true"
        asset: portr_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("kevincobain2000/gobrew", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kevincobain2000
    repo_name: gobrew
    description: Go version manager, written in Go. Super simple tool to install and manage Go versions. Install go without root. Gobrew doesn't require shell rehash
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.9.3"
        asset: gobrew-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gobrew_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.10.8")
        asset: gobrew-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gobrew_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: gobrew-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: gobrew_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("go-jira/jira", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-jira
    repo_name: jira
    description: simple jira command line client in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.12")
        asset: jira-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.0")
        asset: jira-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.7")
        asset: jira-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.20")
        asset: jira-{{.OS}}-10.6-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            asset: jira-{{.OS}}-{{.Arch}}
          - goos: windows
            asset: jira-{{.OS}}-4.0-{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: jira-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("exercism/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: exercism
    repo_name: cli
    description: A Go based command line tool for exercism.org
    asset: exercism-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: exercism
    replacements:
      amd64: x86_64
    checksum:
      type: github_release
      asset: exercism_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 3.2.0")
    version_overrides:
      - version_constraint: semver(">= 3.0.13")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 3.0.0")
        asset: exercism-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tgz
        replacements:
          amd64: 64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 1.7.3")
        asset: exercism-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tgz
        replacements:
          amd64: 64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 1.7.2")
        asset: exercism-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tgz
        overrides: []
        replacements:
          amd64: 64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 1.7.2")
        asset: exercism-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tgz
        overrides: []
        replacements: {}
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("IBM-Cloud/redli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: IBM-Cloud
    repo_name: redli
    description: "Redli - A humane alternative to the Redis-cli and TLS"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.11.0"
        no_asset: true
      - version_constraint: semver("<= 0.10.0")
        asset: redli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: redli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: redli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: redli
            src: redli_{{.OS}}_{{.Arch}}
        checksum:
          type: github_release
          asset: redli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            goarch: amd64
            files:
              - name: redli
          - goos: windows
            goarch: arm64
            files:
              - name: redli
                src: redli_{{.Arch}}.exe
"###),
    ("grpc/grpc-go/protoc-gen-go-grpc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: grpc/grpc-go/protoc-gen-go-grpc
    type: github_release
    repo_owner: grpc
    repo_name: grpc-go
    description: The Go language implementation of gRPC. HTTP/2 based RPC
    version_prefix: cmd/protoc-gen-go-grpc/
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "cmd/protoc-gen-go-grpc/v1.0.0"
        no_asset: true
      - version_constraint: semver("<= 1.2.0")
        asset: protoc-gen-go-grpc.{{.SemVer}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: protoc-gen-go-grpc.{{.SemVer}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
"###),
    ("zegl/kube-score", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zegl
    repo_name: kube-score
    description: Kubernetes object analysis with recommendations for improved reliability and security. kube-score actively prevents downtime and bugs in your Kubernetes YAML and Charts. Static code analysis for Kubernetes
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.7.1"
        asset: kube-score_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kube-score_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.11.0"
        asset: kube-score_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v1.12.0"
        asset: kube-score_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.4.0")
        asset: kube-score_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.6.0")
        asset: kube-score_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.7.3")
        asset: kube-score_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.10.1")
        asset: kube-score_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kube-score_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("go-acme/lego", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-acme
    repo_name: lego
    description: Let's Encrypt/ACME client and library written in Go
    asset: lego_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: lego_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 4.5.2")
    version_overrides:
      - version_constraint: semver(">= 4.3.0")
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.5.0")
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.4.0")
        asset: lego_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: lego
            src: lego_{{.OS}}_{{.Arch}}
        overrides:
          - goos: linux
            format: tar.xz
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.1.1")
        asset: lego_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.xz
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 0.1.1")
        asset: lego_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("doy/rbw", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: doy
    repo_name: rbw
    description: unofficial bitwarden cli
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: rbw_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
"###),
    ("innobead/huber", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: innobead
    repo_name: huber
    description: "Huber: A package installer for GitHub repository releases"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: huber-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.3")
        asset: huber-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.3.11")
        asset: huber-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: huber-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
"###),
    ("rgreinho/tfe-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rgreinho
    repo_name: tfe-cli
    description: CLI client for Terraform enterprise
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tfe-cli-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("nil0x42/dnsanity", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nil0x42
    repo_name: dnsanity
    description: High-performance DNS validator using template-based verification
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: dnsanity-{{.OS}}-{{.Arch}}-{{.Version}}
        format: raw
        replacements:
          amd64: x64
          darwin: mac
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("create-go-app/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: create-go-app
    repo_name: cli
    description: Create a new production-ready project with backend, frontend and deploy automation by running one CLI command
    asset: cgapp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: cgapp
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 4.0.0")
    version_overrides:
      - version_constraint: semver(">= 1.7.0")
        asset: cgapp_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 1.6.3")
        asset: cgapp_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 1.0.0")
        asset: cgapp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("< 1.0.0")
        asset: cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: cgapp
            src: cli
        overrides: []
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: cli_{{.Version}}_checksums.txt
          algorithm: sha256
"###),
    ("x-motemen/blogsync", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: x-motemen
    repo_name: blogsync
    asset: blogsync_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: Push and pull blog entries from/to local filesystem
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: blogsync
        src: blogsync_{{.Version}}_{{.OS}}_{{.Arch}}/blogsync
    version_constraint: semver(">= 0.12.3")
    version_overrides:
      - version_constraint: semver("= 0.12.2")
        supported_envs:
          - darwin
          - linux
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
"###),
    ("x-motemen/gobump", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: x-motemen
    repo_name: gobump
    asset: gobump_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: Bumps up Go program version
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: gobump
        src: gobump_{{.Version}}_{{.OS}}_{{.Arch}}/gobump
"###),
    ("x-motemen/ghq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: x-motemen
    repo_name: ghq
    asset: ghq_{{.OS}}_{{.Arch}}.zip
    description: Remote repository management made easy
    files:
      - name: ghq
        src: ghq_{{.OS}}_{{.Arch}}/ghq
    version_constraint: semver(">= 1.3.0")
    version_overrides:
      - version_constraint: "true"
        supported_envs:
          - amd64
          - darwin
        rosetta2: true
"###),
    ("axllent/mailpit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: axllent
    repo_name: mailpit
    description: An email and SMTP testing tool with API for developers
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.6.15"
        no_asset: true
      - version_constraint: semver("<= 1.2.1")
        asset: mailpit-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: mailpit-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
"###),
    ("a8m/envsubst", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: a8m
    repo_name: envsubst
    description: Environment variables substitution for Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        asset: envsubst-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.1.0"
        asset: envsubst-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: windows
            asset: envsubst.exe.exec
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.2.0"
        asset: envsubst-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: windows
            asset: envsubst
      - version_constraint: Version == "v1.4.1"
        asset: envsubst-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: envsubst-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            asset: envsubst
"###),
    ("firebase/firebase-tools", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: firebase
    repo_name: firebase-tools
    description: The Firebase Command Line Tools
    files:
      - name: firebase
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 7.2.2")
        no_asset: true
      - version_constraint: "true"
        asset: firebase-tools-{{.OS}}
        format: raw
        replacements:
          darwin: macos
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("veeso/termscp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: veeso
    repo_name: termscp
    asset: termscp-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: A feature rich terminal UI file transfer and explorer with support for SCP/SFTP/FTP/S3
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-gnu
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    version_constraint: semver(">= 0.8.1")
    version_overrides:
      - version_constraint: semver(">= 0.6.1")
        rosetta2: true
      - version_constraint: "true"
        asset: termscp-{{.OS}}.{{.Format}}
        rosetta2: true
        replacements:
          darwin: mac
          windows: msvc
        overrides:
          - goos: linux
            format: txz
            asset: termscp-{{trimV .Version}}.{{.Format}}
            files:
              - name: termscp
                src: usr/local/bin/termscp
          - goos: windows
            format: zip
            asset: termscp-{{trimV .Version}}-{{.OS}}.{{.Format}}
"###),
    ("busser/tfautomv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: busser
    repo_name: tfautomv
    description: Generate Terraform moved blocks automatically for painless refactoring
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.2")
        asset: tfautomv_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: tfautomv_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("busser/tftree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: busser
    repo_name: tftree
    description: Display your Terraform module call stack in your terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: tftree_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: tftree_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("busser/murmur", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: busser
    repo_name: murmur
    description: Pass secrets as environment variables to a process
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.2")
        asset: whisper_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        # https://github.com/busser/murmur#changes-from-v04-to-v05
        files:
          - name: whisper
      - version_constraint: "true"
        asset: murmur_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("k0sproject/k0s", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k0sproject
    repo_name: k0s
    description: k0s - The Zero Friction Kubernetes
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.1")
        asset: k0s-{{.Version}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.27.16+k0s.0")
        asset: k0s-{{.Version}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
      - version_constraint: semver("<= 1.28.15+k0s.0")
        asset: k0s-{{.Version}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - windows
      - version_constraint: >-
          (semver("<= 1.32.3+k0s.0") && semver(">= 1.32.0+k0s.0")) ||
          (semver("<= 1.31.7+k0s.0") && semver(">= 1.31.0+k0s.0")) ||
          (semver("<= 1.30.11+k0s.0") && semver(">= 1.30.0+k0s.0")) ||
          semver("<= 1.29.15+k0s.0")
        asset: k0s-{{.Version}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
        cosign:
          signature:
            type: github_release
            asset: "{{.Asset}}.sig"
          key:
            type: github_release
            asset: "cosign.pub"
          opts:
            # `--insecure-ignore-tlog` is required because it is signed with `--tlog-upload=false` option
            # see also:
            # https://github.com/k0sproject/k0s/pull/5724
            # https://github.com/k0sproject/k0s/commit/a01579db2dc7916194e6fd95949b6b4fbbfa2252
            - --insecure-ignore-tlog
        supported_envs:
          - linux
          - windows
      - version_constraint: "true"
        asset: k0s-{{.Version}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
        cosign:
          signature:
            type: github_release
            asset: "{{.Asset}}.sig"
          key:
            type: github_release
            asset: "cosign.pub"
        supported_envs:
          - linux
          - windows
"###),
    ("k0sproject/k0sctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k0sproject
    repo_name: k0sctl
    description: A bootstrapping and management tool for k0s clusters
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.0")
        asset: k0sctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          windows: win
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.1")
        asset: k0sctl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          windows: win
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.4")
        asset: k0sctl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          windows: win
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 0.18.1")
        asset: k0sctl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          windows: win
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: k0sctl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          windows: win
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("konradsz/igrep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: konradsz
    repo_name: igrep
    description: Interactive Grep
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: igrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: ig
            src: target/{{.Arch}}-{{.OS}}/release/ig
      - version_constraint: Version == "v0.3.0"
        asset: igrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: ig
      - version_constraint: "true"
        asset: igrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: ig
"###),
    ("whalebrew/whalebrew", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: whalebrew
    repo_name: whalebrew
    description: Homebrew, but with Docker images
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.2.5"
        asset: whalebrew-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.0")
        asset: whalebrew-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.1")
        no_asset: true
      - version_constraint: semver("<= 0.2.4")
        asset: whalebrew-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.1")
        asset: whalebrew-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: whalebrew-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
          - darwin
"###),
    ("pimalaya/himalaya", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pimalaya
    repo_name: himalaya
    aliases:
      - name: soywod/himalaya
    description: CLI to manage emails
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.7.2"
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.7.3"
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.8.2"
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tgz
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.8.3"
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.0.0-beta.4"
        asset: himalaya.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("< 0.3.2")
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          # https://github.com/soywod/himalaya/issues/144
          - name: himalaya
            src: himalaya.exe
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.5")
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.9")
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.1")
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.0")
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.0-beta.3")
        asset: himalaya-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            asset: himalaya-{{.OS}}-musl.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: himalaya.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: windows
            replacements: {}
"###),
    ("Automattic/harper/harper-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: Automattic/harper/harper-cli
    type: github_release
    repo_owner: Automattic
    repo_name: harper
    description: The Grammar Checker for Developers
    version_filter: semver(">= 0.13.0")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 0.13.0")
        no_asset: true
      - version_constraint: "true"
        asset: harper-cli-{{.Arch}}-{{.OS}}.{{.Format}}
        # harper-cli-aarch64-apple-darwin.tar.gz
        # harper-cli-aarch64-unknown-linux-gnu.tar.gz
        # harper-cli-x86_64-apple-darwin.tar.gz
        # harper-cli-x86_64-pc-windows-msvc.zip
        # harper-cli-x86_64-unknown-linux-gnu.tar.gz
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
"###),
    ("Automattic/harper/harper-ls", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: Automattic/harper/harper-ls
    aliases:
      - name: elijah-potter/harper/harper-ls
    type: github_release
    repo_owner: Automattic
    repo_name: harper
    description: The Grammar Checker for Developers
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.11.0")
        asset: harper-ls-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: harper-ls-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("restic/restic", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: restic
    repo_name: restic
    description: Fast, secure, efficient backup program
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: restic_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: restic
        src: restic_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    format: bz2
    overrides:
      - goos: windows
        format: zip
        files:
          - name: restic
            src: restic_{{trimV .Version}}_windows_{{.Arch}}.exe
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("joerdav/xc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: joerdav
    repo_name: xc
    description: Markdown defined task runner
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.30"
        asset: xc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.43")
        asset: xc_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: xc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("ayoisaiah/f2", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ayoisaiah
    repo_name: f2
    description: F2 is a cross-platform command-line tool for batch renaming files and directories quickly and safely. Written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        no_asset: true
      - version_constraint: semver("<= 0.2.0")
        asset: goname-{{.OS}}
        format: raw
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.9.1")
        asset: f2_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: f2_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("go-to-k/cls3", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-to-k
    repo_name: cls3
    description: The CLI tool "cls3" is to CLear S3 Buckets. It empties (so deletes all objects and versions/delete-markers in) S3 Buckets or deletes the buckets themselves
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: cls3_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("go-to-k/lamver", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-to-k
    repo_name: lamver
    description: CLI tool to search AWS Lambda runtime and versions across regions
    asset: lamver_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.4.2")
    version_overrides:
      - version_constraint: Version == "v0.4.1"
        asset: lamver_.{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        checksum:
          enabled: false
      - version_constraint: semver("< 0.4.1")
"###),
    ("go-to-k/delstack", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-to-k
    repo_name: delstack
    description: The CLI tool to force delete the entire AWS CloudFormation stack, even if it contains resources that fail to delete by the CloudFormation delete operation
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: delstack_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("ikanago/omekasy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ikanago
    repo_name: omekasy
    description: Command line application that converts alphanumeric characters to various styles defined in Unicode
    asset: omekasy-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-gnu
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: omekasy
        src: archive/omekasy
    version_constraint: semver(">= 0.2.0")
    version_overrides:
      - version_constraint: semver("< 0.2.0")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("mailru/easyjson", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: mailru
    repo_name: easyjson
    description: Fast JSON serializer for golang
    path: github.com/mailru/easyjson/easyjson
"###),
    ("kentaro-m/md2confl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kentaro-m
    repo_name: md2confl
    description: md2confl is a CLI tool to convert the markdown text to confluence wiki format
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: "{{.OS}}_{{.Arch}}_md2confl"
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: md2confl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiapple852/trippy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiapple852
    repo_name: trippy
    description: A network diagnostic tool
    files:
      - name: trip
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        no_asset: true
      - version_constraint: Version == "0.6.0"
        asset: trippy-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: trip
            src: "{{.AssetWithoutExt}}/trip"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "0.7.0"
        asset: trippy-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: trip
            src: "{{.AssetWithoutExt}}/trip"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: Version == "0.8.0"
        asset: trippy-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: trip
            src: "{{.AssetWithoutExt}}/trip"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: trippy-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: trip
            src: "{{.AssetWithoutExt}}/trip"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("mutagen-io/mutagen-compose", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mutagen-io
    repo_name: mutagen-compose
    asset: mutagen-compose_{{.OS}}_{{.Arch}}_{{.Version}}.tar.gz
    description: Compose with Mutagen integration
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("mutagen-io/mutagen", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mutagen-io
    repo_name: mutagen
    asset: mutagen_{{.OS}}_{{.Arch}}_{{.Version}}.tar.gz
    description: Fast file synchronization and network forwarding for remote development
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("yitsushi/totp-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yitsushi
    repo_name: totp-cli
    description: Authy/Google Authenticator like TOTP CLI tool written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.5")
        asset: totp-cli-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1.3")
        asset: totp-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: totp-cli_{{.Version}}_{{.OS}}_{{.Arch}}_checksum.txt
          algorithm: md5
      - version_constraint: Version == "v1.1.4"
        asset: totp-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
        checksum:
          type: github_release
          asset: totp-cli_{{.Version}}_{{.OS}}_{{.Arch}}_checksum.txt
          algorithm: md5
      - version_constraint: semver("<= 1.1.9")
        asset: totp-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: totp-cli_{{.Version}}_{{.OS}}_{{.Arch}}_checksum.txt
          algorithm: md5
      - version_constraint: Version == "v1.1.10"
        asset: totp-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
        checksum:
          type: github_release
          asset: totp-cli_{{.Version}}_{{.OS}}_{{.Arch}}_checksum.txt
          algorithm: md5
      - version_constraint: semver("<= 1.1.17")
        asset: totp-cli-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
      - version_constraint: semver("<= 1.2.1")
        no_asset: true
      - version_constraint: semver("<= 1.8.5")
        asset: totp-cli-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
      - version_constraint: Version == "v1.8.6"
        asset: totp-cli_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: totp-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: totp-cli_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: totp-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("jtyr/gbt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jtyr
    repo_name: gbt
    description: Highly configurable prompt builder for Bash, ZSH and PowerShell written in Go
    rosetta2: true
    asset: gbt-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: gbt
        src: gbt-{{trimV .Version}}/gbt
    checksum:
      type: github_release
      asset: gbt-{{trimV .Version}}-checksums-sha256.txt
      algorithm: sha256
"###),
    ("nao1215/gup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nao1215
    repo_name: gup
    description: 'gup - Update binaries installed by "go install" with goroutines'
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.1")
        no_asset: true
      - version_constraint: semver("<= 0.22.0")
        asset: gup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: gup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("nao1215/sqly", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nao1215
    repo_name: sqly
    description: eaisly execute SQL against CSV/TSV/LTSV/JSON and Microsoft Excel with shell
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.4"
        asset: sqly_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.8.0"
        asset: sqly_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.2")
        asset: sqly_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.7.0")
        asset: sqly_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: sqly_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("datastax-labs/astra-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: datastax-labs
    repo_name: astra-cli
    description: DataStax Astra automation CLI
    asset: astra-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: astra
    checksum:
      type: github_release
      asset: astra-cli_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("oppiliappan/dijo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: oppiliappan
    repo_name: dijo
    aliases:
      - name: nerdypepper/dijo
    description: scriptable, curses-based, digital habit tracker
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: dijo-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.2.1"
        asset: dijo-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.2.2-alpha"
        asset: dijo-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple
        supported_envs:
          - darwin
      - version_constraint: "true"
        asset: dijo-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("wallix/awless", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wallix
    repo_name: awless
    description: A Mighty CLI for AWS
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.25")
        asset: awless-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: awless-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("firecracker-microvm/firectl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: firecracker-microvm
    repo_name: firectl
    description: firectl is a command-line tool to run Firecracker microVMs
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: firectl-{{ .Version }}
        format: raw
        supported_envs:
          - linux/amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("firecracker-microvm/firecracker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: firecracker-microvm
    repo_name: firecracker
    asset: firecracker-{{.Version}}-{{.Arch}}.tgz
    description: Secure and fast microVMs for serverless computing
    files:
      - name: firecracker
        src: release-{{.Version}}-{{.Arch}}/firecracker-{{.Version}}-{{.Arch}}
      - name: jailer
        src: release-{{.Version}}-{{.Arch}}/jailer-{{.Version}}-{{.Arch}}
      - name: rebase-snap
        src: release-{{.Version}}-{{.Arch}}/rebase-snap-{{.Version}}-{{.Arch}}
      - name: seccompiler-bin
        src: release-{{.Version}}-{{.Arch}}/seccompiler-bin-{{.Version}}-{{.Arch}}
    replacements:
      amd64: x86_64
      arm64: aarch64
    supported_envs:
      - linux
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256.txt"
      algorithm: sha256
"###),
    ("XAMPPRocky/tokei", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: XAMPPRocky
    repo_name: tokei
    description: Count your code, quickly
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 9.1.0")
        asset: tokei-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: semver("<= 10.0.1")
        asset: tokei-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v10.1.0"
        asset: tokei-{{.Version}}-i686-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          arm64: aarch64
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            asset: tokei-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
            replacements:
              linux: unknown-linux-gnu
        supported_envs:
          - linux
      - version_constraint: Version == "v10.1.1"
        asset: tokei-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v10.1.2"
        asset: tokei-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: semver("<= 11.1.1")
        asset: tokei-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: semver("<= 12.0.3")
        asset: tokei-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: raw
            asset: tokei-{{.Arch}}-{{.OS}}
      - version_constraint: Version == "v12.0.4a"
        asset: tokei-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: raw
            asset: tokei-{{.Arch}}-{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v12.0.4"
        asset: tokei-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: raw
            asset: tokei-{{.Arch}}-{{.OS}}
      - version_constraint: Version == "v12.1.0"
        asset: tokei-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: tokei-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: raw
            asset: tokei-{{.Arch}}-{{.OS}}
"###),
    ("nikochiko/autosaved", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nikochiko
    repo_name: autosaved
    description: Never worry about losing your code. Written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1"
        asset: asdi_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: asdi
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: autosaved_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("imsnif/bandwhich", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: imsnif
    repo_name: bandwhich
    description: Terminal bandwidth utilization tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.22.0"
        asset: bandwhich-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.2")
        asset: what
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.5.1")
        asset: what-v{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: what
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.20.0")
        asset: bandwhich-v{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.22.2")
        asset: bandwhich-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: bandwhich-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("cri-o/cri-o", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: cri-o
    repo_name: cri-o
    description: Open Container Initiative-based implementation of Kubernetes Container Runtime Interface
    url: https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz
    checksum:
      type: http
      url: https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sha256sum
      algorithm: sha256
    supported_envs:
      - linux
    files:
      - name: conmon
        src: cri-o/bin/{{.FileName}}
      - name: conmonrs
        src: cri-o/bin/{{.FileName}}
      - name: crictl
        src: cri-o/bin/{{.FileName}}
      - name: crio
        src: cri-o/bin/{{.FileName}}
      - name: crun
        src: cri-o/bin/{{.FileName}}
      - name: pinns
        src: cri-o/bin/{{.FileName}}
      - name: runc
        src: cri-o/bin/{{.FileName}}
    version_filter: Version matches "v[0-9]+.[0-9]+.[0-9]+$"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.24.6"
        supported_envs:
          - linux/amd64
        files:
          - name: conmon
            src: cri-o/bin/{{.FileName}}
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crio-status
            src: cri-o/bin/{{.FileName}}
          - name: crun
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
          - name: runc
            src: cri-o/bin/{{.FileName}}
        overrides:
          - goarch: arm64
            files:
              - name: conmon
                src: cri-o/bin/{{.FileName}}
              - name: crictl
                src: cri-o/bin/{{.FileName}}
              - name: crio
                src: cri-o/bin/{{.FileName}}
              - name: crio-status
                src: cri-o/bin/{{.FileName}}
              - name: crun
                src: cri-o/bin/{{.FileName}}
              - name: pinns
                src: cri-o/bin/{{.FileName}}
      - version_constraint: Version == "v1.25.4"
        files:
          - name: conmon
            src: cri-o/bin/{{.FileName}}
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crio-status
            src: cri-o/bin/{{.FileName}}
          - name: crun
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
          - name: runc
            src: cri-o/bin/{{.FileName}}
        overrides:
          - goarch: arm64
            files:
              - name: conmon
                src: cri-o/bin/{{.FileName}}
              - name: crictl
                src: cri-o/bin/{{.FileName}}
              - name: crio
                src: cri-o/bin/{{.FileName}}
              - name: crio-status
                src: cri-o/bin/{{.FileName}}
              - name: crun
                src: cri-o/bin/{{.FileName}}
              - name: pinns
                src: cri-o/bin/{{.FileName}}
      - version_constraint: semver("<= 1.24.5")
        files:
          - name: conmon
            src: cri-o/bin/{{.FileName}}
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crio-status
            src: cri-o/bin/{{.FileName}}
          - name: crun
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
          - name: runc
            src: cri-o/bin/{{.FileName}}
        overrides:
          - goarch: arm64
            files:
              - name: conmon
                src: cri-o/bin/{{.FileName}}
              - name: crictl
                src: cri-o/bin/{{.FileName}}
              - name: crio
                src: cri-o/bin/{{.FileName}}
              - name: crio-status
                src: cri-o/bin/{{.FileName}}
              - name: crun
                src: cri-o/bin/{{.FileName}}
              - name: pinns
                src: cri-o/bin/{{.FileName}}
      - version_constraint: semver("<= 1.28.1")
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/cri-o/cri-o/.github/workflows/test.yml@refs/tags/{{.Version}}"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --certificate
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.cert
            - --signature
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sig
        files:
          - name: conmon
            src: cri-o/bin/{{.FileName}}
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crio-status
            src: cri-o/bin/{{.FileName}}
          - name: crun
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
          - name: runc
            src: cri-o/bin/{{.FileName}}
      - version_constraint: Version == "v1.28.2"
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/cri-o/packaging/.github/workflows/obs.yml@refs/heads/main"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --certificate
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.cert
            - --signature
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sig
        files:
          - name: conmon
            src: cri-o/bin/{{.FileName}}
          - name: conmonrs
            src: cri-o/bin/{{.FileName}}
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crun
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
          - name: runc
            src: cri-o/bin/{{.FileName}}
      - version_constraint: semver("<= 1.28.8")
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/cri-o/packaging/.github/workflows/obs.yml@refs/heads/main"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --certificate
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.cert
            - --signature
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sig
        files:
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crio-conmon
            src: cri-o/bin/{{.FileName}}
          - name: crio-conmonrs
            src: cri-o/bin/{{.FileName}}
          - name: crio-crun
            src: cri-o/bin/{{.FileName}}
          - name: crio-runc
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
      - version_constraint: semver("<= 1.29.0")
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/cri-o/packaging/.github/workflows/obs.yml@refs/heads/main"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --certificate
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.cert
            - --signature
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sig
        files:
          - name: conmon
            src: cri-o/bin/{{.FileName}}
          - name: conmonrs
            src: cri-o/bin/{{.FileName}}
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crun
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
          - name: runc
            src: cri-o/bin/{{.FileName}}
      - version_constraint: semver("<= 1.29.6")
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/cri-o/packaging/.github/workflows/obs.yml@refs/heads/main"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --certificate
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.cert
            - --signature
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sig
        files:
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crio-conmon
            src: cri-o/bin/{{.FileName}}
          - name: crio-conmonrs
            src: cri-o/bin/{{.FileName}}
          - name: crio-crun
            src: cri-o/bin/{{.FileName}}
          - name: crio-runc
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
      - version_constraint: semver("<= 1.29.13")
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/cri-o/packaging/.github/workflows/obs.yml@refs/heads/main"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --certificate
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.cert
            - --signature
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sig
        files:
          - name: conmon
            src: cri-o/bin/{{.FileName}}
          - name: conmonrs
            src: cri-o/bin/{{.FileName}}
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crun
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
          - name: runc
            src: cri-o/bin/{{.FileName}}
      - version_constraint: semver("<= 1.30.3")
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/cri-o/packaging/.github/workflows/obs.yml@refs/heads/main"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --certificate
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.cert
            - --signature
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sig
        files:
          - name: crictl
            src: cri-o/bin/{{.FileName}}
          - name: crio
            src: cri-o/bin/{{.FileName}}
          - name: crio-conmon
            src: cri-o/bin/{{.FileName}}
          - name: crio-conmonrs
            src: cri-o/bin/{{.FileName}}
          - name: crio-crun
            src: cri-o/bin/{{.FileName}}
          - name: crio-runc
            src: cri-o/bin/{{.FileName}}
          - name: pinns
            src: cri-o/bin/{{.FileName}}
      - version_constraint: "true"
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/cri-o/packaging/.github/workflows/obs.yml@refs/heads/main"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --certificate
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.cert
            - --signature
            - https://storage.googleapis.com/cri-o/artifacts/cri-o.{{.Arch}}.{{.Version}}.tar.gz.sig
"###),
    ("dandavison/delta", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dandavison
    repo_name: delta
    description: A syntax-highlighting pager for git, diff, and grep output
    asset: delta-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    files:
      - name: delta
        src: delta-{{.Version}}-{{.Arch}}-{{.OS}}/delta
    overrides:
      - goos: linux
        goarch: amd64
        replacements:
          linux: unknown-linux-musl
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
      - goos: windows
        format: zip
        replacements:
          arm64: arm64
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.16.5")
    version_overrides:
      - version_constraint: semver(">= 0.16.4")
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 0.15.0")
      - version_constraint: semver(">= 0.4.1")
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        rosetta2: true
      - version_constraint: semver(">= 0.3.0")
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.1.0")
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.0.16")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver(">= 0.0.10")
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.0.8")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver(">= 0.0.7")
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        rosetta2: true
      - version_constraint: semver(">= 0.0.6")
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
            asset: bat-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
            files:
              - name: delta
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        rosetta2: true
      - version_constraint: semver(">= 0.0.5")
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        rosetta2: true
      - version_constraint: semver("< 0.0.5")
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - linux
          - darwin
        rosetta2: true
"###),
    ("t-kikuc/ecstop", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: t-kikuc
    repo_name: ecstop
    description: Stop your running resources of Amazon ECS easily
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ecstop_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: ecstop_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("gdubicki/ets", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gdubicki
    repo_name: ets
    description: A maintained fork of zmwangx's command output timestamper
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ets_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ets_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("hirose31/s3surfer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hirose31
    repo_name: s3surfer
    description: s3surfer is CLI tool for browsing S3 bucket and download objects interactively
    asset: s3surfer_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: s3surfer
        src: s3surfer_{{.Version}}_{{.OS}}_{{.Arch}}/s3surfer
"###),
    ("flatt-security/shisho", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: flatt-security
    repo_name: shisho
    description: Lightweight static analyzer for several programming languages
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: build-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("climech/grit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: climech
    repo_name: grit
    asset: grit_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Multitree-based personal task manager
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: grit
        src: grit_{{.Version}}_{{.OS}}_{{.Arch}}/grit
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("infracost/infracost", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: infracost
    repo_name: infracost
    description: Cloud cost estimates for Terraform in pull requests. Love your cloud bill
    asset: infracost-{{.OS}}-{{.Arch}}.{{.Format}}
    files:
      - name: infracost
        src: infracost-{{.OS}}-{{.Arch}}
    format: tar.gz
    overrides:
      - goos: windows
        goarch: amd64
        files:
          - name: infracost
            src: infracost.exe
      - goos: windows
        goarch: arm64
        files:
          - name: infracost
            src: infracost-arm64.exe
    version_constraint: semver(">= 0.9.18")
    version_overrides:
      - version_constraint: semver(">= 0.9.17")
        checksum:
          enabled: false
      - version_constraint: "true"
        checksum:
          enabled: false
        supported_envs:
          - darwin
          - amd64
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("Kampfkarren/selene", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Kampfkarren
    repo_name: selene
    description: A blazing-fast modern Lua linter written in Rust
    replacements:
      darwin: macos
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    version_constraint: semver(">= 0.6.0")
    asset: selene-{{.Version}}-{{.OS}}.zip
    version_overrides:
      - version_constraint: semver(">= 0.4.3")
        asset: selene-{{.OS}}
        replacements:
          darwin: osx
        overrides:
          - goos: windows
            asset: selene.exe
      - version_constraint: "true"
        asset: selene
        supported_envs:
          - linux/amd64
          - windows/amd64
        overrides:
          - goos: windows
            asset: selene.exe
"###),
    ("Kampfkarren/selene/light", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: Kampfkarren/selene/light
    type: github_release
    repo_owner: Kampfkarren
    repo_name: selene
    asset: selene-light-{{.Version}}-{{.OS}}.zip
    description: A blazing-fast modern Lua linter written in Rust
    replacements:
      darwin: macos
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: selene
"###),
    ("denoland/deno", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: denoland
    repo_name: deno
    description: A modern runtime for JavaScript and TypeScript
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: deno_{{.OS}}_{{.Arch}}.{{.Format}}
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: deno
            src: deno_{{.OS}}_{{.Arch}}
        replacements:
          amd64: x64
          darwin: mac
          windows: win
        overrides:
          - goos: windows
            format: zip
            files:
              - name: deno
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.35.0")
        asset: deno_{{.OS}}_{{.Arch}}.{{.Format}}
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: deno
            src: deno_{{.OS}}_{{.Arch}}
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        overrides:
          - goos: windows
            format: zip
            files:
              - name: deno
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.38.0")
        asset: deno-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: gz
            asset: deno_{{.OS}}_{{.Arch}}.{{.Format}}
            replacements:
              amd64: x64
            files:
              - name: deno
                src: deno_{{.OS}}_{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.5.4")
        asset: deno-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.40.2")
        asset: deno-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: deno-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
"###),
    ("minio/mc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: minio
    repo_name: mc
    description: Unix like utilities for object store
    url: https://dl.min.io/client/mc/release/{{.OS}}-{{.Arch}}/archive/mc.{{.Version}}
    complete_windows_ext: false
    windows_arm_emulation: true
    format: raw
    checksum:
      type: http
      algorithm: sha256
      url: https://dl.min.io/client/mc/release/{{.OS}}-{{.Arch}}/archive/mc.{{.Version}}.sha256sum
"###),
    ("future-architect/tftarget", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: future-architect
    repo_name: tftarget
    description: tftarget is a CLI tool for Terraform ( plan | apply | destroy ) with target option. You can interactivity select resource to ( plan | apply | destroy )  with target option
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.0.5", "v0.0.6", "v0.0.8"]
        no_asset: true
      - version_constraint: semver("<= 0.0.7")
        asset: tftarget_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: tftarget_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("stern/stern", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: stern
    repo_name: stern
    description: "⎈ Multi pod and container log tailing for Kubernetes -- Friendly fork of https://github.com/wercker/stern"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.20.1"
        asset: stern_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: stern
            src: "{{.AssetWithoutExt}}/stern"
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.14.0")
        asset: stern_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: stern
            src: "{{.AssetWithoutExt}}/stern"
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.20.0")
        asset: stern_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: stern
            src: "{{.AssetWithoutExt}}/stern"
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: stern_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("distribution/distribution/registry", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: distribution/distribution/registry
    type: github_release
    repo_owner: distribution
    repo_name: distribution
    description: The toolkit to pack, ship, store, and deliver container content
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.8.2-beta.1"
        no_asset: true
      - version_constraint: semver("<= 2.7.1")
        no_asset: true
      - version_constraint: "true"
        asset: registry_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("psf/black", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: psf
    repo_name: black
    description: The uncompromising Python code formatter
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "22.8.0"
        asset: black_{{.OS}}
        format: raw
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 19.10b0")
        asset: black
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 20.8b1")
        no_asset: true
      - version_constraint: semver("<= 21.5b1")
        asset: black
        format: raw
        supported_envs:
          - windows
      - version_constraint: "true"
        asset: black_{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("Byron/dua-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Byron
    repo_name: dua-cli
    description: View disk space usage and delete unwanted data, fast
    files:
      - name: dua
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v2.12.0", "v2.14.9", "v2.18.1", "v2.29.3"]
        no_asset: true
      - version_constraint: Version == "v2.10.3"
        asset: dua-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dua
            src: "{{.AssetWithoutExt}}/dua"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.20.0"
        asset: dua-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dua
            src: "{{.AssetWithoutExt}}/dua"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: Version == "v2.21.0"
        asset: dua-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: dua
            src: "{{.AssetWithoutExt}}/dua"
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "v2.28.0"
        asset: dua-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dua
            src: "{{.AssetWithoutExt}}/dua"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: arm64
            format: tar
            asset: dua-v2.28.3-{{.Arch}}-{{.OS}}.{{.Format}}
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.5.0")
        asset: dua-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: dua
            src: "{{.AssetWithoutExt}}/dua"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.27.2")
        asset: dua-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dua
            src: "{{.AssetWithoutExt}}/dua"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: dua-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dua
            src: "{{.AssetWithoutExt}}/dua"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
"###),
    ("uutils/coreutils", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: uutils
    repo_name: coreutils
    description: Cross-platform Rust rewrite of the GNU coreutils
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["0.0.9", "0.0.24", "0.0.25", "0.0.29"]
        no_asset: true
      - version_constraint: Version == "0.0.1"
        asset: uutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux/amd64
          - windows
        files:
          - name: uutils
            src: uutils-{{.Version}}-{{.Arch}}-{{.OS}}/uutils
      - version_constraint: Version == "0.0.1.1"
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux/amd64
          - windows
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
      - version_constraint: Version == "0.0.2"
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
      - version_constraint: Version == "0.0.7"
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - darwin
          - linux/amd64
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
      - version_constraint: Version == "0.0.14"
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - linux/amd64
          - windows
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
      - version_constraint: semver("<= 0.0.22")
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux/amd64
          - windows
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
      - version_constraint: Version == "0.0.23"
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux/amd64
          - windows
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
      - version_constraint: Version == "0.0.26"
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin/arm64
          - linux
          - windows
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
      - version_constraint: Version == "0.0.27"
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
      - version_constraint: "true"
        asset: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        files:
          - name: coreutils
            src: coreutils-{{.Version}}-{{.Arch}}-{{.OS}}/coreutils
"###),
    ("kvz/json2hcl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kvz
    repo_name: json2hcl
    asset: json2hcl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: Convert JSON to HCL, and vice versa. We don't use json2hcl anymore ourselves, so we can't invest time into it. However, we're still welcoming PRs
    version_constraint: semver(">= 0.1.1")
    checksum:
      type: github_release
      asset: json2hcl_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: semver("= 0.0.7")
        supported_envs: []
      - version_constraint: semver("= 0.0.6")
        checksum:
          enabled: false
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        asset: json2hcl_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
      - version_constraint: "true"
        checksum:
          enabled: false
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        asset: json2hcl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: json2hcl
        files:
          - name: json2hcl
            src: json2hcl_{{.OS}}_{{.Arch}}/json2hcl
"###),
    ("golangci/golangci-lint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: golangci
    repo_name: golangci-lint
    description: Fast linters Runner for Go
    asset: golangci-lint-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    files:
      - name: golangci-lint
        src: golangci-lint-{{trimV .Version}}-{{.OS}}-{{.Arch}}/golangci-lint
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: golangci-lint-{{trimV .Version}}-checksums.txt
      algorithm: sha256
"###),
    ("golangci/misspell", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: golangci
    repo_name: misspell
    description: Correct commonly misspelled English words in source files
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.1")
        asset: misspell_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          darwin: mac
        checksum:
          type: github_release
          asset: misspell_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.1")
        asset: misspell_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: misspell_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: misspell_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: misspell
            src: "{{.AssetWithoutExt}}/misspell"
        checksum:
          type: github_release
          asset: misspell_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("junegunn/fzf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: junegunn
    repo_name: fzf
    description: ":cherry_blossom: A command-line fuzzy finder"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.25.1")
        asset: fzf-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: fzf_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "0.26.0"
        asset: fzf-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: fzf_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.27.3")
        asset: fzf-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: fzf_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            checksum:
              enabled: false
      - version_constraint: semver("<= 0.53.0")
        asset: fzf-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: fzf_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
      - version_constraint: semver("<= 0.54.1")
        asset: fzf-{{trimV .Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: fzf_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
      - version_constraint: "true"
        asset: fzf-{{trimV .Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: fzf_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("junegunn/fzf/fzf-tmux", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: junegunn/fzf/fzf-tmux
    type: github_content
    repo_owner: junegunn
    repo_name: fzf
    path: bin/fzf-tmux
    description: starts fzf in a tmux pane
    files:
      - name: fzf-tmux
    checksum:
      enabled: false
"###),
    ("swaggo/swag", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: swaggo
    repo_name: swag
    description: Automatically generate RESTful API documentation with Swagger 2.0 for Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.4.0")
        no_asset: true
      - version_constraint: semver("<= 1.6.9")
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.7.0"
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.7.1"
        asset: swag_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: swag
            src: swag_{{.OS}}_{{.Arch}}/swag
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.8.1")
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.8.2"
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: swag_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.8.9")
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.8.10"
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.16.2")
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.16.3"
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              amd64: x86_64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: swag_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("danielfoehrKn/kubeswitch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: danielfoehrKn
    repo_name: kubeswitch
    asset: switcher_{{.OS}}_{{.Arch}}
    format: raw
    description: The kubectx for operators
    supported_envs:
      - linux/amd64
      - darwin
    files:
      - name: switcher
"###),
    ("danielfoehrKn/kubeswitch/switch-sh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: danielfoehrKn/kubeswitch/switch-sh
    type: github_release
    repo_owner: danielfoehrKn
    repo_name: kubeswitch
    asset: switch.sh
    format: raw
    description: The kubectx for operators
    supported_envs:
      - linux/amd64
      - darwin
    files:
      - name: kubeswitch.sh
"###),
    ("container-tools/spectrum", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: container-tools
    repo_name: spectrum
    description: A lightweight super-fast container image builder
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.4")
        asset: spectrum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version in ["v0.3.7", "v0.6.44"]
        asset: spectrum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.6.42")
        asset: spectrum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: spectrum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("takaishi/awscost", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: takaishi
    repo_name: awscost
    description: Print AWS costs to text or graph image
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: awscost_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("takaishi/tfclean", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: takaishi
    repo_name: tfclean
    description: tfclean is tool to remove applied moved block, import block, etc
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tfclean_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("k3s-io/k3s", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k3s-io
    repo_name: k3s
    description: Lightweight Kubernetes
    version_filter: not (Version matches "-rc")
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: k3s-{{.Arch}}
        format: raw
        overrides:
          - goos: linux
            goarch: amd64
            asset: k3s
        checksum:
          type: github_release
          asset: sha256sum-{{.Arch}}.txt
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("ddddddO/gtree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ddddddO
    repo_name: gtree
    description: Generate directory trees and the directories itself using Markdown or Programmatically. Provide CLI, Golang library and Web (using WebAssembly)
    asset: gtree_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: gtree_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.8.4")
    version_overrides:
      - version_constraint: Version == "v1.8.3"
        no_asset: true
      - version_constraint: semver(">= 1.2.0")
        replacements:
          amd64: x86_64
      - version_constraint: semver("< 1.2.0")
        asset: gentree_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: gentree
        overrides: []
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: gentree_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("argoproj/argo-rollouts", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: argoproj
    repo_name: argo-rollouts
    description: Progressive Delivery for Kubernetes
    files:
      - name: kubectl-argo-rollouts
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        no_asset: true
      - version_constraint: semver("<= 1.0.7")
        asset: kubectl-argo-rollouts-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.1.1")
        asset: kubectl-argo-rollouts-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.3.1")
        asset: kubectl-argo-rollouts-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: semver("<= 1.3.3")
        asset: kubectl-argo-rollouts-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: argo-rollouts-checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.5.1")
        asset: kubectl-argo-rollouts-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: argo-rollouts-checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kubectl-argo-rollouts-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: argo-rollouts-checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: argo-rollouts.intoto.jsonl
"###),
    ("argoproj/argo-workflows", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: argoproj
    repo_name: argo-workflows
    rosetta2: true
    asset: argo-{{.OS}}-{{.Arch}}.gz
    description: Argo Worfkflows CLI. Workflow engine for Kubernetes
    supported_envs:
      - darwin
      - linux
      - amd64
    overrides:
      - goos: windows
        asset: argo-{{.OS}}-{{.Arch}}.exe.gz
    files:
      - name: argo
        src: argo-{{.OS}}-{{.Arch}}
    version_constraint: semver(">= 3.4.4")
    checksum:
      type: github_release
      asset: argo-workflows-cli-checksums.txt
      algorithm: sha256
      # TODO enable cosign https://github.com/argoproj/argo-workflows/discussions/12828
      # cosign:
      #   opts:
      #     - --certificate-identity-regexp
      #     - "https://github\\.com/argoproj/argo-workflows/\\.github/workflows/release\\.yaml@.*"
      #     - --certificate-oidc-issuer
      #     - "https://token.actions.githubusercontent.com"
      #     - --signature
      #     - https://github.com/argoproj/argo-workflows/releases/download/{{.Version}}/argo-workflows-cli-checksums.sig
      #     - --key
      #     - https://github.com/argoproj/argo-workflows/releases/download/{{.Version}}/argo-workflows-cosign.pub
    version_overrides:
      - version_constraint: "true"
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("argoproj/argo-cd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: argoproj
    repo_name: argo-cd
    description: Declarative continuous deployment for Kubernetes
    asset: argocd-{{.OS}}-{{.Arch}}
    format: raw
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: cli_checksums.txt
      algorithm: sha256
    files:
      - name: argocd
    slsa_provenance:
      type: github_release
      asset: argocd-cli.intoto.jsonl
    version_constraint: semver(">= 2.7.0-rc1")
    version_overrides:
      - version_constraint: semver(">= 2.5.0-rc3")
        slsa_provenance:
          enabled: false
        checksum:
          type: github_release
          asset: argocd-{{trimV .Version}}-checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 2.5.0-rc1")
        slsa_provenance:
          enabled: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver(">= 2.4.15")
        slsa_provenance:
          enabled: false
        checksum:
          type: github_release
          asset: argocd-{{trimV .Version}}-checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 2.4.0-rc1")
        slsa_provenance:
          enabled: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver(">= 2.3.11")
        slsa_provenance:
          enabled: false
        checksum:
          type: github_release
          asset: argocd-{{trimV .Version}}-checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 2.3.10")
        slsa_provenance:
          enabled: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver(">= 2.3.0-rc1")
        slsa_provenance:
          enabled: false
        checksum:
          enabled: false
      - version_constraint: semver(">= 2.2.15")
        slsa_provenance:
          enabled: false
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: argocd-{{trimV .Version}}-checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 1.4.3")
        slsa_provenance:
          enabled: false
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 1.4.3")
        slsa_provenance:
          enabled: false
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("Orange-OpenSource/hurl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Orange-OpenSource
    repo_name: hurl
    description: Hurl, run and test HTTP requests with plain text
    files:
      - name: hurl
      - name: hurlfmt
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.0")
        asset: hurl-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: hurl
            src: hurl-{{.Version}}/hurl
          - name: hurlfmt
            src: hurl-{{.Version}}/hurlfmt
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.6.0")
        asset: hurl-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: hurl
            src: hurl-{{.Version}}/hurl
          - name: hurlfmt
            src: hurl-{{.Version}}/hurlfmt
        replacements:
          amd64: x86_64
          darwin: osx
          windows: win64
        overrides:
          - goos: windows
            format: zip
            asset: hurl-{{.Version}}-{{.OS}}.{{.Format}}
            files:
              - name: hurl
              - name: hurlfmt
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.6.1"
        asset: hurl-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: hurl
            src: hurl-{{.Version}}/hurl
          - name: hurlfmt
            src: hurl-{{.Version}}/hurlfmt
        replacements:
          amd64: x86_64
          darwin: osx
          windows: win64
        overrides:
          - goos: windows
            format: zip
            asset: hurl-{{.Version}}-{{.OS}}.{{.Format}}
            files:
              - name: hurl
              - name: hurlfmt
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 4.0.0")
        asset: hurl-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: hurl
            src: hurl-{{.Version}}/hurl
          - name: hurlfmt
            src: hurl-{{.Version}}/hurlfmt
        replacements:
          amd64: x86_64
          darwin: macos
          windows: win64
        overrides:
          - goos: windows
            format: zip
            asset: hurl-{{.Version}}-{{.OS}}.{{.Format}}
            files:
              - name: hurl
              - name: hurlfmt
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 4.2.0")
        asset: hurl-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: hurl
            src: hurl-{{.Version}}-{{.Arch}}-{{.OS}}/hurl
          - name: hurlfmt
            src: hurl-{{.Version}}-{{.Arch}}-{{.OS}}/hurlfmt
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: hurl
              - name: hurlfmt
      - version_constraint: "true"
        asset: hurl-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: hurl
            src: hurl-{{.Version}}-{{.Arch}}-{{.OS}}/bin/hurl
          - name: hurlfmt
            src: hurl-{{.Version}}-{{.Arch}}-{{.OS}}/bin/hurlfmt
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: hurl
              - name: hurlfmt
"###),
    ("sinclairtarget/git-who", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sinclairtarget
    repo_name: git-who
    description: Git blame for file trees
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2"
        asset: "{{.OS}}_{{.Arch}}.{{.Format}}"
        format: tar.gz
        files:
          - name: git-who
            src: "{{.OS}}_{{.Arch}}/git-who"
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: gitwho_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: git-who
            src: "{{.OS}}_{{.Arch}}/git-who"
        supported_envs:
          - linux
          - darwin
"###),
    ("genuinetools/img", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: genuinetools
    repo_name: img
    description: Standalone, daemon-less, unprivileged Dockerfile and OCI compatible container image builder
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: img-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux/amd64
"###),
    ("genuinetools/reg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: genuinetools
    repo_name: reg
    description: Docker registry v2 command line client and repo listing generator with security checks
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.0"
        asset: reg-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: Version == "v0.15.4"
        asset: reg-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - darwin
      - version_constraint: "true"
        asset: reg-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
"###),
    ("genuinetools/amicontained", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: genuinetools
    repo_name: amicontained
    description: Container introspection tool. Find out what container runtime is being used as well as features available
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.5")
        asset: amicontained-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: amicontained-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux/amd64
"###),
    ("mumoshu/variant", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mumoshu
    repo_name: variant
    description: Wrap up your bash scripts into a modern CLI today. Graduate to a full-blown golang app tomorrow
    rosetta2: true
    asset: variant_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - linux
    checksum:
      type: github_release
      asset: variant_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("mumoshu/variant2", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mumoshu
    repo_name: variant2
    description: Turn your bash scripts into a modern, single-executable CLI app today
    asset: variant_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - linux
    files:
      - name: variant
    checksum:
      type: github_release
      asset: variant_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("mumoshu/conflint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mumoshu
    repo_name: conflint
    description: Unified lint runners for various configuration files
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: conflint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: conflint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("mumoshu/config-registry", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mumoshu
    repo_name: config-registry
    description: Switch between kubeconfigs and avoid unintentional operation on your production clusters
    asset: config-registry_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("teler-sh/teler", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: teler-sh
    repo_name: teler
    aliases:
      - name: kitabisa/teler
    description: Real-time HTTP Intrusion Detection
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.0.0-beta")
        asset: teler_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: teler_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.0.0-rc.4")
        asset: teler_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: teler_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: teler_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: teler_checksums.txt
          algorithm: sha256
"###),
    ("WebAssembly/wabt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: WebAssembly
    repo_name: wabt
    description: The WebAssembly Binary Toolkit
    asset: wabt-{{.Version}}-{{.OS}}.{{.Format}}
    format: tar.gz
    replacements:
      darwin: macos-12
      linux: ubuntu
    supported_envs:
      - amd64
      - darwin
    rosetta2: true
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
    files:
      - name: spectest-interp
        src: wabt-{{.Version}}/bin/spectest-interp
      - name: wasm-decompile
        src: wabt-{{.Version}}/bin/wasm-decompile
      - name: wasm-interp
        src: wabt-{{.Version}}/bin/wasm-interp
      - name: wasm-objdump
        src: wabt-{{.Version}}/bin/wasm-objdump
      - name: wasm-stats
        src: wabt-{{.Version}}/bin/wasm-stats
      - name: wasm-strip
        src: wabt-{{.Version}}/bin/wasm-strip
      - name: wasm-validate
        src: wabt-{{.Version}}/bin/wasm-validate
      - name: wasm2c
        src: wabt-{{.Version}}/bin/wasm2c
      - name: wasm2wat
        src: wabt-{{.Version}}/bin/wasm2wat
      - name: wast2json
        src: wabt-{{.Version}}/bin/wast2json
      - name: wat-desugar
        src: wabt-{{.Version}}/bin/wat-desugar
      - name: wat2wasm
        src: wabt-{{.Version}}/bin/wat2wasm
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver(">= 1.0.35")
        asset: wabt-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: wabt-{{.Version}}-{{.OS}}.{{.Format}}
        replacements:
          darwin: macos-14
          linux: ubuntu-20.04
        supported_envs:
          - darwin
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "1.0.34"
      - version_constraint: Version == "1.0.33"
        files: &wabt_files_1
          - name: spectest-interp
            src: wabt-{{.Version}}/bin/spectest-interp
          - name: wasm-interp
            src: wabt-{{.Version}}/bin/wasm-interp
          - name: wasm-objdump
            src: wabt-{{.Version}}/bin/wasm-objdump
          - name: wasm-opcodecnt
            src: wabt-{{.Version}}/bin/wasm-opcodecnt
          - name: wasm-validate
            src: wabt-{{.Version}}/bin/wasm-validate
          - name: wasm2c
            src: wabt-{{.Version}}/bin/wasm2c
          - name: wasm2wat
            src: wabt-{{.Version}}/bin/wasm2wat
          - name: wast2json
            src: wabt-{{.Version}}/bin/wast2json
          - name: wat-desugar
            src: wabt-{{.Version}}/bin/wat-desugar
          - name: wat2wasm
            src: wabt-{{.Version}}/bin/wat2wasm
      - version_constraint: semver(">= 1.0.17")
        files: *wabt_files_1
        replacements:
          darwin: macos
          linux: ubuntu
      - version_constraint: semver(">= 1.0.15")
        overrides:
          - goos: windows
            format: zip
            files:
              - name: wasm-decompile
              - name: wasm-interp
              - name: wasm-objdump
              - name: wasm-opcodecnt
              - name: wasm-strip
              - name: wasm-validate
              - name: wasm2c
              - name: wasm2wat
              - name: wast2json
              - name: wat-desugar
              - name: wat2wasm
        replacements:
          darwin: osx
          windows: win64
        files:
          - name: wasm-decompile
            src: wabt-{{.Version}}/wasm-decompile
          - name: wasm-interp
            src: wabt-{{.Version}}/wasm-interp
          - name: wasm-objdump
            src: wabt-{{.Version}}/wasm-objdump
      - version_constraint: semver(">= 1.0.14")
        format: zip
        replacements:
          windows: win64
        supported_envs:
          - windows/amd64
        rosetta2: false # https://github.com/aquaproj/aqua-registry/pull/15753#issuecomment-1736713576
        files:
          - name: wasm-decompile
          - name: wasm-interp
          - name: wasm-objdump
          - name: wasm-opcodecnt
          - name: wasm-strip
          - name: wasm-validate
          - name: wasm2c
          - name: wasm2wat
          - name: wast2json
          - name: wat-desugar
          - name: wat2wasm
      - version_constraint: semver(">= 1.0.13")
        overrides:
          - goos: windows
            format: zip
            files:
              - name: wasm-decompile
              - name: wasm-interp
              - name: wasm-objdump
              - name: wasm-opcodecnt
              - name: wasm-strip
              - name: wasm-validate
              - name: wasm2c
              - name: wasm2wat
              - name: wast2json
              - name: wat-desugar
              - name: wat2wasm
        replacements:
          windows: win64
        supported_envs:
          - linux/amd64
          - windows/amd64
        rosetta2: false # https://github.com/aquaproj/aqua-registry/pull/15753#issuecomment-1736713576
        files:
          - name: wasm-decompile
            src: wabt-{{.Version}}/wasm-decompile
          - name: wasm-interp
            src: wabt-{{.Version}}/wasm-interp
          - name: wasm-objdump
            src: wabt-{{.Version}}/wasm-objdump
      - version_constraint: semver(">= 1.0.5")
        overrides:
          - goos: windows
            format: zip
            checksum:
              enabled: false
            files:
              - name: spectest-interp
              - name: wabt-unittests
              - name: wasm-interp
              - name: wasm-objdump
              - name: wasm-opcodecnt
              - name: wasm-validate
              - name: wasm2c
              - name: wasm2wat
              - name: wast2json
              - name: wat-desugar
              - name: wat2wasm
        replacements:
          darwin: osx
          windows: win64
        files:
          - name: spectest-interp
            src: wabt-{{.Version}}/spectest-interp
          - name: wasm-interp
            src: wabt-{{.Version}}/wasm-interp
          - name: wasm-objdump
            src: wabt-{{.Version}}/wasm-objdump
          - name: wasm-opcodecnt
            src: wabt-{{.Version}}/wasm-opcodecnt
          - name: wasm-validate
            src: wabt-{{.Version}}/wasm-validate
          - name: wasm2c
            src: wabt-{{.Version}}/wasm2c
          - name: wasm2wat
            src: wabt-{{.Version}}/wasm2wat
          - name: wast2json
            src: wabt-{{.Version}}/wast2json
          - name: wat-desugar
            src: wabt-{{.Version}}/wat-desugar
          - name: wat2wasm
            src: wabt-{{.Version}}/wat2wasm
      - version_constraint: semver(">= 1.0.3")
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: spectest-interp
            src: wabt-{{.Version}}/spectest-interp
          - name: wasm-interp
            src: wabt-{{.Version}}/wasm-interp
          - name: wasm-objdump
            src: wabt-{{.Version}}/wasm-objdump
          - name: wasm-opcodecnt
            src: wabt-{{.Version}}/wasm-opcodecnt
          - name: wasm-validate
            src: wabt-{{.Version}}/wasm-validate
          - name: wasm2c
            src: wabt-{{.Version}}/wasm2c
          - name: wasm2wat
            src: wabt-{{.Version}}/wasm2wat
          - name: wast2json
            src: wabt-{{.Version}}/wast2json
          - name: wat-desugar
            src: wabt-{{.Version}}/wat-desugar
          - name: wat2wasm
            src: wabt-{{.Version}}/wat2wasm
      - version_constraint: semver("< 1.0.3")
        replacements: {}
        supported_envs:
          - linux/amd64
        rosetta2: false # https://github.com/aquaproj/aqua-registry/pull/15753#issuecomment-1736713576
        files:
          - name: spectest-interp
            src: wabt-{{.Version}}/spectest-interp
          - name: wasm-interp
            src: wabt-{{.Version}}/wasm-interp
          - name: wasm-objdump
            src: wabt-{{.Version}}/wasm-objdump
          - name: wasm-opcodecnt
            src: wabt-{{.Version}}/wasm-opcodecnt
          - name: wasm-validate
            src: wabt-{{.Version}}/wasm-validate
          - name: wasm2c
            src: wabt-{{.Version}}/wasm2c
          - name: wasm2wat
            src: wabt-{{.Version}}/wasm2wat
          - name: wast2json
            src: wabt-{{.Version}}/wast2json
          - name: wat-desugar
            src: wabt-{{.Version}}/wat-desugar
          - name: wat2wasm
            src: wabt-{{.Version}}/wat2wasm
"###),
    ("WebAssembly/binaryen", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: WebAssembly
    repo_name: binaryen
    description: Optimizer and compiler/toolchain library for WebAssembly
    asset: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: macos
    supported_envs:
      - darwin
      - amd64
    version_prefix: version_
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
    files:
      - name: binaryen-unittests
        src: binaryen-{{.Version}}/bin/binaryen-unittests
      - name: wasm-as
        src: binaryen-{{.Version}}/bin/wasm-as
      - name: wasm-ctor-eval
        src: binaryen-{{.Version}}/bin/wasm-ctor-eval
      - name: wasm-dis
        src: binaryen-{{.Version}}/bin/wasm-dis
      - name: wasm-emscripten-finalize
        src: binaryen-{{.Version}}/bin/wasm-emscripten-finalize
      - name: wasm-fuzz-types
        src: binaryen-{{.Version}}/bin/wasm-fuzz-types
      - name: wasm-metadce
        src: binaryen-{{.Version}}/bin/wasm-metadce
      - name: wasm-opt
        src: binaryen-{{.Version}}/bin/wasm-opt
      - name: wasm-reduce
        src: binaryen-{{.Version}}/bin/wasm-reduce
      - name: wasm-shell
        src: binaryen-{{.Version}}/bin/wasm-shell
      - name: wasm-split
        src: binaryen-{{.Version}}/bin/wasm-split
      - name: wasm2js
        src: binaryen-{{.Version}}/bin/wasm2js
    version_constraint: semver(">= 108")
    version_overrides:
      - version_constraint: semver(">= 106")
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: semver(">= 105")
        files:
          - name: wasm-as
            src: binaryen-{{.Version}}/bin/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/bin/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/bin/wasm-dis
          - name: wasm-emscripten-finalize
            src: binaryen-{{.Version}}/bin/wasm-emscripten-finalize
          - name: wasm-fuzz-types
            src: binaryen-{{.Version}}/bin/wasm-fuzz-types
          - name: wasm-metadce
            src: binaryen-{{.Version}}/bin/wasm-metadce
          - name: wasm-opt
            src: binaryen-{{.Version}}/bin/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/bin/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/bin/wasm-shell
          - name: wasm-split
            src: binaryen-{{.Version}}/bin/wasm-split
          - name: wasm2js
            src: binaryen-{{.Version}}/bin/wasm2js
      - version_constraint: semver(">= 100")
        rosetta2: true
        overrides:
          - goos: windows
            checksum:
              enabled: false
        files:
          - name: wasm-as
            src: binaryen-{{.Version}}/bin/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/bin/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/bin/wasm-dis
          - name: wasm-emscripten-finalize
            src: binaryen-{{.Version}}/bin/wasm-emscripten-finalize
          - name: wasm-metadce
            src: binaryen-{{.Version}}/bin/wasm-metadce
          - name: wasm-opt
            src: binaryen-{{.Version}}/bin/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/bin/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/bin/wasm-shell
          - name: wasm-split
            src: binaryen-{{.Version}}/bin/wasm-split
          - name: wasm2js
            src: binaryen-{{.Version}}/bin/wasm2js
      - version_constraint: semver(">= 98")
        supported_envs:
          - darwin
          - windows/amd64
        rosetta2: true
        overrides:
          - goos: windows
            checksum:
              enabled: false
        files:
          - name: wasm-as
            src: binaryen-{{.Version}}/bin/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/bin/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/bin/wasm-dis
          - name: wasm-emscripten-finalize
            src: binaryen-{{.Version}}/bin/wasm-emscripten-finalize
          - name: wasm-metadce
            src: binaryen-{{.Version}}/bin/wasm-metadce
          - name: wasm-opt
            src: binaryen-{{.Version}}/bin/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/bin/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/bin/wasm-shell
          - name: wasm2js
            src: binaryen-{{.Version}}/bin/wasm2js
      - version_constraint: semver(">= 93")
        rosetta2: true
        overrides:
          - goos: windows
            checksum:
              enabled: false
        files: &webassembly_binaryen_files_3
          - name: wasm-as
            src: binaryen-{{.Version}}/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/wasm-dis
          - name: wasm-emscripten-finalize
            src: binaryen-{{.Version}}/wasm-emscripten-finalize
          - name: wasm-metadce
            src: binaryen-{{.Version}}/wasm-metadce
          - name: wasm-opt
            src: binaryen-{{.Version}}/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/wasm-shell
          - name: wasm2js
            src: binaryen-{{.Version}}/wasm2js
      - version_constraint: semver(">= 92")
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        rosetta2: true
        files: *webassembly_binaryen_files_3
        overrides:
          - goos: windows
            checksum:
              enabled: false
            files: &webassembly_binaryen_files_windows_3
              - name: asm2wasm
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/asm2wasm
              - name: wasm-as
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-as
              - name: wasm-ctor-eval
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-ctor-eval
              - name: wasm-dis
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-dis
              - name: wasm-emscripten-finalize
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-emscripten-finalize
              - name: wasm-metadce
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-metadce
              - name: wasm-opt
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-opt
              - name: wasm-reduce
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-reduce
              - name: wasm-shell
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-shell
              - name: wasm2js
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm2js
      - version_constraint: semver(">= 91")
        overrides:
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
            checksum:
              enabled: false
          - goos: windows
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_3
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 90")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            asset: binaryen-{{.Version}}-x86-{{.OS}}.{{.Format}}
            checksum:
              enabled: false
            files: &webassembly_binaryen_files_windows_2
              - name: asm2wasm
                src: binaryen-{{.Version}}-x86-{{.OS}}/asm2wasm
              - name: wasm-as
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm-as
              - name: wasm-ctor-eval
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm-ctor-eval
              - name: wasm-dis
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm-dis
              - name: wasm-emscripten-finalize
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm-emscripten-finalize
              - name: wasm-metadce
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm-metadce
              - name: wasm-opt
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm-opt
              - name: wasm-reduce
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm-reduce
              - name: wasm-shell
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm-shell
              - name: wasm2js
                src: binaryen-{{.Version}}-x86-{{.OS}}/wasm2js
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 89")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_3
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 88")
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - windows/amd64
        rosetta2: true
        files: *webassembly_binaryen_files_3
        overrides:
          - goos: windows
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_3
      - version_constraint: semver(">= 84")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_3
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 82")
        replacements:
          amd64: x86_64
        supported_envs:
          - windows/amd64
        checksum:
          enabled: false
        files: *webassembly_binaryen_files_3
        overrides:
          - goos: windows
            files: *webassembly_binaryen_files_windows_3
      - version_constraint: semver(">= 77")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_3
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 76")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            asset: binaryen-{{.Version}}-x86-{{.OS}}.{{.Format}}
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_2
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 75")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_3
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 74")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            checksum:
              enabled: false
            files:
              - name: asm2wasm
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/asm2wasm
              - name: wasm-as
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-as
              - name: wasm-ctor-eval
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-ctor-eval
              - name: wasm-dis
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-dis
              - name: wasm-emscripten-finalize
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-emscripten-finalize
              - name: wasm-metadce
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-metadce
              - name: wasm-opt
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-opt
              - name: wasm-reduce
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-reduce
              - name: wasm-shell
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-shell
              - name: wasm2js
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm2js
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
          - windows/amd64
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 44")
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        files: &webassembly_binaryen_files_4
          - name: asm2wasm
            src: binaryen-{{.Version}}/asm2wasm
          - name: s2wasm
            src: binaryen-{{.Version}}/s2wasm
          - name: wasm-as
            src: binaryen-{{.Version}}/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/wasm-dis
          - name: wasm-emscripten-finalize
            src: binaryen-{{.Version}}/wasm-emscripten-finalize
          - name: wasm-merge
            src: binaryen-{{.Version}}/wasm-merge
          - name: wasm-metadce
            src: binaryen-{{.Version}}/wasm-metadce
          - name: wasm-opt
            src: binaryen-{{.Version}}/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/wasm-shell
          - name: wasm2asm
            src: binaryen-{{.Version}}/wasm2asm
      - version_constraint: semver(">= 42")
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
        files:
          - name: asm2wasm
            src: binaryen-{{.Version}}/asm2wasm
          - name: s2wasm
            src: binaryen-{{.Version}}/s2wasm
          - name: wasm-as
            src: binaryen-{{.Version}}/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/wasm-dis
          - name: wasm-merge
            src: binaryen-{{.Version}}/wasm-merge
          - name: wasm-metadce
            src: binaryen-{{.Version}}/wasm-metadce
          - name: wasm-opt
            src: binaryen-{{.Version}}/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/wasm-shell
          - name: wasm2asm
            src: binaryen-{{.Version}}/wasm2asm
      - version_constraint: semver(">= 38")
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        files:
          - name: asm2wasm
            src: binaryen-{{.Version}}/asm2wasm
          - name: s2wasm
            src: binaryen-{{.Version}}/s2wasm
          - name: wasm-as
            src: binaryen-{{.Version}}/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/wasm-dis
          - name: wasm-merge
            src: binaryen-{{.Version}}/wasm-merge
          - name: wasm-opt
            src: binaryen-{{.Version}}/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/wasm-shell
          - name: wasm2asm
            src: binaryen-{{.Version}}/wasm2asm
      - version_constraint: semver(">= 1.39.1")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            checksum:
              enabled: false
            files: &webassembly_binaryen_files_windows_1
              - name: asm2wasm
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/asm2wasm
              - name: wasm-as
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-as
              - name: wasm-ctor-eval
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-ctor-eval
              - name: wasm-dis
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-dis
              - name: wasm-emscripten-finalize
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-emscripten-finalize
              - name: wasm-metadce
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-metadce
              - name: wasm-opt
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-opt
              - name: wasm-reduce
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-reduce
              - name: wasm-shell
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-shell
              - name: wasm2js
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm2js
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        version_prefix: ""
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 1.38.48")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_1
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
          - windows/amd64
        version_prefix: ""
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 1.38.47")
        replacements:
          amd64: x86_64
        supported_envs:
          - windows/amd64
        version_prefix: ""
        checksum:
          enabled: false
        files: *webassembly_binaryen_files_3
        overrides:
          - goos: windows
            files: *webassembly_binaryen_files_windows_1
      - version_constraint: semver(">= 1.38.32")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            checksum:
              enabled: false
            files: *webassembly_binaryen_files_windows_1
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - linux
          - amd64
        version_prefix: ""
        rosetta2: true
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 1.38.31")
        replacements:
          amd64: x86_64
        supported_envs:
          - windows/amd64
        version_prefix: ""
        checksum:
          enabled: false
        files: *webassembly_binaryen_files_3
        overrides:
          - goos: windows
            files:
              - name: asm2wasm
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/asm2wasm
              - name: wasm-as
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-as
              - name: wasm-ctor-eval
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-ctor-eval
              - name: wasm-dis
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-dis
              - name: wasm-emscripten-finalize
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-emscripten-finalize
              - name: wasm-metadce
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-metadce
              - name: wasm-opt
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-opt
              - name: wasm-reduce
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-reduce
              - name: wasm-shell
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm-shell
              - name: wasm2js
                src: binaryen-{{.Version}}-{{.Arch}}-{{.OS}}/wasm2js
      - version_constraint: semver(">= 1.38.30")
        asset: binaryen-{{.Version}}-x86-{{.OS}}.{{.Format}}
        replacements: {}
        supported_envs:
          - linux/amd64
        version_prefix: ""
        files: *webassembly_binaryen_files_3
      - version_constraint: semver(">= 1.37.34")
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        version_prefix: ""
        files:
          - name: asm2wasm
            src: binaryen-{{.Version}}/asm2wasm
          - name: s2wasm
            src: binaryen-{{.Version}}/s2wasm
          - name: wasm-as
            src: binaryen-{{.Version}}/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/wasm-dis
          - name: wasm-emscripten-finalize
            src: binaryen-{{.Version}}/wasm-emscripten-finalize
          - name: wasm-merge
            src: binaryen-{{.Version}}/wasm-merge
          - name: wasm-metadce
            src: binaryen-{{.Version}}/wasm-metadce
          - name: wasm-opt
            src: binaryen-{{.Version}}/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/wasm-shell
          - name: wasm2asm
            src: binaryen-{{.Version}}/wasm2asm
      - version_constraint: semver(">= 1.37.29")
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
        version_prefix: ""
        files:
          - name: asm2wasm
            src: binaryen-{{.Version}}/asm2wasm
          - name: s2wasm
            src: binaryen-{{.Version}}/s2wasm
          - name: wasm-as
            src: binaryen-{{.Version}}/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/wasm-dis
          - name: wasm-emscripten-finalize
            src: binaryen-{{.Version}}/wasm-emscripten-finalize
          - name: wasm-link-metadata
            src: binaryen-{{.Version}}/wasm-link-metadata
          - name: wasm-merge
            src: binaryen-{{.Version}}/wasm-merge
          - name: wasm-metadce
            src: binaryen-{{.Version}}/wasm-metadce
          - name: wasm-opt
            src: binaryen-{{.Version}}/wasm-opt
          - name: wasm-reduce
            src: binaryen-{{.Version}}/wasm-reduce
          - name: wasm-shell
            src: binaryen-{{.Version}}/wasm-shell
          - name: wasm2asm
            src: binaryen-{{.Version}}/wasm2asm
      - version_constraint: semver("< 1.37.29")
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        version_prefix: ""
        files:
          - name: asm2wasm
            src: binaryen-{{.Version}}/asm2wasm
          - name: s2wasm
            src: binaryen-{{.Version}}/s2wasm
          - name: wasm-as
            src: binaryen-{{.Version}}/wasm-as
          - name: wasm-ctor-eval
            src: binaryen-{{.Version}}/wasm-ctor-eval
          - name: wasm-dis
            src: binaryen-{{.Version}}/wasm-dis
          - name: wasm-merge
            src: binaryen-{{.Version}}/wasm-merge
          - name: wasm-opt
            src: binaryen-{{.Version}}/wasm-opt
          - name: wasm-shell
            src: binaryen-{{.Version}}/wasm-shell
          - name: wasm2asm
            src: binaryen-{{.Version}}/wasm2asm
"###),
    ("coreos/butane", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: coreos
    repo_name: butane
    description: Butane translates human-readable Butane Configs into machine-readable Ignition Configs
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.0"
        no_asset: true
      - version_constraint: semver("<= 0.10.0")
        asset: fcct-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: fcct
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 0.15.0")
        asset: butane-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: "true"
        asset: butane-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
"###),
    ("pipe-cd/pipecd/pipectl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: pipe-cd/pipecd/pipectl
    type: github_release
    repo_owner: pipe-cd
    repo_name: pipecd
    description: The command line tool for PipeCD
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.1")
        no_asset: true
      - version_constraint: semver("<= 0.33.0")
        asset: pipectl_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: pipectl_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("pipe-cd/pipecd/piped", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: pipe-cd/pipecd/piped
    type: github_release
    repo_owner: pipe-cd
    repo_name: pipecd
    description: A component that runs inside target environment to execute deployment and report its state
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.5")
        no_asset: true
      - version_constraint: Version == "v0.1.6"
        asset: piped-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.7.5")
        asset: piped_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.7.6"
        asset: piped_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.9.0")
        asset: piped_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.9.1"
        no_asset: true
      - version_constraint: semver("<= 0.24.0")
        asset: piped_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.24.3")
        no_asset: true
      - version_constraint: semver("<= 0.27.4")
        asset: piped_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.29.0")
        no_asset: true
      - version_constraint: semver("<= 0.33.0")
        asset: piped_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: piped_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("vladimirvivien/ktop", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: vladimirvivien
    repo_name: ktop
    description: A top-like tool for your Kubernetes clusters
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: ktop_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: ktop_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("logdyhq/logdy-core", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: logdyhq
    repo_name: logdy-core
    description: Web based real-time log viewer. Stream ANY content to a web UI with autogenerated filters. Parse any format with TypeScript
    files:
      - name: logdy
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        asset: logdy-core_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: logdy_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("ikawaha/kagome", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ikawaha
    repo_name: kagome
    description: Self-contained Japanese Morphological Analyzer written in pure Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v2.9.6", "v2.9.9"]
        no_asset: true
      - version_constraint: semver("<= 0.1.0")
        asset: kagome_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: kagome
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: kagome
            src: kagome_{{.OS}}_{{.Arch}}/kagome
      - version_constraint: semver("<= 2.2.0")
        no_asset: true
      - version_constraint: semver("<= 2.6.0")
        asset: kagome_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kagome_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.6.3")
        asset: kagome_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kagome_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.9.2")
        asset: kagome_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kagome_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kagome_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kagome_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: kagome_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
"###),
    ("jez/as-tree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jez
    repo_name: as-tree
    description: Print a list of paths as a tree of paths
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: as-tree-{{.Version}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("JohnnyMorganz/StyLua", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: JohnnyMorganz
    repo_name: StyLua
    description: A Lua code formatter
    files:
      - name: stylua
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.12.5")
        asset: stylua-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
          windows: win64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.13.1")
        asset: stylua-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
          windows: win64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.14.3")
        asset: stylua-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
          windows: win64
        overrides:
          - goos: darwin
            goarch: arm64
            asset: stylua-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.19.1")
        asset: stylua-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
      - version_constraint: "true"
        asset: stylua-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: linux
            goarch: amd64
            asset: stylua-{{.OS}}-{{.Arch}}-musl.{{.Format}}
"###),
    ("k1LoW/gh-setup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: gh-setup
    description: Setup asset of Github releases
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.2"
        no_asset: true
      - version_constraint: semver("<= 1.6.0")
        asset: gh-setup_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: gh-setup_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/runn", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: runn
    asset: runn_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: runn is a package/tool for running operations following a scenario
    overrides:
      - goos: darwin
        format: zip
    supported_envs:
      - linux/amd64
      - darwin
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("k1LoW/tbls", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: tbls
    asset: tbls_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: tbls is a CI-Friendly tool for document a database, written in Go
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - amd64
    checksum:
      type: github_release
      asset: "checksums-{{.OS}}.txt"
      algorithm: sha256
"###),
    ("k1LoW/coglet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: coglet
    description: coglet is a tool for User pool of Amazon Cognito
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        no_asset: true
      - version_constraint: "true"
        asset: coglet_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/stubin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: stubin
    description: This is stub binary
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        no_asset: true
      - version_constraint: "true"
        asset: stubin_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/gh-do", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: gh-do
    description: ":octocat: gh-do is a tool to do anything using GitHub credentials"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        no_asset: true
      - version_constraint: semver("<= 0.3.6")
        asset: gh-do_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: gh-do_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/hclstr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: hclstr
    description: hclstr is a utility tool for string literals in HCL files
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: hclstr_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/tbls-ask", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: tbls-ask
    description: tbls-ask is an external subcommand of tbls for asking LLM of the datasource
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1") or Version == "v0.1.1"
        no_asset: true
      - version_constraint: "true"
        asset: tbls-ask_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
        supported_envs:
          - linux
          - darwin
"###),
    ("k1LoW/gostyle", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: gostyle
    description: gostyle is a set of analyzers for coding styles
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.14.1", "v0.20.1"]
        no_asset: true
      - version_constraint: "true"
        asset: gostyle_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/oldstable", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: oldstable
    description: Check if version of go directive in go.mod is oldstable
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: oldstable_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/tbls-driver-tailordb", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: tbls-driver-tailordb
    description: tbls driver for TailorDB schema definition
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tbls-driver-tailordb_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/tmpmod", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: tmpmod
    description: tmpmod is a tool for temporary use of modified Go modules
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tmpmod_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/ndiag", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: ndiag
    description: ndiag is a high-level architecture diagramming/documentation tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.14.2")
        asset: ndiag_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: ndiag_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("k1LoW/awsdo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: awsdo
    description: awsdo is a tool to do anything using AWS temporary credentials
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.1")
        asset: awsdo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.10.0")
        asset: awsdo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: awsdo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
        supported_envs:
          - linux
          - darwin
"###),
    ("k1LoW/roots", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: roots
    description: "`roots` is a tool for exploring multiple root directories, such as those in a monorepo project"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: roots_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/deck", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: deck
    description: deck is a tool for creating deck using Markdown and Google Slides
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: deck_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/cuestr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: cuestr
    description: cuestr is a utility tool for string literals in CUE files
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: cuestr_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
"###),
    ("k1LoW/octocov", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k1LoW
    repo_name: octocov
    description: octocov is a toolkit for collecting code metrics (code coverage, code to test ratio, test execution time and your own custom metrics)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.47.0"
        asset: octocov_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums-{{.OS}}.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.28.2")
        asset: octocov_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.40.1")
        asset: octocov_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.51.0")
        asset: octocov_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums-{{.OS}}.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.56.1")
        asset: octocov_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums-{{.OS}}.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: octocov_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums-{{.OS}}.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
"###),
    ("urfave/gfmrun", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: urfave
    repo_name: gfmrun
    description: GitHub-Flavored Markdown Runner
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        no_asset: true
      - version_constraint: Version == "v1.2.12-beta"
        asset: gfmrun-{{.OS}}-{{.Arch}}-{{.Version}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: gfmrun-{{.OS}}-{{.Arch}}-{{.Version}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("gradle/gradle-distributions", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gradle
    repo_name: gradle-distributions
    aliases:
      - name: gradle/gradle
    description: Adaptable, fast automation for all
    files:
      - name: gradle
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gradle-{{trimV .Version | replace ".0-RC" "-rc-" | replace ".0-M" "-milestone-" | trimSuffix ".0"}}-bin.zip
        files:
          - name: gradle
            src: gradle-{{trimV .Version | replace ".0-RC" "-rc-" | replace ".0-M" "-milestone-" | trimSuffix ".0"}}/bin/gradle
"###),
    ("freshautomations/stoml", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: freshautomations
    repo_name: stoml
    description: Simple TOML parser for Bash
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.0")
        asset: stoml_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: stoml_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("quarkslab/kdigger", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: quarkslab
    repo_name: kdigger
    description: Kubernetes focused container assessment tool for penetration testing
    supported_envs:
      - darwin
      - linux
    rosetta2: true
    asset: kdigger-{{.OS}}-{{.Arch}}
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("tenable/terrascan", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tenable
    repo_name: terrascan
    aliases:
      - name: accurics/terrascan
    asset: terrascan_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    description: Detect compliance and security violations across Infrastructure as Code to mitigate risk before provisioning cloud native infrastructure
    supported_envs:
      - darwin
      - linux
      - amd64
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      darwin: Darwin
      linux: Linux
      windows: Windows
      386: i386
      amd64: x86_64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("oligot/go-mod-upgrade", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: oligot
    repo_name: go-mod-upgrade
    description: Update outdated Go dependencies interactively
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: go-mod-upgrade_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.0")
        asset: go-mod-upgrade_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.0")
        asset: go-mod-upgrade_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.6.0"
        asset: go-mod-upgrade_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.7.0")
        asset: go-mod-upgrade_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.9.1")
        asset: go-mod-upgrade_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: go-mod-upgrade_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("mfontanini/presenterm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mfontanini
    repo_name: presenterm
    description: A markdown terminal slideshow tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        no_asset: true
      - version_constraint: "true"
        asset: presenterm-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: presenterm
            src: presenterm-{{trimV .Version}}/presenterm
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha512"
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("prometheus/prom2json", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: prometheus
    repo_name: prom2json
    asset: prom2json-{{trimV .Version}}.{{.OS}}-{{.Arch}}.tar.gz
    description: A tool to scrape a Prometheus client and dump the result as JSON
    checksum:
      type: github_release
      asset: sha256sums.txt
      algorithm: sha256
    files:
      - name: prom2json
        src: prom2json-{{trimV .Version}}.{{.OS}}-{{.Arch}}/prom2json
    version_constraint: semver(">= 1.3.1")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux
          - amd64
"###),
    ("prometheus/prometheus", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: prometheus
    repo_name: prometheus
    asset: prometheus-{{trimV .Version}}.{{.OS}}-{{.Arch}}.tar.gz
    description: The Prometheus monitoring system and time series database
    checksum:
      type: github_release
      asset: sha256sums.txt
      algorithm: sha256
    files:
      - name: prometheus
        src: prometheus-{{trimV .Version}}.{{.OS}}-{{.Arch}}/prometheus
      - name: promtool
        src: prometheus-{{trimV .Version}}.{{.OS}}-{{.Arch}}/promtool
"###),
    ("prometheus/alertmanager", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: prometheus
    repo_name: alertmanager
    asset: alertmanager-{{trimV .Version}}.{{.OS}}-{{.Arch}}.tar.gz
    description: Prometheus Alertmanager
    checksum:
      type: github_release
      asset: sha256sums.txt
      algorithm: sha256
    files:
      - name: alertmanager
        src: alertmanager-{{trimV .Version}}.{{.OS}}-{{.Arch}}/alertmanager
      - name: amtool
        src: alertmanager-{{trimV .Version}}.{{.OS}}-{{.Arch}}/amtool
"###),
    ("prometheus/promlens", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: prometheus
    repo_name: promlens
    asset: promlens-{{trimV .Version}}.{{.OS}}-{{.Arch}}.tar.gz
    description: PromLens – The query builder, analyzer, and explainer for PromQL
    checksum:
      type: github_release
      asset: sha256sums.txt
      algorithm: sha256
    files:
      - name: promlens
        src: promlens-{{trimV .Version}}.{{.OS}}-{{.Arch}}/promlens
"###),
    ("cloudfoundry/bosh-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudfoundry
    repo_name: bosh-cli
    description: The bosh CLI is the command line tool used for interacting with all things BOSH, from deployment operations to software release management
    rosetta2: true
    format: raw
    supported_envs:
      - darwin
      - amd64
    asset: bosh-cli-{{trimV .Version}}-{{.OS}}-{{.Arch}}
    files:
      - name: bosh
"###),
    ("cloudfoundry/credhub-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudfoundry
    repo_name: credhub-cli
    description: CredHub CLI provides a command line interface to interact with CredHub servers
    asset: credhub-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
    format: tgz
    files:
      - name: credhub
    supported_envs:
      - darwin
      - amd64
    version_constraint: semver(">= 2.9.21")
    version_overrides:
      - version_constraint: semver("< 2.9.21")
        asset: credhub-{{.OS}}-{{.Version}}.{{.Format}}
        rosetta2: true
"###),
    ("justjanne/powerline-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: justjanne
    repo_name: powerline-go
    description: A beautiful and useful low-latency prompt for your shell, written in go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.1")
        asset: powerline-go
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.15.0")
        asset: powerline-go-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.16.0"
        no_asset: true
      - version_constraint: semver("<= 1.18.0")
        asset: powerline-go-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.19.0"
        no_asset: true
      - version_constraint: semver("< 1.23")
        asset: powerline-go-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: Version == "v1.23"
        asset: powerline-go-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - amd64
      - version_constraint: "true"
        asset: powerline-go-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("abice/go-enum", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: abice
    repo_name: go-enum
    description: An enum generator for go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.5.9-beta-1", "v0.5.9"]
        no_asset: true
      - version_constraint: Version == "v0.3.5"
        asset: go-enum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.3.6"
        asset: go-enum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: go-enum_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.5.9-beta-2"
        asset: go-enum_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: go-enum_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.4")
        no_asset: true
      - version_constraint: semver("<= 0.3.11")
        asset: go-enum_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: go-enum_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: go-enum_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: go-enum_checksums.txt
          algorithm: sha256
"###),
    ("jamietsao/random-winner", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jamietsao
    repo_name: random-winner
    description: Wrote a silly program to select a random winner from my team
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: random-winner-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("tombi-toml/tombi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tombi-toml
    repo_name: tombi
    description: TOML Formatter / Linter / Language Server
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.27" || semver("<= 0.2.23")
        no_asset: true
      - version_constraint: semver("<= 0.3.37")
        asset: tombi-cli-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        files:
          - name: tombi
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.3.38")
        asset: tombi-cli-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: tombi
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: tombi
        supported_envs:
          - darwin
          - linux/amd64
          - windows
      - version_constraint: semver("<= 0.3.39")
        asset: tombi-cli-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: tombi
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: tombi
      - version_constraint: "true"
        asset: tombi-cli-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        files:
          - name: tombi
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: tombi
"###),
    ("yinheli/sshw", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yinheli
    repo_name: sshw
    asset: sshw_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: ssh client wrapper for automatic login
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: sshw_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.1.1")
    version_overrides:
      - version_constraint: semver(">= 1.0.8")
        # asset name was changed
        asset: sshw-{{.OS}}-{{.Arch}}-{{.Version}}.tar.gz
        files:
          - name: sshw
            src: sshw-{{.OS}}-{{.Arch}}-{{.Version}}/sshw
        overrides: []
        # arm64 wasn't supported
        rosetta2: true
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          # SHA1 is used for algorithm of checksum
          enabled: false
      - version_constraint: "true"
        # asset name was changed
        asset: sshw-{{.OS}}-{{.Arch}}.tar.gz
        overrides: []
        rosetta2: true
        # windows wasn't supported
        supported_envs:
          - darwin
          - linux/amd64
        checksum:
          # checksum file not provided
          enabled: false
"###),
    ("brigadecore/brigade", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: brigadecore
    repo_name: brigade
    format: raw
    asset: brig-{{.OS}}-{{.Arch}}
    description: Brigade CLI. Event-driven scripting for Kubernetes
    files:
      - name: brig
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("operator-framework/operator-sdk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: operator-framework
    repo_name: operator-sdk
    description: SDK for building Kubernetes applications. Provides high level APIs, useful abstractions, and project scaffolding
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.6") or Version == "v1.34.0"
        no_asset: true
      - version_constraint: semver("<= 0.16.0")
        asset: operator-sdk-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.2.0")
        asset: operator-sdk-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: linux-gnu
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.18.1")
        asset: operator-sdk_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: operator-sdk_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("operator-framework/operator-registry", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: operator-framework
    repo_name: operator-registry
    description: Operator Registry runs in a Kubernetes or OpenShift cluster to provide operator catalog data to Operator Lifecycle Manager
    files:
      - name: opm
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v1.10.0", "v1.16.0"]
        no_asset: true
      - version_constraint: Version in ["v1.7.0", "v1.11.0", "v1.12.4"]
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: Version in ["v1.11.1", "v1.12.3", "v1.15.0"]
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.14.3"
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.5.6")
        no_asset: true
      - version_constraint: semver("<= 1.6.1")
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.9.0")
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.12.2")
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: semver("<= 1.14.2")
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.19.5")
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: "{{.OS}}-{{.Arch}}-opm"
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("keidarcy/e1s", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: keidarcy
    repo_name: e1s
    description: E1S - Easily Manage AWS ECS Resources in Terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: e1s_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: e1s_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        checksum:
          type: github_release
          asset: e1s_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("pgrok/pgrok/pgrokd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: pgrok/pgrok/pgrokd
    type: github_release
    repo_owner: pgrok
    repo_name: pgrok
    description: (Server) Poor man's ngrok - a multi-tenant HTTP reverse tunnel solution through SSH remote port forwarding
    asset: pgrokd_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: pgrokd
    checksum:
      type: github_release
      asset: checksums.pgrokd.txt
      algorithm: sha256
"###),
    ("pgrok/pgrok/pgrok", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: pgrok/pgrok/pgrok
    type: github_release
    repo_owner: pgrok
    repo_name: pgrok
    description: (Client) Poor man's ngrok - a multi-tenant HTTP reverse tunnel solution through SSH remote port forwarding
    asset: pgrok_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.pgrok.txt
      algorithm: sha256
"###),
    ("planetscale/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: planetscale
    repo_name: cli
    asset: pscale_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: The CLI for PlanetScale Database
    replacements:
      darwin: macOS
    overrides:
      - goos: windows
        format: zip
    files:
      - name: pscale
    checksum:
      type: github_release
      asset: pscale_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("sigi-cli/sigi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sigi-cli
    repo_name: sigi
    description: Sigi - a tool for organizing
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.6.1")
        no_asset: true
      - version_constraint: semver("<= 3.6.3")
        asset: sigi_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        checksum:
          type: github_release
          asset: sigi_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}.sha256sum
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: sigi_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        checksum:
          type: github_release
          asset: sigi_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}.sha256sum
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("watchexec/cargo-watch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: watchexec
    repo_name: cargo-watch
    description: Watches over your Cargo project's source
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 7.0.1")
        no_asset: true
      - version_constraint: semver("<= 7.0.5")
        asset: cargo-watch-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-watch
            src: "{{.AssetWithoutExt}}/cargo-watch"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        overrides:
          - goos: windows
            format: zip
            files:
              - name: cargo-watch
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 7.5.1")
        asset: cargo-watch-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-watch
            src: "{{.AssetWithoutExt}}/cargo-watch"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 7.7.2")
        asset: cargo-watch-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-watch
            src: "{{.AssetWithoutExt}}/cargo-watch"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: semver("<= 8.0.0")
        asset: cargo-watch-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        files:
          - name: cargo-watch
            src: "{{.AssetWithoutExt}}/cargo-watch"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: SHA512SUMS
          algorithm: sha512
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: semver("<= 8.1.1")
        asset: cargo-watch-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: cargo-watch
            src: "{{.AssetWithoutExt}}/cargo-watch"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: SHA512SUMS
          algorithm: sha512
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: Version == "v8.1.2"
        asset: cargo-watch-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: cargo-watch
            src: "{{.AssetWithoutExt}}/cargo-watch"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: SHA512SUMS
          algorithm: sha512
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: cargo-watch-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: cargo-watch
            src: "{{.AssetWithoutExt}}/cargo-watch"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: SHA512SUMS
          algorithm: sha512
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
"###),
    ("watchexec/watchexec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: watchexec
    repo_name: watchexec
    description: Executes commands in response to file modifications
    asset: watchexec-{{trimV .SemVer}}-{{.Arch}}-{{.OS}}.{{.Format}}
    supported_envs:
      - darwin
      - linux
      - amd64
    format: tar.xz
    replacements:
      windows: pc-windows-msvc
      darwin: apple-darwin
      amd64: x86_64
      arm64: aarch64
      linux: unknown-linux-musl
    overrides:
      - goos: windows
        format: zip
      - goarch: arm64
        replacements:
          linux: unknown-linux-gnu
    files:
      - name: watchexec
        src: watchexec-{{trimV .SemVer}}-{{.Arch}}-{{.OS}}/watchexec
    checksum:
      type: github_release
      asset: SHA512SUMS
      algorithm: sha512
    version_constraint: semver(">= 1.21.1")
    version_overrides:
      - version_constraint: semver(">= 1.21.0")
        checksum:
          enabled: false
      - version_constraint: semver(">= 1.20.6")
        rosetta2: true
      - version_constraint: semver(">= 1.18.0")
        version_prefix: cli-
      - version_constraint: semver("< 1.18.0")
        version_prefix: cli-
        rosetta2: true
"###),
    ("hetznercloud/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hetznercloud
    repo_name: cli
    asset: hcloud-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: A command-line interface for Hetzner Cloud
    overrides:
      - goos: windows
        format: zip
    files:
      - name: hcloud
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("pemistahl/grex", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pemistahl
    repo_name: grex
    asset: grex-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: A command-line tool and library for generating regular expressions from user-provided test cases
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
"###),
    ("1xyz/pryrite", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: 1xyz
    repo_name: pryrite
    description: Pryrite, interactively execute shell code blocks in a markdown file
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.10.16")
        no_asset: true
      - version_constraint: "true"
        asset: pryrite-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: zip
        supported_envs:
          - linux
          - darwin
        rosetta2: true
"###),
    ("theupdateframework/go-tuf/tuf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: theupdateframework/go-tuf/tuf
    type: github_release
    repo_owner: theupdateframework
    repo_name: go-tuf
    description: Go implementation of The Update Framework (TUF)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver(">= 2.0.0")
        error_message: |
          They decided to leave go-tuf as a library only.
          https://github.com/theupdateframework/go-tuf/releases/tag/v2.0.0
      - version_constraint: "true"
        asset: tuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        checksum:
          type: github_release
          asset: tuf_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("theupdateframework/go-tuf/tuf-client", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: theupdateframework/go-tuf/tuf-client
    type: github_release
    repo_owner: theupdateframework
    repo_name: go-tuf
    description: Go implementation of The Update Framework (TUF)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver(">= 2.0.0")
        error_message: |
          They decided to leave go-tuf as a library only.
          https://github.com/theupdateframework/go-tuf/releases/tag/v2.0.0
      - version_constraint: "true"
        asset: tuf-client_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        checksum:
          type: github_release
          asset: tuf-client_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("harness/drone-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: harness
    repo_name: drone-cli
    asset: drone_{{.OS}}_{{.Arch}}.tar.gz
    description: Command Line Tools for Drone CI
    files:
      - name: drone
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: drone_checksums.txt
      algorithm: sha256
"###),
    ("osteele/gojekyll", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: osteele
    repo_name: gojekyll
    description: A fast Go implementation of the Jekyll blogging engine
    asset: gojekyll_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64v1
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.2.8")
    version_overrides:
      - version_constraint: semver(">= 0.2.7")
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
      - version_constraint: semver(">= 0.2.3")
        asset: gojekyll_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides:
          - goos: linux
            asset: gojekyll_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 0.2.3")
        asset: gojekyll_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides:
          - goos: darwin
            asset: gojekyll_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("tstack/lnav", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tstack
    repo_name: lnav
    description: Log file navigator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.1")
        asset: lnav-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: 64bit
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.8.2-alpha"
        asset: lnav-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: 64bit
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.8.2"
        asset: lnav-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: 64bit
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.8.3b")
        asset: lnav-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: 64bit
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.8.5")
        asset: lnav-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: 64bit
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.9.0"
        asset: lnav-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: 64bit
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.11.0")
        asset: lnav-{{trimV .Version}}-musl-64bit.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        overrides:
          - goos: darwin
            asset: lnav-{{trimV .Version}}-os-x.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.11.1-test1")
        asset: lnav-0.11.1-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            asset: lnav-0.11.1-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.11.2")
        asset: lnav-{{trimV .Version}}-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            asset: lnav-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.12.0")
        asset: lnav-{{trimV .Version}}-{{.OS}}-musl-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: lnav-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: lnav-{{trimV .Version}}-{{.OS}}-musl-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: lnav
            src: lnav-{{trimV .Version}}/lnav
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            asset: lnav-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("sonatype-nexus-community/nancy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sonatype-nexus-community
    repo_name: nancy
    description: A tool to check for vulnerabilities in your Golang dependencies, powered by Sonatype OSS Index
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.19"
        asset: nancy-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: nancychecksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.44")
        asset: nancy-{{.OS}}.{{.Arch}}-{{.Version}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.3")
        asset: nancy-{{.OS}}.{{.Arch}}-{{.Version}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: nancychecksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.5")
        asset: nancy-{{.OS}}.{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: nancychecksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.17")
        asset: nancy-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: nancychecksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: nancy-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: nancychecksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("astefanutti/kubebox", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: astefanutti
    repo_name: kubebox
    description: Terminal and Web console for Kubernetes
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: kubebox-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.0")
        asset: kubebox-{{.OS}}
        format: raw
        complete_windows_ext: false
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubebox-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("tinygo-org/tinygo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tinygo-org
    repo_name: tinygo
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: tinygo{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
    description: Go compiler for small places. Microcontrollers, WebAssembly, and command-line tools. Based on LLVM
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: tinygo
        src: tinygo/bin/tinygo
"###),
    ("cnosuke/kushi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cnosuke
    repo_name: kushi
    description: Auto SSH port-fowarding agent which gets forwarding configs from URL
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.1")
        asset: kushi-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kushi-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        supported_envs:
          - linux
          - darwin
"###),
    ("TheZoraiz/ascii-image-converter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: TheZoraiz
    repo_name: ascii-image-converter
    asset: ascii-image-converter_{{.OS}}_{{.Arch}}.{{.Format}}
    description: A cross-platform command-line tool to convert images into ascii art and print them on the console. Now supports braille art
    files:
      - name: ascii-image-converter
        src: ascii-image-converter_{{.OS}}_{{.Arch}}/ascii-image-converter
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      linux: Linux
      windows: Windows
      darwin: macOS
      amd64: amd64_64bit
      arm64: arm64_64bit
      386: i386_32bit
      arm: armv6_32bit
    checksum:
      type: github_release
      asset: sha256_checksums.txt
      algorithm: sha256
"###),
    ("quantumsheep/sshs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: quantumsheep
    repo_name: sshs
    description: Terminal user interface for SSH
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.4.0")
        asset: sshs-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: sshs-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          file_format: regexp
          asset: "{{.Asset}}.sha256"
          pattern:
            checksum: ^(\b[A-Fa-f0-9]{64}\b)
          algorithm: sha256
"###),
    ("xataio/pgroll", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xataio
    repo_name: pgroll
    description: PostgreSQL zero-downtime migrations made easy
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        asset: pgroll.{{.OS}}.{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
          windows: win
      - version_constraint: "true"
        asset: pgroll.{{.OS}}.{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: macos
          windows: win
        checksum:
          type: github_release
          asset: pgroll_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("tailscale/tailscale", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: tailscale
    repo_name: tailscale
    description: The easiest, most secure way to use WireGuard and 2FA
    url: https://pkgs.tailscale.com/stable/tailscale_{{trimV .Version}}_{{.Arch}}.{{.Format}}
    format: tgz
    files:
      - name: tailscale
        src: "{{.AssetWithoutExt}}/tailscale"
      - name: tailscaled
        src: "{{.AssetWithoutExt}}/tailscaled"
    overrides:
      - goos: darwin
        url: https://pkgs.tailscale.com/stable/Tailscale-{{trimV .Version}}-macos.{{.Format}}
        format: pkg
        files:
          - name: tailscale
            src: Distribution.pkg/Payload/Contents/MacOS/Tailscale
    supported_envs:
      - linux
      - darwin
"###),
    ("ismaelgv/rnr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ismaelgv
    repo_name: rnr
    description: A command-line tool to batch rename files and directories
    files:
      - name: rnr
        src: rnr-{{.Version}}-{{.Arch}}-{{.OS}}/rnr
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: rnr-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
            files:
              - name: rnr
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: "true"
        asset: rnr-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
"###),
    ("LucasPickering/slumber", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: LucasPickering
    repo_name: slumber
    description: Terminal-based HTTP/REST client
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: slumber-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: slumber
            src: "{{.AssetWithoutExt}}/slumber"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: slumber-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: slumber
            src: "{{.AssetWithoutExt}}/slumber"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: slumber
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("earthly/earthly", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: earthly
    repo_name: earthly
    description: Repeatable builds
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: earthly-{{.OS}}-{{.Arch}}
"###),
    ("andrewkroh/gvm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: andrewkroh
    repo_name: gvm
    description: Go Version Manager (written in Go for cross-platform usability)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.1-rc1"
        asset: gvm-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: Version == "v0.3.1"
        asset: gvm-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.0.3")
        asset: gvm-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.0")
        asset: gvm-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.4.0")
        asset: gvm-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: gvm-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gvm_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
"###),
    ("xxxserxxx/gotop", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xxxserxxx
    repo_name: gotop
    description: A terminal based graphical activity monitor inspired by gtop and vtop
    asset: gotop_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tgz
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("cpisciotta/xcbeautify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cpisciotta
    repo_name: xcbeautify
    description: A little beautifier tool for xcodebuild
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.5.0-beta.1"
        no_asset: true
      - version_constraint: Version == "0.9.0"
        asset: xcbeautify-{{.Version}}-universal-{{.OS}}-macosx.{{.Format}}
        format: zip
        replacements:
          darwin: apple
        supported_envs:
          - darwin
      - version_constraint: Version == "0.9.1"
        asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}-macosx.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: apple
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            format: tar.xz
            asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.3.8")
        asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}-macosx10.10.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.4.1")
        asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}-macosx10.14.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.8.1")
        asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}-macosx.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple
        supported_envs:
          - darwin
      - version_constraint: semver("<= 1.7.0")
        asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}-macosx.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: apple
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            format: tar.xz
            asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.0.0-beta.3")
        no_asset: true
      - version_constraint: "true"
        asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}-macosx.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: apple
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            format: tar.xz
            asset: xcbeautify-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("protocolbuffers/protobuf-go/protoc-gen-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: protocolbuffers/protobuf-go/protoc-gen-go
    type: github_release
    repo_owner: protocolbuffers
    repo_name: protobuf-go
    description: Go support for Google's protocol buffers
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.24.0"
        asset: protoc-gen-go.{{.Version}}-devel.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.26.0")
        asset: protoc-gen-go.{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.28.0")
        asset: protoc-gen-go.{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: protoc-gen-go.{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
"###),
    ("protocolbuffers/protobuf/protoc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: protocolbuffers/protobuf/protoc
    repo_owner: protocolbuffers
    repo_name: protobuf
    asset: protoc-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: zip
    files:
      - name: protoc
        src: bin/protoc
    description: Protocol Buffers - Google's data interchange format
    replacements:
      arm64: aarch_64
      amd64: x86_64
      darwin: osx
      windows: win64
    supported_envs:
      - darwin
      - linux
      - amd64
    overrides:
      - goos: windows
        asset: protoc-{{trimV .Version}}-{{.OS}}.{{.Format}}
"###),
    ("showwin/speedtest-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: showwin
    repo_name: speedtest-go
    asset: speedtest-go_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: CLI and Go API to Test Internet Speed using speedtest.net
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: speedtest
        src: speedtest-go
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("six-ddc/plow", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: six-ddc
    repo_name: plow
    description: A high-performance HTTP benchmarking tool that includes a real-time web UI and terminal display
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: plow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: plow_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.2.0")
        asset: plow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: plow_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: plow_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: plow_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("dominikh/go-tools/staticcheck", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: dominikh/go-tools/staticcheck
    type: github_release
    repo_owner: dominikh
    repo_name: go-tools
    description: Go static analysis, detecting bugs, performance issues, and much more
    asset: staticcheck_{{.OS}}_{{.Arch}}.tar.gz
    rosetta2: true
    files:
      - name: staticcheck
        src: staticcheck/staticcheck
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
    version_constraint: semver("< 2000.0.0")
    # versioning was changed from v0.3.3
    # https://github.com/dominikh/go-tools/releases/tag/v0.3.3
    # https://github.com/dominikh/go-tools/releases/tag/2022.1.2
    version_overrides:
      - version_constraint: "true"
        rosetta2: false
"###),
    ("ipld/go-car", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ipld
    repo_name: go-car
    description: A content addressible archive utility
    asset: go-car_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    files:
      - name: car
    overrides:
      - goos: darwin
        asset: go-car_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        files:
          - name: car
            src: go-car
      - goos: linux
        format: tar.gz
    checksum:
      type: github_release
      asset: go-car_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("terraform-linters/tflint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: terraform-linters
    repo_name: tflint
    description: A Pluggable Terraform Linter
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.32.0"
        asset: tflint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.32.1"
        asset: tflint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.7.6")
        asset: tflint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.29.0")
        asset: tflint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.35.0")
        asset: tflint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.51.0")
        asset: tflint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - "https://github.com/terraform-linters/tflint/.github/workflows/release.yml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/terraform-linters/tflint/releases/download/{{.Version}}/checksums.txt.keyless.sig
              - --certificate
              - https://github.com/terraform-linters/tflint/releases/download/{{.Version}}/checksums.txt.pem
      - version_constraint: "true"
        asset: tflint_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - "https://github.com/terraform-linters/tflint/.github/workflows/release.yml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/terraform-linters/tflint/releases/download/{{.Version}}/checksums.txt.keyless.sig
              - --certificate
              - https://github.com/terraform-linters/tflint/releases/download/{{.Version}}/checksums.txt.pem
          github_artifact_attestations:
            signer_workflow: terraform-linters/tflint/.github/workflows/release.yml
"###),
    ("tdewolff/minify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tdewolff
    repo_name: minify
    asset: minify_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Go minifiers for web formats
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("makew0rld/didder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: makew0rld
    repo_name: didder
    description: An extensive, fast, and accurate command-line image dithering tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.0")
        asset: didder_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
        checksum:
          type: github_release
          asset: didder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: didder_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: 64-bit
          darwin: macOS
        checksum:
          type: github_release
          asset: didder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("mmarkdown/mmark", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mmarkdown
    repo_name: mmark
    asset: mmark_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tgz
    description: A powerful markdown processor in Go geared towards the IETF
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("tkuchiki/alp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tkuchiki
    repo_name: alp
    description: Access Log Profiler
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.8")
        asset: alp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: alp_{{.OS}}_{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: alp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: alp_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("tkuchiki/slp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tkuchiki
    repo_name: slp
    description: SlowLog Profiler for MySQL and PostgreSQL
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: slp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: slp_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: slp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: slp_{{.Version}}_checksums.txt
          algorithm: sha256
"###),
    ("crates.io/dd-rust-license-tool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/dd-rust-license-tool
    type: cargo
    repo_owner: DataDog
    repo_name: rust-license-tool
    description: A tool for creating the `LICENSE-3rdparty.csv` file for DataDog open-source Rust projects
    crate: dd-rust-license-tool
"###),
    ("crates.io/zizmor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/zizmor
    type: cargo
    repo_owner: zizmorcore
    repo_name: zizmor
    description: Finds security issues in GitHub Actions setups
    crate: zizmor
"###),
    ("crates.io/broot", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/broot
    type: cargo
    repo_owner: Canop
    repo_name: broot
    description: A new file manager
    link: https://dystroy.org/broot
    crate: broot
"###),
    ("crates.io/skim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/skim
    type: cargo
    repo_owner: skim-rs
    repo_name: skim
    description: Fuzzy Finder in rust!
    crate: skim
    files:
      - name: sk
"###),
    ("crates.io/dskkato/rjo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/rjo
    type: cargo
    repo_owner: dskkato
    repo_name: rjo
    description: A small utility to create JSON objects, written in Rust
    crate: rjo
"###),
    ("crates.io/gitu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  # TODO: Consider merging this package with altsem/gitu pkgs/altsem/gitu.
  # https://github.com/aquaproj/aqua-registry/issues/22840
  - name: crates.io/gitu
    type: cargo
    repo_owner: altsem
    repo_name: gitu
    description: A TUI Git client inspired by Magit
    crate: gitu
"###),
    ("crates.io/cargo-expand", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/cargo-expand
    type: cargo
    repo_owner: dtolnay
    repo_name: cargo-expand
    description: "Wrapper around rustc -Zunpretty=expanded. Shows the result of macro expansion and #[derive] expansion."
    crate: cargo-expand
"###),
    ("crates.io/eza", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  # TODO: Merge this package with eza-community/eza
  # https://github.com/aquaproj/aqua/issues/2649
  - name: crates.io/eza
    type: cargo
    repo_owner: eza-community
    repo_name: eza
    description: A modern replacement for ls
    crate: eza
"###),
    ("crates.io/tfocus", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/tfocus
    type: cargo
    repo_owner: nwiizo
    repo_name: tfocus
    description: Terminal UI for Terraform workspace management
    crate: tfocus
"###),
    ("crates.io/bat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/bat
    type: cargo
    repo_owner: sharkdp
    repo_name: bat
    description: A cat(1) clone with wings
    crate: bat
"###),
    ("crates.io/cargo-deb", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/cargo-deb
    type: cargo
    repo_owner: kornelski
    repo_name: cargo-deb
    description: Make Debian packages (.deb) easily with a Cargo subcommand
    link: https://lib.rs/crates/cargo-deb
    crate: cargo-deb
"###),
    ("crates.io/fw", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/fw
    type: cargo
    repo_owner: brocode
    repo_name: fw
    description: faster workspace management
    crate: fw
"###),
    ("crates.io/cargo-run-script", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: crates.io/cargo-run-script
    type: cargo
    repo_owner: JoshMcguigan
    repo_name: cargo-run-script
    description: Bringing `npm run-script` to Rust
    crate: cargo-run-script
"###),
    ("unfrl/dug", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: unfrl
    repo_name: dug
    description: A global DNS propagation checker that gives pretty output. Written in dotnet core
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.74")
        asset: dug-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: osx
        overrides:
          - goos: linux
            goarch: amd64
            format: tar.gz
            asset: dug.{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            asset: dug
      - version_constraint: Version == "0.0.75"
        asset: dug.{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: osx
        overrides:
          - goos: linux
            goarch: arm64
            format: raw
            asset: dug-{{.OS}}-{{.Arch}}
          - goos: darwin
            asset: dug.0.0.1.{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: raw
            asset: dug
      - version_constraint: "true"
        asset: dug.{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: osx
        overrides:
          - goos: linux
            goarch: arm64
            format: raw
            asset: dug-{{.OS}}-{{.Arch}}
          - goos: windows
            format: raw
            asset: dug
"###),
    ("kdash-rs/kdash", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kdash-rs
    repo_name: kdash
    description: A simple and fast dashboard for Kubernetes
    asset: kdash-{{.OS}}.{{.Format}}
    format: tar.gz
    rosetta2: true
    replacements:
      darwin: macos
    supported_envs:
      - darwin
      - amd64
    checksum:
      type: github_release
      asset: kdash-{{.OS}}.sha256
      algorithm: sha256
    version_constraint: semver(">= 0.4.3")
    version_overrides:
      - version_constraint: semver(">= 0.3.3")
        replacements:
          darwin: macos
          linux: linux-musl
        supported_envs:
          - darwin
          - linux
          - amd64
        overrides: &kdash_rs_overrides_1
          - goos: windows
            checksum:
              type: github_release
              asset: kdash-{{.OS}}.sha256
              algorithm: sha256
          - goos: linux
            goarch: arm64
            asset: kdash-aarch64-musl.tar.gz
            checksum:
              type: github_release
              asset: kdash-aarch64-musl.sha256
              algorithm: sha256
      - version_constraint: semver(">= 0.0.4")
        overrides: *kdash_rs_overrides_1
        replacements:
          darwin: macos
          linux: linux-musl
      - version_constraint: semver("< 0.0.4")
        overrides: *kdash_rs_overrides_1
"###),
    ("kluctl/kluctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kluctl
    repo_name: kluctl
    description: The missing glue to put together large Kubernetes deployments, composed of multiple smaller parts (Helm/Kustomize/...)  in a manageable and unified way
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.6.2")
        asset: kluctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.7.1")
        asset: kluctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.7.8")
        asset: kluctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v2.7.9"
        asset: kluctl_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kluctl_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: kluctl_{{.Version}}_checksums.txt
          algorithm: sha256
"###),
    ("emirozer/kubectl-doctor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: emirozer
    repo_name: kubectl-doctor
    description: kubectl cluster triage plugin for k8s - (brew doctor equivalent)
    version_constraint: semver(">= 0.3.1")
    asset: kubectl-doctor_{{.OS}}_{{.Arch}}
    supported_envs:
      - darwin
      - amd64
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        asset: kubectl-doctor_{{.OS}}_{{.Arch}}.zip
"###),
    ("supabase/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: supabase
    repo_name: cli
    description: Supabase CLI. Manage postgres migrations, run Supabase locally, deploy edge functions. Postgres backups. Generating types from your database schema
    files:
      - name: supabase
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v1.7.8", "v1.10.0", "v1.22.2", "v1.40.0"]
        no_asset: true
      - version_constraint: semver("<= 1.27.10")
        asset: supabase_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: supabase_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.126.0")
        asset: supabase_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: supabase_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: supabase_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: supabase_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("jetify-com/devbox", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jetify-com
    repo_name: devbox
    aliases:
      - name: jetpack-io/devbox
    description: Instant, easy, and predictable development environments
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: devbox_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("fluxcd/flux2", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fluxcd
    repo_name: flux2
    description: Open and extensible continuous delivery solution for Kubernetes. Powered by GitOps Toolkit
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.25.2")
        asset: flux_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        files:
          - name: flux
        checksum:
          type: github_release
          asset: flux_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.0.0")
        asset: flux_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        files:
          - name: flux
        checksum:
          type: github_release
          asset: flux_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/fluxcd/flux2/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/fluxcd/flux2/releases/download/{{.Version}}/flux_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/fluxcd/flux2/releases/download/{{.Version}}/flux_{{trimV .Version}}_checksums.txt.pem
      - version_constraint: "true"
        asset: flux_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        files:
          - name: flux
        checksum:
          type: github_release
          asset: flux_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/fluxcd/flux2/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/fluxcd/flux2/releases/download/{{.Version}}/flux_{{trimV .Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/fluxcd/flux2/releases/download/{{.Version}}/flux_{{trimV .Version}}_checksums.txt.pem
        slsa_provenance:
          type: github_release
          asset: provenance.intoto.jsonl
"###),
    ("cli/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cli
    repo_name: cli
    description: GitHub’s official command line tool
    files:
      - name: gh
        src: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}/bin/gh
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: raw
            asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}
            checksum:
              enabled: false
        replacements:
          darwin: macOS
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: gh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.2")
        asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: macOS
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: gh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.5")
        asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gh
                src: bin/gh.exe
        replacements:
          darwin: macOS
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: gh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.20.0")
        asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gh
                src: bin/gh.exe
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: gh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.23.0")
        asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gh
                src: bin/gh.exe
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: gh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.27.0")
        asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gh
                src: bin/gh.exe
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: gh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 2.50.0")
        asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: gh
                src: bin/gh.exe
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: gh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: gh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: gh
                src: bin/gh.exe
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: gh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: cli/cli/.github/workflows/deployment.yml
"###),
    ("travis-ci/gimme", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: travis-ci
    repo_name: gimme
    path: gimme
    description: Install go, yay
    supported_envs:
      - darwin
      - linux
"###),
    ("interlynk-io/sbomqs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: interlynk-io
    repo_name: sbomqs
    description: SBOM quality score - Quality metrics for your sboms
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= V0.0.3")
        no_asset: true
      - version_constraint: semver("<= 0.0.9")
        asset: sbomqs-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sbomqs_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.0.10"
        asset: sbomqs-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: sbomqs_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: sbomqs-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: sbomqs_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("foresterre/cargo-msrv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: foresterre
    repo_name: cargo-msrv
    description: Find the minimum supported Rust version (MSRV) for your project
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.0"
        asset: cargo-msrv-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        supported_envs:
          - windows
      - version_constraint: Version == "v0.11.1-testing.1"
        asset: cargo-msrv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: Windows
        supported_envs:
          - windows
      - version_constraint: Version == "v0.11.1-testing.2"
        asset: cargo-msrv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: Linux
          windows: Windows
        overrides:
          - goos: linux
            format: tar
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: Version == "v0.11.1-testing.3"
        asset: cargo-msrv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.0") or semver("> 0.10.0, <= 0.12.0") or Version in ["v0.11.0", "v0.15.0", "v0.16.0-beta.12", "v0.16.0-beta.16", "v0.16.0-beta.21", "v0.17.0"]
        no_asset: true
      - version_constraint: semver("<= 0.14.2") or Version == "v0.15.1"
        asset: cargo-msrv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0-beta.3")
        no_asset: true
      - version_constraint: semver("<= 0.16.0-beta.5")
        asset: cargo-msrv-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: cargo-msrv
            src: "{{.AssetWithoutExt}}/cargo-msrv"
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tgz
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 0.16.0-beta.8")
        asset: cargo-msrv-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-msrv
            src: "{{.AssetWithoutExt}}/cargo-msrv"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0-beta.10")
        no_asset: true
      - version_constraint: Version == "v0.16.0-beta.11"
        asset: cargo-msrv-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-msrv
            src: "{{.AssetWithoutExt}}/cargo-msrv"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0-beta.15")
        asset: cargo-msrv-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-msrv
            src: "{{.AssetWithoutExt}}/cargo-msrv"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0-beta.20")
        asset: cargo-msrv-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-msrv
            src: "{{.AssetWithoutExt}}/cargo-msrv"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.1")
        asset: cargo-msrv-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: tgz
        windows_arm_emulation: true
        files:
          - name: cargo-msrv
            src: "{{.AssetWithoutExt}}/cargo-msrv"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.3")
        asset: cargo-msrv-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: tgz
        windows_arm_emulation: true
        files:
          - name: cargo-msrv
            src: "{{.AssetWithoutExt}}/cargo-msrv"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: cargo-msrv-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        format: tgz
        windows_arm_emulation: true
        files:
          - name: cargo-msrv
            src: "{{.AssetWithoutExt}}/cargo-msrv"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("NetApp/trident/tridentctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: NetApp
    repo_name: trident
    name: NetApp/trident/tridentctl
    description: Storage orchestrator for containers
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        asset: trident-installer-{{trimV .Version}}.tar.gz
        files:
          - name: tridentctl
            src: trident-installer/tridentctl
        overrides:
          - goos: darwin
            files:
              - name: tridentctl
                src: trident-installer/extras/macos/bin/tridentctl
        supported_envs:
          - darwin
          - linux/amd64
"###),
    ("guptarohit/asciigraph", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: guptarohit
    repo_name: asciigraph
    description: Go package to make lightweight ASCII line graph ╭┈╯ in command line apps with no other dependencies
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.2"
        asset: asciigraph_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.5.2")
        asset: asciigraph_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: asciigraph_{{trimV .Version}}_sha512-checksums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: asciigraph_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: asciigraph_{{trimV .Version}}_sha512-checksums.txt
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("ekalinin/github-markdown-toc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: ekalinin
    repo_name: github-markdown-toc
    description: Easy TOC creation for GitHub README.md
    supported_envs:
      - darwin
      - linux
    path: gh-md-toc
    files:
      - name: gh-md-toc
"###),
    ("bufbuild/connect-go/protoc-gen-connect-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: bufbuild/connect-go/protoc-gen-connect-go
    repo_owner: bufbuild
    repo_name: connect-go
    description: A better gRPC
    path: github.com/bufbuild/connect-go/cmd/protoc-gen-connect-go
    files:
      - name: protoc-gen-connect-go
"###),
    ("bufbuild/buf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bufbuild
    repo_name: buf
    description: The best way of working with Protocol Buffers
    files:
      - name: buf
      - name: protoc-gen-buf-breaking
      - name: protoc-gen-buf-lint
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.41.0")
        asset: buf-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: buf
            src: buf/bin/buf
          - name: protoc-gen-buf-breaking
            src: buf/bin/protoc-gen-buf-breaking
          - name: protoc-gen-buf-lint
            src: buf/bin/protoc-gen-buf-lint
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: sha256.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.42.0"
        asset: buf-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: buf
            src: buf/bin/buf
          - name: protoc-gen-buf-breaking
            src: buf/bin/protoc-gen-buf-breaking
          - name: protoc-gen-buf-lint
            src: buf/bin/protoc-gen-buf-lint
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: sha256.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.45.0")
        asset: buf-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: buf
            src: buf/bin/buf
          - name: protoc-gen-buf-breaking
            src: buf/bin/protoc-gen-buf-breaking
          - name: protoc-gen-buf-lint
            src: buf/bin/protoc-gen-buf-lint
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: sha256.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.53.0")
        asset: buf-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: buf
            src: buf/bin/buf
          - name: protoc-gen-buf-breaking
            src: buf/bin/protoc-gen-buf-breaking
          - name: protoc-gen-buf-lint
            src: buf/bin/protoc-gen-buf-lint
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: sha256.txt
          algorithm: sha256
          minisign:
            type: github_release
            asset: sha256.txt.minisig
            public_key: RWQ/i9xseZwBVE7pEniCNjlNOeeyp4BQgdZDLQcAohxEAH5Uj5DEKjv6
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: buf-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: buf
            src: buf/bin/buf
          - name: protoc-gen-buf-breaking
            src: buf/bin/protoc-gen-buf-breaking
          - name: protoc-gen-buf-lint
            src: buf/bin/protoc-gen-buf-lint
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: sha256.txt
          algorithm: sha256
          minisign:
            type: github_release
            asset: sha256.txt.minisig
            public_key: RWQ/i9xseZwBVE7pEniCNjlNOeeyp4BQgdZDLQcAohxEAH5Uj5DEKjv6
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: raw
            asset: buf-{{.OS}}-{{.Arch}}
"###),
    ("bufbuild/protoc-gen-validate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bufbuild
    repo_name: protoc-gen-validate
    description: "Protocol Buffer Validation - Being replaced by github.com/bufbuild/protovalidate"
    files:
      - name: protoc-gen-validate
      - name: protoc-gen-validate-cpp
      - name: protoc-gen-validate-go
      - name: protoc-gen-validate-java
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.13")
        no_asset: true
      - version_constraint: semver("<= 0.9.1")
        asset: protoc-gen-validate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: protoc-gen-validate_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.2")
        asset: protoc-gen-validate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: protoc-gen-validate_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: protoc-gen-validate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: protoc-gen-validate_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("bitnami-labs/sealed-secrets", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bitnami-labs
    repo_name: sealed-secrets
    description: A Kubernetes controller and tool for one-way encrypted Secrets
    files:
      - name: kubeseal
    version_filter: |
      not (Version startsWith "helm-")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.0.1", "v0.1.0"]
        no_asset: true
      - version_constraint: semver("<= 0.2.1")
        asset: ksonnet-seal-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.0")
        asset: kubeseal-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.2")
        asset: kubeseal-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        overrides:
          - goos: windows
            asset: kubeseal
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.8.3"
        asset: kubeseal-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: windows
            asset: kubeseal
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0")
        asset: kubeseal-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        overrides:
          - goos: windows
            asset: kubeseal
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.17.0"
        asset: sealed-secrets_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: sealed-secrets_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.17.3")
        asset: kubeseal-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sealed-secrets_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.17.5")
        asset: kubeseal-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sealed-secrets_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kubeseal-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sealed-secrets_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://github.com/bitnami-labs/sealed-secrets/releases/download/{{.Version}}/cosign.pub
              - --signature
              - https://github.com/bitnami-labs/sealed-secrets/releases/download/{{.Version}}/sealed-secrets_{{trimV .Version}}_checksums.txt.sig
"###),
    ("sylwit/terraform-cleaner", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sylwit
    repo_name: terraform-cleaner
    description: Tiny utility which detects unused variables in your terraform modules
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: terraform-cleaner_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("grpc-ecosystem/grpc-health-probe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: grpc-ecosystem
    repo_name: grpc-health-probe
    description: A command-line tool to perform health-checks for gRPC applications in Kubernetes and elsewhere
    files:
      - name: grpc_health_probe
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: grpc_health_probe-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.3.4")
        asset: grpc_health_probe-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
      - version_constraint: semver("<= 0.3.6")
        asset: grpc_health_probe-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: semver("<= 0.4.2")
        asset: grpc_health_probe-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.4.13")
        asset: grpc_health_probe-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: grpc_health_probe-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("grpc-ecosystem/grpc-gateway/protoc-gen-openapiv2", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: grpc-ecosystem/grpc-gateway/protoc-gen-openapiv2
    type: github_release
    repo_owner: grpc-ecosystem
    repo_name: grpc-gateway
    description: gRPC to JSON proxy generator following the gRPC HTTP spec
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 2.0.0") || Version == "v2.16.1"
        no_asset: true
      - version_constraint: semver("<= 2.10.1")
        asset: protoc-gen-openapiv2-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: grpc-gateway_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.13.0")
        asset: protoc-gen-openapiv2-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: grpc-gateway_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.16.0")
        asset: protoc-gen-openapiv2-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: grpc-gateway_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: protoc-gen-openapiv2-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: grpc-gateway_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
"###),
    ("grpc-ecosystem/grpc-gateway/protoc-gen-grpc-gateway", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: grpc-ecosystem/grpc-gateway/protoc-gen-grpc-gateway
    type: github_release
    repo_owner: grpc-ecosystem
    repo_name: grpc-gateway
    description: Generate golang code to reverse proxy Protocol Buffer definitions to RESTful HTTP/1
    version_constraint: "false"
    version_overrides:
      # v2.14.0 SLSA provenance https://github.com/aquaproj/aqua-registry/pull/31943#issuecomment-2649535381
      - version_constraint: semver("<= 2.13.0")
        asset: protoc-gen-grpc-gateway-{{.Version}}-{{.OS}}-{{.Arch}}
        supported_envs:
          - windows
          - darwin
          - linux/amd64
        rosetta2: true
        format: raw
        replacements:
          amd64: x86_64
        files:
          - name: protoc-gen-grpc-gateway
        checksum:
          type: github_release
          asset: grpc-gateway_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: protoc-gen-grpc-gateway-{{.Version}}-{{.OS}}-{{.Arch}}
        supported_envs:
          - windows
          - darwin
          - linux/amd64
        rosetta2: true
        format: raw
        replacements:
          amd64: x86_64
        files:
          - name: protoc-gen-grpc-gateway
        checksum:
          type: github_release
          asset: grpc-gateway_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
"###),
    ("aws-cloudformation/rain", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aws-cloudformation
    repo_name: rain
    description: A development workflow tool for working with AWS CloudFormation
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: Version == "v0.1.1"
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
        files:
          - name: rain
            src: "{{.AssetWithoutExt}}/rain"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.2.0"
        no_asset: true
      - version_constraint: Version == "v0.2.1"
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
        files:
          - name: rain
            src: "{{.AssetWithoutExt}}/rain"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.2.2"
        no_asset: true
      - version_constraint: semver("<= 0.5.0")
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
        files:
          - name: rain
            src: "dist/{{.AssetWithoutExt}}/rain"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.5.1"
        no_asset: true
      - version_constraint: semver("<= 0.8.0")
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
        files:
          - name: rain
            src: "dist/{{.AssetWithoutExt}}/rain"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.2")
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
        files:
          - name: rain
            src: "{{.AssetWithoutExt}}/rain"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.0")
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: osx
        files:
          - name: rain
            src: "{{.AssetWithoutExt}}/rain"
      - version_constraint: semver("<= 1.2.0")
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        files:
          - name: rain
            src: "{{.AssetWithoutExt}}/rain"
      - version_constraint: semver("<= 1.3.1")
        no_asset: true
      - version_constraint: semver("<= 1.5.0")
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        files:
          - name: rain
            src: "{{.AssetWithoutExt}}/rain"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.6.0"
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: rain
            src: "{{.AssetWithoutExt}}/rain"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.7.1")
        no_asset: true
      - version_constraint: "true"
        asset: rain-{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: rain
            src: "{{.AssetWithoutExt}}/rain"
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("commercialhaskell/stack", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: commercialhaskell
    repo_name: stack
    description: The Haskell Tool Stack
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.0-beta")
        asset: stack-0.0.0-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        rosetta2: true
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.0.2-beta"
        asset: stack-0.0.2-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        rosetta2: true
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.0.3-beta"
        asset: stack-0.0.3-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        rosetta2: true
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.1.0")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        rosetta2: true
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.3.1")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          darwin: osx
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.5.0")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        overrides:
          - goos: windows
            format: zip
            files:
              - name: stack
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1.0")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        overrides:
          - goos: windows
            format: zip
            files:
              - name: stack
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.1.2"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        overrides:
          - goos: windows
            format: zip
            files:
              - name: stack
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.5.1")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        overrides:
          - goos: linux
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.6.0.20171022"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        overrides:
          - goos: darwin
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.6.0.20171202"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        overrides:
          - goos: linux
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.6.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        overrides:
          - goos: linux
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.5")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.9.3")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 2.1.0.3")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.1.3")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 2.3.1")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.5.1")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "rc/v2.7.0.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "rc/v2.7.0.3"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.7.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 2.7.5")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "rc/v2.9.0.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: stack-2.9.0.1-{{.OS}}-{{.Arch}}-static.{{.Format}}
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
      - version_constraint: Version == "v2.9.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
      - version_constraint: Version == "rc/v2.9.2.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: stack-2.9.2.1-{{.OS}}-{{.Arch}}-static.{{.Format}}
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
      - version_constraint: Version == "v2.9.3"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
      - version_constraint: Version == "rc/v2.11.0.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: stack-2.11.0.1-{{.OS}}-{{.Arch}}-static.{{.Format}}
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
      - version_constraint: Version == "v2.11.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
      - version_constraint: Version == "rc/v2.13.0.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v2.13.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "rc/v2.15.0.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 2.15.3")
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "rc/v2.15.4.1"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: stack-{{trimPrefix "rc/" .Version | trimV}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: stack
            src: "{{.AssetWithoutExt}}/stack"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: osx
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("replicatedhq/outdated", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: replicatedhq
    repo_name: outdated
    description: Kubectl plugin to find and report outdated images running in a Kubernetes cluster
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: outdated_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: kubectl-outdated
        src: outdated
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: outdated_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("replicatedhq/kots", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: replicatedhq
    repo_name: kots
    description: KOTS provides the framework, tools and integrations that enable the delivery and management of 3rd-party Kubernetes applications, a.k.a. Kubernetes Off-The-Shelf (KOTS) Software
    supported_envs:
      - darwin
      - linux
    files:
      - name: kubectl-kots
        src: kots
    asset: kots_{{.OS}}_{{.Arch}}.tar.gz
    version_constraint: semver(">= 1.59.2")
    overrides:
      - goos: darwin
        asset: kots_{{.OS}}_all.tar.gz
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
        overrides: []
    checksum:
      type: github_release
      asset: kots_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("gopasspw/gopass", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gopasspw
    repo_name: gopass
    description: The slightly more awesome standard unix password manager for teams
    asset: gopass-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: gopass_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("folbricht/desync", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: folbricht
    repo_name: desync
    description: Alternative casync implementation
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: desync_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("sassman/t-rec-rs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sassman
    repo_name: t-rec-rs
    description: Blazingly fast terminal recorder that generates animated gif images for the web written in rust
    asset: t-rec-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    files:
      - name: t-rec
    version_constraint: semver(">= 0.7.3")
    version_overrides:
      - version_constraint: semver(">= 0.7.2")
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
        rosetta2: false
      - version_constraint: semver(">= 0.7.1")
      - version_constraint: semver(">= 0.7.0")
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: semver("< 0.7.0")
        no_asset: true
"###),
    ("yuyaban/gitlab-comment", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yuyaban
    repo_name: gitlab-comment
    description: About gitlab-comment is a CLI command to post Merge Request Note
    asset: gitlab-comment_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    checksum:
      type: github_release
      asset: gitlab-comment_{{trimV .Version}}_checksums.txt
      algorithm: sha256
      cosign:
        opts:
          - --certificate-identity-regexp
          - "https://github\\.com/suzuki-shunsuke/go-release-workflow/\\.github/workflows/release\\.yaml@.*"
          - --certificate-oidc-issuer
          - "https://token.actions.githubusercontent.com"
          - --signature
          - https://github.com/yuyaban/gitlab-comment/releases/download/{{.Version}}/gitlab-comment_{{trimV .Version}}_checksums.txt.sig
          - --certificate
          - https://github.com/yuyaban/gitlab-comment/releases/download/{{.Version}}/gitlab-comment_{{trimV .Version}}_checksums.txt.pem
    slsa_provenance:
      type: github_release
      asset: multiple.intoto.jsonl
"###),
    ("KusionStack/kusion", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: KusionStack
    repo_name: kusion
    description: Deliver intentions to Kubernetes and Clouds
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.1")
        asset: kusion-{{.OS}}.{{.Format}}
        format: tgz
        rosetta2: true
        files:
          - name: kusion
            src: bin/kusion
        checksum:
          type: github_release
          asset: kusion-{{.OS}}.tgz.md5.txt
          algorithm: md5
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.5.3")
        asset: kusion-{{.OS}}.{{.Format}}
        format: tgz
        files:
          - name: kusion
            src: bin/kusion
        checksum:
          type: github_release
          asset: kusion-{{.OS}}.tgz.md5.txt
          algorithm: md5
        overrides:
          - goos: darwin
            goarch: arm64
            asset: kusion-{{.OS}}-{{.Arch}}.{{.Format}}
            checksum:
              type: github_release
              asset: kusion-{{.OS}}-{{.Arch}}.tgz.md5.txt
              algorithm: md5
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.2")
        asset: kusion-{{.OS}}.{{.Format}}
        format: tgz
        files:
          - name: kusion
            src: bin/kusion
        checksum:
          type: github_release
          asset: kusion-{{.OS}}.{{.Format}}.md5.txt
          algorithm: md5
        replacements:
          linux: ubuntu
        overrides:
          - goos: darwin
            goarch: arm64
            asset: kusion-{{.OS}}-{{.Arch}}.{{.Format}}
            checksum:
              type: github_release
              asset: kusion-{{.OS}}-{{.Arch}}.{{.Format}}.md5.txt
              algorithm: md5
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.10.0")
        asset: kusion_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kusion_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("Code-Hex/gqldoc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Code-Hex
    repo_name: gqldoc
    description: The easiest way to make API documents for GraphQL
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.4")
        asset: gqldoc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: gqldoc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("Ladicle/kubectl-rolesum", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Ladicle
    repo_name: kubectl-rolesum
    description: Summarize Kubernetes RBAC roles for the specified subjects
    supported_envs:
      - windows
      - darwin
      - linux/amd64
    rosetta2: true
    asset: kubectl-rolesum_{{.OS}}-{{.Arch}}.tar.gz
    files:
      - name: kubectl-rolesum
        src: kubectl-rolesum_{{.OS}}-{{.Arch}}/kubectl-rolesum
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("libbpf/bpftool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: libbpf
    repo_name: bpftool
    description: Automated upstream mirror for bpftool stand-alone build
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 7.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: bpftool-{{ .Version}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: bpftool-{{ .Version}}-{{.Arch}}.{{.Format}}.sha256sum
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("kdabir/has", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: kdabir
    repo_name: has
    path: has
    description: checks presence of various command line tools and their versions on the path
"###),
    ("starship/starship", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: starship
    repo_name: starship
    description: The minimal, blazing-fast, and infinitely customizable prompt for any shell
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.14.0", "v0.32.0", "v0.35.0", "v0.37.1", "v0.41.2"]
        no_asset: true
      - version_constraint: Version == "v0.31.0"
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.39.0"
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.20.0"
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - windows
      - version_constraint: Version == "v1.22.0"
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.8.0")
        asset: starship-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: starship
            src: "{{.Arch}}-{{.OS}}/starship"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.3")
        no_asset: true
      - version_constraint: semver("<= 0.15.0")
        asset: starship-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: starship
            src: "{{.Arch}}-{{.OS}}/starship"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.19.0")
        asset: starship-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: starship
            src: "{{.Arch}}-{{.OS}}/starship"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.26.2")
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: starship
            src: target/{{.Arch}}-{{.OS}}/release/starship
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.26.4")
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.48.0")
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.50.0")
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: starship-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("amber-lang/amber", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: amber-lang
    repo_name: amber
    aliases:
      - name: Ph0enixKM/Amber
    description: Amber the programming language compiled to bash
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.1-alpha")
        asset: amber_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: amber-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: amber
            src: "{{.AssetWithoutExt}}/amber"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            files:
              - name: amber
            checksum:
              enabled: false
"###),
    ("borgbackup/borg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: borgbackup
    repo_name: borg
    description: Deduplicating archiver with compression and authenticated encryption
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["0.28.0", "0.28.1", "0.30.1"]
        no_asset: true
      - version_constraint: Version == "1.0.1"
        asset: borg-{{.OS}}64
        format: raw
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "1.0.3"
        asset: borg-{{.OS}}64
        format: raw
        rosetta2: true
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.1.18")
        asset: borg-{{.OS}}64
        format: raw
        rosetta2: true
        replacements:
          amd64: x64
          darwin: macosx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.2.8")
        asset: borg-{{.OS}}64
        format: raw
        rosetta2: true
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: borg-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          linux: linux-glibc228
          darwin: macos1012
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("dyne/slangroom-exec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dyne
    repo_name: slangroom-exec
    description: Execute all Zencode from Zenroom and Slangroom plugins in one shot
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.5.0")
        asset: slangroom-exec-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: slangroom-exec-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: slangroom-exec
          - name: slexfe
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux
          - darwin
"###),
    ("dyne/zenroom", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dyne
    repo_name: zenroom
    description: Embedded no-code VM executing human-like language to manipulate data and process cryptographic operations
    files:
      - name: zenroom
      - name: zencode-exec
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.10.0")
        error_message: |
          Please update to 3.10.1 or newer.
      - version_constraint: semver("<= 4.27.1")
        asset: zenroom
        format: raw
        files:
          - name: zenroom
        supported_envs:
          - darwin
          - linux/amd64
          - windows
        overrides:
          - goos: darwin
            asset: zenroom.command
      - version_constraint: semver("<= 5.10.4")
        asset: zenroom
        format: raw
        files:
          - name: zenroom
        supported_envs:
          - darwin/arm64
          - linux/amd64
          - windows
        overrides:
          - goos: darwin
            asset: zenroom.command
      - version_constraint: "true"
        asset: zenroom-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: zenroom
            src: zenroom-{{.OS}}/zenroom
          - name: zencode-exec
            src: zenroom-{{.OS}}/zencode-exec
        replacements:
          darwin: osx
          windows: win64
        supported_envs:
          - darwin/arm64
          - linux/amd64
          - windows
        overrides:
          - goos: darwin
            files:
              - name: zenroom
                src: zenroom-{{.OS}}/zenroom.command
              - name: zencode-exec
                src: zenroom-{{.OS}}/zencode-exec.command
"###),
    ("Percona-Lab/mysql_random_data_load", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Percona-Lab
    repo_name: mysql_random_data_load
    asset: mysql_random_data_load_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: MySQL random data loader
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("etcd-io/etcd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: etcd-io
    repo_name: etcd
    asset: etcd-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: zip
    description: Distributed reliable key-value store for the most critical data of a distributed system
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    files:
      - name: etcdctl
        src: etcd-{{.Version}}-{{.OS}}-{{.Arch}}/etcdctl
      - name: etcd
        src: etcd-{{.Version}}-{{.OS}}-{{.Arch}}/etcd
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("nikolaydubina/go-cover-treemap", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: nikolaydubina
    repo_name: go-cover-treemap
    description: Go code coverage to SVG treemap
"###),
    ("trunk-io/launcher", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: trunk-io/launcher
    type: http
    # https://github.com/aquaproj/aqua-registry/issues/13989#issuecomment-1802981855
    link: https://docs.trunk.io/reference/components#trunk-launcher
    description: trunk launcher is a bash script that enables users to easily switch between multiple versions of trunk
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        type: http
        url: https://trunk.io/releases/launcher/{{.Version}}/trunk
        format: raw
        complete_windows_ext: false
        files:
          - name: trunk
"###),
    ("tailwindlabs/tailwindcss", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tailwindlabs
    repo_name: tailwindcss
    description: A utility-first CSS framework for rapid UI development
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.0.2")
        no_asset: true
      - version_constraint: semver("<= 3.0.7")
        asset: tailwindcss-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.2.4")
        asset: tailwindcss-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
      - version_constraint: semver("<= 3.2.7")
        asset: tailwindcss-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          darwin: macos
      - version_constraint: semver("<= 3.4.17")
        asset: tailwindcss-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          darwin: macos
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: tailwindcss-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            asset: tailwindcss-{{.OS}}-{{.Arch}}-musl
"###),
    ("gesquive/git-user", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gesquive
    repo_name: git-user
    asset: git-user_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Git plugin that allows you to save multiple user profiles and set them as project defaults
    overrides:
      - goos: windows
        format: zip
    version_constraint: semver(">= 2.0.6")
    replacements:
      amd64: x86_64
    checksum:
      type: github_release
      asset: git-user_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: semver(">= 2.0.3")
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
        replacements:
          amd64: x64
          darwin: osx
        asset: git-user-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: git-user
            src: "git-user-{{.Version}}-{{.OS}}-{{.Arch}}/git-user"
        checksum:
          enabled: false
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
        replacements:
          amd64: amd64
        asset: git-user-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: git-user
            src: "{{.OS}}-{{.Arch}}/git-user"
        checksum:
          enabled: false
"###),
    ("snaplet/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: snaplet/cli
    type: http
    description: Seed your PostgreSQL database with production-like data so you can code, debug, and test with ease
    link: https://www.snaplet.dev/
    # See https://app.snaplet.dev/get-cli/ for URL structure
    url: https://snaplet-public.s3-accelerate.amazonaws.com/cli/beta/snaplet-{{.OS}}-{{.Arch}}-{{.Version}}
    overrides:
      - goos: darwin
        goarch: arm64
        replacements:
          arm64: x64
    supported_envs:
      - linux
      - darwin
      - windows/amd64
    replacements:
      windows: win
      darwin: macos
      amd64: x64
    files:
      - name: snaplet
    format: raw
"###),
    ("pkgxdev/pkgx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pkgxdev
    repo_name: pkgx
    description: “run anything” from the creator of `brew`
    asset: pkgx-{{trimV .Version}}+{{.OS}}+{{.Arch}}.{{.Format}}
    format: tar.xz
    replacements:
      arm64: aarch64
      amd64: x86-64
    supported_envs:
      - linux
      - darwin
    version_constraint: semver(">= 1.0.0")
    version_overrides:
      - version_constraint: Version == "v0.14.2"
        asset: tea-{{trimV .Version}}+{{.OS}}+{{.Arch}}.{{.Format}}
        files:
          - name: tea
        overrides:
          - goos: darwin
            goarch: arm64
            asset: tea-+{{.OS}}+{{.Arch}}.{{.Format}}
      - version_constraint: semver(">= 0.11.14")
        asset: tea-{{trimV .Version}}+{{.OS}}+{{.Arch}}.{{.Format}}
        files:
          - name: tea
      - version_constraint: semver(">= 0.8.8")
        asset: tea-{{trimV .Version}}+{{.OS}}+{{.Arch}}.{{.Format}}
        files:
          - name: tea
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver(">= 0.6.6")
        no_asset: true
      - version_constraint: semver("< 0.6.6")
        asset: tea-{{trimV .Version}}+{{.OS}}+{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: tea
            src: tea.xyz/{{.Version}}/bin/tea
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("go-task/task", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-task
    repo_name: task
    description: A task runner / simpler Make alternative written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.3.0"
        asset: task_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: task_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.3.1"
        asset: task_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macOS
        checksum:
          type: github_release
          asset: task_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.0")
        asset: task_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.2")
        asset: task_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: task_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.4")
        asset: task_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: task_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.1")
        asset: task_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: task_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.7.0")
        asset: task_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: task_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: task_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: task_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("chime/mani-diffy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chime
    repo_name: mani-diffy
    description: mani-diffy walks a hierarchy of Argo CD Application templates, renders Kubernetes manifests from the input templates, and posts the rendered files back for the user to review and validate
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: mani-diffy
        format: raw
        supported_envs:
          - linux/amd64
          - darwin/arm64
        overrides:
          - goos: darwin
            goarch: arm64
            asset: mani-diffy-{{.OS}}-{{.Arch}}
"###),
    ("webdevops/go-crond", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: webdevops
    repo_name: go-crond
    description: ":alarm_clock: Cron daemon written in golang (for eg. usage in docker images)"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: go-crond-64-{{.OS}}
        format: raw
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.6.1")
        asset: go-crond-64-{{.OS}}
        format: raw
        replacements:
          darwin: osx
        overrides:
          - goos: linux
            goarch: arm64
            asset: go-crond-{{.Arch}}-{{.OS}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 21.5.0")
        asset: go-crond-64-{{.OS}}
        format: raw
        replacements:
          darwin: osx
        overrides:
          - goos: linux
            goarch: arm64
            asset: go-crond-arm64-linux
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: go-crond.{{.OS}}.{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("bootandy/dust", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bootandy
    repo_name: dust
    description: A more intuitive version of du in rust
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    asset: dust-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
      386: i686
    files:
      - name: dust
        src: dust-{{.Version}}-{{.Arch}}-{{.OS}}/dust
"###),
    ("zk-org/zk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zk-org
    repo_name: zk
    description: A plain text note-taking assistant
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.11.0"
        asset: zk-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: macos
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.2.1")
        asset: zk-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            format: zip
            replacements:
              amd64: x86_64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.14.1")
        asset: zk-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            format: zip
            replacements:
              amd64: x86_64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.15.0")
        asset: zk-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            goarch: amd64
            replacements:
              amd64: x86_64
          - goos: darwin
            goarch: arm64
            asset: zk-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
          - goos: windows
            asset: zk-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
            replacements:
              amd64: x64_86
      - version_constraint: "true"
        asset: zk-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            replacements:
              amd64: x86_64
          - goos: windows
            replacements:
              amd64: x86_64
"###),
    ("soh335/shukujitsu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: soh335
    repo_name: shukujitsu
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.8"
        no_asset: true
      - version_constraint: "true"
        asset: shukujitsu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("jacek-kurlit/pik", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jacek-kurlit
    repo_name: pik
    description: Process Interactive Kill
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.1.0"
        asset: pik-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: pik
            src: "{{.AssetWithoutExt}}/pik"
      - version_constraint: Version == "0.14.0"
        asset: pik-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
        files:
          - name: pik
            src: "{{.AssetWithoutExt}}/pik"
      - version_constraint: semver("<= 0.13.0")
        asset: pik-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: pik
            src: "{{.AssetWithoutExt}}/pik"
      - version_constraint: "true"
        asset: pik-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
        files:
          - name: pik
            src: "{{.AssetWithoutExt}}/pik"
"###),
    ("kudobuilder/kuttl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kudobuilder
    repo_name: kuttl
    description: KUbernetes Test TooL (kuttl)
    supported_envs:
      - darwin
      - linux
    asset: kuttl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: kubectl-kuttl
    replacements:
      386: i386
      amd64: x86_64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("metalbear-co/mirrord", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: metalbear-co
    repo_name: mirrord
    description: By mirroring traffic to and from your machine, mirrord surrounds your local service with a mirror image of its cloud environment
    replacements:
      darwin: mac
      amd64: x86_64
      arm64: aarch64
    version_constraint: semver(">= 2.2.1")
    supported_envs:
      - linux
      - darwin
    rosetta2: true
    format: zip
    asset: mirrord_{{.OS}}_{{.Arch}}.{{.Format}}
    overrides:
      - goos: darwin
        replacements:
          amd64: universal
    version_overrides:
      - version_constraint: semver("< 2.2.1")
        rosetta2: false
        asset: mirrord_{{.OS}}_{{.Arch}}
        format: raw
        overrides: []
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("Scalingo/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Scalingo
    repo_name: cli
    description: Command Line client for Scalingo PaaS
    asset: scalingo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: scalingo
        src: scalingo_{{.Version}}_{{.OS}}_{{.Arch}}/scalingo
    overrides:
      - goos: windows
        format: zip
        checksum:
          type: github_release
          asset: checksums_windows.txt
          algorithm: sha256
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.26.0")
    version_overrides:
      - version_constraint: semver(">= 1.24.1")
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver(">= 1.24.0")
        overrides: []
      - version_constraint: semver(">= 1.21.0")
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
        checksum:
          enabled: false
      - version_constraint: semver(">= 1.20.1")
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          enabled: false
      - version_constraint: semver("< 1.20.1")
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: scalingo
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("stunnel/static-curl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: stunnel
    repo_name: static-curl
    description: static builds cURL with HTTP3
    files:
      - name: curl
      - name: curl-config
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "8.6.0-1"
        asset: curl-{{.OS}}-{{.Arch}}-8.6.0.{{.Format}}
        format: tar.xz
        files:
          - name: curl
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: darwin
            replacements:
              arm64: arm64
      - version_constraint: Version == "8.6.0"
        asset: curl-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.xz
        files:
          - name: curl
        replacements:
          darwin: macos
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 8.2.0")
        asset: curl-static-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.xz
        files:
          - name: curl
        supported_envs:
          - linux
      - version_constraint: semver("<= 8.5.0")
        asset: curl-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.xz
        files:
          - name: curl
        replacements:
          linux: static
          darwin: macos
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: curl-{{.OS}}-{{.Arch}}-dev-{{.Version}}.{{.Format}}
        format: tar.xz
        files:
          - name: curl
            src: curl-{{.Arch}}/bin/curl
          - name: curl-config
            src: curl-{{.Arch}}/bin/curl-config
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: darwin
            replacements:
              arm64: arm64
"###),
    ("cloudentity/oauth2c", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudentity
    repo_name: oauth2c
    description: User-friendly OAuth2 CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: oauth2c_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("comtrya/comtrya", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: comtrya
    repo_name: comtrya
    format: raw
    description: Configuration Management for Localhost / dotfiles
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.3.19")
    asset: comtrya-{{.Arch}}-{{.OS}}
    version_overrides:
      - version_constraint: "true"
        asset: comtrya
        supported_envs:
          - linux/amd64
          - windows/amd64
"###),
    ("jwilder/dockerize", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jwilder
    repo_name: dockerize
    description: Utility to simplify running applications in docker containers
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: dockerize-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.6.1")
        asset: dockerize-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: dockerize-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
"###),
    ("temporalio/tctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: temporalio
    repo_name: tctl
    description: Temporal CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.16.1")
        no_asset: true
      - version_constraint: "true"
        asset: tctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("temporalio/temporal", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: temporalio
    repo_name: temporal
    description: Temporal service and CLI
    asset: temporal_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: tctl
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("dag-andersen/argocd-diff-preview", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dag-andersen
    repo_name: argocd-diff-preview
    description: Tool for rendering manifest changes on pull requests
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.6"
        asset: argocd-diff-preview-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: linux
            asset: argocd-diff-preview-{{.OS}}-{{.Arch}}-musl.{{.Format}}
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.0.35")
        asset: argocd-diff-preview-{{.OS}}-{{.Arch}}-musl.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: Darwin
          linux: Linux
        overrides:
          - goos: darwin
            asset: argocd-diff-preview-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: argocd-diff-preview-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux
          - darwin
"###),
    ("sqshq/sampler", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sqshq
    repo_name: sampler
    description: Tool for shell commands execution, visualization and alerting. Configured with a simple YAML file
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.9.0-beta"
        no_asset: true
      - version_constraint: Version == "v0.9.1-beta"
        asset: sampler-0.9.1-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: Version == "v1.0.0"
        asset: sampler-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.0.1"
        asset: sampler-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: sampler-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("bloznelis/typioca", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bloznelis
    repo_name: typioca
    description: Cozy typing speed tester in terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.1")
        asset: typioca-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: mac
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.1")
        no_asset: true
      - version_constraint: "true"
        asset: typioca-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: mac
          windows: win
        supported_envs:
          - linux/amd64
          - darwin
          - windows
"###),
    ("termkit/gama", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: termkit
    repo_name: gama
    description: Manage your GitHub Actions from Terminal with great UI
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.7")
        asset: gama-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1.2")
        asset: gama-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: macos
      - version_constraint: "true"
        asset: gama-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("runmedev/runme", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: runmedev
    description: Execute commands directly from a README
    format: tar.gz
    replacements:
      amd64: x86_64
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.2.0")
    # https://github.com/stateful/runme/pull/35
    repo_name: runme
    aliases:
      - name: stateful/runme
    asset: runme_{{.OS}}_{{.Arch}}.{{.Format}}
    version_overrides:
      - version_constraint: "true"
        repo_name: rdme
        asset: rdme_{{.OS}}_{{.Arch}}.{{.Format}}
"###),
    ("TimothyYe/skm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: TimothyYe
    repo_name: skm
    description: A simple and powerful SSH keys manager
    replacements:
      darwin: Darwin
      linux: Linux
      windows: Windows
      386: i386
      amd64: x86_64
    version_constraint: semver(">= 0.8.6")
    asset: skm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        replacements: {}
        asset: skm-linux64-{{trimV .Version}}.tar.gz
        overrides:
          - goos: darwin
            asset: skm-mac64-{{trimV .Version}}.tar.gz
          - goos: linux
            goarch: arm64
            asset: skm-arm64-{{trimV .Version}}.tar.gz
        checksum:
          enabled: false
"###),
    ("fe3dback/go-arch-lint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fe3dback
    repo_name: go-arch-lint
    description: GoLang architecture linter (checker) tool. Will check all project import path and compare with arch rules defined in yml file. Useful for hexagonal / onion / ddd / mvc and other architectural patterns. Tool can by used in your CI
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.6.1")
        asset: go-arch-lint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.7.3")
        asset: go-arch-lint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.7.5")
        no_asset: true
      - version_constraint: "true"
        asset: go-arch-lint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("istio/istio/istioctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: istio/istio/istioctl
    type: github_release
    repo_owner: istio
    repo_name: istio
    description: The istioctl tool is a configuration command line utility that allows service operators to debug and diagnose their Istio service mesh deployments
    supported_envs:
      - darwin
      - linux
      - amd64
    replacements:
      darwin: osx
      windows: win
    asset: istioctl-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    files:
      - name: istioctl
    overrides:
      - goos: darwin
        goarch: amd64
        asset: istioctl-{{.Version}}-osx.tar.gz
      - goos: windows
        asset: istioctl-{{.Version}}-win.zip
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("chmln/handlr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chmln
    repo_name: handlr
    asset: handlr
    format: raw
    description: A better xdg-utils
    supported_envs:
      - linux/amd64
"###),
    ("chmln/sd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chmln
    repo_name: sd
    description: Intuitive find & replace CLI (sed alternative)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.5")
        asset: sd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: sd
            src: "{{.Arch}}-{{.OS}}/sd"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: Version == "v0.7.2"
        asset: sd-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: sd
            src: b/{{.Arch}}-{{.OS}}/release/sd
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("<= 0.7.4")
        asset: sd-{{trimV .Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        windows_arm_emulation: true
        format: zip
        files:
          - name: sd
            src: b/{{.Arch}}-{{.OS}}/release/sd
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: Version == "v0.7.5"
        asset: sd.{{trimV .Version}}-.{{.Arch}}-{{.OS}}.{{.Format}}
        windows_arm_emulation: true
        format: zip
        files:
          - name: sd
            src: b/{{.Arch}}-{{.OS}}/release/sd
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: Version == "v0.7.6"
        asset: sd-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: "true"
        asset: sd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: sd
            src: sd-{{.Version}}-{{.Arch}}-{{.OS}}/sd
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - linux
          - amd64
"###),
    ("keilerkonzept/terraform-module-versions", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: keilerkonzept
    repo_name: terraform-module-versions
    description: "CLI tool that checks Terraform code for module updates. Single binary, no dependencies. linux, osx, windows. #golang #cli #terraform"
    asset: terraform-module-versions_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: osx
    supported_envs:
      - darwin
    rosetta2: true
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["3.0.29", "3.1.14"]
        no_asset: true
      - version_constraint: semver("< 3.1.14")
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux
          - amd64
"###),
    ("kdheepak/taskwarrior-tui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kdheepak
    repo_name: taskwarrior-tui
    description: "`taskwarrior-tui`: A terminal user interface for taskwarrior"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: taskwarrior-tui-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.2.0"
        asset: taskwarrior-tui-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version in ["v0.13.3", "v0.25.2"]
        asset: taskwarrior-tui-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: taskwarrior-tui-{{.Arch}}-{{.OS}}.sha256
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version in ["v0.26.1", "v0.26.2"]
        no_asset: true
      - version_constraint: "true"
        asset: taskwarrior-tui-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: taskwarrior-tui-{{.Arch}}-{{.OS}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("magefile/mage", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: magefile
    repo_name: mage
    description: a Make/rake-like dev tool using Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.1")
        no_asset: true
      - version_constraint: semver("<= 1.11.0")
        asset: mage_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: mage_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.14.0")
        asset: mage_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: mage_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: mage_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: mage_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
"###),
    ("kamadorueda/alejandra", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kamadorueda
    repo_name: alejandra
    description: The Uncompromising Nix Code Formatter
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.0.0"
        asset: alejandra-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: alejandra-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-musl
        supported_envs:
          - linux
"###),
    ("kaytu-io/kaytu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kaytu-io
    repo_name: kaytu
    description: The Kaytu CLI helps you save on cloud costs by finding the perfect server sizes. Kaytu analyzes historical usage and provides tailored recommendations, ensuring you only pay for the resources you need
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.7")
        asset: kaytu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kaytu_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: raw
            asset: kaytu_{{trimV .Version}}_{{.OS}}_{{.Arch}}
      - version_constraint: semver("<= 0.1.1")
        asset: kaytu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kaytu_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.4.1")
        asset: kaytu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kaytu_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: kaytu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kaytu_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: kaytu
                src: "{{.AssetWithoutExt}}/kaytu.exe"
            checksum:
              type: github_release
              asset: kaytu_{{trimV .Version}}_{{.OS}}_{{.Arch}}_checksum.txt
              algorithm: sha256
"###),
    ("google/go-jsonnet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: google
    repo_name: go-jsonnet
    files:
      - name: jsonnet
      - name: jsonnet-deps
      - name: jsonnet-lint
      - name: jsonnetfmt
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.16.0")
        no_asset: true
      - version_constraint: Version == "v0.17.0"
        asset: go-jsonnet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: jsonnet
          - name: jsonnetfmt
        replacements:
          amd64: x86_64
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - windows/amd64
      - version_constraint: Version == "v0.18.0"
        asset: go-jsonnet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: jsonnet
          - name: jsonnetfmt
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 0.20.0")
        asset: go-jsonnet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: jsonnet
          - name: jsonnetfmt
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.20.0"
        asset: go-jsonnet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: go-jsonnet_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("google/jsonnet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: google
    repo_name: jsonnet
    asset: jsonnet-bin-{{.Version}}-linux.tar.gz
    supported_envs:
      - linux/amd64
    description: Jsonnet - The data templating language
    files:
      - name: jsonnet
      - name: jsonnetfmt
"###),
    ("google/wire", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: google
    repo_name: wire
    description: Compile-time Dependency Injection for Go
    path: github.com/google/wire/cmd/wire
"###),
    ("google/go-licenses", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: google
    repo_name: go-licenses
    description: A lightweight tool to report on the licenses used by a Go package and its dependencies. Highlight! Versioned external URL to licenses can be found at the same time
"###),
    ("google/mtail", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: google
    repo_name: mtail
    description: extract internal monitoring data from application logs for collection in a timeseries database
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.0.0-rc36")
        asset: mtail_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v3.0.0-rc38"
        asset: mtail_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 3.0.0-rc44")
        asset: mtail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 3.0.0-rc47")
        asset: mtail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 3.0.0-rc51")
        asset: mtail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 3.0.0-rc54")
        asset: mtail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: mtail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
"###),
    ("google/gke-policy-automation", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: google
    repo_name: gke-policy-automation
    description: Tool and policy library for reviewing Google Kubernetes Engine clusters against best practices
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3.2")
        asset: gke-policy-automation_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: gke-policy
        checksum:
          type: github_release
          asset: gke-policy-automation_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        asset: gke-policy-automation_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: gke-policy
        checksum:
          type: github_release
          asset: gke-policy-automation_{{.Version}}_SHA256SUMS
          algorithm: sha256
"###),
    ("google/pprof", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: google
    repo_name: pprof
    description: pprof is a tool for visualization and analysis of profiling data
"###),
    ("google/go-containerregistry", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: google
    repo_name: go-containerregistry
    description: Go library and CLIs for working with container registries
    files:
      - name: crane
      - name: gcrane
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.15.0", "v0.16.0"]
        no_asset: true
      - version_constraint: semver("<= 0.1.0")
        asset: go-containerregistry_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.4")
        asset: go-containerregistry_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.5.0")
        asset: go-containerregistry_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.8.0")
        asset: go-containerregistry_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.12.1")
        asset: go-containerregistry_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.19.1")
        asset: go-containerregistry_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: go-containerregistry_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("google/yamlfmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: google
    repo_name: yamlfmt
    description: An extensible command line tool or library to format yaml files
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 0.14.0")
        asset: yamlfmt_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: yamlfmt_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/google/yamlfmt/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/google/yamlfmt/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/google/yamlfmt/releases/download/{{.Version}}/checksums.txt.pem
"###),
    ("google/osv-scanner", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: google
    repo_name: osv-scanner
    description: Vulnerability scanner written in Go which uses the data provided by https://osv.dev
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: osv-scanner_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: osv-scanner_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.4.2"
        # https://github.com/google/osv-scanner/issues/611
        asset: osv-scanner_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: osv-scanner_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 1.6.2")
        asset: osv-scanner_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: osv-scanner_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        # v1.7.0 https://github.com/google/osv-scanner/pull/831
        asset: osv-scanner_{{.OS}}_{{.Arch}}
        format: raw
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        checksum:
          type: github_release
          asset: osv-scanner_SHA256SUMS
          algorithm: sha256
"###),
    ("devops-kung-fu/bomber", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: devops-kung-fu
    repo_name: bomber
    description: Scans Software Bill of Materials (SBOMs) for security vulnerabilities
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: bomber_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: bomber_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: linux
            files:
              # https://github.com/devops-kung-fu/bomber/pull/27
              - name: bomber
                src: hookz
        supported_envs:
          - linux
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.2")
        asset: bomber_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: bomber_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        supported_envs:
          - linux
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.5")
        asset: bomber_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: bomber_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.4.1")
        asset: bomber_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: bomber_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: bomber_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: darwin
            asset: bomber_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("minishift/minishift", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: minishift
    repo_name: minishift
    description: Run OpenShift 3.x locally
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: minishift-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tgz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: minishift
        src: minishift-{{trimV .Version}}-{{.OS}}-{{.Arch}}/minishift
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("ctron/oidc-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ctron
    repo_name: oidc-cli
    description: A command line tool to work with OIDC tokens
    files:
      - name: oidc
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.2"
        no_asset: true
      - version_constraint: "true"
        asset: oidc-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("alcideio/rbac-tool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: alcideio
    repo_name: rbac-tool
    description: Rapid7 | insightCloudSec | Kubernetes RBAC Power Toys - Visualize, Analyze, Generate & Query
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: semver("<= 0.6.2")
        asset: rbac-tool-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: rbac-tool
            src: "{{.OS}}-{{.Arch}}/rbac-tool"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.1")
        asset: rbac-tool_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: rbac-tool_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1.0")
        asset: rbac-tool_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: rbac-tool_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.1.4")
        asset: rbac-tool_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: rbac-tool_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: rbac-tool_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: rbac-tool_checksums.txt
          algorithm: sha256
"###),
    ("ponkio-o/ec2x", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ponkio-o
    repo_name: ec2x
    description: A cli tool of connect to ec2 instance with Session Manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.4"
        no_asset: true
      - version_constraint: "true"
        asset: ec2x_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("fukubaka0825/tffmtmd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fukubaka0825
    repo_name: tffmtmd
    description: tffmtmd formats HCL source code block in Markdown. detects fenced code & formats code
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tffmtmd_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tffmtmd_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("aristocratos/btop", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aristocratos
    repo_name: btop
    description: A monitor of resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.7")
        asset: btop-{{trimV .Version}}-{{.OS}}-armel.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: bin/btop
        replacements:
          arm64: aarch64
        overrides:
          - goos: linux
            goarch: arm64
            asset: btop-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.0.16")
        asset: btop-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: bin/btop
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.0.24")
        asset: btop-{{trimV .Version}}-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: bin/btop
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
      - version_constraint: Version == "v1.1.0"
        asset: btop-{{trimV .Version}}-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: bin/btop
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: btop-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.1.1"
        asset: btop-{{trimV .Version}}-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: bin/btop
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: btop-{{trimV .Version}}-{{.Arch}}-{{.OS}}-monterey.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.1.2"
        asset: btop-{{trimV .Version}}-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: bin/btop
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: btop-{{trimV .Version}}-{{.Arch}}-{{.OS}}-monterey.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.2.13")
        asset: btop-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: btop/bin/btop
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: btop-{{.Arch}}-{{.OS}}-monterey.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.2.13"
        asset: btop-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: btop/bin/btop
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: btop-{{.Arch}}-{{.OS}}-ventura.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: btop-{{.Arch}}-{{.OS}}-musl.{{.Format}}
        format: tbz
        files:
          - name: btop
            src: btop/bin/btop
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
"###),
    ("helm/chart-testing", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: helm
    repo_name: chart-testing
    description: CLI tool for linting and testing Helm charts
    files:
      - name: ct
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.5.0"
        asset: chart-testing_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v3.5.1"
        asset: chart-testing_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 3.0.0-rc.1")
        asset: chart-testing_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.3.1")
        asset: chart-testing_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 3.5.0")
        asset: chart-testing_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: chart-testing_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/helm/chart-testing/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/helm/chart-testing/.github/workflows/release.yaml@refs/heads/main
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/helm/chart-testing/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("helm/chart-releaser", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: helm
    repo_name: chart-releaser
    description: Hosting Helm Charts via GitHub Pages and Releases
    files:
      - name: cr
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.3.0"
        asset: chart-releaser_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.1.4")
        asset: chart-releaser_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: chart-releaser
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.2.1")
        asset: chart-releaser_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: chart-releaser_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/helm/chart-releaser/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/helm/chart-releaser/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/helm/chart-releaser/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("helm/helm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: helm
    repo_name: helm
    url: https://get.helm.sh/helm-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    description: The Kubernetes Package Manager
    files:
      - name: helm
        src: "{{.OS}}-{{.Arch}}/helm"
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: http
      url: https://get.helm.sh/helm-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz.sha256sum
      algorithm: sha256
    version_constraint: semver(">= 3.6.0")
    version_overrides:
      - version_constraint: semver(">= 3.1.0")
        rosetta2: true
      - version_constraint: semver("< 3.1.0")
        rosetta2: true
        checksum:
          type: http
          url: https://get.helm.sh/helm-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz.sha256
          algorithm: sha256
"###),
    ("pachyderm/pachyderm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pachyderm
    repo_name: pachyderm
    asset: pachctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: Data-Centric Pipelines and Data Versioning
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: pachctl
        src: pachctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}/pachctl
    supported_envs:
      - linux
      - darwin
"###),
    ("binwiederhier/ntfy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: binwiederhier
    repo_name: ntfy
    description: Send push notifications to your phone or desktop using PUT/POST
    asset: ntfy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: ntfy
        src: ntfy_{{trimV .Version}}_{{.OS}}_{{.Arch}}/ntfy
    overrides:
      - goos: darwin
        asset: ntfy_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        files:
          - name: ntfy
            src: ntfy_{{trimV .Version}}_{{.OS}}_all/ntfy
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 2.6.2")
    version_overrides:
      - version_constraint: semver(">= 1.23.0")
        replacements:
          amd64: x86_64
          darwin: macOS
      - version_constraint: semver(">= 1.4.4")
        overrides: []
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
        rosetta2: false
      - version_constraint: semver(">= 1.2.1")
        overrides: []
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
        rosetta2: false
      - version_constraint: semver("< 1.2.1")
        overrides: []
        replacements:
          amd64: x86_64
        supported_envs:
          - darwin
          - amd64
"###),
    ("gotify/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gotify
    repo_name: cli
    description: A command line interface for pushing messages to gotify/server
    files:
      - name: gotify
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.1.0")
        asset: gotify-cli-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows/amd64
      - version_constraint: semver("<= 2.2.1")
        asset: gotify-cli-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 2.2.4")
        asset: gotify-cli-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 2.3.1")
        no_asset: true
      - version_constraint: "true"
        asset: gotify-cli-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("getsavvyinc/savvy-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: getsavvyinc
    repo_name: savvy-cli
    description: Create, share, and run runbooks from your terminal
    files:
      - name: savvy
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: savvy_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: savvy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: savvy_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: savvy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("pyama86/pachanger", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pyama86
    repo_name: pachanger
    description: Pachanger - A CLI tool for renaming Go package names safely and efficiently
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pachanger_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pachanger_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("doitintl/kube-no-trouble", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: doitintl
    repo_name: kube-no-trouble
    description: Easily check your clusters for use of deprecated APIs
    asset: kubent-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    files:
      - name: kubent
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("ysugimoto/gcsdeploy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ysugimoto
    repo_name: gcsdeploy
    description: Deploy files to GCS like rsync
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gcsdeploy-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
"###),
    ("ysugimoto/vintage", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ysugimoto
    repo_name: vintage
    description: VCL Transpiler for Edge Runtime
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: vintage-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("ysugimoto/falco", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ysugimoto
    repo_name: falco
    description: falco is a VCL developer tool dedicated to Fastly
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.1")
        asset: falco-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.20.1")
        asset: falco-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.1.1")
        asset: falco-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: falco-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
"###),
    ("sqls-server/sqls", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sqls-server
    repo_name: sqls
    description: SQL language server written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: sqls-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: sqls
            src: "{{.OS}}-{{.Arch}}/sqls"
      - version_constraint: semver("<= 0.2.20")
        asset: sqls_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: sqls-{{.OS}}-{{trimV .Version}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("stoplightio/spectral", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: stoplightio
    repo_name: spectral
    description: A flexible JSON/YAML linter for creating automated style guides, with baked in support for OpenAPI (v3.1, v3.0, and v2.0), Arazzo v1.0, as well as AsyncAPI v2.x
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v4.0.0-beta.7"
        asset: spectral-cli
        format: raw
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "v4.2.0-beta5"
        asset: spectral-cli
        format: raw
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "v4.2.0"
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: spectral-cli
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: Version == "v5.4.0-beta1"
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v6.7.0"
        asset: spectral-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            asset: spectral
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.1.0")
        no_asset: true
      - version_constraint: semver("<= 4.0.0-beta.6")
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 4.1.0-beta2")
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: spectral-cli
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 4.1.0")
        asset: spectral-cli
        format: raw
        supported_envs:
          - windows/amd64
      - version_constraint: semver("<= 4.2.0-beta4")
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: spectral-cli
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 5.0.0-beta3")
        asset: spectral-cli
        format: raw
        supported_envs:
          - windows/amd64
      - version_constraint: semver("<= 5.5.0-beta3")
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: spectral-cli
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 5.5.0-beta5")
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 6.2.1")
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: spectral-cli
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 6.6.0")
        asset: spectral-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: spectral
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: spectral-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            asset: spectral
"###),
    ("mergestat/mergestat-lite", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mergestat
    repo_name: mergestat-lite
    description: Query git repositories with SQL. Generate reports, perform status checks, analyze codebases
    rosetta2: true
    asset: mergestat-{{.OS}}-{{.Arch}}.tar.gz
    files:
      - name: mergestat
    supported_envs:
      - darwin
      - linux/amd64
    replacements:
      darwin: macos
"###),
    ("ilaif/goplicate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ilaif
    repo_name: goplicate
    description: A CLI tool that helps define common code or configuration snippets once, and sync it to multiple projects
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: goplicate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("ianlewis/todos", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ianlewis
    repo_name: todos
    description: Parse TODO and FIXME comments from code
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: todos-{{.OS}}-{{.Arch}}
        format: raw
        complete_windows_ext: false
        slsa_provenance:
          type: github_release
          asset: todos-{{.OS}}-{{.Arch}}.intoto.jsonl
      - version_constraint: "true"
        asset: todos-{{.OS}}-{{.Arch}}
        format: raw
        slsa_provenance:
          type: github_release
          asset: todos-{{.OS}}-{{.Arch}}.intoto.jsonl
        overrides:
          - goos: windows
            complete_windows_ext: false
            asset: todos-{{.OS}}-{{.Arch}}.exe
            slsa_provenance:
              type: github_release
              asset: todos-{{.OS}}-{{.Arch}}.exe.intoto.jsonl
"###),
    ("mfridman/tparse", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mfridman
    repo_name: tparse
    description: CLI tool for summarizing go test output. Pipe friendly. CI/CD friendly
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.4")
        asset: tparse_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.3")
        asset: tparse_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.1")
        asset: tparse_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.12.2")
        no_asset: true
      - version_constraint: "true"
        asset: tparse_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("br0xen/boltbrowser", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: br0xen
    repo_name: boltbrowser
    description: A CLI Browser for BoltDB Files
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: boltbrowser.{{.OS}}64
        format: raw
        replacements:
          windows: win
        overrides:
          - goos: linux
            goarch: arm64
            asset: boltbrowser.linuxarm
"###),
    ("jubako/arx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jubako
    repo_name: arx
    description: Store files and directory in an archive. Like tar, but faster and with direct random access
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        no_asset: true
      - version_constraint: "true"
        asset: arx-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: arx
            src: arx-{{.Version}}-{{.OS}}/arx
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            checksum:
              type: github_release
              file_format: regexp
              asset: "{{.Asset}}.sha256"
              algorithm: sha256
              pattern:
                checksum: ^(\b[A-Fa-f0-9]{64}\b)
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("XcodesOrg/xcodes", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: XcodesOrg
    repo_name: xcodes
    description: The best command-line tool to install and switch between multiple versions of Xcode
    asset: xcodes.zip
    supported_envs:
      - darwin
    version_overrides:
      - version_constraint: Version == "1.4.0"
        no_asset: true
"###),
    ("jj-vcs/jj", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jj-vcs
    repo_name: jj
    aliases:
      - name: martinvonz/jj
    description: A Git-compatible VCS that is both simple and powerful
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.3.1", "v0.5.0"]
        no_asset: true
      - version_constraint: semver("<= 0.3.0")
        asset: jj_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        checksum:
          type: github_release
          asset: jj_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}.sha256sum
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 0.13.0")
        asset: jj-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.17.1")
        asset: jj-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
          arm64: aarch64
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.18.0"
        asset: jj-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
          arm64: aarch64
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.20.0")
        asset: jj-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
          arm64: aarch64
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          # darwin/amd64 was dropped. https://github.com/martinvonz/jj/pull/3999#issuecomment-2198984242
          - darwin/arm64
          - windows
          - linux
      - version_constraint: "true"
        asset: jj-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
          arm64: aarch64
        overrides:
          - goos: windows
            format: zip
"###),
    ("googleapis/api-linter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: googleapis
    repo_name: api-linter
    description: A linter for APIs defined in protocol buffers
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.55.1"
        no_asset: true
      - version_constraint: semver("<= 1.35.0")
        asset: api-linter-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: api-linter-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("wagoodman/dive", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wagoodman
    repo_name: dive
    description: A tool for exploring each layer in a docker image
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: dive_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: dive_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.10.0")
        asset: dive_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: dive_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: dive_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: dive_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("sysdiglabs/kube-psp-advisor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sysdiglabs
    repo_name: kube-psp-advisor
    description: Help building an adaptive and fine-grained pod security policy
    supported_envs:
      - darwin
      - linux/amd64
    asset: kube-psp-advisor_{{.Version}}_{{.OS}}_amd64.tar.gz
    files:
      - name: kubectl-advise_psp
        src: kubectl-advise-psp
      - name: kube-psp-advisor
        src: kubectl-advise-psp
    checksum:
      type: github_release
      asset: kube-psp-advisor_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("restechnica/semverbot", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: restechnica
    repo_name: semverbot
    description: A CLI which automates semver versioning
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: sbot-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: sbot
      - version_constraint: semver("<= 1.1.0")
        asset: sbot-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: sbot
      - version_constraint: "true"
        asset: sbot-{{.OS}}-{{.Arch}}
        format: raw
        files:
          - name: sbot
"###),
    ("blacknon/hwatch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: blacknon
    repo_name: hwatch
    description: A modern alternative to the watch command, records the differences in execution results and can check this differences at after
    supported_envs:
      - darwin
      - linux/amd64
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
    version_constraint: semver(">= 0.3.1")
    asset: hwatch-{{.Version}}.{{.Arch}}-{{.OS}}.tar.gz
    files:
      - name: hwatch
        src: bin/hwatch
    version_overrides:
      - version_constraint: semver("= 0.3.0")
        asset: hwatch_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
        rosetta2: true
        supported_envs:
          - darwin
        replacements:
          amd64: amd64
          darwin: darwin
          linux: linux
        files:
          - name: hwatch
            src: hwatch/hwatch
      - version_constraint: semver("= 0.2.1") || semver("= 0.1.6")
        supported_envs: []
      - version_constraint: semver("= 0.1.0")
        asset: hwatch_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
        rosetta2: true
        replacements:
          amd64: amd64
          darwin: darwin
          linux: linux
        files:
          - name: hwatch
            src: hwatch_{{.Version}}_{{.OS}}_{{.Arch}}/hwatch
      - version_constraint: semver("<= 0.1.2")
        asset: hwatch_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
        rosetta2: true
        replacements:
          amd64: amd64
          darwin: darwin
          linux: linux
        files:
          - name: hwatch
            src: hwatch
      - version_constraint: semver("< 0.3.1")
        asset: hwatch_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
        rosetta2: true
        replacements:
          amd64: amd64
          darwin: darwin
          linux: linux
        files:
          - name: hwatch
            src: hwatch/hwatch
"###),
    ("ms-jpq/sad", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ms-jpq
    repo_name: sad
    description: CLI search and replace | Space Age seD
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    asset: "{{.Arch}}-{{.OS}}.zip"
    version_constraint: semver(">= 0.4.17")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - linux
          - darwin
          - amd64
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
"###),
    ("hairyhenderson/gomplate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hairyhenderson
    repo_name: gomplate
    description: A flexible commandline tool for template rendering. Supports lots of local and remote datasources
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: gomplate_{{.OS}}-{{.Arch}}
    checksum:
      type: github_release
      asset: checksums-{{.Version}}_sha512.txt
      algorithm: sha512
"###),
    ("kubernetes/minikube", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes
    repo_name: minikube
    description: Run Kubernetes locally
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.10.0"
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - amd64
      - version_constraint: Version == "v0.12.1"
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - amd64
      - version_constraint: Version == "v1.17.1"
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            goarch: arm64
            checksum:
              enabled: false
      - version_constraint: semver("<= 0.6.0")
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.9.0")
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - amd64
      - version_constraint: semver("<= 0.19.0")
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - amd64
        overrides:
          - goos: linux
            checksum:
              enabled: false
      - version_constraint: semver("<= 0.20.0")
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
          file_format: raw
        supported_envs:
          - amd64
        overrides:
          - goos: linux
            checksum:
              enabled: false
      - version_constraint: semver("<= 0.35.0")
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - amd64
        overrides:
          - goos: windows
            checksum:
              enabled: false
      - version_constraint: semver("<= 1.9.2")
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - amd64
      - version_constraint: semver("<= 1.17.0")
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: minikube-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("kubernetes/kompose", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes
    repo_name: kompose
    description: Go from Docker Compose to Kubernetes
    supported_envs:
      - darwin
      - linux
      - amd64
    format: raw
    version_constraint: semver(">= 1.26.0")
    asset: kompose-{{.OS}}-{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
    checksum:
      type: github_release
      asset: SHA256_SUM
      algorithm: sha256
"###),
    ("kubernetes/kubernetes/kube-apiserver", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kube-apiserver
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: The Kubernetes API server validates and configures data for the api objects which include pods, services, replicationcontrollers, and others
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.7")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-apiserver
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.15.3")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-apiserver
        format: raw
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-apiserver
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-apiserver.sha256
          algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-apiserver
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-apiserver.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-apiserver.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-apiserver.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/kubeadm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kubeadm
    aliases:
      - name: kubernetes/kubeadm
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: Kubeadm is a tool built to provide best-practice "fast paths" for creating Kubernetes clusters
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.4.12")
        no_asset: true
      - version_constraint: semver("<= 1.15.3")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm.exe.sha256
              algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm.exe.sha256
              algorithm: sha256
            cosign:
              opts:
                - --signature
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm.exe.sig
                - --certificate
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubeadm.exe.cert
                - --certificate-identity
                - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
                - --certificate-oidc-issuer
                - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/kube-controller-manager", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kube-controller-manager
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: The Kubernetes controller manager is a daemon that embeds the core control loops shipped with Kubernetes
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.7")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-controller-manager
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.15.3")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-controller-manager
        format: raw
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-controller-manager
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-controller-manager.sha256
          algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-controller-manager
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-controller-manager.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-controller-manager.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-controller-manager.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/kubectl-convert", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kubectl-convert
    aliases:
      - name: kubernetes/kubectl-convert
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: A plugin for Kubernetes command-line tool kubectl, which allows you to convert manifests between different API versions
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.20.15")
        no_asset: true
      - version_constraint: semver("<= 1.22.17")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert
        format: raw
        windows_arm_emulation: true
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.exe.sha256
              algorithm: sha256
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert
        format: raw
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.exe.sha256
              algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert
        format: raw
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.exe.sha256
              algorithm: sha256
            cosign:
              opts:
                - --signature
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.exe.sig
                - --certificate
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl-convert.exe.cert
                - --certificate-identity
                - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
                - --certificate-oidc-issuer
                - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/kube-scheduler", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kube-scheduler
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: The Kubernetes scheduler is a control plane process which assigns Pods to Nodes
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.7")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-scheduler
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.15.3")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-scheduler
        format: raw
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-scheduler
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-scheduler.sha256
          algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-scheduler
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-scheduler.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-scheduler.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-scheduler.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/kubectl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kubectl
    aliases:
      - name: kubernetes/kubectl
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: The kubectl command line tool lets you control Kubernetes clusters
    link: https://kubernetes.io/docs/reference/kubectl/
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.7")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - amd64
      - version_constraint: semver("<= 1.15.3")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 1.20.15")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.exe.sha256
              algorithm: sha256
      - version_constraint: semver("<= 1.22.17")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl
        format: raw
        windows_arm_emulation: true
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.exe.sha256
              algorithm: sha256
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl
        format: raw
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.exe.sha256
              algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl
        format: raw
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.exe.sha256
              algorithm: sha256
            cosign:
              opts:
                - --signature
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.exe.sig
                - --certificate
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubectl.exe.cert
                - --certificate-identity
                - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
                - --certificate-oidc-issuer
                - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/kube-proxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kube-proxy
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: The kube-proxy reflects services defined in the Kubernetes API on each node and can perform simple TCP, UDP, or SCTP stream forwarding, or round-robin TCP, UDP, or SCTP forwarding across multiple backends
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.7")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.15.3")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy.exe.sha256
              algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy.exe.sha256
              algorithm: sha256
            cosign:
              opts:
                - --signature
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy.exe.sig
                - --certificate
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-proxy.exe.cert
                - --certificate-identity
                - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
                - --certificate-oidc-issuer
                - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/apiextensions-apiserver", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/apiextensions-apiserver
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: API server for API extensions like CustomResourceDefinitions
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.6.13")
        no_asset: true
      - version_constraint: semver("<= 1.15.3")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/apiextensions-apiserver
        format: raw
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/apiextensions-apiserver
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/apiextensions-apiserver.sha256
          algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/apiextensions-apiserver
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/apiextensions-apiserver.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/apiextensions-apiserver.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/apiextensions-apiserver.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/kubelet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kubelet
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: The kubelet is the primary "node agent" that runs on each node
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.7")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.15.3")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet
        format: raw
        windows_arm_emulation: true
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet.exe.sha256
              algorithm: sha256
        supported_envs:
          - linux
          - windows
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet
        format: raw
        windows_arm_emulation: true
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet.exe.sha256
              algorithm: sha256
            cosign:
              opts:
                - --signature
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet.exe.sig
                - --certificate
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kubelet.exe.cert
                - --certificate-identity
                - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
                - --certificate-oidc-issuer
                - "https://accounts.google.com"
        supported_envs:
          - linux
          - windows
"###),
    ("kubernetes/kubernetes/kube-aggregator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kube-aggregator
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: "Aggregator for Kubernetes-style API servers: dynamic registration, discovery summarization, secure proxy"
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.18.20")
        no_asset: true
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-aggregator
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-aggregator.sha256
          algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-aggregator
        format: raw
        supported_envs:
          - linux
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-aggregator.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-aggregator.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-aggregator.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
"###),
    ("kubernetes/kubernetes/kube-log-runner", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes/kubernetes/kube-log-runner
    type: http
    repo_owner: kubernetes
    repo_name: kubernetes
    description: The kube-log-runner is a Go based binary that can run commands and redirect stdout/stderr etc
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.22.17")
        no_asset: true
      - version_constraint: semver("<= 1.25.4")
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner.exe.sha256
              algorithm: sha256
      - version_constraint: "true"
        url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        checksum:
          type: http
          url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner.sha256
          algorithm: sha256
        cosign:
          opts:
            - --signature
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner.sig
            - --certificate
            - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner.cert
            - --certificate-identity
            - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
            - --certificate-oidc-issuer
            - "https://accounts.google.com"
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner.exe.sha256
              algorithm: sha256
            cosign:
              opts:
                - --signature
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner.exe.sig
                - --certificate
                - https://dl.k8s.io/{{.Version}}/bin/{{.OS}}/{{.Arch}}/kube-log-runner.exe.cert
                - --certificate-identity
                - "krel-staging@k8s-releng-prod.iam.gserviceaccount.com"
                - --certificate-oidc-issuer
                - "https://accounts.google.com"
"###),
    ("kubernetes/node-problem-detector", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes
    repo_name: node-problem-detector
    description: This is a place for various problem detectors running on the Kubernetes nodes
    files:
      - name: node-problem-detector
        src: bin/{{.FileName}}
      - name: health-checker
        src: bin/{{.FileName}}
      - name: log-counter
        src: bin/{{.FileName}}
    version_filter: not (Version matches "-(alpha|beta|rc)$")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.8.11"
        no_asset: true
      - version_constraint: Version == "v0.8.8"
        asset: node-problem-detector-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - windows
        overrides:
          - goos: windows
            files:
              - name: node-problem-detector.exe
                src: bin/{{.FileName}}
              - name: health-checker.exe
                src: bin/{{.FileName}}
      - version_constraint: Version == "v0.8.12"
        asset: node-problem-detector-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha512"
          algorithm: sha512
        supported_envs:
          - linux
          - windows
        overrides:
          - goos: windows
            files:
              - name: node-problem-detector.exe
                src: bin/{{.FileName}}
              - name: health-checker.exe
                src: bin/{{.FileName}}
      - version_constraint: Version == "v0.8.13"
        asset: node-problem-detector-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        overrides:
          - goos: windows
            files:
              - name: node-problem-detector.exe
                src: bin/{{.FileName}}
              - name: health-checker.exe
                src: bin/{{.FileName}}
      - version_constraint: semver("<= 0.8.7")
        asset: node-problem-detector-{{.Version}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.8.10")
        asset: node-problem-detector-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        overrides:
          - goos: windows
            files:
              - name: node-problem-detector.exe
                src: bin/{{.FileName}}
              - name: health-checker.exe
                src: bin/{{.FileName}}
      - version_constraint: semver("<= 0.8.15")
        asset: node-problem-detector-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha512"
          algorithm: sha512
        supported_envs:
          - linux
          - windows
        overrides:
          - goos: windows
            files:
              - name: node-problem-detector.exe
                src: bin/{{.FileName}}
              - name: health-checker.exe
                src: bin/{{.FileName}}
      - version_constraint: "true"
        asset: node-problem-detector-{{.Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
        overrides:
          - goos: windows
            files:
              - name: node-problem-detector.exe
                src: bin/{{.FileName}}
              - name: health-checker.exe
                src: bin/{{.FileName}}
"###),
    ("kubernetes/kops", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes
    repo_name: kops
    description: Kubernetes Operations (kops) - Production Grade K8s Installation, Upgrades, and Management
    complete_windows_ext: false
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: kops-{{.OS}}-{{.Arch}}
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("cloverstd/tcping", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloverstd
    repo_name: tcping
    description: ping over a tcp connection
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: tcping-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: tcping-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("ipfs/kubo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ipfs
    repo_name: kubo
    aliases:
      - name: ipfs/go-ipfs
    description: IPFS is a global, versioned, peer-to-peer filesystem
    supported_envs:
      - darwin
      - linux
      - amd64
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    version_constraint: semver(">= 0.14.0")
    asset: kubo_{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
    files:
      - name: ipfs
        src: kubo/ipfs
    version_overrides:
      - version_constraint: "true"
        asset: go-ipfs_{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: ipfs
            src: go-ipfs/ipfs
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha512"
      algorithm: sha512
"###),
    ("kyma-project/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kyma-project
    repo_name: cli
    description: Simple set of commands to manage a Kyma installation
    asset: kyma_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: kyma
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 2.7.0")
    version_overrides:
      - version_constraint: semver(">= 1.2.0")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 1.2.0-rc1")
        asset: kyma_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver(">= 0.2.0")
        asset: kyma-{{.OS}}
        format: raw
        overrides:
          - goos: windows
            asset: kyma
        replacements: {}
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: Version == "v0.1.0"
        asset: kymactl-{{.OS}}
        format: raw
        overrides:
          - goos: windows
            asset: kymactl.exe
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("werf/nelm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: werf
    repo_name: nelm
    description: Nelm is a Helm 3 alternative. It is a Kubernetes deployment tool that manages Helm Charts and deploys them to Kubernetes
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.1")
        url: https://storage.googleapis.com/nelm-tuf/targets/releases/{{trimV .Version}}/{{.OS}}-{{.Arch}}/bin/nelm
        format: raw
        windows_arm_emulation: true
      - version_constraint: "true"
        url: https://tuf.nelm.sh/targets/releases/{{trimV .Version}}/{{.OS}}-{{.Arch}}/bin/nelm
        format: raw
        windows_arm_emulation: true
"###),
    ("mattermost/mmctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattermost
    repo_name: mmctl
    asset: "{{.OS}}_{{.Arch}}.{{.Format}}"
    format: tar
    description: A remote CLI tool for Mattermost
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: "{{.Asset}}.md5.txt"
      algorithm: md5
"###),
    ("context-labs/mactop", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: context-labs
    repo_name: mactop
    search_words:
      - goasitop
    description: mactop - Apple Silicon Monitor Top written in pure Golang! Under 1,000 lines of code
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: goasitop_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: goasitop
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin/arm64
      - version_constraint: "true"
        asset: mactop_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin/arm64
"###),
    ("eficode/wait-for", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: eficode
    repo_name: wait-for
    description: ./wait-for is a script to wait for another service to become available
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: wait-for
        supported_envs:
          - linux
          - darwin
"###),
    ("spotDL/spotify-downloader", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: spotDL
    repo_name: spotify-downloader
    description: Download your Spotify playlists and songs along with album art and metadata (from YouTube if a match is found)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v3.2.1", "v3.3.2", "v3.4.0", "v3.4.2", "v3.3.3", "v3.4.1", "v3.5.0", "v3.6.1"]
        no_asset: true
      - version_constraint: Version == "v3.1.0"
        asset: spotDL.{{.OS}}
        format: raw
        replacements:
          windows: win64
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "v4.0.0rc1"
        asset: spotdl-4.0.0-{{.OS}}
        format: raw
        replacements:
          arm64: aarch64
        overrides:
          - goos: linux
            goarch: arm64
            asset: spotdl-4.0.0-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v4.0.0"
        asset: spotdl-{{trimV .Version}}-{{.OS}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v4.0.3"
        asset: spotdl-4.0.2-{{.OS}}
        format: raw
        replacements:
          arm64: aarch64
        overrides:
          - goos: linux
            goarch: arm64
            asset: spotdl-4.0.2-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v4.2.3"
        asset: spotdl-4.2.2-{{.OS}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 3.9.6")
        no_asset: true
      - version_constraint: semver("<= 4.0.5")
        asset: spotdl-{{trimV .Version}}-{{.OS}}
        format: raw
        replacements:
          arm64: aarch64
        overrides:
          - goos: linux
            goarch: arm64
            asset: spotdl-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 4.2.2")
        asset: spotdl-{{trimV .Version}}-{{.OS}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 4.2.5")
        asset: spotdl-{{trimV .Version}}-{{.OS}}
        format: raw
        replacements:
          arm64: aarch64
        overrides:
          - goos: linux
            goarch: arm64
            asset: spotdl-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: spotdl-{{trimV .Version}}-{{.OS}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("_go/sigsum.org/sigsum-go/cmd/sigsum-monitor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: _go/sigsum.org/sigsum-go#cmd/sigsum-monitor
    type: go_install
    description: One of Sigsum command line tools
    path: sigsum.org/sigsum-go/cmd/sigsum-monitor
    go_version_path: sigsum.org/sigsum-go
"###),
    ("_go/sigsum.org/sigsum-go/cmd/sigsum-key", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: _go/sigsum.org/sigsum-go#cmd/sigsum-key
    type: go_install
    description: One of Sigsum command line tools. Generate new keys, create and verify signatures, and convert between different key formats.
    path: sigsum.org/sigsum-go/cmd/sigsum-key
    go_version_path: sigsum.org/sigsum-go
"###),
    ("_go/sigsum.org/sigsum-go/cmd/sigsum-verify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: _go/sigsum.org/sigsum-go#cmd/sigsum-verify
    type: go_install
    description: One of Sigsum command line tools. sigsum-verify tool verifies a Sigsum proof, as created by sigsum-submit
    path: sigsum.org/sigsum-go/cmd/sigsum-verify
    go_version_path: sigsum.org/sigsum-go
"###),
    ("_go/sigsum.org/sigsum-go/cmd/sigsum-token", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: _go/sigsum.org/sigsum-go#cmd/sigsum-token
    type: go_install
    description: |
      One of Sigsum command line tools.
      The sigsum-token tool is used to manage the Sigsum "submit tokens" that are used for domain based rate limiting
    path: sigsum.org/sigsum-go/cmd/sigsum-token
    go_version_path: sigsum.org/sigsum-go
"###),
    ("_go/sigsum.org/sigsum-go/cmd/sigsum-witness", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: _go/sigsum.org/sigsum-go#cmd/sigsum-witness
    type: go_install
    description: One of Sigsum command line tools
    path: sigsum.org/sigsum-go/cmd/sigsum-witness
    go_version_path: sigsum.org/sigsum-go
"###),
    ("_go/sigsum.org/sigsum-go/cmd/sigsum-submit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: _go/sigsum.org/sigsum-go#cmd/sigsum-submit
    type: go_install
    description: |
      One of Sigsum command line tools.
      The sigsum-submit tool is used to create and/or submit add-leaf requests to a Sigsum log
    path: sigsum.org/sigsum-go/cmd/sigsum-submit
    go_version_path: sigsum.org/sigsum-go
"###),
    ("marcosnils/bin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: marcosnils
    repo_name: bin
    description: Effortless binary manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.17.1"
        asset: bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.0")
        asset: bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.0")
        asset: bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.17.0")
        asset: bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("josephburnett/jd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: josephburnett
    repo_name: jd
    description: JSON diff and patch
    asset: jd-{{.Arch}}-{{.OS}}
    format: raw
    version_constraint: semver(">= 1.6.1")
    version_overrides:
      - version_constraint: semver(">= 1.5.0")
        complete_windows_ext: false
      - version_constraint: Version == "v1.4.0"
        complete_windows_ext: false
        rosetta2: true
        overrides:
          - goos: linux
            goarch: arm64
            type: go_install
            path: github.com/josephburnett/jd
          - goos: windows
            goarch: arm64
            type: go_install
            path: github.com/josephburnett/jd
      - version_constraint: semver(">= 1.2.0")
        asset: jd
        overrides:
          - goarch: arm64
            type: go_install
            path: github.com/josephburnett/jd
          - goos: darwin
            goarch: amd64
            type: go_install
            path: github.com/josephburnett/jd
          - goos: windows
            goarch: amd64
            type: go_install
            path: github.com/josephburnett/jd
      - version_constraint: semver("< 1.2.0")
        asset: jd
        supported_envs:
          - linux/amd64
"###),
    ("hhatto/gocloc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hhatto
    repo_name: gocloc
    description: A little fast cloc(Count Lines Of Code)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.6"
        no_asset: true
      - version_constraint: Version == "v0.4.0"
        asset: gocloc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: gocloc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v0.4.3"
        asset: gocloc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: gocloc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.3.1")
        asset: gocloc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.3")
        asset: gocloc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: gocloc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.2")
        asset: gocloc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: gocloc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.5.0")
        asset: gocloc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: gocloc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: gocloc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: gocloc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("gohugoio/hugo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gohugoio
    repo_name: hugo
    asset: hugo_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
    description: The world’s fastest framework for building websites
    files:
      - name: hugo
    format: tar.gz
    checksum:
      type: github_release
      asset: hugo_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.103.0")
    overrides:
      - goos: windows
        format: zip
      - goos: darwin
        asset: hugo_{{trimV .Version}}_darwin-universal.tar.gz
    version_overrides:
      - version_constraint: semver(">= 0.102.0")
        overrides:
          - goos: windows
            format: zip
          - goos: darwin
            asset: hugo_{{trimV .Version}}_macOS-universal.tar.gz
        replacements: &hugo_replacements_1
          amd64: 64bit
          386: 32bit
          arm: ARM
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
          openbsd: OpenBSD
          netbsd: NetBSD
          freebsd: FreeBSD
          dragonfly: DragonFlyBSD
      - version_constraint: "true"
        replacements: *hugo_replacements_1
        overrides:
          - goos: windows
            format: zip
"###),
    ("gohugoio/hugo/hugo-extended", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: gohugoio/hugo/hugo-extended
    repo_owner: gohugoio
    repo_name: hugo
    description: The world’s fastest framework for building websites
    files:
      - name: hugo
    format: tar.gz
    asset: hugo_extended_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
    supported_envs:
      - linux
      - amd64
      - darwin
    checksum:
      type: github_release
      asset: hugo_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.103.0")
    # Since v0.103.0, replacements was changed.
    overrides:
      - goos: windows
        format: zip
      - goos: darwin
        asset: hugo_extended_{{trimV .Version}}_{{.OS}}-universal.tar.gz
    version_overrides:
      - version_constraint: semver(">= 0.102.0")
        # Since v0.102.0, macOS archives have replaced with universal binaries, and linux/arm64 has been supported
        replacements: &hugo_extended_replacements_1
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
      - version_constraint: semver("= 0.88.0")
        # In v0.88.0, macOS/arm64 was missing
        rosetta2: true
        overrides:
          - goos: windows
            format: zip
        replacements: *hugo_extended_replacements_1
        supported_envs:
          - amd64
          - darwin
      - version_constraint: semver(">= 0.81.0")
        # Since v0.81.0, macOS/arm64 has been supported
        overrides:
          - goos: windows
            format: zip
        replacements: *hugo_extended_replacements_1
        supported_envs:
          - amd64
          - darwin
      - version_constraint: "true"
        rosetta2: true
        replacements: *hugo_extended_replacements_1
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - amd64
          - darwin
"###),
    ("uber-go/mock", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: uber-go
    repo_name: mock
    description: GoMock is a mocking framework for the Go programming language
    path: go.uber.org/mock/mockgen
    files:
      - name: mockgen
"###),
    ("tofuutils/tenv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tofuutils
    repo_name: tenv
    description: OpenTofu / Terraform version manager
    files:
      - name: tenv
      - name: terraform
      - name: tofu
      - name: terragrunt
      - name: tf
      - name: atmos
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.5")
        asset: tenv_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: tenv
          - name: terraform
          - name: tofu
        checksum:
          type: github_release
          asset: tenv_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v1.0.6"
        asset: tenv_.{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: tenv
          - name: terraform
          - name: tofu
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          enabled: false
      - version_constraint: Version == "v1.0.7"
        asset: tenv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: tenv
          - name: terraform
          - name: tofu
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: tenv_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.1.1")
        # 1.0.8 terragrunt
        asset: tenv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: tenv
          - name: terraform
          - name: tofu
          - name: terragrunt
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: tenv_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.10.2")
        # 1.2.0 tf
        asset: tenv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: tenv
          - name: terraform
          - name: tofu
          - name: terragrunt
          - name: tf
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: tenv_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.11.19")
        # 1.11.0 atmos
        asset: tenv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: tenv
          - name: terraform
          - name: tofu
          - name: terragrunt
          - name: tf
          - name: atmos
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: tenv_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: tenv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: tenv
          - name: terraform
          - name: tofu
          - name: terragrunt
          - name: tf
          - name: atmos
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: tenv_{{.Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/tofuutils/tenv/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/tofuutils/tenv/releases/download/{{.Version}}/tenv_{{.Version}}_checksums.txt.sig
              - --certificate
              - https://github.com/tofuutils/tenv/releases/download/{{.Version}}/tenv_{{.Version}}_checksums.txt.pem
"###),
    ("tofuutils/tofuenv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_archive
    repo_owner: tofuutils
    repo_name: tofuenv
    description: OpenTofu version manager
    supported_envs:
      - darwin
      - linux
    files:
      - name: tofuenv
        src: tofuenv-{{trimV .Version}}/bin/tofuenv
      - name: tofu
        src: tofuenv-{{trimV .Version}}/bin/tofu
"###),
    ("mrowa44/emojify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: mrowa44
    repo_name: emojify
    description: "Emoji on the command line :scream:"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        path: emojify
"###),
    ("subtrace/subtrace", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: subtrace
    repo_name: subtrace
    description: Wireshark for Docker containers
    version_prefix: "b"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 154.0.0")
        asset: subtrace-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: subtrace-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("neilotoole/sq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: neilotoole
    repo_name: sq
    description: sq data wrangler
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.14.6")
        asset: sq-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: sq-{{trimV .Version}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.15.4")
        asset: sq-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: sq-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.15.11")
        asset: sq_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.40.0")
        asset: sq-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.48.4")
        asset: sq-{{trimV .Version}}-{{.Arch}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
          - goos: darwin
            asset: sq-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
      - version_constraint: "true"
        asset: sq-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("graelo/pumas", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: graelo
    repo_name: pumas
    description: Power Usage Monitor for Apple Silicon
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pumas-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: pumas
            src: target/release/pumas
        replacements:
          arm64: aarch64
          darwin: apple-darwin
        supported_envs:
          - darwin/arm64
"###),
    ("opentofu/opentofu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: opentofu
    repo_name: opentofu
    description: OpenTofu lets you declaratively manage your cloud infrastructure
    asset: tofu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: tofu_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
      cosign:
        opts:
          - --certificate-identity-regexp
          - "https://github\\.com/opentofu/opentofu/\\.github/workflows/release\\.yml@refs/(heads|tags)/(main|v1\\..+)"
          - --certificate-oidc-issuer
          - "https://token.actions.githubusercontent.com"
          - --signature
          - https://github.com/opentofu/opentofu/releases/download/{{.Version}}/tofu_{{trimV .Version}}_SHA256SUMS.sig
          - --certificate
          - https://github.com/opentofu/opentofu/releases/download/{{.Version}}/tofu_{{trimV .Version}}_SHA256SUMS.pem
    files:
      - name: tofu
"###),
    ("codesenberg/bombardier", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: codesenberg
    repo_name: bombardier
    description: Fast cross-platform HTTP benchmarking tool written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.2.5"
        asset: bombardier-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.5.0")
        asset: bombardier-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 1.2.4")
        asset: bombardier-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: bombardier-{{.OS}}-{{.Arch}}
        format: raw
"###),
    ("helmfile/helmfile", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: helmfile
    repo_name: helmfile
    aliases:
      - name: roboll/helmfile
    description: Declaratively deploy your Kubernetes manifests, Kustomize configs, and Charts as Helm releases. Generate all-in-one manifests for use with ArgoCD
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: helmfile_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: helmfile_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("helmfile/vals", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: helmfile
    repo_name: vals
    aliases:
      - name: variantdev/vals
    description: Helm-like configuration values loader with support for various sources
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.16.0", "v0.17.0"]
        no_asset: true
      - version_constraint: Version == "v0.16.1"
        asset: vals_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: vals_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v0.16.2"
        asset: vals_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: vals_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.11.0")
        asset: vals_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: vals_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.15.0")
        asset: vals_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: vals_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: vals_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: vals_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("mitchellh/gox", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: mitchellh
    repo_name: gox
    description: A dead simple, no frills Go cross compile tool
    version_source: github_tag
"###),
    ("mitchellh/golicense", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mitchellh
    repo_name: golicense
    description: Scan and analyze OSS dependencies and licenses from compiled Go binaries
    asset: golicense_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: macos
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("mitchellh/gon", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mitchellh
    repo_name: gon
    asset: gon_{{.OS}}.zip
    description: Sign, notarize, and package macOS CLI tools and applications written in any language. Available as both a CLI and a Go library
    replacements:
      darwin: macos
    supported_envs:
      - darwin
    rosetta2: true
"###),
    ("asciimoo/wuzz", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: asciimoo
    repo_name: wuzz
    description: Interactive cli tool for HTTP inspection
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: wuzz_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("kcl-lang/kcl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kcl-lang
    repo_name: kcl
    description: KCL Programming Language (CNCF Sandbox Project). https://kcl-lang.io
    files:
      - name: kcl-language-server
      - name: kclvm_cli
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kclvm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: kcl-language-server
            src: kclvm/bin/kcl-language-server
          - name: kclvm_cli
            src: kclvm/bin/kclvm_cli
        supported_envs:
          - darwin
          - linux
"###),
    ("kcl-lang/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kcl-lang
    repo_name: cli
    description: The KCL Command Line Interface (CLI)
    asset: kcl-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    checksum:
      type: github_release
      asset: cli_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    files:
      - name: kcl
    overrides:
      - goos: windows
        format: zip
"###),
    ("igor-petruk/scriptisto", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: igor-petruk
    repo_name: scriptisto
    description: A language-agnostic "shebang interpreter" that enables you to write scripts in compiled languages
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: scriptisto.{{.Format}}
        format: bz2
        supported_envs:
          - linux/amd64
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: Version == "v2.0.0"
        asset: scriptisto.{{.Format}}
        format: bz2
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: scriptisto-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("zaquestion/lab", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zaquestion
    repo_name: lab
    description: Lab wraps Git or Hub, making it simple to clone, fork, and interact with repositories on GitLab
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.5.0"
        no_asset: true
      - version_constraint: Version == "v0.24.0"
        asset: lab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: lab_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.11.1")
        asset: lab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: lab_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.17.2")
        asset: lab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: lab_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.23.0")
        asset: lab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: lab_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: lab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: lab_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("moncho/dry", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: moncho
    repo_name: dry
    description: dry - A Docker manager for the terminal @
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.3-beta.2", "v0.9-beta.6"] or semver("> 0.3-beta.10, <= 0.4-beta.5")
        no_asset: true
      - version_constraint: semver("<= 0.9-beta.9")
        asset: dry-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10-beta.1")
        asset: dry-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: "true"
        asset: dry-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
"###),
    ("particledecay/kconf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: particledecay
    repo_name: kconf
    description: Manage multiple kubeconfigs easily
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        no_asset: true
      - version_constraint: semver("<= 1.2.0")
        asset: kconf-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.3.4"
        asset: kconf-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        # src is program
        files:
          - name: kconf
            src: program
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      # v1.4.0 chore(build): build release binaries with lowercase OS
      - version_constraint: Version == "v1.4.0"
        asset: kconf-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        # src is program
        files:
          - name: kconf
            src: program
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.9.0")
        asset: kconf-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.12.0")
        asset: kconf-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kconf-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("crate-ci/typos", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: crate-ci
    repo_name: typos
    description: Source code spell checker
    version_filter: not (Version startsWith "varcon-")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.13.17"
        asset: typos-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            format: tar.gz
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: semver("<= 1.0.11")
        asset: typos-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.17.0")
        asset: typos-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.22.4")
        asset: typos-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.22.6")
        asset: typos-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            format: tar.gz
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: semver("<= 1.29.7")
        asset: typos-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: typos-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("crate-ci/committed", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: crate-ci
    repo_name: committed
    description: Nitpicking commit history since beabf39
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2") || Version == "v0.1.22"
        no_asset: true
      - version_constraint: Version == "v0.2.8"
        asset: committed-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 0.1.4")
        asset: committed-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        supported_envs:
          - windows
      - version_constraint: semver("<= 0.1.15")
        asset: committed-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.20")
        no_asset: true
      - version_constraint: Version == "v0.1.21"
        asset: committed-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: committed
            src: "{{.AssetWithoutExt}}/committed"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: committed-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("carvel-dev/kwt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: carvel-dev
    repo_name: kwt
    aliases:
      - name: vmware-tanzu/carvel-kwt
    description: Kubernetes Workstation Tools CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.6")
        asset: kwt-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kwt-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("carvel-dev/imgpkg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: carvel-dev
    repo_name: imgpkg
    aliases:
      - name: vmware-tanzu/carvel-imgpkg
    description: Store application configuration files in Docker/OCI registries
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.17.0"
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.27.1"
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.27.3"
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.35.0"
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.12.0")
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0")
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.27.0")
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("< 0.40.0")
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: imgpkg-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/carvel-dev/imgpkg/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/carvel-dev/imgpkg/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/carvel-dev/imgpkg/releases/download/{{.Version}}/checksums.txt.pem
"###),
    ("carvel-dev/ytt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: carvel-dev
    repo_name: ytt
    aliases:
      - name: vmware-tanzu/carvel-ytt
    description: YAML templating tool that works on YAML structure instead of text
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: ytt-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.31.0")
        asset: ytt-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.35.0")
        asset: ytt-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.37.0")
        asset: ytt-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.46.6")
        asset: ytt-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: ytt-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/carvel-dev/ytt/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/carvel-dev/ytt/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/carvel-dev/ytt/releases/download/{{.Version}}/checksums.txt.sig
"###),
    ("carvel-dev/vendir", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: carvel-dev
    repo_name: vendir
    aliases:
      - name: vmware-tanzu/carvel-vendir
    description: Easy way to vendor portions of git repos, github releases, helm charts, docker image contents, etc. declaratively
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.17.0")
        asset: vendir-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.24.0")
        asset: vendir-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.38.0")
        asset: vendir-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: vendir-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/carvel-dev/vendir/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/carvel-dev/vendir/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/carvel-dev/vendir/releases/download/{{.Version}}/checksums.txt.sig
"###),
    ("carvel-dev/kbld", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: carvel-dev
    repo_name: kbld
    aliases:
      - name: vmware-tanzu/carvel-kbld
    description: kbld seamlessly incorporates image building and image pushing into your development and deployment workflows
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.31.0"
        asset: kbld-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: Version == "v0.32.0"
        asset: kbld-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.32.2"
        asset: kbld-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.30.0")
        asset: kbld-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("< 0.39.0")
        asset: kbld-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kbld-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/carvel-dev/kbld/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/carvel-dev/kbld/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/carvel-dev/kbld/releases/download/{{.Version}}/checksums.txt.pem
"###),
    ("carvel-dev/kapp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: carvel-dev
    repo_name: kapp
    aliases:
      - name: vmware-tanzu/carvel-kapp
    description: kapp is a simple deployment tool focused on the concept of "Kubernetes application" — a set of resources with the same label
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.34.0")
        asset: kapp-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.38.0")
        asset: kapp-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.45.0")
        asset: kapp-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("< 0.60.0")
        asset: kapp-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kapp-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - https://github.com/carvel-dev/kapp/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/carvel-dev/kapp/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/carvel-dev/kapp/releases/download/{{.Version}}/checksums.txt.pem
"###),
    ("hellux/jotdown", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hellux
    repo_name: jotdown
    description: A Djot parser library
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: jotdown-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: jotdown
            src: jotdown-{{.Version}}-{{.Arch}}-{{.OS}}/jotdown
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("svenstaro/genact", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: svenstaro
    repo_name: genact
    description: A nonsense activity generator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.2")
        asset: genact-{{.OS}}
        format: raw
        replacements:
          windows: win
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 0.7.0")
        asset: genact-{{.OS}}
        format: raw
        replacements:
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.12.0")
        asset: genact-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: "true"
        asset: genact-{{trimV .Version}}-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
"###),
    ("svenstaro/miniserve", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: svenstaro
    repo_name: miniserve
    description: For when you really just want to serve some files over HTTP right now
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.10.1"
        no_asset: true
      - version_constraint: semver("<= 0.1.3")
        asset: miniserve-{{.OS}}
        format: raw
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.1")
        asset: miniserve-{{.OS}}
        format: raw
        replacements:
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.0")
        asset: miniserve-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.4")
        asset: miniserve-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 0.20.0")
        asset: miniserve-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 0.23.1")
        asset: miniserve-{{trimV .Version}}-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: "true"
        asset: miniserve-{{trimV .Version}}-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("openclarity/vmclarity", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: openclarity
    repo_name: vmclarity
    description: VMClarity is an open source tool for agentless detection and management of Virtual Machine Software Bill Of Materials (SBOM) and security threats such as vulnerabilities, exploits, malware, rootkits, misconfigurations and leaked secrets
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        asset: vmclarity-cli-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: vmclarity-cli
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: vmclarity-cli-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: vmclarity-cli
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
"###),
    ("openclarity/kubeclarity", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: openclarity
    repo_name: kubeclarity
    description: KubeClarity is a tool for detection and management of Software Bill Of Materials (SBOM) and vulnerabilities of container images and filesystems
    asset: kubeclarity-cli-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: kubeclarity-cli
    supported_envs:
      - linux
      - darwin
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 2.1.0")
    version_overrides:
      - version_constraint: semver("= 2.0.0")
        asset: cli-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: kubeclarity-cli
            src: cli
"###),
    ("lasiar/canonicalheader", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lasiar
    repo_name: canonicalheader
    description: Golang linter checking the canonicality of the http header
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: canonicalheader_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: canonicalheader_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("greymd/teip", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: greymd
    repo_name: teip
    description: Masking tape to help commands "do one thing well"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.3.1"
        asset: teip-{{trimV .Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: teip
            src: bin/teip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: raw
            asset: teip_installer-{{trimV .Version}}-{{.Arch}}-{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.0")
        asset: teip-{{trimV .Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: teip
            src: bin/teip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.1.0")
        asset: teip-{{trimV .Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: teip
            src: bin/teip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: raw
            asset: teip_installer-{{trimV .Version}}-{{.Arch}}-{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: teip-{{trimV .Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: teip
            src: bin/teip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: raw
            asset: teip_installer-{{trimV .Version}}-{{.Arch}}-{{.OS}}
"###),
    ("greymd/ojichat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: greymd
    repo_name: ojichat
"###),
    ("nucleuscloud/neosync", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nucleuscloud
    repo_name: neosync
    description: Open source data anonymization and synthetic data orchestration for developers. Create high fidelity synthetic data and sync it across your environments
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.25")
        asset: neosync_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: neosync_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: neosync_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("xeol-io/xeol", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xeol-io
    repo_name: xeol
    description: A scanner for end-of-life (EOL) software and dependencies in container images, filesystems, and SBOMs
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.4")
        asset: xeol_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: xeol_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.9.13")
        asset: xeol_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: xeol_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.10.0")
        asset: xeol_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: xeol_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: xeol_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: xeol_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("raviqqe/muffet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: raviqqe
    repo_name: muffet
    description: Fast website link checker in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.1.0"
        asset: muffet_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.5.0")
        asset: muffet_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: muffet_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
      - version_constraint: semver("<= 2.4.0")
        asset: muffet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: muffet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
      - version_constraint: semver("<= 2.4.2")
        asset: muffet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: ARM64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: muffet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.8.1")
        asset: muffet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: ARM64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: muffet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: muffet_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: muffet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("knadh/listmonk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: knadh
    repo_name: listmonk
    description: High performance, self-hosted, newsletter and mailing list manager with a modern dashboard. Single binary app
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.4.0")
        asset: listmonk_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: listmonk_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: listmonk_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: listmonk_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("go-delve/delve", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: go-delve
    repo_name: delve
    description: Delve is a debugger for the Go programming language
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        path: github.com/go-delve/delve/cmd/dlv
        files:
          - name: dlv
"###),
    ("sunny0826/kubecm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sunny0826
    repo_name: kubecm
    description: Manage your kubeconfig more easily
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.1")
        asset: kubecm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.13.1")
        asset: kubecm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.15.2")
        asset: kubecm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.19.2")
        asset: kubecm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kubecm_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("sunny0826/kubectl-pod-lens", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sunny0826
    repo_name: kubectl-pod-lens
    description: kubectl plugin for show pod-related resources
    files:
      - name: kubectl-pod_lens
        src: pod-lens
      - name: pod-lens
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.1"
        asset: pod-lens_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: pod-lens_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.2.2"
        asset: pod-lens_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: pod-lens_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.2.0")
        asset: pod-lens_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: pod-lens_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: pod-lens_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pod-lens_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("pkolaczk/fclones", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pkolaczk
    repo_name: fclones
    description: Efficient Duplicate File Finder
    version_filter: not (Version matches "^gui")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.12.3", "v0.18.1", "v0.29.2", "v0.31.1"]
        no_asset: true
      - version_constraint: Version == "0.2.0"
        asset: fclones-{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          windows: win
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            asset: fclones-{{.Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
            replacements:
              amd64: x86_64
        supported_envs:
          - linux/arm64
          - windows/amd64
      - version_constraint: Version in ["v0.19.0", "v0.23.0"]
        asset: fclones-{{trimV .Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: win
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "v0.20.0"
        asset: fclones-{{trimV .Version}}.{{.Format}}
        format: tgz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            files:
              - name: fclones
                src: usr/bin/fclones
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.20.1"
        asset: fclones-{{trimV .Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: win
        overrides:
          - goos: linux
            asset: fclones-{{trimV .Version}}.{{.Format}}
            format: tgz
            files:
              - name: fclones
                src: usr/bin/fclones
        supported_envs:
          - darwin
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "v0.21.0"
        asset: fclones-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: win
        overrides:
          - goos: windows
            asset: fclones-{{trimV .Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
          - goos: linux
            asset: fclones-{{trimV .Version}}.{{.Format}}
            format: tgz
            files:
              - name: fclones
                src: usr/bin/fclones
        supported_envs:
          - darwin
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "v0.22.0"
        asset: fclones-{{trimV .Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: win
        overrides:
          - goos: darwin
            format: tar.gz
          - goos: linux
            asset: fclones-{{trimV .Version}}.{{.Format}}
            format: tgz
            files:
              - name: fclones
                src: usr/bin/fclones
        supported_envs:
          - darwin
          - linux/amd64
          - windows/amd64
      - version_constraint: Version in ["v0.24.0", "v0.26.0"]
        asset: fclones-{{trimV .Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: win
          linux: linux-musl
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "v0.25.0"
        asset: fclones-{{trimV .Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: linux-musl
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 0.1.2")
        no_asset: true
      - version_constraint: semver("<= 0.6.0")
        asset: fclones-{{.Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          windows: win
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            replacements:
              amd64: x86_64
        supported_envs:
          - linux/arm64
          - windows/amd64
      - version_constraint: semver("<= 0.9.1")
        asset: fclones-{{.Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: win
        supported_envs:
          - windows/amd64
      - version_constraint: semver("<= 0.10.2")
        asset: fclones-{{trimV .Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: win
        supported_envs:
          - windows/amd64
      - version_constraint: semver("<= 0.12.0")
        no_asset: true
      - version_constraint: semver("<= 0.28.0")
        asset: fclones-{{trimV .Version}}-{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: linux
            asset: fclones-{{trimV .Version}}.{{.Format}}
            format: tgz
            files:
              - name: fclones
                src: usr/bin/fclones
        replacements:
          amd64: x86_64
          windows: win
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: "true"
        asset: fclones-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: linux-musl
        overrides:
          - goos: linux
            format: tar.gz
            files:
              - name: fclones
                src: target/{{.Arch}}-unknown-{{.OS}}/release/fclones
        supported_envs:
          - linux/amd64
          - windows/amd64
"###),
    ("afnanenayet/diffsitter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: afnanenayet
    repo_name: diffsitter
    description: A tree-sitter based AST difftool to get meaningful semantic diffs
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.1"
        asset: diffsitter-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.3")
        asset: diffsitter-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: diffsitter
            src: target/release/diffsitter
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.1.5"
        no_asset: true
      - version_constraint: Version == "v0.1.6"
        asset: diffsitter-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: diffsitter
            src: diffsitter-{{.OS}}-{{.Arch}}/diffsitter
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.0-2")
        asset: diffsitter-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.OS}}-{{.Arch}}/diffsitter
        overrides:
          - goos: windows
            format: zip
            files:
              - name: diffsitter
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.2.0-3"
        asset: diffsitter-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.OS}}-{{.Arch}}/diffsitter
        overrides:
          - goos: windows
            format: zip
            files:
              - name: diffsitter
            checksum:
              enabled: false
        supported_envs:
          - linux/amd64
          - windows/amd64
        checksum:
          type: github_release
          asset: diffsitter-{{.OS}}-{{.Arch}}.tar.gz.sha256sum
          algorithm: sha256
      - version_constraint: Version == "v0.2.0"
        asset: diffsitter-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.OS}}-{{.Arch}}/diffsitter
        overrides:
          - goos: windows
            format: zip
            files:
              - name: diffsitter
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.3.0-1"
        asset: diffsitter-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.OS}}-{{.Arch}}/diffsitter
        overrides:
          - goos: windows
            format: zip
            files:
              - name: diffsitter
            checksum:
              enabled: false
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v0.3.0"
        asset: diffsitter-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: diffsitter
            src: diffsitter-{{.OS}}-{{.Arch}}/diffsitter
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.6.4")
        asset: diffsitter-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.OS}}-{{.Arch}}/diffsitter
          - name: git-diffsitter
            src: diffsitter-{{.OS}}-{{.Arch}}/git-diffsitter
        overrides:
          - goos: windows
            format: zip
            checksum:
              enabled: false
            files:
              - name: diffsitter
              - name: git-diffsitter
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v0.6.5"
        asset: diffsitter-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/diffsitter
          - name: git-diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/git-diffsitter
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            checksum:
              enabled: false
            files:
              - name: diffsitter
              - name: git-diffsitter
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v0.6.6"
        asset: diffsitter-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/diffsitter
          - name: git-diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/git-diffsitter
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            checksum:
              enabled: false
            files:
              - name: diffsitter
              - name: git-diffsitter
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 0.7.1")
        asset: diffsitter-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/diffsitter
          - name: git-diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/git-diffsitter
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            checksum:
              enabled: false
            files:
              - name: diffsitter
              - name: git-diffsitter
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v0.7.2"
        asset: diffsitter-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/diffsitter
          - name: git-diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/git-diffsitter
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v0.7.3"
        asset: diffsitter-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: diffsitter
            src: diffsitter-{{.Arch}}-{{.OS}}/diffsitter
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            checksum:
              enabled: false
            files:
              - name: diffsitter
              - name: git-diffsitter
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: diffsitter-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        complete_windows_ext: false
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: diffsitter-{{.Arch}}-{{.OS}}.sha256
          algorithm: sha256
"###),
    ("bahdotsh/wrkflw", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bahdotsh
    repo_name: wrkflw
    description: Validate and execute GitHub Actions workflows locally
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: wrkflw-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("jessfraz/dockfmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jessfraz
    repo_name: dockfmt
    description: Dockerfile format and parser. Like `gofmt` but for Dockerfiles
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: dockfmt-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        overrides:
          - goos: darwin
            # Pre built binaries don't work on macOS because they are too old.
            # https://github.com/aquaproj/aqua-registry/pull/23000#issuecomment-2116536645
            type: go_install
            path: github.com/jessfraz/dockfmt
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
"###),
    ("gittuf/gittuf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gittuf
    repo_name: gittuf
    description: A security layer for Git repositories
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gittuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: gittuf_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            cosign:
              opts:
                - --certificate-identity-regexp
                - "https://github\\.com/gittuf/gittuf/\\.github/workflows/release\\.ya?ml@.*"
                - --certificate-oidc-issuer
                - "https://token.actions.githubusercontent.com"
                - --signature
                - https://github.com/gittuf/gittuf/releases/download/{{.Version}}/gittuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.exe.sig
                - --certificate
                - https://github.com/gittuf/gittuf/releases/download/{{.Version}}/gittuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.exe.pem
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/gittuf/gittuf/\\.github/workflows/release\\.ya?ml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/gittuf/gittuf/releases/download/{{.Version}}/gittuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.sig
            - --certificate
            - https://github.com/gittuf/gittuf/releases/download/{{.Version}}/gittuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.pem
"###),
    ("digitalocean/doctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: digitalocean
    repo_name: doctl
    asset: doctl-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    description: The official command line interface for the DigitalOcean API
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: doctl-{{trimV .Version}}-checksums.sha256
      algorithm: sha256
"###),
    ("minamijoyo/tfmigrate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: minamijoyo
    repo_name: tfmigrate
    description: A Terraform / OpenTofu state migration tool for GitOps
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.12")
        asset: tfmigrate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: tfmigrate_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: tfmigrate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfmigrate_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("minamijoyo/tfupdate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: minamijoyo
    repo_name: tfupdate
    description: Update version constraints in your Terraform configurations
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.2")
        asset: tfupdate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfupdate_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: tfupdate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfupdate_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("minamijoyo/tfedit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: minamijoyo
    repo_name: tfedit
    description: A refactoring tool for Terraform
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tfedit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfedit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("minamijoyo/tfschema", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: minamijoyo
    repo_name: tfschema
    description: A schema inspector for Terraform / OpenTofu providers
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: tfschema_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: tfschema_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.2")
        asset: tfschema_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfschema_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: tfschema_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfschema_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("minamijoyo/myaws", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: minamijoyo
    repo_name: myaws
    description: A human friendly AWS CLI written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: myaws_{{trimV .Version}}_myaws_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.0.3")
        asset: myaws_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.4")
        asset: myaws_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.1")
        asset: myaws_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: myaws_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: myaws_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: myaws_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("minamijoyo/hcledit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: minamijoyo
    repo_name: hcledit
    description: A command line editor for HCL
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        asset: hcledit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: hcledit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.6")
        asset: hcledit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: hcledit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: hcledit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: hcledit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("stripe/stripe-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: stripe
    repo_name: stripe-cli
    description: A command-line tool for Stripe
    files:
      - name: stripe
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.5.10"
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac-os
        checksum:
          type: github_release
          asset: stripe-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            checksum:
              type: github_release
              asset: stripe-checksums.txt
              algorithm: sha256
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.7.2"
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: stripe-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: stripe_{{trimV .Version}}_{{.OS}}-os_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.7.5"
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: stripe-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: Version == "v1.7.6"
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: stripe-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: stripe_{{trimV .Version}}_{{.OS}}-os_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.7.7"
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: stripe-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: Version == "v1.13.2"
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: stripe-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: tar.gz
            asset: stripe_{{trimV .Version}}_{{.OS}}-os_{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
      - version_constraint: semver("<= 0.8.2")
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac-os
        checksum:
          type: github_release
          asset: stripe-checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.5.9")
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac-os
        checksum:
          type: github_release
          asset: stripe-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.12.3")
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: stripe-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: stripe_{{trimV .Version}}_{{.OS}}-os_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: stripe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: stripe-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: stripe_{{trimV .Version}}_{{.OS}}-os_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("dmtrKovalenko/blendr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dmtrKovalenko
    repo_name: blendr
    description: The hacker's BLE (bluetooth low energy) browser terminal app
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: blendr-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
"###),
    ("SimonTheLeg/konf-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: SimonTheLeg
    repo_name: konf-go
    description: konf is a lightweight kubeconfig manager. With konf you can use different kubeconfigs at the same time. And because it does not need subshells, konf is blazing fast
    files:
      - name: konf-go
      - name: konf
        src: konf-go
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: konf-go_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: konf-go_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("influxdata/influx-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: influxdata
    repo_name: influx-cli
    description: CLI for managing resources in InfluxDB v2
    rosetta2: true
    supported_envs:
      - darwin
      - linux
      - amd64
    url: https://dl.influxdata.com/influxdb/releases/influxdb2-client-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    version_constraint: semver(">= 2.7.1")
    files:
      - name: influx
    version_overrides:
      - version_constraint: semver("< 2.7.1")
        files:
          - name: influx
            src: influxdb2-client-{{trimV .Version}}-{{.OS}}-{{.Arch}}/influx
"###),
    ("orangekame3/stree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: orangekame3
    repo_name: stree
    description: Directory trees of AWS S3 Bucket
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.12")
        asset: stree_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.0.13"
        no_asset: true
      - version_constraint: "true"
        asset: stree_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("orangekame3/viff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: orangekame3
    repo_name: viff
    description: Visual Diff Viewer
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.8"
        no_asset: true
      - version_constraint: semver("<= 0.0.7")
        asset: viff_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: viff_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: viff_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("ericchiang/pup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ericchiang
    repo_name: pup
    description: Parsing HTML at the command line
    search_words:
      - HTML
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: pup_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.9")
        asset: pup_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: pup_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
"###),
    ("Zxilly/go-size-analyzer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Zxilly
    repo_name: go-size-analyzer
    description: A tool for analyzing the size of compiled Go binaries, offering cross-platform support, detailed breakdowns, and multiple output formats
    files:
      - name: gsa
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: semver("< 1.2.3")
        asset: go-size-analyzer_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("< 1.3.4")
        asset: go-size-analyzer_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        github_artifact_attestations:
          signer_workflow: Zxilly/go-size-analyzer/.github/workflows/build-gsa.yml
      - version_constraint: semver("<= 1.9.1")
        asset: go-size-analyzer_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        # Disable slsa_provenance
        # FAILED: SLSA verification failed: untrusted reusable workflow: https://github.com/Zxilly/go-size-analyzer/.github/workflows/release.yml with builderID provided: false
        github_artifact_attestations:
          signer_workflow: Zxilly/go-size-analyzer/.github/workflows/release.yml
      - version_constraint: "true"
        asset: go-size-analyzer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        github_artifact_attestations:
          signer_workflow: Zxilly/go-size-analyzer/.github/workflows/release.yml
        # Disable slsa_provenance
        # FAILED: SLSA verification failed: untrusted reusable workflow: https://github.com/Zxilly/go-size-analyzer/.github/workflows/release.yml with builderID provided: false
"###),
    ("MordechaiHadad/bob", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: MordechaiHadad
    repo_name: bob
    description: A version manager for neovim
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        asset: bob-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      # v1.2.1 darwin/arm64 support
      - version_constraint: semver("<= 2.0.0")
        asset: bob-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
          arm64: arm
        supported_envs:
          - darwin
          - windows
          - amd64
      # v2.1.0 linux/arm64 support
      - version_constraint: semver("<= 2.6.0")
        asset: bob-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: macos
          arm64: arm
      # v2.7.0 files was changed
      - version_constraint: "true"
        asset: bob-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: bob
            src: bob-{{.OS}}-{{.Arch}}/bob
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: macos
          arm64: arm
"###),
    ("jpillora/chisel", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jpillora
    repo_name: chisel
    description: A fast TCP/UDP tunnel over HTTP
    asset: chisel_{{trimV .Version}}_{{.OS}}_{{.Arch}}.gz
    files:
      - name: chisel
        src: chisel_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    checksum:
      type: github_release
      asset: chisel_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("bats-core/bats-core", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_archive
    repo_owner: bats-core
    repo_name: bats-core
    description: Bash Automated Testing System
    supported_envs:
      - darwin
      - linux
    files:
      - name: bats
        src: bats-core-{{trimV .Version}}/bin/bats
"###),
    ("int128/ghcp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: int128
    repo_name: ghcp
    description: Tool to fork a repository, commit files, create a pull request and upload assets using GitHub API
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.5.0")
        asset: ghcp_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.13.0")
        asset: ghcp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: ghcp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("int128/cronjob-runner", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: int128
    repo_name: cronjob-runner
    description: Run one-shot Kubernetes Job from CronJob template and tail logs
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: cronjob-runner_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("int128/kubectl-external-forward", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: int128
    repo_name: kubectl-external-forward
    asset: kubectl-external_forward_{{.OS}}_{{.Arch}}.zip
    description: kubectl plugin to connect to external host via Envoy Proxy in Kubernetes cluster
    files:
      - name: kubectl-external_forward
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("int128/kauthproxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: int128
    repo_name: kauthproxy
    description: Local authentication proxy for Kubernetes Dashboard (kubectl auth-proxy)
    files:
      - name: kauthproxy
      - name: kubectl-auth_proxy
        src: kauthproxy
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.1")
        asset: kauthproxy_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kauthproxy_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("int128/kubelogin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: int128
    repo_name: kubelogin
    description: kubectl plugin for Kubernetes OpenID Connect authentication (kubectl oidc-login)
    files:
      - name: kubectl-oidc_login
        src: kubelogin
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.5.0")
        asset: kubelogin_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.8.2")
        asset: kubelogin_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubelogin_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.18.0")
        asset: kubelogin_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.22.1")
        asset: kubelogin_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 1.31.1")
        asset: kubelogin_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: kubelogin_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("int128/yamlpatch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: int128
    repo_name: yamlpatch
    description: Apply JSON Patch to YAML Document preserving positions and comments
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: yamlpatch_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: yamlpatch_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("Aloxaf/silicon", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Aloxaf
    repo_name: silicon
    description: Create beautiful image of your source code
    asset: silicon-{{.Version}}-{{.Arch}}-{{.OS}}.tar.gz
    rosetta2: true
    replacements:
      darwin: apple-darwin
      windows: pc-windows-msvc
      linux: unknown-linux-gnu
      amd64: x86_64
    version_constraint: semver("> 0.5.0")
    supported_envs:
      - darwin
      - amd64
    version_overrides:
      - version_constraint: semver("= 0.5.0")
        supported_envs:
          - darwin
          - linux/amd64
      - version_constraint: "true"
        replacements:
          darwin: apple-darwin
          windows: pc-windows-gnu
          linux: unknown-linux-gnu
          amd64: x86_64
"###),
    ("nojima/httpie-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nojima
    repo_name: httpie-go
    description: httpie-like HTTP client written in Go
    files:
      - name: ht
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.6.0"
        asset: httpie-go_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        overrides:
          - goos: windows
            asset: httpie-go_{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.0")
        no_asset: true
      - version_constraint: semver("<= 0.5.0")
        asset: httpie-go_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: httpie-go_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("Phantas0s/devdash", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Phantas0s
    repo_name: devdash
    description: ":bento: Highly Configurable Terminal Dashboard for Developers and Creators"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.1")
        asset: devdash_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: devdash_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("Boeing/config-file-validator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Boeing
    repo_name: config-file-validator
    description: Cross Platform tool to validate configuration files
    asset: validator-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        goarch: amd64
        format: zip
      - goos: windows
        goarch: arm64
        type: go_install
        path: github.com/Boeing/config-file-validator/cmd/validator
    files:
      - name: validator
    checksum:
      type: github_release
      asset: "{{.Asset}}.md5"
      algorithm: md5
    version_constraint: semver(">= 1.5.0")
    version_overrides:
      - version_constraint: Version == "v1.4.0"
        asset: validator-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          enabled: false
        overrides:
          - goos: windows
            goarch: amd64
            asset: validator-{{trimV .Version}}
          - goos: linux
            goarch: arm64
            type: go_install
            path: github.com/Boeing/config-file-validator/cmd/validator
          - goos: windows
            goarch: arm64
            type: go_install
            path: github.com/Boeing/config-file-validator/cmd/validator
        files:
          - name: validator
        replacements:
          darwin: macos
        rosetta2: true
      - version_constraint: Version == "v1.3.0"
        asset: validator.{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: macos
        rosetta2: true
        checksum:
          enabled: false
        overrides:
          - goos: windows
            goarch: amd64
            asset: validator
          - goos: linux
            goarch: arm64
            type: go_install
            path: github.com/Boeing/config-file-validator/cmd/validator
          - goos: windows
            goarch: arm64
            type: go_install
            path: github.com/Boeing/config-file-validator/cmd/validator
      - version_constraint: semver(">= 1.0.1")
        asset: validator.{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements: {}
        checksum:
          enabled: false
        overrides:
          - goos: windows
            goarch: amd64
            asset: validator
          - goarch: arm64
            type: go_install
            path: github.com/Boeing/config-file-validator/cmd/validator
          - goos: darwin
            type: go_install
            path: github.com/Boeing/config-file-validator/cmd/validator
      - version_constraint: Version == "v1.0.0"
        asset: validator.{{.OS}}-{{.Arch}}
        format: raw
        replacements: {}
        rosetta2: true
        checksum:
          enabled: false
        overrides:
          - goos: windows
            goarch: amd64
            asset: validator
          - goarch: arm64
            type: go_build
            files:
              - name: validator
                src: ./cmd/validator
                dir: config-file-validator-{{trimV .Version}}
          - goos: darwin
            type: go_build
            files:
              - name: validator
                src: ./cmd/validator
                dir: config-file-validator-{{trimV .Version}}
"###),
    ("tmknom/actdocs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tmknom
    repo_name: actdocs
    description: Generate documentation from Actions and Reusable Workflows
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: actdocs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.1")
        asset: actdocs_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: actdocs_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        github_artifact_attestations:
          signer-workflow: tmknom/release-workflows/.github/workflows/go.yml
        checksum:
          type: github_release
          asset: actdocs_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/tmknom/actdocs/releases/download/{{.Version}}/actdocs_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity-regexp
              - "^https://github\\.com/tmknom/release-workflows/\\.github/workflows/go\\.yml@"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/tmknom/actdocs/releases/download/{{.Version}}/actdocs_{{trimV .Version}}_checksums.txt.sig
"###),
    ("errata-ai/vale", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: errata-ai
    repo_name: vale
    description: ":pencil: A markup-aware linter for prose built with speed and extensibility in mind"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        no_asset: true
      - version_constraint: Version == "v1.1.6-alpha"
        asset: vale_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: vale
            src: bin/vale
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.23.1"
        asset: vale_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v2.23.2"
        asset: vale_.{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.2.0")
        asset: "{{.OS}}-{{.Arch}}.{{.Format}}"
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.1")
        asset: "{{.OS}}-{{.Arch}}.{{.Format}}"
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.2")
        asset: vale_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.7.0"
        asset: vale_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.7.1"
        asset: vale_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.0")
        asset: vale_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.1")
        asset: vale_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.15.2")
        asset: vale_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.18.0")
        asset: vale_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.23.0")
        asset: vale_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 3.4.2")
        asset: vale_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: vale_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64-bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: vale_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("jkfran/killport", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jkfran
    repo_name: killport
    description: A command-line tool to easily kill processes running on a specified port
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: killport-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-gnu
        supported_envs:
          - linux
      - version_constraint: Version == "v0.5.0"
        asset: killport-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.8.0") || Version == "v1.0.0"
        asset: killport-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: linux-gnu
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: killport-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-gnu
          linux: linux-gnu
"###),
    ("GoogleCloudPlatform/kubectl-ai", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: GoogleCloudPlatform
    repo_name: kubectl-ai
    description: AI powered Kubernetes Assistant
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubectl-ai_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: kubectl-ai_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("GoogleCloudPlatform/terraformer/aws", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: GoogleCloudPlatform/terraformer/aws
    description: CLI tool to generate terraform files from existing infrastructure (reverse Terraform). Infrastructure to Code
    type: github_release
    repo_owner: GoogleCloudPlatform
    repo_name: terraformer
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    asset: terraformer-aws-{{.OS}}-{{.Arch}}
    files:
      - name: terraformer
        src: terraformer-aws-{{.OS}}-{{.Arch}}
"###),
    ("GoogleCloudPlatform/terraformer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: GoogleCloudPlatform
    repo_name: terraformer
    description: CLI tool to generate terraform files from existing infrastructure (reverse Terraform). Infrastructure to Code
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.3")
        no_asset: true
      - version_constraint: semver("<= 0.8.12")
        asset: terraformer-all-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.18")
        asset: terraformer-all-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.24")
        asset: terraformer-all-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: "true"
        asset: terraformer-all-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("GoogleCloudPlatform/alloydb-auth-proxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: GoogleCloudPlatform
    repo_name: alloydb-auth-proxy
    description: A utility for connecting securely to your AlloyDB instances
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.8.0"
        url: https://storage.googleapis.com/alloydb-auth-proxy/{{.Version}}/alloydb-auth-proxy.{{.OS}}.{{.Arch}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            url: https://storage.googleapis.com/alloydb-auth-proxy/{{.Version}}/alloydb-auth-proxy.x64.exe
      - version_constraint: "true"
        url: https://storage.googleapis.com/alloydb-auth-proxy/{{.Version}}/alloydb-auth-proxy.{{.OS}}.{{.Arch}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            url: https://storage.googleapis.com/alloydb-auth-proxy/{{.Version}}/alloydb-auth-proxy-x64.exe
"###),
    ("GoogleCloudPlatform/cloud-sql-proxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: GoogleCloudPlatform
    repo_name: cloud-sql-proxy
    description: A utility for connecting securely to your Cloud SQL instances
    format: raw
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    version_constraint: semver(">= 2.0.0")
    url: https://storage.googleapis.com/cloud-sql-connectors/cloud-sql-proxy/{{.Version}}/cloud-sql-proxy.{{.OS}}.{{.Arch}}
    overrides:
      - goos: windows
        url: https://storage.googleapis.com/cloud-sql-connectors/cloud-sql-proxy/{{.Version}}/cloud-sql-proxy.x64.exe
    version_overrides:
      - version_constraint: "true"
        url: https://storage.googleapis.com/cloudsql-proxy/{{.Version}}/cloud_sql_proxy.{{.OS}}.{{.Arch}}
        overrides:
          - goos: windows
            url: https://storage.googleapis.com/cloudsql-proxy/{{.Version}}/cloud_sql_proxy_x64.exe
"###),
    ("GoogleCloudPlatform/berglas", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: GoogleCloudPlatform
    repo_name: berglas
    description: A tool for managing secrets on Google Cloud
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.0")
        no_asset: true
      - version_constraint: "true"
        asset: berglas_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: berglas_{{trimV .Version}}_SHA512SUMS
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("boz/kail", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: boz
    repo_name: kail
    description: kubernetes log viewer
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.17.0"
        no_asset: true
      - version_constraint: Version == "v0.15.1"
        asset: kail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.3.0")
        asset: kail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kail_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.2")
        asset: kail_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: kail_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.5")
        asset: kail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kail_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.9.1")
        asset: kail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kail_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.15.0")
        asset: kail_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.16.1")
        asset: kail_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: kail_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("derailed/popeye", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: derailed
    repo_name: popeye
    description: A Kubernetes cluster resource sanitizer
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.2")
        asset: popeye_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.9.0")
        asset: popeye_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.9.7")
        asset: popeye_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.11.1")
        asset: popeye_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.20.5")
        asset: popeye_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.21.3")
        asset: popeye_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: popeye_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.sha256
          algorithm: sha256
"###),
    ("derailed/k9s", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: derailed
    repo_name: k9s
    description: Kubernetes CLI To Manage Your Clusters In Style
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.2")
        asset: k9s_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "0.3.3"
        asset: k9s_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            replacements:
              amd64: 64-bit
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.1")
        asset: k9s_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.6.4")
        asset: k9s_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.6.6")
        asset: k9s_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.12.0")
        asset: k9s_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.13.8")
        asset: k9s_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.16.0")
        asset: k9s_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.24.2")
        asset: k9s_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.24.9")
        asset: k9s_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.24.10")
        asset: k9s_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.24.15")
        asset: k9s_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.26.7")
        asset: k9s_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.27.3")
        asset: k9s_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.27.4")
        asset: k9s_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: k9s_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.sha256
          algorithm: sha256
"###),
    ("Madh93/tpm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Madh93
    repo_name: tpm
    description: A package manager for Terraform providers
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tpm_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("robscott/kube-capacity", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: robscott
    repo_name: kube-capacity
    asset: kube-capacity_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    description: A simple CLI that provides an overview of the resource requests, limits, and utilization in a Kubernetes cluster
    format: tar.gz
    replacements:
      amd64: x86_64
    overrides:
      - goos: windows
        format: zip
    files:
      - name: kube-capacity
        src: kube-capacity
      - name: kubectl-resource_capacity
        src: kube-capacity
    version_constraint: semver(">= 0.7.4")
    version_overrides:
      - version_constraint: "true"
        overrides: []
        asset: kube-capacity_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
          amd64: x86_64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("openziti/zrok", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: openziti
    repo_name: zrok
    description: Geo-scale, next-generation peer-to-peer sharing platform built on top of OpenZiti
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.10")
        asset: zrok_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: zrok_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.3.0")
        asset: zrok_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha1
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.48") or (Version startsWith "v1.0.0-rc")
        asset: zrok_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha1
      # TODO support GitHub Artifact Attestation
      # https://github.com/openziti/zrok/releases/tag/v0.4.49
      # > CHANGE: Release binary and text artifacts are now accompanied by provenance attestations
      # github_artifact_attestations:
      #   signer_workflow:
      - version_constraint: "true"
        asset: zrok_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.sha256.txt
          algorithm: sha256
"###),
    ("s0md3v/Smap", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: s0md3v
    repo_name: Smap
    description: a drop-in replacement for Nmap powered by shodan.io
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: smap_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.xz
    overrides:
      - goos: windows
        format: zip
    replacements:
      darwin: macOS
    files:
      - name: smap
        src: smap_{{.Version}}_{{.OS}}_{{.Arch}}/smap
    checksum:
      type: github_release
      asset: smap_{{.Version}}--sha256_checksums.txt
      algorithm: sha256
"###),
    ("maddyblue/sqlfmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: maddyblue
    repo_name: sqlfmt
    aliases:
      - name: mjibson/sqlfmt
    description: SQL formatter with width-aware output
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: sqlfmt_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sqlfmt_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: sqlfmt_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("instrumenta/kubeval", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: instrumenta
    repo_name: kubeval
    description: Validate your Kubernetes configuration files, supports multiple Kubernetes versions
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.1")
        asset: kubeval-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubeval-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("arch-go/arch-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: arch-go
    repo_name: arch-go
    description: Architecture checks for Go projects
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.6.0")
        no_asset: true
      - version_constraint: "true"
        asset: arch-go_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: arch-go_{{.Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - "https://github.com/arch-go/arch-go/.github/workflows/ci.yml@refs/heads/main"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/arch-go/arch-go/releases/download/{{.Version}}/arch-go_{{.Version}}_checksums.txt-keyless.sig
              - --certificate
              - https://github.com/arch-go/arch-go/releases/download/{{.Version}}/arch-go_{{.Version}}_checksums.txt-keyless.pem
        overrides:
          - goos: windows
            format: zip
        cosign:
          opts:
            - --certificate-identity
            - "https://github.com/arch-go/arch-go/.github/workflows/ci.yml@refs/heads/main"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/arch-go/arch-go/releases/download/{{.Version}}/{{.Asset}}-keyless.sig
            - --certificate
            - https://github.com/arch-go/arch-go/releases/download/{{.Version}}/{{.Asset}}-keyless.pem
"###),
    ("itamae-kitchen/mitamae", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itamae-kitchen
    repo_name: mitamae
    description: mitamae is a fast, simple, and single-binary configuration management tool with a DSL like Chef
    files:
      - name: mitamae
        src: mitamae-{{.Arch}}-{{.OS}}
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.11.2"
        asset: mitamae-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.0.4")
        asset: itamae-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.0.16")
        asset: itamae-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
        files:
          - name: itamae
            src: itamae-{{.Arch}}-{{.OS}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.0")
        asset: itamae-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
        files:
          - name: itamae
            src: itamae-{{.Arch}}-{{.OS}}
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.2")
        asset: mitamae-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.11.1")
        asset: mitamae-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.11.7")
        asset: mitamae-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("< 1.14.4")
        asset: mitamae-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: mitamae-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
        github_artifact_attestations:
          signer_workflow: itamae-kitchen/mitamae/.github/workflows/build.yml
        supported_envs:
          - linux
          - darwin
"###),
    ("timvisee/ffsend", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: timvisee
    repo_name: ffsend
    description: Easily and securely share files from the command line. A fully featured Firefox Send client
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.2.13", "v0.2.75"]
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}-static
        format: raw
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: Version in ["v0.2.60", "v0.2.69"]
        asset: ffsend-{{.Version}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}-static
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: Version == "v0.2.47"
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}-static
        format: raw
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: darwin
            asset: ffsend-{{.Version}}-{{.OS}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.0.9"
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
          darwin: osx
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.0.2")
        asset: ffsend-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.0.3"
        asset: ffsend-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v0.0.4"
        asset: ffsend-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
          darwin: osx
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.1.2")
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
          darwin: osx
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.2.9")
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}-static
        format: raw
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.2.17")
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}-static
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 0.2.22")
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}-static
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: darwin
            asset: ffsend-{{.Version}}-{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.24")
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}-static
        format: raw
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: darwin
            asset: ffsend-{{.Version}}-{{.OS}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: ffsend-{{.Version}}-{{.OS}}-{{.Arch}}-static
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: darwin
            asset: ffsend-{{.Version}}-{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("kubemq-io/kubemqctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubemq-io
    repo_name: kubemqctl
    rosetta2: true
    description: Kubemqctl is a command line interface (CLI) for KubeMQ, Kubernetes Message Broker
    supported_envs:
      - darwin
      - amd64
    asset: kubemqctl_{{.OS}}_{{.Arch}}
    overrides:
      - goos: windows
        asset: kubemqctl.exe
"###),
    ("sirrend/terrap-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sirrend
    repo_name: terrap-cli
    description: Terrap - a powerful CLI tool that scans your infrastructure and identifies any required changes
    asset: terrap-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: terrap
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("lsd-rs/lsd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lsd-rs
    repo_name: lsd
    description: The next gen ls command
    files:
      - name: lsd
        src: lsd-{{.Version}}-{{.Arch}}-{{.OS}}/lsd
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.15.1")
        asset: lsd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "0.16.0"
        asset: lsd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.19.0")
        asset: lsd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.20.0"
        no_asset: true
      - version_constraint: semver("<= 0.23.1")
        asset: lsd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: lsd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("koalaman/shellcheck", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: koalaman
    repo_name: shellcheck
    description: ShellCheck, a static analysis tool for shell scripts
    version_filter: (not (Version in ["latest", "stable"])) and semver("> 0.4.5")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.5")
        no_asset: true
      - version_constraint: semver("<= 0.6.0")
        asset: shellcheck-{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.xz
        files:
          - name: shellcheck
            src: shellcheck-{{.Version}}/shellcheck
        overrides:
          - goos: windows
            asset: shellcheck-{{.Version}}.{{.Format}}
            format: zip
            files:
              - name: shellcheck
                src: shellcheck-{{.Version}}.exe
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 0.9.0")
        asset: shellcheck-{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        files:
          - name: shellcheck
            src: shellcheck-{{.Version}}/shellcheck
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            asset: shellcheck-{{.Version}}.{{.Format}}
            format: zip
            files:
              - name: shellcheck
      - version_constraint: "true"
        asset: shellcheck-{{.Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.xz
        files:
          - name: shellcheck
            src: shellcheck-{{.Version}}/shellcheck
        replacements:
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: windows
            asset: shellcheck-{{.Version}}.{{.Format}}
            format: zip
            files:
              - name: shellcheck
"###),
    ("dimonomid/nerdlog", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dimonomid
    repo_name: nerdlog
    description: "Nerdlog: fast, remote-first, multi-host TUI log viewer with timeline histogram and no central server"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.2")
        no_asset: true
      - version_constraint: semver("<= 1.5.0")
        asset: nerdlog_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: nerdlog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("luau-lang/luau", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: luau-lang
    repo_name: luau
    description: A fast, small, safe, gradually typed embeddable scripting language derived from Lua
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.622")
        asset: luau-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
          linux: ubuntu
        supported_envs:
          - darwin
          - linux
          - windows/amd64
        files:
          - name: luau
          - name: luau-analyze
          - name: luau-compile
      - version_constraint: semver("<= 0.644")
        asset: luau-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
          linux: ubuntu
        supported_envs:
          - darwin/arm64
          - linux
          - windows
        files:
          - name: luau
          - name: luau-analyze
          - name: luau-compile
      - version_constraint: "true"
        asset: luau-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
          linux: ubuntu
        supported_envs:
          - darwin/arm64
          - linux
          - windows
        files:
          - name: luau
          - name: luau-analyze
          - name: luau-ast
          - name: luau-compile
"###),
    ("gittools/gitversion", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gittools
    repo_name: gitversion
    description: From git log to SemVer in no time
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gitversion-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
          - windows
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        overrides:
          - goos: windows
            format: zip
        checksum:
          enabled: false
"###),
    ("Pluralith/pluralith-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Pluralith
    repo_name: pluralith-cli
    asset: pluralith_cli_tap_{{.OS}}_{{.Arch}}_{{.Version}}.{{.Format}}
    format: tar.gz
    description: A tool for Terraform state visualisation and automated generation of infrastructure documentation
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: pluralith
        src: "{{.OS}}/pluralith"
    checksum:
      type: github_release
      asset: pluralith_checksums_{{.Version}}.txt
      algorithm: sha256
"###),
    ("BurntSushi/ripgrep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: BurntSushi
    repo_name: ripgrep
    description: ripgrep recursively searches directories for a regex pattern while respecting your gitignore
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.9")
        asset: xrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: xrep
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.0.11")
        asset: xrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: xrep
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.0.12"
        asset: rg-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            files:
              - name: rg
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "0.0.13"
        asset: xrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: rg
            src: xrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            asset: rg-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
            files:
              - name: rg
        supported_envs:
          - darwin
          - windows
          - amd64
      # 0.0.15
      # update project name. xrep => ripgrep
      # https://github.com/BurntSushi/ripgrep/commit/48878bbb8f5f18586ebf73fcafed46de7dc82da4
      - version_constraint: Version == "0.0.14"
        asset: xrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: rg
            src: "{{.AssetWithoutExt}}/rg"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "0.0.15"
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.1")
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: rg
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.1.2"
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.5")
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: rg
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.10")
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "0.1.11"
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: rg
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.1.12"
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.16")
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: rg
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.1.17"
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            format: tar.gz
          - goos: windows
            files:
              - name: rg
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: semver("<= 13.0.0")
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: rg
            src: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}/rg
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
            checksum:
              enabled: false
"###),
    ("BurntSushi/xsv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: BurntSushi
    repo_name: xsv
    description: A fast CSV command line toolkit written in Rust
    asset: xsv-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    version_constraint: semver(">= 0.10.3")
    version_overrides:
      - version_constraint: semver(">= 0.10.0")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("< 0.10.0")
        overrides: []
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
        rosetta2: false
        files:
          - name: xsv
            src: xsv-{{.Version}}-{{.Arch}}-{{.OS}}/xsv
"###),
    ("kattouf/ProgressLine", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kattouf
    repo_name: ProgressLine
    description: Track commands progress in a compact one-line format
    files:
      - name: progressline
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.2")
        asset: progressline-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: apple-macosx
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: progressline-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: apple-macosx
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
"###),
    ("kubernetes-sigs/controller-runtime/setup-envtest", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes-sigs/controller-runtime/setup-envtest
    type: github_release
    repo_owner: kubernetes-sigs
    repo_name: controller-runtime
    description: Repo for the controller-runtime subproject of kubebuilder (sig-apimachinery)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.18.7")
        no_asset: true
      - version_constraint: "true"
        asset: setup-envtest-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("kubernetes-sigs/controller-tools/controller-gen", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: kubernetes-sigs/controller-tools/controller-gen
    search_words:
      - kubebuilder
    path: sigs.k8s.io/controller-tools/cmd/controller-gen
    repo_owner: kubernetes-sigs
    repo_name: controller-tools
    description: controller-gen - Generate Kubernetes API extension resources and code
    files:
      - name: controller-gen
"###),
    ("kubernetes-sigs/zeitgeist", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: zeitgeist
    description: "Zeitgeist: the language-agnostic dependency checker"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.2"
        asset: zeitgeist_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.17")
        asset: zeitgeist_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.2")
        no_asset: true
      - version_constraint: Version == "v0.3.4"
        asset: zeitgeist
        format: raw
        supported_envs:
          - windows/amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/kubernetes-sigs/zeitgeist/\\.github/workflows/release\\.yml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/kubernetes-sigs/zeitgeist/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/kubernetes-sigs/zeitgeist/releases/download/{{.Version}}/checksums.txt.pem
      - version_constraint: Version == "v0.3.5"
        asset: zeitgeist_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/kubernetes-sigs/zeitgeist/\\.github/workflows/release\\.yml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/kubernetes-sigs/zeitgeist/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/kubernetes-sigs/zeitgeist/releases/download/{{.Version}}/checksums.txt.pem
      - version_constraint: Version == "v0.4.0"
        no_asset: true
      - version_constraint: Version == "v0.4.1"
        asset: zeitgeist_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/kubernetes-sigs/zeitgeist/\\.github/workflows/release\\.yml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/kubernetes-sigs/zeitgeist/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/kubernetes-sigs/zeitgeist/releases/download/{{.Version}}/checksums.txt.pem
      - version_constraint: "true"
        asset: zeitgeist-{{.Arch}}-{{.OS}}
        format: raw
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/kubernetes-sigs/zeitgeist/\\.github/workflows/release\\.yml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/kubernetes-sigs/zeitgeist/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/kubernetes-sigs/zeitgeist/releases/download/{{.Version}}/checksums.txt.pem
"###),
    ("kubernetes-sigs/kwok/kwokctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubernetes-sigs/kwok/kwokctl
    type: github_release
    repo_owner: kubernetes-sigs
    repo_name: kwok
    description: "Kubernetes WithOut Kubelet -  Simulates thousands of Nodes and Clusters"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kwok-{{.OS}}-{{.Arch}}
        format: raw
"###),
    ("kubernetes-sigs/kubebuilder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: kubebuilder
    description: Kubebuilder - SDK for building Kubernetes APIs using CRDs
    rosetta2: true
    supported_envs:
      - darwin
      - linux
    asset: kubebuilder_{{.OS}}_{{.Arch}}
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("kubernetes-sigs/kind", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: kind
    description: "Kubernetes IN Docker - local clusters for testing Kubernetes"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.0.1"
        asset: kind-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "0.1.0"
        asset: kind-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.5.0"
        asset: kind-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.10.0")
        asset: kind-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: semver("<= 0.11.1")
        asset: kind-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: "true"
        asset: kind-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: kind-{{.OS}}-{{.Arch}}.sha256sum
          algorithm: sha256
"###),
    ("kubernetes-sigs/krew", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: krew
    asset: krew-{{.OS}}_{{.Arch}}.tar.gz
    description: Find and install kubectl plugins
    files:
      - name: krew
        src: krew-{{.OS}}_{{.Arch}}
    version_constraint: semver(">= 0.4.2")
    version_overrides:
      - version_constraint: "true"
        asset: krew.tar.gz
        files:
          - name: krew
            src: krew-{{.OS}}_{{.Arch}}
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("kubernetes-sigs/gwctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: gwctl
    description: gwctl is a command-line tool for managing and understanding Gateway API resources in your Kubernetes cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gwctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: gwctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("kubernetes-sigs/kustomize", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: kustomize
    description: Customization of kubernetes YAML configurations
    asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    version_prefix: kustomize/
    version_constraint: semver(">= 5.2.1")
    version_overrides:
      - version_constraint: semver(">= 5.2.0")
        asset: kustomize_v5.2.0_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: kustomize
            src: output/kustomize
      - version_constraint: semver(">= 5.1.0")
        asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum: &kustomize_checksum
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 4.5.4")
        asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        checksum: *kustomize_checksum
      - version_constraint: semver(">= 4.4.1")
        asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum: *kustomize_checksum
      - version_constraint: semver(">= 4.2.0")
        asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        supported_envs:
          - linux
          - darwin
        checksum: *kustomize_checksum
      - version_constraint: semver(">= 3.8.6")
        asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
        checksum: *kustomize_checksum
      - version_constraint: semver(">= 3.7.0")
        asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum: *kustomize_checksum
      - version_constraint: semver(">= 3.5.5")
        asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum: *kustomize_checksum
      - version_constraint: semver(">= 3.3.0")
        asset: kustomize_{{.SemVer}}_{{.OS}}_{{.Arch}}.{{.Format}}
        overrides: []
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum: *kustomize_checksum
      - version_constraint: semver(">= 3.2.1")
        asset: kustomize_kustomize.{{.SemVer}}_{{.OS}}_{{.Arch}}
        format: raw
        overrides: []
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 2.1.0")
        asset: kustomize_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        overrides: []
        supported_envs:
          - linux/amd64
          - darwin
        version_prefix: ""
        rosetta2: true
        checksum: *kustomize_checksum
      - version_constraint: semver(">= 1.0.1")
        asset: kustomize_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        overrides: []
        supported_envs:
          - darwin
          - amd64
        version_prefix: ""
        rosetta2: true
        checksum: *kustomize_checksum
"###),
    ("kubernetes-sigs/cri-tools/crictl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: kubernetes-sigs/cri-tools/crictl
    repo_owner: kubernetes-sigs
    repo_name: cri-tools
    asset: crictl-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    description: CLI and validation tools for Kubelet Container Runtime Interface (CRI)
    files:
      - name: crictl
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("kubernetes-sigs/cloud-provider-kind", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: cloud-provider-kind
    description: Cloud provider for KIND clusters
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.2"
        no_asset: true
      - version_constraint: Version == "v0.0.1"
        asset: cloud-provider-kind-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin/arm64
      - version_constraint: "true"
        asset: cloud-provider-kind_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: cloud-provider-kind_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("kubernetes-sigs/cluster-api", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: cluster-api
    description: Home for Cluster API, a subproject of sig-cluster-lifecycle
    files:
      - name: clusterctl
        src: clusterctl-{{.OS}}-{{.Arch}}
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.0-alpha.2")
        asset: clusterctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: clusterctl_{{.Version}}_SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.10")
        no_asset: true
      - version_constraint: semver("<= 0.3.23")
        asset: clusterctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.25")
        asset: clusterctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.4.0")
        asset: clusterctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.0.5")
        asset: clusterctl-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: clusterctl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("kubernetes-sigs/aws-iam-authenticator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-sigs
    repo_name: aws-iam-authenticator
    description: A tool to use AWS IAM credentials to authenticate to a Kubernetes cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.1.0", "v0.5.4", "v0.5.27", "v0.6.20"]
        no_asset: true
      - version_constraint: Version == "v0.3.0"
        asset: heptio-authenticator-aws_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: authenticator_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.0-alpha.3")
        asset: aws-iam-authenticator_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: authenticator_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.3")
        asset: aws-iam-authenticator_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: authenticator_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: aws-iam-authenticator_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: authenticator_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("openfaas/faas-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: openfaas
    repo_name: faas-cli
    format: raw
    description: Official CLI for OpenFaaS
    asset: faas-cli-{{.Arch}}
    overrides:
      - goos: darwin
        asset: faas-cli-darwin
      - goarch: amd64
        asset: faas-cli
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("fujiwara/ecrm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: ecrm
    description: A command line tool for managing ECR repositories
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ecrm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("fujiwara/ecsta", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: ecsta
    description: ECS Task Assistant tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.4")
        asset: ecsta_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: ecsta_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/stretcher", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: stretcher
    description: Deployment tool with consul/serf event notification
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: stretcher-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: stretcher
            src: "{{.AssetWithoutExt}}"
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: stretcher-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: stretcher
            src: "{{.AssetWithoutExt}}"
        supported_envs:
          - linux
          - darwin
"###),
    ("fujiwara/riex", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: riex
    description: AWS RI expiration detector
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: riex_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("fujiwara/tncl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: tncl
    description: tncl is a tiny "nc -l" implementation
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        no_asset: true
      - version_constraint: "true"
        asset: tncl-{{.Arch}}-{{.OS}}-musl
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
"###),
    ("fujiwara/apprun-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: apprun-cli
    description: CLI for sakura AppRun
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: apprun-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.2")
        no_asset: true
      - version_constraint: semver("<= 0.3.0")
        asset: apprun-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: apprun-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/awslim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: awslim
    aliases:
      - name: fujiwara/aws-sdk-client-go
    description: A simplified alternative to the AWS CLI for limited use cases
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.7")
        asset: aws-sdk-client-go_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
        files:
          - name: aws-sdk-client-go
      - version_constraint: semver("<= 0.0.14")
        asset: aws-sdk-client-go_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
        files:
          - name: aws-sdk-client-go
      - version_constraint: "true"
        asset: awslim_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("fujiwara/cfft", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: cfft
    description: cfft is a testing tool for CloudFront Functions
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        no_asset: true
      - version_constraint: "true"
        asset: cfft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/grpcp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: grpcp
    description: gRPC stream file transfer server/client
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: grpcp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/s3mover", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: s3mover
    description: s3mover is an agent for moving local files to Amazon S3
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: s3mover_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/greenlight", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: greenlight
    description: greenlight is a graceful health check agent
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: greenlight_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/knockrd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: knockrd
    description: HTTP knocker daemon
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.16")
        asset: knockrd_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: knockrd_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("fujiwara/tfstate-lookup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: tfstate-lookup
    description: Lookup resource attributes in tfstate
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: tfstate-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.0.3")
        asset: tfstate-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.0.14")
        asset: tfstate-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.0")
        asset: tfstate-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: tfstate-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("fujiwara/maprobe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: maprobe
    description: Mackerel external probe agent
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.4")
        asset: maprobe_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: maprobe
            src: "{{.AssetWithoutExt}}/maprobe"
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.5.1")
        asset: maprobe_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: maprobe
            src: "{{.AssetWithoutExt}}/maprobe"
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: maprobe_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: maprobe
            src: "{{.AssetWithoutExt}}/maprobe"
        supported_envs:
          - linux
          - darwin
"###),
    ("fujiwara/tracer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: tracer
    description: ECS task event/log tracer CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tracer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("fujiwara/lamux", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: lamux
    description: Lamux is a HTTP multiplexer for AWS Lambda Function aliases
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: lamux_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/kinesis-tailf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: kinesis-tailf
    description: tail -f command for Amazon Kinesis Stream
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: kinesis-tailf-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: kinesis-tailf
            src: "{{.AssetWithoutExt}}"
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.1")
        asset: kinesis-tailf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kinesis-tailf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/iam-policy-finder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: iam-policy-finder
    description: iam-policy-finder is finder of AWS IAM Policies
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: iam-policy-finder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("fujiwara/lambroll", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fujiwara
    repo_name: lambroll
    description: lambroll is a minimal deployment tool for AWS Lambda
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.12.7")
        asset: lambroll_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: lambroll
            src: lambroll_{{.Version}}_{{.OS}}_{{.Arch}}/lambroll
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.14.7")
        asset: lambroll_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: lambroll
            src: lambroll_{{.Version}}_{{.OS}}_{{.Arch}}/lambroll
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: lambroll_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("twistedpair/google-cloud-sdk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: twistedpair
    repo_name: google-cloud-sdk
    description: CLI for interacting with Google Cloud products and services
    version_source: github_tag
    url: https://dl.google.com/dl/cloudsdk/channels/rapid/downloads/google-cloud-cli-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    files:
      - name: gcloud
        src: google-cloud-sdk/bin/gcloud
      - name: gsutil
        src: google-cloud-sdk/bin/gsutil
      - name: docker-credential-gcloud
        src: google-cloud-sdk/bin/docker-credential-gcloud
      - name: bq
        src: google-cloud-sdk/bin/bq
    replacements:
      amd64: x86_64
      arm64: arm
    supported_envs:
      - darwin
      - linux
"###),
    ("peco/peco", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: peco
    repo_name: peco
    asset: peco_{{.OS}}_{{.Arch}}.{{.Format}}
    description: Simplistic interactive filtering tool
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: peco
        src: peco_{{.OS}}_{{.Arch}}/peco
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
"###),
    ("gruntwork-io/git-xargs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gruntwork-io
    repo_name: git-xargs
    description: git-xargs is a command-line tool (CLI) for making updates across multiple Github repositories with a single command
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: git-xargs_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
      - version_constraint: Version == "v0.0.2"
        no_asset: true
      - version_constraint: semver("<= 0.1.6")
        asset: git-xargs_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 0.1.8")
        no_asset: true
      - version_constraint: "true"
        asset: git-xargs_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("gruntwork-io/terragrunt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gruntwork-io
    repo_name: terragrunt
    description: Terragrunt is a thin wrapper for Terraform that provides extra tools for working with multiple Terraform modules
    asset: terragrunt_{{.OS}}_{{.Arch}}
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("gruntwork-io/boilerplate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gruntwork-io
    repo_name: boilerplate
    description: A tool for generating files and folders ("boilerplate") from a set of templates
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.2")
        asset: boilerplate_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: boilerplate_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("gruntwork-io/fetch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gruntwork-io
    repo_name: fetch
    description: Download files, folders, and release assets from a specific git commit, branch, or tag of public and private GitHub repos
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.3")
        asset: fetch_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.1")
        asset: fetch_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: fetch_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("gruntwork-io/kubergrunt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gruntwork-io
    repo_name: kubergrunt
    description: Kubergrunt is a standalone go binary with a collection of commands to fill in the gaps between Terraform, Helm, and Kubectl. https://www.gruntwork.io
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.12")
        asset: kubergrunt_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.12")
        asset: kubergrunt_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubergrunt_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("crossplane/crossplane", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: crossplane
    repo_name: crossplane
    format: raw
    url: https://releases.crossplane.io/stable/{{.Version}}/bin/{{.OS}}_{{.Arch}}/crank
    description: The Crossplane CLI extends kubectl with functionality to build, push, and install Crossplane packages
    files:
      - name: kubectl-crossplane
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("telepresenceio/telepresence", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: telepresenceio
    repo_name: telepresence
    description: Local development against a remote Kubernetes or OpenShift cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.14.4")
        asset: telepresence-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: telepresence-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
            asset: telepresence-{{.OS}}-{{.Arch}}.{{.Format}}
"###),
    ("github/copilot-language-server-release", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: github
    repo_name: copilot-language-server-release
    description: The Copilot Language Server enables any editor or IDE to integrate with GitHub Copilot via the language server protocol
    files:
      - name: copilot-language-server
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.276.0")
        asset: copilot-language-server-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          windows: win32
          amd64: x64
        supported_envs:
          - linux/amd64
          - darwin
          - windows
        files:
          - name: copilot-language-server
      - version_constraint: "true"
        asset: copilot-language-server-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          windows: win32
          amd64: x64
        files:
          - name: copilot-language-server
"###),
    ("github/git-sizer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: github
    repo_name: git-sizer
    description: Compute various size metrics for a Git repository, flagging those that might cause problems
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3.0")
        asset: git-sizer-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: git-sizer-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("github/github-mcp-server", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: github
    repo_name: github-mcp-server
    description: GitHub's official MCP Server
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: github-mcp-server_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: github-mcp-server_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: github-mcp-server_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: github-mcp-server_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: github/github-mcp-server/.github/workflows/goreleaser.yml
        overrides:
          - goos: windows
            format: zip
"###),
    ("github/licensed", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: github
    repo_name: licensed
    asset: licensed-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    description: A Ruby gem to cache and verify the licenses of dependencies
    replacements:
      amd64: x64
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    version_constraint: semver("< 4.0.0")
    version_overrides:
      - version_constraint: semver(">= 4.0.0")
        error_message: |
          https://github.com/github/licensed/issues/585

          Licensed v4 no longer provides a self-contained executable build of licensed
"###),
    ("dotenvx/dotenvx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dotenvx
    repo_name: dotenvx
    description: a better dotenv–from the creator of `dotenv`
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.7")
        asset: git-dotenv-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: git-dotenv
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.1.18")
        asset: git-dotenv-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: git-dotenv
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.7")
        asset: dotenv-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: dotenv
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.2.8"
        asset: dotenv-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: dotenv
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.10")
        asset: dotenv-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: dotenv
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.19")
        asset: dotenv-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: dotenv
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.44.5")
        asset: dotenvx-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: "true"
        asset: dotenvx-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("PowerShell/PowerShell", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: PowerShell
    repo_name: PowerShell
    description: PowerShell for every system
    files:
      - name: pwsh
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 6.1.6")
        asset: powershell-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        overrides:
          - goos: windows
            format: zip
            asset: PowerShell-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: semver("<= 7.0.13")
        asset: powershell-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        overrides:
          - goos: windows
            format: zip
            asset: PowerShell-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
      - version_constraint: "true"
        asset: powershell-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        checksum:
          type: github_release
          asset: hashes.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            asset: PowerShell-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
"###),
    ("xremap/xremap/hypr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: xremap/xremap/hypr
    aliases:
      - name: k0kubun/xremap/hypr
    type: github_release
    repo_owner: xremap
    repo_name: xremap
    description: Key remapper for X11 and Wayland (for Hyprland)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.12")
        no_asset: true
      - version_constraint: semver("<= 0.9.0")
        asset: xremap-{{.OS}}-{{.Arch}}-hypr.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
        files:
          - name: xremap
      - version_constraint: "true"
        error_message: |
          The client for hypr was dropped.
          https://github.com/xremap/xremap/pull/479
"###),
    ("xremap/xremap/kde", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: xremap/xremap/kde
    aliases:
      - name: k0kubun/xremap/kde
    type: github_release
    repo_owner: xremap
    repo_name: xremap
    description: Key remapper for X11 and Wayland (for KDE-Plasma Wayland)
    asset: xremap-{{.OS}}-{{.Arch}}-kde.{{.Format}}
    format: zip
    replacements:
      amd64: x86_64
      arm64: aarch64
    supported_envs:
      - linux
    files:
      - name: xremap
    version_constraint: semver(">= 0.8.3")
    version_overrides:
      - version_constraint: semver("< 0.8.3")
        no_asset: true
"###),
    ("xremap/xremap/sway", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: xremap/xremap/sway
    aliases:
      - name: k0kubun/xremap/sway
    type: github_release
    repo_owner: xremap
    repo_name: xremap
    description: Key remapper for X11 and Wayland (for Sway)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.6")
        asset: xremap-{{.OS}}-{{.Arch}}-sway.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux/amd64
        files:
          - name: xremap
      - version_constraint: semver("<= 0.9.0")
        asset: xremap-{{.OS}}-{{.Arch}}-sway.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
        files:
          - name: xremap
      - version_constraint: "true"
        error_message: |
          The client for sway was dropped.
          https://github.com/xremap/xremap/pull/479
"###),
    ("xremap/xremap/x11", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: xremap/xremap/x11
    aliases:
      - name: k0kubun/xremap/x11
    type: github_release
    repo_owner: xremap
    repo_name: xremap
    description: Key remapper for X11 and Wayland (for X11)
    asset: xremap-{{.OS}}-{{.Arch}}-x11.{{.Format}}
    format: zip
    replacements:
      amd64: x86_64
      arm64: aarch64
    supported_envs:
      - linux
    files:
      - name: xremap
    version_constraint: semver(">= 0.5.0")
    version_overrides:
      - version_constraint: semver("< 0.5.0")
        supported_envs:
          - linux/amd64
"###),
    ("xremap/xremap/gnome", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: xremap/xremap/gnome
    aliases:
      - name: k0kubun/xremap/gnome
    type: github_release
    repo_owner: xremap
    repo_name: xremap
    description: Key remapper for X11 and Wayland (for GNOME Wayland)
    asset: xremap-{{.OS}}-{{.Arch}}-gnome.{{.Format}}
    format: zip
    replacements:
      amd64: x86_64
      arm64: aarch64
    supported_envs:
      - linux
    files:
      - name: xremap
    version_constraint: semver(">= 0.5.0")
    version_overrides:
      - version_constraint: semver("< 0.5.0")
        supported_envs:
          - linux/amd64
"###),
    ("dagger/dagger", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dagger
    repo_name: dagger
    description: A portable devkit for CI/CD pipelines
    supported_envs:
      - darwin
      - linux
      - amd64
    format: tar.gz
    asset: dagger_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("daichirata/hammer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: daichirata
    repo_name: hammer
    description: hammer is a command-line tool to schema management for Google Cloud Spanner
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: hammer_{{trimV .Version}}_{{.Arch}}_{{.OS}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.5.4")
        asset: hammer-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: hammer
            src: hammer-{{trimV .Version}}-{{.OS}}-{{.Arch}}/hammer
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.5.9")
        asset: hammer-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: hammer
            src: hammer-{{trimV .Version}}-{{.OS}}-{{.Arch}}/hammer
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: hammer-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: hammer
            src: hammer-{{trimV .Version}}-{{.OS}}-{{.Arch}}/hammer
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("dnnrly/abbreviate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dnnrly
    repo_name: abbreviate
    description: Supporting your devops by shortening your strings using common abbreviations and clever guesswork
    rosetta2: true
    asset: abbreviate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("mercari/tfnotify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mercari
    repo_name: tfnotify
    description: A CLI command to parse Terraform execution result and notify it to GitHub
    rosetta2: true
    supported_envs:
      - darwin
      - linux/amd64
    asset: tfnotify_{{.OS}}_{{.Arch}}.tar.gz
    checksum:
      type: github_release
      asset: tfnotify_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("mercari/hcledit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mercari
    repo_name: hcledit
    asset: hcledit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: Go package to edit HCL configuration
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    files:
      - name: hcledit
        src: bin/hcledit
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("shenwei356/csvtk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: shenwei356
    repo_name: csvtk
    asset: csvtk_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: A cross-platform, efficient and practical CSV/TSV toolkit in Golang
    overrides:
      - goos: windows
        asset: csvtk_{{.OS}}_{{.Arch}}.exe.{{.Format}}
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("shenwei356/rush", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: shenwei356
    repo_name: rush
    description: A cross-platform command-line tool for executing jobs in parallel
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.2")
        asset: rush_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: rush_{{.OS}}_{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: rush_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: rush_{{.OS}}_{{.Arch}}.exe.{{.Format}}
"###),
    ("go-simpler/sloglint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-simpler
    repo_name: sloglint
    description: Ensure consistent code style when using log/slog
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: sloglint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sloglint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("go-simpler/goversion", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-simpler
    repo_name: goversion
    description: Easily switch between multiple Go versions
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: goversion_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: goversion_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("awslabs/yesiscan", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: awslabs
    repo_name: yesiscan
    description: Automatic license scanning and reports
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: yesiscan_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("awslabs/soci-snapshotter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: awslabs
    repo_name: soci-snapshotter
    version_constraint: "false"
    files:
      - name: soci
      - name: soci-snapshotter-grpc
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: soci-snapshotter-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        files:
          - name: soci
          - name: soci-snapshotter-grpc
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: soci-snapshotter-{{trimV .Version}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        files:
          - name: soci
          - name: soci-snapshotter-grpc
        supported_envs:
          - linux
"###),
    ("awslabs/amazon-ecr-credential-helper", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: awslabs
    repo_name: amazon-ecr-credential-helper
    description: Automatically gets credentials for Amazon ECR on docker push/docker pull
    format: raw
    url: https://amazon-ecr-credential-helper-releases.s3.us-east-2.amazonaws.com/{{trimV .Version}}/{{.OS}}-{{.Arch}}/docker-credential-ecr-login
    supported_envs:
      - linux
      - darwin
      - amd64
    files:
      - name: docker-credential-ecr-login
    checksum:
      type: http
      algorithm: sha256
      url: https://amazon-ecr-credential-helper-releases.s3.us-east-2.amazonaws.com/{{trimV .Version}}/{{.OS}}-{{.Arch}}/docker-credential-ecr-login.sha256
    overrides:
      - goos: windows
        checksum:
          type: http
          algorithm: sha256
          url: https://amazon-ecr-credential-helper-releases.s3.us-east-2.amazonaws.com/{{trimV .Version}}/{{.OS}}-{{.Arch}}/docker-credential-ecr-login.exe.sha256
    version_constraint: semver(">= 0.6.0")
    version_overrides:
      - version_constraint: semver(">= 0.3.1")
        rosetta2: true
"###),
    ("awslabs/git-secrets", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: awslabs
    repo_name: git-secrets
    description: Prevents you from committing secrets and credentials into git repositories
    supported_envs:
      - darwin
      - linux
    version_source: github_tag
    path: git-secrets
"###),
    ("awslabs/ssosync", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: awslabs
    repo_name: ssosync
    description: Populate AWS SSO directly with your G Suite users and groups using either a CLI or AWS Lambda
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0-rc.9"
        asset: ssosync_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: ssosync_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.0.0-rc.8")
        asset: ssosync_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: ssosync_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: ssosync_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: ssosync_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("awslabs/dynein", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: awslabs
    repo_name: dynein
    description: DynamoDB CLI written in Rust
    files:
      - name: dy
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: dynein-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: dynein-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
          linux/amd64: linux
          linux/arm64: linux-arm
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            asset: dynein-{{.OS}}.{{.Format}}
            checksum:
              enabled: false
"###),
    ("awslabs/mountpoint-s3", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: awslabs
    repo_name: mountpoint-s3
    description: A simple, high-throughput file client for mounting an Amazon S3 bucket as a local file system
    version_source: github_tag
    version_prefix: mountpoint-s3-
    version_filter: |
      Version matches "^mountpoint-s3-\\d+\\.\\d+\\.\\d+"
    url: https://s3.amazonaws.com/mountpoint-s3-release/{{.SemVer}}/{{.Arch}}/mount-s3-{{.SemVer}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
    supported_envs:
      - linux
    files:
      - name: mount-s3
        src: bin/mount-s3
"###),
    ("awslabs/eks-auto-mode-ebs-migration-tool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: awslabs
    repo_name: eks-auto-mode-ebs-migration-tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: eks-auto-mode-ebs-migration-tool_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          darwin: Darwin
          linux: Linux
          amd64: x86_64
        checksum:
          type: github_release
          asset: eks-auto-mode-ebs-migration-tool_{{trimV .Version}}_sha256_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: eks-auto-mode-ebs-migration-tool_{{.OS}}_all
        supported_envs:
          - linux
          - darwin
"###),
    ("awslabs/eks-node-viewer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: awslabs
    repo_name: eks-node-viewer
    description: EKS Node Viewer
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: semver("<= 0.2.1")
        asset: eks-node-viewer_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            asset: eks-node-viewer_{{.OS}}_all
          - goos: windows
            format: zip
            asset: eks-node-viewer_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: eks-node-viewer_{{trimV .Version}}_sha256_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: eks-node-viewer_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            asset: eks-node-viewer_{{.OS}}_all
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: eks-node-viewer_{{trimV .Version}}_sha256_checksums.txt
          algorithm: sha256
"###),
    ("awslabs/kubernetes-iteration-toolkit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: awslabs
    repo_name: kubernetes-iteration-toolkit
    version_filter: not (Version startsWith "kit-operator-")
    files:
      - name: kitctl
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kitctl_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - darwin
"###),
    ("reteps/dockerfmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: reteps
    repo_name: dockerfmt
    description: Dockerfile format and parser. a modern dockfmt
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: dockerfmt-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
          - darwin/arm64
"###),
    ("tektoncd/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tektoncd
    repo_name: cli
    description: A CLI for interacting with Tekton
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: tkn
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
      - version_constraint: semver("<= 0.3.1")
        asset: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: tkn
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.4.0"
        asset: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: tkn
        overrides:
          - goos: windows
            format: zip
            checksum:
              enabled: false
            files:
              - name: tkn
                src: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}/tkn.exe
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.21.0")
        asset: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: tkn
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.23.1")
        asset: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: tkn
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.27.0")
        asset: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: tkn
        overrides:
          - goos: darwin
            asset: tkn_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.34.0"
        # https://github.com/tektoncd/cli/issues/2211
        asset: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: tkn
        overrides:
          - goos: darwin
            asset: tkn_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: Darwin
          linux: Linux
          windows: Windows
      - version_constraint: "true"
        asset: tkn_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: tkn
        overrides:
          - goos: darwin
            asset: tkn_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("github.com/zeromicro/go-zero/tools/goctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: github.com/zeromicro/go-zero/tools/goctl
    type: go_install
    repo_owner: zeromicro
    repo_name: go-zero
    description: A cloud-native Go microservices framework with cli tool for productivity
    path: github.com/zeromicro/go-zero/tools/goctl
    version_filter: Version startsWith "tools/goctl/"
    files:
      - name: goctl
"###),
    ("kahing/goofys", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kahing
    repo_name: goofys
    description: a high-performance, POSIX-ish Amazon S3 file system written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: goofys
        supported_envs:
          - linux/amd64
"###),
    ("kubeshark/kubeshark", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubeshark
    repo_name: kubeshark
    aliases:
      # Repository was transferred at 37.0
      - name: up9inc/mizu
    description: The API traffic analyzer for Kubernetes providing real-time K8s protocol-level visibility, capturing and monitoring all traffic and payloads going in, out and across containers, pods, nodes and clusters. Inspired by Wireshark, purposely built for Kubernetes
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.17.0")
        asset: mizu_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        files:
          - name: mizu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.23.0")
        asset: mizu_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        files:
          - name: mizu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: mizu.exe
            checksum:
              enabled: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 36.0")
        asset: mizu_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        files:
          - name: mizu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: mizu.exe
            checksum:
              enabled: false
      - version_constraint: semver("<= 37.0")
        asset: kubeshark_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: kubeshark.exe
            checksum:
              enabled: false
      - version_constraint: semver("<= 50.4")
        asset: kubeshark_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kubeshark_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 52.1.50")
        asset: kubeshark_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kubeshark_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kubeshark_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: kubeshark
            checksum:
              enabled: false
"###),
    ("coder3101/protols", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: coder3101
    repo_name: protols
    description: Language Server for protocol buffers
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        no_asset: true
      - version_constraint: "true"
        asset: protols-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("toshimaru/nyan", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: toshimaru
    repo_name: nyan
    description: Colored `cat` command
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.0"
        asset: nyan_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.0")
        asset: nyan_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.9.0")
        asset: nyan_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.2")
        asset: nyan_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.9.6")
        asset: nyan_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: nyan_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.0.5")
        asset: nyan_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: nyan_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("lima-vm/sshocker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lima-vm
    repo_name: sshocker
    description: ssh + reverse sshfs + port forwarder, in Docker-like CLI (predecessor of Lima)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: sshocker-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: sshocker-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
"###),
    ("lima-vm/lima", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lima-vm
    repo_name: lima
    description: Linux virtual machines, with a focus on running containers
    files:
      - name: lima
        src: bin/lima
      - name: limactl
        src: bin/limactl
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.7.0"
        no_asset: true
      - version_constraint: Version == "v0.1.0"
        asset: lima-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - darwin
      - version_constraint: semver("< 0.23.0")
        asset: lima-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: lima-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: lima-vm/lima/.github/workflows/release.yml
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
"###),
    ("che-incubator/chectl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: che-incubator
    repo_name: chectl
    description: CLI to manage Eclipse Che server and workspaces
    rosetta2: true
    asset: chectl-{{.OS}}-{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - linux/amd64
    replacements:
      amd64: x64
    files:
      - name: chectl
        src: chectl/bin/chectl
"###),
    ("jacobdeichert/mask", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jacobdeichert
    repo_name: mask
    description: A CLI task runner defined by a simple markdown file
    asset: mask-{{.SemVer}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: zip
    overrides:
      - goos: darwin
        replacements:
          arm64: aarch64
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    files:
      - name: mask
        src: mask-{{.SemVer}}-{{.Arch}}-{{.OS}}/mask
    supported_envs:
      - darwin
      - amd64
    version_prefix: mask/
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
    version_constraint: semver(">= 0.11.4")
    version_overrides:
      - version_constraint: semver(">= 0.11.3")
        asset: mask-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        version_prefix: ""
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.11.2")
        asset: mask-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        version_prefix: ""
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.11.1")
        asset: mask-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
        version_prefix: ""
        checksum:
          enabled: false
      - version_constraint: semver("< 0.11.1")
        asset: mask-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
        version_prefix: ""
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("harelba/q", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: harelba
    repo_name: q
    description: q - Run SQL directly on CSV or TSV files
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    version_constraint: semver(">= 3.1.6")
    asset: "{{.OS}}-q"
    replacements:
      windows: win
      darwin: macos
    version_overrides:
      - version_constraint: "true"
        asset: q-{{.Arch}}-{{.OS}}
        replacements:
          darwin: Darwin
          linux: Linux
          amd64: x86_64
        overrides:
          - goos: windows
            asset: q-AMD64-Windows.exe
"###),
    ("abiosoft/colima", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: abiosoft
    repo_name: colima
    description: Container runtimes on macOS (and Linux) with minimal setup
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.7.1"
        # https://github.com/abiosoft/colima/issues/1106
        asset: colima-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: colima-{{.OS}}-{{.Arch}}.sha256sum
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            checksum:
              enabled: false
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.1.10")
        no_asset: true
      - version_constraint: semver("<= 0.2.2")
        asset: colima-amd64
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: "true"
        asset: colima-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: colima-{{.OS}}-{{.Arch}}.sha256sum
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
"###),
    ("tmc/json-to-struct", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: tmc
    repo_name: json-to-struct
    description: A simple command-line tool for generating to struct definitions from JSON
"###),
    ("ryodocx/kube-credential-cache", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ryodocx
    repo_name: kube-credential-cache
    asset: kube-credential-cache_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Accelerator cache for kubernetes access
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    overrides:
      - goos: windows
        format: zip
    files:
      - name: kcc-cache
      - name: kcc-injector
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("kurehajime/kuzusi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kurehajime
    repo_name: kuzusi
    description: breakout for terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: "{{.OS}}_{{.Arch}}.{{.Format}}"
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("kurehajime/dajarep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kurehajime
    repo_name: dajarep
    description: ダジャレを検索するコマンド
    version_constraint: semver(">= 1.9.8")
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    asset: dajarep_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        asset: dajarep_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: macos
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: dajarep_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("kurehajime/pong-command", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kurehajime
    repo_name: pong-command
    description: pong is not ping. pong is CLI game
    files:
      - name: pong
    version_constraint: semver(">= 2.0.8")
    asset: pong-command_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    replacements:
      amd64: x86_64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: semver(">= 2.0.5")
        supported_envs: []
      - version_constraint: "true"
        rosetta2: true
        asset: "{{.OS}}_{{.Arch}}.zip"
        supported_envs:
          - darwin
          - amd64
        replacements:
          darwin: macos
        checksum:
          enabled: false
"###),
    ("container2wasm/container2wasm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: container2wasm
    repo_name: container2wasm
    aliases:
      - name: ktock/container2wasm
    description: Container to WASM converter
    files:
      - name: c2w
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: container2wasm-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("regclient/regclient/regbot", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: regclient/regclient/regbot
    type: github_release
    repo_owner: regclient
    repo_name: regclient
    asset: regbot-{{.OS}}-{{.Arch}}
    format: raw
    files:
      - name: regbot
    description: A scripting tool on top of the regclient (Docker and OCI Registry Client) API
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.3.9")
    version_overrides:
      - version_constraint: semver("< 0.3.9")
        rosetta2: true
      - version_constraint: "true"
"###),
    ("regclient/regclient/regsync", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: regclient/regclient/regsync
    type: github_release
    repo_owner: regclient
    repo_name: regclient
    asset: regsync-{{.OS}}-{{.Arch}}
    format: raw
    files:
      - name: regsync
    description: Docker and OCI image mirroring tool
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.3.9")
    version_overrides:
      - version_constraint: semver("< 0.3.9")
        rosetta2: true
      - version_constraint: "true"
"###),
    ("regclient/regclient/regctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: regclient/regclient/regctl
    type: github_release
    repo_owner: regclient
    repo_name: regclient
    asset: regctl-{{.OS}}-{{.Arch}}
    format: raw
    description: Docker and OCI Registry Client
    files:
      - name: regctl
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.3.9")
    version_overrides:
      - version_constraint: semver("< 0.3.9")
        rosetta2: true
      - version_constraint: "true"
"###),
    ("moby/buildkit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: moby
    repo_name: buildkit
    description: concurrent, cache-efficient, and Dockerfile-agnostic builder toolkit
    files:
      - name: buildctl
        src: bin/{{.FileName}}
    version_filter: not (Version matches "-(alpha|beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.3")
        asset: buildkit-{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            goarch: amd64
            files:
              - name: buildctl
                src: bin/{{.FileName}}
              - name: buildkit-qemu-aarch64
                src: bin/{{.FileName}}
              - name: buildkit-qemu-arm
                src: bin/{{.FileName}}
              - name: buildkit-qemu-i386
                src: bin/{{.FileName}}
              - name: buildkit-qemu-ppc64le
                src: bin/{{.FileName}}
              - name: buildkit-qemu-riscv64
                src: bin/{{.FileName}}
              - name: buildkit-qemu-s390x
                src: bin/{{.FileName}}
              - name: buildkit-runc
                src: bin/{{.FileName}}
              - name: buildkitd
                src: bin/{{.FileName}}
          - goos: linux
            goarch: arm64
            files:
              - name: buildctl
                src: bin/{{.FileName}}
              - name: buildkit-qemu-arm
                src: bin/{{.FileName}}
              - name: buildkit-qemu-i386
                src: bin/{{.FileName}}
              - name: buildkit-qemu-ppc64le
                src: bin/{{.FileName}}
              - name: buildkit-qemu-riscv64
                src: bin/{{.FileName}}
              - name: buildkit-qemu-s390x
                src: bin/{{.FileName}}
              - name: buildkit-qemu-x86_64
                src: bin/{{.FileName}}
              - name: buildkit-runc
                src: bin/{{.FileName}}
              - name: buildkitd
                src: bin/{{.FileName}}
      - version_constraint: "true"
        asset: buildkit-{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            goarch: amd64
            files:
              - name: buildctl
                src: bin/{{.FileName}}
              - name: buildkit-cni-bridge
                src: bin/{{.FileName}}
              - name: buildkit-cni-firewall
                src: bin/{{.FileName}}
              - name: buildkit-cni-host-local
                src: bin/{{.FileName}}
              - name: buildkit-cni-loopback
                src: bin/{{.FileName}}
              - name: buildkit-qemu-aarch64
                src: bin/{{.FileName}}
              - name: buildkit-qemu-arm
                src: bin/{{.FileName}}
              - name: buildkit-qemu-i386
                src: bin/{{.FileName}}
              - name: buildkit-qemu-ppc64le
                src: bin/{{.FileName}}
              - name: buildkit-qemu-riscv64
                src: bin/{{.FileName}}
              - name: buildkit-qemu-s390x
                src: bin/{{.FileName}}
              - name: buildkit-runc
                src: bin/{{.FileName}}
              - name: buildkitd
                src: bin/{{.FileName}}
          - goos: linux
            goarch: arm64
            files:
              - name: buildctl
                src: bin/{{.FileName}}
              - name: buildkit-cni-bridge
                src: bin/{{.FileName}}
              - name: buildkit-cni-firewall
                src: bin/{{.FileName}}
              - name: buildkit-cni-host-local
                src: bin/{{.FileName}}
              - name: buildkit-cni-loopback
                src: bin/{{.FileName}}
              - name: buildkit-qemu-arm
                src: bin/{{.FileName}}
              - name: buildkit-qemu-i386
                src: bin/{{.FileName}}
              - name: buildkit-qemu-ppc64le
                src: bin/{{.FileName}}
              - name: buildkit-qemu-riscv64
                src: bin/{{.FileName}}
              - name: buildkit-qemu-s390x
                src: bin/{{.FileName}}
              - name: buildkit-qemu-x86_64
                src: bin/{{.FileName}}
              - name: buildkit-runc
                src: bin/{{.FileName}}
              - name: buildkitd
                src: bin/{{.FileName}}
          - goos: windows
            files:
              - name: buildctl
                src: bin/{{.FileName}}
              - name: buildkitd
                src: bin/{{.FileName}}
"###),
    ("kopia/kopia", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kopia
    repo_name: kopia
    asset: kopia-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Cross-platform backup tool for Windows, macOS & Linux with fast, incremental backups, client-side end-to-end encryption, compression and data deduplication. CLI and GUI included
    replacements:
      amd64: x64
      darwin: macOS
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: kopia
        src: kopia-{{trimV .Version}}-{{.OS}}-{{.Arch}}/kopia
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("ginuerzh/gost", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ginuerzh
    repo_name: gost
    description: GO Simple Tunnel - a simple tunnel written in golang
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["2.1-rc1", "v2.3-dev"]
        no_asset: true
      - version_constraint: Version in ["2.0", "2.1", "v2.2"]
        asset: gost_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: gost
            src: "{{.AssetWithoutExt}}/gost"
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: gost
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.4-dev"
        asset: gost_{{trimV .Version}}20170303_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: gost
            src: "{{.AssetWithoutExt}}/gost"
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: gost
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.11.2"
        asset: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: gost
            src: "{{.AssetWithoutExt}}"
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gost
                src: gost-{{.OS}}-{{.Arch}}.exe
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0")
        asset: gost_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: gost
            src: "{{.AssetWithoutExt}}/gost"
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: gost
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.2-rc2")
        no_asset: true
      - version_constraint: semver("<= 2.8.1")
        asset: gost_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: gost
            src: "{{.AssetWithoutExt}}/gost"
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: gost
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.11.1")
        asset: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: gost
            src: "{{.AssetWithoutExt}}"
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gost
                src: gost-{{.OS}}-{{.Arch}}.exe
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.11.5")
        asset: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: gz
        files:
          - name: gost
            src: "{{.AssetWithoutExt}}"
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gost
                src: gost-{{.OS}}-{{.Arch}}.exe
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: "true"
        asset: gost_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("kubepug/kubepug", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubepug
    repo_name: kubepug
    aliases:
      - name: rikatz/kubepug
    description: Kubernetes PreUpGrade (Checker)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.2.1"
        no_asset: true
      - version_constraint: Version == "v1.2.2"
        asset: kubepug_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kubepug_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.1.3")
        asset: kubepug_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubepug_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.0")
        asset: kubepug_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubepug_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: kubepug_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubepug_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/kubepug/kubepug/releases/download/{{.Version}}/kubepug_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/kubepug/kubepug/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/kubepug/kubepug/releases/download/{{.Version}}/kubepug_{{trimV .Version}}_checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("babarot/git-bump", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: git-bump
    aliases:
      - name: b4b4r07/git-bump
    description: Bump version (git tag) to next one with semver
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: git-bump_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: git-bump_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("babarot/gomi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: gomi
    description: Replacement for UNIX rm command
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.7")
        asset: gomi_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1.1")
        asset: gomi_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: gomi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.1.3"
        asset: gomi_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: gomi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.1.6")
        asset: gomi_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: gomi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: gomi_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: gomi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("babarot/changed-objects", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: changed-objects
    aliases:
      - name: b4b4r07/changed-objects
    description: Get changed objects in Git commit
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: get-changed-objects_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        files:
          - name: get-changed-objects
        checksum:
          type: github_release
          asset: get-changed-objects_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.1.1"
        asset: get-changed-objects-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: get-changed-objects
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: get-changed-objects_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.1.2"
        asset: get-changed-objects-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: get-changed-objects
        checksum:
          type: github_release
          asset: get-changed-objects_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.1.11"
        asset: changed-objects-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: changed-objects_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.1.7")
        asset: changed-objects-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: changed-objects_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.16")
        asset: changed-objects-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: changed-objects_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.3.7")
        asset: changed-objects-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: changed-objects_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: changed-objects_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: changed-objects_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("babarot/vtest", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: vtest
    aliases:
      - name: b4b4r07/vtest
    description: Unix `test` command for Version comparison
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: vtest_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: vtest_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("babarot/iap_curl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: iap_curl
    aliases:
      - name: b4b4r07/iap_curl
    description: A CLI that is curl wrapper for making HTTP request to IAP-protected app, more easier than curl
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.3")
        asset: iap_curl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: iap_curl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: iap_curl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: iap_curl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("babarot/github-labeler", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: github-labeler
    aliases:
      - name: b4b4r07/github-labeler
    rosetta2: true
    asset: github-labeler_{{.OS}}_{{.Arch}}.{{.Format}}
    description: Declarative way to configure GitHub labels
    supported_envs:
      - darwin
      - linux/amd64
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      386: i386
      amd64: x86_64
    checksum:
      type: github_release
      asset: github-labeler_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("babarot/gist", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: gist
    aliases:
      - name: b4b4r07/gist
    asset: gist_{{.OS}}_{{.Arch}}.{{.Format}}
    description: A simple gist editor for CLI
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      386: i386
      amd64: x86_64
    version_constraint: semver(">= 1.2.6")
    supported_envs:
      - darwin
      - linux
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
    checksum:
      type: github_release
      asset: gist_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("babarot/afx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: afx
    aliases:
      - name: b4b4r07/afx
    description: Package manager to provide declaretive way to manage CLI commands and shell plugins as code
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: afx_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: afx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.1.25")
        asset: afx_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: afx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: afx_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: afx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("babarot/stein", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: babarot
    repo_name: stein
    aliases:
      - name: b4b4r07/stein
    description: A linter for config files with a customizable rule set
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: stein_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: stein_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: stein_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: stein_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("MiSawa/xq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: MiSawa
    repo_name: xq
    asset: xq-{{.Version}}-{{.Arch}}-{{.OS}}.tar.gz
    description: Pure rust implementation of jq
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: xq
        src: xq-{{.Version}}-{{.Arch}}-{{.OS}}/xq
"###),
    ("namespacelabs/foundation/nsc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: namespacelabs/foundation/nsc
    type: github_release
    repo_owner: namespacelabs
    repo_name: foundation
    description: Open-source Kubernetes application platform that powers Namespace's developer-optimized compute platform
    files:
      - name: nsc
      - name: docker-credential-nsc
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.158")
        no_asset: true
      - version_constraint: semver("<= 0.0.195")
        asset: nsc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: nsc
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: nsc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("GoodwayGroup/gwvault", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: GoodwayGroup
    repo_name: gwvault
    description: ansible-vault CLI reimplemented in go
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: gwvault_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: gwvault
        src: gwvault_{{trimV .Version}}_{{.OS}}_{{.Arch}}/gwvault
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("mpostument/awstaghelper", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mpostument
    repo_name: awstaghelper
    description: AWS bulk tagging tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.17.1")
        asset: awstaghelper_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.19.0")
        asset: awstaghelper_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: awstaghelper_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("kubermatic/kubeone", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubermatic
    repo_name: kubeone
    asset: kubeone_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    description: Kubermatic KubeOne automate cluster operations on all your cloud, on-prem, edge, and IoT environments
    supported_envs:
      - linux
      - darwin
    checksum:
      type: github_release
      asset: kubeone_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.4.2")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("Darth-Tech/samwise-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Darth-Tech
    repo_name: samwise-cli
    description: A CLI application to accompany on your terraform module journey and sharing your burden of module dependency updates, just as one brave Hobbit helped Frodo carry his :)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: samwise-cli-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: samwise-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: samwise-cli_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        supported_envs:
          - linux
          - darwin
"###),
    ("artempyanykh/marksman", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: artempyanykh
    repo_name: marksman
    description: Write Markdown with code assist and intelligence in the comfort of your favourite editor
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2022-03-26")
        asset: zeta-note-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2023-04-12")
        asset: marksman-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            asset: marksman
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: marksman-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              amd64: x64
          - goos: darwin
            asset: marksman-{{.OS}}
          - goos: windows
            asset: marksman
"###),
    ("updatecli/updatecli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: updatecli
    repo_name: updatecli
    description: A Declarative Dependency Management tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.0.18", "v0.0.32"]
        no_asset: true
      - version_constraint: Version == "v0.0.23"
        asset: updatecli.amd64.exe
        format: raw
        supported_envs:
          - windows
      - version_constraint: semver("<= 0.0.5")
        no_asset: true
      - version_constraint: semver("<= 0.0.10")
        asset: updatecli
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.3.0")
        asset: updatecli.{{.OS}}.{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: updatecli.{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.1")
        asset: updatecli_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: updatecli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.40.1")
        asset: updatecli_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: updatecli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: updatecli_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/updatecli/updatecli/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - "https://github.com/updatecli/updatecli/.github/workflows/release.yaml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/updatecli/updatecli/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("amacneil/dbmate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: amacneil
    repo_name: dbmate
    description: A lightweight, framework-agnostic database migration tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.13.0"
        asset: dbmate-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: macos
      - version_constraint: semver("<= 1.6.0")
        asset: dbmate-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.9.1")
        asset: dbmate-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.11.0")
        asset: dbmate-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
      - version_constraint: "true"
        asset: dbmate-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: macos
"###),
    ("grafana/grizzly", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: grafana
    repo_name: grizzly
    description: A utility for managing Jsonnet dashboards against the Grafana API
    files:
      - name: grr
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: grr-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: grr-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("grafana/jsonnet-language-server", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: grafana
    repo_name: jsonnet-language-server
    description: A Language Server Protocol (LSP) server for Jsonnet (https://jsonnet.org)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.1")
        asset: jsonnet-language-server_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: jsonnet-language-server_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: jsonnet-language-server_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: jsonnet-language-server_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("grafana/mimir/mimirtool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: grafana/mimir/mimirtool
    type: github_release
    repo_owner: grafana
    repo_name: mimir
    description: Grafana Mimir provides horizontally scalable, highly available, multi-tenant, long-term storage for Prometheus
    asset: mimirtool-{{.OS}}-{{.Arch}}
    format: raw
    version_prefix: mimir-
    supported_envs:
      - linux
      - darwin
"###),
    ("grafana/mimir/query-tee", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: grafana/mimir/query-tee
    type: github_release
    repo_owner: grafana
    repo_name: mimir
    description: Grafana Mimir provides horizontally scalable, highly available, multi-tenant, long-term storage for Prometheus
    asset: query-tee-{{.OS}}-{{.Arch}}
    format: raw
    supported_envs:
      - linux
      - darwin
    version_prefix: mimir-
"###),
    ("grafana/mimir/mimir", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: grafana/mimir/mimir
    type: github_release
    repo_owner: grafana
    repo_name: mimir
    description: Grafana Mimir provides horizontally scalable, highly available, multi-tenant, long-term storage for Prometheus
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "mimir-2.2.0-rc.0"
        asset: mimir-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: mimir-{{.OS}}-{{.Arch}}
        format: raw
        overrides:
          - goos: windows
            asset: mimirtool-{{.OS}}-{{.Arch}}
"###),
    ("grafana/mimir/metaconvert", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: grafana/mimir/metaconvert
    type: github_release
    repo_owner: grafana
    repo_name: mimir
    description: Grafana Mimir provides horizontally scalable, highly available, multi-tenant, long-term storage for Prometheus
    asset: metaconvert-{{.OS}}-{{.Arch}}
    format: raw
    version_prefix: mimir-
    supported_envs:
      - linux
      - darwin
"###),
    ("grafana/grafana-kiosk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: grafana
    repo_name: grafana-kiosk
    description: Kiosk Utility for Grafana
    rosetta2: true
    format: raw
    asset: grafana-kiosk.{{.OS}}.{{.Arch}}
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("grafana/k6", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: grafana
    repo_name: k6
    description: A modern load testing tool, using Go and JavaScript
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: k6-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    files:
      - name: k6
        src: k6-{{.Version}}-{{.OS}}-{{.Arch}}/k6
    replacements:
      darwin: macos
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    checksum:
      type: github_release
      asset: k6-{{.Version}}-checksums.txt
      algorithm: sha256
"###),
    ("grafana/loki/logcli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: grafana/loki/logcli
    type: github_release
    repo_owner: grafana
    repo_name: loki
    description: LogCLI is the command-line interface to Grafana Loki
    supported_envs:
      - linux
      - darwin
      - amd64
    asset: logcli-{{.OS}}-{{.Arch}}.zip
    overrides:
      - goos: windows
        asset: logcli-{{.OS}}-{{.Arch}}.exe.zip
    files:
      - name: logcli
        src: logcli-{{.OS}}-{{.Arch}}
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("grafana/tanka", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: grafana
    repo_name: tanka
    description: Flexible, reusable and concise configuration for Kubernetes
    files:
      - name: tk
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.27.0"
        no_asset: true
      - version_constraint: semver("<= 0.3.0")
        asset: tk_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.10.0")
        asset: tk-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.20.0")
        asset: tk-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: tk-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("grafana/xk6", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: grafana
    repo_name: xk6
    asset: xk6_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Build k6 with extensions
    replacements:
      darwin: mac
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: xk6_{{trimV .Version}}_checksums.txt
      algorithm: sha512
    version_constraint: semver("< 0.9.0")
    version_overrides:
      - version_constraint: semver(">= 0.9.0")
        error_message: |
          From version xk6 v0.9.0 there are no more binaries published.

          https://github.com/grafana/xk6/issues/60
"###),
    ("windvalley/gossh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: windvalley
    repo_name: gossh
    description: A high-performance and high-concurrency ssh tool written in Go. It is 10 times faster than Ansible. If you need much more performance and better ease of use, you will love it
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.6.1"
        no_asset: true
      - version_constraint: semver("<= 1.12.0")
        asset: gossh-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: gossh-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("srevinsaju/togomak", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: srevinsaju
    repo_name: togomak
    description: A declarative pipeline orchestrator with the magic of HCL as a configuration language, inspired from Terraform's architecture
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1-alpha.5")
        asset: togomak_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: togomak_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "0.0.3"
        asset: togomak_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: togomak_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: togomak_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: togomak_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("tilt-dev/ctlptl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tilt-dev
    repo_name: ctlptl
    description: Making local Kubernetes clusters fun and easy to set up
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        asset: ctlptl.{{trimV .Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: ctlptl.{{trimV .Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("tilt-dev/tilt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tilt-dev
    repo_name: tilt
    description: Define your dev environment as code. For microservice apps on Kubernetes
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: tilt.{{trimV .Version}}.{{.OS}}.{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      darwin: mac
      386: i386
      amd64: x86_64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("norwoodj/helm-docs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: norwoodj
    repo_name: helm-docs
    description: A tool for automatically generating markdown documentation for helm charts
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.11.2"
        asset: helm-docs_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.3.0")
        asset: helm-docs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.5.0")
        asset: helm-docs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: helm-docs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("liweiyi88/gosnakego", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liweiyi88
    repo_name: gosnakego
    description: A snake game written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1"
        asset: gosnakego_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        complete_windows_ext: false
      - version_constraint: semver("<= v0.2.0")
        asset: gosnakego_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("<= v0.3.1")
        asset: gosnakego_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - windows/amd64
        rosetta2: true
      - version_constraint: Version == "v0.3.2"
        no_asset: true
      - version_constraint: "true"
        asset: gosnakego_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: gosnakego_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("superbrothers/ksort", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: superbrothers
    repo_name: ksort
    description: Sort manfest files in a proper order by Kind
    files:
      - name: ksort
      - name: kubectl-sort_manifests
        src: ksort
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.1"
        asset: ksort-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.4.2"
        asset: ksort-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.0")
        asset: ksort-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.0")
        asset: ksort-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: ksort-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("theurichde/go-aws-sso", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: theurichde
    repo_name: go-aws-sso
    description: Makes dealing with AWS SSO Logins an ease
    asset: go-aws-sso_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    checksum:
      type: github_release
      asset: go-aws-sso_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.2.0-dev.1")
    version_overrides:
      - version_constraint: semver(">= 0.6.1")
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver(">= 0.3.0")
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.1.0")
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("< 0.1.0")
        asset: go-aws-sso-util_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        supported_envs:
          - linux
          - darwin
        files:
          - name: go-aws-sso-util
        checksum:
          type: github_release
          asset: go-aws-sso-util_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("SuperCuber/dotter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: SuperCuber
    repo_name: dotter
    description: A dotfile manager and templater written in rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.12.15")
        asset: dotter
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - windows
      - version_constraint: semver("<= 0.13.0")
        asset: dotter
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            asset: dotter.arm
        supported_envs:
          - linux
          - darwin/arm64
          - windows
      - version_constraint: "true"
        asset: dotter-{{.OS}}-{{.Arch}}-musl
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: darwin
            asset: dotter-{{.OS}}-{{.Arch}}.arm
            replacements:
              amd64: amd64
          - goos: windows
            asset: dotter-{{.OS}}-{{.Arch}}-msvc
        supported_envs:
          - linux
          - darwin/arm64
          - windows
"###),
    ("ropnop/kerbrute", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ropnop
    repo_name: kerbrute
    description: A tool to perform Kerberos pre-auth bruteforcing
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kerbrute_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("jreleaser/jreleaser/standalone", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: jreleaser/jreleaser/standalone
    type: github_release
    repo_owner: jreleaser
    repo_name: jreleaser
    description: Release projects quickly and easily with JReleaser
    rosetta2: true
    replacements:
      amd64: x86_64
      darwin: osx
      linux: linux_musl
      arm64: aarch64
    asset: jreleaser-standalone-{{trimV .Version}}-{{.OS}}-{{.Arch}}.zip
    files:
      - name: jreleaser
        src: jreleaser-standalone-{{trimV .Version}}-{{.OS}}-{{.Arch}}/bin/jreleaser
      - name: java
        src: jreleaser-standalone-{{trimV .Version}}-{{.OS}}-{{.Arch}}/bin/java
      - name: keytool
        src: jreleaser-standalone-{{trimV .Version}}-{{.OS}}-{{.Arch}}/bin/keytool
      - name: rmiregistry
        src: jreleaser-standalone-{{trimV .Version}}-{{.OS}}-{{.Arch}}/bin/rmiregistry
    checksum:
      type: github_release
      asset: checksums_sha256.txt
      algorithm: sha256
"###),
    ("jreleaser/jreleaser", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: jreleaser/jreleaser
    type: github_release
    repo_owner: jreleaser
    repo_name: jreleaser
    description: Release projects quickly and easily with JReleaser
    complete_windows_ext: false
    asset: jreleaser-{{trimV .Version}}.zip
    files:
      - name: jreleaser
        src: jreleaser-{{trimV .Version}}/bin/jreleaser
    checksum:
      type: github_release
      asset: jreleaser-{{trimV .Version}}.zip.sha256
      algorithm: sha256
"###),
    ("auth0/auth0-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: auth0
    repo_name: auth0-cli
    description: Build, manage and test your Auth0 integrations from the command line
    files:
      - name: auth0
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.3")
        asset: auth0-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.1")
        asset: auth0-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.8")
        asset: auth0-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: auth0-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("pre-commit/pre-commit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pre-commit
    repo_name: pre-commit
    description: A framework for managing and maintaining multi-language pre-commit hooks
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pre-commit-{{trimV .Version}}.pyz
        format: raw
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
"###),
    ("chainguard-dev/melange", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chainguard-dev
    repo_name: melange
    description: build APKs from source code
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: melange_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: melange
            src: melange_{{trimV .Version}}_{{.OS}}_{{.Arch}}/melange
        supported_envs:
          - linux
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/chainguard-dev/melange/\\.github/workflows/release\\.yaml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/chainguard-dev/melange/releases/download/{{.Version}}/melange_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.sig
            - --certificate
            - https://github.com/chainguard-dev/melange/releases/download/{{.Version}}/melange_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.crt
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/chainguard-dev/melange/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/chainguard-dev/melange/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/chainguard-dev/melange/releases/download/{{.Version}}/checksums.txt.crt
      - version_constraint: "true"
        asset: melange_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: melange
            src: melange_{{trimV .Version}}_{{.OS}}_{{.Arch}}/melange
        supported_envs:
          - linux
          - darwin
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/chainguard-dev/melange/\\.github/workflows/release\\.yaml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/chainguard-dev/melange/releases/download/{{.Version}}/melange_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.sig
            - --certificate
            - https://github.com/chainguard-dev/melange/releases/download/{{.Version}}/melange_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.crt
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/chainguard-dev/melange/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/chainguard-dev/melange/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/chainguard-dev/melange/releases/download/{{.Version}}/checksums.txt.crt
"###),
    ("chainguard-dev/apko", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chainguard-dev
    repo_name: apko
    description: Build OCI images from APK packages directly without Dockerfile
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: apko
            src: apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}/apko
        format: tar.gz
        supported_envs:
          - linux
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/chainguard-dev/apko/\\.github/workflows/release\\.yaml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.sig
            - --certificate
            - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.crt
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/chainguard-dev/apko/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/checksums.txt.crt
      - version_constraint: semver("<= 0.6.1")
        asset: apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: apko
            src: apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}/apko
        supported_envs:
          - linux
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/chainguard-dev/apko/\\.github/workflows/release\\.yaml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.sig
            - --certificate
            - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.crt
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/chainguard-dev/apko/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/checksums.txt.crt
      - version_constraint: semver("<= 0.11.0")
        asset: apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: apko
            src: apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}/apko
        supported_envs:
          - linux
          - darwin
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/chainguard-dev/apko/\\.github/workflows/release\\.yaml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.sig
            - --certificate
            - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.crt
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/chainguard-dev/apko/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/checksums.txt.crt
      - version_constraint: "true"
        asset: apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: apko
            src: apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}/apko
        format: tar.gz
        supported_envs:
          - linux
          - darwin
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/chainguard-dev/apko/\\.github/workflows/release\\.yaml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.sig
            - --certificate
            - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/apko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}.crt
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/chainguard-dev/apko/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/chainguard-dev/apko/releases/download/{{.Version}}/checksums.txt.crt
"###),
    ("nats-io/natscli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nats-io
    repo_name: natscli
    description: The NATS Command Line Interface
    asset: nats-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: zip
    files:
      - name: nats
        src: nats-{{trimV .Version}}-{{.OS}}-{{.Arch}}/nats
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
    version_constraint: semver(">= 0.0.27")
    version_overrides:
      - version_constraint: semver(">= 0.0.23")
        asset: nats-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.0.22")
        asset: nats-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver("< 0.0.22")
        asset: nats-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
"###),
    ("marp-team/marp-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: marp-team
    repo_name: marp-cli
    asset: marp-cli-{{.Version}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: A CLI interface for Marp and Marpit based converters
    files:
      - name: marp
    replacements:
      darwin: mac
      windows: win
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
"###),
    ("benbjohnson/litestream", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: benbjohnson
    repo_name: litestream
    description: Streaming replication for SQLite
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.3"
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            asset: litestream-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.3.8-beta0"
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
      - version_constraint: Version == "v0.3.10"
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: Version == "v0.3.11-beta1"
        asset: litestream-v0.3.11-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        overrides:
          - goos: linux
            format: tar.gz
            asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v0.3.11-beta2"
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
      - version_constraint: semver("<= 0.2.0")
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.3.2")
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.7")
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            format: tar.gz
            asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
          - goos: windows
            asset: litestream-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
      - version_constraint: semver("<= 0.3.9")
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        overrides:
          - goos: linux
            format: tar.gz
            asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.3.10-beta2")
        no_asset: true
      - version_constraint: semver("<= 0.3.13")
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: litestream-{{.Version}}-{{.OS}}-{{.Arch}}-static.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
"###),
    ("cilium/cilium-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cilium
    repo_name: cilium-cli
    description: CLI to install, manage & troubleshoot Kubernetes clusters running Cilium
    files:
      - name: cilium
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1"
        asset: cilium-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.8.6")
        asset: cilium-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.9.1")
        asset: cilium-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
      - version_constraint: semver("<= 0.16.4")
        asset: cilium-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
      - version_constraint: "true"
        asset: cilium-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("FalconForceTeam/FalconHound", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FalconForceTeam
    repo_name: FalconHound
    description: FalconHound is a blue team multi-tool. It allows you to utilize and enhance the power of BloodHound in a more automated fashion. It is designed to be used in conjunction with a SIEM or other log aggregation tool
    asset: FalconHound_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    files:
      - name: falconhound
        src: FalconHound
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
"###),
    ("pivotal-cf/pivnet-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pivotal-cf
    repo_name: pivnet-cli
    description: CLI to interact with Tanzu Network API V2 interface
    files:
      - name: pivnet
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0-rc.1"
        asset: pivnet-{{.OS}}-{{.Arch}}-1.0.0
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.1")
        asset: pivnet-{{.OS}}-{{.Arch}}-{{trimV .Version}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: pivnet-{{.OS}}-{{.Arch}}-{{trimV .Version}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("pivotal-cf/om", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pivotal-cf
    repo_name: om
    description: General command line utility for working with VMware Tanzu Operations Manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.33.0")
        asset: om-{{.OS}}
        format: raw
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.0")
        asset: om-{{.OS}}
        format: raw
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 7.7.0")
        asset: om-{{.OS}}-{{.Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: om-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("smallstep/certificates", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: smallstep
    repo_name: certificates
    description: A private certificate authority (X.509 & SSH) & ACME server for secure automated certificate management, so you can use TLS everywhere & SSO for SSH
    version_filter: not (Version matches "-rc")
    files:
      - name: step-ca
        src: step-ca_{{.OS}}_{{.Arch}}/step-ca
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.15.1", "v0.17.5"]
        no_asset: true
      - version_constraint: semver("<= 0.13.3")
        asset: step-certificates_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step-ca
            src: step-certificates_{{trimV .Version}}/bin/step-ca
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.14.1")
        asset: step-certificates_{{.OS}}_{{trimV .Version}}-dev_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step-ca
            src: step-certificates_{{trimV .Version}}-dev/bin/step-ca
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.15.8")
        asset: step-certificates_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step-ca
            src: step-certificates_{{trimV .Version}}/bin/step-ca
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.15.15")
        asset: step-ca_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step-ca
            src: step-ca_{{trimV .Version}}/bin/step-ca
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.17.2")
        asset: step-ca_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step-ca
            src: step-ca_{{trimV .Version}}/bin/step-ca
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.17.4")
        asset: step-ca_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step-ca
            src: step-ca_{{trimV .Version}}/bin/step-ca
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.22.1")
        asset: step-ca_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step-ca
            src: step-ca_{{trimV .Version}}/bin/step-ca
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.24.2")
        asset: step-ca_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step-ca
            src: step-ca_{{trimV .Version}}/step-ca
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/smallstep/certificates/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/smallstep/certificates/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/smallstep/certificates/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: step-ca_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/smallstep/certificates/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/smallstep/workflows/.github/workflows/goreleaser.yml@refs/heads/main
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/smallstep/certificates/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("smallstep/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: smallstep
    repo_name: cli
    description: A zero trust swiss army knife for working with X509, OAuth, JWT, OATH OTP, etc
    version_filter: not (Version matches "-rc[0-9.]+$")
    files:
      - name: step
        src: step_{{.OS}}_{{.Arch}}/bin/step
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.15.1", "v0.27.0", "v0.28.1", "v0.28.4"]
        no_asset: true
      - version_constraint: Version == "v0.0.1"
        asset: step_{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step
            src: step_{{trimV .Version}}/bin/step
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.14.0"
        asset: step_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step
            src: step_{{trimV .Version}}/bin/step
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: Version == "v0.14.1"
        asset: step_{{.OS}}_{{trimV .Version}}-dev_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step
            src: step_{{trimV .Version}}-dev/bin/step
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.13.3")
        asset: step_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step
            src: step_{{trimV .Version}}/bin/step
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.15.3")
        asset: step_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step
            src: step_{{trimV .Version}}/bin/step
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.17.6")
        asset: step_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step
            src: step_{{trimV .Version}}/bin/step
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.22.0")
        asset: step_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step
            src: step_{{trimV .Version}}/bin/step
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.24.4")
        asset: step_{{.OS}}_{{trimV .Version}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: step
            src: step_{{trimV .Version}}/bin/step
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/smallstep/cli/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/smallstep/cli/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/smallstep/cli/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: step_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/smallstep/cli/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/smallstep/workflows/.github/workflows/goreleaser.yml@refs/heads/main
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/smallstep/cli/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("barnybug/cli53", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: barnybug
    repo_name: cli53
    description: Command line tool for Amazon Route 53
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.6.0"
        no_asset: true
      - version_constraint: semver("<= 0.7.2")
        asset: cli53-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.10")
        asset: cli53-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.19")
        asset: cli53-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: mac
        checksum:
          type: github_release
          asset: cli53_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.8.23")
        asset: cli53-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: mac
        checksum:
          type: github_release
          asset: cli53_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: cli53-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: mac
        checksum:
          type: github_release
          asset: cli53_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("clok/sm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: clok
    repo_name: sm
    asset: sm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: AWS Secrets Manager CLI Tool
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: sm
        src: sm_{{trimV .Version}}_{{.OS}}_{{.Arch}}/sm
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("lc/gau", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lc
    repo_name: gau
    description: Fetch known URLs from AlienVault's Open Threat Exchange, the Wayback Machine, and Common Crawl
    asset: gau_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: gau_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 2.2.0")
    version_overrides:
      - version_constraint: semver(">= 1.0.1")
        replacements:
          darwin: macOS
      - version_constraint: Version == "v1.0"
        asset: gau-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar
        files:
          - name: gau
            src: gau-{{.OS}}-{{.Arch}}
        overrides:
          - goos: windows
            asset: gau-windows-amd64.exe.tar
        checksum:
          enabled: false
"###),
    ("env0/terratag", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: env0
    repo_name: terratag
    asset: terratag_{{trimV .Version}}_{{.OS}}_amd64.tar.gz
    description: Terratag is a CLI tool that enables users of Terraform to automatically create and maintain tags across their entire set of AWS, Azure, and GCP resources
    checksum:
      type: github_release
      asset: terratag_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("kyoh86/richgo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kyoh86
    repo_name: richgo
    description: Enrich `go test` outputs with text decorations
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.2")
        no_asset: true
      - version_constraint: semver("<= 0.3.6")
        asset: richgo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: richgo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.8")
        asset: richgo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: richgo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.10")
        asset: richgo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: richgo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: richgo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: richgo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("timdp/lwc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: timdp
    repo_name: lwc
    description: A live-updating version of the UNIX wc command
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: lwc-golang_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: lwc-golang_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.4")
        asset: lwc-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: lwc-checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: lwc-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: lwc-checksums.txt
          algorithm: sha256
"###),
    ("docker/cli/rootless", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: docker/cli/rootless
    type: http
    repo_owner: docker
    repo_name: cli
    description: Docker CE CLI for Rootless mode
    version_source: github_tag
    version_filter: not (Version contains "beta" or Version contains "rc")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 28.0.0")
        url: https://download.docker.com/{{.OS}}/static/stable/{{.Arch}}/docker-rootless-extras-{{trimV .Version}}.tgz
        files:
          - name: rootlesskit
            src: docker-rootless-extras/rootlesskit
          - name: rootlesskit-docker-proxy
            src: docker-rootless-extras/rootlesskit-docker-proxy
          - name: vpnkit
            src: docker-rootless-extras/vpnkit
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
      - version_constraint: "true"
        url: https://download.docker.com/{{.OS}}/static/stable/{{.Arch}}/docker-rootless-extras-{{trimV .Version}}.tgz
        files:
          - name: rootlesskit
            src: docker-rootless-extras/rootlesskit
          - name: vpnkit
            src: docker-rootless-extras/vpnkit
        replacements:
          amd64: x86_64
          arm64: aarch64
        supported_envs:
          - linux
"###),
    ("docker/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: docker
    repo_name: cli
    description: Docker CE CLI
    version_source: github_tag
    version_filter: not (Version contains "beta" or Version contains "rc")
    url: https://download.docker.com/{{.OS}}/static/stable/{{.Arch}}/docker-{{trimV .Version}}.{{.Format}}
    format: tgz
    files:
      - name: docker
        src: docker/docker
    overrides:
      - goos: linux
        files:
          - name: containerd
            src: docker/containerd
          - name: containerd-shim-runc-v2
            src: docker/containerd-shim-runc-v2
          - name: ctr
            src: docker/ctr
          - name: docker
            src: docker/docker
          - name: docker-init
            src: docker/docker-init
          - name: docker-proxy
            src: docker/docker-proxy
          - name: dockerd
            src: docker/dockerd
          - name: runc
            src: docker/runc
      - goos: windows
        format: zip
    replacements:
      darwin: mac
      windows: win
      amd64: x86_64
      arm64: aarch64
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 23.0.0")
    version_overrides:
      - version_constraint: semver("< 23.0.0")
        overrides:
          - goos: linux
            files:
              - name: containerd
                src: docker/containerd
              - name: containerd-shim
                src: docker/containerd-shim
              - name: containerd-shim-runc-v2
                src: docker/containerd-shim-runc-v2
              - name: ctr
                src: docker/ctr
              - name: docker
                src: docker/docker
              - name: docker-init
                src: docker/docker-init
              - name: docker-proxy
                src: docker/docker-proxy
              - name: dockerd
                src: docker/dockerd
              - name: runc
                src: docker/runc
          - goos: windows
            format: zip
"###),
    ("docker/buildx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: docker
    repo_name: buildx
    description: Docker CLI plugin for extended build capabilities with BuildKit
    files:
      - name: docker-cli-plugin-docker-buildx
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0-rc1")
        asset: buildx-{{.Version}}.{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.5.1")
        asset: buildx-{{.Version}}.{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.6.3")
        asset: buildx-{{.Version}}.{{.OS}}-{{.Arch}}
        format: raw
      - version_constraint: semver("<= 0.10.0-rc1")
        asset: buildx-{{.Version}}.{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            checksum:
              enabled: false # https://github.com/docker/buildx/issues/945
      - version_constraint: "true"
        asset: buildx-{{.Version}}.{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            checksum:
              enabled: false # https://github.com/docker/buildx/issues/945
"###),
    ("docker/compose", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: docker
    repo_name: compose
    description: Define and run multi-container applications with Docker
    files:
      - name: docker-cli-plugin-docker-compose
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.2")
        asset: "{{.OS}}"
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.0.1")
        asset: fig-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.4.2")
        asset: docker-compose-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.17.1")
        asset: docker-compose-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.29.2")
        asset: docker-compose-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v2.0.0-rc.3"
        asset: docker-compose-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: Version == "v2.0.0"
        asset: docker-compose-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 2.9.0")
        asset: docker-compose-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v2.10.0"
        asset: docker-compose-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: docker-compose-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("docker/hub-tool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: docker
    repo_name: hub-tool
    asset: hub-tool-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Docker Hub experimental CLI tool
    files:
      - name: hub-tool
        src: hub-tool/hub-tool
    overrides:
      - goos: windows
        format: zip
        files:
          - name: hub-tool
            src: hub-tool.exe
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.4.1")
    # darwin/arm64 was supported
    version_overrides:
      - version_constraint: semver(">= 0.1.1")
        # linux/arm64 was supported
        # asset name and format were changed
        rosetta2: true
      - version_constraint: "true"
        asset: hub-tool_{{.OS}}_{{.Arch}}
        overrides: []
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
"###),
    ("wasmCloud/wasmCloud/wash", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: wasmCloud/wasmCloud/wash
    type: github_release
    repo_owner: wasmCloud
    repo_name: wasmCloud
    description: wasmCloud is an open source Cloud Native Computing Foundation (CNCF) project that enables teams to build, manage, and scale polyglot apps across any cloud, K8s, or edge
    version_prefix: wash-v
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: wash-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("qnighy/clippy-reviewdog-filter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: qnighy
    repo_name: clippy-reviewdog-filter
    description: A filter for integrating Clippy with Reviewdog
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: clippy-reviewdog-filter-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.4")
        asset: clippy-reviewdog-filter-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
      - version_constraint: "true"
        asset: clippy-reviewdog-filter-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("dlvhdr/gh-dash", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dlvhdr
    repo_name: gh-dash
    description: A beautiful CLI dashboard for GitHub
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        no_asset: true
      - version_constraint: semver("<= 1.1.1")
        asset: "{{.OS}}-{{.Arch}}"
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 1.2.2")
        asset: "{{.OS}}-{{.Arch}}"
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        overrides:
          - goos: darwin
            replacements:
              amd64: amd64
        replacements:
          amd64: x86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.1.0")
        asset: "{{.OS}}-{{.Arch}}"
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.0")
        asset: "{{.OS}}-{{.Arch}}"
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.1.3")
        asset: "{{.OS}}-{{.Arch}}"
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 3.7.0")
        asset: "{{.OS}}-{{.Arch}}"
        format: raw
      - version_constraint: Version == "v3.7.3-next"
        asset: gh-dash_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v3.7.4"
        asset: gh-dash_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v3.7.5"
        asset: "{{.OS}}_{{.Arch}}.{{.Format}}"
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 3.14.0")
        asset: "{{.OS}}-{{.Arch}}"
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: gh-dash_{{.Version}}_{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("dlvhdr/diffnav", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dlvhdr
    repo_name: diffnav
    description: A git diff pager based on delta but with a file tree, à la GitHub
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: diffnav_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: diffnav_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("legal90/awscurl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: legal90
    repo_name: awscurl
    description: cURL with AWS request signing
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: awscurl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.1.2"
        asset: awscurl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.1.3"
        asset: awscurl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: awscurl_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("goss-org/goss", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goss-org
    repo_name: goss
    aliases:
      - name: aelsabbahy/goss
    description: Quick and Easy server testing/validation
    rosetta2: true
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: goss-{{.OS}}-{{.Arch}}
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
    version_constraint: semver(">= 0.4.0")
    version_overrides:
      - version_constraint: semver("< 0.4.0")
        replacements:
          windows: alpha-windows
          darwin: alpha-darwin
"###),
    ("goss-org/goss/dcgoss", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: goss-org/goss/dcgoss
    type: github_content
    repo_owner: goss-org
    repo_name: goss
    aliases:
      - name: aelsabbahy/goss/dcgoss
    description: dcgoss is a convenience wrapper around goss that aims to bring the simplicity of goss to docker-compose managed containers
    supported_envs:
      - darwin
      - linux
    path: extras/dcgoss/dcgoss
    files:
      - name: dcgoss
    checksum:
      enabled: false
"###),
    ("goss-org/goss/kgoss", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: goss-org/goss/kgoss
    type: github_content
    repo_owner: goss-org
    repo_name: goss
    aliases:
      - name: aelsabbahy/goss/kgoss
    description: kgoss is a wrapper for goss that aims to bring the simplicity of testing with goss to containers running in pods in Kubernetes
    supported_envs:
      - darwin
      - linux
    path: extras/kgoss/kgoss
    files:
      - name: kgoss
    checksum:
      enabled: false
"###),
    ("goss-org/goss/dgoss", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: goss-org/goss/dgoss
    type: github_content
    repo_owner: goss-org
    repo_name: goss
    aliases:
      - name: aelsabbahy/goss/dgoss
    description: dgoss is a convenience wrapper around goss that aims to bring the simplicity of goss to docker containers
    supported_envs:
      - darwin
      - linux
    path: extras/dgoss/dgoss
    files:
      - name: dgoss
    checksum:
      enabled: false
"###),
    ("miniscruff/changie", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: miniscruff
    repo_name: changie
    description: Automated changelog tool for preparing releases with lots of customization options
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: changie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.0")
        asset: changie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.0")
        asset: changie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: changie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("rustsec/rustsec/cargo-audit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: rustsec/rustsec/cargo-audit
    type: github_release
    repo_owner: rustsec
    repo_name: rustsec
    version_prefix: cargo-audit/v
    description: Audit your dependencies for crates
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.17.1"
        no_asset: true
      - version_constraint: "true"
        asset: cargo-audit-{{.Arch}}-{{.OS}}-v{{.SemVer}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: cargo-audit
            src: cargo-audit-{{.Arch}}-{{.OS}}-v{{.SemVer}}/cargo-audit
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
"###),
    ("zigtools/zls", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: zigtools
    repo_name: zls
    description: A Zig language server supporting Zig developers with features like autocomplete and goto definition
    link: https://zigtools.org/
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.0")
        url: https://builds.zigtools.org/zls-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        rosetta2: true
        windows_arm_emulation: true
        minisign:
          type: http
          url: https://builds.zigtools.org/zls-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}.minisig
          public_key: "RWR+9B91GBZ0zOjh6Lr17+zKf5BoSuFvrx2xSeDE57uIYvnKBGmMjOex"
        replacements:
          darwin: macos
          arm64: aarch64
          amd64: x86_64
        format: tar.xz
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.10.0"
        url: https://builds.zigtools.org/zls-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        windows_arm_emulation: true
        minisign:
          type: http
          url: https://builds.zigtools.org/zls-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}.minisig
          public_key: "RWR+9B91GBZ0zOjh6Lr17+zKf5BoSuFvrx2xSeDE57uIYvnKBGmMjOex"
        replacements:
          darwin: macos
          arm64: aarch64
          amd64: x86_64
        format: tar.xz
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        url: https://builds.zigtools.org/zls-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        windows_arm_emulation: true
        minisign:
          type: http
          url: https://builds.zigtools.org/zls-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}.minisig
          public_key: "RWR+9B91GBZ0zOjh6Lr17+zKf5BoSuFvrx2xSeDE57uIYvnKBGmMjOex"
        replacements:
          darwin: macos
          arm64: aarch64
          amd64: x86_64
        format: tar.xz
        overrides:
          - goos: windows
            format: zip
"###),
    ("cockroachdb/cockroach", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: cockroachdb
    repo_name: cockroach
    version_source: github_tag
    description: A distributed SQL database designed for speed, scale, and survival
    url: https://binaries.cockroachdb.com/cockroach-{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
    format: tgz
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    overrides:
      - goos: darwin
        goarch: amd64
        replacements:
          darwin: darwin-10.9
      - goos: darwin
        goarch: arm64
        replacements:
          darwin: darwin-11.0
      - goos: windows
        format: zip
        replacements:
          windows: windows-6.2
    files:
      - name: cockroach
        src: cockroach-{{.Version}}.{{.OS}}-{{.Arch}}/cockroach
    checksum:
      type: http
      url: https://binaries.cockroachdb.com/cockroach-{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}.sha256sum
      algorithm: sha256
    version_constraint: semver(">= 22.2.0")
    version_overrides:
      - version_constraint: semver("< 22.2.0")
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
          - windows/amd64
        overrides:
          - goos: darwin
            replacements:
              darwin: darwin-10.9
          - goos: windows
            format: zip
            replacements:
              windows: windows-6.2
"###),
    ("asciidoctor/asciidoctor-reveal.js", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: asciidoctor
    repo_name: asciidoctor-reveal.js
    description: "A reveal.js converter for Asciidoctor and Asciidoctor.js. Write your slides in AsciiDoc"
    files:
      - name: asciidoctor-revealjs
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.0.0")
        no_asset: true
      - version_constraint: "true"
        asset: asciidoctor-revealjs-{{.OS}}
        format: raw
        files:
          - name: asciidoctor-revealjs
            src: asciidoctor-reveal.js
        replacements:
          darwin: macos
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("ClementTsang/bottom", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ClementTsang
    repo_name: bottom
    description: Yet another cross-platform graphical process/system monitor
    files:
      - name: btm
    version_filter: not (Version == "nightly")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["0.1.0-alpha-1", "0.1.0-alpha-4"]
        asset: "{{.OS}}-bottom-{{.Version}}"
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "0.1.0-alpha-3"
        asset: bottom
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "0.2.0"
        asset: bottom_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.5.0"
        asset: bottom_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.1.2")
        no_asset: true
      - version_constraint: semver("<= 0.4.7")
        asset: bottom_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.8")
        asset: bottom_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: semver("< 0.10.0")
        asset: bottom_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: bottom_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        github_artifact_attestations:
          signer_workflow: ClementTsang/bottom/.github/workflows/build_releases.yml
"###),
    ("terrastruct/d2", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: terrastruct
    repo_name: d2
    asset: d2-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    description: D2 is a modern diagram scripting language that turns text to diagrams
    replacements:
      darwin: macos
    files:
      - name: d2
        src: d2-{{.Version}}/bin/d2
"###),
    ("terrastruct/tala", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: terrastruct
    repo_name: tala
    asset: tala-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    description: A diagram layout engine designed specifically for software architecture diagrams
    replacements:
      darwin: macos
    files:
      - name: d2plugin-tala
        src: tala-{{.Version}}/bin/d2plugin-tala
"###),
    ("fwdcloudsec/granted", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: fwdcloudsec
    repo_name: granted
    aliases:
      - name: common-fate/granted
    description: The easiest way to access your cloud
    url: https://releases.commonfate.io/granted/{{.Version}}/granted_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: granted
      - name: assume
      - name: assumego
    replacements:
      amd64: x86_64
    overrides:
      - goos: windows
        format: zip
      - goos: darwin
        files:
          - name: granted
          - name: assume
          - name: assumego
            src: granted
            link: assumego
"###),
    ("jirutka/tty-copy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jirutka
    repo_name: tty-copy
    description: Copy content to system clipboard via TTY and terminal using ANSI OSC52 sequence
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: tty-copy.{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: tty-copy.{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
"###),
    ("bitnami/charts-syncer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bitnami
    repo_name: charts-syncer
    aliases:
      - name: bitnami-labs/charts-syncer
    description: Tool for synchronizing Helm Chart repositories
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        asset: c3tsyncer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: c3tsyncer
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.6.2")
        asset: charts-syncer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.9.1")
        asset: charts-syncer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.19.0")
        asset: charts-syncer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.20.1")
        asset: charts-syncer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: charts-syncer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("aws-containers/amazon-ecs-exec-checker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: aws-containers
    repo_name: amazon-ecs-exec-checker
    description: Pre-flight checks for ECS Exec
    supported_envs:
      - darwin
      - linux
    format: raw
    path: check-ecs-exec.sh
    files:
      - name: check-ecs-exec
"###),
    ("ibotta/sopstool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ibotta
    repo_name: sopstool
    description: SOPS multi-file wrapper
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.2.0"
        asset: sopstool_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: sopstool_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: sopstool_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.4.4")
        asset: sopstool_{{.OS}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: sopstool_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.1.3")
        asset: sopstool_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: sopstool_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: sopstool_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: sopstool_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("jiro4989/textimg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jiro4989
    repo_name: textimg
    asset: textimg-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Command to convert from color text (ANSI or 256) to image
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
"###),
    ("jiro4989/relma", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jiro4989
    repo_name: relma
    description: GitHub Releases Management cli
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: relma-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("jiro4989/ojosama", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jiro4989
    repo_name: ojosama
    description: テキストを壱百満天原サロメお嬢様風の口調に変換します
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ojosama_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("sethvargo/ratchet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sethvargo
    repo_name: ratchet
    description: A tool for securing CI/CD workflows with version pinning
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ratchet_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ratchet_{{trimV .Version}}_SHA512SUMS
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("facebook/buck2", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: facebook
    repo_name: buck2
    description: Build system, successor to Buck
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "latest"
        error_message: |
          aqua doesn't support mutable versions such as "latest". Please change the version
      - version_constraint: semver("<= 2023-07-11")
        asset: buck2-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zst
        windows_arm_emulation: true
        files:
          - name: buck2
            src: buck2-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-gnu
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-musl
          - goos: windows
            asset: buck2-{{.Arch}}-{{.OS}}.exe.{{.Format}}
      - version_constraint: "true"
        asset: buck2-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zst
        windows_arm_emulation: true
        files:
          - name: buck2
            src: buck2-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            asset: buck2-{{.Arch}}-{{.OS}}.exe.{{.Format}}
"###),
    ("librespeed/speedtest-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: librespeed
    repo_name: speedtest-cli
    asset: librespeed-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: librespeed-cli
        src: librespeed-cli
    description: Command line client for LibreSpeed
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("kubecost/kubectl-cost", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubecost
    repo_name: kubectl-cost
    description: CLI for determining the cost of Kubernetes workloads
    supported_envs:
      - darwin
      - amd64
    complete_windows_ext: false
    asset: kubectl-cost-{{.OS}}-{{.Arch}}.tar.gz
"###),
    ("in-toto/in-toto-golang", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: in-toto
    repo_name: in-toto-golang
    description: A Go implementation of in-toto. in-toto is a framework to protect software supply chain integrity
    files:
      - name: in-toto
"###),
    ("in-toto/witness", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: in-toto
    repo_name: witness
    description: Witness is a pluggable framework for software supply chain risk management.  It automates, normalizes, and verifies software artifact provenance
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.13"
        asset: witness_{{trimV .Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
      - version_constraint: semver("<= 0.1.11")
        asset: witness_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: witness_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.6.0")
        asset: witness_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: witness_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: witness_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: witness_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/in-toto/witness/releases/download/{{.Version}}/witness_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - "https://github.com/in-toto/witness/.github/workflows/release.yml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/in-toto/witness/releases/download/{{.Version}}/witness_{{trimV .Version}}_checksums.txt.sig
"###),
    ("sdslabs/gasper", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sdslabs
    repo_name: gasper
    asset: gasper_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Your Cloud in a Binary
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    files:
      - name: gasper
        src: gasper_{{.Version}}_{{.OS}}_{{.Arch}}/gasper
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: md5
"###),
    ("terraform-docs/terraform-docs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: terraform-docs
    repo_name: terraform-docs
    description: Generate documentation from Terraform modules in various output formats
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: terraform-docs_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.3.0"
        asset: terraform-docs_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: Version == "v0.4.0"
        asset: terraform-docs-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.0")
        asset: terraform-docs-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.1")
        asset: terraform-docs-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: terraform-docs-{{.Version}}.sha256sum
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.2")
        asset: terraform-docs-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: terraform-docs-{{.Version}}.sha256sum
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0")
        asset: terraform-docs-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: terraform-docs-{{.Version}}.sha256sum
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: terraform-docs-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: terraform-docs-{{.Version}}.sha256sum
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("slsa-framework/slsa-verifier", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: slsa-framework
    repo_name: slsa-verifier
    description: Verify provenance from SLSA compliant builders
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.4.0"
        type: go_install
        path: github.com/slsa-framework/slsa-verifier/cli/slsa-verifier
      - version_constraint: semver("<= 1.3.2")
        type: go_install
        path: github.com/slsa-framework/slsa-verifier/cli/slsa-verifier
        overrides:
          - goos: linux
            goarch: amd64
            type: github_release
            asset: slsa-verifier-{{.OS}}-{{.Arch}}
            format: raw
            slsa_provenance:
              type: github_release
              asset: slsa-verifier-{{.OS}}-{{.Arch}}.intoto.jsonl
      - version_constraint: semver("<= 2.0.1")
        type: go_install
        path: github.com/slsa-framework/slsa-verifier/v2/cli/slsa-verifier
        overrides:
          - goos: linux
            goarch: amd64
            type: github_release
            asset: slsa-verifier-{{.OS}}-{{.Arch}}
            format: raw
            slsa_provenance:
              type: github_release
              asset: slsa-verifier-{{.OS}}-{{.Arch}}.intoto.jsonl
      - version_constraint: "true"
        asset: slsa-verifier-{{.OS}}-{{.Arch}}
        format: raw
        slsa_provenance:
          type: github_release
          asset: "{{.Asset}}.intoto.jsonl"
"###),
    ("slsa-framework/slsa-github-generator/slsa-builder-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: slsa-framework/slsa-github-generator/slsa-builder-go
    repo_owner: slsa-framework
    repo_name: slsa-github-generator
    description: builds and generates SLSA3+ provenance for Go projects
    link: https://github.com/slsa-framework/slsa-github-generator/tree/main/internal/builders/go
    # Officially only an asset for linux/amd64 is released.
    # So we support other platforms by `go_install` package.
    type: go_install
    path: github.com/slsa-framework/slsa-github-generator/internal/builders/go
    files:
      - name: slsa-builder-go
    overrides:
      - goos: linux
        goarch: amd64
        type: github_release
        asset: slsa-builder-go-{{.OS}}-{{.Arch}}
        format: raw
"###),
    ("tsl0922/ttyd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tsl0922
    repo_name: ttyd
    description: Share your terminal over the web
    asset: ttyd.{{.Arch}}
    format: raw
    replacements:
      amd64: x86_64
      arm64: aarch64
      windows: win32
    overrides:
      - goos: windows
        goarch: amd64
        asset: ttyd.{{.OS}}.exe
    supported_envs:
      - linux
      - windows/amd64
    version_constraint: semver(">= 1.7.3")
    version_overrides:
      - version_constraint: semver(">= 1.7.0")
        replacements:
          amd64: x86_64
          arm64: aarch64
          windows: win10
        overrides:
          - goos: windows
            goarch: amd64
            asset: ttyd.{{.OS}}.exe
      - version_constraint: semver("< 1.7.0")
        supported_envs:
          - linux
      - version_constraint: "true"
"###),
    ("rlmcpherson/s3gof3r", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rlmcpherson
    repo_name: s3gof3r
    description: Fast, concurrent, streaming access to Amazon S3, including gof3r, a CLI
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    files:
      - name: gof3r
        src: gof3r_{{trimV .Version}}_{{.OS}}_{{.Arch}}/gof3r
    asset: gof3r_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: raw
        asset: gof3r.exe
      - goos: darwin
        format: zip
"###),
    ("getzola/zola", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: getzola
    repo_name: zola
    description: A fast static site generator in a single binary with everything built-in. https://www.getzola.org
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.2"
        asset: gutenberg-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: gutenberg
      - version_constraint: semver("<= 0.0.7")
        asset: gutenberg-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: gutenberg
      - version_constraint: semver("<= 0.4.2")
        asset: gutenberg-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: gutenberg
      - version_constraint: Version == "v0.9.0"
        asset: zola-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.17.2")
        asset: zola-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("< 0.20.0")
        asset: zola-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: zola-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        github_artifact_attestations:
          signer_workflow: getzola/zola/.github/workflows/release.yml
"###),
    ("tealdeer-rs/tealdeer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tealdeer-rs
    repo_name: tealdeer
    aliases:
      - name: dbrgn/tealdeer
    description: A very fast implementation of tldr in Rust
    files:
      - name: tldr
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.0")
        asset: tldr-{{.Arch}}-musl
        format: raw
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.4.1")
        asset: tldr-{{.OS}}-{{.Arch}}-musl
        format: raw
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.6.1")
        asset: tealdeer-{{.OS}}-{{.Arch}}-musl
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: tealdeer-{{.OS}}-{{.Arch}}
          - goos: windows
            asset: tealdeer-{{.OS}}-{{.Arch}}-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: tealdeer-{{.OS}}-{{.Arch}}-musl
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: tealdeer-{{.OS}}-{{.Arch}}
          - goos: windows
            asset: tealdeer-{{.OS}}-{{.Arch}}-msvc
"###),
    ("praetorian-inc/gokart", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: praetorian-inc
    repo_name: gokart
    description: A static analysis tool for securing Go code
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gokart_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: darwin_macOS
        checksum:
          type: github_release
          asset: gokart_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("securego/gosec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: securego
    repo_name: gosec
    description: Go security checker
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.0.0")
        asset: gosec_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gosec_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.7.0")
        asset: gosec_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gosec_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.8.1")
        asset: gosec_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gosec_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 2.10.0")
        asset: gosec_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: gosec_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: gosec_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: gosec_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://raw.githubusercontent.com/securego/gosec/refs/tags/{{.Version}}/cosign.pub
              - --signature
              - https://github.com/securego/gosec/releases/download/{{.Version}}/gosec_{{trimV .Version}}_checksums.txt.sig
"###),
    ("lxc/incus", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lxc
    repo_name: incus
    description: Powerful system container and virtual machine manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: "{{.OS}}.incus"
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: bin.{{.OS}}.incus.{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
"###),
    ("ekzhang/bore", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ekzhang
    repo_name: bore
    asset: bore-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: bore is a simple CLI tool for making tunnels to localhost
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
"###),
    ("cloudposse/slack-notifier", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudposse
    repo_name: slack-notifier
    description: Command line utility to send messages with attachments to Slack channels via Incoming Webhooks
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: slack-notifier_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.5.0"
        asset: slack-notifier_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "0.5.1"
        asset: slack-notifier_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: slack-notifier_{{.Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 0.7.0")
        no_asset: true
      - version_constraint: Version == "0.8.0"
        asset: slack-notifier_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: slack-notifier_{{.Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        asset: slack-notifier_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: slack-notifier
            src: slack-notifier_v{{.Version}}
        checksum:
          type: github_release
          asset: slack-notifier_{{.Version}}_SHA256SUMS
          algorithm: sha256
"###),
    ("cloudposse/github-commenter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudposse
    repo_name: github-commenter
    description: Command line utility for creating GitHub comments on Commits, Pull Request Reviews or Issues
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["0.11.1", "0.11.3", "0.11.4"]
        no_asset: true
      - version_constraint: Version == "0.6.0"
        asset: github-commenter_.{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.10.0"
        asset: github-commenter_{{.OS}}_{{.Arch}}-r0
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: Version in ["0.11.5"]
        asset: github-commenter_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: Version == "0.16.0"
        asset: github-commenter_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.12.0")
        asset: github-commenter_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.14.0")
        asset: github-commenter_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.16.1")
        asset: github-commenter_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.16.2"
        asset: github-commenter_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.19.0")
        asset: github-commenter_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: github-commenter_{{.Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 0.27.0")
        no_asset: true
      - version_constraint: "true"
        asset: github-commenter_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: github-commenter_{{.Version}}_SHA256SUMS
          algorithm: sha256
"###),
    ("cloudposse/atmos", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudposse
    repo_name: atmos
    description: Workflow automation tool for DevOps. Keep configuration DRY with hierarchical imports of configurations, inheritance, and WAY more. Native support for Terraform and Helmfile
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.2")
        asset: atmos
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.10.0")
        no_asset: true
      - version_constraint: semver("<= 0.13.0")
        asset: atmos
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "0.14.0"
        no_asset: true
      - version_constraint: semver("<= 0.17.0")
        asset: atmos
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.21.0")
        asset: atmos_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: atmos_{{.Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 0.22.0")
        asset: atmos_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: atmos_{{.Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 1.3.6")
        asset: atmos_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: atmos_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 1.3.27")
        asset: atmos_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: atmos_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: Version == "1.3.28"
        asset: atmos_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: atmos_{{.Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: Version == "v1.3.28"
        no_asset: true
      - version_constraint: semver("<= 1.4.20")
        asset: atmos_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: atmos_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 1.18.0")
        asset: atmos_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: atmos_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: Version == "v1.19.0"
        no_asset: true
      - version_constraint: "true"
        asset: atmos_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: atmos_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
"###),
    ("maxpert/marmot", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: maxpert
    repo_name: marmot
    description: A distributed SQLite replicator
    version_constraint: semver(">= 0.3.7")
    asset: marmot-{{.Version}}-{{.OS}}-{{.Arch}}-static.tar.gz
    supported_envs:
      - linux
    version_overrides:
      - version_constraint: semver(">= 0.3.3")
        asset: marmot-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: marmot-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
        supported_envs:
          - linux
          - darwin
"###),
    ("thought-machine/please", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: thought-machine
    repo_name: please
    description: High-performance extensible build system for reproducible multi-language builds
    supported_envs:
      - darwin
      - linux/amd64
    asset: please_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: please
        src: please/please
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("stefanprodan/timoni", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: stefanprodan
    repo_name: timoni
    description: Timoni is a package manager for Kubernetes, powered by CUE and inspired by Helm
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 0.7.1")
        asset: timoni_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: timoni_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 0.10.0")
        asset: timoni_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: timoni_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
      - version_constraint: "true"
        asset: timoni_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux
          - amd64
        checksum:
          type: github_release
          asset: timoni_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: timoni_{{trimV .Version}}_provenance.intoto.jsonl
"###),
    ("pfnet-research/git-ghost", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pfnet-research
    repo_name: git-ghost
    description: Synchronize your working directory efficiently to a remote place without committing the changes
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.4")
        asset: git-ghost-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: git-ghost_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: git-ghost_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("bcicen/ctop", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bcicen
    repo_name: ctop
    description: Top-like interface for container metrics
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.1-deps"
        no_asset: true
      - version_constraint: Version == "v0.6.0"
        asset: ctop-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v0.6.1"
        asset: ctop-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "0.7.6"
        asset: ctop-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.1")
        asset: ctop-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: ctop-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
"###),
    ("bcicen/slackcat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bcicen
    repo_name: slackcat
    description: CLI utility to post files and command output to slack
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0"
        asset: slackcat-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        overrides:
          - goos: windows
            asset: slackcat-{{trimV .Version}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.0")
        asset: slackcat-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: slackcat-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("nushell/nushell", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nushell
    repo_name: nushell
    asset: nu-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: A new type of shell
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
      - goos: windows
        format: zip
        files:
          - name: nu
            src: nu.exe
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.71.0")
    files:
      - name: nu
        src: nu-{{.Version}}-{{.Arch}}-{{.OS}}/nu
    version_overrides:
      - version_constraint: "true"
        files:
          - name: nu
"###),
    ("AvitalTamir/cyphernetes", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: AvitalTamir
    repo_name: cyphernetes
    description: A Kubernetes Query Language
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1")
        asset: cyphernetes-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            asset: cyphernetes-{{.OS}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.2"
        asset: cyphernetes-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.6.4-fix.0")
        asset: cyphernetes-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin/arm64
      - version_constraint: semver("<= 0.8.1")
        asset: cyphernetes-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.10.0")
        asset: cyphernetes-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin/arm64
      - version_constraint: semver("<= 0.12.1")
        asset: cyphernetes-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: cyphernetes-{{.OS}}-{{.Arch}}
        format: raw
"###),
    ("livebud/bud", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: livebud
    repo_name: bud
    description: The Full-Stack Web Framework for Go
    supported_envs:
      - darwin
      - linux/amd64
    asset: bud_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: bud
        src: bud_{{.Version}}_{{.OS}}_{{.Arch}}/bud
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("tmccombs/hcl2json", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tmccombs
    repo_name: hcl2json
    description: Convert hcl2 to json
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.2"
        asset: hcl2json_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.3.3"
        asset: hcl2json_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.2")
        no_asset: true
      - version_constraint: semver("<= 0.3.1")
        asset: hcl2json_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.5")
        asset: hcl2json_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.3")
        asset: hcl2json_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.6.5")
        asset: hcl2json_{{.OS}}_{{.Arch}}
        format: raw
      - version_constraint: Version == "v0.6.6"
        asset: hcl2json_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: hcl2json_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: hcl2json_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        checksum:
          type: github_release
          asset: hcl2json_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("jsonnet-bundler/jsonnet-bundler", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jsonnet-bundler
    repo_name: jsonnet-bundler
    description: A jsonnet package manager
    files:
      - name: jb
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.0"
        asset: jb-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v0.5.1"
        asset: jb-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.3.1")
        asset: jb-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: jb-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("livesense-inc/go-aws-s3get", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: livesense-inc
    repo_name: go-aws-s3get
    asset: s3get-{{.OS}}-{{.Arch}}
    format: raw
    description: A stupid simple S3 downloader CLI tool with supporting AWS Access Key
    replacements:
      amd64: x86_64
    supported_envs:
      - linux
      - darwin
    files:
      - name: s3get
    checksum:
      type: github_release
      asset: s3get_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("livesense-inc/go-simple-http-redirector", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: livesense-inc
    repo_name: go-simple-http-redirector
    description: Redirect HTTP requests to specific URI
    files:
      - name: redirector
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: redirector-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: redirector_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
        files:
          - name: redirector
"###),
    ("im2nguyen/rover", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: im2nguyen
    repo_name: rover
    asset: rover_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    description: Interactive Terraform visualization. State and configuration explorer
    files:
      - name: rover
        src: rover_{{.Version}}
    checksum:
      type: github_release
      asset: rover_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("smartxworks/knest", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: smartxworks
    repo_name: knest
    description: Kubernetes-in-Kubernetes Made Simple
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: knest
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: knest-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("gojuno/minimock", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gojuno
    repo_name: minimock
    description: Powerful mock generation tool for Go programming language
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.9.2")
        asset: minimock_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.1.4")
        asset: minimock_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.8")
        asset: minimock_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.10")
        asset: minimock_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 3.1.3")
        asset: minimock_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 3.3.1")
        asset: minimock_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: minimock_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("containrrr/shoutrrr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: containrrr
    repo_name: shoutrrr
    description: Notification library for gophers and their furry friends
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.1")
        asset: shoutrrr_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: shoutrrr_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: shoutrrr_{{.OS}}_{{.Arch}}v8.{{.Format}}
          - goos: windows
            format: zip
        supported_envs:
          - linux
          - windows/amd64
      - version_constraint: semver("<= 0.7.1")
        asset: shoutrrr_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: shoutrrr_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        replacements:
          arm64: arm64v8
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - linux
          - windows
      - version_constraint: "true"
        asset: shoutrrr_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: shoutrrr_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux
          - windows
"###),
    ("playwright-community/playwright-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: playwright-community
    repo_name: playwright-go
    description: Playwright for Go a browser automation library to control Chromium, Firefox and WebKit with a single API
    files:
      - name: playwright
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        path: github.com/playwright-community/playwright-go/cmd/playwright
"###),
    ("FairwindsOps/polaris", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FairwindsOps
    repo_name: polaris
    asset: polaris_{{.OS}}_{{.Arch}}.tar.gz
    description: Validation of best practices in your Kubernetes clusters
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("FairwindsOps/gonogo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FairwindsOps
    repo_name: gonogo
    description: "[alpha] Tool to evaluate upgrade confidence for Kubernetes cluster addons"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: gonogo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://artifacts.fairwinds.com/cosign.pub
              - --signature
              - https://github.com/FairwindsOps/gonogo/releases/download/{{.Version}}/checksums.txt.sig
              - --insecure-ignore-tlog
      - version_constraint: "true"
        asset: gonogo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://artifacts.fairwinds.com/cosign.pub
              - --signature
              - https://github.com/FairwindsOps/gonogo/releases/download/{{.Version}}/checksums.txt.sig
"###),
    ("FairwindsOps/nova", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FairwindsOps
    repo_name: nova
    description: Find outdated or deprecated Helm charts running in your cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v3.6.2"
        asset: nova_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.0.1")
        asset: Nova_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
        files:
          - name: nova
            src: Nova
      - version_constraint: semver("<= 2.3.2")
        asset: nova_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 3.6.4")
        asset: nova_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: nova_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("FairwindsOps/rbac-lookup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FairwindsOps
    repo_name: rbac-lookup
    description: Easily find roles and cluster roles attached to any user, service account, or group name in your Kubernetes cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.2")
        asset: rbac-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.1")
        no_asset: true
      - version_constraint: semver("<= 0.6.2")
        asset: rbac-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.6.5")
        asset: rbac-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.7.1")
        asset: rbac-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 0.8.3")
        asset: rbac-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: rbac-lookup_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://artifacts.fairwinds.com/cosign.pub
              - --signature
              - https://github.com/FairwindsOps/rbac-lookup/releases/download/{{.Version}}/checksums.txt.sig
              - --insecure-ignore-tlog
"###),
    ("FairwindsOps/pluto", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: FairwindsOps
    repo_name: pluto
    description: A cli tool to help discover deprecated apiVersions in Kubernetes
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.4.1")
        asset: pluto_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: pluto_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 4.2.0")
        asset: pluto_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: pluto_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 5.0.0")
        asset: pluto_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pluto_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 5.1.0")
        asset: pluto_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: pluto_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 5.2.6")
        asset: pluto_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pluto_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: pluto_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://artifacts.fairwinds.com/cosign.pub
              - --signature
              - https://github.com/FairwindsOps/pluto/releases/download/{{.Version}}/checksums.txt.sig
"###),
    ("nishanths/license", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nishanths
    repo_name: license
    description: Command line license text generator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.0.0")
        no_asset: true
      - version_constraint: "true"
        asset: license-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: SHA256SUMS.txt
          algorithm: sha256
"###),
    ("dadav/helm-schema", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dadav
    repo_name: helm-schema
    description: Generate jsonschemas from helm charts
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.2")
        asset: helm-schema_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "0.4.3"
        asset: helm-schema_.{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        # Checksum file is broken
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: helm-schema_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("bitwarden/clients", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bitwarden
    repo_name: clients
    asset: bw-{{.OS}}-{{trimPrefix "cli-v" .Version}}.zip
    version_filter: Version startsWith "cli-"
    files:
      - name: bw
    description: Bitwarden CLI
    replacements:
      darwin: macos
    supported_envs:
      - darwin
      - amd64
    checksum:
      type: github_release
      asset: bw-{{.OS}}-sha256-{{trimPrefix "cli-v" .Version}}.txt
      algorithm: sha256
"###),
    ("bitwarden/sdk-sm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bitwarden
    repo_name: sdk-sm
    description: Bitwarden Secrets Manager
    version_prefix: bws-v
    search_words:
      - secret manager
    files:
      - name: bws
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["bws-v0.2.1", "bws-v0.3.0"]
        asset: bws-{{.Arch}}-{{.OS}}-{{.SemVer}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: bws-sha256-checksums-{{.SemVer}}.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: bws-{{.Arch}}-{{.OS}}-{{.SemVer}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: bws-sha256-checksums-{{.SemVer}}.txt
          algorithm: sha256
"###),
    ("goph/licensei", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goph
    repo_name: licensei
    description: Library and various tools for working with project licenses
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        asset: licensei_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: licensei_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("sacloud/usacloud", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sacloud
    repo_name: usacloud
    description: "CLI client for the Sakura Cloud"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.16.0", "v0.27.0", "v0.30.0"]
        no_asset: true
      - version_constraint: semver("<= 1.0.0-beta.1")
        asset: usacloud_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.1.4")
        asset: usacloud_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: usacloud_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 1.6.1")
        asset: usacloud_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: usacloud_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        asset: usacloud_{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: usacloud_SHA256SUMS
          algorithm: sha256
"###),
    ("cybozu/assam", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cybozu
    repo_name: assam
    description: Get a credential by AssumeRoleWithSAML for AWS CLI and SDK
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.2")
        asset: assam_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.4")
        asset: assam_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.6")
        asset: assam_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: assam_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("rancher/rke", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rancher
    repo_name: rke
    description: Rancher Kubernetes Engine (RKE), an extremely simple, lightning fast Kubernetes distribution that runs entirely within containers
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.10-dev"
        asset: rke
        supported_envs:
          - linux/amd64
      - version_constraint: Version in ["v0.2.1-rc2", "v1.3.5-alpha1",  "v1.3.8-rc1",  "v1.5.6-rc2",  "v1.4.16-rc2", "v1.5.0-rc1"]
        no_asset: true
      - version_constraint: Version == "v1.1.0-rc9"
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.6.0-rc1"
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: Version == "v1.6.0-rc10"
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.1.0")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.6-rc3")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.0-rc1")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.0-rc13")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.0-rc7")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.20-rc1")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.4.20")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 1.5.11-rc2")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.5.11")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 1.6.0-rc6")
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: rke_{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
"###),
    ("rancher/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rancher
    repo_name: cli
    description: Rancher CLI
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: rancher-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: rancher
        src: rancher-{{.Version}}/rancher
    checksum:
      type: github_release
      asset: sha256sum.txt
      algorithm: sha256
"###),
    ("rancher/kim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rancher
    repo_name: kim
    description: In ur kubernetes, buildin ur imagez
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0-alpha.3")
        asset: kim-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.1.0-alpha.6")
        no_asset: true
      - version_constraint: "true"
        asset: kim-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
"###),
    ("gogs/gogs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gogs
    repo_name: gogs
    asset: gogs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: Gogs is a painless self-hosted Git service
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - amd64
    files:
      - name: gogs
        src: gogs/gogs
    checksum:
      type: github_release
      asset: checksum_sha256.txt
      algorithm: sha256
"###),
    ("mgechev/revive", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mgechev
    repo_name: revive
    description: ~6x faster, stricter, configurable, extensible, and beautiful drop-in replacement for golint
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.3")
        no_asset: true
      - version_constraint: semver("<= 1.2.2")
        asset: revive_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.3.2")
        asset: revive_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: revive_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("rossmacarthur/sheldon", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rossmacarthur
    repo_name: sheldon
    description: ":bowtie: Fast, configurable, shell plugin manager"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.6")
        asset: sheldon-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.5.0")
        asset: sheldon-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.4")
        asset: sheldon-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: sheldon-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
        supported_envs:
          - linux
          - darwin/arm64
"###),
    ("yumafuu/s1m", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yumafuu
    repo_name: s1m
    description: TUI Application for AWS Systems Manager Parameter Store (ssm)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.2.2", "v0.2.3"]
        no_asset: true
      - version_constraint: "true"
        asset: s1m_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: s1m_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("ziglang/zig", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: ziglang
    repo_name: zig
    description: General-purpose programming language and toolchain for maintaining robust, optimal, and reusable software
    link: https://ziglang.org/
    version_source: github_tag
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version contains "-dev"
        url: https://ziglang.org/builds/zig-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        minisign:
          type: http
          url: https://ziglang.org/builds/zig-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}.minisig
          public_key: "RWSGOq2NVecA2UPNdBUZykf1CCb147pkmdtYxgb3Ti+JO/wCYvhbAb/U"
        replacements:
          darwin: macos
          386: i386
          arm64: aarch64
          amd64: x86_64
        files:
          - name: zig
            src: zig-{{.OS}}-{{.Arch}}-{{.Version}}/zig
        format: tar.xz
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.14.0")
        url: https://ziglang.org/download/{{.Version}}/zig-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        minisign:
          type: http
          url: https://ziglang.org/download/{{.Version}}/zig-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}.minisig
          public_key: "RWSGOq2NVecA2UPNdBUZykf1CCb147pkmdtYxgb3Ti+JO/wCYvhbAb/U"
        replacements:
          darwin: macos
          386: i386
          arm64: aarch64
          amd64: x86_64
        files:
          - name: zig
            src: zig-{{.OS}}-{{.Arch}}-{{.Version}}/zig
        format: tar.xz
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        url: https://ziglang.org/download/{{.Version}}/zig-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}
        minisign:
          type: http
          url: https://ziglang.org/download/{{.Version}}/zig-{{.Arch}}-{{.OS}}-{{.Version}}.{{.Format}}.minisig
          public_key: "RWSGOq2NVecA2UPNdBUZykf1CCb147pkmdtYxgb3Ti+JO/wCYvhbAb/U"
        replacements:
          darwin: macos
          386: i386
          arm64: aarch64
          amd64: x86_64
        files:
          - name: zig
            src: zig-{{.Arch}}-{{.OS}}-{{.Version}}/zig
        format: tar.xz
        overrides:
          - goos: windows
            format: zip
"###),
    ("getsentry/sentry-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: getsentry
    repo_name: sentry-cli
    description: A command line utility to work with Sentry
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: sentry-cli-{{.OS}}-{{.Arch}}
    replacements:
      darwin: Darwin
      linux: Linux
      windows: Windows
      amd64: x86_64
    overrides:
      - goos: linux
        replacements:
          arm64: aarch64
"###),
    ("vi/websocat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: vi
    repo_name: websocat
    description: "Command-line client for WebSockets, like netcat (or curl) for ws:// with advanced socat-like functions"
    supported_envs:
      - darwin
      - linux
      - amd64
    format: raw
    rosetta2: true
    version_constraint: semver(">= 1.10.0")
    asset: websocat.{{.Arch}}-{{.OS}}
    replacements:
      darwin: apple-darwin
      amd64: x86_64
      windows: pc-windows-gnu
      linux: unknown-linux-musl
      arm64: aarch64
    version_overrides:
      - version_constraint: "true"
        supported_envs:
          - darwin
          - amd64
        asset: websocat_{{.OS}}
        replacements:
          darwin: mac
          linux: linux64
          windows: win64
"###),
    ("redpanda-data/connect", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: redpanda-data
    repo_name: connect
    aliases:
      - name: Jeffail/benthos
      - name: benthosdev/benthos
    description: Fancy stream processing made operationally mundane
    files:
      # At v4.28.0, the binary is renamed from benthos to redpanda-connect
      - name: benthos
      - name: redpanda-connect
    version_constraint: "false"
    version_overrides:
      # v0.10.7 and v0.11.1 doesn't work
      - version_constraint: semver("<= 0.11.1") or Version == "v1.7.8"
        no_asset: true
      - version_constraint: semver("<= 0.11.1")
        asset: benthos_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: benthos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.7.0")
        asset: benthos_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: benthos
        checksum:
          type: github_release
          asset: benthos_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.43.0-rc1")
        asset: benthos_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: benthos
        checksum:
          type: github_release
          asset: benthos_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 3.54.1")
        asset: benthos_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: benthos
        checksum:
          type: github_release
          asset: benthos_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 4.27.0")
        asset: benthos_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: benthos
        checksum:
          type: github_release
          asset: benthos_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: redpanda-connect_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: redpanda-connect
        checksum:
          type: github_release
          asset: redpanda-connect_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("redpanda-data/redpanda", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: redpanda-data
    repo_name: redpanda
    description: Redpanda is a streaming data platform for developers. Kafka API compatible. 10x faster. No ZooKeeper. No JVM
    files:
      - name: rpk
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v21.6.3"
        no_asset: true
      - version_constraint: Version in ["v21.11.18", "v22.1.6"]
        asset: rpk-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        supported_envs:
          - linux
      - version_constraint: semver("<= 21.5.5")
        asset: rpk-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 22.3.5")
        asset: rpk-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: rpk-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: rpk_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("pnpm/pnpm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pnpm
    repo_name: pnpm
    description: Fast, disk space efficient package manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 6.11.5")
        no_asset: true
      - version_constraint: semver("<= 6.12.1")
        asset: pnpm-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 6.16.1")
        asset: pnpm-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 6.18.0")
        asset: pnpm-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
          windows: win
      - version_constraint: semver("<= 6.20.0")
        asset: pnpm-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 7.0.0-alpha.0")
        asset: pnpm-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
          windows: win
      - version_constraint: Version == "v7.0.0-alpha.1"
        no_asset: true
      - version_constraint: "true"
        asset: pnpm-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        files:
          - name: pnpm
            link: pnpm
            hard: true
        replacements:
          amd64: x64
          darwin: macos
          windows: win
"###),
    ("moonrepo/proto", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: moonrepo
    repo_name: proto
    description: A pluggable multi-language version manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.2")
        asset: proto_cli-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: proto
            src: "{{.AssetWithoutExt}}/proto"
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: proto
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.14.1")
        asset: proto_cli-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: proto
            src: "{{.AssetWithoutExt}}/proto"
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: proto
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.20.4")
        asset: proto_cli-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: proto
            src: "{{.AssetWithoutExt}}/proto"
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: proto
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.24.2")
        asset: proto_cli-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: proto
            src: "{{.AssetWithoutExt}}/proto"
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: proto
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: proto_cli-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: proto
            src: "{{.AssetWithoutExt}}/proto"
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: proto
"###),
    ("moonrepo/moon", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: moonrepo
    repo_name: moon
    description: A task runner and repo management tool for the web ecosystem
    asset: moon-{{.Arch}}-{{.OS}}
    format: raw
    overrides:
      - goos: windows
        replacements:
          arm64: arm64
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 1.0.0")
    version_overrides:
      - version_constraint: semver(">= 0.12.1")
        version_prefix: "@moonrepo/cli@"
      - version_constraint: semver(">= 0.2.0")
        version_prefix: "@moonrepo/cli@"
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver("< 0.2.0")
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        version_prefix: "@moonrepo/cli@"
        rosetta2: true
"###),
    ("shellspec/shellspec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_archive
    repo_owner: shellspec
    repo_name: shellspec
    description: A full-featured BDD unit testing framework for bash, ksh, zsh, dash and all POSIX shells
    files:
      - name: shellspec
        src: shellspec-{{.Version}}/shellspec
"###),
    ("tomohiro/gyazo-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tomohiro
    repo_name: gyazo-cli
    description: Gyazo command-line uploader
    asset: gyazo-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    files:
      - name: gyazo-cli
        src: gyazo-cli_{{.Version}}_{{.OS}}_{{.Arch}}/gyazo-cli
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: "{{.Version}}_SHA256SUMS"
      algorithm: sha256
    version_constraint: semver(">= 1.0.0")
    version_overrides:
      - version_constraint: semver("< 1.0.0")
        asset: gyazo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: gyazo
"###),
    ("schollz/croc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: schollz
    repo_name: croc
    description: Easily and securely send things from one computer to another
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.2")
        asset: croc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: OSX
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.0")
        asset: croc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: OSX
        checksum:
          type: github_release
          asset: croc_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.1")
        asset: croc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: OSX
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v3.0.2"
        no_asset: true
      - version_constraint: semver("<= 3.0.6")
        asset: croc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: OSX
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v3.0.7"
        no_asset: true
      - version_constraint: semver("<= 4.0.3")
        asset: croc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: OSX
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 8.6.7")
        asset: croc_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 9.3.0")
        asset: croc_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 9.5.6")
        asset: croc_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v9.6.0"
        asset: croc_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 9.6.6")
        asset: croc_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: croc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: croc_{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: croc_{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("gomods/athens", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gomods
    repo_name: athens
    description: A Go module datastore and proxy
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.15.0"
        no_asset: true
      - version_constraint: semver("<= 0.10.0")
        no_asset: true
      - version_constraint: semver("<= 0.12.1")
        asset: athens_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: athens_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("mpalmer/action-validator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mpalmer
    repo_name: action-validator
    description: Tool to validate GitHub Action and Workflow YAML files
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.4")
        asset: action-validator_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver("<= 0.5.1")
        asset: action-validator_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: action-validator_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("electric-saw/kafta", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: electric-saw
    repo_name: kafta
    description: Kafta is a command line for managing Kafka clusters
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.7")
        asset: kafta_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kafta_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("imuxin/kubectl-watch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: imuxin
    repo_name: kubectl-watch
    description: A kubectl plugin to provide a pretty delta change view of being watched kubernetes resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.1.5"
        asset: kubectl-watch_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        checksum:
          type: github_release
          asset: kubectl-watch_{{.Version}}_{{.Arch}}-{{.OS}}.zip.sha256sum
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.4")
        no_asset: true
      - version_constraint: semver("<= 0.2.3")
        asset: kubectl-watch-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kubectl-watch-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
"###),
    ("DeNA/unity-meta-check/unity-meta-check", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: DeNA/unity-meta-check/unity-meta-check
    type: github_release
    repo_owner: DeNA
    repo_name: unity-meta-check
    description: Checker for missing/dangling meta files. The result print to stdout.
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.3.0")
        asset: unity-meta-check-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
          - windows
      - version_constraint: "true"
        asset: unity-meta-check-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - linux
          - windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("DeNA/unity-meta-check/gh-action", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: DeNA/unity-meta-check/gh-action
    type: github_release
    repo_owner: DeNA
    repo_name: unity-meta-check
    description: Binary for GitHub Actions of DeNA/unity-meta-check
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.3.0")
        asset: gh-action-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: gh-action-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("DeNA/unity-meta-check/unity-meta-check-junit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: DeNA/unity-meta-check/unity-meta-check-junit
    type: github_release
    repo_owner: DeNA
    repo_name: unity-meta-check
    description: Reporter for Jenkins compatible XML based JUnit reports. It need a result of unity-meta-check from stdin.
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.3.0")
        asset: unity-meta-check-junit-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
          - windows
        checksum:
          enabled: false
      - version_constraint: "true"
        asset: unity-meta-check-junit-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - linux
          - windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("DeNA/unity-meta-check/gh-action-yaml-gen", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: DeNA/unity-meta-check/gh-action-yaml-gen
    type: github_release
    repo_owner: DeNA
    repo_name: unity-meta-check
    description: A cli tool to automatically generate action.yaml for DeNA/unity-meta-check
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.3.0")
        asset: gh-action-yaml-gen-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
          - windows
      - version_constraint: "true"
        asset: gh-action-yaml-gen-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - linux
          - windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("DeNA/unity-meta-check/unity-meta-check-github-pr-comment", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: DeNA/unity-meta-check/unity-meta-check-github-pr-comment
    type: github_release
    repo_owner: DeNA
    repo_name: unity-meta-check
    description: Reporter for GitHub comments of GitHub issues or pull requests. It need a result of unity-meta-check from stdin.
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.3.0")
        asset: unity-meta-check-github-pr-comment-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
          - windows
      - version_constraint: "true"
        asset: unity-meta-check-github-pr-comment-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - linux
          - windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("DeNA/unity-meta-check/unity-meta-autofix", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: DeNA/unity-meta-check/unity-meta-autofix
    type: github_release
    repo_owner: DeNA
    repo_name: unity-meta-check
    description: Autofix for meta files problems. It need a result of unity-meta-check via stdin.
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.3.0")
        asset: unity-meta-autofix-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
          - windows
      - version_constraint: "true"
        asset: unity-meta-autofix-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - linux
          - windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("devops-works/dw-query-digest", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: devops-works
    repo_name: dw-query-digest
    description: MySQL slow log analyzer. Alternative to pt-query-digest
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1"
        no_asset: true
      - version_constraint: Version == "v0.8"
        asset: dw-query-digest-{{.OS}}
        format: raw
        complete_windows_ext: false
        replacements:
          windows: win
        checksum:
          type: github_release
          asset: SHA512SUMS
          algorithm: sha512
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: semver("<= 0.7.0")
        asset: dw-query-digest-{{.OS}}
        format: raw
        complete_windows_ext: false
        replacements:
          windows: win
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: "true"
        asset: dw-query-digest_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("devops-works/egress-auditor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: devops-works
    repo_name: egress-auditor
    description: "Audit your egress connections and finally populate this OUTPUT chain "
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: egress-auditor_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("kastenhq/external-tools/k10multicluster", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kastenhq/external-tools/k10multicluster
    type: github_release
    repo_owner: kastenhq
    repo_name: external-tools
    description: Used to distribute external tools
    asset: k10multicluster_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: k10multicluster
    replacements:
      darwin: macOS
    supported_envs:
      - linux
      - darwin
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 6.0.3")
    version_overrides:
      - version_constraint: semver(">= 4.5.0")
        rosetta2: false
      - version_constraint: semver(">= 4.0.3")
        asset: k10multicluster_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: false
      - version_constraint: semver("< 4.0.3")
        asset: k10multicluster_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("kastenhq/external-tools/k10tools", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kastenhq/external-tools/k10tools
    type: github_release
    repo_owner: kastenhq
    repo_name: external-tools
    description: Used to distribute external tools
    asset: k10tools_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: k10tools
    replacements:
      darwin: macOS
    supported_envs:
      - linux
      - darwin
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 6.0.3")
    version_overrides:
      - version_constraint: semver(">= 4.5.0")
        rosetta2: false
      - version_constraint: semver(">= 4.0.3")
        asset: k10tools_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: false
      - version_constraint: semver(">= 3.0.7")
        asset: k10tools_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("< 3.0.7")
        no_asset: true
"###),
    ("kastenhq/kubestr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kastenhq
    repo_name: kubestr
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.4.14", "v0.4.32", "v0.4.42"]
        no_asset: true
      - version_constraint: Version == "v0.4.23"
        asset: kubestr-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.4.29"
        asset: kubestr_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.0")
        no_asset: true
      - version_constraint: semver("<= 0.4.18")
        asset: kubestr-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.22")
        no_asset: true
      - version_constraint: "true"
        asset: kubestr_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: MacOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("dotenv-linter/dotenv-linter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dotenv-linter
    repo_name: dotenv-linter
    rosetta2: true
    asset: dotenv-linter-{{.OS}}-{{.Arch}}.{{.Format}}
    description: Lightning-fast linter for .env files. Written in Rust
    format: tar.gz
    replacements:
      amd64: x86_64
      windows: win
    overrides:
      - goos: linux
        replacements:
          arm64: aarch64
      - goos: windows
        format: zip
        replacements:
          amd64: x64
    version_constraint: semver(">= 2.1.0")
    supported_envs:
      - darwin
      - amd64
    version_overrides:
      - version_constraint: "true"
        supported_envs:
          - darwin
          - linux/amd64
"###),
    ("nadoo/glider", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nadoo
    repo_name: glider
    description: glider is a forward proxy with multiple protocols support, and also a dns/dhcp server with ipset management features(like dnsmasq)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.5.3"
        no_asset: true
      - version_constraint: Version == "v0.7.0"
        asset: glider-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: glider-{{.Version}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        files:
          - name: glider
            src: glider-{{.Version}}-{{.OS}}-{{.Arch}}/glider
      - version_constraint: Version == "v0.15.0"
        asset: glider_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: mac
        checksum:
          type: github_release
          asset: glider_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        files:
          - name: glider
            src: glider_{{trimV .Version}}_{{.OS}}_{{.Arch}}/glider
      - version_constraint: semver("<= 0.3.2")
        asset: glider-{{.Version}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: mac
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: glider
      - version_constraint: semver("<= 0.6.11")
        asset: glider-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macosx
        supported_envs:
          - darwin
          - windows
          - amd64
        files:
          - name: glider
      - version_constraint: semver("<= 0.13.0")
        asset: glider_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: glider_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        files:
          - name: glider
            src: "{{.AssetWithoutExt}}/glider"
      - version_constraint: semver("<= 0.14.0")
        asset: glider_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: glider_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        files:
          - name: glider
            src: "{{.AssetWithoutExt}}/glider"
      - version_constraint: semver("<= 0.15.2")
        asset: glider_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: mac
        checksum:
          type: github_release
          asset: glider_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        files:
          - name: glider
            src: "{{.AssetWithoutExt}}/glider"
      - version_constraint: semver("<= 0.16.3")
        asset: glider_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: glider_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        files:
          - name: glider
            src: "{{.AssetWithoutExt}}/glider"
      - version_constraint: "true"
        asset: glider_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: glider_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        files:
          - name: glider
            src: "{{.AssetWithoutExt}}/glider"
"###),
    ("ariga/atlas", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: ariga
    repo_name: atlas
    url: https://release.ariga.io/atlas/atlas-{{.OS}}-{{.Arch}}-{{.Version}}
    description: A modern tool for managing database schemas
    format: raw
    windows_arm_emulation: true
    supported_envs:
      - darwin
      - linux
      - windows
    checksum:
      type: http
      url: https://release.ariga.io/atlas/atlas-{{.OS}}-{{.Arch}}-{{.Version}}.sha256
      file_format: raw
      algorithm: sha256
    overrides:
      - goos: windows
        checksum:
          type: http
          url: https://release.ariga.io/atlas/atlas-{{.OS}}-{{.Arch}}-{{.Version}}.exe.sha256
          file_format: raw
          algorithm: sha256
    version_constraint: semver(">= 0.22.0")
    # https://github.com/ariga/atlas/issues/3296#issuecomment-2574924728
    # > Old Versions of Atlas
    # > As part of our Supported Version Policy mentioned above, binaries for versions that were published more than 6 months ago will be removed from the CDN and Docker Hub.
    version_overrides:
      - version_constraint: semver("< 0.21.0")
        no_asset: true
"###),
    ("santhosh-tekuri/jsonschema", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: santhosh-tekuri
    repo_name: jsonschema
    description: JSONSchema (draft 2020-12, draft 2019-09, draft-7, draft-6, draft-4) Validation using Go
    files:
      - name: jv
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 5.3.1")
        no_asset: true
      - version_constraint: "true"
        asset: jv-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
        files:
          - name: jv
"###),
    ("compose/transporter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: compose
    repo_name: transporter
    description: Sync data between persistence engines, like ETL only not stodgy
    format: raw
    complete_windows_ext: false
    asset: transporter-{{trimV .Version}}-{{.OS}}-{{.Arch}}
    supported_envs:
      - darwin
      - amd64
"###),
    ("knative/func", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: knative
    repo_name: func
    description: Knative Functions client API and CLI
    format: raw
    asset: func_{{.OS}}_{{.Arch}}
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semverWithVersion(">= 1.7.0", trimPrefix(Version, "knative-")) or semver(">= 0.26.0")
    # support linux/arm64
    supported_envs:
      - darwin
      - linux
      - amd64
    version_overrides:
      - version_constraint: semver(">= 0.23.1")
        # support darwin/arm64
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 0.20.0")
        # support checksum
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        checksum:
          type: github_release
          asset: checksum.txt
          algorithm: sha256
      - version_constraint: semver(">= 0.9.0")
        # rename faas to function
        asset: func_{{.OS}}_{{.Arch}}.gz
        overrides:
          - goos: windows
            asset: func_{{.OS}}_{{.Arch}}.exe.gz
        format: gz
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        checksum:
          enabled: false
        files:
          - name: func
            src: func_{{.OS}}_{{.Arch}}
      - version_constraint: "true"
        asset: faas_{{.OS}}_{{.Arch}}.gz
        overrides:
          - goos: windows
            asset: faas_{{.OS}}_{{.Arch}}.exe.gz
        format: gz
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        checksum:
          enabled: false
        files:
          - name: faas
            src: faas_{{.OS}}_{{.Arch}}
"###),
    ("knative/client", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: knative
    repo_name: client
    format: raw
    asset: kn-{{.OS}}-{{.Arch}}
    description: Knative developer experience, docs, reference Knative CLI implementation
    files:
      - name: kn
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("apache/tomcat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: apache
    repo_name: tomcat
    description: Apache Tomcat
    version_source: github_tag
    format: tar.gz
    files:
      - name: catalina.sh
        src: apache-tomcat-{{.SemVer}}/bin/catalina.sh
    overrides:
      - envs:
          - windows
        files:
          - name: catalina.bat
            src: apache-tomcat-{{.SemVer}}/bin/catalina.bat
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 9.0.0")
        no_asset: true
      - version_constraint: semver("< 9.0.2")
        url: https://archive.apache.org/dist/tomcat/tomcat-9/v{{.SemVer}}/bin/apache-tomcat-{{.SemVer}}.{{.Format}}
        checksum:
          type: http
          url: https://archive.apache.org/dist/tomcat/tomcat-9/v{{.SemVer}}/bin/apache-tomcat-{{.SemVer}}.{{.Format}}.md5
          file_format: regexp
          algorithm: md5
          pattern:
            checksum: ^(\b[A-Fa-f0-9]{32}\b)
      - version_constraint: semver("< 10.0.0")
        url: https://archive.apache.org/dist/tomcat/tomcat-9/v{{.SemVer}}/bin/apache-tomcat-{{.SemVer}}.{{.Format}}
        checksum:
          type: http
          url: https://archive.apache.org/dist/tomcat/tomcat-9/v{{.SemVer}}/bin/apache-tomcat-{{.SemVer}}.{{.Format}}.sha512
          file_format: regexp
          algorithm: sha512
          pattern:
            checksum: ^(\b[A-Fa-f0-9]{128}\b)
      - version_constraint: semver("< 11.0.0")
        url: https://archive.apache.org/dist/tomcat/tomcat-10/v{{.SemVer}}/bin/apache-tomcat-{{.SemVer}}.{{.Format}}
        checksum:
          type: http
          url: https://archive.apache.org/dist/tomcat/tomcat-10/v{{.SemVer}}/bin/apache-tomcat-{{.SemVer}}.{{.Format}}.sha512
          file_format: regexp
          algorithm: sha512
          pattern:
            checksum: ^(\b[A-Fa-f0-9]{128}\b)
      - version_constraint: semver("< 12.0.0")
        url: https://archive.apache.org/dist/tomcat/tomcat-11/v{{.SemVer}}/bin/apache-tomcat-{{.SemVer}}.{{.Format}}
        checksum:
          type: http
          url: https://archive.apache.org/dist/tomcat/tomcat-11/v{{.SemVer}}/bin/apache-tomcat-{{.SemVer}}.{{.Format}}.sha512
          file_format: regexp
          algorithm: sha512
          pattern:
            checksum: ^(\b[A-Fa-f0-9]{128}\b)
      - version_constraint: "true"
        no_asset: true
"###),
    ("apache/camel-k", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: apache
    repo_name: camel-k
    description: Apache Camel K is a lightweight integration platform, born on Kubernetes, with serverless superpowers
    asset: camel-k-client-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: kamel
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 2.0.0-nightly")
    version_overrides:
      - version_constraint: semver(">= 1.9.0")
        replacements:
          amd64: 64bit
          arm64: arm64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 1.9.0-nightly")
        replacements:
          amd64: 64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 1.6.1")
        replacements:
          amd64: 64bit
          arm64: arm64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 1.0.0-M1")
        replacements:
          amd64: 64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.3.4")
        replacements:
          amd64: 64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha512"
          algorithm: sha512
      - version_constraint: semver("< 0.3.4")
        replacements:
          amd64: 64bit
          darwin: mac
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
"###),
    ("apache/spark", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: apache
    repo_name: spark
    description: Apache Spark - A unified analytics engine for large-scale data processing
    files:
      # https://github.com/aquaproj/aqua-registry/issues/1174#issuecomment-2577475188
      - name: pyspark
        src: spark-{{trimV .Version}}-bin-hadoop3/bin/pyspark
      - name: spark-shell
        src: spark-{{trimV .Version}}-bin-hadoop3/bin/spark-shell
      - name: spark-sql
        src: spark-{{trimV .Version}}-bin-hadoop3/bin/spark-sql
      - name: sparkR
        src: spark-{{trimV .Version}}-bin-hadoop3/bin/sparkR
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        url: https://dlcdn.apache.org/spark/spark-{{trimV .Version}}/spark-{{trimV .Version}}-bin-hadoop3.tgz
        format: tgz
"###),
    ("apache/maven", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: apache
    repo_name: maven
    description: Apache Maven core
    version_prefix: maven-
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        url: https://dlcdn.apache.org/maven/maven-3/{{.SemVer}}/binaries/apache-maven-{{.SemVer}}-bin.{{.Format}}
        format: tar.gz
        files:
          - name: mvn
            src: apache-maven-{{.SemVer}}/bin/mvn
"###),
    ("apache/maven-mvnd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: apache
    repo_name: maven-mvnd
    description: Apache Maven Daemon
    files:
      - name: mvnd
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: mvnd-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.0.2"
        asset: mvnd-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        overrides:
          - goos: darwin
            replacements:
              amd64: x86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.8")
        asset: mvnd-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.1")
        asset: mvnd-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.1")
        asset: maven-mvnd-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.0.0-m4")
        asset: maven-mvnd-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        replacements:
          arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.0-m6"
        type: http
        url: https://downloads.apache.org/maven/mvnd/{{.Version}}/maven-mvnd-{{.Version}}-m39-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        replacements:
          arm64: aarch64
        checksum:
          type: http
          url: https://downloads.apache.org/maven/mvnd/{{.Version}}/maven-mvnd-{{.Version}}-m39-{{.OS}}-{{.Arch}}.{{.Format}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.0-m7"
        type: http
        url: https://downloads.apache.org/maven/mvnd/{{.Version}}/maven-mvnd-{{.Version}}-m39-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        replacements:
          arm64: aarch64
        checksum:
          type: http
          url: https://downloads.apache.org/maven/mvnd/{{.Version}}/maven-mvnd-{{.Version}}-m39-{{.OS}}-{{.Arch}}.{{.Format}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.0-m8"
        type: http
        url: https://downloads.apache.org/maven/mvnd/{{.Version}}/maven-mvnd-{{.Version}}-m39-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        replacements:
          arm64: aarch64
        checksum:
          type: http
          url: https://downloads.apache.org/maven/mvnd/{{.Version}}/maven-mvnd-{{.Version}}-m39-{{.OS}}-{{.Arch}}.{{.Format}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        type: http
        url: https://downloads.apache.org/maven/mvnd/{{.Version}}/maven-mvnd-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: mvnd
            src: "{{.AssetWithoutExt}}/bin/mvnd"
        replacements:
          arm64: aarch64
        checksum:
          type: http
          url: https://downloads.apache.org/maven/mvnd/{{.Version}}/maven-mvnd-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("apache/pulsar", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: apache
    repo_name: pulsar
    description: Apache Pulsar - distributed pub-sub messaging system
    url: https://dist.apache.org/repos/dist/release/pulsar/pulsar-{{trimV .Version}}/apache-pulsar-{{trimV .Version}}-bin.tar.gz
    format: tar.gz
    files:
      - name: pulsar
        src: apache-pulsar-{{trimV .Version}}/bin/pulsar
      - name: pulsar-admin
        src: apache-pulsar-{{trimV .Version}}/bin/pulsar-admin
      - name: pulsar-client
        src: apache-pulsar-{{trimV .Version}}/bin/pulsar-client
      - name: pulsar-perf
        src: apache-pulsar-{{trimV .Version}}/bin/pulsar-perf
      - name: pulsar-shell
        src: apache-pulsar-{{trimV .Version}}/bin/pulsar-shell
      - name: bookkeeper
        src: apache-pulsar-{{trimV .Version}}/bin/bookkeeper
"###),
    ("iyear/tdl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: iyear
    repo_name: tdl
    description: A Telegram toolkit written in Golang
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tdl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          darwin: MacOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: tdl_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("slok/sloth", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: slok
    repo_name: sloth
    description: Easy and simple Prometheus SLO (service level objectives) generator
    version_filter: not Version startsWith "sloth-helm-chart-"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: sloth-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("yassinebridi/serpl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yassinebridi
    repo_name: serpl
    description: A simple terminal UI for search and replace, ala VS Code
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: serpl-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: serpl-{{.Version}}-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
"###),
    ("aakso/ssh-inscribe/sshi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: aakso/ssh-inscribe/sshi
    repo_owner: aakso
    repo_name: ssh-inscribe
    description: SSH CA Client/Server
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.1")
        asset: sshi-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.9.1")
        asset: sshi-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.10.0"
        asset: sshi-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: sshi-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("jedisct1/minisign", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jedisct1
    repo_name: minisign
    description: A dead simple tool to sign files and verify digital signatures
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3")
        asset: minisign-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          darwin: osx
        supported_envs:
          - darwin
      - version_constraint: Version == "0.4"
        no_asset: true
      - version_constraint: semver("<= 0.8")
        asset: minisign-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        replacements:
          darwin: osx
        supported_envs:
          - darwin
      - version_constraint: Version == "0.9"
        asset: minisign-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          darwin: osx
          windows: win64
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: Version in ["0.10", "0.11"]
        asset: minisign-{{.Version}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
          windows: win64
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: linux
            format: tar.gz
            files:
              - name: minisign
                src: minisign-{{.OS}}/{{.Arch}}/minisign
          - goos: windows
            files:
              - name: minisign
                src: minisign-win64/minisign.exe
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: minisign-{{.Version}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: minisign
            src: minisign-{{.OS}}/{{.Arch}}/minisign
        replacements:
          darwin: macos
          windows: win64
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            files:
              - name: minisign
        supported_envs:
          - darwin/arm64
          - windows
          - linux/amd64
"###),
    ("jedisct1/piknik", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jedisct1
    repo_name: piknik
    description: Copy/paste anything over the network
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3")
        asset: piknik-{{.OS}}-{{.Version}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
          windows: win64
        files:
          - name: piknik
            src: "{{.OS}}/piknik"
        overrides:
          - goos: linux
            asset: piknik-{{.OS}}_{{.Arch}}-{{.Version}}.{{.Format}}
            replacements:
              amd64: x86_64
            files:
              - name: piknik
                src: "{{.OS}}-{{.Arch}}/piknik"
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: piknik-{{.OS}}_{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
          windows: win64
        files:
          - name: piknik
            src: "{{.OS}}/piknik"
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
            files:
              - name: piknik
                src: "{{.OS}}-{{.Arch}}/piknik"
          - goos: darwin
            asset: piknik-{{.OS}}-{{.Version}}.{{.Format}}
          - goos: windows
            format: zip
            asset: piknik-{{.OS}}-{{.Version}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("postfinance/kubectl-sudo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: postfinance
    repo_name: kubectl-sudo
    description: Run kubernetes commands with the security privileges of another user
    supported_envs:
      - darwin
      - linux
    path: bash/kubectl-sudo
"###),
    ("getsops/sops", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: getsops
    repo_name: sops
    aliases:
      - name: mozilla/sops
    description: Simple and flexible tool for managing secrets
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.7.1")
        asset: sops-{{.Version}}.{{.OS}}
        format: raw
        overrides:
          - goos: windows
            asset: sops-{{.Version}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.7.3")
        asset: sops-{{.Version}}.{{.OS}}.{{.Arch}}
        format: raw
        overrides:
          - goos: windows
            asset: sops-{{.Version}}
      - version_constraint: semver("<= 3.9.4")
        asset: sops-{{.Version}}.{{.OS}}.{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: sops-{{.Version}}.checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/getsops/sops/releases/download/{{.Version}}/sops-{{.Version}}.checksums.pem
              - --signature
              - https://github.com/getsops/sops/releases/download/{{.Version}}/sops-{{.Version}}.checksums.sig
              - --certificate-identity-regexp
              - https://github.com/getsops
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
        slsa_provenance:
          type: github_release
          asset: sops-{{.Version}}.intoto.jsonl
        overrides:
          - goos: windows
            asset: sops-{{.Version}}
      - version_constraint: "true"
        asset: sops-{{.Version}}.{{.OS}}.{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: sops-{{.Version}}.checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/getsops/sops/releases/download/{{.Version}}/sops-{{.Version}}.checksums.pem
              - --signature
              - https://github.com/getsops/sops/releases/download/{{.Version}}/sops-{{.Version}}.checksums.sig
              - --certificate-identity-regexp
              - https://github.com/getsops
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
        slsa_provenance:
          type: github_release
          asset: sops-{{.Version}}.intoto.jsonl
        overrides:
          - goos: windows
            asset: sops-{{.Version}}.{{.Arch}}
"###),
    ("rest-sh/restish", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rest-sh
    repo_name: restish
    aliases:
      - name: danielgtaylor/restish
    description: Restish is a CLI for interacting with REST-ish HTTP APIs with some nice features built-in
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.1")
        asset: restish-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.1")
        asset: restish-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.17.0")
        asset: restish-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: mac
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: restish-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("iovisor/kubectl-trace", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: iovisor
    repo_name: kubectl-trace
    description: Schedule bpftrace programs on your kubernetes cluster using the kubectl
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1-rc.0")
        asset: kubectl-trace_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubectl-trace_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubectl-trace_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubectl-trace_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("rust-lang/rust-analyzer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rust-lang
    repo_name: rust-analyzer
    description: A Rust compiler front-end for IDEs
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "2024-09-23"
        no_asset: true
      - version_constraint: semver("<= 2020-02-17")
        asset: ra_lsp_server-{{.OS}}
        format: raw
        replacements:
          darwin: mac
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2020-07-06")
        asset: rust-analyzer-{{.OS}}
        format: raw
        replacements:
          darwin: mac
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2020-12-21")
        asset: rust-analyzer-{{.OS}}.{{.Format}}
        format: gz
        files:
          - name: rust-analyzer
            src: rust-analyzer-{{.OS}}
        replacements:
          darwin: mac
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2021-01-04")
        asset: rust-analyzer-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: rust-analyzer
            src: rust-analyzer-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "2021-01-11"
        asset: rust-analyzer-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        files:
          - name: rust-analyzer
            src: rust-analyzer-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: semver("<= 2021-02-08")
        asset: rust-analyzer-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        files:
          - name: rust-analyzer
            src: rust-analyzer-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
      - version_constraint: semver("<= 2024-09-16")
        asset: rust-analyzer-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        files:
          - name: rust-analyzer
            src: rust-analyzer-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
      - version_constraint: semver("<= 2024-10-28")
        asset: rust-analyzer-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        files:
          - name: rust-analyzer
            src: rust-analyzer-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
      - version_constraint: "true"
        asset: rust-analyzer-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        files:
          - name: rust-analyzer
            src: rust-analyzer-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-gnu
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
            files:
              - name: rust-analyzer
"###),
    ("rust-lang/rustup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: rust-lang/rustup
    aliases:
      - name: rust-lang/rustup/rustup-init
    type: http
    repo_owner: rust-lang
    repo_name: rustup
    files:
      - name: rustup
        link: rustup
      - name: rustup-init
    description: The Rust toolchain installer
    version_source: github_tag
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        url: https://static.rust-lang.org/rustup/archive/{{.Version}}/{{.Arch}}-{{.OS}}/rustup-init
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: http
          url: https://static.rust-lang.org/rustup/archive/{{.Version}}/{{.Arch}}-{{.OS}}/rustup-init.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            checksum:
              type: http
              url: https://static.rust-lang.org/rustup/archive/{{.Version}}/{{.Arch}}-{{.OS}}/rustup-init.exe.sha256
              algorithm: sha256
"###),
    ("rust-lang/mdBook", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rust-lang
    repo_name: mdBook
    rosetta2: true
    asset: mdbook-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    supported_envs:
      - darwin
      - amd64
    description: Create book from markdown files. Like Gitbook but implemented in Rust
    replacements:
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
      amd64: x86_64
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    files:
      - name: mdbook
"###),
    ("ivanilves/lstags", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ivanilves
    repo_name: lstags
    description: Explore Docker registries and manipulate Docker images
    asset: lstags-{{.OS}}-{{.Version}}.tar.gz
    supported_envs:
      - windows
      - darwin
      - linux/amd64
"###),
    ("altsem/gitu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: altsem
    repo_name: gitu
    description: A TUI Git client inspired by Magit
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.17.1")
        asset: gitu-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: gitu
            src: "{{.AssetWithoutExt}}/gitu"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.18.3")
        no_asset: true
      - version_constraint: semver("<= 0.19.1")
        asset: gitu-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: gitu
            src: "{{.AssetWithoutExt}}/gitu"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.29.0")
        asset: gitu-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: gitu
            src: "{{.AssetWithoutExt}}/gitu"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: gitu-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: gitu
            src: "{{.AssetWithoutExt}}/gitu"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("cnrancher/autok3s", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cnrancher
    repo_name: autok3s
    description: Run K3s Everywhere
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.7-rc2")
        asset: autok3s_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: autok3s_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
"###),
    ("sqlc-dev/sqlc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sqlc-dev
    repo_name: sqlc
    aliases:
      - name: kyleconroy/sqlc
    description: Generate type-safe code from SQL
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: sqlc-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.4.0")
        asset: sqlc-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.6.0")
        asset: sqlc-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.8.0")
        asset: sqlc-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.15.0")
        asset: sqlc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.17.0")
        asset: sqlc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.17.1"
        no_asset: true
      - version_constraint: semver("<= 1.24.0")
        asset: sqlc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
      - version_constraint: "true"
        type: http
        url: https://downloads.sqlc.dev/sqlc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
"###),
    ("kreuzwerker/envplate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kreuzwerker
    repo_name: envplate
    description: Docker-friendly trivial templating for configuration files using environment keys
    files:
      - name: ep
        src: envplate
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0-RC1")
        asset: ep-{{.OS}}
        format: raw
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: envplate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("kreuzwerker/awsu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kreuzwerker
    repo_name: awsu
    description: Enhanced account switching for AWS, supports Yubikey as MFA source
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.3.10"
        asset: awsu_{{trimV .Version}}_{{.OS}}_arm.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.3.2")
        asset: awsu-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.3.9")
        asset: awsu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: awsu_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("kreuzwerker/m1-terraform-provider-helper", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kreuzwerker
    repo_name: m1-terraform-provider-helper
    description: CLI to support with downloading and compiling terraform providers for Mac with M1 chip
    supported_envs:
      - darwin
      - linux
    asset: m1-terraform-provider-helper_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
    replacements:
      darwin: Darwin
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("segmentio/topicctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: segmentio
    repo_name: topicctl
    description: Tool for declarative management of Kafka topics
    path: github.com/segmentio/topicctl/cmd/topicctl
    search_words:
      - kafka
"###),
    ("segmentio/golines", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: segmentio
    repo_name: golines
    description: A golang formatter that fixes long lines
"###),
    ("segmentio/chamber", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: segmentio
    repo_name: chamber
    description: CLI for managing secrets
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v2.10.2", "v2.10.5"]
        no_asset: true
      - version_constraint: semver("<= 2.1.0")
        asset: chamber-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.3.2")
        asset: chamber-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        checksum:
          type: github_release
          asset: chamber-{{.Version}}.sha256sums
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.10.7")
        asset: chamber-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: chamber-{{.Version}}.sha256sums
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: chamber-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: chamber-{{.Version}}.sha256sums
          algorithm: sha256
"###),
    ("allyring/pvw", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: allyring
    repo_name: pvw
    description: A port viewer TUI made with BubbleTea in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3.1")
        asset: pvw_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pvw_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.4.1")
        asset: pvw_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pvw_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: pvw_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pvw_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("ViRb3/wgcf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ViRb3
    repo_name: wgcf
    description: Cross-platform, unofficial CLI for Cloudflare Warp
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.2.6"
        asset: wgcf_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.2.2")
        asset: wgcf_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.2.5")
        asset: wgcf_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: wgcf_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("aandrew-me/tgpt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aandrew-me
    repo_name: tgpt
    description: AI Chatbots in terminal without needing API keys
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: tgpt-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: mac
        overrides:
          - goos: windows
            asset: tgpt-{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.2.1")
        asset: tgpt-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: mac
        overrides:
          - goos: windows
            asset: tgpt-{{.Arch}}
      - version_constraint: "true"
        asset: tgpt-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          darwin: mac
        overrides:
          - goos: windows
            asset: tgpt-{{.Arch}}.exe
"###),
    ("acorn-io/runtime", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: acorn-io
    repo_name: runtime
    aliases:
      - name: acorn-io/acorn
    description: A simple application deployment framework for Kubernetes
    asset: acorn-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    files:
      - name: acorn
    format: tar.gz
    replacements:
      darwin: macOS
    overrides:
      - goos: darwin
        asset: acorn-{{.Version}}-{{.OS}}-universal.{{.Format}}
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("flosell/iam-policy-json-to-terraform", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: flosell
    repo_name: iam-policy-json-to-terraform
    description: Small tool to convert an IAM Policy in JSON format into a Terraform aws_iam_policy_document
    format: raw
    supported_envs:
      - darwin
      - amd64
    asset: iam-policy-json-to-terraform_{{.OS}}_{{.Arch}}
    replacements:
      arm64: arm
    overrides:
      - goos: windows
        asset: iam-policy-json-to-terraform.exe
      - goos: linux
        asset: iam-policy-json-to-terraform_amd64
      - goos: darwin
        goarch: amd64
        asset: iam-policy-json-to-terraform_darwin
      - goos: darwin
        goarch: arm64
        asset: iam-policy-json-to-terraform_darwin_arm
    version_constraint: semver(">= 1.7.0")
    version_overrides:
      - version_constraint: "true"
        overrides:
          - goos: windows
            asset: iam-policy-json-to-terraform.exe
          - goos: linux
            asset: iam-policy-json-to-terraform_amd64
          - goos: darwin
            asset: iam-policy-json-to-terraform_darwin
"###),
    ("dagu-org/dagu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dagu-org
    repo_name: dagu
    aliases:
      - name: yohamta/dagu
      - name: hotaruswarm/dagu
      - name: dagu-dev/dagu
      - name: daguflow/dagu
    description: Yet another cron alternative with a Web UI, but with much more capabilities. It aims to solve greater problems
    asset: dagu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    supported_envs:
      - linux
      - darwin
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.10.6")
    version_overrides:
      - version_constraint: semver(">= 1.1.0")
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
      - version_constraint: semver("< 1.1.0")
        # https://github.com/dagu-dev/dagu/pull/15
        # Rename jobctl to dagu
        asset: jobctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        files:
          - name: jobctl
"###),
    ("mike-engel/jwt-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mike-engel
    repo_name: jwt-cli
    description: A super fast CLI tool to decode and encode JWTs built in Rust
    files:
      - name: jwt
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        no_asset: true
      - version_constraint: Version == "0.3.1"
        asset: jwt-cli-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: jwt-cli
            src: jwt-cli
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.0")
        asset: jwt-cli-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: jwt-cli
            src: jwt-cli
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        supported_envs:
          - windows/amd64
      - version_constraint: Version == "0.4.1"
        asset: jwt-cli-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: jwt-cli
            src: jwt-cli
        windows_arm_emulation: true
        replacements:
          darwin: macOS
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            asset: jwt-cli-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
            replacements:
              amd64: x86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.0")
        asset: jwt-cli-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.0")
        no_asset: true
      - version_constraint: semver("<= 1.1.0")
        asset: jwt-cli-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.2.0"
        no_asset: true
      - version_constraint: semver("< 2.2.0")
        asset: jwt-cli-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "2.2.0"
        asset: jwt-cli-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        overrides:
          - goos: linux
            files:
              - name: jwt
                src: target/release/jwt
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "2.2.1"
        asset: jwt-cli-{{.Version}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macOS
        overrides:
          - goos: darwin
            format: tar.gz
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: semver("< 3.2.0")
        asset: jwt-cli-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "3.2.0"
        asset: jwt-cli-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        overrides:
          - goos: linux
            files:
              - name: jwt
                src: target/release/jwt
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 6.1.0")
        asset: jwt-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: jwt-{{.OS}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: jwt-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
          linux: linux-musl
        checksum:
          type: github_release
          asset: jwt-{{.OS}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("kanisterio/kanister", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kanisterio
    repo_name: kanister
    description: An extensible framework for application-level data management on Kubernetes
    asset: kanister_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: kanctl
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.84.0")
    # The darwin support was removed.
    # https://github.com/aquaproj/aqua-registry/pull/7537#issuecomment-1299550841
    supported_envs:
      - linux/amd64
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
"###),
    ("solidiquis/erdtree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: solidiquis
    repo_name: erdtree
    description: A modern, cross-platform, multi-threaded, and general purpose filesystem and disk-usage utility that is aware of .gitignore and hidden file rules
    files:
      - name: erd
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0"
        asset: et-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        files:
          - name: et
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
          - goos: windows
            asset: et-{{.Arch}}-{{.OS}}
      - version_constraint: Version == "v1.6.0"
        asset: et-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: et
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - darwin
          - linux
      - version_constraint: semver("<= 1.8.1")
        asset: et-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: et
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: raw
            asset: et-{{.Version}}-{{.Arch}}-{{.OS}}
      - version_constraint: "true"
        asset: erd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: raw
            asset: erd-{{.Version}}-{{.Arch}}-{{.OS}}
"###),
    ("loeffel-io/ls-lint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: loeffel-io
    repo_name: ls-lint
    description: An extremely fast directory and filename linter - Bring some structure to your project filesystem
    asset: ls-lint-{{.OS}}-{{.Arch}}
    # error: opening tar archive for reading: wrapping file reader: gzip: invalid header
    format: raw
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 2.0.0")
    version_overrides:
      - version_constraint: semver(">= 1.10.0-beta.1")
        asset: ls-lint-{{.OS}}
        format: raw
        overrides:
          - goos: linux
            goarch: arm64
            asset: ls-lint-{{.OS}}-{{.Arch}}
          - goos: darwin
            goarch: arm64
            asset: ls-lint-{{.OS}}-{{.Arch}}
        checksum:
          enabled: false
      - version_constraint: semver(">= 1.1.0")
        asset: ls-lint-{{.OS}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 1.1.0")
        asset: ls-lint-{{.OS}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("drlau/akashi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: drlau
    repo_name: akashi
    asset: akashi_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: Validate "terraform plan" changes against a customizable ruleset
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: akashi_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.0.12")
    version_overrides:
      - version_constraint: semver(">= 0.0.8")
        rosetta2: true
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
"###),
    ("lindell/multi-gitter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lindell
    repo_name: multi-gitter
    asset: multi-gitter_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: CLI to update multiple repositories in bulk
    replacements:
      amd64: x86_64
      arm64: ARM64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("assetnote/surf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: assetnote
    repo_name: surf
    description: Escalate your SSRF vulnerabilities on Modern Cloud Environments. `surf` allows you to filter a list of hosts, returning a list of viable SSRF candidates
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: surf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: surf_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("hashicorp/vagrant/vagrant-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: hashicorp/vagrant/vagrant-go
    type: github_release
    repo_owner: hashicorp
    repo_name: vagrant
    description: Vagrant is a tool for building and distributing development environments
    files:
      - name: vagrant
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: vagrant-go_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: vagrant_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("hashicorp/terraform", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: hashicorp
    repo_name: terraform
    url: https://releases.hashicorp.com/terraform/{{trimV .Version}}/terraform_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    description: Terraform enables you to safely and predictably create, change, and improve infrastructure. It is an open source tool that codifies APIs into declarative configuration files that can be shared amongst team members, treated as code, edited, reviewed, and versioned
    supported_envs:
      - linux
      - darwin
      - amd64
    checksum:
      type: http
      url: https://releases.hashicorp.com/terraform/{{trimV .Version}}/terraform_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
    version_constraint: semver(">= 1.0.2")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
"###),
    ("hashicorp/boundary", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: hashicorp
    repo_name: boundary
    description: Boundary enables identity-based access management for dynamic infrastructure
    url: https://releases.hashicorp.com/boundary/{{trimV .Version}}/boundary_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    checksum:
      type: http
      url: https://releases.hashicorp.com/boundary/{{trimV .Version}}/boundary_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("hashicorp/terraform-ls", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - repo_owner: hashicorp
    repo_name: terraform-ls
    description: Terraform Language Server
    type: http
    url: https://releases.hashicorp.com/terraform-ls/{{trimV .Version}}/terraform-ls_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    checksum:
      type: http
      url: https://releases.hashicorp.com/terraform-ls/{{trimV .Version}}/terraform-ls_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
    version_constraint: semver(">= 0.23.0")
    # 0.23.0: Support windows/arm64
    version_overrides:
      - version_constraint: semver(">= 0.14.0")
        # 0.14.0: Support darwin/arm64
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.12.0")
        # 0.12.0: Support linux/arm64
        rosetta2: true
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.2.1")
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver("< 0.2.1")
        # 0.1.0 and 0.2.0 were released only at GitHub Releases
        type: github_release
        asset: terraform-ls_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: terraform-ls_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
"###),
    ("hashicorp/terraform-config-inspect", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: hashicorp
    repo_name: terraform-config-inspect
    description: A helper library for shallow inspection of Terraform configurations
"###),
    ("hashicorp/go-getter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hashicorp
    repo_name: go-getter
    description: Package for downloading things from a string URL using a variety of protocols
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: go-getter_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    checksum:
      type: github_release
      asset: go-getter_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("hashicorp/nomad", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: hashicorp
    repo_name: nomad
    description: Nomad is an easy-to-use, flexible, and performant workload orchestrator that can deploy a mix of microservice, batch, containerized, and non-containerized applications. Nomad is easy to operate and scale and has native Consul and Vault integrations
    url: https://releases.hashicorp.com/nomad/{{trimV .Version}}/nomad_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: http
      url: https://releases.hashicorp.com/nomad/{{trimV .Version}}/nomad_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
    version_constraint: semver(">= 1.2.7")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
"###),
    ("hashicorp/levant", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: hashicorp
    repo_name: levant
    rosetta2: true
    url: https://releases.hashicorp.com/levant/{{trimV .Version}}/levant_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    description: An open source templating and deployment tool for HashiCorp Nomad jobs
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: http
      url: https://releases.hashicorp.com/levant/{{trimV .Version}}/levant_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("hashicorp/copywrite", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hashicorp
    repo_name: copywrite
    description: Automate copyright headers and license files at scale
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.16.5"
        asset: copywrite_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: copywrite_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("hashicorp/packer-plugin-sdk/packer-sdc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: hashicorp/packer-plugin-sdk/packer-sdc
    type: go_install
    path: github.com/hashicorp/packer-plugin-sdk/cmd/packer-sdc
    repo_owner: hashicorp
    repo_name: packer-plugin-sdk
    description: The packer software development command is meant for plugin maintainers and Packer maintainers, it helps generate docs and code
    files:
      - name: packer-sdc
"###),
    ("hashicorp/terraform-plugin-docs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hashicorp
    repo_name: terraform-plugin-docs
    description: Generate and validate Terraform plugin/provider documentation
    asset: tfplugindocs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    files:
      - name: tfplugindocs
    checksum:
      type: github_release
      asset: tfplugindocs_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("hashicorp/packer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: hashicorp
    repo_name: packer
    url: https://releases.hashicorp.com/packer/{{trimV .Version}}/packer_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    description: Packer is a tool for creating identical machine images for multiple platforms from a single source configuration
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: http
      url: https://releases.hashicorp.com/packer/{{trimV .Version}}/packer_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("hashicorp/waypoint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: hashicorp
    repo_name: waypoint
    description: A tool to build, deploy, and release any application on any platform
    supported_envs:
      - darwin
      - amd64
    url: https://releases.hashicorp.com/waypoint/{{trimV .Version}}/waypoint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    checksum:
      type: http
      url: https://releases.hashicorp.com/waypoint/{{trimV .Version}}/waypoint_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("hashicorp/consul", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: hashicorp
    repo_name: consul
    description: Consul is a distributed, highly available, and data center aware solution to connect and configure applications across dynamic, distributed infrastructure
    url: https://releases.hashicorp.com/consul/{{trimV .Version}}/consul_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    supported_envs:
      - darwin
      - linux
      - amd64
    version_filter: Version matches "^v\\d+\\.\\d+\\.\\d+"
    version_constraint: semver(">= 1.11.1")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
    checksum:
      type: http
      url: https://releases.hashicorp.com/consul/{{trimV .Version}}/consul_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("hashicorp/vault", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: hashicorp
    repo_name: vault
    description: A tool for secrets management, encryption as a service, and privileged access management
    version_filter: Version matches "^v\\d+\\.\\d+\\.\\d+"
    supported_envs:
      - darwin
      - linux
      - amd64
    url: https://releases.hashicorp.com/vault/{{trimV .Version}}/vault_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    checksum:
      type: http
      url: https://releases.hashicorp.com/vault/{{trimV .Version}}/vault_{{trimV .Version}}_SHA256SUMS
      algorithm: sha256
"###),
    ("natecraddock/zf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: natecraddock
    repo_name: zf
    description: a commandline fuzzy finder designed for filtering filepaths
    asset: zf-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.xz
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: macos
    supported_envs:
      - linux
      - darwin
    files:
      - name: zf
        src: "zf-{{.Version}}-{{.Arch}}-{{.OS}}"
"###),
    ("quarylabs/sqruff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: quarylabs
    repo_name: sqruff
    description: Fast SQL formatter/linter
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.12.0"
        asset: sqruff-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            asset: sqruff-{{.OS}}-{{.Arch}}-musl.{{.Format}}
          - goos: windows
            format: zip
        supported_envs:
          - linux
          - darwin/arm64
          - windows/amd64
      - version_constraint: semver("<= 0.0.2")
        asset: sqruff_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 0.0.4")
        asset: sqruff-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            asset: sqruff-{{.OS}}-{{.Arch}}-musl.{{.Format}}
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.9")
        asset: sqruff-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            asset: sqruff-{{.OS}}-{{.Arch}}-musl.{{.Format}}
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("< 0.25.14")
        asset: sqruff-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            asset: sqruff-{{.OS}}-{{.Arch}}-musl.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: sqruff-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: quarylabs/sqruff/.github/workflows/release.yml
        overrides:
          - goos: linux
            asset: sqruff-{{.OS}}-{{.Arch}}-musl.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("shyiko/kubesec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: shyiko
    repo_name: kubesec
    description: Secure Secret management for Kubernetes (with gpg, Google Cloud KMS and AWS KMS backends)
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubesec-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("sarub0b0/kubetui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sarub0b0
    repo_name: kubetui
    description: An intuitive Terminal User Interface (TUI) tool for real-time monitoring and exploration of Kubernetes resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.1")
        asset: kubetui-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.7.0"
        no_asset: true
      - version_constraint: semver("<= 0.10.0")
        asset: kubetui-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.11.0"
        no_asset: true
      - version_constraint: semver("<= 0.11.3")
        asset: kubetui-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.5")
        no_asset: true
      - version_constraint: Version == "v0.11.6"
        asset: kubetui-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.2")
        asset: kubetui-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.5.0")
        asset: kubetui-{{.Arch}}-{{.OS}}-openssl
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubetui-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("keisku/kubectl-explore", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: keisku
    repo_name: kubectl-explore
    description: A better kubectl explain with the fuzzy finder
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: kubectl-explore_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: kubectl-explore_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.3.1")
        asset: kubectl-explore_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: kubectl-explore_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: kubectl-explore_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubectl-explore_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("reemus-dev/gitnr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: reemus-dev
    repo_name: gitnr
    description: Create `.gitignore` files using one or more templates from TopTal, GitHub or your own collection
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gitnr-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: macos
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("helix-editor/helix", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: helix-editor
    repo_name: helix
    asset: helix-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.xz
    description: A post-modern modal text editor
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: macos
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: hx
        src: helix-{{.Version}}-{{.Arch}}-{{.OS}}/hx
    version_constraint: semver(">= 22.08")
    version_overrides:
      - version_constraint: semver(">= 22.03")
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux
          - amd64
"###),
    ("getgauge/gauge", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: getgauge
    repo_name: gauge
    asset: gauge-{{trimV .Version}}-{{.OS}}.{{.Arch}}.zip
    description: Light weight cross-platform test automation
    replacements:
      amd64: x86_64
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("kubecolor/kubecolor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubecolor
    repo_name: kubecolor
    description: Colorize your kubectl output
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.21")
        asset: kubecolor_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("< 0.5.1")
        asset: kubecolor_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: kubecolor_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        github_artifact_attestations:
          signer_workflow: kubecolor/kubecolor/.github/workflows/release.yml
        overrides:
          - goos: windows
            format: zip
"###),
    ("gabrie30/ghorg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gabrie30
    repo_name: ghorg
    description: Quickly clone an entire org/users repositories into one directory - Supports GitHub, GitLab, Bitbucket, and more
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.7.4")
        no_asset: true
      - version_constraint: Version == "v1.7.5"
        asset: ghorg_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: ghorg_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: ghorg_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
"###),
    ("thomasschafer/scooter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: thomasschafer
    repo_name: scooter
    description: Interactive find and replace in the terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.1"
        no_asset: true
      - version_constraint: semver("<= 0.2.2")
        asset: scooter-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: scooter
            src: scooter-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: scooter-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("octohelm/cuemod", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: octohelm
    repo_name: cuemod
    description: experimental cuelang mod tool
    supported_envs:
      - linux
      - darwin
    asset: cuem_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: cuem
"###),
    ("rs/curlie", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rs
    repo_name: curlie
    description: The power of curl, the ease of use of httpie
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: curl-httpie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: http
        rosetta2: true
        checksum:
          type: github_release
          asset: curl-httpie_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
      - version_constraint: semver("<= 1.0.0")
        asset: curl-httpie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: http
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: curl-httpie_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.0")
        asset: curlie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: curlie_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.7.2")
        asset: curlie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: curlie_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: curlie_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: curlie_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/rs/curlie/releases/download/{{.Version}}/curlie_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/rs/curlie/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/rs/curlie/releases/download/{{.Version}}/curlie_{{trimV .Version}}_checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("taiki-e/cargo-llvm-cov", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: taiki-e
    repo_name: cargo-llvm-cov
    description: Cargo subcommand to easily use LLVM source-based code coverage (-C instrument-coverage)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0-alpha.4")
        asset: cargo-llvm-cov-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.15")
        asset: cargo-llvm-cov-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.4")
        asset: cargo-llvm-cov-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: "true"
        asset: cargo-llvm-cov-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("fission/fission", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fission
    repo_name: fission
    description: Fast and Simple Serverless Functions for Kubernetes
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.12.0")
        asset: fission-cli-{{.OS}}
        format: raw
        replacements:
          darwin: osx
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.14.1")
        asset: fission-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 1.17.0-rc2")
        asset: fission-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.20.5")
        asset: fission-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.21.0")
        asset: fission-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: fission_{{.Version}}.intoto.jsonl
        cosign:
          opts:
            - --certificate
            - https://github.com/fission/fission/releases/download/{{.Version}}/{{.Asset}}.pem
            - --certificate-identity
            - https://github.com/fission/fission/.github/workflows/release.yaml@refs/tags/{{.Version}}
            - --certificate-oidc-issuer
            - https://token.actions.githubusercontent.com
            - --signature
            - https://github.com/fission/fission/releases/download/{{.Version}}/{{.Asset}}.sig
      - version_constraint: "true"
        asset: fission-cli-{{.OS}}
        format: raw
        replacements:
          darwin: osx
        slsa_provenance:
          type: github_release
          asset: fission_{{.Version}}.intoto.jsonl
        cosign:
          opts:
            - --certificate
            - https://github.com/fission/fission/releases/download/{{.Version}}/{{.Asset}}.pem
            - --certificate-identity
            - https://github.com/fission/fission/.github/workflows/release.yaml@refs/tags/{{.Version}}
            - --certificate-oidc-issuer
            - https://token.actions.githubusercontent.com
            - --signature
            - https://github.com/fission/fission/releases/download/{{.Version}}/{{.Asset}}.sig
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("dutchcoders/cloudman", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dutchcoders
    repo_name: cloudman
    description: Textual user interface to manage ec2 instances
    rosetta2: true
    asset: cloudman-{{.Version}}-{{.Arch}}-{{.OS}}.tar.gz
    replacements:
      darwin: apple-darwin
      linux: unknown-linux-gnu
      amd64: x86_64
    supported_envs:
      - linux/amd64
      - darwin
    files:
      - name: cloudman
        src: cloudman-{{.Version}}-{{.Arch}}-{{.OS}}/cloudman
"###),
    ("open-policy-agent/gatekeeper", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: open-policy-agent
    repo_name: gatekeeper
    description: "Gatekeeper - Policy Controller for Kubernetes"
    files:
      - name: gator
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v3.12.0-rc.0" || semver("<= 3.7.0-beta.2")
        no_asset: true
      - version_constraint: "true"
        asset: gator-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: gator
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("open-policy-agent/conftest", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: open-policy-agent
    repo_name: conftest
    description: Write tests against structured configuration data using the Open Policy Agent Rego query language
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.44.0"
        no_asset: true
      - version_constraint: Version == "0.9.1"
        asset: conftest_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.20.0")
        asset: conftest_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.27.0")
        asset: conftest_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: conftest_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("open-policy-agent/opa", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: open-policy-agent
    repo_name: opa
    description: Open Policy Agent (OPA) is an open source, general-purpose policy engine
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.1")
        asset: opa_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.5.2"
        no_asset: true
      - version_constraint: semver("<= 0.6.0")
        asset: opa_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.24.0")
        asset: opa_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.28.0")
        asset: opa_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.29.3")
        asset: opa_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.35.0")
        asset: opa_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            asset: opa_{{.OS}}_{{.Arch}}_static
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.36.0"
        asset: opa_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: linux
            asset: opa_{{.OS}}_{{.Arch}}_static
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v0.36.1"
        asset: opa_{{.OS}}_{{.Arch}}_static
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: opa_{{.OS}}_{{.Arch}}.exe
          - goos: darwin
            goarch: amd64
            asset: opa_{{.OS}}_{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: opa_{{.OS}}_{{.Arch}}_static
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            asset: opa_{{.OS}}_{{.Arch}}.exe
          - goos: darwin
            goarch: amd64
            asset: opa_{{.OS}}_{{.Arch}}
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("brumhard/krewfile", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: brumhard
    repo_name: krewfile
    description: Declarative krew plugin management
    supported_envs:
      - linux
      - darwin
"###),
    ("streamdal/plumber", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: streamdal
    repo_name: plumber
    aliases:
      - name: batchcorp/plumber
    description: A swiss army knife CLI tool for interacting with Kafka, RabbitMQ and other messaging systems
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.3")
        asset: plumber-{{.OS}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.6.1")
        asset: plumber-{{.OS}}
        format: raw
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: plumber-{{.OS}}
        format: raw
        overrides:
          - goos: darwin
            goarch: arm64
            asset: plumber-{{.OS}}-{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("schemalex/schemalex", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: schemalex
    repo_name: schemalex
    asset: schemalex_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: Generate difference sql of two mysql schema
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: schemadiff
        src: schemalex_{{.OS}}_{{.Arch}}/schemadiff
      - name: schemalex
        src: schemalex_{{.OS}}_{{.Arch}}/schemalex
      - name: schemalint
        src: schemalex_{{.OS}}_{{.Arch}}/schemalint
"###),
    ("neovim/neovim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: neovim
    repo_name: neovim
    description: Vim-fork focused on extensibility and usability
    files:
      - name: nvim
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.7")
        no_asset: true
      - version_constraint: Version == "v0.2.0"
        asset: nvim-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: nvim
            src: Neovim/bin/nvim.exe
        replacements:
          darwin: macos
          windows: win64
        overrides:
          - goos: darwin
            format: tar.gz
            files:
              - name: nvim
                src: nvim-osx64/bin/nvim
        supported_envs:
          - darwin
          - windows
      - version_constraint: Version == "v0.2.1"
        no_asset: true
      - version_constraint: semver("<= 0.3.1")
        asset: nvim-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: nvim
            src: nvim-{{.OS}}/bin/nvim
        replacements:
          darwin: macos
          windows: win64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: nvim
                src: Neovim/bin/nvim.exe
          - goos: darwin
            files:
              - name: nvim
                src: nvim-osx64/bin/nvim
        supported_envs:
          - darwin
          - windows
      - version_constraint: semver("<= 0.3.5")
        asset: nvim-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: nvim
            src: nvim-{{.OS}}/bin/nvim
        replacements:
          darwin: macos
          windows: win64
          linux: linux64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: nvim
                src: Neovim/bin/nvim.exe
          - goos: darwin
            files:
              - name: nvim
                src: nvim-osx64/bin/nvim
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.3.6"
        asset: nvim-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: nvim
            src: nvim-{{.OS}}/bin/nvim
        replacements:
          darwin: macos
          linux: linux64
        overrides:
          - goos: darwin
            files:
              - name: nvim
                src: nvim-osx64/bin/nvim
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.8")
        asset: nvim-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: nvim
            src: nvim-{{.OS}}/bin/nvim
        replacements:
          darwin: macos
          windows: win64
          linux: linux64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: nvim
                src: Neovim/bin/nvim.exe
          - goos: darwin
            files:
              - name: nvim
                src: nvim-osx64/bin/nvim
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.4.0"
        asset: nvim-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: nvim
            src: nvim-{{.OS}}/bin/nvim
        replacements:
          darwin: macos
          linux: linux64
        supported_envs:
          - linux/amd64
          - darwin
        overrides:
          - goos: darwin
            files:
              - name: nvim
                src: nvim-osx64/bin/nvim
      - version_constraint: semver("<= 0.4.4")
        asset: nvim-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: nvim
            src: nvim-{{.OS}}/bin/nvim
        replacements:
          darwin: macos
          windows: win64
          linux: linux64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: nvim
                src: Neovim/bin/nvim.exe
          - goos: darwin
            files:
              - name: nvim
                src: nvim-osx64/bin/nvim
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.5")
        asset: nvim-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: nvim
            src: "{{.AssetWithoutExt}}/bin/nvim"
        replacements:
          darwin: macos
          windows: win64
          linux: linux64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.3")
        asset: nvim-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: nvim
            src: "{{.AssetWithoutExt}}/bin/nvim"
        replacements:
          darwin: macos
          windows: win64
          linux: linux64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: nvim-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              amd64: x86_64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.10.4"
        asset: nvim-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: nvim
            src: "{{.AssetWithoutExt}}/bin/nvim"
        replacements:
          darwin: macos
          windows: win64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256sum"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              amd64: x86_64
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: windows
            asset: nvim-{{.OS}}.{{.Format}}
            format: zip
        supported_envs:
          - darwin
          - linux
          - windows
      - version_constraint: "true"
        asset: nvim-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: nvim
            src: "{{.AssetWithoutExt}}/bin/nvim"
        replacements:
          darwin: macos
          windows: win64
        checksum:
          type: github_release
          asset: shasum.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              amd64: x86_64
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: windows
            asset: nvim-{{.OS}}.{{.Format}}
            format: zip
        supported_envs:
          - darwin
          - linux
          - windows
"###),
    ("neovim/neovim-releases", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: neovim
    repo_name: neovim-releases
    description: Unsupported Nvim releases
    files:
      - name: nvim
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.10.3")
        asset: nvim-linux64.{{.Format}}
        format: tar.gz
        files:
          - name: nvim
            src: "{{.AssetWithoutExt}}/bin/nvim"
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: nvim-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: nvim
            src: "{{.AssetWithoutExt}}/bin/nvim"
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
"###),
    ("biomejs/biome", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: biomejs
    repo_name: biome
    description: A toolchain for web projects, aimed to provide functionalities to maintain them. Biome offers formatter and linter, usable via CLI and LSP
    version_prefix: cli/
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: biome-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          windows: win32
"###),
    ("rogerwelin/cfnctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rogerwelin
    repo_name: cfnctl
    description: "Cfnctl brings the Terraform cli experience to AWS Cloudformation :cloud:"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: cfnctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("rogerwelin/cassowary", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rogerwelin
    repo_name: cassowary
    description: Modern cross-platform HTTP load-testing tool written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: cassowary_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.12.0")
        asset: cassowary_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.13.0")
        asset: cassowary_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0")
        asset: cassowary_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: cassowary_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("gokcehan/lf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gokcehan
    repo_name: lf
    description: Terminal file manager
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    asset: lf-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
"###),
    ("orhun/git-cliff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: orhun
    repo_name: git-cliff
    asset: git-cliff-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: A highly customizable Changelog Generator that follows Conventional Commit specifications
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
        checksum:
          enabled: false
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: git-cliff
        src: git-cliff-{{trimV .Version}}/git-cliff
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha512"
      algorithm: sha512
"###),
    ("asciinema/agg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: asciinema
    repo_name: agg
    description: asciinema gif generator
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: agg-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
"###),
    ("codeberg.org/mergiraf/mergiraf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    name: codeberg.org/mergiraf/mergiraf
    description: A syntax-aware git merge driver for a growing collection of programming languages and file formats
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        url: https://codeberg.org/mergiraf/mergiraf/releases/download/{{.Version}}/mergiraf_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: "true"
        url: https://codeberg.org/mergiraf/mergiraf/releases/download/{{.Version}}/mergiraf_{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: windows
            format: zip
"###),
    ("vburenin/ifacemaker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: vburenin
    repo_name: ifacemaker
    description: Generate interfaces from structure methods
    version_constraint: semver(">= 1.2.0")
    version_overrides:
      - version_constraint: "true"
        type: github_release
        rosetta2: true
        asset: ifacemaker_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            type: go_install
            asset: ""
            replacements: {}
            checksum:
              enabled: false
          - goos: windows
            goarch: arm64
            type: go_install
            asset: ""
            replacements: {}
            checksum:
              enabled: false
"###),
    ("newrelic/newrelic-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: newrelic
    repo_name: newrelic-cli
    description: The New Relic Command Line Interface
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: newrelic-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: newrelic
    replacements:
      darwin: Darwin
      linux: Linux
      windows: Windows
      386: i386
      amd64: x86_64
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: newrelic-cli_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("Crocmagnon/fatcontext", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Crocmagnon
    repo_name: fatcontext
    description: detects nested contexts in loops
    version_constraint: "false"
    version_overrides:
      # foreshadow is used instead of fatcontext
      - version_constraint: semver("<= 0.1.3")
        no_asset: true
      - version_constraint: "true"
        asset: fatcontext_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: fatcontext_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("skaji/relocatable-perl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: skaji
    repo_name: relocatable-perl
    description: self-contained, portable perl binaries
    files:
      - name: perl
        src: "{{.AssetWithoutExt}}/bin/perl"
      - name: cpanm
        src: "{{.AssetWithoutExt}}/bin/cpanm"
      - name: perldoc
        src: "{{.AssetWithoutExt}}/bin/perldoc"
      - name: prove
        src: "{{.AssetWithoutExt}}/bin/prove"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 5.34.1.0")
        asset: perl-{{.OS}}-2level.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            asset: perl-{{.Arch}}-{{.OS}}.{{.Format}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 5.36.0.0")
        asset: perl-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
              arm64: aarch64
          - goos: darwin
            asset: perl-{{.OS}}-2level.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: perl-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
"###),
    ("codeclimate/test-reporter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: codeclimate
    repo_name: test-reporter
    description: Code Climate Test Reporter
    format: raw
    url: https://codeclimate.com/downloads/test-reporter/test-reporter-{{trimV .Version}}-{{.OS}}-{{.Arch}}
    rosetta2: true
    supported_envs:
      - darwin
      - linux
    files:
      - name: cc-test-reporter
        src: test-reporter
"###),
    ("gotestyourself/gotestsum", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gotestyourself
    repo_name: gotestsum
    description: "'go test' runner with output optimized for humans, JUnit XML for CI integration, and a summary of the test results"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2"
        no_asset: true
      - version_constraint: Version == "v0.1"
        asset: gotestsum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gotestsum-{{trimV .Version}}-checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.10.0"
        asset: gotestsum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gotestsum-{{trimV .Version}}-checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.1")
        asset: gotestsum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gotestsum-{{trimV .Version}}-checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.2")
        asset: gotestsum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gotestsum-{{trimV .Version}}-checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.7.0")
        asset: gotestsum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gotestsum-{{trimV .Version}}-checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: gotestsum_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: gotestsum-{{trimV .Version}}-checksums.txt
          algorithm: sha256
"###),
    ("banzaicloud/banzai-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: banzaicloud
    repo_name: banzai-cli
    description: CLI for Banzai Cloud Pipeline platform
    files:
      - name: banzai
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["0.0.2-preview", "0.15.0"]
        no_asset: true
      - version_constraint: Version == "0.0.3"
        asset: banzai-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: banzai-cli_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.14.1")
        asset: banzai_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: banzai_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.21.0")
        asset: banzai_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: banzai_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.21.2")
        no_asset: true
      - version_constraint: "true"
        asset: banzai_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: banzai_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("hadolint/hadolint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hadolint
    repo_name: hadolint
    description: Dockerfile linter, validate inline bash, written in Haskell
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.7.0"
        asset: hadolint-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.0")
        no_asset: true
      - version_constraint: semver("<= 1.2.2")
        asset: hadolint_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.9.3")
        asset: hadolint-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.10.0"
        asset: hadolint-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
      - version_constraint: "true"
        asset: hadolint-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("alexpasmantier/television", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: alexpasmantier
    repo_name: television
    description: The revolution will (not) be televised
    files:
      - name: tv
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.15")
        no_asset: true
      - version_constraint: semver("<= 0.10.9")
        asset: tv-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: "tv-{{.Version}}-{{.OS}}-{{.Arch}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 0.11.3")
        asset: tv-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: tv
            src: "{{.AssetWithoutExt}}/tv"
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: "tv-{{.Version}}-{{.OS}}-{{.Arch}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: tv-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: tv
            src: "{{.AssetWithoutExt}}/tv"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: tv-{{.Version}}-{{.Arch}}-{{.OS}}.sha256
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
"###),
    ("eksctl-io/eksctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: eksctl-io
    repo_name: eksctl
    aliases:
      - name: weaveworks/eksctl
    description: The official CLI for Amazon EKS
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.80.0"
        no_asset: true
      - version_constraint: semver("<= 0.30.0-rc.0")
        asset: eksctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: eksctl_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.40.0")
        asset: eksctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: eksctl_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.64.0")
        asset: eksctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: eksctl_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: eksctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: eksctl_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("clog-tool/clog-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: clog-tool
    repo_name: clog-cli
    description: Generate beautiful changelogs from your Git commit history
    rosetta2: true
    asset: clog-{{.Version}}-{{.Arch}}-{{.OS}}.tar.gz
    replacements:
      arm64: aarch64
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
    overrides:
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
    supported_envs:
      - darwin
      - linux
    files:
      - name: clog
"###),
    ("sourcegraph/src-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sourcegraph
    repo_name: src-cli
    description: Sourcegraph CLI
    asset: src-cli_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: src
    checksum:
      type: github_release
      asset: src-cli_{{.Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 3.31.1")
    version_overrides:
      - version_constraint: semver(">= 3.30.4")
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 3.10.9")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("< 3.10.9")
        asset: src_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("containers/gvisor-tap-vsock/gvproxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: containers/gvisor-tap-vsock/gvproxy
    type: github_release
    repo_owner: containers
    repo_name: gvisor-tap-vsock
    description: A new network stack based on gVisor
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.6.2"
        asset: gvproxy-{{.OS}}
        format: raw
        overrides:
          - goos: darwin
            asset: gvproxy-{{.OS}}-{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.7.0"
        asset: gvproxy-{{.OS}}
        format: raw
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.0")
        asset: gvproxy-{{.OS}}
        format: raw
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.0")
        asset: gvproxy-{{.OS}}
        format: raw
        overrides:
          - goos: darwin
            asset: gvproxy-{{.OS}}-{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.1")
        asset: gvproxy-{{.OS}}
        format: raw
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.7.3")
        asset: gvproxy-{{.OS}}
        format: raw
        overrides:
          - goos: linux
            asset: gvproxy-{{.OS}}-{{.Arch}}
      - version_constraint: "true"
        asset: gvproxy-{{.OS}}
        format: raw
        checksum:
          type: github_release
          asset: sha256sums
          algorithm: sha256
        overrides:
          - goos: linux
            asset: gvproxy-{{.OS}}-{{.Arch}}
          - goos: windows
            goarch: arm64
            asset: gvproxy-{{.Arch}}
"###),
    ("containers/gvisor-tap-vsock/qemu-wrapper", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: containers/gvisor-tap-vsock/qemu-wrapper
    type: github_release
    repo_owner: containers
    repo_name: gvisor-tap-vsock
    description: A new network stack based on gVisor
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: qemu-wrapper
        format: raw
        supported_envs:
          - linux/amd64
"###),
    ("containers/conmon", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: containers
    repo_name: conmon
    description: An OCI container runtime monitor
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.0.9") || Version in ["v2.1.1", "v2.0.29", "v2.0.28", "v2.0.21"]
        no_asset: true
      - version_constraint: semver("<= 2.0.17") || Version in ["v2.0.20", "v2.0.24"]
        asset: conmon
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 2.0.19")
        asset: conmon-{{trimV .Version}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 2.0.23") || Version == "v2.0.25"
        asset: conmon-{{trimV .Version}}.{{.Format}}
        format: zip
        supported_envs:
          - linux
        files:
          - name: conmon
            src: result/bin/conmon
      - version_constraint: semver("<= 2.0.32") && semver(">= 2.0.30")
        asset: conmon-{{.Arch}}.{{.Format}}
        format: zip
        supported_envs:
          - linux
        replacements:
          amd64: x86
          arm64: arm
        files:
          - name: conmon
            src: bin/conmon
      - version_constraint: "true"
        asset: conmon.{{.Arch}}
        format: raw
        supported_envs:
          - linux
"###),
    ("containers/fuse-overlayfs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: containers
    repo_name: fuse-overlayfs
    description: FUSE implementation for overlayfs
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: fuse-overlayfs-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("containers/crun", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: containers
    repo_name: crun
    asset: crun-{{.Version}}-{{.OS}}-{{.Arch}}
    format: raw
    description: A fast and lightweight fully featured OCI runtime and C library for running containers
    supported_envs:
      - linux
"###),
    ("trufflesecurity/trufflehog", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: trufflesecurity
    repo_name: trufflehog
    description: Find, verify, and analyze leaked credentials
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["2.0.97", "v3.6.5", "v3.7.1", "v3.41.0", "v3.80.0", "3.80.4", "v3.82.10"]
        no_asset: true
      - version_constraint: semver("<= 3.63.1")
        asset: trufflehog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: trufflehog_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: trufflehog_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: trufflehog_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/trufflesecurity/trufflehog/releases/download/{{.Version}}/trufflehog_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/trufflesecurity/trufflehog/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/trufflesecurity/trufflehog/releases/download/{{.Version}}/trufflehog_{{trimV .Version}}_checksums.txt.sig
"###),
    ("trufflesecurity/driftwood", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: trufflesecurity
    repo_name: driftwood
    description: Private key usage verification
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        asset: driftwood_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: driftwood_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: driftwood_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: driftwood_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("dundee/gdu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dundee
    repo_name: gdu
    description: Fast disk usage analyzer with console interface written in Go
    asset: gdu_{{.OS}}_{{.Arch}}.tgz
    overrides:
      - goos: windows
        asset: gdu_windows_amd64.exe.zip
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: gdu
        src: gdu_{{.OS}}_{{.Arch}}
    checksum:
      type: github_release
      asset: sha256sums.txt
      algorithm: sha256
"###),
    ("neondatabase/neonctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: neondatabase
    repo_name: neonctl
    description: Neon CLI tool. The Neon CLI is a command-line interface that lets you manage Neon Serverless Postgres directly from the terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.27.4")
        asset: neonctl-{{.OS}}
        format: raw
        replacements:
          darwin: macos
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: neonctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
          windows: win
"###),
    ("johanhaleby/kubetail", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: johanhaleby
    repo_name: kubetail
    path: kubetail
    description: Bash script to tail Kubernetes logs from multiple pods at the same time
"###),
    ("concourse/concourse/fly", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: concourse/concourse/fly
    type: github_release
    repo_owner: concourse
    repo_name: concourse
    asset: fly-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tgz
    description: Concourse is a container-based continuous thing-doer written in Go
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    # TODO checksum: support sha1
    # https://github.com/aquaproj/aqua/issues/1216
    files:
      - name: fly
"###),
    ("concourse/concourse/concourse", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: concourse/concourse/concourse
    type: github_release
    repo_owner: concourse
    repo_name: concourse
    asset: concourse-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tgz
    description: Concourse is a container-based continuous thing-doer written in Go
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    # TODO checksum: support sha1
    # https://github.com/aquaproj/aqua/issues/1216
    files:
      - name: concourse
        src: concourse/bin/concourse
"###),
    ("dwisiswant0/tlder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dwisiswant0
    repo_name: tlder
    description: TLDs finder — check domain name availability across all valid top-level domains
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: tlder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: tlder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: tlder_{{.Version}}-{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: tlder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("okteto/okteto", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: okteto
    repo_name: okteto
    description: Develop your applications directly in your Kubernetes Cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.6")
        asset: cnd-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.7")
        asset: okteto-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.4")
        asset: okteto-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 1.10.5")
        asset: okteto-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: okteto
      - version_constraint: "true"
        asset: okteto-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: okteto
"###),
    ("nektos/act", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nektos
    repo_name: act
    description: Run your GitHub Actions locally
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.3")
        asset: act_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.3")
        asset: act_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.22")
        asset: act_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.24")
        asset: act_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: act_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("nvarner/typst-lsp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nvarner
    repo_name: typst-lsp
    description: A brand-new language server for Typst, plus a VS Code extension
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0") or Version in ["v0.5.0", "v0.6.0", "v0.6.1", "v0.8.0"]
        no_asset: true
      - version_constraint: semver("<= 0.7.2")
        asset: typst-lsp-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          windows: win32
      - version_constraint: Version == "v0.8.1"
        asset: typst-lsp
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
      - version_constraint: "true"
        asset: typst-lsp-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
"###),
    ("a-h/templ", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: a-h
    repo_name: templ
    description: A language for writing HTML user interfaces in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.126")
        asset: templ_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.148")
        asset: templ_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.194")
        asset: templ_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 0.2.639")
        asset: templ_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: templ_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --signature
              - https://github.com/a-h/templ/releases/download/{{.Version}}/checksums.txt.sig
              - --key
              - https://raw.githubusercontent.com/a-h/templ/refs/tags/{{.Version}}/cosign.pub
"###),
    ("odanado/git-pr-release-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: odanado
    repo_name: git-pr-release-go
    description: git-pr-release-go streamlines development by automating "Release Pull Requests" on GitHub
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: git-pr-release-go_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: git-pr-release-go_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("samwho/spacer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: samwho
    repo_name: spacer
    description: CLI tool to insert spacers when command output stops
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.6")
        asset: spacer-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: spacer-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("bridgecrewio/checkov", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bridgecrewio
    repo_name: checkov
    description: Prevent cloud misconfigurations and find vulnerabilities during build-time in infrastructure as code, container images and open source packages with Checkov by Bridgecrew
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "2.3.321"
        asset: checkov_{{.OS}}_{{.Arch}}_{{.Version}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: checkov
            src: dist/checkov
        replacements:
          amd64: X86_64
      - version_constraint: Version == "2.3.340"
        no_asset: true
      - version_constraint: Version == "2.5.15"
        asset: checkov_{{.OS}}_{{.Arch}}_{{.Version}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: checkov
            src: dist/checkov
        replacements:
          amd64: X86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "3.2.317"
        asset: checkov_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: checkov
            src: dist/checkov
        replacements:
          amd64: X86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "3.2.322"
        asset: checkov_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: checkov
            src: dist/checkov
        replacements:
          amd64: X86_64
        supported_envs:
          - linux
      - version_constraint: semver("<= 2.3.314")
        no_asset: true
      - version_constraint: semver("<= 2.3.318")
        asset: checkov_{{.OS}}_{{.Version}}
        format: raw
        complete_windows_ext: false
        files:
          - name: checkov
            src: dist/checkov
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.3.334")
        asset: checkov_{{.OS}}_{{.Arch}}_{{.Version}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: checkov
            src: dist/checkov
        replacements:
          amd64: X86_64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.2.51")
        asset: checkov_{{.OS}}_{{.Arch}}_{{.Version}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: checkov
            src: dist/checkov
        replacements:
          amd64: X86_64
      - version_constraint: "true"
        asset: checkov_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: checkov
            src: dist/checkov
        replacements:
          amd64: X86_64
"###),
    ("bridgecrewio/yor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bridgecrewio
    repo_name: yor
    asset: yor_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Extensible auto-tagger for your IaC files. The ultimate way to link entities in the cloud back to the codified resource which created it
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: yor_{{.Version}}_checksums.txt
      algorithm: sha256
"###),
    ("openvex/vexctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: openvex
    repo_name: vexctl
    description: A  tool to create, transform and attest VEX metadata
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.5")
        asset: vexctl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: vex_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/openvex/vexctl/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/openvex/vexctl/releases/download/{{.Version}}/vex_checksums.txt.sig
              - --certificate
              - https://github.com/openvex/vexctl/releases/download/{{.Version}}/vex_checksums.txt.pem
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/openvex/vexctl/\\.github/workflows/release\\.yaml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/openvex/vexctl/releases/download/{{.Version}}/{{.Asset}}.sig
            - --certificate
            - https://github.com/openvex/vexctl/releases/download/{{.Version}}/{{.Asset}}.pem
      - version_constraint: "true"
        asset: vexctl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: vexctl_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/openvex/vexctl/\\.github/workflows/release\\.yaml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/openvex/vexctl/releases/download/{{.Version}}/vexctl_checksums.txt.sig
              - --certificate
              - https://github.com/openvex/vexctl/releases/download/{{.Version}}/vexctl_checksums.txt.pem
        cosign:
          opts:
            - --certificate-identity-regexp
            - "https://github\\.com/openvex/vexctl/\\.github/workflows/release\\.yaml@.*"
            - --certificate-oidc-issuer
            - "https://token.actions.githubusercontent.com"
            - --signature
            - https://github.com/openvex/vexctl/releases/download/{{.Version}}/{{.Asset}}.sig
            - --certificate
            - https://github.com/openvex/vexctl/releases/download/{{.Version}}/{{.Asset}}.pem
"###),
    ("kesonan/github-compare", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: kesonan
    repo_name: github-compare
    aliases:
      - name: anqiansong/github-compare
    description: A Command-line statistics tool to compare the GitHub repositories
    path: github.com/anqiansong/github-compare
"###),
    ("jonaslu/ain", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jonaslu
    repo_name: ain
    asset: ain_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    description: An HTTP API client for the terminal
    files:
      - name: ain
        src: ain_{{trimV .Version}}_{{.OS}}_{{.Arch}}/ain
    replacements:
      darwin: mac_os
      amd64: x86_64
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("simeji/jid", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: simeji
    repo_name: jid
    asset: jid_{{.OS}}_{{.Arch}}.zip
    description: json incremental digger
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("Julien-R44/fast-ssh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Julien-R44
    repo_name: fast-ssh
    description: FastSSH is a TUI that allows you to quickly connect to your services by navigating through your SSH config
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: fast-ssh-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("cloudnative-pg/cloudnative-pg/kubectl-cnpg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloudnative-pg/cloudnative-pg/kubectl-cnpg
    type: github_release
    repo_owner: cloudnative-pg
    repo_name: cloudnative-pg
    description: CloudNativePG is a comprehensive platform designed to seamlessly manage PostgreSQL databases within Kubernetes environments, covering the entire operational lifecycle from initial deployment to ongoing maintenance
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubectl-cnpg_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: cnpg-{{trimV .Version}}-checksums.txt
          algorithm: sha256
"###),
    ("flux-iac/tofu-controller/tfctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: flux-iac/tofu-controller/tfctl
    type: github_release
    repo_owner: flux-iac
    repo_name: tofu-controller
    aliases:
      - name: weaveworks/tf-controller
    description: A GitOps OpenTofu and Terraform controller for Flux
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.4")
        no_asset: true
      - version_constraint: semver("<= 0.15.1")
        asset: tfctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: tf-controller_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/flux-iac/tofu-controller/releases/download/{{.Version}}/tf-controller_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/weaveworks/tf-controller/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/flux-iac/tofu-controller/releases/download/{{.Version}}/tf-controller_{{trimV .Version}}_checksums.txt.sig
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.16.0-rc.4")
        asset: tfctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: tf-controller_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/flux-iac/tofu-controller/releases/download/{{.Version}}/tf-controller_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/flux-iac/tofu-controller/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/flux-iac/tofu-controller/releases/download/{{.Version}}/tf-controller_{{trimV .Version}}_checksums.txt.sig
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: tfctl_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: tofu-controller_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/flux-iac/tofu-controller/releases/download/{{.Version}}/tofu-controller_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/flux-iac/tofu-controller/.github/workflows/release.yaml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/flux-iac/tofu-controller/releases/download/{{.Version}}/tofu-controller_{{trimV .Version}}_checksums.txt.sig
        supported_envs:
          - linux
          - darwin
"###),
    ("tohjustin/kube-lineage", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tohjustin
    repo_name: kube-lineage
    description: A CLI tool to display all dependencies or dependents of an object in a Kubernetes cluster
    asset: kube-lineage_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: kubectl-lineage
        src: kube-lineage
      - name: kube-lineage
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.2.0")
    version_overrides:
      - version_constraint: semver("< 0.2.0")
        files:
          - name: kubectl-lineage
        asset: kubectl-lineage_{{.OS}}_{{.Arch}}.{{.Format}}
"###),
    ("sirwart/ripsecrets", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sirwart
    repo_name: ripsecrets
    description: A command-line tool to prevent committing secret keys into your source code
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.2"
        asset: secrets-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: ripsecrets
            src: secrets-{{trimV .Version}}-{{.Arch}}-{{.OS}}/secrets
      - version_constraint: "true"
        asset: ripsecrets-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: ripsecrets
            src: ripsecrets-{{trimV .Version}}-{{.Arch}}-{{.OS}}/ripsecrets
"###),
    ("owenthereal/upterm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: owenthereal
    repo_name: upterm
    asset: upterm_{{.OS}}_{{.Arch}}.tar.gz
    description: Secure Terminal Sharing
    supported_envs:
      - linux
      - darwin
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("jamesWoolfenden/pike", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jamesWoolfenden
    repo_name: pike
    description: Pike is a tool for determining the permissions or policy required for IAC code
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.3"
        no_asset: true
      - version_constraint: semver("<= 0.1.3")
        asset: pike_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pike_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.1.35")
        asset: pike_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pike_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: pike_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pike_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("vmware/govmomi/govc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: vmware/govmomi/govc
    type: github_release
    repo_owner: vmware
    repo_name: govmomi
    description: a vSphere CLI built on top of govmomi
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: govc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: govc
            src: govc_{{.OS}}_{{.Arch}}
        overrides:
          - goos: windows
            asset: govc_{{.OS}}_{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.18.0"
        asset: govc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: govc
            src: govc_{{.OS}}_{{.Arch}}
        checksum:
          type: github_release
          asset: govc_{{trimV .Version}}_checksums.txt
          algorithm: sha1
        overrides:
          - goos: windows
            format: zip
            asset: govc_{{.OS}}_{{.Arch}}.exe.{{.Format}}
            files:
              - name: govc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.24.0")
        asset: govc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: govc
            src: govc_{{.OS}}_{{.Arch}}
        overrides:
          - goos: windows
            format: zip
            asset: govc_{{.OS}}_{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.25.0"
        asset: govc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.27.4")
        asset: govc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: govc_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("vmware/govmomi/vcsim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: vmware/govmomi/vcsim
    type: github_release
    repo_owner: vmware
    repo_name: govmomi
    description: A vCenter and ESXi API based simulator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.24.0")
        no_asset: true
      - version_constraint: Version == "v0.25.0"
        asset: vcsim_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.27.4")
        asset: vcsim_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: vcsim_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("jscaltreto/eks-auth", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jscaltreto
    repo_name: eks-auth
    description: Standalone program to fetch authentication tokens for AWS EKS Clusters
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: eks-auth-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
          - darwin
"###),
    ("rebuy-de/aws-nuke", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rebuy-de
    repo_name: aws-nuke
    description: Nuke a whole AWS account and delete all its resources
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: aws-nuke-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        files:
          - name: aws-nuke
            src: aws-nuke-{{.Version}}-windows-{{.Arch}}.exe
    files:
      - name: aws-nuke
        src: aws-nuke-{{.Version}}-{{.OS}}-{{.Arch}}
"###),
    ("fastly/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fastly
    repo_name: cli
    description: A CLI for interacting with the Fastly platform
    asset: fastly_{{.Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: fastly
    checksum:
      type: github_release
      asset: fastly_{{.Version}}_SHA256SUMS
      algorithm: sha256
    version_constraint: semver(">= 4.6.0")
    version_overrides:
      - version_constraint: "true"
        overrides:
          - goos: windows
            format: zip
"###),
    ("fastly/terrctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fastly
    repo_name: terrctl
    description: A command-line client for Fastly Terrarium. https://wasm.fastlylabs.com
    asset: terrctl-{{.OS}}_{{.Arch}}-{{.Version}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: macos
      windows: win64
    files:
      - name: terrctl
        src: "{{.OS}}-{{.Arch}}/terrctl"
    overrides:
      - goos: darwin
        goarch: amd64
        asset: terrctl-{{.OS}}-{{.Version}}.{{.Format}}
        files:
          - name: terrctl
            src: "{{.OS}}/terrctl"
      - goos: windows
        format: zip
        asset: terrctl-{{.OS}}-{{.Version}}.{{.Format}}
        files:
          - name: terrctl
            src: "{{.OS}}/terrctl.exe"
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("CycloneDX/cyclonedx-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: CycloneDX
    repo_name: cyclonedx-cli
    description: CycloneDX CLI tool for SBOM analysis, merging, diffs and format conversions
    files:
      - name: cyclonedx
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.22.0")
        asset: cyclonedx-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        overrides:
          - goos: linux
            goarch: amd64
            asset: cyclonedx-{{.OS}}-musl-{{.Arch}}
      - version_constraint: "true"
        asset: cyclonedx-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        overrides:
          - goos: linux
            goarch: amd64
            asset: cyclonedx-{{.OS}}-musl-{{.Arch}}
"###),
    ("Canop/dysk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Canop
    repo_name: dysk
    description: A linux utility to get information on filesystems, like df but better
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.10.0")
        asset: dysk_{{trimV .Version}}.{{.Format}}
        format: zip
        files:
          - name: dysk
            src: build/{{.Arch}}-{{.OS}}/dysk
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-gnu
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: dysk_{{trimV .Version}}.{{.Format}}
        format: zip
        files:
          - name: dysk
            src: build/{{.Arch}}-{{.OS}}/dysk
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-musl
        supported_envs:
          - linux
"###),
    ("Canop/rhit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Canop
    repo_name: rhit
    description: A nginx log explorer
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: rhit_{{trimV .Version}}.{{.Format}}
        format: zip
        files:
          - name: rhit
            src: build/{{.Arch}}-{{.OS}}/rhit
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: unknown-linux-gnu
        overrides:
          - envs:
              - darwin
              - windows
            type: cargo
            crate: rhit
            cargo:
              locked: true
"###),
    ("yarnpkg/yarn", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yarnpkg
    repo_name: yarn
    search_words:
      - v1 only
    description: "The 1.x line is frozen - features and bugfixes now happen on https://github.com/yarnpkg/berry"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: yarn-{{.Version}}.tar.gz
        files:
          - name: yarn
            src: "{{.AssetWithoutExt}}/bin/yarn"
"###),
    ("cloudquery/cloudquery", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudquery
    repo_name: cloudquery
    description: The open source high performance data integration platform built for developers
    asset: cloudquery_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    version_prefix: cli-
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 1.0.0")
    version_overrides:
      - version_constraint: semver(">= 0.32.7")
        version_prefix: cli/
        replacements:
          darwin: Darwin
          linux: Linux
          amd64: x86_64
          windows: Windows
      - version_constraint: semver(">= 0.32.5")
        version_prefix: cli/
        asset: cli_{{.OS}}_{{.Arch}}.zip
        files:
          - name: cloudquery
            src: cli
        replacements:
          darwin: Darwin
          linux: Linux
          amd64: x86_64
          windows: Windows
      - version_constraint: semver("< 0.32.5")
        replacements:
          darwin: Darwin
          linux: Linux
          amd64: x86_64
          windows: Windows
"###),
    ("kashav/fsql", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kashav
    repo_name: fsql
    description: Search for files using a fun query language
    version_constraint: semver(">= 0.5.1")
    # asset name was changed
    asset: fsql-{{trimV .Version}}-fsql-{{.OS}}-{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - linux
      - amd64
    # asset structure was changed
    files:
      - name: fsql
        src: fsql-{{.OS}}-{{.Arch}}/fsql
    version_overrides:
      - version_constraint: semver("= 0.5.0")
        # No asset was released
        type: go_install
        path: github.com/kashav/fsql/cmd/fsql
        files:
          - name: fsql
      - version_constraint: semver("= 0.4.0")
        asset: fsql-{{trimV .Version}}-{{.OS}}-{{.Arch}}.tar.gz
        # arm64 wasn't supported
        rosetta2: true
        files:
          - name: fsql
            src: "{{.OS}}-{{.Arch}}/fsql"
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 0.3.0")
        # asset name was changed
        asset: fsql-{{trimV .Version}}-{{.OS}}-{{.Arch}}.tar.gz
        rosetta2: true
        # asset structure was changed
        files:
          - name: fsql
            src: "{{.OS}}-{{.Arch}}/fsql"
      - version_constraint: "true"
        asset: "{{.OS}}_{{.Arch}}.tar.gz"
        rosetta2: true
        overrides:
          - goos: windows
            asset: "{{.OS}}_{{.Arch}}.zip"
        files:
          - name: fsql
"###),
    ("Schniz/fnm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Schniz
    repo_name: fnm
    description: Fast and simple Node.js version manager, built in Rust
    asset: fnm-linux.zip
    overrides:
      - goos: darwin
        asset: fnm-macos.zip
      - goos: windows
        asset: fnm-windows.zip
      - goos: linux
        goarch: arm64
        asset: fnm-arm64.zip
"###),
    ("sxyazi/yazi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sxyazi
    repo_name: yazi
    description: Blazing fast terminal file manager written in Rust, based on async I/O
    files:
      - name: yazi
      - name: ya
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.3")
        asset: yazi-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: yazi
            src: yazi-{{.Arch}}-{{.OS}}
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.1.4"
        asset: yazi-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: yazi
            src: yazi-{{.Arch}}-{{.OS}}
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.3")
        asset: yazi-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: yazi
            src: yazi-{{.Arch}}-{{.OS}}/yazi
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
      - version_constraint: Version == "v0.2.4"
        asset: yazi-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: yazi
            src: yazi-{{.Arch}}-{{.OS}}/yazi
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
      - version_constraint: "true"
        asset: yazi-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        files:
          - name: yazi
            src: yazi-{{.Arch}}-{{.OS}}/yazi
          - name: ya
            src: yazi-{{.Arch}}-{{.OS}}/ya
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("dhall-lang/dhall-haskell", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dhall-lang
    repo_name: dhall-haskell
    description: Maintainable configuration files
    files:
      - name: dhall
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.42.1"
        no_asset: true
      - version_constraint: Version == "1.40.0"
        error_message: "tar.bz2.zip is not supported"
      - version_constraint: semver("<= 1.9.0-rc1")
        asset: "{{.OS}}.{{.Format}}"
        format: tar.gz
        replacements:
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.16.0")
        no_asset: true
      - version_constraint: semver("<= 1.17.0")
        asset: dhall-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        files:
          - name: dhall
            src: bin/dhall
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.24.0")
        asset: dhall-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        files:
          - name: dhall
            src: bin/dhall
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: dhall
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 1.39.0")
        asset: dhall-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dhall
            src: bin/dhall
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            files:
              - name: dhall
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.40.1"
        asset: dhall-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dhall
            src: bin/dhall
        replacements:
          amd64: x86_64
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.41.1")
        asset: dhall-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dhall
            src: bin/dhall
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.41.2"
        asset: dhall-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dhall
            src: bin/dhall
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "1.42.0"
        asset: dhall-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: dhall
            src: bin/dhall
        replacements:
          amd64: x86_64
          darwin: macOS
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: dhall-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.bz2
        windows_arm_emulation: true
        files:
          - name: dhall
            src: bin/dhall
        replacements:
          amd64: x86_64
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("zyedidia/micro", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zyedidia
    repo_name: micro
    description: A modern and intuitive terminal-based text editor
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.0.8"
        asset: micro-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: micro
            src: micro-{{trimV .Version}}/micro
        replacements:
          darwin: osx
          windows: win64
        overrides:
          - goos: linux
            goarch: amd64
            asset: micro-{{trimV .Version}}-{{.OS}}64-static.{{.Format}}
          - goos: linux
            goarch: arm64
            asset: micro-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.0rc1")
        asset: micro-{{.Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: micro
            src: micro-{{trimV .Version}}/micro
        replacements:
          darwin: osx
          windows: win64
        overrides:
          - goos: linux
            asset: micro-{{.Version}}-{{.OS}}64.{{.Format}}
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.1")
        asset: micro-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: micro
            src: micro-{{trimV .Version}}/micro
        replacements:
          darwin: osx
          windows: win64
        overrides:
          - goos: linux
            asset: micro-{{trimV .Version}}-{{.OS}}64.{{.Format}}
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.0.10")
        asset: micro-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: micro
            src: micro-{{trimV .Version}}/micro
        replacements:
          darwin: osx
          windows: win64
        overrides:
          - goos: linux
            goarch: amd64
            asset: micro-{{trimV .Version}}-{{.OS}}64-static.{{.Format}}
          - goos: linux
            goarch: arm64
            asset: micro-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.0.13")
        asset: micro-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: micro
            src: micro-{{trimV .Version}}/micro
        replacements:
          windows: win64
        overrides:
          - goos: linux
            goarch: amd64
            asset: micro-{{trimV .Version}}-{{.OS}}64-static.{{.Format}}
          - goos: linux
            goarch: arm64
            asset: micro-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: darwin
            goarch: amd64
            replacements:
              darwin: osx
          - goos: darwin
            goarch: arm64
            asset: micro-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              darwin: macos
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: micro-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tgz
        files:
          - name: micro
            src: micro-{{trimV .Version}}/micro
        replacements:
          windows: win64
        overrides:
          - goos: linux
            goarch: amd64
            asset: micro-{{trimV .Version}}-{{.OS}}64-static.{{.Format}}
          - goos: linux
            goarch: arm64
            asset: micro-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: darwin
            goarch: amd64
            replacements:
              darwin: osx
          - goos: darwin
            goarch: arm64
            asset: micro-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              darwin: macos
          - goos: windows
            format: zip
"###),
    ("zyedidia/eget", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zyedidia
    repo_name: eget
    description: Easily install prebuilt binaries from GitHub
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: eget-{{trimV .Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: eget
            src: "{{.AssetWithoutExt}}/eget"
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.0.1")
        asset: eget-{{trimV .Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: eget
            src: "{{.AssetWithoutExt}}/eget"
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: eget-{{trimV .Version}}-{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: eget
            src: "{{.AssetWithoutExt}}/eget"
        overrides:
          - goos: windows
            format: zip
"###),
    ("kyoshidajp/dep-doctor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kyoshidajp
    repo_name: dep-doctor
    description: Diagnose whether your software dependency libraries are maintained
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: dep-doctor_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: dep-doctor_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("kyoshidajp/ghkw", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kyoshidajp
    repo_name: ghkw
    asset: ghkw_{{.OS}}_{{.Arch}}.tar.gz
    description: Search how many keywords in GitHub Code tool
    replacements:
      amd64: x86_64
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    checksum:
      type: github_release
      asset: ghkw_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("katbyte/terrafmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: katbyte
    repo_name: terrafmt
    description: Format terraform blocks embedded in files
"###),
    ("dolthub/dolt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dolthub
    repo_name: dolt
    asset: dolt-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Dolt – It's Git for Data
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    version_constraint: semver(">= 0.40.29")
    files:
      - name: dolt
        src: dolt-{{.OS}}-{{.Arch}}/bin/dolt
    version_overrides:
      - version_constraint: semver(">= 0.40.15")
        files:
          - name: dolt
            src: dolt-{{.OS}}-{{.Arch}}/bin/dolt
          - name: git-dolt
            src: dolt-{{.OS}}-{{.Arch}}/bin/git-dolt
          - name: git-dolt-smudge
            src: dolt-{{.OS}}-{{.Arch}}/bin/git-dolt-smudge
      - version_constraint: "true"
        supported_envs:
          - darwin
          - amd64
        files:
          - name: dolt
            src: dolt-{{.OS}}-{{.Arch}}/bin/dolt
          - name: git-dolt
            src: dolt-{{.OS}}-{{.Arch}}/bin/git-dolt
          - name: git-dolt-smudge
            src: dolt-{{.OS}}-{{.Arch}}/bin/git-dolt-smudge
"###),
    ("elsesiy/kubectl-view-secret", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: elsesiy
    repo_name: kubectl-view-secret
    description: Kubernetes CLI plugin to decode Kubernetes secrets
    files:
      - name: kubectl-view_secret
        src: kubectl-view-secret
    version_constraint: semver(">= 0.8.0")
    asset: kubectl-view-secret_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: kubectl-view-secret_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: semver("= 0.7.0")
        rosetta2: true
      - version_constraint: "true"
        asset: kubectl-view-secret_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
        replacements:
          darwin: Darwin
          windows: Windows
          linux: Linux
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("out-of-cheese-error/the-way", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: out-of-cheese-error
    repo_name: the-way
    description: A code snippets manager for your terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.1-osx"
        asset: the-way-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.14.0")
        asset: the-way-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: the-way-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: the-way-{{.OS}}.sha256
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("peak/s5cmd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: peak
    repo_name: s5cmd
    description: Parallel S3 and local filesystem execution tool
    replacements:
      darwin: macOS
      linux: Linux
      windows: Windows
      386: 32bit
      amd64: 64bit
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    asset: s5cmd_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
    checksum:
      type: github_release
      asset: s5cmd_checksums.txt
      algorithm: sha256
"###),
    ("idursun/jjui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: idursun
    repo_name: jjui
    description: Jujutsu UI (jjui) is a Text User Interface (TUI) designed for interacting with the Jujutsu version control system
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.1")
        asset: jjui-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: jjui
            src: "release/{{.AssetWithoutExt}}"
      - version_constraint: "true"
        asset: jjui-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: jjui
            src: "{{.AssetWithoutExt}}"
"###),
    ("sigoden/aichat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sigoden
    repo_name: aichat
    description: Use GPT-4(V), Gemini, LocalAI, Ollama and other LLMs in the terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.0")
        asset: aichat-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
      - version_constraint: "true"
        asset: aichat-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("mkchoi212/fac", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mkchoi212
    repo_name: fac
    description: Easy-to-use CUI for fixing git conflicts
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: fac_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: fac_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("nodejs/node", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: nodejs
    repo_name: node
    description: |
      Node.js JavaScript runtime

      ## How to set up

      Please see https://aquaproj.github.io/docs/reference/nodejs-support
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        url: https://nodejs.org/dist/{{.Version}}/node-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
          windows: win
        files:
          - name: corepack
            src: node-{{.Version}}-{{.OS}}-{{.Arch}}/bin/corepack
          - name: node
            src: node-{{.Version}}-{{.OS}}-{{.Arch}}/bin/node
          - name: npm
            src: node-{{.Version}}-{{.OS}}-{{.Arch}}/bin/npm
          - name: npx
            src: node-{{.Version}}-{{.OS}}-{{.Arch}}/bin/npx
        overrides:
          - goos: windows
            format: zip
            files:
              - name: corepack
                src: node-{{.Version}}-{{.OS}}-{{.Arch}}/corepack.cmd
              - name: node
                src: node-{{.Version}}-{{.OS}}-{{.Arch}}/node
              - name: npm
                src: node-{{.Version}}-{{.OS}}-{{.Arch}}/npm.cmd
              - name: npx
                src: node-{{.Version}}-{{.OS}}-{{.Arch}}/npx.cmd
"###),
    ("AGWA/git-crypt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: AGWA
    repo_name: git-crypt
    description: Transparent file encryption in git
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: git-crypt-{{.Version}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            asset: git-crypt-{{.Version}}-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux/amd64
          - windows
"###),
    ("Arriven/db1000n", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Arriven
    repo_name: db1000n
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.5.15"
        asset: db1000n-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.8.6"
        asset: db1000n_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: db1000n_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.7.0")
        asset: db1000n-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.7.2")
        asset: db1000n-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.8.3")
        asset: db1000n-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.8.5")
        asset: db1000n_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: db1000n_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.8.12")
        asset: db1000n_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: db1000n_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.8.19")
        asset: db1000n_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: db1000n_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.9.23")
        asset: db1000n_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: db1000n_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: db1000n-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
"###),
    ("adhocteam/ssm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: adhocteam
    repo_name: ssm
    description: AWS SSM Paramater Store CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.0"
        no_asset: true
      - version_constraint: semver("<= 1.1.0")
        asset: ssm-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha"
          algorithm: sha256
      - version_constraint: semver("<= 1.4.2")
        asset: ssm-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
        # linux/amd64 doesn't match hash
        overrides:
          - goos: linux
            goarch: amd64
            checksum:
              enabled: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha"
          algorithm: sha256
      - version_constraint: semver("<= 1.5.1")
        asset: ssm-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
        # darwin/arm64 doesn't match hash
        # https://github.com/adhocteam/ssm/pull/41
        overrides:
          - goos: darwin
            goarch: arm64
            checksum:
              enabled: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha"
          algorithm: sha256
      - version_constraint: "true"
        # https://github.com/adhocteam/ssm/pull/41
        asset: ssm-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha"
          algorithm: sha256
"###),
    ("chanzuckerberg/fogg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chanzuckerberg
    repo_name: fogg
    description: Manage Infrastructure as Code with less pain
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.67.1", "v0.68.0", "v0.92.2"]
        no_asset: true
      - version_constraint: Version in ["v0.58.5-pre+0939c083", "v0.67.2"]
        asset: fogg_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: fogg_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v0.58.5"
        asset: fogg_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: fogg_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.42.3")
        asset: fogg_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: fogg_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.58.3")
        asset: fogg_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: fogg_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: fogg_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: fogg_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("ffuf/ffuf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ffuf
    repo_name: ffuf
    description: Fast web fuzzer written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: ffuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ffuf_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.5.0")
        asset: ffuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: ffuf_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: ffuf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: ffuf_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("jamesob/desk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: jamesob
    repo_name: desk
    path: desk
    description: A lightweight workspace manager for the shell
"###),
    ("kubesphere/kubeeye", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubesphere
    repo_name: kubeeye
    asset: kubeeye-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    description: KubeEye aims to find various problems on Kubernetes, such as application misconfiguration, unhealthy cluster components and node problems
    supported_envs:
      - linux
    files:
      - name: kubeeye
        src: ke
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver("< 1.0.0")
    version_overrides:
      - version_constraint: semver(">= 1.0.0")
        error_message: |
          kubeeye isn't released pre-built binaries anymore.
"###),
    ("itchyny/maze", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itchyny
    repo_name: maze
    description: A maze command written in Go
    asset: maze_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: maze
        src: maze_{{.Version}}_{{.OS}}_{{.Arch}}/maze
    complete_windows_ext: false
    version_constraint: semver(">= 0.0.8")
    version_overrides:
      - version_constraint: semver(">= 0.0.4")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("< 0.0.4")
        asset: maze_{{.OS}}_{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        files:
          - name: maze
            src: maze_{{.OS}}_{{.Arch}}/maze
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: maze
        complete_windows_ext: true
"###),
    ("itchyny/gojq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itchyny
    repo_name: gojq
    asset: gojq_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    description: Pure Go implementation of jq
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: gojq
        src: gojq_{{.Version}}_{{.OS}}_{{.Arch}}/gojq
"###),
    ("itchyny/json2yaml", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itchyny
    repo_name: json2yaml
    asset: json2yaml_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: An efficient JSON to YAML converter written in Go language
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: json2yaml
        src: json2yaml_{{.Version}}_{{.OS}}_{{.Arch}}/json2yaml
"###),
    ("itchyny/mmv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itchyny
    repo_name: mmv
    asset: mmv_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    description: rename multiple files with editor
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: mmv
        src: mmv_{{.Version}}_{{.OS}}_{{.Arch}}/mmv
"###),
    ("itchyny/gojo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itchyny
    repo_name: gojo
    asset: gojo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: Yet another Go implementation of jo
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: gojo
        src: gojo_{{.Version}}_{{.OS}}_{{.Arch}}/gojo
"###),
    ("itchyny/fillin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itchyny
    repo_name: fillin
    asset: fillin_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: fill-in your command and execute
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: fillin
        src: fillin_{{.Version}}_{{.OS}}_{{.Arch}}/fillin
"###),
    ("itchyny/bed", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itchyny
    repo_name: bed
    asset: bed_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: Binary editor written in Go
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: bed
        src: bed_{{.Version}}_{{.OS}}_{{.Arch}}/bed
"###),
    ("EdenEast/repo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: EdenEast
    repo_name: repo
    asset: repo-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: Repository Management utility
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("bodaay/HuggingFaceModelDownloader", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bodaay
    repo_name: HuggingFaceModelDownloader
    description: Simple go utility to download HuggingFace Models and Datasets
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: hfdownloader_{{.OS}}_{{.Arch}}_{{.Version}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: hfdownloader
      - version_constraint: "true"
        asset: hfdownloader_{{.OS}}_{{.Arch}}_{{.Version}}
        format: raw
        windows_arm_emulation: true
        files:
          - name: hfdownloader
"###),
    ("blst-security/cherrybomb", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: blst-security
    repo_name: cherrybomb
    description: Stop half-done APIs! Cherrybomb is a CLI tool that helps you avoid undefined user behaviour by auditing your API specifications, validating them and running API security tests
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.2")
        asset: cherrybomb_{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          darwin: mac
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.6.0")
        asset: cherrybomb_{{.OS}}_gnu
        format: raw
        rosetta2: true
        overrides:
          - goos: darwin
            asset: cherrybomb_{{.OS}}_{{.Arch}}
        replacements:
          amd64: x86_64
          darwin: mac
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.0")
        no_asset: true
      - version_constraint: semver("<= 1.0.0")
        asset: cherrybomb_{{.OS}}_gnu
        format: raw
        rosetta2: true
        overrides:
          - goos: darwin
            asset: cherrybomb_{{.OS}}_{{.Arch}}
        replacements:
          amd64: x86_64
          darwin: mac
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.0.1"
        asset: cherrybomb
        format: raw
        supported_envs:
          - darwin
      - version_constraint: "true"
        asset: cherrybomb_{{.OS}}_gnu
        format: raw
        rosetta2: true
        overrides:
          - goos: darwin
            asset: cherrybomb_{{.OS}}_{{.Arch}}
        replacements:
          amd64: x86_64
          darwin: mac
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("GoogleContainerTools/skaffold", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: GoogleContainerTools
    repo_name: skaffold
    description: Easy and Repeatable Kubernetes Development
    url: https://storage.googleapis.com/skaffold/releases/{{.Version}}/skaffold-{{.OS}}-{{.Arch}}
    files:
      - name: skaffold
        src: skaffold-{{.OS}}-{{.Arch}}
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("GoogleContainerTools/container-structure-test", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: GoogleContainerTools
    repo_name: container-structure-test
    description: validate the structure of your container images
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.16.0")
        type: http
        rosetta2: true
        url: https://storage.googleapis.com/container-structure-test/{{.Version}}/container-structure-test-{{.OS}}-{{.Arch}}
        files:
          - name: container-structure-test
            src: container-structure-test-{{.OS}}-{{.Arch}}
        supported_envs:
          - darwin
          - linux
          - windows/amd64
      # v1.17.0 https://github.com/GoogleContainerTools/container-structure-test/releases/tag/v1.17.0
      # > Important
      # > Releases are no longer published to GCS, use the github release asset to access the binary.
      - version_constraint: semver("<= 1.17.0")
        asset: container-structure-test-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      # v1.18.0 https://github.com/GoogleContainerTools/container-structure-test/pull/427
      - version_constraint: "true"
        asset: container-structure-test-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("GoogleContainerTools/container-diff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: GoogleContainerTools
    repo_name: container-diff
    url: https://storage.googleapis.com/container-diff/{{.Version}}/container-diff-{{.OS}}-amd64
    description: "container-diff: Diff your Docker containers"
    files:
      - name: container-diff
        src: container-diff-{{.OS}}-amd64
"###),
    ("yujqiao/catp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yujqiao
    repo_name: catp
    aliases:
      - name: rapiz1/catp
    description: Print the output of a running process
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: catp-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
"###),
    ("bomctl/bomctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bomctl
    repo_name: bomctl
    description: Format agnostic SBOM tooling
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.8")
        asset: bomctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: bomctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - "https://github.com/bomctl/bomctl/.github/workflows/goreleaser.yml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/bomctl/bomctl/releases/download/{{.Version}}/bomctl_{{trimV .Version}}_checksums.txt-keyless.sig
              - --certificate
              - https://github.com/bomctl/bomctl/releases/download/{{.Version}}/bomctl_{{trimV .Version}}_checksums.txt-keyless.pem
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: bomctl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: bomctl_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity
              - "https://github.com/bomctl/bomctl/.github/workflows/goreleaser.yml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/bomctl/bomctl/releases/download/{{.Version}}/bomctl_{{trimV .Version}}_checksums.txt-keyless.sig
              - --certificate
              - https://github.com/bomctl/bomctl/releases/download/{{.Version}}/bomctl_{{trimV .Version}}_checksums.txt-keyless.pem
        github_artifact_attestations:
          signer_workflow: bomctl/bomctl/.github/workflows/goreleaser.yml
        overrides:
          - goos: windows
            format: zip
"###),
    ("fortio/fortio", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fortio
    repo_name: fortio
    asset: fortio-{{.OS}}_{{.Arch}}-{{trimV .Version}}.{{.Format}}
    format: tgz
    description: Fortio load testing library, command line tool, advanced echo server and web UI in go (golang). Allows to specify a set query-per-second load and record latency histograms and other useful stats
    replacements:
      windows: win
    overrides:
      - goos: windows
        format: zip
        asset: fortio_{{.OS}}_{{trimV .Version}}.{{.Format}}
        files:
          - name: fortio
    files:
      - name: fortio
        src: usr/bin/fortio
    supported_envs:
      - linux
      - windows/amd64
"###),
    ("c-bata/kube-prompt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: c-bata
    repo_name: kube-prompt
    description: An interactive kubernetes client featuring auto-complete
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.5")
        asset: kube-prompt_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kube-prompt_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        supported_envs:
          - linux
          - darwin
"###),
    ("mgunyho/tere", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mgunyho
    repo_name: tere
    description: Terminal file explorer
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        asset: tere-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v1.1.0"
        asset: tere-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: "true"
        asset: tere-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-gnu
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        supported_envs:
          - linux
          - windows/amd64
"###),
    ("jorgerojas26/lazysql", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jorgerojas26
    repo_name: lazysql
    description: A cross-platform TUI database management tool written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: lazysql_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: lazysql_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("Versent/saml2aws", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Versent
    repo_name: saml2aws
    description: CLI tool which enables you to login and retrieve AWS temporary credentials using a SAML IDP
    asset: saml2aws_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
      - goos: darwin
        checksum:
          type: github_release
          asset: saml2aws_{{trimV .Version}}_darwin_checksums.txt
          algorithm: sha256
    checksum:
      type: github_release
      asset: saml2aws_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 2.36.5")
    version_overrides:
      - version_constraint: semver(">= 2.34.0")
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver(">= 2.28.3")
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 2.28.1")
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 2.1.0")
        overrides: []
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: saml2aws_{{trimV .Version}}_{{.OS}}_{{.Arch}}.sha512
          algorithm: sha512
      - version_constraint: semver(">= 2.0.2")
        overrides: []
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
        checksum:
          type: github_release
          asset: saml2aws_{{trimV .Version}}_{{.OS}}_{{.Arch}}.sha512
          algorithm: sha512
      - version_constraint: semver(">= 1.3.1")
        overrides: []
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: saml2aws_{{trimV .Version}}_{{.OS}}_{{.Arch}}.sha512
          algorithm: sha512
      - version_constraint: semver("< 1.3.1")
        format: tgz
        overrides: []
        replacements:
          amd64: x86_64
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("mkubaczyk/helmsman", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mkubaczyk
    repo_name: helmsman
    aliases:
      - name: Praqma/helmsman
    description: Helm Charts as Code
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.1.0"
        asset: Helmsman_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v1.3.0"
        asset: helmsman_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: helmsman_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.3")
        asset: Helmsman_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: Helmsman_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.0.1")
        asset: helmsman_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: helmsman_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.1.0")
        asset: Helmsman_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: Helmsman_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.2.0-rc2")
        asset: helmsman_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: helmsman_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.12.0")
        asset: Helmsman_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: Helmsman_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 3.8.1")
        asset: helmsman_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: helmsman_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: helmsman_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: helmsman_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("oberblastmeister/trashy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: oberblastmeister
    repo_name: trashy
    description: A cli system trash manager, alternative to rm and trash-cli
    asset: trash-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    files:
      - name: trash
    overrides:
      - goos: windows
        format: raw
        asset: trash-{{.Arch}}-{{.OS}}
    replacements:
      amd64: x86_64
      linux: unknown-linux-gnu
      windows: pc-windows-msvc
    supported_envs:
      - linux/amd64
      - windows/amd64
"###),
    ("bronze1man/yaml2json", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bronze1man
    repo_name: yaml2json
    description: a command line tool convert from yaml to json
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3.0")
        asset: yaml2json_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: yaml2json_{{.OS}}_{{.Arch}}
        format: raw
"###),
    ("fabpot/local-php-security-checker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fabpot
    repo_name: local-php-security-checker
    description: PHP security vulnerabilities checker
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: local-php-security-checker_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.0.6")
        asset: local-php-security-checker_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: local-php-security-checker_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("atc0005/send2teams", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: atc0005
    repo_name: send2teams
    description: Small CLI tool used to submit messages to Microsoft Teams
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.7")
        no_asset: true
      - version_constraint: semver("<= 0.10.3")
        error_message: |
          Versions 0.10.3 and earlier include a random string in the asset, making it difficult to predict the filename.
          To avoid maintaining a registry with numerous overrides, we have decided not to support versions up to and including 0.10.3.
          Please use a version later than 0.10.3.
      - version_constraint: "true"
        asset: send2teams-{{.OS}}-{{.Arch}}.{{.Format}}
        format: xz
        files:
          - name: send2teams
            src: send2teams-{{.OS}}-{{.Arch}}
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            asset: send2teams-{{.OS}}-{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - linux/amd64
          - windows/amd64
"###),
    ("sj14/kubedump", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sj14
    repo_name: kubedump
    description: Tool for dumping manifests from your Kubernetes clusters
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubedump_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("cyberark/kubeletctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cyberark
    repo_name: kubeletctl
    description: A client for kubelet
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3")
        asset: kubeletctl_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 1.9")
        asset: kubeletctl_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.10"
        asset: kubeletctl_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: Version == "v1.11"
        asset: kubeletctl_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubeletctl_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        overrides:
          - goos: windows
            replacements:
              amd64: x64
"###),
    ("printfn/fend", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: printfn
    repo_name: fend
    description: Arbitrary-precision unit-aware calculator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        no_asset: true
      - version_constraint: semver("<= 0.1.9")
        asset: fend-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.26")
        asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.28")
        asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.1.29"
        asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x64
          arm64: aarch64
          darwin: macos
      - version_constraint: semver("<= 1.0.3")
        asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: linux
            goarch: arm64
            asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}-gnu.{{.Format}}
      - version_constraint: semver("<= 1.5.1")
        asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: linux
            goarch: arm64
            asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}-gnu.{{.Format}}
          - goos: windows
            asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}-exe.{{.Format}}
      - version_constraint: "true"
        asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}-gnu.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            asset: fend-{{trimV .Version}}-{{.OS}}-{{.Arch}}-exe.{{.Format}}
            replacements:
              amd64: x64
        supported_envs:
          - linux
          - darwin/arm64
          - windows/amd64
"###),
    ("tellerops/teller", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tellerops
    repo_name: teller
    aliases:
      - name: SpectralOps/teller
    description: Cloud native secrets management for developers - never leave your command line for secrets
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.4.0")
        asset: teller_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.5.6")
        asset: teller_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: teller-{{.Arch}}-{{.OS}}.{{.Format}}
        files:
          - name: teller
            src: "{{.AssetWithoutExt}}/teller"
        format: tar.xz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("go-gost/gost", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-gost
    repo_name: gost
    description: GO Simple Tunnel - a simple tunnel written in golang
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.0.0-beta.2")
        asset: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: gost
            src: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gost
                src: gost-windows-{{.Arch}}.exe
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.0-beta.6")
        asset: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: gz
        files:
          - name: gost
            src: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gost
                src: gost-windows-{{.Arch}}.exe
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: semver("<= 3.0.0-rc.4")
        asset: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: gz
        files:
          - name: gost
            src: gost-{{.OS}}-{{.Arch}}-{{trimV .Version}}
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gost
                src: gost-windows-{{.Arch}}.exe
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: "true"
        asset: gost_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
            files:
              - name: gost
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("sue445/plant_erd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sue445
    repo_name: plant_erd
    description: ERD exporter with PlantUML and mermaid format
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.1.rc1"
        no_asset: true
      - version_constraint: Version in ["v0.0.1", "v0.2.0.rc1", "v0.2.0.rc1", "v0.2.0.rc1", "v0.2.0.rc1", "v0.2.0.rc1", "v0.2.0.rc1", "v0.2.0.rc1", "v0.2.0.rc1", "v0.2.0.rc1"]
        asset: plant_erd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: plant_erd
            src: "{{.AssetWithoutExt}}"
        overrides:
          - goos: windows
            asset: plant_erd_{{.OS}}_{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: plant_erd_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: plant_erd
            src: "{{.AssetWithoutExt}}"
        overrides:
          - goos: windows
            asset: plant_erd_{{.OS}}_{{.Arch}}.exe.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("alexellis/arkade", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: alexellis
    repo_name: arkade
    description: Open Source Marketplace For Developer Tools
    files:
      - name: ark
      - name: arkade
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["0.6.6", "0.6.26", "0.6.32", "0.6.34", "0.7.2"]
        no_asset: true
      - version_constraint: Version == "0.1.0"
        asset: bazaar
        format: raw
        files:
          - name: bazaar
        overrides:
          - goos: linux
            goarch: arm64
            asset: bazaar-arm64
          - goos: darwin
            asset: bazaar-darwin
      - version_constraint: semver("<= 0.8.12")
        asset: arkade
        format: raw
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: arkade-arm64
          - goos: darwin
            asset: arkade-darwin
      - version_constraint: "true"
        asset: arkade
        format: raw
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: arkade-arm64
          - goos: darwin
            goarch: amd64
            asset: arkade-darwin
          - goos: darwin
            goarch: arm64
            asset: arkade-darwin-arm64
"###),
    ("alexellis/kubetrim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: alexellis
    repo_name: kubetrim
    description: Trim  your KUBECONFIG automatically
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1-rc1")
        no_asset: true
      - version_constraint: semver("<= 0.0.1-rc3")
        asset: kubetrim
        format: raw
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: kubetrim-arm64
          - goos: darwin
            goarch: amd64
            asset: kubetrim-darwin
          - goos: darwin
            goarch: arm64
            asset: kubetrim-darwin-arm64
      - version_constraint: "true"
        asset: kubetrim.tgz
        format: tgz
        files:
          - name: kubetrim
            src: '{{trimSuffix ".tgz" .Asset}}'
        overrides:
          - goos: linux
            goarch: arm64
            asset: kubetrim-arm64.tgz
          - goos: darwin
            goarch: amd64
            asset: kubetrim-darwin.tgz
          - goos: darwin
            goarch: arm64
            asset: kubetrim-darwin-arm64.tgz
          - goos: windows
            asset: kubetrim.exe.tgz
"###),
    ("alexellis/k3sup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: alexellis
    repo_name: k3sup
    description: bootstrap K3s over SSH in < 60s
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["0.3.2", "0.4.4", "0.5.9", "0.12.9"]
        no_asset: true
      - version_constraint: semver("<= 0.2.1")
        asset: k3sup
        format: raw
        overrides:
          - goos: linux
            goarch: arm64
            asset: k3sup-arm64
          - goos: darwin
            asset: k3sup-darwin
        supported_envs:
          - darwin
          - linux
      - version_constraint: semver("<= 0.5.8")
        asset: k3sup
        format: raw
        overrides:
          - goos: linux
            goarch: arm64
            asset: k3sup-arm64
          - goos: darwin
            asset: k3sup-darwin
      - version_constraint: semver("<= 0.9.7")
        asset: k3sup
        format: raw
        overrides:
          - goos: linux
            goarch: arm64
            asset: k3sup-arm64
          - goos: darwin
            asset: k3sup-darwin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 0.9.10")
        no_asset: true
      - version_constraint: semver("<= 0.12.1")
        asset: k3sup
        format: raw
        overrides:
          - goos: linux
            goarch: arm64
            asset: k3sup-arm64
          - goos: darwin
            asset: k3sup-darwin
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: k3sup
        format: raw
        overrides:
          - goos: linux
            goarch: arm64
            asset: k3sup-arm64
          - goos: darwin
            goarch: amd64
            asset: k3sup-darwin
          - goos: darwin
            goarch: arm64
            asset: k3sup-darwin-arm64
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("CAFxX/mgo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: CAFxX
    repo_name: mgo
    description: Build and bundle multiple GOAMD64 variants in a single executable
"###),
    ("coder/coder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: coder
    repo_name: coder
    description: Provision remote development environments via Terraform
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.3")
        asset: coder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: coder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.4.2")
        asset: coder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: coder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.5.9")
        asset: coder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: coder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar
      - version_constraint: "true"
        asset: coder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        checksum:
          type: github_release
          asset: coder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
"###),
    ("oracle/truffleruby/oracle-native", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: oracle/truffleruby/oracle-native
    type: github_release
    repo_owner: oracle
    repo_name: truffleruby
    description: |
      A high performance implementation of the Ruby programming language, built on GraalVM

      *Oracle GraalVM Native Standalone Version*

      ## Setup

      If you are using RubyGems or similar, please follow the steps below.

      1. Install truffleruby with aqua
      2. Install dependent libraries (make, gcc, g++, libssl-dev, libyaml-dev, libz-dev)
      3. Run the shell script to enable dependent libraries ($EXTRACTED_DIRECTORY/lib/truffle/post_install_hook.sh)

      For more information, see the following document:

      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-llvm.md
      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-libssl.md
      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-libyaml.md
      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-zlib.md
      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-truffleruby.md#after-downloading
    files:
      - name: bundle
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: bundler
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: erb
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: gem
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: irb
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: racc
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: rake
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: rbs
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: rdbg
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: rdoc
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: ri
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: ruby
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: syntax_suggest
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: truffleruby
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: truffleruby-polyglot-get
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
    version_filter: not (Version matches "-(dev|rc|preview)")
    version_prefix: graal-
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: truffleruby-{{.SemVer}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          arm64: aarch64
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("oracle/truffleruby/community-native", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: oracle/truffleruby/community-native
    type: github_release
    repo_owner: oracle
    repo_name: truffleruby
    description: |
      A high performance implementation of the Ruby programming language, built on GraalVM

      *GraalVM Community Edition Native Standalone Version*

      ## Setup

      If you are using RubyGems or similar, please follow the steps below.

      1. Install truffleruby with aqua
      2. Install dependent libraries (make, gcc, g++, libssl-dev, libyaml-dev, libz-dev)
      3. Run the shell script to enable dependent libraries ($EXTRACTED_DIRECTORY/lib/truffle/post_install_hook.sh)

      For more information, see the following document:

      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-llvm.md
      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-libssl.md
      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-libyaml.md
      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-zlib.md
      - https://github.com/oracle/truffleruby/blob/master/doc/user/installing-truffleruby.md#after-downloading
    files:
      - name: bundle
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: bundler
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: erb
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: gem
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: irb
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: racc
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: rake
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: rbs
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: rdbg
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: rdoc
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: ri
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: ruby
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: syntax_suggest
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: truffleruby
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
      - name: truffleruby-polyglot-get
        src: "{{.AssetWithoutExt}}/bin/{{.FileName}}"
    version_filter: not (Version matches "-(dev|rc|preview)")
    version_prefix: graal-
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 23.0.1")
        no_asset: true
      - version_constraint: "true"
        asset: truffleruby-community-{{.SemVer}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          arm64: aarch64
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("iamhsa/pkenv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_archive
    repo_owner: iamhsa
    repo_name: pkenv
    description: Packer version manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        files:
          - name: pkenv
            src: pkenv-{{trimV .Version}}/bin/pkenv
          - name: packer
            src: pkenv-{{trimV .Version}}/bin/packer
"###),
    ("MusicDin/kubitect", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: MusicDin
    repo_name: kubitect
    description: Kubitect provides a simple way to set up a highly available Kubernetes cluster across multiple hosts
    asset: kubitect-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    version_constraint: semver(">= 2.1.0")
    supported_envs:
      - darwin
      - linux
    version_overrides:
      - version_constraint: "true"
        supported_envs:
          - darwin
          - linux
          - amd64
        overrides:
          - goos: windows
            format: zip
"###),
    ("version-fox/vfox", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: version-fox
    repo_name: vfox
    description: A cross-platform and extendable version manager with support for Java, Node.js, Flutter, .Net & more
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.5"
        no_asset: true
      - version_constraint: "true"
        asset: vfox_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: vfox
            src: "{{.AssetWithoutExt}}/vfox"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate-identity-regexp
              - "https://github\\.com/version-fox/vfox/\\.github/workflows/go-releaser\\.yml@.*"
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --signature
              - https://github.com/version-fox/vfox/releases/download/{{.Version}}/checksums.txt.sig
              - --certificate
              - https://github.com/version-fox/vfox/releases/download/{{.Version}}/checksums.txt.pem
        overrides:
          - goos: windows
            format: zip
"###),
    ("breml/tfreveal", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: breml
    repo_name: tfreveal
    description: tfreveal shows a Terraform plan with all the secret (sensitive) values revealed
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tfreveal_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: tfreveal_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("scenarigo/scenarigo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: scenarigo
    repo_name: scenarigo
    aliases:
      - name: zoncoen/scenarigo
    description: An end-to-end scenario testing tool for HTTP/gRPC server
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.14.0-rc3", "v0.15.0-rc1"]
        no_asset: true
      - version_constraint: semver("<= 0.5.1")
        asset: scenarigo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.6.1")
        asset: scenarigo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.7.0")
        asset: scenarigo_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: scenarigo_{{.Version}}_go{{.Vars.go_version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        vars:
          - name: go_version
            required: true
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("robinovitch61/kl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: robinovitch61
    repo_name: kl
    description: An interactive Kubernetes log viewer for your terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kl_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            asset: kl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: kl_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
"###),
    ("chenjiandongx/kubectl-images", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: chenjiandongx
    repo_name: kubectl-images
    description: Show container images used in the cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3.3"
        asset: kubectl-images_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.3.4"
        asset: kubectl-images_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.3.2")
        asset: kubectl-images_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubectl-images_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubectl-images_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("liamg/traitor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liamg
    repo_name: traitor
    asset: traitor-{{.Arch}}
    format: raw
    description: Automatic Linux privesc via exploitation of low-hanging fruit e.g. gtfobins, pwnkit, dirty pipe, +w docker.sock
    supported_envs:
      - linux
"###),
    ("liamg/gitjacker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liamg
    repo_name: gitjacker
    description: ":octocat: Leak git repositories from misconfigured websites"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gitjacker-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("liamg/scout", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liamg
    repo_name: scout
    description: "Lightweight URL fuzzer and spider: Discover a web server's undisclosed files, directories and VHOSTs"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: scout-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("liamg/pax", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liamg
    repo_name: pax
    description: ":skull: :unlock: CLI tool for PKCS7 padding oracle attacks"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.2"
        asset: pax-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.1")
        no_asset: true
      - version_constraint: "true"
        asset: pax-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("liamg/extrude", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liamg
    repo_name: extrude
    description: ":detective: Analyse binaries for missing security features, information disclosure and more"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: extrude-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: extrude_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("liamg/dismember", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liamg
    repo_name: dismember
    description: Scan memory for secrets and more. Maybe eventually a full /proc toolkit
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: dismember-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: dismember_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("liamg/comet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liamg
    repo_name: comet
    description: Command line tool to help you use conventional commit messages (https://www.conventionalcommits.org)
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: comet-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: comet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("liamg/memit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liamg
    repo_name: memit
    description: ":no_entry_sign::floppy_disk: Run binaries straight from memory in Linux"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: memit-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: memit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
"###),
    ("tweag/nickel", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tweag
    repo_name: nickel
    description: Better configuration for less
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.2.0"
        no_asset: true
      - version_constraint: semver("<= 0.3.1")
        no_asset: true
      - version_constraint: semver("<= 1.8.0")
        asset: nickel-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.9.1")
        asset: nickel-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: "true"
        asset: nickel-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            replacements:
              amd64: amd64
        supported_envs:
          - linux
          - darwin/arm64
          - windows/amd64
"###),
    ("nextest-rs/nextest/cargo-nextest", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: nextest-rs/nextest/cargo-nextest
    type: github_release
    repo_owner: nextest-rs
    repo_name: nextest
    description: A next-generation test runner for Rust
    version_prefix: "cargo-nextest-"
    version_constraint: "false"
    version_overrides:
      - version_constraint: SemVer in ["0.9.85-rc.1", "0.9.41-a.5", "0.9.49-rc.1", "0.9.65", "0.9.69", "0.9.71"] or semver("> 0.9.59, <= 0.9.61-rc.1") or semver("> 0.9.61, <= 0.9.62-a.1") or semver("> 0.9.40, <= 0.9.41-a.3")
        no_asset: true
      - version_constraint: Version in ["cargo-nextest-0.9.30-rc.1", "cargo-nextest-0.9.41", "cargo-nextest-0.9.41-a.4"]
        asset: "{{.Version}}-universal-{{.OS}}.{{.Format}}"
        format: tar.gz
        replacements:
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: Version == "cargo-nextest-0.9.30-rc.2"
        asset: "{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tar.gz
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: "{{.Version}}-universal-{{.OS}}.{{.Format}}"
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "cargo-nextest-0.9.46"
        asset: "{{.Version}}-i686-{{.OS}}.{{.Format}}"
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            asset: "{{.Version}}-universal-{{.OS}}.{{.Format}}"
        supported_envs:
          - darwin
          - windows
      - version_constraint: Version == "cargo-nextest-0.9.49-rc.2"
        asset: "{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
        supported_envs:
          - linux
          - windows
      - version_constraint: Version == "cargo-nextest-0.9.58-rc.1"
        asset: "{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tar.gz
        replacements:
          arm64: aarch64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/arm64
      - version_constraint: semver("<= 0.9.28")
        asset: "{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            asset: "{{.Version}}-universal-{{.OS}}.{{.Format}}"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.9.84")
        asset: "{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: darwin
            asset: "{{.Version}}-universal-{{.OS}}.{{.Format}}"
      - version_constraint: "true"
        asset: "{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Version}}-{{.Arch}}-{{.OS}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: darwin
            replacements:
              amd64: universal
              arm64: universal
"###),
    ("mackee/go-readability", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mackee
    repo_name: go-readability
    description: "Extract readable content from web pages - Mozilla’s and Mizchi Readability ported to Go"
    files:
      - name: readability
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: go-readability_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: readability
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("wakatime/wakatime-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wakatime
    repo_name: wakatime-cli
    description: Command line interface used by all WakaTime text editor plugins
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.6.0-alpha.5"
        no_asset: true
      - version_constraint: semver("<= 0.4.0-alpha.1")
        asset: wakatime-cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: wakatime-cli
            src: "{{.AssetWithoutExt}}"
        checksum:
          type: github_release
          asset: checksums_sha256.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
      - version_constraint: semver("<= 1.28.1-alpha.3")
        asset: wakatime-cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: wakatime-cli
            src: "{{.AssetWithoutExt}}"
        checksum:
          type: github_release
          asset: checksums_sha256.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: wakatime-cli-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: wakatime-cli
            src: "{{.AssetWithoutExt}}"
        checksum:
          type: github_release
          asset: checksums_sha256.txt
          algorithm: sha256
"###),
    ("owenrumney/squealer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: owenrumney
    repo_name: squealer
    description: Telling tales on you for leaking secrets
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.1.20", "v1.2.3", "v1.2.7"]
        no_asset: true
      - version_constraint: semver("<= 0.2.19")
        asset: squealer.{{.OS}}.{{.Arch}}.{{.Version}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.22")
        no_asset: true
      - version_constraint: semver("<= 0.2.28")
        asset: squealer.{{.OS}}.{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: squealer_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.0")
        no_asset: true
      - version_constraint: semver("<= 1.0.0")
        asset: squealer.{{.OS}}.{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: squealer_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: squealer.{{.OS}}.{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: squealer_checksums.txt
          algorithm: sha256
"###),
    ("ko-build/ko", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ko-build
    repo_name: ko
    aliases:
      - name: google/ko
    asset: ko_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: Build and deploy Go applications on Kubernetes
    replacements:
      darwin: Darwin
      linux: Linux
      windows: Windows
      386: i386
      amd64: x86_64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    slsa_provenance:
      type: github_release
      asset: multiple.intoto.jsonl
    version_constraint: semver("> 0.12.0")
    version_overrides:
      - version_constraint: 'semver("<=0.12.0")'
        slsa_provenance:
          enabled: false
"###),
    ("xwjdsh/manssh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: xwjdsh
    repo_name: manssh
    description: Manage your ssh alias configs easily
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.1")
        asset: manssh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: manssh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: manssh_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("aporia-ai/kubesurvival", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aporia-ai
    repo_name: kubesurvival
    description: Significantly reduce Kubernetes costs by finding the cheapest machine types that can run your workloads
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: KubeSurvival_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: kubesurvival_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("ryane/kfilt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ryane
    repo_name: kfilt
    description: kfilt can filter Kubernetes resources
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.5")
        asset: kfilt_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kfilt_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: kfilt_{{trimV .Version}}_{{.OS}}_all
"###),
    ("one2nc/cloudlens", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: one2nc
    repo_name: cloudlens
    description: k9s like CLI for AWS and GCP
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: cloudlens_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: cloudlens_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
"###),
    ("loov/goda", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: loov
    repo_name: goda
    description: Go Dependency Analysis toolkit
"###),
    ("projectcalico/calico/calicoctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
---
packages:
  - name: projectcalico/calico/calicoctl
    type: github_release
    repo_owner: projectcalico
    repo_name: calico
    asset: calicoctl-{{.OS}}-{{.Arch}}
    format: raw
    description: CLI tool for Calico cloud native networking and network security
    link: https://projectcalico.docs.tigera.io/
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: calicoctl
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
    version_constraint: semver(">= 3.23.0")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - linux
          - amd64
"###),
    ("kellyjonbrazil/jc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kellyjonbrazil
    repo_name: jc
    description: CLI tool and python library that converts the output of popular command-line tools, file-types, and common strings to JSON, YAML, or Dictionaries. This allows piping of output to tools like jq and simplifying automation scripts
    asset: jc-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
        asset: jc-{{trimV .Version}}-{{.OS}}.{{.Format}}
        files:
          - name: jc
            src: jc-{{trimV .Version}}-windows/jc.exe
    replacements:
      amd64: x86_64
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    version_constraint: semver(">= 1.21.0")
    version_overrides:
      - version_constraint: semver(">= 1.19.0")
        overrides:
          - goos: windows
            format: zip
            asset: jc-{{trimV .Version}}-{{.OS}}.{{.Format}}
      - version_constraint: semver("< 1.19.0")
        overrides: []
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("krallin/tini", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: krallin
    repo_name: tini
    description: A tiny but valid `init` for containers
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tini-static-{{.Arch}}
        supported_envs:
          - linux
"###),
    ("anordal/shellharden", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: anordal
    repo_name: shellharden
    aliases:
      # The registry had registered this name when this tool was first registered.
      # https://github.com/aquaproj/aqua-registry/pull/13784
      - name: crates.io/shellharden
    description: The corrective bash syntax highlighter
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 4.3.0")
        type: cargo
        crate: shellharden
      - version_constraint: "true"
        asset: shellharden-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: shellharden-{{.Arch}}-{{.OS}}.sha512
          algorithm: sha512
        overrides:
          - goos: windows
            format: zip
"###),
    ("aurc/loggo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aurc
    repo_name: loggo
    description: A powerful terminal app for structured log streaming
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: loggo_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: loggo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("jumppad-labs/jumppad", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jumppad-labs
    repo_name: jumppad
    aliases:
      - name: shipyard-run/shipyard
    description: Modern cloud native development environments
    asset: jumppad_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    replacements:
      amd64: x86_64
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.5.8")
    version_overrides:
      - version_constraint: semver(">= 0.3.20")
        asset: shipyard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        checksum:
          enabled: false
        files:
          - name: shipyard
      - version_constraint: semver(">= 0.3.13")
        files:
          - name: shipyard
        asset: shipyard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
      - version_constraint: semver(">= 0.3.6")
        files:
          - name: shipyard
        asset: shipyard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
      - version_constraint: semver(">= 0.0.3")
        files:
          - name: shipyard
        asset: shipyard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        rosetta2: true
      - version_constraint: semver(">= 0.0.2")
        asset: shipyard_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: shipyard
        replacements:
          amd64: x86_64
          linux: Linux
          windows: Windows
        supported_envs:
          - linux
          - windows/amd64
"###),
    ("liggitt/audit2rbac", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: liggitt
    repo_name: audit2rbac
    description: Autogenerate RBAC policies based on Kubernetes audit logs
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.0")
        asset: audit2rbac-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: audit2rbac-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
"###),
    ("iann0036/iamlive", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: iann0036
    repo_name: iamlive
    asset: iamlive-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: zip
    description: Generate an IAM policy from AWS calls using client-side monitoring (CSM) or embedded proxy
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("laktak/zfind", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: laktak
    repo_name: zfind
    description: search for files (even inside tar/zip/7z/rar) using a SQL-WHERE filter
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: zfind-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
"###),
    ("hherman1/gq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hherman1
    repo_name: gq
    description: jq but using go instead
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: "{{.OS}}-{{.Arch}}.{{.Format}}"
        format: zip
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("mashiike/prepalert", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mashiike
    repo_name: prepalert
    description: Toil reduction tool to prepare before responding to Mackerel alerts
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: prepalert_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.2.1"
        no_asset: true
      - version_constraint: semver("<= 1.0.1")
        asset: prepalert_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: prepalert_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: prepalert_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("mashiike/redshift-credentials", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mashiike
    repo_name: redshift-credentials
    description: a command line tool for Amazon Redshift temporary authorization with AWS IAM
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.3")
        asset: redshift-credentials_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: redshift-credentials_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: redshift-credentials_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("mashiike/stefunny", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mashiike
    repo_name: stefunny
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.4")
        asset: stefunny_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: stefunny_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: stefunny_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("LuaLS/lua-language-server", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: LuaLS
    repo_name: lua-language-server
    aliases:
      - name: sumneko/lua-language-server
    description: A language server that offers Lua language support - programmed in Lua
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: lua-language-server-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      windows: win32
      amd64: x64
    overrides:
      - goos: windows
        format: zip
    files:
      - name: lua-language-server
        src: bin/lua-language-server
"###),
    ("pressly/goose", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pressly
    repo_name: goose
    description: A database migration tool. Supports SQL migrations and Go functions
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v3.13.0"
        no_asset: true
      - version_constraint: Version == "v1.0"
        asset: goose-{{.OS}}64
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.4.5")
        no_asset: true
      - version_constraint: semver("<= 2.7.0-rc5")
        asset: goose-{{.OS}}64
        format: raw
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: goose_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("cheat/cheat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cheat
    repo_name: cheat
    description: cheat allows you to create and view interactive cheatsheets on the command-line. It was designed to help remind *nix system administrators of options for commands that they use frequently, but not frequently enough to remember
    rosetta2: true
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: cheat-{{.OS}}-{{.Arch}}.gz
    files:
      - name: cheat
        src: cheat-{{.OS}}-{{.Arch}}
    overrides:
      - goos: windows
        asset: cheat-windows-amd64.exe.zip
    version_constraint: semver(">= 4.2.4")
    version_overrides:
      - version_constraint: "true"
        overrides:
          - goos: windows
            asset: cheat-windows-amd64.exe.zip
            files:
              - name: cheat
                src: dist/cheat-windows-amd64.exe
"###),
    ("cloud-hypervisor/cloud-hypervisor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloud-hypervisor
    repo_name: cloud-hypervisor
    description: Cloud Hypervisor is an open source Virtual Machine Monitor (VMM) that runs on top of KVM hypervisor and Microsoft Hypervisor (MSHV)
    format: raw
    supported_envs:
      - linux
    asset: cloud-hypervisor-static
    overrides:
      - goarch: arm64
        asset: cloud-hypervisor-static-aarch64
"###),
    ("cloud-hypervisor/cloud-hypervisor/ch-remote", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: cloud-hypervisor/cloud-hypervisor/ch-remote
    type: github_release
    repo_owner: cloud-hypervisor
    repo_name: cloud-hypervisor
    description: Remotely control a cloud-hypervisor VMM
    format: raw
    supported_envs:
      - linux
    files:
      - name: ch-remote
    asset: ch-remote-static
    overrides:
      - goarch: arm64
        asset: ch-remote-static-aarch64
"###),
    ("rustwasm/wasm-pack", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rustwasm
    repo_name: wasm-pack
    description: your favorite rust -> wasm workflow tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        no_asset: true
      - version_constraint: semver("<= 0.4.2")
        asset: wasm-pack-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: wasm-pack
            src: "{{.AssetWithoutExt}}/wasm-pack"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.10.1")
        asset: wasm-pack-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: wasm-pack
            src: "{{.AssetWithoutExt}}/wasm-pack"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: wasm-pack-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: wasm-pack
            src: "{{.AssetWithoutExt}}/wasm-pack"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
"###),
    ("cloudspannerecosystem/spool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: cloudspannerecosystem
    repo_name: spool
    path: github.com/cloudspannerecosystem/spool/cmd/spool
    description: A CLI tool to manage Cloud Spanner databases for testing
"###),
    ("cloudspannerecosystem/spanner-dump", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: cloudspannerecosystem
    repo_name: spanner-dump
    description: Command line tool for exporting a Cloud Spanner database in text format
"###),
    ("cloudspannerecosystem/spanner-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: cloudspannerecosystem
    repo_name: spanner-cli
    description: Interactive command line tool for Cloud Spanner
"###),
    ("cloudspannerecosystem/wrench", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudspannerecosystem
    repo_name: wrench
    description: "wrench - Schema management tool for Cloud Spanner -"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.9.0"
        no_asset: true
      - version_constraint: Version == "v1.1.0"
        asset: wrench_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "v1.3.0"
        asset: wrench_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: wrench_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.0.4")
        asset: wrench_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 1.3.2")
        no_asset: true
      - version_constraint: semver("<= 1.4.0")
        asset: wrench_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: wrench_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: wrench-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("cloudspannerecosystem/yo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cloudspannerecosystem
    repo_name: yo
    asset: yo-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: yo is a command-line tool to generate Go code for Google Cloud Spanner
    overrides:
      - goos: windows
        format: zip
    files:
      - name: yo
        src: yo-{{trimV .Version}}-{{.OS}}-{{.Arch}}/yo
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("kvaps/kubectl-node-shell", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: kvaps
    repo_name: kubectl-node-shell
    path: kubectl-node_shell
    description: Exec into node via kubectl
    files:
      - name: kubectl-node_shell
"###),
    ("achristmascarl/rainfrog", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: achristmascarl
    repo_name: rainfrog
    description: a database management tui for postgres
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.12")
        asset: rainfrog-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: rainfrog-{{.Version}}-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
      - version_constraint: "true"
        asset: rainfrog-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: rainfrog-{{.Version}}-{{.Arch}}-{{.OS}}.sha256
          algorithm: sha256
"###),
    ("everstake/bip39", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: everstake
    repo_name: bip39
    description: CLI for generation and verification of mnemonics in BIP39 standard with hash in Argon2id
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: bip39_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: bip39_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("handlename/let-rds-sleep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: handlename
    repo_name: let-rds-sleep
    description: Keep sleeping AWS RDS/Aurora Cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: let-rds-sleep_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: let-rds-sleep_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: let-rds-sleep_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: let-rds-sleep_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("handlename/awsc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: handlename
    repo_name: awsc
    description: awsc (AWS cli with Caution) is wrapper for AWS CLI. It displays AWS account information before running any AWS CLI subcommands
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: awsc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: awsc_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("handlename/ssmwrap", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: handlename
    repo_name: ssmwrap
    description: Exec command with environment variables loaded from AWS SSM
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.1")
        asset: ssmwrap_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ssmwrap
            src: "{{.AssetWithoutExt}}/ssmwrap"
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.0.1")
        asset: ssmwrap_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: ssmwrap
            src: "{{.AssetWithoutExt}}/ssmwrap"
        overrides:
          - goos: linux
            format: tar.gz
      - version_constraint: "true"
        asset: ssmwrap_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: ssmwrap_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("pulumi/tf2pulumi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pulumi
    repo_name: tf2pulumi
    asset: tf2pulumi-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: A tool to convert Terraform projects to Pulumi TypeScript programs
    replacements:
      amd64: x64
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: tf2pulumi_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("pulumi/pulumi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pulumi
    repo_name: pulumi
    description: "Pulumi - Infrastructure as Code in any programming language"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v3.0.0-rc.1"
        no_asset: true
      - version_constraint: Version in ["v2.11.0", "v2.15.1", "v2.15.5", "v2.16.1"]
        asset: pulumi-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: pulumi-{{trimV .Version}}-checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v3.39.4"
        asset: pulumi-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        overrides:
          - goos: windows
            format: zip
            files:
              - name: pulumi
                src: pulumi/bin/pulumi.exe
        files:
          - name: pulumi
            src: pulumi/pulumi
      - version_constraint: semver("<= 2.20.0")
        no_asset: true
      - version_constraint: semver("<= 2.22.0")
        asset: pulumi-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: pulumi-{{trimV .Version}}-checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: pulumi
            src: pulumi/pulumi
      - version_constraint: semver("<= 3.2.1")
        asset: pulumi-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: pulumi-{{trimV .Version}}-checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
        files:
          - name: pulumi
            src: pulumi/pulumi
      - version_constraint: semver("<= 3.39.3")
        asset: pulumi-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: pulumi-{{trimV .Version}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: pulumi
                src: pulumi/bin/pulumi.exe
        files:
          - name: pulumi
            src: pulumi/pulumi
      - version_constraint: "true"
        asset: pulumi-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: SHA512SUMS
          algorithm: sha512
          cosign:
            bundle:
              type: github_release
              asset: SHA512SUMS.sig
            opts:
              - --certificate-identity-regexp
              - '^https://github\.com/pulumi/pulumi/\.github/workflows/sign\.yml@refs/heads/gh-readonly-queue/'
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
        overrides:
          - goos: windows
            format: zip
            files:
              - name: pulumi
                src: pulumi/bin/pulumi.exe
        files:
          - name: pulumi
            src: pulumi/pulumi
"###),
    ("pulumi/kubespy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pulumi
    repo_name: kubespy
    description: Tools for observing Kubernetes resources in real time, powered by Pulumi
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: kubespy-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.6.1")
    version_overrides:
      - version_constraint: "true"
        overrides:
          - goos: windows
            asset: kubespy.exe-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
"###),
    ("ribice/glice", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: ribice
    repo_name: glice
    description: Go license and dependency checker
    path: github.com/ribice/glice/v2/cmd/glice
"###),
    ("jdx/hk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jdx
    repo_name: hk
    description: git hook and pre-commit lint manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.3")
        no_asset: true
      - version_constraint: semver("<= 0.1.9")
        asset: hk-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
        supported_envs:
          - linux
          - darwin/arm64
      - version_constraint: "true"
        asset: hk-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              amd64: amd64
          - goos: windows
            format: zip
        supported_envs:
          - linux
          - darwin/arm64
          - windows
"###),
    ("jdx/mise", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jdx
    repo_name: mise
    aliases:
      - name: jdxcode/rtx
      - name: jdx/rtx
    description: dev tools, env vars, task runner
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2023.12.9")
        asset: rtx-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: rtx
            src: rtx/bin/rtx
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 2024.0.0")
        asset: rtx-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: rtx
            src: rtx/bin/rtx
        overrides:
          - goos: linux
            asset: rtx-{{.Version}}-{{.OS}}-{{.Arch}}-musl.{{.Format}}
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: mise-{{.Version}}-{{.OS}}-{{.Arch}}-musl.{{.Format}}
        format: tar.gz
        files:
          - name: mise
            src: mise/bin/mise
        overrides:
          - goos: darwin
            asset: mise-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - linux
          - darwin
"###),
    ("omegion/ssh-manager", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: omegion
    repo_name: ssh-manager
    description: SSH Key Manager for 1Password, Bitwarden and AWS S3
    asset: ssh-manager-{{.OS}}-{{.Arch}}
    format: raw
    complete_windows_ext: false
    version_constraint: semver(">= 0.13.0")
    version_overrides:
      - version_constraint: semver(">= 0.11.0")
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("< 0.11.0")
        supported_envs:
          - linux/arm64
"###),
    ("Nukesor/pueue/pueued", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: Nukesor/pueue/pueued
    type: github_release
    repo_owner: Nukesor
    repo_name: pueue
    description: |-
      Pueue is a command-line task management tool for sequential and parallel execution of long-running tasks.

      *Daemon version*
    version_filter: not (Version matches "-rc")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.0"
        asset: pueued-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.4")
        asset: pueued-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.0")
        asset: pueued-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.2")
        asset: pueued-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 0.11.1")
        no_asset: true
      - version_constraint: semver("<= 0.12.2")
        asset: pueued-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 0.29.0")
        no_asset: true
      - version_constraint: semver("<= 2.1.0")
        asset: pueued-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 3.4.1")
        asset: pueued-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: darwin
            goarch: amd64
            replacements:
              darwin: macos
          - goos: windows
            replacements: {}
      - version_constraint: "true"
        asset: pueued-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("Nukesor/pueue/pueue", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: Nukesor/pueue/pueue
    type: github_release
    repo_owner: Nukesor
    repo_name: pueue
    description: |-
      Pueue is a command-line task management tool for sequential and parallel execution of long-running tasks.

      *Client version*
    version_filter: not (Version matches "-rc")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.2.0"
        asset: pueue-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.4")
        asset: pueue-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.7.0")
        asset: pueue-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.2")
        asset: pueue-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 0.11.1")
        no_asset: true
      - version_constraint: semver("<= 0.12.2")
        asset: pueue-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 0.29.0")
        no_asset: true
      - version_constraint: semver("<= 2.1.0")
        asset: pueue-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
      - version_constraint: semver("<= 3.4.1")
        asset: pueue-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: darwin
            goarch: amd64
            replacements:
              darwin: macos
          - goos: windows
            replacements: {}
      - version_constraint: "true"
        asset: pueue-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
"###),
    ("pseudomuto/protoc-gen-doc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pseudomuto
    repo_name: protoc-gen-doc
    asset: protoc-gen-doc_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: Documentation generator plugin for Google Protocol Buffers
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("noahgorstein/jqp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: noahgorstein
    repo_name: jqp
    description: A TUI playground to experiment with jq
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: jqp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: jqp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("goark/gimei-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goark
    repo_name: gimei-cli
    description: 姓名・住所データ生成ツール
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gimei-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: gimei-cli_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("goark/depm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goark
    repo_name: depm
    description: Visualize depndency packages and modules
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.1")
        asset: depm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: depm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.4.4")
        asset: depm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: depm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.6.5")
        asset: depm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: depm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: depm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: depm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("goark/gnkf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goark
    repo_name: gnkf
    description: Network Kanji Filter by Golang
    asset: gnkf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: 64bit
      arm64: ARM64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: gnkf_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.7.5")
    version_overrides:
      - version_constraint: Version == "v0.7.4"
        asset: gnkf_.{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        checksum:
          enabled: false # checksum file was broken. https://github.com/aquaproj/aqua-registry/pull/10446#issuecomment-1455275091
      - version_constraint: semver(">= 0.6.0")
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
      - version_constraint: semver(">= 0.4.0")
        overrides:
          - goos: windows
            format: zip
            replacements:
              arm64: arm64
        replacements:
          amd64: 64bit
          arm64: ARM64
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver("< 0.4.0")
        overrides:
          - goos: linux
            replacements:
              arm64: ARM64
          - goos: windows
            format: zip
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
"###),
    ("antham/gommit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: antham
    repo_name: gommit
    description: Enforce git message commit consistency
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.3.0")
        asset: gommit_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v2.4.0"
        asset: gommit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v2.5.0"
        no_asset: true
      - version_constraint: Version == "v2.6.0"
        asset: gommit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: gommit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: gommit_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("visma-prodsec/confused", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: visma-prodsec
    repo_name: confused
    description: Tool to check for dependency confusion vulnerabilities in multiple package management systems
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: confused_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: confused_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("clamoriniere/crd-to-markdown", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: clamoriniere
    repo_name: crd-to-markdown
    description: util to generate a markdown file from a Kubernetes CRD go struct definition
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: crd-to-markdown_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("muesli/gitty", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: muesli
    repo_name: gitty
    description: Contextual information about your git projects, right on the command-line
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gitty_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("muesli/markscribe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: muesli
    repo_name: markscribe
    description: Your personal markdown scribe with template-engine and Git(Hub) & RSS powers
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: markscribe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: markscribe_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("muesli/duf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: muesli
    repo_name: duf
    description: "Disk Usage/Free Utility - a better 'df' alternative"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: duf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: semver("<= 0.3.1")
        asset: duf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.6.0")
        asset: duf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.6.2")
        asset: duf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: duf_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("variadico/noti", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: variadico
    repo_name: noti
    description: Monitor a process and trigger a notification
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.3.0"
        asset: noti1.3.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version in ["v2.0.0", "v2.6.0"]
        asset: noti{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v2.1.0"
        asset: noti{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: Version == "v2.7.0"
        asset: noti{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.2.0")
        asset: noti
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 2.2.1")
        asset: noti{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.5.0")
        asset: noti{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.2.0")
        asset: noti{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.4.0")
        asset: noti{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: "true"
        asset: noti{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("wtetsu/gaze", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wtetsu
    repo_name: gaze
    asset: gaze_{{.OS}}_{{.Version}}.{{.Format}}
    format: zip
    description: Executes commands for you
    replacements:
      darwin: macos
      arm64: arm
      amd64: amd
    overrides:
      - goos: darwin
        asset: gaze_{{.OS}}_{{.Arch}}_{{.Version}}.{{.Format}}
        files:
          - name: gaze
            src: gaze_{{.OS}}_{{.Arch}}_{{.Version}}/gaze
    supported_envs:
      - darwin
      - amd64
    files:
      - name: gaze
        src: gaze_{{.OS}}_{{.Version}}/gaze
"###),
    ("GhostTroops/scan4all", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: GhostTroops
    repo_name: scan4all
    aliases:
      - name: hktalent/scan4all
    description: "Official repository vuls Scan: 15000+PoCs; 23 kinds of application password crack; 7000+Web fingerprints; 146 protocols and 90000+ rules Port scanning; Fuzz, HW, awesome BugBounty"
    asset: scan4all_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    supported_envs:
      - darwin
      - amd64
    checksum:
      type: github_release
      asset: scan4all-{{.OS}}-checksums.txt
      algorithm: sha256
    overrides:
      - goos: darwin
        checksum:
          type: github_release
          asset: scan4all-mac-checksums.txt
          algorithm: sha256
    version_constraint: semver(">= 2.8.7")
    version_overrides:
      - version_constraint: semver(">= 2.8.6")
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver(">= 2.6.9")
        replacements:
          darwin: macOS
        overrides:
          - goos: darwin
            goarch: amd64
            checksum:
              type: github_release
              asset: scan4all-mac-checksums.txt
              algorithm: sha256
          - goos: darwin
            goarch: arm64
            checksum:
              type: github_release
              asset: scan4all-mac-arm64-checksums.txt
              algorithm: sha256
      - version_constraint: semver("< 2.6.9")
        replacements:
          darwin: macOS
        rosetta2: true
"###),
    ("slackhq/nebula", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: slackhq
    repo_name: nebula
    description: A scalable overlay networking tool with a focus on performance, simplicity and security
    files:
      - name: nebula
      - name: nebula-cert
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        asset: nebula-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: Version == "v1.4.0"
        asset: nebula-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.3.0")
        asset: nebula-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.5.2")
        asset: nebula-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            asset: nebula-{{.OS}}.{{.Format}}
      - version_constraint: "true"
        asset: nebula-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            asset: nebula-{{.OS}}.{{.Format}}
"###),
    ("skeema/skeema", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: skeema
    repo_name: skeema
    description: Declarative pure-SQL schema management for MySQL and MariaDB (Community Edition)
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: skeema_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: skeema_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v1.0.1"
        asset: skeema_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: Mac
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: skeema_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.5.3")
        asset: skeema_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          darwin: mac
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: skeema_checksums_{{trimV .Version}}.txt
          algorithm: sha256
      - version_constraint: Version == "v1.6.0"
        asset: skeema_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: mac
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: skeema_checksums_{{trimV .Version}}.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: skeema_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: mac
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: skeema_checksums_{{trimV .Version}}.txt
          algorithm: sha256
"###),
    ("golang/vuln/govulncheck", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: golang/vuln/govulncheck
    type: go_install
    path: golang.org/x/vuln/cmd/govulncheck
    repo_owner: golang
    repo_name: vuln
    description: Go Vulnerability Management
    link: https://go.dev/security/vuln/
    version_source: github_tag
    files:
      - name: govulncheck
"###),
    ("golang/tools/gomvpkg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: golang/tools/gomvpkg
    path: golang.org/x/tools/cmd/gomvpkg
    repo_owner: golang
    repo_name: tools
    description: The gomvpkg command moves go packages, updating import declarations
    link: https://pkg.go.dev/golang.org/x/tools/cmd/gomvpkg
    version_source: github_tag
    version_filter: not (Version startsWith "gopls/")
    files:
      - name: gomvpkg
"###),
    ("golang/tools/goimports", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: golang/tools/goimports
    aliases: # Set aliases to keep the compatibility
      - name: golang.org/x/tools/cmd/goimports
    path: golang.org/x/tools/cmd/goimports
    repo_owner: golang
    repo_name: tools
    description: updates your Go import lines, adding missing ones and removing unreferenced ones
    link: https://pkg.go.dev/golang.org/x/tools/cmd/goimports
    version_source: github_tag
    version_filter: not (Version startsWith "gopls/")
    files:
      - name: goimports
"###),
    ("golang/tools/godoc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: golang/tools/godoc
    path: golang.org/x/tools/cmd/godoc
    repo_owner: golang
    repo_name: tools
    description: Godoc extracts and generates documentation for Go programs
    link: https://pkg.go.dev/golang.org/x/tools/cmd/godoc
    version_source: github_tag
    version_filter: not (Version startsWith "gopls/")
    files:
      - name: godoc
"###),
    ("golang/tools/gorename", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: golang/tools/gorename
    repo_owner: golang
    repo_name: tools
    description: The gorename command performs precise type-safe renaming of identifiers in Go source code
    link: https://pkg.go.dev/golang.org/x/tools/cmd/gorename
    version_source: github_tag
    version_filter: not (Version startsWith "gopls/") and semver("<= 0.25.0")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.25.0")
        path: golang.org/x/tools/cmd/gorename
      - version_constraint: "true"
        error_message: |
          gorename was deleted at v0.26.0. https://github.com/golang/go/issues/69360
"###),
    ("golang/tools/stringer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: golang/tools/stringer
    path: golang.org/x/tools/cmd/stringer
    repo_owner: golang
    repo_name: tools
    description: Stringer is a tool to automate the creation of methods that satisfy the fmt.Stringer interface
    link: https://pkg.go.dev/golang.org/x/tools/cmd/stringer
    version_source: github_tag
    version_filter: not (Version startsWith "gopls/")
    files:
      - name: stringer
"###),
    ("golang/tools/goyacc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: golang/tools/goyacc
    repo_owner: golang
    repo_name: tools
    type: go_install
    path: golang.org/x/tools/cmd/goyacc
    description: Goyacc is a version of yacc for Go. It is written in Go and generates parsers written in Go
    version_source: github_tag
    version_filter: not (Version startsWith "gopls/")
    files:
      - name: goyacc
"###),
    ("golang/tools/guru", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    name: golang/tools/guru
    path: golang.org/x/tools/cmd/guru
    repo_owner: golang
    repo_name: tools
    description: A tool for answering questions about Go source code
    link: https://pkg.go.dev/golang.org/x/tools/cmd/guru
    version_source: github_tag
    version_filter: not (Version startsWith "gopls/")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver(">= 0.20.0")
        error_message: guru was deleted https://github.com/golang/go/issues/65880
      - version_constraint: "true"
"###),
    ("golang/mock", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: golang
    repo_name: mock
    asset: mock_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: GoMock is a mocking framework for the Go programming language
    files:
      - name: mockgen
        src: mock_{{trimV .Version}}_{{.OS}}_{{.Arch}}/mockgen
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: mock_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("golang/go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - repo_owner: golang
    repo_name: go
    type: http
    url: https://golang.org/dl/go{{trimPrefix "go" .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
    description: The Go programming language
    format: tar.gz
    version_source: github_tag
    version_filter: Version startsWith "go" and not (Version contains "rc" or Version contains "beta")
    files:
      - name: go
        src: go/bin/go
      - name: gofmt
        src: go/bin/gofmt
    overrides:
      - goos: windows
        format: zip
"###),
    ("koluku/s3s", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: koluku
    repo_name: s3s
    description: Easy S3 select like searching in directories
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: s3s_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("pglet/pglet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pglet
    repo_name: pglet
    description: "Pglet - build internal web apps quickly in the language you already know"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.15")
        asset: pglet-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: pglet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.6")
        asset: pglet-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: pglet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: pglet-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: pglet_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("TekWizely/run", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: TekWizely
    repo_name: run
    description: Task runner that helps you easily manage and invoke small scripts and wrappers
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.5")
        no_asset: true
      - version_constraint: semver("<= 0.7.1")
        asset: run_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.8.0")
        asset: run_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: run_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("TekWizely/bingo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: TekWizely
    repo_name: bingo
    description: The missing package manager for golang binaries (its homebrew for "go install")
    path: bingo
"###),
    ("bvaisvil/zenith", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bvaisvil
    repo_name: zenith
    description: Zenith - sort of like top or htop but with zoom-able charts, CPU, GPU, network, and disk usage
    asset: zenith.{{.Arch}}-{{.OS}}.{{.Format}}
    format: tgz
    overrides:
      - goos: darwin
        replacements:
          arm64: aarch64
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
    supported_envs:
      - linux/amd64
      - darwin
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
    version_constraint: semver(">= 0.14.0")
    version_overrides:
      - version_constraint: semver(">= 0.13.1")
        overrides: []
        rosetta2: true
      - version_constraint: semver(">= 0.12.0")
        overrides:
          - goos: darwin
            asset: zenith.{{.Arch}}_{{.OS}}.{{.Format}}
        replacements:
          amd64: x86_64
          darwin: MacOS
          linux: unknown-linux-musl
        rosetta2: true
      - version_constraint: semver(">= 0.10.1")
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            asset: zenith.{{.OS}}.{{.Format}}
        replacements:
          darwin: MacOS
          linux: unknown-linux-musl
        rosetta2: true
      - version_constraint: semver(">= 0.10.0")
        asset: zenith.{{.OS}}.{{.Format}}
        overrides:
          - goos: linux
            asset: zenith.{{.Arch}}-{{.OS}}.{{.Format}}
            replacements:
              amd64: x86_64
        replacements:
          darwin: MacOS
          linux: unknown-linux-musl
        rosetta2: true
      - version_constraint: semver(">= 0.8.2")
        asset: zenith.{{.OS}}.{{.Format}}
        overrides: []
        replacements:
          darwin: MacOS
        rosetta2: true
      - version_constraint: semver(">= 0.7.6")
        asset: zenith.{{.OS}}.{{.Format}}
        overrides: []
        replacements:
          darwin: MacOS
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.7.4")
        asset: zenith.{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: linux
            format: tgz
        replacements:
          darwin: MacOS
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.7.1")
        asset: zenith.{{.OS}}.{{.Format}}
        overrides: []
        replacements:
          darwin: macos
        rosetta2: true
        checksum:
          enabled: false
      - version_constraint: semver("< 0.7.1")
        asset: "{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tar.gz
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
            files:
              - name: zenith
                src: x86_64-linux/zenith
          - goos: darwin
            asset: "{{.OS}}.{{.Format}}"
            files:
              - name: zenith
                src: macos/zenith
        replacements:
          darwin: MacOS
        rosetta2: true
        checksum:
          enabled: false
"###),
    ("kkdai/youtube", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kkdai
    repo_name: youtube
    asset: youtubedr_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: Download Youtube Video in Golang
    files:
      - name: youtubedr
    checksum:
      type: github_release
      asset: youtubedr_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("dprint/dprint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dprint
    repo_name: dprint
    description: Pluggable and configurable code formatting platform written in Rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 0.14.0")
        asset: dprint-{{.Arch}}-{{.OS}}.zip
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - amd64
      - version_constraint: semver("< 0.34.0")
        asset: dprint-{{.Arch}}-{{.OS}}.zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        checksum:
          type: github_release
          asset: SHASUMS256.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: dprint-{{.Arch}}-{{.OS}}.zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - amd64
        checksum:
          type: github_release
          asset: SHASUMS256.txt
          algorithm: sha256
"###),
    ("sass/dart-sass", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sass
    repo_name: dart-sass
    description: The reference implementation of Sass, written in Dart
    files:
      - name: sass
        src: dart-sass/sass
    windows_ext: .bat
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "1.23.5"
        no_asset: true
      - version_constraint: Version in ["1.20.0", "1.49.10"]
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x64
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: Version == "1.23.6"
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x64
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "1.24.1"
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: Version in ["1.56.0", "1.63.0"]
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version in ["1.59.0", "1.69.0"]
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.25.0")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.26.0-test.3")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.26.3")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.26.6")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.49.9")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.64.2")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.65.1")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.69.5")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.71.0")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: linux
            goarch: amd64
            asset: dart-sass-{{.Version}}-{{.OS}}-musl-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.72.0")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}-musl.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: darwin
            asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
      - version_constraint: semver("< 1.86.1")
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: linux
            asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}-musl.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
          darwin: macos
        overrides:
          - goos: linux
            asset: dart-sass-{{.Version}}-{{.OS}}-{{.Arch}}-musl.{{.Format}}
            github_artifact_attestations:
              signer_workflow: sass/dart-sass/.github/workflows/build-linux.yml
          - goos: darwin
            github_artifact_attestations:
              signer_workflow: sass/dart-sass/.github/workflows/build-macos.yml
          - goos: windows
            format: zip
            github_artifact_attestations:
              signer_workflow: sass/dart-sass/.github/workflows/build-windows.yml
"###),
    ("joehillen/sysz", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: joehillen
    repo_name: sysz
    description: An fzf  terminal UI for systemctl
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: sysz
        supported_envs:
          - linux
          - darwin
"###),
    ("hidetatz/kubecolor", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: hidetatz
    repo_name: kubecolor
    description: colorizes kubectl output
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.17"
        asset: kubecolor_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.6")
        no_asset: true
      - version_constraint: semver("<= 0.0.16")
        asset: kubecolor_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.20")
        asset: kubecolor_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: kubecolor_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("dependabot/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dependabot
    repo_name: cli
    description: A tool for testing and debugging Dependabot update jobs
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v1.25.0", "v1.33.0"]
        no_asset: true
      - version_constraint: "true"
        asset: dependabot-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
        files:
          - name: dependabot
"###),
    ("cross-rs/cross", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cross-rs
    repo_name: cross
    description: “Zero setup” cross compilation and “cross testing” of Rust crates
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.2-rc1"
        asset: cross-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.1.5"
        asset: cross-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.1.2")
        asset: cross-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.1.16")
        asset: cross-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.1")
        asset: cross-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: cross-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("lewispeckover/consulator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lewispeckover
    repo_name: consulator
    description: Import and synchronize your Consul KV data from JSON and YAML
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: consulator_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
"###),
    ("pluveto/upgit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pluveto
    repo_name: upgit
    description: Another upload hub that supports clipboard. It works well with Typora, Snipaste, VSCode
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0")
        asset: upgit_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          windows: win
        supported_envs:
          - linux
          - windows
      - version_constraint: "true"
        asset: upgit_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          darwin: macos
          windows: win
"###),
    ("ubicloud/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: ubicloud/cli
    type: github_release
    repo_owner: ubicloud
    repo_name: cli
    description: Command line program for interacting with Ubicloud
    files:
      - name: ubi
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: ubi-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
"###),
    ("tummychow/git-absorb", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tummychow
    repo_name: git-absorb
    description: git commit --fixup, but automatic
    files:
      - name: git-absorb
        src: git-absorb-{{.Version}}-{{.Arch}}-{{.OS}}/git-absorb
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.6")
        asset: git-absorb-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "0.6.7"
        asset: git-absorb-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.10")
        asset: git-absorb-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: git-absorb-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("psastras/sarif-rs/clang-tidy-sarif", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: psastras/sarif-rs/clang-tidy-sarif
    type: github_release
    repo_owner: psastras
    repo_name: sarif-rs
    description: Convert clang-tidy output into SARIF
    version_filter: not (Version matches "-latest$")
    version_prefix: clang-tidy-sarif-
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "clang-tidy-sarif-v0.2.23"
        asset: clang-tidy-sarif-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
        files:
          - name: clang-tidy-sarif
            src: target/release/{{.FileName}}-{{.Arch}}-{{.OS}}
      - version_constraint: Version in ["clang-tidy-sarif-v0.2.24", "clang-tidy-sarif-v0.6.2"]
        asset: clang-tidy-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.4.2")
        asset: clang-tidy-sarif-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: clang-tidy-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("psastras/sarif-rs/sarif-fmt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: psastras/sarif-rs/sarif-fmt
    type: github_release
    repo_owner: psastras
    repo_name: sarif-rs
    description: Pretty print SARIF results
    version_filter: not (Version matches "-latest$")
    version_prefix: sarif-fmt-
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "sarif-fmt-v0.6.2"
        asset: sarif-fmt-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.4.2")
        asset: sarif-fmt-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: sarif-fmt-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("psastras/sarif-rs/miri-sarif", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: psastras/sarif-rs/miri-sarif
    type: github_release
    repo_owner: psastras
    repo_name: sarif-rs
    description: Convert miri output into SARIF
    version_filter: not (Version matches "-latest$")
    version_prefix: miri-sarif-
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: miri-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("psastras/sarif-rs/hadolint-sarif", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: psastras/sarif-rs/hadolint-sarif
    type: github_release
    repo_owner: psastras
    repo_name: sarif-rs
    description: Convert hadolint warnings into SARIF
    version_filter: not (Version matches "-latest$")
    version_prefix: hadolint-sarif-
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "hadolint-sarif-v0.2.23"
        asset: hadolint-sarif-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
        files:
          - name: hadolint-sarif
            src: target/release/{{.FileName}}-{{.Arch}}-{{.OS}}
      - version_constraint: Version in ["hadolint-sarif-v0.2.24", "hadolint-sarif-v0.6.2"]
        asset: hadolint-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.4.2")
        asset: hadolint-sarif-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: hadolint-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("psastras/sarif-rs/clippy-sarif", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: psastras/sarif-rs/clippy-sarif
    type: github_release
    repo_owner: psastras
    repo_name: sarif-rs
    description: Convert clippy output into SARIF
    version_filter: not (Version matches "-latest$")
    version_prefix: clippy-sarif-
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "clippy-sarif-v0.2.23"
        asset: clippy-sarif-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
        files:
          - name: clippy-sarif
            src: target/release/{{.FileName}}-{{.Arch}}-{{.OS}}
      - version_constraint: Version == "clippy-sarif-v0.6.2"
        asset: clippy-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.4.2")
        asset: clippy-sarif-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: clippy-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("psastras/sarif-rs/shellcheck-sarif", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: psastras/sarif-rs/shellcheck-sarif
    type: github_release
    repo_owner: psastras
    repo_name: sarif-rs
    description: Convert shellcheck warnings into SARIF
    version_filter: not (Version matches "-latest$")
    version_prefix: shellcheck-sarif-
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "shellcheck-sarif-v0.2.23"
        asset: shellcheck-sarif-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
        files:
          - name: shellcheck-sarif
            src: target/release/{{.FileName}}-{{.Arch}}-{{.OS}}
      - version_constraint: Version in ["shellcheck-sarif-v0.2.24", "shellcheck-sarif-v0.6.2"]
        asset: shellcheck-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.4.2")
        asset: shellcheck-sarif-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: shellcheck-sarif-{{.Arch}}-{{.OS}}
        format: raw
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("equinix-labs/otel-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: equinix-labs
    repo_name: otel-cli
    description: OpenTelemetry command-line tool for sending events from shell scripts & similar environments
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.3")
        asset: otel-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.19")
        asset: otel-cli-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.0.20"
        asset: otel-cli-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: otel-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("arxanas/git-branchless", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: arxanas
    repo_name: git-branchless
    description: High-velocity, monorepo-scale workflow for Git
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.10") || Version in ["v0.4.0", "v0.6.0"]
        no_asset: true
      - version_constraint: Version == "v0.10.0"
        asset: git-branchless-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: "true"
        asset: git-branchless-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("pamburus/hl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pamburus
    repo_name: hl
    description: A fast and powerful log viewer and processor that translates JSON or logfmt logs into a pretty human-readable format
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.29.0"
        no_asset: true
      - version_constraint: Version == "v0.6.2"
        asset: hl-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.6.7")
        asset: hl-{{.OS}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.14")
        asset: hl-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.10.5")
        asset: hl-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            asset: hl-{{.Arch}}-{{.OS}}-gnu.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.15.2")
        asset: hl-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            asset: hl-{{.Arch}}-{{.OS}}-gnu.{{.Format}}
          - goos: darwin
            goarch: arm64
            asset: hl-{{.Arch}}-{{.OS}}.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: hl-{{.OS}}-{{.Arch}}-gnu.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            asset: hl-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: hl-{{.OS}}.{{.Format}}
"###),
    ("Mikescher/better-docker-ps", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Mikescher
    repo_name: better-docker-ps
    description: Because `docker ps` is annoying and does not fit my monitor/terminal width
    asset: dops_{{.OS}}-{{.Arch}}
    format: raw
    replacements:
      darwin: macos
    supported_envs:
      - linux
      - darwin
    files:
      - name: dops
    rosetta2: true
    version_constraint: semver(">= 1.5")
    version_overrides:
      - version_constraint: semver("< 1.5")
        asset: dops
        supported_envs:
          - linux/amd64
"###),
    ("wasmerio/wasmer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wasmerio
    repo_name: wasmer
    description: The leading WebAssembly Runtime supporting WASI and Emscripten
    asset: wasmer-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      arm64: aarch64
    overrides:
      - goos: darwin
        replacements:
          arm64: arm64
      - goos: linux
        goarch: arm64
        files:
          - name: wasmer
            src: bin/wasmer
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: wasmer
        src: bin/wasmer
      - name: wasmer-headless
        src: bin/wasmer-headless
    version_constraint: semver(">= 3.0.0-beta")
    version_overrides:
      - version_constraint: semver(">= 3.0.0-alpha")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        replacements: {}
      - version_constraint: semver(">= 2.2.1")
        files:
          - name: wapm
            src: bin/wapm
          - name: wasmer-headless
            src: bin/wasmer-headless
          - name: wax
            src: bin/wax
        overrides:
          - goos: darwin
            replacements:
              arm64: arm64
          - goos: linux
            goarch: arm64
            files:
              - name: wasmer
                src: bin/wasmer
          - goos: windows
            files:
              - name: wapm
                src: bin/wapm.exe
              - name: wasmer-headless
                src: bin/wasmer-headless.exe
              - name: wasmer
                src: bin/wasmer.exe
      - version_constraint: semver(">= 2.0.0-rc1")
        replacements: {}
        supported_envs:
          - darwin
          - amd64
      - version_constraint: semver(">= 1.0.0-beta1")
        files:
          - name: wasmer
            src: bin/wasmer
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: raw
            asset: wasmer-{{.OS}}
        replacements: {}
      - version_constraint: semver(">= 1.0.0-alpha3")
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: raw
            asset: wasmer-{{.OS}}
        replacements: {}
        rosetta2: true
      - version_constraint: semver(">= 0.16.0")
        files: &wasmerio_wasmer_files_1
          - name: wapm
            src: bin/wapm
          - name: wasmer
            src: bin/wasmer
        replacements: {}
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
      - version_constraint: semver(">= 0.14.0")
        files: *wasmerio_wasmer_files_1
        overrides:
          - goos: windows
            asset: wasmer-c-api-{{.OS}}.{{.Format}}
        replacements: {}
        supported_envs:
          - darwin
          - linux/amd64
        rosetta2: true
      - version_constraint: semver(">= 0.10.2")
        files: *wasmerio_wasmer_files_1
        overrides:
          - goos: windows
            format: raw
            asset: wasmer-{{.OS}}
        replacements: {}
        rosetta2: true
      - version_constraint: semver(">= 0.10.0")
        files: *wasmerio_wasmer_files_1
        overrides:
          - goos: windows
            format: raw
            asset: wasmer-{{.OS}}
        replacements: {}
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.3.0")
        files:
          - name: wasmer
            src: bin/wasmer
        replacements: {}
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: semver("< 0.3.0")
        asset: wasmer-{{.OS}}-{{.Arch}}
        format: raw
        replacements: {}
        supported_envs:
          - darwin
          - linux/amd64
        rosetta2: true
"###),
    ("wasmerio/wapm-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wasmerio
    repo_name: wapm-cli
    asset: wapm-cli-{{.OS}}-{{.Arch}}.tar.gz
    description: WebAssembly Package Manager (CLI)
    replacements:
      arm64: aarch64
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: wapm
        src: bin/wapm
      - name: wax
        src: bin/wax
    overrides:
      - goos: windows
        files:
          - name: wapm
            src: bin/wapm.exe
          - name: wax
            src: bin/wax.cmd
"###),
    ("StyraInc/regal", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: StyraInc
    repo_name: regal
    description: Regal is a linter for Rego, with the goal of making your Rego magnificent
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: regal_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("mongodb/mongodb-atlas-cli/atlascli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: mongodb/mongodb-atlas-cli/atlascli
    type: github_release
    repo_owner: mongodb
    repo_name: mongodb-atlas-cli
    description: MongoDB Atlas CLI and MongoDB CLI enable you to manage your MongoDB in the Cloud
    asset: mongodb-atlas-cli_{{trimPrefix "atlascli/v" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    replacements:
      darwin: macos
      amd64: x86_64
    files:
      - name: atlas
        src: bin/atlas
    overrides:
      - goos: linux
        format: tar.gz
        files:
          - name: atlas
            src: mongodb-atlas-cli_{{trimPrefix "atlascli/v" .Version}}_{{.OS}}_{{.Arch}}/bin/atlas
    supported_envs:
      - darwin
      - linux
      - amd64
    version_filter: Version startsWith "atlascli/"
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("mongodb/mongodb-atlas-cli/mongocli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: mongodb/mongodb-atlas-cli/mongocli
    type: github_release
    repo_owner: mongodb
    repo_name: mongodb-atlas-cli
    description: MongoDB Atlas CLI and MongoDB CLI enable you to manage your MongoDB in the Cloud
    aliases:
      - name: mongodb/mongocli
    asset: mongocli_{{trimPrefix "mongocli/v" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    replacements:
      darwin: macos
      amd64: x86_64
    files:
      - name: mongocli
        src: bin/mongocli
    overrides:
      - goos: linux
        format: tar.gz
        files:
          - name: mongocli
            src: mongocli_{{trimPrefix "mongocli/v" .Version}}_{{.OS}}_{{.Arch}}/bin/mongocli
    supported_envs:
      - darwin
      - linux
    version_filter: Version startsWith "mongocli/" or semver("< 1.23.0")
    version_constraint: semverWithVersion(">= 1.23.0", trimPrefix(Version, "mongocli/"))
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_overrides:
      # asset style was changed
      - version_constraint: semver(">= 1.15.0")
        asset: mongocli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - linux
        overrides:
          - goos: linux
            format: tar.gz
            files:
              - name: mongocli
                src: mongocli_{{trimV .Version}}_{{.OS}}_{{.Arch}}/bin/mongocli
      # arm64 wasn't supported
      - version_constraint: "true"
        asset: mongocli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        supported_envs:
          - amd64
          - darwin
        rosetta2: true
        files:
          - name: mongocli
        overrides:
          - goos: linux
            format: tar.gz
            files:
              - name: mongocli
                src: mongocli_{{trimV .Version}}_{{.OS}}_{{.Arch}}/mongocli
"###),
    ("becheran/roumon", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: becheran
    repo_name: roumon
    description: Universal goroutine monitor using pprof and termui
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.3")
        asset: roumon_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.1.2")
        asset: roumon_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: roumon_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: roumon_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("becheran/mlc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: becheran
    repo_name: mlc
    description: Check for broken links in markup files
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.13.2", "v0.13.10", "v0.15.1"]
        no_asset: true
      - version_constraint: semver("<= 0.13.5")
        asset: mlc
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.14.3")
        asset: mlc-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.15.4")
        asset: mlc-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: mlc
            src: builds/becheran/mlc_ci/target/{{.Arch}}-{{.OS}}/release/mlc
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        overrides:
          - goos: linux
            format: raw
            asset: mlc-{{.Arch}}-{{.OS}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: mlc-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("spf13/cobra-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: spf13
    repo_name: cobra-cli
    description: Cobra CLI tool to generate applications and commands
"###),
    ("notaryproject/notation", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: notaryproject
    repo_name: notation
    description: A CLI tool to sign and verify artifacts
    asset: notation_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: notation_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("mrjackwills/oxker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mrjackwills
    repo_name: oxker
    description: A simple tui to view & control docker containers
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: oxker_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: linux
            format: tar.gz
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - windows
"###),
    ("slack.com/slack-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    name: slack.com/slack-cli
    description: Slack CLI allows you to interact with your workflow apps via the command line
    link: https://api.slack.com/automation/cli/commands
    url: https://downloads.slack-edge.com/slack-cli/slack_cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    rosetta2: true
    windows_arm_emulation: true
    files:
      - name: slack
        src: bin/slack
    replacements:
      amd64: 64-bit
      darwin: macOS
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - linux/amd64
      - windows
      - darwin
"###),
    ("plexsystems/sinker", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: plexsystems
    repo_name: sinker
    description: A tool to sync images from one container registry to another
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0")
        asset: imagesync-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: imagesync
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: sinker-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("nicarl/somafm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nicarl
    repo_name: somafm
    asset: somafm-{{.Version}}-{{.OS}}-{{.Arch}}
    format: raw
    description: CLI application to listen to SomaFM stations
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      enabled: false
"###),
    ("corneliusweig/ketall", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: corneliusweig
    repo_name: ketall
    description: Like `kubectl get all`, but get really all resources
    supported_envs:
      - darwin
      - amd64
    files:
      - name: ketall
        src: ketall-{{.Arch}}-{{.OS}}
      - name: kubectl-get_all
        src: ketall-{{.Arch}}-{{.OS}}
    asset: ketall-{{.Arch}}-{{.OS}}.tar.gz
    overrides:
      - goos: windows
        asset: ketall-amd64-windows.zip
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("corneliusweig/rakkess/access-matrix", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: corneliusweig/rakkess/access-matrix
    type: github_release
    repo_owner: corneliusweig
    repo_name: rakkess
    description: Review Access - kubectl plugin to show an access matrix for k8s server resources
    supported_envs:
      - darwin
      - amd64
    asset: access-matrix-{{.Arch}}-{{.OS}}.tar.gz
    overrides:
      - goos: windows
        asset: access-matrix-amd64-windows.zip
    files:
      - name: kubectl-access_matrix
        src: access-matrix-{{.Arch}}-{{.OS}}
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("corneliusweig/rakkess", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: corneliusweig
    repo_name: rakkess
    description: Review Access - kubectl plugin to show an access matrix for k8s server resources
    supported_envs:
      - darwin
      - amd64
    files:
      - name: rakkess
        src: rakkess-{{.Arch}}-{{.OS}}
    asset: rakkess-{{.Arch}}-{{.OS}}.tar.gz
    overrides:
      - goos: windows
        asset: rakkess-amd64-windows.zip
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("vmware-archive/octant", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: vmware-archive
    repo_name: octant
    aliases:
      - name: vmware-tanzu/octant
    description: Highly extensible platform for developers to better understand the complexity of Kubernetes clusters
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.0")
        asset: octant_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: octant
            src: "{{.AssetWithoutExt}}/octant"
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.17.0")
        asset: octant_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: octant
            src: "{{.AssetWithoutExt}}/octant"
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.24.0")
        asset: octant_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: octant
            src: "{{.AssetWithoutExt}}/octant"
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: octant_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: octant
            src: "{{.AssetWithoutExt}}/octant"
        replacements:
          amd64: 64bit
          darwin: macOS
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("mame/wsl2-ssh-agent", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mame
    repo_name: wsl2-ssh-agent
    description: A bridge from WSL2 ssh client to Windows ssh-agent.exe service
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: wsl2-ssh-agent
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: wsl2-ssh-agent-arm64
        supported_envs:
          - linux
"###),
    ("lotabout/rargs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lotabout
    repo_name: rargs
    description: "xargs + awk with pattern matching support. `ls *.bak | rargs -p '(.*)\\.bak' mv {0} {1}`"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.1")
        asset: rargs-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: rargs-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("Macchina-CLI/macchina", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Macchina-CLI
    repo_name: macchina
    description: A system information frontend with an emphasis on performance
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.9") or Version == "0.6.5"
        no_asset: true
      - version_constraint: semver("<= 0.8.0")
        asset: macchina-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.0.0")
        asset: macchina-{{.OS}}
        format: raw
        replacements:
          darwin: macos
          arm64: aarch64
        overrides:
          - goos: linux
            goarch: arm64
            asset: macchina-{{.OS}}-{{.Arch}}
      - version_constraint: semver("<= 6.1.8")
        asset: macchina-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
          arm64: aarch64
      - version_constraint: "true"
        asset: macchina-{{.Version}}-{{.OS}}-gnu-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: darwin
            asset: macchina-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: raw
            asset: macchina-{{.Version}}-{{.OS}}-{{.Arch}}
"###),
    ("alajmo/mani", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: alajmo
    repo_name: mani
    description: CLI tool to help you manage repositories
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: mani_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("qdrant/qdrant", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: qdrant
    repo_name: qdrant
    description: High-performance, massive-scale Vector Database for the next generation of AI
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.3") || Version == "v1.3.1"
        no_asset: true
      - version_constraint: Version == "v1.3.0"
        asset: qdrant-{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("< 1.8.0")
        asset: qdrant-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: qdrant-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("synfinatic/aws-sso-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: synfinatic
    repo_name: aws-sso-cli
    description: A powerful tool for using AWS Identity Center for the CLI and web console
    files:
      - name: aws-sso
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.9.5"
        asset: aws-sso-1.9.4-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 1.0.0") or Version == "v1.9.3"
        asset: aws-sso-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: aws-sso-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("estesp/manifest-tool", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: estesp
    repo_name: manifest-tool
    description: Command line tool to create and query container image manifest list/indexes
    format: tar.gz
    asset: binaries-manifest-tool-{{trimV .Version}}.{{.Format}}
    files:
      - name: manifest-tool
        src: manifest-tool-{{.OS}}-{{.Arch}}
    supported_envs:
      - darwin
      - linux
      - windows/amd64
    checksum:
      type: github_release
      asset: binaries-manifest-tool-{{trimV .Version}}.tar.gz.sha256sum
      algorithm: sha256
"###),
    ("antonmedv/fx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: antonmedv
    repo_name: fx
    description: Command-line tool and terminal JSON viewer
    version_constraint: semver(">= 21.0.0")
    asset: fx_{{.OS}}_{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        asset: fx-{{.OS}}.zip
        replacements:
          darwin: macos
          windows: win.exe
        files:
          - name: fx
            src: fx-{{.OS}}
"###),
    ("antonmedv/walk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: antonmedv
    repo_name: walk
    description: Terminal file manager
    aliases:
      - name: antonmedv/llama
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.5.0"
        no_asset: true
      - version_constraint: semver("<= 1.1.0")
        asset: llama_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: llama
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.0")
        asset: llama_{{.OS}}_{{.Arch}}
        format: raw
        files:
          - name: llama
      - version_constraint: "true"
        asset: walk_{{.OS}}_{{.Arch}}
        format: raw
"###),
    ("bengadbois/pewpew", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bengadbois
    repo_name: pewpew
    description: Flexible HTTP command line stress tester for websites and web services
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.3"
        no_asset: true
      - version_constraint: "true"
        asset: "{{.OS}}_{{.Arch}}.{{.Format}}"
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: pewpew
            src: pewpew/pewpew
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("Checkmarx/kics", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Checkmarx
    repo_name: kics
    description: Find security vulnerabilities, compliance issues, and infrastructure misconfigurations early in the development cycle of your infrastructure-as-code with KICS by Checkmarx
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.1.2")
        asset: kics_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: kics_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - windows/amd64
      - version_constraint: semver("<= 1.2.3")
        asset: kics_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: kics_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.4.4")
        asset: kics_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: kics_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.5.1")
        asset: kics_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: kics_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        type: go_build
        files:
          - name: kics
            src: ./cmd/console
            dir: kics-{{trimV .Version}}
"###),
    ("jqlang/jq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jqlang
    repo_name: jq
    aliases:
      - name: stedolan/jq
    description: Command-line JSON processor
    version_constraint: "false"
    version_prefix: jq-
    version_overrides:
      - version_constraint: semver("<= 1.2")
        no_asset: true
      - version_constraint: semver("<= 1.4")
        asset: jq-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
          windows: win64
        overrides:
          - goos: windows
            asset: jq-{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "jq-1.5rc1"
        asset: jq-{{.OS}}-{{.Arch}}-static
        format: raw
        replacements:
          windows: win64
          amd64: x86_64
        overrides:
          - goos: windows
            asset: jq-{{.OS}}
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: Version == "jq-1.5rc2"
        asset: jq-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
          windows: win64
        overrides:
          - goos: windows
            asset: jq-{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6")
        asset: jq-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          linux: linux64
          darwin: osx
          windows: win64
        overrides:
          - goos: darwin
            asset: jq-{{.OS}}-{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: jq-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
"###),
    ("mathew-fleisch/bashbot", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mathew-fleisch
    repo_name: bashbot
    description: A slack-bot written in golang for infrastructure/devops teams
    asset: bashbot-{{.OS}}-{{.Arch}}
    format: raw
    supported_envs:
      - linux
      - darwin
    version_prefix: bashbot-
    version_constraint: semver(">= 2.0.0")
    version_overrides:
      - version_constraint: semver("< 2.0.0")
        version_prefix: ""
"###),
    ("sorah/mairu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sorah
    repo_name: mairu
    description: on-memory AWS credentials agent and executor
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: mairu-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            goarch: amd64
            asset: mairu-universal-{{.OS}}.{{.Format}}
        supported_envs:
          - linux
          - darwin
"###),
    ("ouch-org/ouch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ouch-org
    repo_name: ouch
    description: Painless compression and decompression in the terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.1.4"
        asset: ouch
        format: raw
        replacements:
          darwin: macOS
        overrides:
          - goos: darwin
            asset: ouch-{{.OS}}
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: Version == "0.1.5"
        asset: ouch-{{.OS}}-x86-64-musl
        format: raw
        replacements:
          darwin: macOS
        overrides:
          - goos: darwin
            asset: ouch-{{.OS}}
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "0.1.6"
        asset: ouch-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            asset: ouch-{{.Arch}}-{{.OS}}-musl
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.2.0"
        asset: ouch-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            asset: ouch-{{.Arch}}-{{.OS}}-musl
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.1")
        asset: ouch-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            asset: ouch-{{.Arch}}-{{.OS}}-musl
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.4.1")
        asset: ouch-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: ouch
            src: "{{.AssetWithoutExt}}/ouch"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: ouch-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: ouch
            src: "{{.AssetWithoutExt}}/ouch"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("allero-io/allero", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: allero-io
    repo_name: allero
    description: By scanning CI/CD misconfigurations, Allero helps reduce production issues, harden your security posture and shift-left CI/CD from DevOps to developers
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: allero_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("alpkeskin/mosint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: alpkeskin
    repo_name: mosint
    description: An automated e-mail OSINT tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v2.3.1"
        type: go_build
        files:
          - name: mosint
            src: .
            dir: mosint-{{trimV .Version}}
      - version_constraint: "true"
        path: github.com/alpkeskin/mosint/v{{(semver .Version).Major}}/cmd/mosint
"###),
    ("BeryJu/korb", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: BeryJu
    repo_name: korb
    description: Move Kubernetes PVCs between Storage Classes and Namespaces
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        asset: korb_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: korb
            src: korb_v1.0.0
        checksum:
          type: github_release
          asset: korb_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: semver("<= 1.1.0")
        asset: korb_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: korb_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
      - version_constraint: "true"
        asset: korb_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: korb_{{trimV .Version}}_SHA256SUMS
          algorithm: sha256
"###),
    ("ernoaapa/kubectl-warp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ernoaapa
    repo_name: kubectl-warp
    description: Kubernetes CLI plugin for syncing and executing local files in Pod on Kubernetes
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubectl-warp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("project-zot/zot", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: project-zot
    repo_name: zot
    description: "zot - A scale-out production-ready vendor-neutral OCI-native container image/artifact registry (purely based on OCI Distribution Specification)"
    version_filter: Version matches "^v[0-9]+.[0-9]+.[0-9]+$"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.1") or Version in ["1.3.2", "1.3.6"]
        no_asset: true
      - version_constraint: semver("<= 1.3.5")
        asset: zot
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.3.7")
        asset: zot-{{.Arch}}
        format: raw
        supported_envs:
          - linux
      - version_constraint: semver("<= 2.0.1")
        asset: zot-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: zot-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.sha256.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("haskell/cabal/cabal-install", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: haskell/cabal/cabal-install
    repo_owner: haskell
    repo_name: cabal
    type: http
    link: https://www.haskell.org/cabal/
    description: "Cabal: Common Architecture for Building Applications and Libraries"
    url: https://downloads.haskell.org/~cabal/cabal-install-{{trimPrefix "Cabal-v" .Version | trimPrefix "cabal-install-v"}}/cabal-install-{{trimPrefix "Cabal-v" .Version | trimPrefix "cabal-install-v"}}-{{.Arch}}-{{.OS}}.tar.xz
    version_filter: 'Version startsWith "cabal-install-v"'
    replacements:
      arm64: aarch64
      amd64: x86_64
      linux: linux-alpine-static
    files:
      - name: cabal
"###),
    ("haskell/ghcup-hs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: http
    repo_owner: haskell
    repo_name: ghcup-hs
    url: https://downloads.haskell.org/~ghcup/{{trimV .Version}}/{{.Arch}}-{{.OS}}-ghcup-{{trimV .Version}}
    format: raw
    link: https://www.haskell.org/ghcup/
    description: GHCup is an installer for the general purpose language Haskell
    replacements:
      arm64: aarch64
      amd64: x86_64
      darwin: apple-darwin
    files:
      - name: ghcup
        src: "{{.Arch}}-{{.OS}}-ghcup-{{trimV .Version}}"
    supported_envs:
      - linux
      - darwin
"###),
    ("datadog/managed-kubernetes-auditing-toolkit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: datadog
    repo_name: managed-kubernetes-auditing-toolkit
    description: All-in-one auditing toolkit for identifying common security issues in managed Kubernetes environments. Currently supports Amazon EKS
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: managed-kubernetes-auditing-toolkit_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: mkat
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: managed-kubernetes-auditing-toolkit_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: mkat
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("simonwhitaker/gibo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: simonwhitaker
    repo_name: gibo
    description: Easy access to gitignore boilerplates
    asset: gibo_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    overrides:
      - goos: windows
        format: zip
        checksum:
          type: github_release
          asset: checksums.windows.txt
          algorithm: sha256
"###),
    ("joshdk/retry", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: joshdk
    repo_name: retry
    description: Rerun a command until it eventually succeeds, or doesn't
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3.1")
        asset: retry-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: retry-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("domoritz/arrow-tools/json2arrow", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: domoritz/arrow-tools/json2arrow
    type: github_release
    repo_owner: domoritz
    repo_name: arrow-tools
    description: Convert JSON files to Apache Arrow. This package is part of Arrow CLI tools
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.12.0"
        no_asset: true
      - version_constraint: semver("<= 0.8.0")
        asset: json2arrow-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: json2arrow
            src: "{{.AssetWithoutExt}}/json2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: json2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.8.1"
        asset: json2arrow-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: json2arrow
            src: "{{.AssetWithoutExt}}/json2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: json2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.0")
        asset: json2arrow-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: json2arrow
            src: "{{.AssetWithoutExt}}/json2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: json2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.13.0")
        asset: json2arrow-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: json2arrow
            src: "{{.AssetWithoutExt}}/json2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: json2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.14.1"
        asset: json2arrow-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: json2arrow
            src: "{{.AssetWithoutExt}}/json2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: json2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: json2arrow-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: json2arrow
            src: "{{.AssetWithoutExt}}/json2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: json2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("domoritz/arrow-tools/csv2parquet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: domoritz/arrow-tools/csv2parquet
    type: github_release
    repo_owner: domoritz
    repo_name: arrow-tools
    description: Convert CSV files to Apache Parquet. This package is part of Arrow CLI tools
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.12.0"
        no_asset: true
      - version_constraint: semver("<= 0.8.0")
        asset: csv2parquet-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: csv2parquet
            src: "{{.AssetWithoutExt}}/csv2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: csv2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.8.1"
        asset: csv2parquet-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: csv2parquet
            src: "{{.AssetWithoutExt}}/csv2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: csv2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.0")
        asset: csv2parquet-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csv2parquet
            src: "{{.AssetWithoutExt}}/csv2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csv2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.13.0")
        asset: csv2parquet-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csv2parquet
            src: "{{.AssetWithoutExt}}/csv2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csv2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.14.1"
        asset: csv2parquet-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csv2parquet
            src: "{{.AssetWithoutExt}}/csv2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csv2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: csv2parquet-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csv2parquet
            src: "{{.AssetWithoutExt}}/csv2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csv2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("domoritz/arrow-tools/json2parquet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: domoritz/arrow-tools/json2parquet
    type: github_release
    repo_owner: domoritz
    repo_name: arrow-tools
    description: Convert JSON files to Apache Parquet. This package is part of Arrow CLI tools
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.12.0"
        no_asset: true
      - version_constraint: semver("<= 0.8.0")
        asset: json2parquet-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: json2parquet
            src: "{{.AssetWithoutExt}}/json2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: json2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.8.1"
        asset: json2parquet-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: json2parquet
            src: "{{.AssetWithoutExt}}/json2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: json2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.0")
        asset: json2parquet-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: json2parquet
            src: "{{.AssetWithoutExt}}/json2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: json2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.13.0")
        asset: json2parquet-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: json2parquet
            src: "{{.AssetWithoutExt}}/json2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: json2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.14.1"
        asset: json2parquet-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: json2parquet
            src: "{{.AssetWithoutExt}}/json2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: json2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: json2parquet-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: json2parquet
            src: "{{.AssetWithoutExt}}/json2parquet"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: json2parquet
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("domoritz/arrow-tools/csv2arrow", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: domoritz/arrow-tools/csv2arrow
    type: github_release
    repo_owner: domoritz
    repo_name: arrow-tools
    description: A collection of handy CLI tools to convert CSV and JSON to Apache Arrow and Parquet
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.12.0"
        no_asset: true
      - version_constraint: semver("<= 0.8.0")
        asset: csv2arrow-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        files:
          - name: csv2arrow
            src: "{{.AssetWithoutExt}}/csv2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: csv2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.8.1"
        asset: csv2arrow-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: csv2arrow
            src: "{{.AssetWithoutExt}}/csv2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: csv2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.11.0")
        asset: csv2arrow-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csv2arrow
            src: "{{.AssetWithoutExt}}/csv2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csv2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.13.0")
        asset: csv2arrow-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csv2arrow
            src: "{{.AssetWithoutExt}}/csv2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csv2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.14.1"
        asset: csv2arrow-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csv2arrow
            src: "{{.AssetWithoutExt}}/csv2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csv2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: csv2arrow-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: csv2arrow
            src: "{{.AssetWithoutExt}}/csv2arrow"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: csv2arrow
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("naggie/dstask", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: naggie
    repo_name: dstask
    description: Git powered terminal-based todo manager -- markdown note page per task. Single binary
    rosetta2: true
    asset: dstask-{{.OS}}-{{.Arch}}
    supported_envs:
      - darwin
      - linux/amd64
"###),
    ("naggie/dstask/dstask-import", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: naggie/dstask/dstask-import
    repo_owner: naggie
    repo_name: dstask
    description: Git powered terminal-based todo manager -- markdown note page per task. Single binary
    rosetta2: true
    asset: dstask-import-{{.OS}}-{{.Arch}}
    supported_envs:
      - darwin
      - linux/amd64
    files:
      - name: dstask-import
"###),
    ("dnote/dnote/cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: dnote/dnote/cli
    repo_owner: dnote
    repo_name: dnote
    description: A simple command line notebook for programmers
    asset: dnote_{{trimPrefix "cli-v" .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    files:
      - name: dnote
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: dnote_{{trimPrefix "cli-v" .Version}}_checksums.txt
      algorithm: sha256
    rosetta2: true # pre built binary for darwin/arm64 doesn't work at the moment. https://github.com/dnote/dnote/issues/572#issuecomment-1465315535
    version_filter: Version startsWith "cli-"
    version_constraint: semverWithVersion(">= 0.11.1", trimPrefix(Version, "cli-"))
    version_overrides:
      - version_constraint: semverWithVersion(">= 0.6.3", trimPrefix(Version, "cli-"))
        supported_envs:
          - darwin
          - amd64
        checksum:
          enabled: false
      - version_constraint: semver(">= 0.4.8")
        asset: dnote_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - amd64
        checksum:
          enabled: false
      - version_constraint: semver("= 0.4.7")
        asset: dnote_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - linux/amd64
        checksum:
          enabled: false
      - version_constraint: semver("< 0.4.7")
        asset: dnote_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        supported_envs:
          - darwin
          - amd64
        checksum:
          enabled: false
"###),
    ("foundry-rs/foundry", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: foundry-rs
    repo_name: foundry
    description: Foundry is a blazing fast, portable and modular toolkit for Ethereum application development written in Rust
    files:
      - name: anvil
      - name: cast
      - name: chisel
      - name: forge
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version startsWith "nightly-"
        asset: foundry_nightly_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          windows: win32
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: foundry_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          windows: win32
        overrides:
          - goos: windows
            format: zip
"###),
    ("taskctl/taskctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: taskctl
    repo_name: taskctl
    asset: taskctl_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Concurrent task runner, developer's routine tasks automation toolkit. Simple modern alternative to GNU Make
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("git-bug/git-bug", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: git-bug
    repo_name: git-bug
    aliases:
      - name: MichaelMure/git-bug
    description: Distributed, offline-first bug tracker embedded in git, with bridges
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: git-bug_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("yoheimuta/protolint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yoheimuta
    repo_name: protolint
    description: A pluggable linter and fixer to enforce Protocol Buffer style and conventions
    files:
      - name: protolint
      - name: protoc-gen-protolint
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.3")
        asset: protolint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: protolint
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.27.0")
        asset: protolint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.31.0")
        asset: protolint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.35.1")
        asset: protolint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.45.0")
        asset: protolint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: protolint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("devspace-sh/devspace", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: devspace-sh
    repo_name: devspace
    aliases:
      - name: loft-sh/devspace
    description: "DevSpace - The Fastest Developer Tool for Kubernetes  Automate your deployment workflow with DevSpace and develop software directly inside Kubernetes"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v6.2.0-alpha.0"
        no_asset: true
      - version_constraint: semver("<= 5.7.4")
        asset: devspace-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 5.10.0")
        asset: devspace-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: devspace-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("shini4i/argo-compare", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: shini4i
    repo_name: argo-compare
    description: A comparison tool for displaying the differences between ArgoCD Applications in different Git branches
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: argo-compare_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: argo-compare_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: argo-compare_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: argo-compare_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("actions/go-versions", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: actions
    repo_name: go-versions
    description: Go releases for Actions Runner Images
    files:
      - name: go
        src: bin/go
      - name: gofmt
        src: bin/gofmt
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: go-{{.Version | regexFind "^[^-]+"}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x64
          windows: win32
        checksum:
          type: github_release
          asset: hashes.sha256
          algorithm: sha256
"###),
    ("firecow/gitlab-ci-local", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: firecow
    repo_name: gitlab-ci-local
    description: Tired of pushing to test your .gitlab-ci.yml
    version_constraint: "false"
    files:
      - name: "gitlab-ci-local"
        src: "{{.AssetWithoutExt}}"
    version_overrides:
      - version_constraint: semver("<= 4.9.0")
        asset: "{{.OS}}.{{.Format}}"
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 4.9.7")
        asset: "{{.OS}}.{{.Format}}"
        format: gz
        rosetta2: true
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: "{{.OS}}.{{.Format}}"
        format: gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("purpleclay/dns53", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: purpleclay
    repo_name: dns53
    description: Dynamic DNS within Amazon Route53. Expose your EC2 quickly, easily and privately
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: dns53_{{trimV .Version}}_{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/purpleclay/dns53/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - https://github.com/purpleclay/dns53/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/purpleclay/dns53/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("authzed/zed", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: authzed
    repo_name: zed
    description: Official command-line tool for managing SpiceDB
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0")
        asset: zed_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.7.4"
        no_asset: true
      - version_constraint: "true"
        asset: zed_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          # NOTE:
          # musl version exists for linux,
          # but it is dynamically linked to musl libc
          # and therefore doesn't work on glibc systems
          - goos: linux
            asset: zed_{{trimV .Version}}_{{.OS}}_{{.Arch}}_gnu.{{.Format}}
"###),
    ("bflad/tfproviderdocs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bflad
    repo_name: tfproviderdocs
    description: Terraform Provider Documentation Tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.1")
        asset: tfproviderdocs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfproviderdocs_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: tfproviderdocs_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfproviderdocs_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("bflad/tfproviderlint", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bflad
    repo_name: tfproviderlint
    description: Terraform Provider Lint Tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.28.1")
        asset: tfproviderlint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: tfproviderlint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: tfproviderlint_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: tfproviderlint_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("pen-lang/pen", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pen-lang
    repo_name: pen
    description: The parallel, concurrent, and functional programming language for scalable software development
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.3")
        asset: pen-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: pen
            src: bin/pen
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.9")
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: pen
            src: bin/pen
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.1.10"
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        files:
          - name: pen
            src: target/release/pen
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: Version == "v0.1.11"
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: pen
            src: target/release/pen
        replacements:
          amd64: x86_64
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v0.1.12"
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        files:
          - name: pen
            src: target/release/pen
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.1.14")
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        files:
          - name: pen
            src: target/release/pen
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.1.15"
        no_asset: true
      - version_constraint: semver("<= 0.1.23")
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        files:
          - name: pen
            src: target/release/pen
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.25")
        no_asset: true
      - version_constraint: semver("<= 0.6.6")
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        files:
          - name: pen
            src: target/release/pen
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.6.7"
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: pen
            src: target/release/pen
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
      - version_constraint: Version == "v0.6.8"
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: pen
            src: target/release/pen
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: pen-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: pen
            src: target/release/pen
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("budimanjojo/talhelper", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: budimanjojo
    repo_name: talhelper
    description: A tool to help creating Talos kubernetes cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.6.4")
        asset: talhelper_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: talhelper_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("megaease/easeprobe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: megaease
    repo_name: easeprobe
    description: A simple, standalone, and lightWeight tool that can do health/status checking, written in Go
    asset: easeprobe-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    files:
      - name: easeprobe
        src: bin/easeprobe
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("mszostok/codeowners-validator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mszostok
    repo_name: codeowners-validator
    description: The GitHub CODEOWNERS file validator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.6.0")
        asset: codeowners-validator_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: codeowners-validator_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("omrikiei/ktunnel", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: omrikiei
    repo_name: ktunnel
    asset: ktunnel_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: A cli that exposes your local resources to kubernetes
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    files:
      - name: kubectl-tunnel
        src: ktunnel
      - name: ktunnel
        src: ktunnel
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("squat/kilo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: squat
    repo_name: kilo
    description: Kilo is a multi-cloud network overlay built on WireGuard and designed for Kubernetes (k8s + wg = kg)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.1.0"
        no_asset: true
      - version_constraint: Version == "0.2.0"
        asset: kgctl-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: "true"
        asset: kgctl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
"###),
    ("crazy-max/ftpgrab", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: crazy-max
    repo_name: ftpgrab
    asset: ftpgrab_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Grab your files periodically from a remote FTP or SFTP server easily
    overrides:
      - goos: windows
        format: zip
"###),
    ("crazy-max/diun", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: crazy-max
    repo_name: diun
    description: Receive notifications when an image is updated on a Docker registry
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v4.23.0"
        asset: diun_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.{{.Format}}
        format: tgz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            asset: diun_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
      - version_constraint: semver("<= 4.9.0")
        asset: diun_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 4.14.0")
        asset: diun_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 4.16.1")
        asset: diun_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 4.19.0")
        asset: diun_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 4.22.0")
        asset: diun_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: diun_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("theseus-rs/postgresql-binaries", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: theseus-rs
    repo_name: postgresql-binaries
    description: PostgreSQL binaries for Linux, MacOS and Windows
    files:
      - name: psql
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: postgresql-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: psql
            src: postgresql-{{.Version}}-{{.Arch}}-{{.OS}}/bin/psql
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu # https://github.com/aquaproj/aqua-registry/issues/34136
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            files:
              - name: psql
                src: postgresql-{{.Version}}-{{.Arch}}-{{.OS}}/bin/psql.exe
            checksum:
              # Skip because the contents of the provided file cannot be handled
              enabled: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("rust-cross/cargo-zigbuild", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rust-cross
    repo_name: cargo-zigbuild
    description: Compile Cargo project with zig as linker
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.9.0")
        asset: cargo-zigbuild-{{.Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
              arm64: aarch64
          - goos: darwin
            asset: cargo-zigbuild-{{.Version}}.{{.OS}}.{{.Format}}
            checksum:
              enabled: false
          - goos: windows
            format: zip
            asset: cargo-zigbuild-{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              amd64: x64
            checksum:
              enabled: false
      - version_constraint: Version == "v0.10.0"
        asset: cargo-zigbuild-{{.Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: cargo-zigbuild-{{.Version}}.{{.OS}}.{{.Format}}
            checksum:
              enabled: false
          - goos: windows
            format: zip
            asset: cargo-zigbuild-{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              amd64: x64
            checksum:
              enabled: false
        supported_envs:
          - linux/arm64
          - darwin
          - windows
      - version_constraint: "true"
        asset: cargo-zigbuild-{{.Version}}.{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-musl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
              arm64: aarch64
          - goos: darwin
            asset: cargo-zigbuild-{{.Version}}.{{.OS}}.{{.Format}}
          - goos: windows
            format: zip
            asset: cargo-zigbuild-{{.Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
            replacements:
              amd64: x64
"###),
    ("pvolok/mprocs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pvolok
    repo_name: mprocs
    description: Run multiple commands in parallel
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: mprocs-{{.OS}}-{{.Arch}}.{{.Format}}
        files:
          - name: mprocs
            src: dist/{{.OS}}-{{.Arch}}/mprocs
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.1.0"
        asset: mprocs-{{trimV .Version}}-{{.OS}}64.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
          windows: win64
        overrides:
          - goos: linux
            replacements:
              amd64: x64
          - goos: windows
            format: zip
            asset: mprocs-{{trimV .Version}}-{{.OS}}-upx.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.4")
        asset: mprocs-{{trimV .Version}}-{{.OS}}64.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macos
          windows: win64
        overrides:
          - goos: linux
            replacements:
              amd64: x64
          - goos: windows
            format: zip
            asset: mprocs-{{trimV .Version}}-{{.OS}}.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: mprocs-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
        overrides:
          - goos: linux
            asset: mprocs-{{trimV .Version}}-{{.OS}}-{{.Arch}}-musl.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("microsoft/edit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: microsoft
    repo_name: edit
    description: We all edit
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: edit-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: xz
        files:
          - name: edit
            src: "{{.AssetWithoutExt}}"
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: linux-gnu
        overrides:
          - goos: windows
            format: zip
            files:
              - name: edit
                src: "{{.AssetWithoutExt}}/edit.exe"
        supported_envs:
          - linux
          - windows
"###),
    ("microsoft/ripgrep-prebuilt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: microsoft
    repo_name: ripgrep-prebuilt
    asset: ripgrep-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    description: Builds ripgrep on Azure Pipelines for multiple platforms and makes the binaries available as Github releases
    format: tar.gz
    replacements:
      darwin: apple-darwin
      windows: pc-windows-msvc
      linux: unknown-linux-musl
      arm64: aarch64
      amd64: x86_64
    overrides:
      - goos: windows
        format: zip
    files:
      - name: rg
"###),
    ("microsoft/kiota", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: microsoft
    repo_name: kiota
    description: OpenAPI based HTTP Client code generator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.1")
        asset: "{{.OS}}-{{.Arch}}.{{.Format}}"
        files:
          - name: kiota
            src: "{{.OS}}-{{.Arch}}/kiota"
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: "{{.OS}}-{{.Arch}}.{{.Format}}"
        format: zip
        windows_arm_emulation: true
        replacements:
          amd64: x64
          darwin: osx
          windows: win
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("01mf02/jaq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: 01mf02
    repo_name: jaq
    description: A jq clone focussed on correctness, speed, and simplicity
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0-beta")
        no_asset: true
      - version_constraint: Version == "v1.0.0-gamma"
        asset: jaq-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.3.0")
        asset: jaq-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
      - version_constraint: semver("<= 2.0.0-alpha.1")
        asset: jaq-{{.Version}}-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
      - version_constraint: "true"
        asset: jaq-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              linux: unknown-linux-gnu
"###),
    ("jreisinger/checkip", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jreisinger
    repo_name: checkip
    description: Get (security) info about IP addresses
    rosetta2: true
    asset: checkip_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    supported_envs:
      - darwin
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("stacklok/frizbee", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: stacklok
    repo_name: frizbee
    description: Throw a tag at it and it comes back with a checksum
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: frizbee_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: frizbee_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.1.5"
        asset: frizbee_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: frizbee_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.1.6"
        asset: frizbee_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: frizbee_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        cosign:
          opts:
            - --certificate
            - https://github.com/stacklok/frizbee/releases/download/{{.Version}}/{{.AssetWithoutExt}}.pem
            - --certificate-identity
            - https://github.com/stacklok/frizbee/.github/workflows/releaser.yml@refs/tags/{{.Version}}
            - --certificate-oidc-issuer
            - https://token.actions.githubusercontent.com
            - --signature
            - https://github.com/stacklok/frizbee/releases/download/{{.Version}}/{{.Asset}}.sig
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: frizbee_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: frizbee_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
        overrides:
          - goos: windows
            format: zip
"###),
    ("evilmartians/lefthook", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: evilmartians
    repo_name: lefthook
    description: Fast and powerful Git hooks manager for any type of projects
    asset: lefthook_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: gz
    replacements:
      amd64: x86_64
      darwin: MacOS
      linux: Linux
      windows: Windows
    checksum:
      type: github_release
      asset: lefthook_checksums.txt
      algorithm: sha256
    files:
      - name: lefthook
        src: lefthook_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    version_constraint: semver(">= 0.8.0")
    version_overrides:
      - version_constraint: semver(">= 0.7.4")
        asset: lefthook_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.7.3")
        overrides:
          - goos: windows
            format: zip
            files:
              - name: lefthook
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: semver(">= 0.6.4")
        overrides:
          - goos: windows
            format: zip
            files:
              - name: lefthook
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.6.3")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        overrides:
          - goos: windows
            format: zip
            files:
              - name: lefthook
      - version_constraint: semver(">= 0.5.4")
        overrides:
          - goos: windows
            format: zip
            files:
              - name: lefthook
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.3.0")
        format: tar.gz
        files:
          - name: lefthook
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver(">= 0.2.1")
        asset: hookah_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: hookah
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: hookah_checksums.txt
          algorithm: sha256
      - version_constraint: semver(">= 0.2.0")
        asset: hookah_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements: {}
        files:
          - name: hookah
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: hookah_checksums.txt
          algorithm: sha256
      - version_constraint: semver("< 0.2.0")
        asset: hookah_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: hookah
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
        checksum:
          type: github_release
          asset: hookah_checksums.txt
          algorithm: sha256
"###),
    ("Macmod/godap", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Macmod
    repo_name: godap
    description: A complete terminal user interface (TUI) for LDAP
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: godap-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: "{{.Asset}}.md5"
          algorithm: md5
        overrides:
          - goos: windows
            format: zip
"###),
    ("ozankasikci/dockerfile-generator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ozankasikci
    repo_name: dockerfile-generator
    description: dfg - Generates dockerfiles based on various input channels
    rosetta2: true
    format: raw
    asset: dfg_{{.Version}}_{{.OS}}_{{.Arch}}
    supported_envs:
      - darwin
      - amd64
    files:
      - name: dfg
"###),
    ("mantil-io/mantil", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mantil-io
    repo_name: mantil
    description: Build your AWS Lambda-based Go backends quicker than ever
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: mantil_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
        checksum:
          type: github_release
          asset: mantil_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.1.12")
        asset: mantil_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.1.22")
        asset: mantil_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.1.28")
        asset: mantil_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: mantil_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("jmattheis/goverter", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: jmattheis
    repo_name: goverter
    description: Generate type-safe Go converters by simply defining an interface
    path: github.com/jmattheis/goverter/cmd/goverter
"###),
    ("projectdiscovery/naabu", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: projectdiscovery
    repo_name: naabu
    description: A fast port scanner written in go with a focus on reliability and simplicity. Designed to be used in combination with other tools for attack surface discovery in bug bounties and pentests
    rosetta2: true
    asset: naabu_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    replacements:
      darwin: macOS
    version_constraint: semver(">= 2.0.9")
    supported_envs:
      - darwin
      - amd64
    version_overrides:
      - version_constraint: semver("= 2.0.8")
        supported_envs:
          - darwin
          - linux/amd64
      - version_constraint: "true"
        supported_envs:
          - windows
          - darwin
          - linux/amd64
    checksum:
      type: github_release
      asset: naabu-{{.OS}}-checksums.txt
      algorithm: sha256
      replacements:
        darwin: mac
"###),
    ("projectdiscovery/pdtm", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: projectdiscovery
    repo_name: pdtm
    description: ProjectDiscovery's Open Source Tool Manager
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pdtm_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: pdtm_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("projectdiscovery/subfinder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: projectdiscovery
    repo_name: subfinder
    asset: subfinder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    description: Subfinder is a subdomain discovery tool that discovers valid subdomains for websites. Designed as a passive framework to be useful for bug bounties and safe for penetration testing
    replacements:
      darwin: macOS
    checksum:
      type: github_release
      asset: subfinder_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("projectdiscovery/tlsx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: projectdiscovery
    repo_name: tlsx
    description: Fast and configurable TLS grabber focused on TLS based data collection
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.1"
        no_asset: true
      - version_constraint: "true"
        asset: tlsx_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: tlsx_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("projectdiscovery/httpx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: projectdiscovery
    repo_name: httpx
    description: httpx is a fast and multi-purpose HTTP toolkit allows to run multiple probers using retryablehttp library, it is designed to maintain the result reliability with increased threads
    asset: httpx_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    replacements:
      darwin: macOS
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: httpx_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("projectdiscovery/katana", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: projectdiscovery
    repo_name: katana
    description: A next-generation crawling and spidering framework
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.2")
        asset: katana_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: katana_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.1.0")
        asset: katana_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: katana-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            checksum:
              type: github_release
              asset: katana-mac-checksums.txt
              algorithm: sha256
      - version_constraint: "true"
        asset: katana_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: katana-{{.OS}}-checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            checksum:
              type: github_release
              asset: katana-mac-checksums.txt
              algorithm: sha256
"###),
    ("projectdiscovery/nuclei", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: projectdiscovery
    repo_name: nuclei
    description: Fast and customizable vulnerability scanner based on simple YAML based DSL
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: nuclei_{{trimV .Version}}_{{.OS}}_{{.Arch}}.zip
    replacements:
      darwin: macOS
    checksum:
      type: github_release
      asset: nuclei_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("projectdiscovery/proxify", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: projectdiscovery
    repo_name: proxify
    description: A versatile and portable proxy for capturing, manipulating, and replaying HTTP/HTTPS traffic on the go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.4")
        asset: proxify_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: proxify_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.0.6")
        asset: proxify_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: proxify_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.0.7"
        no_asset: true
      - version_constraint: "true"
        asset: proxify_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        replacements:
          darwin: macOS
        checksum:
          type: github_release
          asset: proxify_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("miku/zek", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: miku
    repo_name: zek
    description: Generate a Go struct from XML
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.9"
        asset: zek-{{trimV .Version}}.{{.OS}}.{{.Arch}}.bin
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: Version == "0.1.19"
        asset: zek_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: zek_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.1.12")
        no_asset: true
      - version_constraint: semver("<= 0.1.26")
        asset: zek_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: zek_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: zek_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: zek_checksums.txt
          algorithm: sha256
"###),
    ("kubecfg/kubecfg", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubecfg
    repo_name: kubecfg
    description: A tool for managing complex enterprise Kubernetes environments as code
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.34.3")
        asset: kubecfg_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: X64
          darwin: macOS
          linux: Linux
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kubecfg_{{.OS}}_{{.Arch}}
        format: raw
        replacements:
          darwin: macOS
          linux: Linux
        overrides:
          - goos: linux
            replacements:
              amd64: X64
          - goos: darwin
            replacements:
              arm64: ARM64
        supported_envs:
          - linux/amd64
          - darwin/arm64
"###),
    ("optiv/Mangle", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: optiv
    repo_name: Mangle
    description: Mangle is a tool that manipulates aspects of compiled executables (.exe or DLL) to avoid detection from EDRs
    files:
      - name: mangle
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: Mangle_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: Mangle_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("victoriametrics/victoriametrics/vmutils", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: VictoriaMetrics/VictoriaMetrics/vmutils
    type: github_release
    repo_owner: VictoriaMetrics
    repo_name: VictoriaMetrics
    description: "VictoriaMetrics: fast, cost-effective monitoring solution and time series database"
    files:
      - name: vmalert-tool
        src: vmalert-tool-prod
    version_filter: semver("> 1.78.1") and not (Version endsWith "-victorialogs") and (Version endsWith ".0")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.103.0"
        asset: vmutils-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: vmutils-{{.OS}}-{{.Arch}}-{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: vmutils-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: vmutils-{{.OS}}-{{.Arch}}-{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: vmalert-tool
                src: vmalert-tool-windows-{{.Arch}}-prod.exe
"###),
    ("victoriametrics/victoriametrics/victoria-metrics", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: VictoriaMetrics/VictoriaMetrics/victoria-metrics
    type: github_release
    repo_owner: VictoriaMetrics
    repo_name: VictoriaMetrics
    description: "VictoriaMetrics: fast, cost-effective monitoring solution and time series database"
    version_filter: not (Version endsWith "-victorialogs")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 1.2.1")
        no_asset: true
      - version_constraint: semver("<= 1.29.4")
        asset: victoria-metrics-{{.Version}}.{{.Format}}
        format: tar.gz
        files:
          - name: victoria-metrics
            src: victoria-metrics-prod
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.52.0")
        asset: victoria-metrics-{{.Version}}.{{.Format}}
        format: tar.gz
        files:
          - name: victoria-metrics
            src: victoria-metrics-prod
        checksum:
          type: github_release
          asset: victoria-metrics-{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.72.0")
        asset: victoria-metrics-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        files:
          - name: victoria-metrics
            src: victoria-metrics-prod
        checksum:
          type: github_release
          asset: victoria-metrics-{{.Arch}}-{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.78.1")
        asset: victoria-metrics-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        files:
          - name: victoria-metrics
            src: victoria-metrics-prod
        overrides:
          - goos: darwin
            asset: victoria-metrics-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.89.1")
        asset: victoria-metrics-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        files:
          - name: victoria-metrics
            src: victoria-metrics-prod
        checksum:
          type: github_release
          asset: victoria-metrics-{{.OS}}-{{.Arch}}-{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("> 1.97.1, <= 1.97.17") or semver("> 1.102.1, <= 1.102.21") or semver("> 1.110.0, <= 1.110.8")
        no_asset: true
      - version_constraint: "true"
        asset: victoria-metrics-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: victoria-metrics
            src: victoria-metrics-prod
        checksum:
          type: github_release
          asset: victoria-metrics-{{.OS}}-{{.Arch}}-{{.Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: victoria-metrics
                src: victoria-metrics-{{.OS}}-{{.Arch}}-prod.exe
"###),
    ("deggja/netfetch", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: deggja
    repo_name: netfetch
    description: Kubernetes tool for scanning clusters for network policies and identifying unprotected workloads
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: netfetch_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: netfetch
            src: "{{.AssetWithoutExt}}/netfetch"
        checksum:
          type: github_release
          asset: netfetch_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("kubevela/kubevela", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubevela
    repo_name: kubevela
    aliases:
      - name: oam-dev/kubevela
    description: The Modern Application Platform
    files:
      - name: vela
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v1.7.0", "v1.7.1"]
        no_asset: true
      - version_constraint: Version == "v0.3.4"
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: vela
            src: "{{.OS}}-{{.Arch}}/vela"
        supported_envs:
          - linux/amd64
      - version_constraint: Version in ["v1.3.3"]
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.0.1.1")
        no_asset: true
      - version_constraint: semver("<= 0.0.3")
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.0")
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        # checksum files are broken
        files:
          - name: vela
            src: "{{.OS}}-{{.Arch}}/vela"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.3")
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        # checksum files are broken
        files:
          - name: vela
            src: "{{.OS}}-{{.Arch}}/vela"
      - version_constraint: semver("<= 1.1.13")
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        # checksum files are broken
        files:
          - name: vela
            src: "{{.OS}}-{{.Arch}}/vela"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.6.7")
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        # checksum files are broken
        files:
          - name: vela
            src: "{{.OS}}-{{.Arch}}/vela"
      - version_constraint: semver("<= 1.10.2")
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: vela
            src: "{{.OS}}-{{.Arch}}/vela"
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: vela-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: vela
            src: "{{.OS}}-{{.Arch}}/vela"
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/kubevela/kubevela/releases/download/{{.Version}}/sha256sums.txt-keyless.pem
              - --certificate-identity
              - https://github.com/kubevela/kubevela/.github/workflows/release.yml@refs/tags/{{.Version}}
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/kubevela/kubevela/releases/download/{{.Version}}/sha256sums.txt-keyless.sig
        slsa_provenance:
          type: github_release
          asset: multiple.intoto.jsonl
"###),
    ("kubevela/kubevela/kubectl-plugin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kubevela/kubevela/kubectl-plugin
    type: github_release
    repo_owner: kubevela
    repo_name: kubevela
    aliases:
      - name: oam-dev/kubevela/kubectl-plugin
    description: The Modern Application Deployment System Based on OAM
    complete_windows_ext: false
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: kubectl-vela-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
    files:
      - name: kubectl-vela
        src: "{{.OS}}-{{.Arch}}/kubectl-vela"
    version_constraint: semver(">= 1.10.3")
    checksum:
      type: github_release
      asset: sha256sums.txt
      algorithm: sha256
      cosign:
        opts:
          - --certificate-identity
          - https://github.com/kubevela/kubevela/.github/workflows/release.yml@refs/tags/{{.Version}}
          - --certificate-oidc-issuer
          - https://token.actions.githubusercontent.com
          - --signature
          - https://github.com/kubevela/kubevela/releases/download/{{.Version}}/sha256sums.txt-keyless.sig
          - --certificate
          - https://github.com/kubevela/kubevela/releases/download/{{.Version}}/sha256sums.txt-keyless.pem
    slsa_provenance:
      type: github_release
      asset: multiple.intoto.jsonl
    version_overrides:
      - version_constraint: semver(">= 1.10.2")
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
        slsa_provenance:
          enabled: false
      - version_constraint: semver(">= 1.2.0")
        checksum:
          # https://github.com/kubevela/kubevela/issues/4822
          enabled: false
        slsa_provenance:
          enabled: false
      - version_constraint: "true"
        checksum:
          # https://github.com/kubevela/kubevela/issues/4822
          enabled: false
        slsa_provenance:
          enabled: false
        rosetta2: true
        complete_windows_ext: true
        asset: kubectl-vela-{{.Version}}-{{.OS}}-{{.Arch}}.tar.gz
        supported_envs:
          - darwin
          - amd64
"###),
    ("michidk/vscli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: michidk
    repo_name: vscli
    description: A CLI tool to launch vscode projects, which supports devcontainers
    asset: vscli-{{.Arch}}-{{.OS}}.{{.Format}}
    files:
      - name: vscli
        src: vscli-{{.Arch}}-{{.OS}}/vscli
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    replacements:
      amd64: x86_64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    version_constraint: semver(">= 0.1.7")
    version_overrides:
      - version_constraint: Version == "v0.1.6"
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            checksum:
              enabled: false
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - linux/amd64
          - windows/amd64
        rosetta2: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: Version == "v0.1.5"
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - linux/amd64
          - windows/amd64
        rosetta2: false
        overrides:
          - goos: windows
            format: zip
            checksum:
              enabled: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("< 0.1.5")
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            checksum:
              enabled: false
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        supported_envs:
          - linux/amd64
          - windows/amd64
        rosetta2: false
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("gitea.com/gitea/tea", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: gitea.com/gitea/tea
    type: http
    description: Command line tool to interact with Gitea servers
    link: https://gitea.com/gitea/tea
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        format: xz
        url: https://gitea.com/gitea/tea/releases/download/{{.Version}}/tea-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        windows_arm_emulation: true
        files:
          - name: tea
            src: tea-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        checksum:
          type: http
          url: https://gitea.com/gitea/tea/releases/download/{{.Version}}/tea-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            url: https://gitea.com/gitea/tea/releases/download/{{.Version}}/tea-{{trimV .Version}}-{{.OS}}-{{.Arch}}.exe.{{.Format}}
            checksum:
              type: http
              url: https://gitea.com/gitea/tea/releases/download/{{.Version}}/tea-{{trimV .Version}}-{{.OS}}-{{.Arch}}.exe.{{.Format}}.sha256
              algorithm: sha256
"###),
    ("ogen-go/ogen", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: ogen-go
    repo_name: ogen
    description: OpenAPI v3 code generator for go
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        path: github.com/ogen-go/ogen/cmd/ogen
"###),
    ("gitleaks/gitleaks", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gitleaks
    repo_name: gitleaks
    aliases:
      - name: zricethezav/gitleaks
    description: Find secrets with Gitleaks
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.0") || Version == "v1.2.1"
        no_asset: true
      - version_constraint: Version == "v0.4.0"
        asset: gitleaks-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 7.6.1")
        asset: gitleaks-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 8.1.2")
        asset: gitleaks_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: gitleaks_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 8.2.7")
        asset: gitleaks_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: gitleaks_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 8.17.0")
        asset: gitleaks_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: gitleaks_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: gitleaks_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x64
        checksum:
          type: github_release
          asset: gitleaks_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("siderolabs/omni/omni", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: siderolabs/omni/omni
    type: github_release
    repo_owner: siderolabs
    repo_name: omni
    description: SaaS-simple deployment of Kubernetes - on your own hardware
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: omni-{{.OS}}-{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - linux
"###),
    ("siderolabs/omni/omnictl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: siderolabs/omni/omnictl
    type: github_release
    repo_owner: siderolabs
    repo_name: omni
    description: SaaS-simple deployment of Kubernetes - on your own hardware
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: omnictl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
"###),
    ("siderolabs/conform", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: siderolabs
    repo_name: conform
    aliases:
      - name: talos-systems/conform
    description: Policy enforcement for your pipelines
    supported_envs:
      - darwin
      - linux
    format: raw
    asset: conform-{{.OS}}-{{.Arch}}
    checksum:
      type: github_release
      asset: sha512sum.txt
      algorithm: sha512
"###),
    ("siderolabs/theila", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: siderolabs
    repo_name: theila
    description: Theila is the UI for all things Sidero Labs
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: theila-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
"###),
    ("siderolabs/talos", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: siderolabs
    repo_name: talos
    aliases:
      - name: talos-systems/talos
    description: Talos is a modern OS for Kubernetes. talosctl is a CLI for out-of-band management of Kubernetes nodes created by Talos
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: talosctl-{{.OS}}-{{.Arch}}
    files:
      - name: talosctl
    format: raw
    checksum:
      type: github_release
      asset: sha512sum.txt
      algorithm: sha512
"###),
    ("datanymizer/datanymizer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: datanymizer
    repo_name: datanymizer
    asset: pg_datanymizer-{{.OS}}-{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Powerful database anonymizer with flexible rules. Written in Rust
    replacements:
      amd64: x86_64
    overrides:
      - goos: windows
        replacements:
          windows: win
          amd64: x64
        format: zip
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: pg_datanymizer
"###),
    ("rajatjindal/krew-release-bot", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rajatjindal
    repo_name: krew-release-bot
    description: bot to bump version of plugin in krew-index on new releases
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.34-2")
        no_asset: true
      - version_constraint: "true"
        asset: krew-release-bot_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: krew-release-bot_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("rajatjindal/kubectl-whoami", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rajatjindal
    repo_name: kubectl-whoami
    description: This plugin gets the subject name using the effective kubeconfig
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.6")
        asset: "{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}"
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.0.16")
        no_asset: true
      - version_constraint: semver("<= 0.0.18")
        asset: kubectl-whoami_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: kubectl-whoami_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.0.19"
        no_asset: true
      - version_constraint: semver("<= 0.0.41")
        asset: kubectl-whoami_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
        checksum:
          type: github_release
          asset: kubectl-whoami_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.0.42"
        asset: kubectl-whoami_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: kubectl-whoami_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.0.45")
        asset: kubectl-whoami_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux
          - darwin
        checksum:
          type: github_release
          asset: kubectl-whoami_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: kubectl-whoami_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kubectl-whoami_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("sayanarijit/jf", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sayanarijit
    repo_name: jf
    description: jf %q "JSON Formatted"
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.1.1", "v0.2.3"]
        no_asset: true
      - version_constraint: "true"
        asset: jf-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("sayanarijit/xplr", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sayanarijit
    repo_name: xplr
    description: A hackable, minimal, fast TUI file explorer
    asset: xplr-{{.OS}}.{{.Format}}
    format: tar.gz
    replacements:
      darwin: macos
    supported_envs:
      - linux/amd64
      - darwin
    rosetta2: true
    checksum:
      type: github_release
      asset: xplr-{{.OS}}.sha256
      algorithm: sha256
"###),
    ("cert-manager/cmctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cert-manager
    repo_name: cmctl
    description: the command line utility that makes cert-manager'ing easier
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: cmctl_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            bundle:
              type: github_release
              asset: checksums.txt.cosign.bundle
            opts:
              - --certificate-oidc-issuer
              - "https://token.actions.githubusercontent.com"
              - --certificate-identity
              - https://github.com/cert-manager/cmctl/.github/workflows/release.yaml@refs/tags/{{.Version}}
"###),
    ("cert-manager/cert-manager/cmctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    name: cert-manager/cert-manager/cmctl
    repo_owner: cert-manager
    repo_name: cert-manager
    aliases:
      - name: jetstack/cert-manager/cmctl
    description: cmctl is a CLI tool that can help you to manage cert-manager resources inside your cluster
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.14.4")
        asset: cmctl-{{.OS}}-{{.Arch}}.tar.gz
        files:
          - name: cmctl
        supported_envs:
          - darwin
          - linux
          - amd64
      - version_constraint: "true"
        error_message: |
          Please use the package cert-manager/cmctl instead.
          The code of cmctl was moved from cert-manager/cert-manager to cert-manager/cmctl.
"###),
    ("pete911/jwt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pete911
    repo_name: jwt
    description: jwt cli
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: jwt_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("jmespath/jp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: jmespath
    repo_name: jp
    description: Command line interface to JMESPath - http://jmespath.org
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.3")
        asset: jp-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "0.2.0"
        asset: jp-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        complete_windows_ext: false
      - version_constraint: "true"
        asset: jp-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
"###),
    ("buildpacks/pack", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: buildpacks
    repo_name: pack
    description: CLI for building apps using Cloud Native Buildpacks
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: pack-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - darwin
      - version_constraint: Version == "v0.0.3"
        asset: pack-{{.OS}}
        format: raw
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.0.4"
        asset: pack-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.0.5"
        asset: pack-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.0.9")
        asset: pack-{{trimV .Version}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.13.1")
        asset: pack-{{.Version}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.16.0")
        asset: pack-{{.Version}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.24.1")
        asset: pack-{{.Version}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            goarch: arm64
            asset: pack-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: pack-{{.Version}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: pack-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: darwin
            goarch: arm64
            asset: pack-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("zaghaghi/openapi-tui", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zaghaghi
    repo_name: openapi-tui
    description: Terminal UI to list, browse and run APIs defined with openapi spec
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        asset: openapi-tui-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: openapi-tui-{{.Version}}-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
      - version_constraint: Version == "0.6.0"
        asset: openapi-tui-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: openapi-tui-{{.Version}}-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
      - version_constraint: "true"
        asset: openapi-tui-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        checksum:
          type: github_release
          asset: openapi-tui-{{.Version}}-{{.OS}}-{{.Arch}}.sha256
          algorithm: sha256
"###),
    ("bjesus/pipet", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bjesus
    repo_name: pipet
    description: a swiss-army tool for scraping and extracting data from online assets, made for hackers
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pipet-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: pipet
            src: pipet-{{.OS}}-{{.Arch}}
        overrides:
          - goos: windows
            format: zip
"###),
    ("skim-rs/skim", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: skim-rs
    repo_name: skim
    aliases:
      - name: lotabout/skim
    description: Fuzzy Finder in rust
    files:
      - name: sk
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1-alpha")
        no_asset: true
      - version_constraint: semver("<= 0.6.9")
        asset: skim-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.9.4")
        asset: skim-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.10.4")
        no_asset: true
      - version_constraint: "true"
        asset: skim-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux
          - darwin
"###),
    ("bytecodealliance/wasm-tools", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bytecodealliance
    repo_name: wasm-tools
    description: CLI and Rust libraries for low-level manipulation of WebAssembly modules
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.60")
        asset: "{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tar.gz
        windows_arm_emulation: true
        version_prefix: wasm-tools-
        files:
          - name: wasm-tools
            src: "{{.AssetWithoutExt}}/wasm-tools"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            replacements: {}
      - version_constraint: semver("<= 1.202.0")
        asset: wasm-tools-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: wasm-tools
            src: "{{.AssetWithoutExt}}/wasm-tools"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: wasm-tools-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: wasm-tools
            src: "{{.AssetWithoutExt}}/wasm-tools"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            replacements: {}
"###),
    ("bytecodealliance/wrpc/wit-bindgen-wrpc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: bytecodealliance/wrpc/wit-bindgen-wrpc
    type: github_release
    repo_owner: bytecodealliance
    repo_name: wrpc
    description: Wasm component-native RPC framework
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: wit-bindgen-wrpc-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
"###),
    ("bytecodealliance/wasm-pkg-tools", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bytecodealliance
    repo_name: wasm-pkg-tools
    files:
      - name: wkg
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v0.7.0", "v0.7.1"]
        no_asset: true
      - version_constraint: "true"
        asset: wkg-{{.Arch}}-{{.OS}}
        format: raw
        windows_arm_emulation: true
        complete_windows_ext: false
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-gnu
"###),
    ("bytecodealliance/wasmtime", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bytecodealliance
    repo_name: wasmtime
    description: A lightweight WebAssembly runtime that is fast, secure, and standards-compliant
    files:
      - name: wasmtime
        src: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}/wasmtime
    version_filter: not (Version == "dev")
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.34.1"
        asset: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
        supported_envs:
          - linux
          - darwin
      - version_constraint: Version == "cranelift-v0.60.0"
        asset: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.15.0")
        asset: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.36.0")
        asset: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: semver("<= 21.0.2")
        asset: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
            replacements: {}
      - version_constraint: semver("<= 25.0.3")
        asset: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("< 28.0.0")
        asset: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: wasmtime-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        github_artifact_attestations:
          signer_workflow: bytecodealliance/wasmtime/.github/workflows/publish-artifacts.yml
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: zip
"###),
    ("anchore/quill", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: anchore
    repo_name: quill
    description: Simple mac binary signing from any platform
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: quill_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: quill_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: tar.gz
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: "true"
        asset: quill_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: quill_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("anchore/syft", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: anchore
    repo_name: syft
    description: CLI tool and library for generating a Software Bill of Materials from container images and filesystems
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.26.0"
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.27.0"
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
          - goos: windows
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.36.0"
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          windows: Windows
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
          - goos: windows
            format: zip
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
      - version_constraint: semver("<= 0.5.0")
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.24.0")
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.25.0")
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            format: zip
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.35.1")
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
          - goos: linux
            format: tar.gz
          - goos: windows
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
      - version_constraint: semver("< 0.37.10")
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            checksum:
              # checksum isn't included in checksums.txt
              enabled: false
      - version_constraint: semver("<= 0.103.1")
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: syft_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: syft_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/anchore/syft/releases/download/{{.Version}}/syft_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/anchore/syft/.github/workflows/release.yaml@refs/heads/main
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/anchore/syft/releases/download/{{.Version}}/syft_{{trimV .Version}}_checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("anchore/grype", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: anchore
    repo_name: grype
    description: A vulnerability scanner for container images and filesystems
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: grype_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: grype_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.23.0")
        asset: grype_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        checksum:
          type: github_release
          asset: grype_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            checksum:
              # checksum not included in checksums.txt
              enabled: false
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.31.1")
        asset: grype_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: grype_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            checksum:
              # checksum not included in checksums.txt
              enabled: false
          - goos: windows
            checksum:
              # checksum not included in checksums.txt
              enabled: false
      - version_constraint: semver("<= 0.71.0")
        asset: grype_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: grype_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: grype_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: grype_{{trimV .Version}}_checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/anchore/grype/releases/download/{{.Version}}/grype_{{trimV .Version}}_checksums.txt.pem
              - --certificate-identity
              - https://github.com/anchore/grype/.github/workflows/release.yaml@refs/heads/main
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/anchore/grype/releases/download/{{.Version}}/grype_{{trimV .Version}}_checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("kjokjo/ipcalc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_content
    repo_owner: kjokjo
    repo_name: ipcalc
    path: ipcalc
    description: ipcalc takes an IP address and netmask and calculates the resulting broadcast, network, Cisco wildcard mask, and host range
"###),
    ("momaek/authy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: momaek
    repo_name: authy
    description: TOTP Alfred Workflow, Authy Aflred Workflow, Authy command line tool
    asset: authy.tar.gz
    supported_envs:
      - darwin
    files:
      - name: authy
        src: authy-{{.OS}}-{{.Arch}}
"###),
    ("rfjakob/gocryptfs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: rfjakob
    repo_name: gocryptfs
    description: Encrypted overlay filesystem written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3")
        no_asset: true
      - version_constraint: "true"
        asset: gocryptfs_{{.Version}}_{{.OS}}-static_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: gocryptfs
          - name: gocryptfs-xray
        supported_envs:
          - linux/amd64
"###),
    ("sbstp/kubie", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sbstp
    repo_name: kubie
    description: A more powerful alternative to kubectx and kubens
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.7.2"
        no_asset: true
      - version_constraint: Version == "v0.12.1"
        asset: kubie-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.13.0"
        asset: kubie-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "v0.20.0"
        asset: kubie-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
      - version_constraint: semver("<= 0.12.0")
        asset: kubie-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.14.1")
        asset: kubie-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kubie-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux
          - darwin
"###),
    ("lycheeverse/lychee", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: lycheeverse
    repo_name: lychee
    description: Fast, async, stream-based link checker written in Rust. Finds broken URLs and mail addresses inside Markdown, HTML, reStructuredText, websites and more
    version_filter: not (Version startsWith "lychee-lib-")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.3.1") || Version == "v0.6.0-alpha"
        no_asset: true
      - version_constraint: Version == "v0.8.0"
        asset: lychee-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
        overrides:
          - goos: darwin
            asset: lychee-{{.Version}}-macos-x86_64.dmg
            format: dmg
          - goos: windows
            format: raw
            asset: lychee-{{.Version}}-{{.OS}}-{{.Arch}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.1-alpha")
        asset: lychee-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: darwin
            asset: lychee-{{.Version}}-macos-x86_64.dmg
            format: dmg
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: raw
            asset: lychee-{{.Version}}-{{.OS}}-{{.Arch}}
      - version_constraint: semver("<= 0.15.1")
        asset: lychee-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        overrides:
          - goos: darwin
            asset: lychee-{{.Version}}-macos-x86_64.dmg
            format: dmg
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: raw
            asset: lychee-{{.Version}}-{{.OS}}-{{.Arch}}
      - version_constraint: "true"
        version_prefix: lychee-
        asset: lychee-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            format: dmg
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: raw
            asset: lychee-{{.Arch}}-{{.OS}}
        supported_envs:
          - linux
          - windows/amd64
          - darwin/arm64
"###),
    ("abs-lang/abs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: abs-lang
    repo_name: abs
    description: "Home of the ABS programming language: the joy of shell scripting"
    rosetta2: true
    format: raw
    asset: abs-{{.OS}}-{{.Arch}}
    supported_envs:
      - darwin
      - linux
      - amd64
"###),
    ("NimbleArchitect/kubectl-ice", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: NimbleArchitect
    repo_name: kubectl-ice
    description: A kubectl plugin that allows you to easily view advanced configuration of all containers that are running inside pods
    asset: kubectl-ice_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: kubectl-ice_{{trimV .Version}}_checksums.txt
      algorithm: sha256
    version_constraint: semver(">= 0.0.2")
    version_overrides:
      - version_constraint: semver("< 0.0.2")
        asset: ice_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: kubectl-ice
            src: ice
          - name: ice
        checksum:
          type: github_release
          asset: ice_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("tomnomnom/gron", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tomnomnom
    repo_name: gron
    description: Make JSON greppable
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.6.1"
        asset: gron-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.1.2")
        asset: gron-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 0.2.0")
        asset: gron-{{.OS}}-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.2.2")
        asset: gron-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.0")
        asset: gron-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tgz
        rosetta2: true
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: gron-{{.OS}}-{{.Arch}}-{{trimV .Version}}.{{.Format}}
        format: tgz
        overrides:
          - goos: windows
            format: zip
"###),
    ("datarootsio/tf-profile", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: datarootsio
    repo_name: tf-profile
    description: CLI tool to profile Terraform runs, written in Go
    asset: tf-profile-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
    format: zip
    version_constraint: semver(">= 0.2.1")
    version_overrides:
      - version_constraint: semver("< 0.2.1")
        version_prefix: release/
        asset: tf-profile-v{{.SemVer}}-{{.OS}}.{{.Format}}
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
"###),
    ("ahmetb/kubectl-tree", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ahmetb
    repo_name: kubectl-tree
    description: kubectl plugin to browse Kubernetes object hierarchies as a tree  (star the repo if you are using)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.4.0"
        asset: kubectl-tree_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubectl-tree_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.2.0")
        asset: kubectl-tree_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: kubectl-tree_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.3.1")
        asset: kubectl-tree_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubectl-tree_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: kubectl-tree_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: kubectl-tree_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("ahmetb/kubectx", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ahmetb
    repo_name: kubectx
    description: Faster way to switch between clusters and namespaces in kubectl
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.9.0"
        asset: kubectx_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.0")
        no_asset: true
      - version_constraint: semver("<= 0.9.2")
        asset: kubectx_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.9.4")
        asset: kubectx_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: kubectx_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("ahmetb/kubectx/kubens", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: ahmetb/kubectx/kubens
    type: github_release
    repo_owner: ahmetb
    repo_name: kubectx
    aliases:
      - name: ahmetb/kubens
    description: Faster way to switch between clusters and namespaces in kubectl
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.9.0"
        asset: kubens_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.8.0")
        no_asset: true
      - version_constraint: semver("<= 0.9.2")
        asset: kubens_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.9.4")
        asset: kubens_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: kubens_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("kcp-dev/kcp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kcp-dev
    repo_name: kcp
    asset: kcp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: kcp
        src: bin/kcp
    format: tar.gz
    description: kcp is a Kubernetes-like control plane for workloads on many clusters
    supported_envs:
      - darwin
      - linux
    checksum:
      type: github_release
      asset: kcp_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("kcp-dev/kcp/kubectl-kcp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: kcp-dev/kcp/kubectl-kcp
    type: github_release
    repo_owner: kcp-dev
    repo_name: kcp
    description: kubectl plugins for kcp
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.8.2")
        format: tar.gz
        asset: kubectl-kcp-plugin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: kubectl-kcp
            src: bin/kubectl-kcp
          - name: kubectl-ws
            src: bin/kubectl-ws
          - name: kubectl-workspaces
            src: bin/kubectl-workspaces
      - version_constraint: semver("<= 0.24.0")
        format: tar.gz
        asset: kubectl-kcp-plugin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: kubectl-kcp
            src: bin/kubectl-kcp
          - name: kubectl-workspace
            src: bin/kubectl-workspace
          - name: kubectl-ws
            src: bin/kubectl-workspace
          - name: kubectl-workspaces
            src: bin/kubectl-workspace
      - version_constraint: "true"
        format: tar.gz
        asset: kubectl-kcp-plugin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: kubectl-kcp
            src: bin/kubectl-kcp
"###),
    ("goccy/bigquery-emulator", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: goccy
    repo_name: bigquery-emulator
    description: BigQuery emulator server implemented in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.2"
        asset: bigquery-emulator-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - darwin
      - version_constraint: "true"
        asset: bigquery-emulator-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("goccy/kubetest", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: go_install
    repo_owner: goccy
    repo_name: kubetest
    description: A CLI for distributed execution of tasks on Kubernetes
    path: github.com/goccy/kubetest/cmd/kubetest
"###),
    ("goccy/go-yaml/ycat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: goccy/go-yaml/ycat
    type: go_build
    repo_owner: goccy
    repo_name: go-yaml
    description: Print yaml file with color
    files:
      - name: ycat
        dir: go-yaml-{{trimV .Version}}/cmd/ycat
"###),
    ("cubefs/cubefs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cubefs
    repo_name: cubefs
    description: cloud-native distributed storage
    files:
      - name: cfs-authtool
        src: cubefs/build/bin/cfs-authtool
      - name: cfs-bcache
        src: cubefs/build/bin/cfs-bcache
      - name: cfs-cli
        src: cubefs/build/bin/cfs-cli
      - name: cfs-client
        src: cubefs/build/bin/cfs-client
      - name: cfs-deploy
        src: cubefs/build/bin/cfs-deploy
      - name: cfs-fsck
        src: cubefs/build/bin/cfs-fsck
      - name: cfs-preload
        src: cubefs/build/bin/cfs-preload
      - name: cfs-server
        src: cubefs/build/bin/cfs-server
    version_filter: not (Version matches "-(beta|rc)")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.4.3")
        no_asset: true
      - version_constraint: "true"
        asset: cubefs-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: cubefs-{{trimV .Version}}-{{.OS}}-{{.Arch}}.tar.gz.sha256sum
          algorithm: sha256
        supported_envs:
          - linux/amd64
"###),
    ("howardjohn/kubeconfig-proxy", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: howardjohn
    repo_name: kubeconfig-proxy
    description: Tunnel Kubectl requests over `kubectl proxy` to avoid round trips to API server
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubeconfig-proxy_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: kubeconfig-proxy_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("uw-labs/strongbox", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: uw-labs
    repo_name: strongbox
    description: Encryption for Git users
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0-rc2")
        asset: strongbox_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: strongbox_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "0.1.0-rc3"
        asset: strongbox_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: strongbox_{{.Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.1.0"
        asset: strongbox_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: strongbox_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.2.0-rc1"
        no_asset: true
      - version_constraint: semver("<= 0.2.0")
        asset: strongbox_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: strongbox_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v0.2.1"
        asset: strongbox_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: strongbox_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 2.0.0-RC3")
        asset: strongbox_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: strongbox_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: strongbox_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: strongbox_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("getanteon/anteon", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: getanteon
    repo_name: anteon
    description: Anteon (formerly Ddosify) - Effortless Kubernetes Monitoring and Performance Testing. Available on CLI, Self-Hosted, and Cloud
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.1")
        asset: ddosify_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        files:
          - name: ddosify
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.0.3")
        asset: ddosify_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: ddosify
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: ddosify_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: ddosify_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: ddosify
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: darwin
            asset: ddosify_{{trimV .Version}}_{{.OS}}_all.{{.Format}}
          - goos: windows
            format: zip
"###),
    ("ddev/ddev", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ddev
    repo_name: ddev
    aliases:
      - name: drud/ddev
    asset: ddev_{{.OS}}-{{.Arch}}.{{.Version}}.{{.Format}}
    format: tar.gz
    description: "DDEV: a local web development environment system for PHP"
    replacements:
      darwin: macos
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("iximiuz/kexp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: iximiuz
    repo_name: kexp
    description: "k'exp - Kubernetes Explorer"
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kexp_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("saucelabs/forwarder", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: saucelabs
    repo_name: forwarder
    description: Forwarder is a production-ready, fast MITM proxy with PAC support. It's suitable for debugging, intercepting and manipulating HTTP traffic. It's used as a core component of Sauce Labs Sauce Connect Proxy
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0-rc0"
        asset: forwarder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums
          algorithm: sha256
      - version_constraint: Version == "v1.0.0-rc2"
        asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: checksums
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
      - version_constraint: Version == "v1.0.0"
        asset: forwarder-{{trimV .Version}}_{{.OS}}-signed.{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: checksums
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
            asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
          - goos: windows
            asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
      - version_constraint: Version == "v1.2.0"
        asset: forwarder-{{trimV .Version}}_{{.OS}}.all.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: checksums
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
            asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
          - goos: windows
            asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
      - version_constraint: semver("<= 0.1.12")
        asset: forwarder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: forwarder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.1.15")
        asset: forwarder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: forwarder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.3.4")
        asset: forwarder_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: forwarder_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.0.2")
        asset: forwarder-{{trimV .Version}}_{{.OS}}-signed.all.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: checksums
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
            asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
          - goos: windows
            asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
      - version_constraint: semver("<= 1.1.0-rc1")
        asset: forwarder-{{trimV .Version}}_{{.OS}}.all.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: checksums
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
            asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
          - goos: windows
            asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
      - version_constraint: "true"
        asset: forwarder-{{trimV .Version}}_{{.OS}}.{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
        checksum:
          type: github_release
          asset: checksums
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
          - goos: darwin
            asset: forwarder-{{trimV .Version}}_{{.OS}}-signed.all.{{.Format}}
"###),
    ("ip7z/7zip", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ip7z
    repo_name: 7zip
    description: 7-Zip is a file archiver with a high compression ratio
    files:
      - name: 7zzs
      - name: 7zz
      - name: 7za
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "21.07"
        asset: 7z{{replace "." "" .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        replacements:
          darwin: mac
          amd64: x64
        overrides:
          - goos: linux
            files:
              - name: 7zzs
          - goos: darwin
            asset: 7z{{replace "." "" .Version}}-{{.OS}}.{{.Format}}
            files:
              - name: 7zz
          - goos: windows
            format: 7z
            asset: 7z{{replace "." "" .Version}}-extra.{{.Format}}
            files:
              - name: 7za
                src: "{{.Arch}}/7za.exe"
      - version_constraint: Version in ["22.00", "22.01"]
        asset: 7z{{replace "." "" .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        replacements:
          amd64: x64
        overrides:
          - goos: linux
            files:
              - name: 7zzs
          - goos: windows
            format: 7z
            asset: 7z{{replace "." "" .Version}}-extra.{{.Format}}
            files:
              - name: 7za
                src: "{{.Arch}}/7za.exe"
        supported_envs:
          - linux
          - windows
      - version_constraint: Version == "23.01"
        asset: 7z{{replace "." "" .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        replacements:
          darwin: mac
          amd64: x64
        overrides:
          - goos: linux
            files:
              - name: 7zzs
          - goos: darwin
            asset: 7z{{replace "." "" .Version}}-{{.OS}}.{{.Format}}
            files:
              - name: 7zz
          - goos: windows
            format: 7z
            asset: 7z{{replace "." "" .Version}}-extra.{{.Format}}
            files:
              - name: 7za
                src: "{{.Arch}}/7za.exe"
      - version_constraint: Version in ["24.05", "24.06"]
        asset: 7z{{replace "." "" .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        replacements:
          darwin: mac
          amd64: x64
        overrides:
          - goos: linux
            files:
              - name: 7zzs
          - goos: darwin
            asset: 7z{{replace "." "" .Version}}-{{.OS}}.{{.Format}}
            files:
              - name: 7zz
          - goos: windows
            format: 7z
            asset: 7z{{replace "." "" .Version}}-extra.{{.Format}}
            files:
              - name: 7za
                src: "{{.Arch}}/7za.exe"
      - version_constraint: "true"
        asset: 7z{{replace "." "" .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.xz
        replacements:
          amd64: x64
          darwin: mac
        overrides:
          - goos: linux
            files:
              - name: 7zzs
              - name: 7zz
          - goos: darwin
            asset: 7z{{replace "." "" .Version}}-{{.OS}}.{{.Format}}
            files:
              - name: 7zz
          - goos: windows
            format: 7z
            asset: 7z{{replace "." "" .Version}}-extra.{{.Format}}
            files:
              - name: 7za
                src: "{{.Arch}}/7za.exe"
"###),
    ("scaleway/scaleway-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: scaleway
    repo_name: scaleway-cli
    description: Command Line Interface for Scaleway
    format: raw
    files:
      - name: scw
    version_constraint: semver(">= 2.5.1")
    asset: scaleway-cli_{{trimV .Version}}_{{.OS}}_{{.Arch}}
    version_overrides:
      - version_constraint: "true"
        asset: scw-{{trimV .Version}}-{{.OS}}-{{.Arch}}
        supported_envs:
          - darwin
          - amd64
        replacements:
          amd64: x86_64
    checksum:
      type: github_release
      asset: SHA256SUMS
      algorithm: sha256
"###),
    ("pan-net-security/kcount", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: pan-net-security
    repo_name: kcount
    asset: kcount_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: Count Kubernetes objects across namespaces and clusters
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("KeisukeYamashita/commitlint-rs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: KeisukeYamashita
    repo_name: commitlint-rs
    description: Lint commit messages  with conventional commit messages
    files:
      - name: commitlint
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.8")
        no_asset: true
      - version_constraint: semver("<= 0.1.12")
        asset: commitlint-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - linux/amd64
          - darwin
          - windows
      - version_constraint: semver("<= 0.2.1")
        no_asset: true
      - version_constraint: "true"
        asset: commitlint-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        supported_envs:
          - linux/amd64
          - darwin
          - windows
"###),
    ("joshmedeski/sesh", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: joshmedeski
    repo_name: sesh
    description: Smart session manager for the terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.0.0"
        no_asset: true
      - version_constraint: "true"
        asset: sesh_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: sesh_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("so-dang-cool/findup", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: so-dang-cool
    repo_name: findup
    description: Find parent directories
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.1.1"
        asset: "{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tgz
        files:
          - name: findup
            src: "{{.AssetWithoutExt}}/bin/findup"
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: linux-gnu
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.1.0")
        no_asset: true
      - version_constraint: "true"
        asset: findup-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
          linux: linux-gnu
        overrides:
          - goos: darwin
            asset: findup-{{.Arch}}-{{.OS}}-none.{{.Format}}
        supported_envs:
          - linux
          - darwin
"###),
    ("so-dang-cool/yn", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: so-dang-cool
    repo_name: yn
    files:
      - name: Yn
      - name: yN
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: yn-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
          linux: linux-gnu
        overrides:
          - goos: darwin
            asset: yn-{{.Arch}}-{{.OS}}-none.{{.Format}}
            files:
              - name: Yn
        supported_envs:
          - linux
          - darwin
"###),
    ("so-dang-cool/dt", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: so-dang-cool
    repo_name: dt
    description: "dt - duct tape for your unix pipes"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.7.0")
        no_asset: true
      - version_constraint: semver("<= 1.1.0")
        asset: "{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tgz
        files:
          - name: dt
            src: "{{.AssetWithoutExt}}/bin/dt"
        replacements:
          amd64: x86_64
          arm64: aarch64
          linux: linux-gnu
        supported_envs:
          - linux
      - version_constraint: semver("<= 1.2.3")
        asset: "{{.Arch}}-{{.OS}}.{{.Format}}"
        format: tgz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
          linux: linux-gnu
        overrides:
          - goos: darwin
            asset: "{{.Arch}}-{{.OS}}-none.{{.Format}}"
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 1.3.0")
        asset: dt-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
          linux: linux-gnu
        overrides:
          - goos: darwin
            asset: dt-{{.Arch}}-{{.OS}}-none.{{.Format}}
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: dt-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
          linux: linux-gnu
        overrides:
          - goos: darwin
            asset: dt-{{.Arch}}-{{.OS}}-none.{{.Format}}
          - goos: windows
            asset: dt-{{.Arch}}-{{.OS}}-gnu.{{.Format}}
            replacements: {}
"###),
    ("so-dang-cool/fib", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: so-dang-cool
    repo_name: fib
    description: A Fibonacci CLI
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1"
        asset: fib
        format: raw
        supported_envs:
          - linux/amd64
      - version_constraint: semver("<= 1.1.2.3")
        no_asset: true
      - version_constraint: "true"
        asset: fib-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tgz
        replacements:
          amd64: x86_64
        supported_envs:
          - linux/amd64
"###),
    ("thanos-io/thanos", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: thanos-io
    repo_name: thanos
    description: Highly available Prometheus setup with long term storage capabilities. A CNCF Incubating project
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.0-rc.1")
        no_asset: true
      - version_constraint: "true"
        asset: thanos-{{trimV .Version}}.{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: thanos
            src: "{{.AssetWithoutExt}}/thanos"
        checksum:
          type: github_release
          asset: sha256sums.txt
          algorithm: sha256
"###),
    ("nabeken/go-github-apps", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: nabeken
    repo_name: go-github-apps
    description: A tiny command-line utility to retrieve Github Apps Installation Token
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        no_asset: true
      - version_constraint: semver("<= 0.1.1")
        asset: go-github-apps_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.1.2"
        asset: go-github-apps_0_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.1.3"
        asset: go-github-apps_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: go-github-apps_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("citrusframework/yaks", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: citrusframework
    repo_name: yaks
    asset: yaks-{{trimV .Version}}-{{.OS}}-{{.Arch}}.tar.gz
    description: YAKS is a platform to enable Cloud Native BDD testing on Kubernetes
    replacements:
      amd64: 64bit
      darwin: mac
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
"###),
    ("itaysk/kubectl-neat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: itaysk
    repo_name: kubectl-neat
    description: Clean up Kubernetes yaml and json output to make it readable
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: kubectl-neat_{{.OS}}.{{.Format}}
        format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
        files:
          - name: kubectl-neat
            src: dist/{{.OS}}/kubectl-neat
      - version_constraint: semver("<= 2.0.2")
        asset: kubectl-neat_{{.OS}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: kubectl-neat_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("mitsuhiko/insta", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mitsuhiko
    repo_name: insta
    description: A snapshot testing library for rust
    files:
      - name: cargo-insta
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: cargo-insta-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: cargo-insta
            src: "{{.AssetWithoutExt}}/cargo-insta"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: cargo-insta
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("mitsuhiko/minijinja", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mitsuhiko
    repo_name: minijinja
    description: MiniJinja is a powerful but minimal dependency template engine for Rust compatible with Jinja/Jinja2
    files:
      - name: minijinja-cli
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.3.1")
        asset: minijinja-cli-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: minijinja-cli
            src: "{{.AssetWithoutExt}}/minijinja-cli"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
            files:
              - name: minijinja-cli
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: minijinja-cli-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: minijinja-cli
            src: "{{.AssetWithoutExt}}/minijinja-cli"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: minijinja-cli
"###),
    ("traefik/yaegi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: traefik
    repo_name: yaegi
    description: Yaegi is Another Elegant Go Interpreter
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.8.14"
        no_asset: true
      - version_constraint: Version == "v0.9.23"
        asset: yaegi_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: yaegi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.9.13")
        asset: yaegi_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        checksum:
          type: github_release
          asset: yaegi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: yaegi_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: yaegi_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
"###),
    ("aereal/jsondiff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aereal
    repo_name: jsondiff
    description: functions to calculate JSON objects differences with gojq filter
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        no_asset: true
      - version_constraint: semver("<= 0.2.3")
        asset: jsondiff_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: jsondiff_{{trimV .Version}}_checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.4.0")
        no_asset: true
      - version_constraint: "true"
        asset: jsondiff_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: jsondiff_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("plumber-cd/terraform-backend-git", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: plumber-cd
    repo_name: terraform-backend-git
    description: Terraform HTTP Backend implementation that uses Git repository as storage
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.1"
        asset: terraform-backend-git-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.0.16")
        asset: terraform-backend-git-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: terraform-backend-git-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
"###),
    ("mattn/algia", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: algia
    description: A cli application for nostr
    asset: algia_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: algia
        src: algia_{{.Version}}_{{.OS}}_{{.Arch}}/algia
"###),
    ("mattn/memo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: memo
    description: Memo Life For You
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    asset: memo_{{.Version}}_{{.OS}}_amd64.{{.Format}}
    files:
      - name: memo
        src: memo_{{.Version}}_{{.OS}}_amd64/memo
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
"###),
    ("mattn/efm-langserver", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: efm-langserver
    asset: efm-langserver_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: General purpose Language Server
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: efm-langserver
        src: efm-langserver_{{.Version}}_{{.OS}}_{{.Arch}}/efm-langserver
    version_constraint: semver("!= 0.0.45")
    version_overrides:
      - version_constraint: semver("= 0.0.45")
        no_asset: true
"###),
    ("mattn/goreman", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: goreman
    description: foreman clone written in go language
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: goreman_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    files:
      - name: goreman
        src: goreman_{{.Version}}_{{.OS}}_{{.Arch}}/goreman
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
"###),
    ("mattn/files", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: files
    description: Fast file find
    asset: files_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: files
        src: files_{{.Version}}_{{.OS}}_{{.Arch}}/files
    version_constraint: semver(">= 0.3.4")
    version_overrides:
      - version_constraint: semver("< 0.3.4")
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
"###),
    ("mattn/twty", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: twty
    asset: twty_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    description: command-line twitter client written in golang
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: twty
        src: twty_{{.Version}}_{{.OS}}_{{.Arch}}/twty
    version_constraint: semver(">= 0.0.13")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
"###),
    ("mattn/longcat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: longcat
    description: Looooooooooooooooooooooooooooooooooooooooooooooong cat
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: longcat_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
        files:
          - name: longcat
            src: "{{.AssetWithoutExt}}/longcat"
"###),
    ("mattn/gof", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: gof
    asset: gof_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    description: Go Fuzzy
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    files:
      - name: gof
        src: gof_{{.Version}}_{{.OS}}_{{.Arch}}/gof
    version_constraint: semver(">= 0.0.12")
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        supported_envs:
          - darwin
          - amd64
"###),
    ("mattn/zig-update", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: zig-update
    description: Zig updator
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.1")
        asset: zig-update_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: zig-update
            src: zig-update_{{.Version}}_{{.OS}}_{{.Arch}}/zig-update
        overrides:
          - goos: linux
            format: tar.gz
      - version_constraint: semver("<= 0.0.3")
        no_asset: true
      - version_constraint: "true"
        asset: zig-update_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: zig-update
            src: zig-update_{{.Version}}_{{.OS}}_{{.Arch}}/zig-update
        overrides:
          - goos: linux
            format: tar.gz
"###),
    ("mattn/cho", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: cho
    asset: cho_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: zip
    overrides:
      - goos: linux
        format: tar.gz
    supported_envs:
      - darwin
      - amd64
    rosetta2: true
    files:
      - name: cho
        src: cho_{{.Version}}_{{.OS}}_{{.Arch}}/cho
"###),
    ("mattn/bsky", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: mattn
    repo_name: bsky
    description: A cli application for bluesky social
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.40"
        no_asset: true
      - version_constraint: Version == "v0.0.63"
        asset: bsky-{{.OS}}-{{trimV .Version}}.{{.Format}}
        format: zip
        overrides:
          - goos: darwin
            asset: bsky-{{.OS}}-.{{.Format}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: bsky-{{.OS}}-{{trimV .Version}}.{{.Format}}
        format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("yashikota/genenv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: yashikota
    repo_name: genenv
    description: A simple CLI tool to generate .env files from template files, automatically filling in placeholders with cryptographically secure random values
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: genenv-{{.OS}}-{{.Arch}}
        format: raw
"###),
    ("peripheryapp/periphery", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: peripheryapp
    repo_name: periphery
    description: A tool to identify unused code in Swift projects
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 2.13.0")
        asset: periphery-v{{.Version}}.zip
        supported_envs:
          - darwin
      - version_constraint: "true"
        asset: periphery-{{.Version}}.zip
        supported_envs:
          - darwin
"###),
    ("bazelbuild/buildtools/buildozer", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: bazelbuild/buildtools/buildozer
    type: github_release
    repo_owner: bazelbuild
    repo_name: buildtools
    description: Buildozer is a command line tool to rewrite multiple Bazel BUILD files using standard commands
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.4.3"
        asset: buildozer.{{.OS}}
        format: raw
        replacements:
          darwin: OSX
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "0.25.0"
        asset: buildozer.{{.OS}}
        format: raw
        replacements:
          darwin: mac
        supported_envs:
          - darwin
      - version_constraint: Version == "4.0.0"
        asset: buildozer-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "4.0.1"
        asset: buildozer-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.22.0")
        asset: buildozer.{{.OS}}
        format: raw
        replacements:
          darwin: osx
        supported_envs:
          - darwin
      - version_constraint: semver("<= 3.5.0")
        asset: buildozer.{{.OS}}
        format: raw
        replacements:
          darwin: mac
        overrides:
          - goos: windows
            asset: buildozer
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: "true"
        asset: buildozer-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("bazelbuild/buildtools/buildifier", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: bazelbuild/buildtools/buildifier
    type: github_release
    repo_owner: bazelbuild
    repo_name: buildtools
    description: Format BUILD, BUILD.bazel and BUCK files in a standard way
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.4.3"
        asset: buildifier.{{.OS}}
        format: raw
        replacements:
          darwin: OSX
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: Version == "0.25.0"
        asset: buildifier.{{.OS}}
        format: raw
        replacements:
          darwin: mac
        supported_envs:
          - darwin
      - version_constraint: Version == "4.0.0"
        asset: buildifier-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "4.0.1"
        asset: buildifier-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.22.0")
        asset: buildifier.{{.OS}}
        format: raw
        replacements:
          darwin: osx
        supported_envs:
          - darwin
      - version_constraint: semver("<= 3.5.0")
        asset: buildifier.{{.OS}}
        format: raw
        replacements:
          darwin: mac
        overrides:
          - goos: windows
            asset: buildifier
        supported_envs:
          - darwin
          - windows/amd64
      - version_constraint: "true"
        asset: buildifier-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
"###),
    ("bazelbuild/bazel-watcher", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bazelbuild
    repo_name: bazel-watcher
    description: Tools for building Bazel targets when source files change
    files:
      - name: ibazel
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.4.0") || Version == "v0.15.1"
        no_asset: true
      - version_constraint: semver("<= 0.9.1")
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.15.10")
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version in ["v0.16.0", "v0.21.1"]
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 0.21.0")
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.21.2"
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.22.0")
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: semver("<= 0.23.1")
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        supported_envs:
          - darwin
      - version_constraint: semver("<= 0.25.1")
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: ibazel_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - linux
          - darwin/arm64
          - windows
"###),
    ("bazelbuild/bazelisk", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: bazelbuild
    repo_name: bazelisk
    description: A user-friendly launcher for Bazel
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.5")
        asset: bazelisk-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: Version == "v0.0.6"
        no_asset: true
      - version_constraint: semver("<= 1.5.0")
        asset: bazelisk-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - amd64
        rosetta2: true
      - version_constraint: semver("<= 1.6.1")
        asset: bazelisk-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
      - version_constraint: Version == "v1.7.0"
        no_asset: true
      - version_constraint: semver("<= 1.8.1")
        asset: bazelisk-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - linux
          - amd64
        rosetta2: true
      - version_constraint: "true"
        asset: bazelisk-{{.OS}}-{{.Arch}}
        format: raw
        supported_envs:
          - darwin
          - linux
          - amd64
"###),
    ("Telemaco019/kubesafe", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Telemaco019
    repo_name: kubesafe
    description: Safely manage multiple Kubernetes clusters by defining safe contexts and protected commands
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: kubesafe_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: kubesafe_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("aptly-dev/aptly", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: aptly-dev
    repo_name: aptly
    description: aptly - Debian repository management tool
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3.0")
        no_asset: true
      - version_constraint: semver("<= 1.5.0")
        asset: aptly_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        files:
          - name: aptly
            src: "{{.AssetWithoutExt}}/aptly"
        overrides:
          - goos: linux
            format: tar.gz
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: aptly_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        files:
          - name: aptly
            src: "{{.AssetWithoutExt}}/aptly"
        supported_envs:
          - linux
          - darwin
"###),
    ("sahilm/yamldiff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sahilm
    repo_name: yamldiff
    description: A CLI tool to diff two YAML files
    rosetta2: true
    supported_envs:
      - darwin
      - amd64
    complete_windows_ext: false
    format: raw
    asset: yamldiff-v{{.Version}}-{{.OS}}-amd64
"###),
    ("dtan4/k8sec", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dtan4
    repo_name: k8sec
    asset: k8sec_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: CLI tool to manage Kubernetes Secrets easily
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("dtan4/k8stail", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dtan4
    repo_name: k8stail
    asset: k8stail_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: tail -f experience for Kubernetes Pods
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("dtan4/s3url", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dtan4
    repo_name: s3url
    asset: s3url_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: Generate S3 object pre-signed URL in one command
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("dtan4/ghrls", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dtan4
    repo_name: ghrls
    description: List & Describe GitHub Releases
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
    version_constraint: semver("> 0.1.0")
    asset: ghrls_{{.OS}}_{{.Arch}}.{{.Format}}
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_overrides:
      - version_constraint: "true"
        rosetta2: true
        asset: ghrls-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        replacements: {}
        files:
          - name: ghrls
            src: "{{.OS}}-{{.Arch}}/ghrls"
        supported_envs:
          - darwin
          - amd64
        checksum:
          enabled: false
"###),
    ("apple/pkl-go/pkl-gen-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: apple/pkl-go/pkl-gen-go
    type: github_release
    repo_owner: apple
    repo_name: pkl-go
    description: Generates Go bindings for a Pkl module
    version_filter: 'Version startsWith "v"'
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: pkl-gen-go-{{.OS}}-{{.Arch}}.bin
        format: raw
        replacements:
          darwin: macos
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: darwin
            asset: pkl-gen-go-{{.OS}}.bin
        supported_envs:
          - linux
          - darwin
"###),
    ("apple/pkl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: apple
    repo_name: pkl
    description: A configuration as code language with rich validation and tooling
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.25.3")
        asset: pkl-{{.OS}}-{{.Arch}}
        format: raw
        replacements:
          arm64: aarch64
          darwin: macos
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: pkl-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        replacements:
          arm64: aarch64
          darwin: macos
"###),
    ("linkerd/linkerd2", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: linkerd
    repo_name: linkerd2
    asset: linkerd2-cli-{{.Version}}-{{.OS}}-{{.Arch}}
    format: raw
    description: Ultralight, security-first service mesh for Kubernetes. Main repo for Linkerd 2.x
    overrides:
      - goos: darwin
        goarch: amd64
        asset: linkerd2-cli-{{.Version}}-{{.OS}}
        checksum:
          type: github_release
          asset: linkerd2-cli-{{.Version}}-{{.OS}}.sha256
          algorithm: sha256
      - goos: windows
        asset: linkerd2-cli-{{.Version}}-{{.OS}}
        checksum:
          type: github_release
          asset: linkerd2-cli-{{.Version}}-{{.OS}}.exe.sha256
          algorithm: sha256
    supported_envs:
      - darwin
      - linux
      - amd64
    files:
      - name: linkerd
    checksum:
      type: github_release
      asset: linkerd2-cli-{{.Version}}-{{.OS}}-{{.Arch}}.sha256
      algorithm: sha256
"###),
    ("carapace-sh/carapace-bin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: carapace-sh
    repo_name: carapace-bin
    description: A multi-shell completion binary
    files:
      - name: carapace
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        asset: carapace-bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: carapace
            src: carapace-bin
        checksum:
          type: github_release
          asset: carapace-bin_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.1.3")
        no_asset: true
      - version_constraint: semver("<= 0.1.12")
        asset: carapace-bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: carapace
            src: carapace-bin
        checksum:
          type: github_release
          asset: carapace-bin_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 0.4.9")
        asset: carapace-bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: carapace
            src: carapace-bin
        checksum:
          type: github_release
          asset: carapace-bin_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: semver("<= 0.4.11")
        asset: example_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.5.1")
        asset: carapace-bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.6.3")
        asset: carapace-bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.18.1")
        asset: carapace-bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 0.22.0")
        asset: carapace-bin_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: semver("<= 1.0.7")
        asset: carapace-bin_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: carapace-bin_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: carapace-bin_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("making/rsc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: making
    repo_name: rsc
    description: RSocket Client CLI (RSC) that aims to be a curl for RSocket
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.5.0")
        asset: rsc-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: osx
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: "true"
        asset: rsc-{{.Arch}}-pc-{{.OS}}
        format: raw
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
        overrides:
          - goos: darwin
            asset: rsc-{{.Arch}}-{{.OS}}
        supported_envs:
          - linux/amd64
          - darwin
"###),
    ("thestormforge/optimize-controller", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: thestormforge
    repo_name: optimize-controller
    asset: stormforge-{{.OS}}-{{.Arch}}.tar.gz
    description: Release with Confidence
    supported_envs:
      - linux/amd64
      - darwin
    files:
      - name: stormforge
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("dispatchrun/wzprof", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: dispatchrun
    repo_name: wzprof
    aliases:
      - name: stealthrocket/wzprof
    description: WebAssembly Profiler based on Wazero
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.5"
        asset: wzprof_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: wzprof_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - linux
          - darwin
      - version_constraint: "true"
        asset: wzprof_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: wzprof_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("astral-sh/rye", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: astral-sh
    repo_name: rye
    aliases:
      - name: mitsuhiko/rye
    description: a Hassle-Free Python Experience
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.2")
        asset: rye-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: rye
            src: rye-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          darwin: macos
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
          - goos: windows
            format: raw
            asset: rye-{{.Arch}}-{{.OS}}
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.3.0")
        asset: rye-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: rye
            src: rye-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        overrides:
          - goos: windows
            format: raw
            asset: rye-{{.Arch}}-{{.OS}}
      - version_constraint: "true"
        asset: rye-{{.Arch}}-{{.OS}}.{{.Format}}
        format: gz
        windows_arm_emulation: true
        files:
          - name: rye
            src: rye-{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: macos
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: raw
            asset: rye-{{.Arch}}-{{.OS}}
"###),
    ("astral-sh/uv", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: astral-sh
    repo_name: uv
    description: An extremely fast Python package installer and resolver, written in Rust
    version_constraint: "false"
    files:
      - name: uv
      - name: uvx
    version_overrides:
      - version_constraint: semver("<= 0.2.19")
        asset: uv-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: uv
            src: "{{.AssetWithoutExt}}/uv"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: uv
      - version_constraint: Version == "0.2.20"
        asset: uv-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: uv
            src: "{{.AssetWithoutExt}}/uv"
          - name: uvx
            src: "{{.AssetWithoutExt}}/uvx"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: uv
      - version_constraint: "true"
        asset: uv-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: uv
            src: "{{.AssetWithoutExt}}/uv"
          - name: uvx
            src: "{{.AssetWithoutExt}}/uvx"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
            files:
              - name: uv
              - name: uvx
"###),
    ("astral-sh/ruff", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: astral-sh
    repo_name: ruff
    description: An extremely fast Python linter and code formatter, written in Rust
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.246")
        no_asset: true
      - version_constraint: semver("<= 0.1.7")
        asset: ruff-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: semver("<= 0.4.10")
        asset: ruff-{{trimV .Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
      - version_constraint: "true"
        asset: ruff-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: ruff
            src: "{{.AssetWithoutExt}}/ruff"
        overrides:
          - goos: windows
            format: zip
            files:
              - name: ruff
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
"###),
    ("zix99/rare", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zix99
    repo_name: rare
    description: Create console histograms, bar graphs, tables, heatmaps and more in realtime using regex and expressions
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.20")
        asset: rare_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.1.31")
        asset: rare_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.2.0")
        asset: rare_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: rare_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("k3d-io/k3d", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: k3d-io
    repo_name: k3d
    aliases:
      - name: rancher/k3d
    description: Little helper to run CNCF's k3s in Docker
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v3.0.0-syntax.0", "v3.1.0-dev.0", "v3.4.0-test.0", "v4.1.0-alpha.2"]
        asset: k3d-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 3.0.0-rc.3")
        asset: k3d-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
      - version_constraint: semver("<= 4.2.0")
        asset: k3d-{{.OS}}-{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: semver("<= 5.3.0")
        asset: k3d-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: sha256sum.txt
          algorithm: sha256
      - version_constraint: semver("<= 5.4.9")
        asset: k3d-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
      - version_constraint: "true"
        asset: k3d-{{.OS}}-{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("sho-hata/tparagen", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sho-hata
    repo_name: tparagen
    description: tparagen inserts `testing.T.Parallel()` in a test function in a specific source file or in an entire directory
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.0.0")
        asset: tparagen_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: Version == "v1.1.0"
        type: go_install
        path: github.com/sho-hata/tparagen/cmd/tparagen
      - version_constraint: Version == "v1.1.1"
        asset: tparagen_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: tparagen_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: tparagen_{{trimV .Version}}_checksums.txt
          algorithm: sha256
"###),
    ("ycd/dstp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ycd
    repo_name: dstp
    description: Run common networking tests against any site
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.1")
        no_asset: true
      - version_constraint: semver("<= 0.1.3")
        asset: dstp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.4.0")
        asset: dstp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v0.4.20"
        no_asset: true
      - version_constraint: "true"
        asset: dstp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("connectrpc/connect-go/protoc-gen-connect-go", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - name: connectrpc/connect-go/protoc-gen-connect-go
    search_words:
      - bufbuild
    type: go_install
    repo_owner: connectrpc
    repo_name: connect-go
    description: Simple, reliable, interoperable. A better gRPC
    path: connectrpc.com/connect/cmd/protoc-gen-connect-go
    files:
      - name: protoc-gen-connect-go
"###),
    ("sharkdp/hexyl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sharkdp
    repo_name: hexyl
    asset: hexyl-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    description: A command-line hex viewer
    rosetta2: true
    supported_envs:
      - darwin
      - linux
      - amd64
    format: tar.gz
    replacements:
      darwin: apple-darwin
      windows: pc-windows-msvc
      linux: unknown-linux-musl
      arm64: aarch64
      amd64: x86_64
    overrides:
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
      - goos: windows
        format: zip
    files:
      - name: hexyl
        src: hexyl-{{.Version}}-{{.Arch}}-{{.OS}}/hexyl
"###),
    ("sharkdp/vivid", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sharkdp
    repo_name: vivid
    asset: vivid-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    description: A themeable LS_COLORS generator with a rich filetype datebase
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    files:
      - name: vivid
        src: vivid-{{.Version}}-{{.Arch}}-{{.OS}}/vivid
    version_constraint: semver(">= 0.8.0")
    version_overrides:
      - version_constraint: semver("< 0.8.0")
        overrides: []
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - linux/amd64
          - darwin
        rosetta2: true
      - version_constraint: "true"
"###),
    ("sharkdp/hyperfine", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sharkdp
    repo_name: hyperfine
    description: A command-line benchmarking tool
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: hyperfine-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    format: tar.gz
    overrides:
      - goos: windows
        format: zip
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
    rosetta2: true
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
      386: i686
    files:
      - name: hyperfine
        src: hyperfine-{{.Version}}-{{.Arch}}-{{.OS}}/hyperfine
"###),
    ("sharkdp/fd", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sharkdp
    repo_name: fd
    description: A simple, fast and user-friendly alternative to 'find'
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v1.1.0"
        asset: fd
        format: raw
        windows_arm_emulation: true
        supported_envs:
          - windows
          - linux/amd64
      - version_constraint: semver("<= 3.1.0")
        asset: fd
        supported_envs:
          - linux/amd64
      - version_constraint: Version == "v4.0.0"
        asset: fd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: fd
            src: "{{.AssetWithoutExt}}/fd"
        replacements:
          amd64: x86_64
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fd
        supported_envs:
          - linux/amd64
          - windows
      - version_constraint: semver("<= 8.2.1")
        asset: fd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: fd
            src: "{{.AssetWithoutExt}}/fd"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: fd
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 9.0.0")
        asset: fd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: fd
            src: "{{.AssetWithoutExt}}/fd"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: Version == "v10.0.0"
        asset: fd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: fd
            src: "{{.AssetWithoutExt}}/fd"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            replacements:
              arm64: aarch64
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: fd-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: fd
            src: "{{.AssetWithoutExt}}/fd"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("sharkdp/pastel", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sharkdp
    repo_name: pastel
    asset: pastel-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    description: A command-line tool to generate, analyze, convert and manipulate colors
    rosetta2: true
    supported_envs:
      - darwin
      - linux
      - amd64
    format: tar.gz
    replacements:
      darwin: apple-darwin
      windows: pc-windows-msvc
      linux: unknown-linux-musl
      arm64: aarch64
      amd64: x86_64
    overrides:
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
      - goos: windows
        format: zip
    files:
      - name: pastel
        src: pastel-{{.Version}}-{{.Arch}}-{{.OS}}/pastel
"###),
    ("sharkdp/diskus", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sharkdp
    repo_name: diskus
    asset: diskus-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    description: A minimal, fast alternative to 'du -sh'
    supported_envs:
      - darwin
      - linux
      - amd64
    rosetta2: true
    format: tar.gz
    replacements:
      darwin: apple-darwin
      windows: pc-windows-msvc
      linux: unknown-linux-musl
      arm64: aarch64
      amd64: x86_64
    overrides:
      - goos: linux
        goarch: arm64
        replacements:
          linux: unknown-linux-gnu
      - goos: windows
        format: zip
    files:
      - name: diskus
        src: diskus-{{.Version}}-{{.Arch}}-{{.OS}}/diskus
"###),
    ("sharkdp/bat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: sharkdp
    repo_name: bat
    description: A cat(1) clone with wings
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.2")
        asset: bat-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: bat
            src: "{{.AssetWithoutExt}}/bat"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
        supported_envs:
          - darwin
          - linux/amd64
      - version_constraint: semver("<= 0.6.0")
        asset: bat-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        files:
          - name: bat
            src: "{{.AssetWithoutExt}}/bat"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
        supported_envs:
          - darwin
          - linux/amd64
      - version_constraint: Version == "v0.6.1"
        asset: bat-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: bat
            src: "{{.AssetWithoutExt}}/bat"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
            files:
              - name: bat
        supported_envs:
          - darwin
          - windows
          - linux/amd64
      - version_constraint: semver("<= 0.24.0")
        asset: bat-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: bat
            src: "{{.AssetWithoutExt}}/bat"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          windows: pc-windows-msvc
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: unknown-linux-musl
          - goos: linux
            goarch: arm64
            replacements:
              arm64: aarch64
              linux: unknown-linux-gnu
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: bat-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        files:
          - name: bat
            src: "{{.AssetWithoutExt}}/bat"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("alvinunreal/tmuxai", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: alvinunreal
    repo_name: tmuxai
    description: AI-Powered, Non-Intrusive Terminal Assistant
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tmuxai_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.sha256
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("filebrowser/filebrowser", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: filebrowser
    repo_name: filebrowser
    asset: "{{.OS}}-{{.Arch}}-filebrowser.{{.Format}}"
    format: tar.gz
    description: Web File Browser
    overrides:
      - goos: windows
        format: zip
    checksum:
      type: github_release
      asset: filebrowser_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("traviswt/gke-auth-plugin", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: traviswt
    repo_name: gke-auth-plugin
    description: A GKE standalone auth plugin, with no dependencies on gcloud cli and python
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: gke-auth-plugin_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        overrides:
          - goos: windows
            format: zip
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("filhodanuvem/gitql", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: filhodanuvem
    repo_name: gitql
    asset: gitql_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: A git query language
    replacements:
      amd64: x86_64
      darwin: Darwin
      linux: Linux
      windows: Windows
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("inlets/mixctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: inlets
    repo_name: mixctl
    description: A tiny TCP load balancer
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "0.0.3-rc1"
        no_asset: true
      - version_constraint: "true"
        format: raw
        asset: mixctl
        checksum:
          type: github_release
          asset: "{{.Asset}}.sha256"
          algorithm: sha256
        overrides:
          - goos: linux
            goarch: arm64
            asset: mixctl-arm64
          - goos: darwin
            goarch: amd64
            asset: mixctl-darwin
          - goos: darwin
            goarch: arm64
            asset: mixctl-darwin-arm64
        supported_envs:
          - darwin
          - linux
          - amd64
"###),
    ("inlets/inlets-pro", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: inlets
    repo_name: inlets-pro
    description: Secure HTTP and TCP tunnels that just work
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: inlets-pro
    overrides:
      - goos: darwin
        goarch: arm64
        asset: inlets-pro-darwin-arm64
      - goos: darwin
        asset: inlets-pro-darwin
      - goarch: arm64
        asset: inlets-pro-arm64
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha256"
      algorithm: sha256
"###),
    ("inlets/inletsctl", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: inlets
    repo_name: inletsctl
    description: Create inlets servers on the top cloud platforms
    asset: inletsctl.tgz
    overrides:
      - goos: darwin
        asset: inletsctl-darwin.tgz
        files:
          - name: inletsctl
            src: inletsctl-darwin
      - goarch: arm64
        asset: inletsctl-arm64.tgz
        files:
          - name: inletsctl
            src: inletsctl-arm64
    checksum:
      # The checksum in the checksum file is not the checksum of tarball but the checksum of the executable binary in tarball.
      # aqua doesn't support such a case at the moment.
      enabled: false
"###),
    ("masutaka/github-nippou", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: masutaka
    repo_name: github-nippou
    description: Print today's your GitHub activity for issues and pull requests
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 3.2.0")
        no_asset: true
      - version_constraint: semver("<= 4.1.11")
        asset: github-nippou_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 4.2.9")
        asset: github-nippou_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: github-nippou_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: github-nippou_{{.Version}}_checksums.txt
          algorithm: sha256
"###),
    ("oras-project/oras", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: oras-project
    repo_name: oras
    asset: oras_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
    format: tar.gz
    description: ORAS CLI
    overrides:
      - goos: windows
        format: zip
    supported_envs:
      - darwin
      - linux
      - amd64
    checksum:
      type: github_release
      asset: oras_{{trimV .Version}}_checksums.txt
      algorithm: sha256
"###),
    ("cycloidio/inframap", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cycloidio
    repo_name: inframap
    description: Read your tfstate or HCL to generate a graph specific for each provider, showing only the resources that are most important/relevant
    rosetta2: true
    asset: inframap-{{.OS}}-{{.Arch}}.tar.gz
    complete_windows_ext: false
    supported_envs:
      - darwin
      - amd64
    files:
      - name: inframap
        src: inframap-{{.OS}}-{{.Arch}}
"###),
    ("cycloidio/terracognita", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: cycloidio
    repo_name: terracognita
    asset: terracognita-{{.OS}}-{{.Arch}}.tar.gz
    description: Reads from existing public and private cloud providers (reverse Terraform) and generates your infrastructure as code on Terraform configuration
    supported_envs:
      - darwin
      - amd64
    files:
      - name: terracognita
        src: terracognita-{{.OS}}-{{.Arch}}
    rosetta2: true
    checksum:
      enabled: false
"###),
    ("tldr-pages/tlrc", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: tldr-pages
    repo_name: tlrc
    description: A tldr client written in Rust
    files:
      - name: tldr
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: tlrc-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("ekristen/aws-nuke", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ekristen
    repo_name: aws-nuke
    description: Remove all the resources from an AWS account
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v3.0.0-beta.25", "v3.0.0-beta.44", "v3.0.0-beta.56", "v3.46.0"]
        no_asset: true
      - version_constraint: Version == "v2.17.0-ek.1"
        asset: aws-nuke-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: Version == "v2.18.6"
        asset: aws-nuke-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 2.17.0-ek.4")
        asset: aws-nuke-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 3.0.0-beta.7")
        asset: aws-nuke-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --key
              - https://github.com/ekristen/aws-nuke/releases/download/{{.Version}}/cosign.pub
              - --signature
              - https://github.com/ekristen/aws-nuke/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: aws-nuke-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
          cosign:
            opts:
              - --certificate
              - https://github.com/ekristen/aws-nuke/releases/download/{{.Version}}/checksums.txt.pem
              - --certificate-identity
              - "https://github.com/ekristen/aws-nuke/.github/workflows/goreleaser.yml@refs/tags/{{.Version}}"
              - --certificate-oidc-issuer
              - https://token.actions.githubusercontent.com
              - --signature
              - https://github.com/ekristen/aws-nuke/releases/download/{{.Version}}/checksums.txt.sig
        overrides:
          - goos: windows
            format: zip
"###),
    ("kayac/ecspresso", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kayac
    repo_name: ecspresso
    asset: ecspresso_{{trimV .Version}}_{{.OS}}_{{.Arch}}.tar.gz
    description: ecspresso is a deployment tool for Amazon ECS
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
"###),
    ("kayac/go-katsubushi", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kayac
    repo_name: go-katsubushi
    description: ID generator server
    version_constraint: semver(">= 2.0.0")
    asset: go-katsubushi_{{.Version}}_{{.OS}}_{{.Arch}}.tar.gz
    files:
      - name: katsubushi
    checksum:
      type: github_release
      asset: checksums.txt
      algorithm: sha256
    version_overrides:
      # checksum file not provided & tag style was changed
      - version_constraint: semver(">= 1.6.1")
        asset: go-katsubushi_v{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        overrides:
          - goos: linux
            format: tar.gz
        rosetta2: true
        files:
          - name: katsubushi
            src: go-katsubushi_v{{.Version}}_{{.OS}}_{{.Arch}}/katsubushi
        supported_envs:
          - darwin
          - linux/amd64
        checksum:
          enabled: false
      # asset name was changed
      - version_constraint: semver(">= 0.1.0")
        asset: katsubushi-{{.Version}}-{{.OS}}-{{.Arch}}.zip
        rosetta2: true
        supported_envs:
          - darwin
          - linux/amd64
        checksum:
          enabled: false
      # linux only support
      - version_constraint: "true"
        asset: katsubushi-{{.Version}}-{{.OS}}-{{.Arch}}.zip
        files:
          - name: katsubushi
            src: katsubushi-{{.Version}}-{{.OS}}-{{.Arch}}
        supported_envs:
          - linux/amd64
        checksum:
          enabled: false
"###),
    ("incu6us/goimports-reviser", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: incu6us
    repo_name: goimports-reviser
    description: Right imports sorting & code formatting tool (goimports alternative)
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.0.4"
        asset: goimports-reviser_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - linux/amd64
          - darwin
      - version_constraint: semver("<= 2.5.1")
        asset: goimports-reviser_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 3.9.0")
        asset: goimports-reviser_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: goimports-reviser_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("orf/gping", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: orf
    repo_name: gping
    description: Ping, but with a graph
    version_filter: |
      not (Version startsWith "pinger-")
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.2.0")
        asset: gping-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v1.2.1"
        asset: gping-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: Linux
          - goos: linux
            goarch: arm64
            asset: gping-{{.Arch}}-{{.OS}}.{{.Format}}
            replacements:
              arm64: aarch64
              linux: unknown-linux-musl
          - goos: windows
            format: zip
      - version_constraint: semver("<= 1.18.0")
        version_prefix: gping-
        asset: gping-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: Darwin
          windows: Windows
        overrides:
          - goos: linux
            goarch: amd64
            replacements:
              linux: Linux
          - goos: linux
            goarch: arm64
            asset: gping-{{.Arch}}-{{.OS}}.{{.Format}}
            replacements:
              arm64: aarch64
              linux: unknown-linux-musl
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: gping-{{.OS}}-gnu-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: macOS
          linux: Linux
          windows: Windows
        overrides:
          - goos: darwin
            asset: gping-{{.OS}}-{{.Arch}}.{{.Format}}
          - goos: windows
            format: zip
            asset: gping-{{.OS}}-msvc-{{.Arch}}.{{.Format}}
"###),
    ("zurawiki/gptcommit", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: zurawiki
    repo_name: gptcommit
    description: A git prepare-commit-msg hook for authoring commit messages with GPT-3
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.7"
        asset: gptcommit-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: apple-darwin
          linux: unknown-linux-gnu
        overrides:
          - goos: linux
            replacements:
              amd64: x86_64
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - linux/amd64
          - darwin/arm64
      - version_constraint: semver("<= 0.5.3")
        asset: gptcommit-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.5")
        no_asset: true
      - version_constraint: "true"
        asset: gptcommit-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: darwin
            replacements:
              arm64: aarch64
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("ankitpokhrel/jira-cli", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: ankitpokhrel
    repo_name: jira-cli
    description: Feature-rich interactive Jira command line
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.4.0")
        asset: jira_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: jira
            src: jira_{{trimV .Version}}_{{.OS}}_{{.Arch}}/bin/jira
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
            files:
              - name: jira
                src: bin/jira
            replacements:
              amd64: amd64
        replacements:
          amd64: x86_64
          darwin: macOS
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: jira_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        files:
          - name: jira
            src: jira_{{trimV .Version}}_{{.OS}}_{{.Arch}}/bin/jira
        format: tar.gz
        windows_arm_emulation: true
        overrides:
          - goos: windows
            format: zip
            files:
              - name: jira
                src: bin/jira
        replacements:
          amd64: x86_64
          darwin: macOS
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("juicedata/juicefs", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: juicedata
    repo_name: juicefs
    description: JuiceFS is a distributed POSIX file system built on top of Redis and S3
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.12.0")
        no_asset: true
      - version_constraint: semver("<= 1.0.0-beta2")
        asset: juicefs-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: juicefs-{{trimV .Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
"###),
    ("gleam-lang/gleam", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: gleam-lang
    repo_name: gleam
    description: A friendly language for building type-safe, scalable systems
    format: tar.gz
    checksum:
      type: github_release
      asset: "{{.Asset}}.sha512"
      algorithm: sha512
    version_constraint: semver(">= 0.23.0")
    supported_envs:
      - darwin
      - linux
      - amd64
    asset: gleam-{{.Version}}-{{.Arch}}-{{.OS}}.{{.Format}}
    replacements:
      amd64: x86_64
      arm64: aarch64
      darwin: apple-darwin
      linux: unknown-linux-musl
      windows: pc-windows-msvc
    overrides:
      - goos: windows
        format: zip
    version_overrides:
      - version_constraint: "true"
        supported_envs:
          - darwin
          - amd64
        asset: gleam-{{.Version}}-{{.OS}}-{{.Arch}}.{{.Format}}
        replacements:
          darwin: macos
        overrides:
          - goos: darwin
            goarch: amd64
            asset: gleam-{{.Version}}-{{.OS}}.{{.Format}}
          - goos: windows
            asset: gleam-{{.Version}}-windows-64bit.{{.Format}}
            format: zip
"###),
    ("Qovery/Replibyte", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: Qovery
    repo_name: Replibyte
    description: Seed your development database with real data
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.1.8")
        asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: replibyte
        overrides:
          - goos: linux
            format: tar.gz
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}.sha256sum
          algorithm: sha256
      - version_constraint: Version == "v0.2.0"
        no_asset: true
      - version_constraint: semver("<= 0.4.1")
        asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: replibyte
        overrides:
          - goos: linux
            format: tar.gz
        replacements:
          amd64: x86_64
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        supported_envs:
          - linux/amd64
          - windows
        checksum:
          type: github_release
          asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}.sha256sum
          algorithm: sha256
      - version_constraint: Version == "v0.4.2"
        asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: replibyte
            src: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.exe.{{.Format}}
            checksum:
              type: github_release
              asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.exe.sha256sum
              algorithm: sha256
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.sha256sum
          algorithm: sha256
      - version_constraint: Version == "v0.4.3"
        asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.exe.{{.Format}}
        format: zip
        windows_arm_emulation: true
        files:
          - name: replibyte
            src: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}
        replacements:
          amd64: x86_64
          windows: pc-windows-gnu
        supported_envs:
          - windows/amd64
        checksum:
          type: github_release
          asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.exe.{{.Format}}.sha256sum
          algorithm: sha256
      - version_constraint: "true"
        asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: replibyte
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.exe.{{.Format}}
            checksum:
              type: github_release
              asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.exe.{{.Format}}.sha256sum
              algorithm: sha256
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-gnu
        supported_envs:
          - darwin
          - windows
          - amd64
        checksum:
          type: github_release
          asset: replibyte_{{.Version}}_{{.Arch}}-{{.OS}}.{{.Format}}.sha256sum
          algorithm: sha256
"###),
    ("go-semantic-release/semantic-release", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: go-semantic-release
    repo_name: semantic-release
    description: semantic-release written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version in ["v2.14.0", "v2.22.0", "v2.22.1"]
        no_asset: true
      - version_constraint: semver("<= 2.2.0")
        asset: semantic-release_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.13.0")
        asset: semantic-release_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: semantic-release_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 2.14.3")
        asset: semantic-release_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: semantic-release_{{.Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: semantic-release_{{.Version}}_{{.OS}}_{{.Arch}}
        format: raw
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: semantic-release_{{.Version}}_checksums.txt
          algorithm: sha256
"###),
    ("makiuchi-d/arelo", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: makiuchi-d
    repo_name: arelo
    description: a simple auto reload (live reload) utility
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 1.3.0")
        no_asset: true
      - version_constraint: semver("<= 1.10.1")
        asset: arelo_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: arelo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.12.3")
        asset: arelo_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: arelo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: arelo_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: arelo_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("fish-shell/fish-shell", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: fish-shell
    repo_name: fish-shell
    description: The user-friendly command line shell
    search_words:
      - Linux Only # TODO: Support other platforms https://github.com/aquaproj/aqua-registry/pull/32703#issuecomment-2689385634
    files:
      - name: fish
      - name: fish_indent
      - name: fish_key_reader
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("< 4.0.0")
        # https://github.com/fish-shell/fish-shell/releases/tag/4.0.0
        # > fish’s core code has been ported from C++ to Rust
        no_asset: true
      - version_constraint: Version == "4.0.1"
        asset: fish-static-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.xz
        replacements:
          arm64: aarch64
          amd64: x86_64
        supported_envs:
          - linux
      - version_constraint: "true"
        asset: fish-static-{{.Arch}}-{{.Version}}.{{.Format}}
        format: tar.xz
        replacements:
          arm64: aarch64
        supported_envs:
          - linux
"###),
    ("kubernetes-retired/kubefed", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: kubernetes-retired
    repo_name: kubefed
    aliases:
      - name: kubernetes-sigs/kubefed
    description: kubefedctl controls a Kubernetes Cluster Federation
    rosetta2: true
    supported_envs:
      - darwin
      - linux/amd64
    asset: kubefedctl-{{trimV .Version}}-{{.OS}}-{{.Arch}}.tgz
    files:
      - name: kubefedctl
"###),
    ("juliosueiras/terraform-lsp", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: juliosueiras
    repo_name: terraform-lsp
    description: Language Server Protocol for Terraform
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: terraform-lsp_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        checksum:
          type: github_release
          asset: terraform-lsp_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        supported_envs:
          - darwin
          - windows
          - amd64
"###),
    ("wader/fq", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: wader
    repo_name: fq
    description: "jq for binary formats - tool, language and decoders for working with binary and text formats"
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.0.4")
        asset: fq_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: fq_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        replacements:
          darwin: macos
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
"###),
    ("koki-develop/moview", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: koki-develop
    repo_name: moview
    description: Play video in terminal
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: moview_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: moview_{{trimV .Version}}_checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("koki-develop/sheep", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: koki-develop
    repo_name: sheep
    description: Sleep with Sheep
    version_constraint: "false"
    version_overrides:
      - version_constraint: "true"
        asset: sheep_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("koki-develop/clive", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: koki-develop
    repo_name: clive
    description: Automates terminal operations
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.10.1")
        asset: clive_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
      - version_constraint: "true"
        asset: clive_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("koki-develop/gat", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: koki-develop
    repo_name: gat
    description: cat alternative written in Go
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.19.2"
        no_asset: true
      - version_constraint: semver("<= 0.20.0")
        asset: gat_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.20.3")
        no_asset: true
      - version_constraint: "true"
        asset: gat_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        replacements:
          amd64: x86_64
          darwin: Darwin
          linux: Linux
          windows: Windows
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("typst/typst", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: typst
    repo_name: typst
    description: A new markup-based typesetting system that is powerful and easy to learn
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.2.0")
        asset: typst-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: typst
            src: "{{.AssetWithoutExt}}/typst"
        replacements:
          amd64: x86_64
          darwin: apple-darwin
          linux: unknown-linux-gnu
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.0")
        asset: typst-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: typst
            src: "{{.AssetWithoutExt}}/typst"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.11.1")
        asset: typst-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        windows_arm_emulation: true
        files:
          - name: typst
            src: "{{.AssetWithoutExt}}/typst"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: typst-{{.Arch}}-{{.OS}}.{{.Format}}
        format: tar.xz
        files:
          - name: typst
            src: "{{.AssetWithoutExt}}/typst"
        replacements:
          amd64: x86_64
          arm64: aarch64
          darwin: apple-darwin
          linux: unknown-linux-musl
          windows: pc-windows-msvc
        overrides:
          - goos: windows
            format: zip
"###),
    ("utkuozdemir/pv-migrate", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: utkuozdemir
    repo_name: pv-migrate
    description: CLI tool to easily migrate Kubernetes persistent volumes
    version_constraint: "false"
    version_overrides:
      - version_constraint: Version == "v0.1.0"
        asset: pv-migrate-{{.OS}}.{{.Format}}
        format: tar.gz
        files:
          - name: pv-migrate
            src: bin/{{.OS}}/pv-migrate
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: Version == "v0.5.4"
        asset: pv-migrate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        # disable checksum because asset names in the checksum file are different from actual asset names.
        # https://github.com/aquaproj/aqua-registry/pull/12352#issuecomment-1558413383
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.5.3")
        asset: pv-migrate_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 0.6.2")
        asset: pv-migrate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        rosetta2: true
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: semver("<= 0.8.0")
        asset: pv-migrate_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
      - version_constraint: "true"
        asset: pv-migrate_{{.Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: tar.gz
        windows_arm_emulation: true
        replacements:
          amd64: x86_64
        checksum:
          type: github_release
          asset: checksums.txt
          algorithm: sha256
        overrides:
          - goos: windows
            format: zip
"###),
    ("transcend-io/terragrunt-atlantis-config", r###"# yaml-language-server: $schema=https://raw.githubusercontent.com/aquaproj/aqua/main/json-schema/registry.json
packages:
  - type: github_release
    repo_owner: transcend-io
    repo_name: terragrunt-atlantis-config
    description: Generate Atlantis config for Terragrunt projects
    version_constraint: "false"
    version_overrides:
      - version_constraint: semver("<= 0.10.1") || Version in ["v0.12.0", "v1.0.0", "v1.4.0", "v1.7.1", "v1.17.1", "v1.17.2"]
        no_asset: true
      - version_constraint: semver("<= 1.7.0")
        asset: terragrunt-atlantis-config_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: terragrunt-atlantis-config
            src: "{{.AssetWithoutExt}}/{{.AssetWithoutExt}}"
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: terragrunt-atlantis-config
                src: "{{.AssetWithoutExt}}"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: semver("<= 1.17.4")
        asset: terragrunt-atlantis-config_{{trimV .Version}}_{{.OS}}_{{.Arch}}.{{.Format}}
        format: zip
        rosetta2: true
        windows_arm_emulation: true
        files:
          - name: terragrunt-atlantis-config
            src: "{{.AssetWithoutExt}}/{{.AssetWithoutExt}}"
        checksum:
          type: github_release
          asset: SHA256SUMS
          algorithm: sha256
        overrides:
          - goos: linux
            format: tar.gz
          - goos: windows
            files:
              - name: terragrunt-atlantis-config
                src: "{{.AssetWithoutExt}}"
        supported_envs:
          - darwin
          - windows
          - amd64
      - version_constraint: "true"
        asset: terragrunt-atlantis-config_{{trimV .Version}}_{{.OS}}_{{.Arch}}
        format: raw
        checksum:
          type: github_release
          asset: SHA512SUMS
          algorithm: sha512
"###),
].into()